<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



// ----------------------------------------------
//  Blacklist Page
// ----------------------------------------------

function blacklist_main($message='')
{
	global $db_blacklisted, $DB, $L_BLACKLIST, $sx, $sfx;
  
	$query = new DB_query($DB, "SELECT * FROM $db_blacklisted"); 
	
	$ip		= '';
	$email	= '';
	$url	= '';
	$phrase	= '';
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			${$query->row['blacklisted_type']} =& str_replace('|', "\n", $query->row['blacklisted_value']);
		}	
	}
	
	if ($message != '')
	{
		$message = "\n<tr>\n<td><div class='text11red'><b>{$message}</b></div></td>\n</tr>";
	}
	
	$form = <<<EOT

<form method='post'  name='target' id='target'  action='index{$sfx}?sx={$sx}&m=admin&p=update_blacklist' >

<table cellspacing="1" cellpadding="4" border="0" style='width:100%;'>
<tr>
<td align="left" colspan="2">
<div class="text12grey"><strong>{$L_BLACKLIST['100']}</strong></div>
</td>
</tr>

{$message}


<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['120']}</b><br />
<textarea name="ip"  onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$ip}</textarea>
</div>
</td>
</tr>

<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['125']}</b><br />
<textarea name="email" onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$email}</textarea>
</div>
</td>
</tr>

<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['130']}</b><br />
<textarea name="url"  onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$url}</textarea>
</div>
</td>
</tr>


<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['135']}</b><br />
<textarea name="phrase"  onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$phrase}</textarea>
</div>
</td>
</tr>

</table>


<hr size="1" color="#cccccc">

<table cellpadding="0" cellspacing="8" border="0" width="100%">

<tr>
<td><span class="text10"><nobr>
<p><input type="checkbox" name="delete_comments" value="y" /> {$L_BLACKLIST['145']}</p>
</td>
</tr>

<tr>
<td><span class="text10"><nobr>
<input type="submit" name="submit" value=" {$L_BLACKLIST['110']} " class="button">
</td>
</tr>
</table>

</form>
EOT;

	echo $form;

}
// END

// ----------------------------------------------
//  Whitelist Page
// ----------------------------------------------

function whitelist_main($message='')
{
	global $db_whitelisted, $DB, $L_BLACKLIST, $sx, $sfx;
  
	$query = new DB_query($DB, "SELECT * FROM $db_whitelisted"); 
	
	$ip		= '';
	$email	= '';
	$url	= '';
	$phrase	= '';
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			${$query->row['whitelisted_type']} =& str_replace('|', "\n", $query->row['whitelisted_value']);
		}	
	}
	
	if ($message != '')
	{
		$message = "\n<tr>\n<td><div class='text11red'><b>{$message}</b></div></td>\n</tr>";
	}
	
	$form = <<<EOT

<form method='post'  name='target' id='target'  action='index{$sfx}?sx={$sx}&m=admin&p=update_whitelist' >

<table cellspacing="1" cellpadding="4" border="0" style='width:100%;'>
<tr>
<td align="left" colspan="2">
<div class="text12grey"><strong>{$L_BLACKLIST['105']}</strong></div>
</td>
</tr>

{$message}


<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['120']}</b><br />
<textarea name="ip"  onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$ip}</textarea>
</div>
</td>
</tr>

<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['125']}</b><br />
<textarea name="email" onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$email}</textarea>
</div>
</td>
</tr>

<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['130']}</b><br />
<textarea name="url"  onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$url}</textarea>
</div>
</td>
</tr>

<tr>
<td valign="bottom" bgcolor="#ffffff"><div class="text9"><b>{$L_BLACKLIST['135']}</b><br />
<textarea name="phrase"  onFocus="isFocused=this.name" class="textarea" rows="8" cols="80" wrap="virtual" >{$phrase}</textarea>
</div>
</td>
</tr>

</table>


<hr size="1" color="#cccccc">

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td><span class="text10"><nobr>
<input type="submit" name="submit" value=" {$L_BLACKLIST['110']} " class="button">
</td>
</tr>
</table>

</form>
EOT;

	echo $form;

}
// END


// ----------------------------------------------
//  Blacklist Update Function
// ----------------------------------------------

function update_blacklist()
{
	global $db_blacklisted, $db_whitelisted, $db_trackback;
	global $db_comments, $DB, $db_weblog, $db_members;
	global $db_nonmembers, $sx, $sfx, $SHARED, $L_BLACKLIST;
	
	// --------------------------
	//  Old Blacklist
	// --------------------------
  
	$query = new DB_query($DB, "SELECT * FROM $db_blacklisted"); 
	
	$old['ip']		= array();
	$old['email']	= array();
	$old['url']		= array();
	$old['phrase']	= array();
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			$old_values =& explode('|', $query->row['blacklisted_value']);
			
			for ($i=0; $i < sizeof($old_values); $i++)
        	{
        		if (trim($old_values[$i]) != '')
        		{
        			$old[$query->row['blacklisted_type']][] = $old_values[$i]; 
        		}
        	}
		}	
	}
	
	// --------------------------
	//  Current Whitelist
	// --------------------------
  
	$query = new DB_query($DB, "SELECT * FROM $db_whitelisted"); 
	
	$white['ip']		= array();
	$white['email']		= array();
	$white['url']		= array();
	$white['phrase']	= array();
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			$white_values =& explode('|', $query->row['whitelisted_value']);
			
			for ($i=0; $i < sizeof($white_values); $i++)
        	{
        		if (trim($white_values[$i]) != '')
        		{
        			$white[$query->row['whitelisted_type']][] = $white_values[$i]; 
        		}
        	}   
		}	
	}
	
	// ----------------------------
	//  Process New Blacklist
	// ----------------------------
	
	$domains = array('net','com','org','info', 'name','biz','us','de', 'uk'); 
	
	$default = array('ip', 'email', 'url', 'phrase');
        
	foreach ($default as $val)
	{
		if (isset($_POST[$val]))
		{
			 $_POST[$val] = trim(stripslashes($_POST[$val]));
			 
			 $new_values = preg_split("/\r\n|\r|\n/",strip_tags($_POST[$val]));
			 
			 // Clean out user mistakes 
			 // and
			 // Clean out Comments/Trackbacks with new additions
			foreach ($new_values as $key => $value)
			{
			 	if (trim($value) == '' || trim($value) == "\n")
				{
					unset($new_values[$key]);
				}
				elseif ( ! in_array($value,$old[$val]))
				{
					// ----------------------------
					//  Trackback Deletions
					// ----------------------------
					
					if ($val == 'url' OR $val == 'ip' OR $val == 'phrase')
					{
						if ($val == 'ip')
						{
							$field = 'trackback_ip';
						}
						elseif($val == 'url')
						{
							$field = 'entry_url';
						}
						else
						{
							$field = 'excerpt';
						}
						
						$sql = " $db_trackback WHERE {$field} LIKE '%".$DB->escape_str($value)."%'";
						
						if (sizeof($white[$val]) > 1)
						{
							$sql .=  " AND {$field} NOT LIKE '%".implode("%' AND {$field} NOT LIKE '%", $DB->escape_str($white[$val]))."%'";
						}
						elseif (sizeof($white[$val]) > 0)
						{
							$sql .= " AND {$field} NOT LIKE '%".$DB->escape_str($white[$val]['0'])."%'";
						}
						
						// ------------------------
						//  Add Whitelisted IPs
						// ------------------------
						
						if ($val != 'ip')
						{
							if (sizeof($white['ip']) > 1)
							{
								$sql .=  " AND trackback_ip NOT LIKE '%".implode("%' AND trackback_ip NOT LIKE '%", $DB->escape_str($white['ip']))."%'";
							}
							elseif (sizeof($white['ip']) > 0)
							{
								$sql .= " AND trackback_ip NOT LIKE '%".$DB->escape_str($white['ip']['0'])."%'";
							}
						}
						
						$query = new DB_query($DB, "SELECT DISTINCT(post_id) FROM ".$sql);
						
						if ($query->db_num_rows() > 0)
						{
							$results = new DB_query($DB,"DELETE FROM ".$sql);
						
							while ($query->db_fetch_array())
							{
								$results = new DB_query($DB, "SELECT COUNT(*) AS count from $db_trackback WHERE post_id = '".$query->row['post_id']."'");								
								$results->db_fetch_array();								
								$update = new DB_query($DB,"UPDATE $db_weblog SET tb_total = '".$results->row['count']."' WHERE post_id = '".$query->row['post_id']."'");									
							}
						}
					}
					
					// ----------------------------
					//  Comment Deletions
					// ----------------------------
					
					if (isset($_POST['delete_comments']) && $_POST['delete_comments'] == 'y' && $val != 'email')
					{
						if ($val == 'ip')
						{
							$field = 'comment_ip';
						}
						elseif($val == 'url')
						{
							$field = 'body';
						}
						else
						{
							$field = 'body';
						}
						
						// We only delete when we have a url containing a domain
						// on it.  This prevents too liberal of a match in the
						// body of a comment and saves us from doing a complicated
						// query using REGEXP.
						
						if ($val == 'url')
						{
							$pass = 'n';
							
							foreach($domains as $domain)
							{
								if (stristr($value, $domain) !== false)
								{
									$pass = 'y';
								}
							}
							
							if ($pass == 'n')
							{
								continue;
							}
						}
						
						$sql = " $db_comments WHERE {$field} LIKE '%".$DB->escape_str($value)."%'";
						
						if (sizeof($white[$val]) > 1)
						{
							$sql .=  " AND {$field} NOT LIKE '%".implode("%' AND {$field} NOT LIKE '%", $DB->escape_str($white[$val]))."%'";
						}
						elseif (sizeof($white[$val]) > 0)
						{
							$sql .= " AND {$field} NOT LIKE '%".$DB->escape_str($white[$val]['0'])."%'";
						}
						
						// ------------------------
						//  Add Whitelisted IPs
						// ------------------------
						
						if ($val != 'ip')
						{
							if (sizeof($white['ip']) > 1)
							{
								$sql .=  " AND comment_ip NOT LIKE '%".implode("%' AND comment_ip NOT LIKE '%", $DB->escape_str($white['ip']))."%'";
							}
							elseif (sizeof($white['ip']) > 0)
							{
								$sql .= " AND comment_ip NOT LIKE '%".$DB->escape_str($white['ip']['0'])."%'";
							}
						}
						
							
						$query = new DB_query($DB, "SELECT DISTINCT(post_id) FROM ".$sql);
						
						if ($query->db_num_rows() > 0)
						{
							$results = new DB_query($DB, "DELETE FROM ".$sql);
						
							while ($query->db_fetch_array())
							{
								$results = new DB_query($DB, "SELECT COUNT(*) AS count from $db_comments WHERE post_id = '".$query->row['post_id']."'");
								$results->db_fetch_array();	
								$update = new DB_query($DB,"UPDATE $db_weblog SET c_total = '".$results->row['count']."' WHERE post_id = '".$query->row['post_id']."'");									
							}
						}					
					}
					elseif (isset($_POST['delete_comments']) && $_POST['delete_comments'] == 'y' && $val == 'email')
					{
						// -------------------------------
						//  Check pm_members for email
						// -------------------------------
					
						$sql = "SELECT DISTINCT(id) FROM $db_members WHERE email LIKE '%".$DB->escape_str($value)."%'";
						
						if (sizeof($white[$val]) > 1)
						{
							$sql .=  " AND email NOT LIKE '%".implode("%' AND email NOT LIKE '%", $DB->escape_str($white[$val]))."%'";
						}
						elseif (sizeof($white[$val]) > 0)
						{
							$sql .= " AND email NOT LIKE '%".$DB->escape_str($white[$val]['0'])."%'";
						}
						
						// ------------------------
						//  Add Whitelisted IPs
						// ------------------------
						
						if (sizeof($white['ip']) > 1)
						{
							$sql .=  " AND ipaddress NOT LIKE '%".implode("%' AND ipaddress NOT LIKE '%", $DB->escape_str($white['ip']))."%'";
						}
						elseif (sizeof($white['ip']) > 0)
						{
							$sql .= " AND ipaddress NOT LIKE '%".$DB->escape_str($white['ip']['0'])."%'";
						}
							
						$query = new DB_query($DB, $sql);
						
						if ($query->db_num_rows() > 0)
						{
							while($query->db_fetch_array())
							{
								$results = new DB_query($DB, "SELECT DISTINCT(post_id) FROM $db_comments WHERE member_id = '".$query->row['id']."'");
								
								if ($results->db_num_rows() > 0)
								{
									$update = new DB_query($DB, "DELETE FROM $db_comments WHERE member_id = '".$query->row['id']."'");
									
									while($results->db_fetch_array())
									{
										$counts = new DB_query($DB, "SELECT COUNT(*) AS count from $db_comments WHERE post_id = '".$results->row['post_id']."'");
										$counts->db_fetch_array();
										$update = new DB_query($DB,"UPDATE $db_weblog SET c_total = '".$counts->row['count']."' WHERE post_id = '".$results->row['post_id']."'");	
									}
								}
							}
						}
						
						// -------------------------------
						//  Check pm_nonmembers for email
						// -------------------------------
						
						$sql = " FROM $db_nonmembers WHERE email LIKE '%".$DB->escape_str($value)."%'";						
						
						if (sizeof($white[$val]) > 1)
						{
							$sql .=  " AND email NOT LIKE '%".implode("%' AND email NOT LIKE '%", $DB->escape_str($white[$val]))."%'";
						}
						elseif (sizeof($white[$val]) > 0)
						{
							$sql .= " AND email NOT LIKE '%".$DB->escape_str($white[$val]['0'])."%'";
						}
						
						// ------------------------
						//  Add Whitelisted IPs
						// ------------------------
						
						if (sizeof($white['ip']) > 1)
						{
							$sql .=  " AND ipaddress NOT LIKE '%".implode("%' AND ipaddress NOT LIKE '%", $DB->escape_str($white['ip']))."%'";
						}
						elseif (sizeof($white['ip']) > 0)
						{
							$sql .= " AND ipaddress NOT LIKE '%".$DB->escape_str($white['ip']['0'])."%'";
						}
						
							
						$query = new DB_query($DB, "SELECT DISTINCT(id) ".$sql);
						
						if ($query->db_num_rows() > 0)
						{
							// -------------------------------
							//  Delete non member accounts
							// -------------------------------
							
							$delete = new DB_query($DB, "DELETE ".$sql);
							
							// -------------------------------
							//  Find and Remove Comment Spam
							// -------------------------------
							
							while($query->db_fetch_array())
							{
								$results = new DB_query($DB, "SELECT DISTINCT(post_id) FROM $db_comments WHERE member_id = 'NM".$query->row['id']."'");
								
								if ($results->db_num_rows() > 0)
								{
									$update = new DB_query($DB, "DELETE FROM $db_comments WHERE member_id = 'NM".$query->row['id']."'");
									
									while($results->db_fetch_array())
									{
										$counts = new DB_query($DB, "SELECT COUNT(*) AS count from $db_comments WHERE post_id = '".$results->row['post_id']."'");
										$counts->db_fetch_array();
										$update = new DB_query($DB,"UPDATE $db_weblog SET c_total = '".$counts->row['count']."' WHERE post_id = '".$results->row['post_id']."'");	
									}
								}
							}
						}						
					}
				}
			}
			
			$_POST[$val] = implode("|",$new_values);
				 
			$query = new DB_query($DB, "DELETE FROM $db_blacklisted WHERE blacklisted_type = '{$val}'");
				 
			$data = array(	'blacklisted_type' 	=> $val,
							'blacklisted_value'	=> $_POST[$val]);
								
			$query = new DB_query($DB, $DB->insert_string("$db_blacklisted", $data));			     
		}
	}
	
	// ----------------------------
	//  Return to Display Page
	// ----------------------------
	
	blacklist_main($L_BLACKLIST['140']);
}
// END

// ----------------------------------------------
//  Whitelist Update Function
// ----------------------------------------------

function update_whitelist()
{
	global $db_whitelisted, $DB, $sx, $sfx, $L_BLACKLIST;
	
	$default = array('ip', 'email', 'url', 'phrase');
	
	foreach($default as $val)
	{
		if (isset($_POST[$val]))
		{
			$_POST[$val] =& trim(stripslashes($_POST[$val]));
			 
			$new_values  =& preg_split("/\r\n|\r|\n/",strip_tags($_POST[$val]));
	
			$_POST[$val] =& implode("|",$new_values);
				 
			$query = new DB_query($DB, "DELETE FROM $db_whitelisted WHERE whitelisted_type = '{$val}'");
				 
			$data = array(	'whitelisted_type' 	=> $val,
							'whitelisted_value'	=> $_POST[$val]);
								
			$query = new DB_query($DB, $DB->insert_string("$db_whitelisted", $data));		
		}
	}
	
	whitelist_main($L_BLACKLIST['140']);
}
// END




?>