<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	----------------------------------------------
//		TRANSLATE MONTH NAMES
//	----------------------------------------------

function translate_alpha_months($mth)
{
 global $L_CALENDAR;
 
     switch ($mth) 
    {
            case "January":		$month = "$L_CALENDAR[300]"; 
            break;
            case "February":	$month = "$L_CALENDAR[301]"; 
            break;
            case "March":		$month = "$L_CALENDAR[302]"; 
            break;
            case "April":		$month = "$L_CALENDAR[303]"; 
            break;
            case "May":			$month = "$L_CALENDAR[304]"; 
            break;
            case "June":		$month = "$L_CALENDAR[305]"; 
            break;
            case "July":		$month = "$L_CALENDAR[306]"; 
            break;
            case "August":		$month = "$L_CALENDAR[307]"; 
            break;
            case "September":	$month = "$L_CALENDAR[308]"; 
            break;
            case "October":		$month = "$L_CALENDAR[309]"; 
            break;
            case "November":	$month = "$L_CALENDAR[310]"; 
            break;
            case "December":	$month = "$L_CALENDAR[311]"; 
            break;
    }

return $month;
}
// END


//	----------------------------------------------
//		TRANSLATE NUMERIC MONTHS
//	----------------------------------------------

function translate_numeric_months($mth)
{
 global $L_CALENDAR;
 
     switch ($mth) 
    {
            case "01":	$month = "$L_CALENDAR[300]"; 
            break;
            case "02":	$month = "$L_CALENDAR[301]"; 
            break;
            case "03":	$month = "$L_CALENDAR[302]"; 
            break;
            case "04":	$month = "$L_CALENDAR[303]"; 
            break;
            case "05":	$month = "$L_CALENDAR[304]"; 
            break;
            case "06":	$month = "$L_CALENDAR[305]"; 
            break;
            case "07":	$month = "$L_CALENDAR[306]"; 
            break;
            case "08":	$month = "$L_CALENDAR[307]"; 
            break;
            case "09":	$month = "$L_CALENDAR[308]"; 
            break;
            case "10":	$month = "$L_CALENDAR[309]"; 
            break;
            case "11":	$month = "$L_CALENDAR[310]"; 
            break;
            case "12":	$month = "$L_CALENDAR[311]"; 
            break;
    }

return $month;
}
// END



//	----------------------------------------------
//		EVENT CALENDAR CONTAINER
//	----------------------------------------------

function cal_show_month($function_call,$year=0,$month=0) 
{  
 global $L_CALENDAR,$sx,$sfx, $SHARED;
  
    if (strlen($month) ==1)
    {
        $month = "0" . "$month";
    }
    if (strlen($year) ==2)
    {
        $year = "20" . "$year";
    }

        $newtime = $SHARED->get_offset_time();
        $today   = date("d",$newtime);
        $tomonth = date("m",$newtime);
        $toyear  = date("Y",$newtime); 

    if ($month == 0) 
	{
		$month = date("m");
	}
    if ($year == 0) 
	{
    	$year=date("Y");
	}
        $prev_month = date("m", mktime(0,0,0,$month -1, 1, $year));
        $next_month = date("m", mktime(0,0,0,$month +1, 1, $year));
        $prev_year  = date("Y", mktime(0,0,0,$month -1, 1, $year));
        $next_year  = date("Y", mktime(0,0,0,$month +1, 1, $year));
        $day = 1 - date("w", mktime(0,0,0,$month,1,$year));
        $days_in_month = date("t", mktime(0,0,0,$month,1,$year));
        $title = date("F",mktime(0,0,0,$month,1,$year));
        
        $prev = "index$sfx?sx=$sx&m=calendar&p=show_cal&month=$prev_month&year=$prev_year";
        $next = "index$sfx?sx=$sx&m=calendar&p=show_cal&month=$next_month&year=$next_year";
        
		$title = translate_alpha_months($title);
?>
<br />
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td align="center" class="bday">

<table bgcolor="#6666cc" align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td height="15" align="left" class="white11">&nbsp;<a href="<?php echo "$prev"; ?>">&lt;&lt;</a></td>
<td align="center" class="white11"><b><?php echo"$title $year" ?></b></td>
<td align="right" class="white11"><a href="<?php echo "$next"; ?>"><b>&gt;&gt;</a>&nbsp;</td>
</tr>
</table>

</td></tr>
<tr><td bgcolor="#cccccc">

<table border="0" cellpadding="4" cellspacing="1">
<tr>
<td bgcolor="#eaeaff" align="center" class="bday" width="80"><b><?php echo "$L_CALENDAR[100]"; ?></b></td>
<td bgcolor="#eaeaff" align="center" class="bday" width="80"><b><?php echo "$L_CALENDAR[105]"; ?></b></td>
<td bgcolor="#eaeaff" align="center" class="bday" width="80"><b><?php echo "$L_CALENDAR[110]"; ?></b></td>
<td bgcolor="#eaeaff" align="center" class="bday" width="80"><b><?php echo "$L_CALENDAR[115]"; ?></b></td>
<td bgcolor="#eaeaff" align="center" class="bday" width="80"><b><?php echo "$L_CALENDAR[120]"; ?></b></td>
<td bgcolor="#eaeaff" align="center" class="bday" width="80"><b><?php echo "$L_CALENDAR[125]"; ?></b></td>
<td bgcolor="#eaeaff" align="center" class="bday" width="80"><b><?php echo "$L_CALENDAR[130]"; ?></b></td>
</td></tr>
<?php
	while($day <= $days_in_month) 
 	{
    	echo "<tr>\n";
        
    	for ($j=1; $j<=7; $j++)
    	{
        
		 if (($day == $today) && ($month == $tomonth) && ($year == $toyear)) 
		 {
?>
<td bgcolor="#eaeaff" height="60" valign="top" class="bday"><?php echo(($day <= $days_in_month && $day > 0 ) ? $function_call($year,$month,$day,$today,$tomonth,$toyear): "&nbsp;"); ?></td>
<?php       
		}    
		else 
		{       
?>
<td bgcolor="#ffffff" height="60" valign="top" class="bday"><?php echo(($day <= $days_in_month && $day > 0 ) ? $function_call($year,$month,$day,$today,$tomonth,$toyear): "&nbsp;"); ?></td>
<?php 
		}
		$day++;
		}
echo "</tr>";
	}
?>
</table>
</td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="570">
<tr>
<td align="left" valign="middle"><div class="smlinkbluenb" align="left"><a href="<?php echo "index$sfx?sx=$sx&m=post_office&p=bday_all&mth=$month"; ?>"><b><?php echo "$L_CALENDAR[145]"; ?></b></a>&nbsp;<?php echo "$L_CALENDAR[150]"; ?></div></td>
<td align="right"><form method="post" action="<?php echo "index$sfx?sx=$sx&m=calendar&p=view_month"; ?>" >
<table border="0" cellpadding="0" cellspacing="5">
<tr>
<td valign="bottom"><div class="text10"><?php echo "$L_CALENDAR[135]"; ?>&nbsp;<input type="text" name="month" class="box20" size="5" maxlength="2"  ></div></td>
<td><div class="text10"><?php echo "$L_CALENDAR[140]"; ?>&nbsp;<input type="text" name="year" class="box40" size="10" maxlength="4"  ></div></td>
<td><input type="submit" value=" <?php echo "$L_CALENDAR[155]"; ?> " class="button">
</td>
</tr>
</table>
</td>
</tr>
</table>
</form>
<?php
}
// END



//	----------------------------------------------
//		EVENTS AND BIRTHDAYS
//	----------------------------------------------

function events_and_birthdays($year,$month,$day,$today,$tomonth,$toyear)
{
	global $db_members, $db_events, $sx, $sfx, $DB;                      
                
    if ($day == $today && $month == $tomonth && $year == $toyear)
    {
		$dayfmt = "<b>$day</b>";
    }
    else  
    {
    	$dayfmt = "$day"; 
    }
   
	if (strlen ($day) ==1) 
	{
		$day = "0"."$day";
	}
	
	$sql = "select year,month,day 
			from $db_events 
			where year = '$year' 
			and month = '$month' 
			and day = '$day'";
			
	$query = new DB_query($DB, $sql);
			
    while ($query->db_fetch_array()) 
    {
    	$dayfmt = "<a href=\"index$sfx?sx=$sx&m=calendar&p=view&id=".$query->row['year'].$query->row['month'].$query->row['day']."\"><b>$dayfmt</b></a>";
    }
  		echo "<div class=\"smlinkblueu\" align=\"right\">$dayfmt</div>\n<div class=\"smlinkblue\" align=\"left\">";
     
	$bql = "select id,bday_day,bday_month,signature 
			from $db_members 
			where bday_day = '$day' 
			and bday_month = '$month'";
			
	$result = new DB_query($DB, $bql);
			
    while ($result->db_fetch_array()) 
    {
	 echo "<a href=\"index$sfx?sx=$sx&m=post_office&p=bday_msg&id=".$result->row['id']."\">".stripslashes($result->row['signature'])."</a><br />\r\n";    
	}
 	echo "</div>";
}
// END
?>