<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	----------------------------------------------
//	 	GRAB EVENT DATA FOR EDITING
//	----------------------------------------------

function event_edit($id)
{
	global $db_events, $DB;
 
	$query = new DB_query($DB, "select * from $db_events where id = '$id'"); 

	$query->db_fetch_array();
	
	$t_stamp  = $query->row['t_stamp'];
	$linkid	  = $query->row['link_id'];
	$showtime = $query->row['show_time'];
	$title	  = $query->row['title'];
	$body	  = $query->row['description'];
	
	unset($query);
        
	$evmonth = date("m",$t_stamp); 
	$evday   = date("d",$t_stamp);    
	$evyear  = date("Y",$t_stamp);

    if ($showtime ==1) 
    {
        $evhour = date("h",$t_stamp); 
        $evmin = date("i",$t_stamp); 
        $evampm = date("A",$t_stamp); 
    } 
    else 
    {
        $evhour = ""; 
        $evmin = ""; 
        $evampm = ""; 
	}
	
	$query = new DB_query($DB, "select repeat from $db_events where link_id = '$linkid' and t_stamp > '$t_stamp'"); 
	
	$total = $query->db_num_rows() + 1;
	$query->db_fetch_array();
	
	$repeat = $query->row['repeat'];

	add_event_form($id,$title,$body,$evmonth,$evday,$evyear,$evhour,$evmin,$evampm,$repeat,$total,$linkid);
}
// END


//	----------------------------------------------
//	 ADD/UPDATE EVENT FORM
//	----------------------------------------------

function add_event_form($id="",
                        $title="",
                        $description="",
                        $evmonth="",
                        $evday="",
                        $evyear="",
                        $evhour="",
                        $evmin="",
                        $evampm="",
                        $repeat="",
                        $times="",
                        $link_id="")
{
	global $L_CALENDAR,$sx,$sfx, $SHARED;
		
		$n_sel = "";
		$d_sel = "";
		$w_sel = "";
		$m_sel = "";
		$y_sel = "";

        $newtime = $SHARED->get_offset_time();

    if ($evmonth =="" || $evday =="" || $evyear =="")
    {
        $evmonth = date("m",$newtime); 
        $evday   = date("d",$newtime);    
        $evyear  = date("Y",$newtime);
    }
        $nowyear = date("Y",$newtime);
        $nowyear = date("Y", mktime(0,0,0,0,0,$nowyear)); 

        $ampmsel_1 = "";
        $ampmsel_2 = "";
        
        $evampm    = strtoupper($evampm); 
        
		$evampm == "AM" ? $ampmsel_1 = "selected" : $ampmsel_2 = "selected";

	switch($repeat)
	{
		case  "n" : $n_sel = "checked";
		break;
		case  "d" : $d_sel = "checked";
		break;
		case  "w" : $w_sel = "checked";
		break;
		case  "m" : $m_sel = "checked";
		break;
		case  "y" : $y_sel = "checked";
		break;
		default   : $n_sel ="checked";
		break;
    }    
    
    if ($times == "")
        $times = 1;
?>
<br />

<form method="post" action="<?php echo "index$sfx?sx=$sx&m=calendar&p=addevent"; ?>">
<input type="hidden" name="id" value="<?php echo "$id"; ?>" >
<input type="hidden" name="link_id" value="<?php echo "$link_id"; ?>" >

<table bgcolor="#ffffff" cellspacing="0" cellpadding="0" border="0">
<tr>
<td align="center" valign="middle">

<table cellspacing="1" cellpadding="4" border="0" >
<tr>
<td bgcolor="#ffffff">

<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td>
<span class="copyright"><?php echo "$L_CALENDAR[160]"; ?></span>
<select class="smpulldown" name="evmonth">
<?php

// CREATE THE MONTH MENU
$n =0;
$monthnum = 1;

	for($i=0;$i<12;$i++) 
	{
		if (strlen($monthnum) ==1) $monthnum = "0" . $monthnum;

		switch($monthnum)
		{
			case "01" : $showmonth = "$L_CALENDAR[312]"; 
			break;
			case "02" : $showmonth = "$L_CALENDAR[313]"; 
			break;
			case "03" : $showmonth = "$L_CALENDAR[314]"; 
			break;
			case "04" : $showmonth = "$L_CALENDAR[315]"; 
			break;
			case "05" : $showmonth = "$L_CALENDAR[316]"; 
			break;
			case "06" : $showmonth = "$L_CALENDAR[317]"; 
			break;
			case "07" : $showmonth = "$L_CALENDAR[318]"; 
			break;
			case "08" : $showmonth = "$L_CALENDAR[319]"; 
			break;
			case "09" : $showmonth = "$L_CALENDAR[320]"; 
			break;
			case "10" : $showmonth = "$L_CALENDAR[321]"; 
			break;
			case "11" : $showmonth = "$L_CALENDAR[322]"; 
			break;
			case "12" : $showmonth = "$L_CALENDAR[323]"; 
			break;
		}    
     
	echo "<option"; $monthsel = ($monthnum == $evmonth) ? "selected" : ""; 
	echo " value=\"$monthnum\" $monthsel>$showmonth</option>\r\n";

	$monthnum = $monthnum +1;
	$n = $n +1;
	
	}
?>
</select>

<select class="smpulldown" name="evday">
<?php

// CREATE THE DAY MENU

	for($nowday =1;$nowday <32;$nowday ++) 
	{
		if (strlen($nowday) ==1) $nowday = "0" . $nowday;
		
		echo "<option"; $daysel = ($nowday == $evday) ? "selected" : ""; 
		echo " value=\"$nowday\" $daysel>$nowday</option>\r\n";
	}
?>
</select>

<select class="smpulldown" name="evyear">
<?php

// CREATE THE YEAR MENU

	for($i=0; $i<5; $i++) 
	{
		echo "<option"; $yearsel = ($nowyear == $evyear) ? "selected" : ""; 
		echo " value=\"$nowyear\" $yearsel>$nowyear</option>\r\n";
	
		$nowyear = $nowyear +1;
	}
?>
</select>

</td><td align="right">

<span class="copyright"><?php echo "$L_CALENDAR[165]"; ?></span>

<select class="smpulldown" name="evhour">
<option value=""><?php echo "$L_CALENDAR[220]"; ?></option>
<?php

// CREATE THE HOUR MENU

	for($nowhour =1;$nowhour <13;$nowhour ++) 
	{
		$vhour = $nowhour;
	
		if (strlen($vhour) ==1) $vhour = "0" . $vhour;
	
		echo "<option"; $hoursel = ($nowhour == $evhour) ? "selected" : ""; 
		echo " value=\"$vhour\" $hoursel>$nowhour</option>\r\n";
	}
?>
</select>

<select class="smpulldown" name="evmin">
<option value=""><?php echo "$L_CALENDAR[225]"; ?></option>
<?php

// CREATE THE HOUR MENU

	for($nowmin =0;$nowmin <60;$nowmin += 5) 
	{
		if (strlen($nowmin) ==1) $nowmin = "0" . $nowmin;
	
		echo "<option"; $minsel = ($nowmin == $evmin) ? "selected" : ""; 
		echo " value=\"$nowmin\" $minsel>$nowmin</option>\r\n";
	}
?>
</select>

<select class="smpulldown" name="evampm">
<option value="am" <?php echo "$ampmsel_1"; ?>><?php echo "$L_CALENDAR[230]"; ?></option>
<option value="pm" <?php echo "$ampmsel_2"; ?>><?php echo "$L_CALENDAR[235]"; ?></option>
</select>

</td>
</tr>
</table>

</td>
</tr><tr>
<td valign="center" align="right" bgcolor="#ffffff">

<table cellpadding="0" cellspacing="0" border="0" align="right">
<tr>
<td align="right"><div class="text9" align="right"><b><?php echo "$L_CALENDAR[170]"; ?></b> &nbsp;</div></td>
<td align="right"><input type="text" name="title" size="75" class="box350" value="<?php echo stripslashes(htmlspecialchars($title)); ?>"></td>
</tr>
</table>

</td>
</tr><tr>
<td valign="top"  bgcolor="#ffffff">
<div class="text9"><b><?php echo "$L_CALENDAR[175]"; ?></b><br /></div>
<textarea name="description" class="textarea" rows="10" cols="<?php echo "$GLOBALS[t_area_one]"; ?>" wrap="virtual"><?php echo stripslashes(htmlspecialchars($description)); ?></textarea>
</div>
</td>
</tr><tr>
<td  bgcolor="#ffffff" align="left">
<div class="text10"><?php echo "$L_CALENDAR[180]"; ?>&nbsp;&nbsp; <?php echo "$L_CALENDAR[185]"; ?>&nbsp;<input type="radio" name="repeat" value="n" <?php echo "$n_sel"; ?>>&nbsp;&nbsp;&nbsp;<?php echo "$L_CALENDAR[186]"; ?>&nbsp;<input type="radio" name="repeat" value="d" <?php echo "$d_sel"; ?>>&nbsp;&nbsp;&nbsp;<?php echo "$L_CALENDAR[187]"; ?>&nbsp;<input type="radio" name="repeat" value="w" <?php echo "$w_sel"; ?>>&nbsp;&nbsp;&nbsp;<?php echo "$L_CALENDAR[190]"; ?>&nbsp;<input type="radio" name="repeat" value="m" <?php echo "$m_sel"; ?>>&nbsp;&nbsp;&nbsp;<?php echo "$L_CALENDAR[195]"; ?>&nbsp;<input type="radio" name="repeat" value="y" <?php echo "$y_sel"; ?>>&nbsp;&nbsp;&nbsp;&nbsp;<?php echo "$L_CALENDAR[200]"; ?> &nbsp;<input type="text" name="times" value="<?php echo "$times"; ?>" size="4" maxlength="3" class="box20">&nbsp;<?php echo "$L_CALENDAR[205]"; ?></div>
</td>
</tr><tr>
<td colspan="2" bgcolor="#ffffff" align="center">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
<td align="left"><br />
<?php
if ($id =="") 
{
?>
<input type="submit" name="add_event" value=" <?php echo "$L_CALENDAR[210]"; ?> " class="button">
<?php
}
else 
{
?>
<input type="submit" name="update_event" value=" <?php echo "$L_CALENDAR[215]"; ?> " class="button">
<?php
}
?>
</td>
</tr>
</table>
</td>
<?php table_bot(); ?>  
</form>
<?php
}
// END



//	----------------------------------------------
//	 ADD AN EVENT 
//	----------------------------------------------

function add_event( $id, 
					$title,
					$description,
					$evmonth,
					$evday,
					$evyear,
					$evhour,
					$evmin,
					$evampm,
					$repeat,
					$times)
{
	global $db_events, $L_CALENDAR, $DB, $SHARED;

	if ($title == "") 
	{
       error_message("You left some of the form fields empty");
       add_event_form($id="",$title,$description,$evmonth,$evday,$evyear,$evhour,$evmin,$evampm,$repeat,$times);
       end_content_wrapper();
       footer();  
       exit;
	}
	
    $title  = trim(strip_tags(stripslashes($title)));      	 	
    $title  = special_char_decode(addslashes($title));

    if ($SHARED->get_pref("auto_pmcode_events") == "yes")
        $description  = addslashes(pmcode_url_encode($description));   
    else
        $description  = addslashes($description);   

	if (strtolower($evampm) == "pm") 
	{
		if ($evhour < 12)
			$evhour = $evhour + 12;
	}
	else
	{
        if ($evhour == "12")
            $evhour =  "00";
	}
		
		$show_time =1;
		
	if ($evhour == "") 
	{
		$evhour = 0;
		$evmin = 0;
		$show_time = 0;
	}
	
	if ($evmin == "") 
	{
		$evhour = 0;
		$evmin = 0;
		$show_time = 0;
	}

	if (substr($evhour ,0,1) ==0) $evhour = substr($evhour , 1,1);

	$t_stamp = mktime ($evhour,$evmin,0,$evmonth,$evday,$evyear);

    mt_srand((double) microtime() * 1000000);
    $link_id = uniqid(mt_rand());

	if (!eregi("^[[:digit:]]+$", $times)) 
	{
		$times = 1;
		$repeat = "n";
	}

	if ($times == 0) 
	{
		 $times = 1;
		 $repeat = "n";
	}
	if ($times == "")
		$times = 1;
	if ($repeat == "n")
		$times = 1;

	for ($i=0; $i < $times; $i++) 
	{
      
	$query = new DB_query($DB, "insert into $db_events (id,link_id,repeat,t_stamp,year,month,day,show_time,title,description)
	values ('','$link_id','$repeat','$t_stamp','$evyear','$evmonth','$evday','$show_time','$title','$description')"); 
 
	switch($repeat)
	{
		case "d" : $evday = $evday +1;		
				if (strlen($evday) ==1) $evday = "0"."$evday";
		break;
		case "w" : $evday = $evday +7;
				if (strlen($evday) ==1) $evday = "0"."$evday";
		break;
		case "m" : $evmonth = $evmonth +1;
				if (strlen($evmonth) ==1) $evmonth = "0"."$evmonth";
		break;
		case "y" : $evyear = $evyear +1;
		break;
	}
 
	$t_stamp = mktime ($evhour,$evmin,0,$evmonth,$evday,$evyear);

	$evmonth = date("m",$t_stamp);
	$evday 	 = date("d",$t_stamp);
	$evyear	 = date("Y",$t_stamp);
}
?>
<br />
<div class="text11green"><b><?php echo "$L_CALENDAR[240]"; ?></b></div>
<?php
}
// END


//	----------------------------------------------
//	 UPDATE AN EVENT
//	----------------------------------------------

function update_event($id,
					  $title,
					  $description,
					  $evmonth,
					  $evday,
					  $evyear,
					  $evhour,
					  $evmin,
					  $evampm,
					  $repeat,
					  $times,
					  $link_id)
{
	global $db_events, $L_CALENDAR, $DB, $SHARED;

	if  ($title == "") 
	{
       error_message("You left some of the form fields empty");
       add_event_form($id,$title,$description,$evmonth,$evday,$evyear,$evhour,$evmin,$evampm,$repeat,$times,$link_id);
       end_content_wrapper();
       footer();  
       exit;
	}
        $title  = trim(strip_tags(stripslashes($title)));      	 	
        $title  = special_char_decode(addslashes($title));

    if ($SHARED->get_pref("auto_pmcode_events") == "yes")
        $description  = addslashes(pmcode_url_encode($description));   
    else
        $description  = addslashes($description);   

	if (strtolower($evampm) == "pm") 
	{
		if ($evhour < 12)
			$evhour = $evhour + 12;
	}
	else
	{
        if ($evhour == "12")
            $evhour =  "00";
	}

		$show_time =1;
	if ($evhour =="") 
	{
		$evhour = 0;
		$evmin = 0;
		$show_time = 0;
	}
	if ($evmin =="") 
	{
		$evhour = 0;
		$evmin = 0;
		$show_time = 0;
	}
	
	if (substr($evhour ,0,1) ==0) $evhour = substr($evhour , 1,1);
	 
	$t_stamp = mktime ($evhour,$evmin,0,$evmonth,$evday,$evyear);

	if (!eregi("^[[:digit:]]+$", $times)) 
	{
		$times = 0;
		$repeat = "n";
	}
	if ($times == "")
		$times = 0;
	if ($repeat == "n")
		$times = 0;
	if ($times == 0)
		$repeat = "n";

	$query = new DB_query($DB, "update $db_events set t_stamp = '$t_stamp',repeat = '$repeat',year = '$evyear',month = '$evmonth',day = '$evday',show_time = '$show_time',title = '$title',description = '$description' where id = '$id'");
 	unset($query);
 	
 	$query = new DB_query($DB, "delete from $db_events where link_id = '$link_id' and t_stamp > '$t_stamp'"); 
	unset($query);

	switch($repeat)
	{
		case "d" : $evday = $evday +1;		
				if (strlen($evday) ==1) $evday = "0"."$evday";
		break;
		case "w" : $evday = $evday +7;
				if (strlen($evday) ==1) $evday = "0"."$evday";
		break;
		case "m" : $evmonth = $evmonth +1;
				if (strlen($evmonth) ==1) $evmonth = "0"."$evmonth";
		break;
		case "y" : $evyear = $evyear +1;
		break;
	}
	
    $evmonth = date("m",$t_stamp);
    $evday = date("d",$t_stamp);
    $evyear = date("Y",$t_stamp);

	$t_stamp = mktime ($evhour,$evmin,0,$evmonth,$evday,$evyear);

	for ($i=1; $i < $times; $i++) 
	{
      $query = new DB_query($DB, "insert into $db_events (id,link_id,repeat,t_stamp, year,month,day,show_time,title, description) values ('', '$link_id','$repeat','$t_stamp','$evyear','$evmonth','$evday','$show_time','$title','$description')"); 
  
		switch($repeat)
		{
			case "d" : $evday = $evday +1;		
					if (strlen($evday) ==1) $evday = "0"."$evday";
			break;
			case "w" : $evday = $evday +7;
					if (strlen($evday) ==1) $evday = "0"."$evday";
			break;
			case "m" : $evmonth = $evmonth +1;
					if (strlen($evmonth) ==1) $evmonth = "0"."$evmonth";
			break;
			case "y" : $evyear = $evyear +1;
			break;
		}  

		$t_stamp = mktime ($evhour,$evmin,0,$evmonth,$evday,$evyear);

		$evmonth = date("m",$t_stamp);
		$evday = date("d",$t_stamp);
		$evyear = date("Y",$t_stamp);
	}
	
?>
<br />
<div class="text11green"><b><?php echo "$L_CALENDAR[245]"; ?></b></div>
<?php
}
// END



//	----------------------------------------------
//	 VIEW EVENTS FOR A PARTICULAR DAY
//	----------------------------------------------

function view_event($id)
{
	global $db_events, $L_CALENDAR, $sx, $sfx, $DB;

    $year = substr($id,0,4);
    $month = substr($id,4,2);
    $day = substr($id,6,2);
    
	$nmonth = translate_numeric_months($month); 
   
?>
<br />
<div class="heading"><?php echo $nmonth; ?> <?php echo $day; ?>, <?php echo $year; ?></div>

<br />

<table cellpadding="5" cellspacing="0" border="0" width="85%">
<?php
	
	$sql = "select * from $db_events 
			where year = '$year' 
			and month = '$month' 
			and day = '$day' 
			order by t_stamp asc,id asc";
			
	$query = new DB_query($DB, $sql);

    while ($query->db_fetch_array()) 
    {
		$id = $query->row['id'];
	
		$title = stripslashes($query->row['title']);
		$description = stripslashes(pmcode_decode(nl2br($query->row['description'])));
	
		if ($query->row['show_time'] ==1)
			$date = date("Y/m/d  h:i a",$query->row['t_stamp']);
		else
			$date = date("Y/m/d",$query->row['t_stamp']);
?>
<tr>

<td bgcolor="#ffffff" align="right" width="10%"><div class="text9"><b><?php echo "$L_CALENDAR[250]"; ?></b></div></td><td bgcolor="#ffffff" width="90%"><div class="lglinkbluenb"><a href="<?php echo "index$sfx?sx=$sx&m=calendar&p=edit&id=$id"; ?>"><b><?php echo "$title"; ?></b></a></div></td>
</tr><tr>
<td bgcolor="#ffffff" align="right"><div class="text9"><b><?php echo "$L_CALENDAR[255]"; ?></b></div></td><td bgcolor="#ffffff"><div class="text11"><?php echo "$date"; ?></div></td>
</tr><tr>
<td bgcolor="#ffffff" align="right" valign="top"><div class="smlinkbluenb" align="right"><a href="<?php echo "index$sfx?sx=$sx&m=calendar&p=delconf&id=$id"; ?>"><b><?php echo "$L_CALENDAR[258]"; ?></b></a></div>
</td><td bgcolor="#ffffff"><div class="text11">
<?php echo "$description"; ?></div>
<hr size="1" color="#cccccc">
</td>
</tr>
<?php
 }
?>
</table>

<br /><br />
<div class="smlinkblue"><a href="javascript:history.go(-1)" ><?php echo "$L_CALENDAR[260]"; ?></a></div>
<?php
}
// END



//	----------------------------------------------
//	 EVENT DELETE CONFIRM 
//	----------------------------------------------

function event_delete_confirm($id)
{
	global $L_CALENDAR,$sx,$sfx;
?>
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=calendar&p=delete_event"; ?>">
<input type="hidden" name="id" value="<?php echo "$id"; ?>" >
<div class="text11red"><b><nobr><?php echo "$L_CALENDAR[265]"; ?></b></div>
<br /><br />
<input type="submit" value=" <?php echo "$L_CALENDAR[270]"; ?> " class="button">
<form>
<?php	
}
// END


//	----------------------------------------------
//	 EVENT DELETE 
//	----------------------------------------------

function event_delete($id)
{
	global $db_events, $L_CALENDAR, $DB;
  
	$query = new DB_query($DB, "delete from $db_events where id = '$id'"); 
?>
<br />
<div class="text11green"><b><?php echo "$L_CALENDAR[275]"; ?></b></div>
<?php
}
// END
?>