<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//      MEMBER TOTALS - FOR VIEW MEMBERS PAGE
//	----------------------------------------------

function total_members($group='')
{
	global $db_members, $DB;
	
	$sql = "select count(*) as count from $db_members ";
	
	if ($group == "" || $group == "all" || $group == "tall")
		$sql .= " where status > '0' ";
	else
		$sql .= "where status = '$group'";
	
	$query = new DB_query($DB, $sql);

	$query->db_fetch_array();
	
	echo $query->row['count'];
}
// END


//	----------------------------------------------
//      STATS FOR MAIN CONTROL PANEL SCREEN
//	----------------------------------------------

function show_cp_stats($which) 
{
	global $db_weblog,$db_comments,$db_members,$db_authors,$db_mailinglist;
	global $db_ipbanning, $DB, $SHARED;

    $newtime = $SHARED->get_offset_time();
	
	$today = date("d",$newtime);

	$month = date("m",$newtime);
	
	$sql = "select count(*) as count from ";
	
	$flag = "count";
	
switch($which)
{
	case "weblog_recent" : 
		  unset($sql);
		  $sql = "select t_stamp from $db_weblog order by post_id desc limit 0,1";
		  $flag = "date";
	break;
	case "comments_recent" : 
		  unset($sql);
		  $sql = "select t_stamp from $db_comments WHERE status = 'open' AND preview = '0' order by comment_id desc limit 1";
		  $flag = "date";
	break;	
	case "weblog" : 
		  $sql .= "$db_weblog";
	break;
	case "weblog_open" : 
		  $sql .= "$db_weblog where status = 'open' AND preview = '0'";
	break;
	case "weblog_closed" : 
		  $sql .= "$db_weblog where status = 'closed' AND preview = '0'";
	break;
	case "comments" : 
		  $sql .= "$db_comments WHERE status = 'open' AND preview = '0'";
	break;
	case "closed_comments" : 
		  $sql .= "$db_comments WHERE status = 'closed' AND preview = '0'";
	break;
	case "members_total" : 
		  $sql .= "$db_members";
	break;		
	case "members_active" : 
		  $sql .= "$db_members where status = '3'";
	break;		
	case "members_pending" : 
		  $sql .= "$db_members where status = '2'";
	break;		
	case "members_admins" : 
		  $sql .= "$db_members where status >= '7'";
	break;	
	case "banned_ips" : 
		  $sql .= "$db_ipbanning";
	break;	
	case "mailinglist" : 
		  $sql .= "$db_mailinglist";
	break;	 
	case "today_birthdays" : 
		  $sql .= "$db_members where bday_month = '$month' and bday_day = '$today'";
	break;	 
	case "thismonth_birthdays" : 
		  $sql .= "$db_members where bday_month = '$month'";
	break;
} 

	$query = new DB_query($DB, $sql);
	
	if ($query->db_num_rows() == 0)
	{
		echo ' -- ';
		return;
	}
	
	$query->db_fetch_array();
	
	switch($flag)
	{
		case "count" : echo $query->row['count'];
		break;
		case "date" :  echo  date("Y/m/d g:i A", $query->row['t_stamp']);
		break;
		case "hits" :  echo $query->row['hit_count'];
		break;	
	}
}
// END



//	----------------------------------------------
//      DISPLAY STATISTICS
//	----------------------------------------------

function show_all_cp_stats() 
{
	global $use_session_id, $member_code, $db_members, $db_session;
	global $L_STATS, $L_CALENDAR, $sx, $sfx, $DB, $SHARED;       

	if ($use_session_id == 1) 
	{
		$sql = "select member_id from $db_session where session_id = '$sx'"; 
		$query = new DB_query($DB, $sql);                                                      
		$query->db_fetch_object();
		$member_code = $query->obj->member_id;
		
		unset($sql);
		unset($query);
	}
        
	$query = new DB_query($DB, "select signature from $db_members where member_id = '$member_code'");
	$query->db_fetch_array();
	$name = $query->row['signature'];

	$newtime = $SHARED->get_offset_time();
	
	$month = date("F",$newtime);
	$date  = date("d, Y - g:i A",$newtime);
	
	$nmonth = translate_alpha_months($month); 
	$today = "$nmonth"." $date";
?>
<table cellpadding="0" cellspacing="4" border="0">
<tr>
<td colspan="2" align="right"><div class="text10grey"> &nbsp; <?php echo "$L_STATS[100]"; ?> <a href="<?php echo "index$sfx?sx=$sx&m=members&p=self"; ?>"><?php echo stripslashes($name); ?></a></div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td colspan="2"><div class="text10grey"> &nbsp; <?php echo "$today"; ?></div></td>
</tr>
<?php
if (get_user_status() >= 10)
{
?>
<tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[105]"; ?> &nbsp; </div></td><td align="left"><div class="text9"><?php show_cp_stats("weblog_recent"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td ><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[110]"; ?> &nbsp; </div></td><td align="left"><div class="text9"> <?php show_cp_stats("comments_recent"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[115]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("weblog_open"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[120]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("weblog_closed"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[125]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("comments"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[185]"; ?>:  &nbsp; </div></td><td align="left"><div class="text11"><a href="<?php echo "index$sfx?sx=$sx&m=weblog&p=closed_comments"; ?>"><?php show_cp_stats("closed_comments"); ?></a> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr>
<?php

}

if (get_user_status() >= 10)
{
?>
<tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[128]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("members_admins"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[130]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("members_active"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[135]"; ?> &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("members_pending"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr>
<?php
}
if (get_user_status() >= 11)
{
?>
<tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[140]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("mailinglist"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[145]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("banned_ips"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[150]"; ?>  &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("thismonth_birthdays"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo "$L_STATS[155]"; ?> &nbsp; </div></td><td align="left"><div class="text11"><?php show_cp_stats("today_birthdays"); ?> &nbsp; </div></td>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr>
<?php
}
?>
</table>
<?php
}	
// END




//	----------------------------------------------
//      HIT COUNTER STATISTICS
//	----------------------------------------------

function hit_counter_stats() 
{
	global $db_hit_counter, $L_STATS, $sx, $sfx, $DB;

?>
<br />
<table cellpadding="0" cellspacing="4" border="0">
<tr>
<td><div class="text10grey"> &nbsp; <?php echo "$L_STATS[165]"; ?>&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
<td><div class="text10grey"><?php echo "$L_STATS[160]"; ?></div></td>

<?php
 
	$query = new DB_query($DB, "select title, hit_count from $db_hit_counter ");  
	
	$total = 0;
	$rtot = 0;
	                                                 
	while ($query->db_fetch_object())
	{
		$counter = $query->obj->title;
		$count = $query->obj->hit_count;

		$rtot = $total + $count;
     		
		$total = $rtot;
		
		if ($counter == "hitcounter")
		{
			$counter = $L_STATS['170'];
		}		
?>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10"><nobr> &nbsp; <?php echo $counter; ?></div></td><td align="right"><div class="text11"><?php echo $count; ?></div></td>
<?php
			$counter = '';
		}
	
	if ($query->db_num_rows() > 1)
	{
?>
</tr><tr>
<td colspan="2" background="./images/spcr_vrt.gif" height="1"><img src="./images/spcr_vrt.gif" border="0" height="1" width="1" alt=" "></td>
</tr><tr>
<td><div class="text10grey"><nobr> &nbsp; <?php echo $L_STATS['175']; ?></div></td><td align="right"><div class="text11"><?php echo $total; ?></div></td>
<?php
	}
?>
</tr>
</table>
<?php
}	
// END


// --------------------------------
//  Recount Weblog Statistics
// --------------------------------

function recount_weblog_statistics()
{
	global $SHARED, $DB, $db_weblog, $db_members, $L_STATS;
	global $db_trackback, $db_comments, $db_pingback;

	$query = new DB_query($DB, "SELECT post_id FROM $db_weblog ORDER BY post_id");
	
	while($query->db_fetch_array())
	{
		$results = new DB_query($DB, "SELECT COUNT(comment_id) AS count FROM $db_comments WHERE status = 'open' AND preview = '0' AND post_id = '".$query->row['post_id']."'");
		$results->db_fetch_object();
		$comment_count = $results->obj->count;
		
		$last_update = '0';
		
		if ($comment_count > 0)
		{
			$results = new DB_query($DB, "SELECT t_stamp FROM $db_comments 
										   WHERE status = 'open' 
										   AND preview = '0' 
										   AND post_id = '".$query->row['post_id']."' 
										   ORDER BY t_stamp DESC LIMIT 0, 1");
			$results->db_fetch_object();
			$last_update = $results->obj->t_stamp;
		}
		
		$results = new DB_query($DB, "SELECT COUNT(id) AS count FROM $db_trackback WHERE post_id = '".$query->row['post_id']."'");
		$results->db_fetch_object();
		$trackback_count = $results->obj->count;
		
		$results = new DB_query($DB, "SELECT COUNT(id) AS count FROM $db_pingback WHERE post_id = '".$query->row['post_id']."'");
		$results->db_fetch_object();
		$pingback_count = $results->obj->count;
		
		$results = new DB_query($DB, "UPDATE $db_weblog 
									   SET 
									   c_total = '{$comment_count}', 
									   tb_total = '{$trackback_count}', 
									   c_date = '{$last_update}',
									   pb_total = '{$pingback_count}'
									   WHERE post_id = '".$query->row['post_id']."'");
	}
	
	?>
	<br />
	<div class="text11green"><b><?php echo $L_STATS['180']; ?></b></div>
	<br />
	<?php
}
// END


// --------------------------------
//  Recount Member Statistics
// --------------------------------

function recount_member_statistics()
{
	global $SHARED, $DB, $db_weblog, $db_members;
	global $db_comments, $L_STATS;
	
	$query = new DB_query($DB, "SELECT id FROM $db_members ORDER BY member_id");
	
	while($query->db_fetch_array())
	{
		$results = new DB_query($DB, "SELECT COUNT(comment_id) AS count FROM $db_comments WHERE status = 'open' AND preview = '0' AND member_id = '".$query->row['id']."'");
		$results->db_fetch_object();
		$comment_count = $results->obj->count;
		
		$last_update = '0';
		
		if ($comment_count > 0)
		{
			$results = new DB_query($DB, "SELECT t_stamp FROM $db_comments WHERE status = 'open' AND preview = '0' AND member_id = '".$query->row['id']."' ORDER BY t_stamp DESC LIMIT 0, 1");
			$results->db_fetch_object();
			$last_update = $results->obj->t_stamp;
		}
		
		$results = new DB_query($DB, "SELECT COUNT(post_id) AS count FROM $db_weblog WHERE member_id = '".$query->row['id']."'");
		$results->db_fetch_object();
		$weblog_count = $results->obj->count;
		
		$results = new DB_query($DB, "UPDATE $db_members 
									   SET 
									   numentries = '{$weblog_count}', 
									   numcomments = '{$comment_count}', 
									   lastpost = '{$last_update}'
									   WHERE id = '".$query->row['id']."'");
	}
	
	?>
	<br />
	<div class="text11green"><b><?php echo $L_STATS['180']; ?></b></div>
	<br />
	<?php	
}
// END


?>