<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//		WEBLOG TEMPLATES 
//	----------------------------------------------

function populate_weblog_templates($weblog="") 
{
    global $dbprefix, $DB;

$error="0";


// MASTER DATE HEADER TEMPLATE
$body = "<h2>%%D%% %%M%% %%d%%, %%Y%%</h2>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '05', '$weblog', '10', '01', '090','$body', '$body', '3')","0"); if (!$add->result) $error =1;
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '08', '$weblog', '53', '01', '405','$body', '$body', '3')","0"); if (!$add->result) $error =1;

// WEBLOG DISPLAY TEMPLATE
$body = "
<div class=\"weblog\">
<h3>%%title%%</h3>

<p>
%%body%%

%%more_link%%
</p>

<div class=\"author\">Posted by: %%if_url_or_email_as_name%% 

on %%date%% | <a href=\"%%profile_link%%\">Profile</a></div>

<br />

%%comments_link%%

[%%trackback_total%%] <a href=\"\" onclick=\"window.open(\'%%trackback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;\">Trackbacks</a>&nbsp;&nbsp;

[%%pingback_total%%] <a href=\"\" onclick=\"window.open(\'%%pingback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;\">Pingbacks</a>

</div>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '10', '$weblog', '10', '02', '100', '$body', '$body', '20')","0"); if (!$add->result) $error =1;
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '15', '$weblog', '53', '02', '410', '$body', '$body', '20')","0"); if (!$add->result) $error =1;

// WEBLOG COMMENTS TEMPLATE 
$body = "[%%comments_total%%] <a href=\"%%comment_url%%\">comments</a> (%%comment_hits%% views)&nbsp;|&nbsp;";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '20', '$weblog', '10', '03', '105','$body', '$body', '3')","0"); if (!$add->result) $error =1;
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '25', '$weblog', '53', '03', '415','$body', '$body', '3')","0"); if (!$add->result) $error =1;

// WEBLOG "MORE" LINK TEMPLATE
$body = "<a href=\"%%more_url%%\">More...</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '30', '$weblog', '10', '04', '110','$body', '$body', '3')","0"); if (!$add->result) $error =1;
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '35', '$weblog', '53', '04', '420','$body', '$body', '3')","0"); if (!$add->result) $error =1;

// WEBLOG SPACER TEMPLATE 
$body = "";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '40', '$weblog', '10', '05', '115', '$body', '$body','7')","0"); if (!$add->result) $error =1;
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '45', '$weblog', '53', '05', '425', '$body', '$body','7')","0"); if (!$add->result) $error =1;

// WEBLOG NEXT/PREV TEMPLATE
$body = "
<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"90%\">
<tr>
<td>%%weblog_prev_page%%</td>
<td align=\"right\">%%weblog_next_page%%</td>
</tr>
</table>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '50', '$weblog', '10', '06', '120', '$body','$body', '7')","0"); if (!$add->result) $error =1;

// WEBLOG PREVIOUS LINK TEMPLATE
$body = "<a href=\"%%prev_url%%\">PREV page</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '60', '$weblog', '10', '07', '125', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// WEBLOG "NEXT" LINK TEMPLATE
$body = "<a href=\"%%next_url%%\">NEXT page</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '70', '$weblog', '10', '08', '130', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// WEBLOG NO CATEGORY MESSAGE
$body = "<h5>There are no weblog entries assigned to this category.</h5>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '75', '$weblog', '10', '09', '135', '$body', '$body', '3')","0"); if (!$add->result) $error =1;



// WEBLOG SINGLE ENTRY DISPLAY TEMPLATE
$body = "
<div class=\"weblog\">
<h3>%%title%%</h3>

<p>%%body%%</p>

<h4>MORE...</h4>

<p>%%more%%</p>

<br />

<div class=\"author\">Posted by: %%if_url_or_email_as_name%% on %%date%% | <a href=\"%%profile_link%%\">Profile</a></div>
</div>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '80', '$weblog', '20', '01', '140', '$body', '$body', '15')","0"); if (!$add->result) $error =1;

// WEBLOG SINGLE ENTRY (ALT) DISPLAY TEMPLATE
$body = "
<div class=\"weblog\">
<h3>%%title%%</h3>

<p>%%body%%</p>

<h4>MORE...</h4>

<p>%%more%%</p>

<br />

<div class=\"author\">Posted by: %%if_url_or_email_as_name%% on %%date%% | <a href=\"%%profile_link%%\">Profile</a></div>
</div>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '85', '$weblog', '20', '02', '145', '$body', '$body', '15')","0"); if (!$add->result) $error =1;


// WEBLOG SINGLE ENTRY (ALT 2) DISPLAY TEMPLATE
$body = "";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '86', '$weblog', '20', '03', '146', '$body', '$body', '15')","0"); if (!$add->result) $error =1;


// WEBLOG SINGLE ENTRY (ALT 3) DISPLAY TEMPLATE
$body = "";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '87', '$weblog', '20', '04', '147', '$body', '$body', '15')","0"); if (!$add->result) $error =1;



// WEBLOG HEADLINES TEMPLATE
$body = "<a href=\"%%comment_url%%\">%%title%%</a>

<p>%%body%%</p>

<br /><br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '90', '$weblog', '25', '01', '150', '$body', '$body', '15')","0"); if (!$add->result) $error =1;

// WEBLOG ALT HEADLINES TEMPLATE
$body = "";

$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '91', '$weblog', '25', '02', '151', '$body', '$body', '15')","0"); if (!$add->result) $error =1;


// ARCHIVE MONTH NAMES TEMPLATE 
$body = "<a href=\"%%archive_url%%\">%%month_long_ucf%% %%year_long%%</a><br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '250', '$weblog', '55', '01', '200', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// ARCHIVE HEADING TEMPLATE 
$body = "Archives: %%month_long%% %%year_long%%";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '260', '$weblog', '55', '02', '205', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// ARCHIVE SUMMARY HEADING 
$body = "<h4>%%month_long_ucf%% %%year_long%%</h4>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '290', '$weblog', '57', '01', '360', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// ARCHIVE SUMMARY BODY 
$body = "<a href=\"%%comment_url%%\">%%title%%</a><br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '300', '$weblog', '57', '02', '365', '$body', '$body', '6')","0"); if (!$add->result) $error =1;

// ARCHIVE SUMMARY SPACER 
$body = "<br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '310', '$weblog', '57', '03', '370', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// CATEGORY SUMMARY HEADING 
$body = "<h4>%%category%%</h4>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '320', '$weblog', '58', '01', '430', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// CATEGORY SUMMARY BODY 
$body = "<a href=\"%%comment_url%%\">%%title%%</a><br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '330', '$weblog', '58', '02', '435', '$body', '$body', '6')","0"); if (!$add->result) $error =1;

// CATEGORY SUMMARY SPACER 
$body = "<br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '340', '$weblog', '58', '03', '440', '$body', '$body', '3')","0"); if (!$add->result) $error =1;


// COMMENTS DISPLAY TEMPLATE
$body = "
<div class=\"weblog\">

<p>%%body%%</p>

<br />

<div class=\"author\">Posted by: %%if_url_or_email_as_name%% on %%date%%</div>
</div>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '120', '$weblog', '40', '01', '155', '$body', '$body', '15')","0"); if (!$add->result) $error =1;

// COMMENT SPACER TEMPLATE 
$body = "";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '160', '$weblog', '40', '05', '160', '$body', '$body', '7')","0"); if (!$add->result) $error =1;

// COMMENT "NEXT/PREV" NAV TEMPLATE 
$body = "
<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"90%\">
<tr>
<td>%%comment_prev_page%%</td>
<td align=\"right\">%%comment_next_page%%</td>
</tr>
</table>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '170', '$weblog', '40', '06', '165', '$body', '$body', '7')","0"); if (!$add->result) $error =1;

// COMMENT PREVIOUS LINK TEMPLATE 
$body = "<a href=\"%%prev_url%%\">PREV page</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '180', '$weblog', '40', '07', '170', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// COMMENT NEXT LINK TEMPLATE 
$body = "<a href=\"%%next_url%%\">NEXT page</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '190', '$weblog', '40', '08', '175', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// COMMENT FORM - NO REG TEMPLATE 
$body = <<<EOT
<h5>name</h5>
<input type="text" name="name" class="input" size="30" maxlength="60" value="%%my_name%%" />
<h5>Email</h5>
<input type="text" name="email" class="input" size="30" maxlength="60" value="%%my_email%%" />
<h5>Location</h5>
<input type="text" name="location" class="input" size="30" maxlength="60" value="%%my_location%%" />
<h5>Homepage</h5>
<input type="text" name="url" class="input" size="30" maxlength="60" value="%%my_url%%" /><br /><br />
<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>
<h5>
Show email <input type="checkbox" name="show_email" value="yes" %%show_email%% /> &nbsp;
Remember me <input type="checkbox" name="save" value="yes" checked="checked" />
<br /><br />
Notify me when someone replies to this post?
<input type="checkbox" name="notify" value="yes" %%notify%% />
</h5>
<br /><br />


{if captcha}
Submit the word you see below:<br /><br />
%%captcha%%
<br />
<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />
{/if}
<br /><br />
<input type="submit" name="submit" class="button" value=" SUBMIT " /> 
<input type="submit" name="preview" class="button" value=" PREVIEW " />
EOT;

$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '200', '$weblog', '50', '01', '180', '".$DB->escape_str($body)."', '".$DB->escape_str($body)."', '22')","0"); if (!$add->result) $error =1;

// COMMENT FORM - REG TEMPLATE 
$body = <<<EOT
<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>

<br /><br />

Notify me when someone replies to this post?
<input type="checkbox" name="notify" value="yes" %%notify%%  />

<br /><br />

{if captcha}
Submit the word you see below:<br /><br />%%captcha%%
<br />
<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />
{/if}
<br /><br />

<input type="submit" name="submit" class="button" value=" SUBMIT " /> 
<input type="submit" name="preview" class="button" value=" PREVIEW " />
EOT;

$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '210', '$weblog', '50', '02', '185', '".$DB->escape_str($body)."', '".$DB->escape_str($body)."', '22')","0"); if (!$add->result) $error =1;

// RETURN TO WEBLOG TEMPLATE 
$body = "<a href=\"%%return_to_weblog_or_archive_url%%\">WEBLOG</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '230', '$weblog', '60', '01', '190', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// RETURN TO ARCHIVES TEMPLATE 
$body = "<a href=\"%%return_to_weblog_or_archive_url%%\">ARCHIVES</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '240', '$weblog', '60', '02', '195', '$body', '$body', '3')","0"); if (!$add->result) $error =1;


// COLLECTIVE ENTRY FORM - NO REG REQUIRED 
$body = "<h5>name</h5>
<input type=\"text\" name=\"name\" class=\"input\" size=\"30\" maxlength=\"60\" value=\"%%my_name%%\" />
<h5>Email</h5>
<input type=\"text\" name=\"email\" class=\"input\" size=\"30\" maxlength=\"60\" value=\"%%my_email%%\" />
<h5>Location</h5>
<input type=\"text\" name=\"location\" class=\"input\" size=\"30\" maxlength=\"60\" value=\"%%my_location%%\" />
<h5>Homepage</h5>
<input type=\"text\" name=\"url\" class=\"input\" size=\"30\" maxlength=\"60\" value=\"%%my_url%%\" />
<h5>Title</h5>
<input type=\"text\" name=\"title\" class=\"input\" size=\"30\" maxlength=\"60\" value=\"%%title%%\" />

<h5>Entry</h5>
<textarea name=\"body\" class=\"textarea\" rows=\"10\" cols=\"40\">%%body%%</textarea>
<h5>
Show email <input type=\"checkbox\" name=\"show_email\" value=\"yes\" %%show_email%% /> &nbsp;
Remember me <input type=\"checkbox\" name=\"save\" value=\"yes\" checked=\"checked\" />
<br /><br />
Notify me when someone replies to this post?
<input type=\"checkbox\" name=\"notify\" value=\"yes\" %%notify%%  />
<br /><br /></h5>

%%categorylist%%

<br /><br />

{if captcha}
Submit the word you see below:<br /><br />
%%captcha%%
<br />
<input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\" style=\"width:140px;\" />
{/if}
<br /><br />

<input type=\"submit\" name=\"submit\" class=\"button\" value=\" SUBMIT \" /> <input type=\"submit\" name=\"preview\" class=\"button\" value=\" PREVIEW \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '270', '$weblog', '80', '01', '230', '$body', '$body', '22')","0"); if (!$add->result) $error =1;


// COLLECTIVE ENTRY FORM - REG TEMPLATE 
$body = "<h5>Title</h5>

<input type=\"text\" name=\"title\" class=\"input\" size=\"30\" value=\"%%title%%\" />

<h5>Entry</h5>

<textarea name=\"body\" class=\"textarea\" rows=\"10\" cols=\"40\">%%body%%</textarea>

<br />

%%categorylist%%

<br /><br />

Notify me when someone replies to this post?
<input type=\"checkbox\" name=\"notify\" value=\"yes\" %%notify%%  />

<br /><br />

{if captcha}
Submit the word you see below:<br /><br />
%%captcha%%
<br />
<input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\" style=\"width:140px;\" />
{/if}
<br /><br />
  
<input type=\"submit\" name=\"submit\" class=\"button\" value=\" SUBMIT \" /> <input type=\"submit\" name=\"preview\" class=\"button\" value=\" PREVIEW \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '280', '$weblog', '80', '02', '235', '$body', '$body', '22')","0"); if (!$add->result) $error =1;



// TRACKBACK TEMPLATES

// HEADER 
$body = "<p>
<b>Trackback URL for this entry:</b>
<br /><br />
<i>%%trackback_url%%</i>
<br /><br />
Trackbacks:
<br /><br />
</p>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '350', '$weblog', '85', '01', '445','$body', '$body', '12')","0"); if (!$add->result) $error =1;

// TRACKBACK BODY

$body = "
<div align=\'center\'><a href=\'%%entry_url%%\'>%%entry_title%%</a></div>
<p>
%%excerpt%%
<br />
<em>Tracked on <a href=\'%%entry_url%%\'>%%blog_name%%</a> on %%M%% %%d%%, %%y%% @ %%g%%:%%i%% %%a%%</em>
%%delete_link%%
</p>
<br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '360', '$weblog', '85', '02', '450', '$body', '$body', '20')","0"); if (!$add->result) $error =1;


// DELETE LINK 
$body = "<br /><br /><a href=\'%%delete_url%%\' style=\'color: #dd0000\'>Delete?</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '370', '$weblog', '85', '03', '455','$body', '$body', '3')","0"); if (!$add->result) $error =1;



// Pingback TEMPLATES


// PINGBACK BODY
$body = "
<p>
<b><a href=\'%%from_url%%\'>%%from_title%%</a></b><br />
%%from_context%%<br />
<em>Pinged on  %%M%% %%d%%, %%y%% @ %%g%%:%%i%% %%a%%</em>
%%delete_link%%
</p>
<br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '380', '$weblog', '90', '01', '460', '$body', '$body', '20')","0"); if (!$add->result) $error =1;


// DELETE LINK 
$body = "<br /><a href=\'%%delete_url%%\' style=\'color: #dd0000\'>Delete?</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '390', '$weblog', '90', '02', '465','$body', '$body', '3')","0"); if (!$add->result) $error =1;


if ($error == 1)
	return false;
else
	return true;
}
// END



//	----------------------------------------------
//		EMAIL TEMPLATES 
//	----------------------------------------------

function populate_email_templates() 
{
 global $dbprefix, $DB;

$error="0";

// CONTACT FORM TEMPLATE 
$body = "<h5>Your Email</h5>
<input type=\"text\" class=\"input\" size=\"30\" name=\"from\" />
<h5>Subject</h5>
<input type=\"text\" class=\"input\" size=\"30\" name=\"subject\"  value=\"%%subject%%\" />
<h5>Message</h5>
<textarea name=\"message\" class=\"textarea\" rows=\"8\" cols=\"18\"></textarea>
<br />
{if captcha}
Submit the word you see below:<br /><br />
%%captcha%%
<br />
<input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\" style=\"width:140px;\" />
{/if}
<br />
<input class=\"button\" type=\"submit\" value=\" SUBMIT \" />
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '10', 'email', '30', '01', '210', '$body', '$body', '18')","0"); if (!$add->result) $error =1;

// MAILING LIST FORM 
$body = "<input type=\"text\" class=\"input\" name=\"email\" size=\"20\" /> <input type=\"submit\" class=\"button\" value=\" SEND \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '30', 'email', '10', '01', '215', '$body', '$body', '6')","0"); if (!$add->result) $error =1;

// BIRTHDAY MESSAGE - SUBJECT 
$body = "Happy Birthday %%name%%!";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '40', 'email', '20', '01', '220', '$body', '$body', '1')","0"); if (!$add->result) $error =1;

// BIRTHDAY MESSAGE - MESSAGE 
$body = "%%name%%,\n\nWishing you the best on your birthday!";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '50', 'email', '20', '02', '225', '$body', '$body', '16')","0"); if (!$add->result) $error =1;

// EMAIL NOTIFICATION - SUBJECT 
$body = "Someone just responded to your post";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '60', 'email', '40', '01', '226', '$body', '$body', '1')","0"); if (!$add->result) $error =1;

// EMAIL NOTIFICATION - MESSAGE
$body = "Someone just responded to the entry you subscribed to at: %%site_name%%.\r\n\r\nThe title of the entry is: %%title%%\r\n\r\nYou can see the full thread here:\n\r\n\r%%entry_url%%";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '70', 'email', '40', '02', '227', '$body', '$body', '16')","0"); if (!$add->result) $error =1;


// TELL-A-FRIEND FORM TEMPLATE 
$body = "<h5>Email address of recipient</h5>
<input type=\"text\" class=\"input\" size=\"20\" name=\"to\" />
<h5>Your name</h5>
<input type=\"text\" class=\"input\" size=\"20\" name=\"name\" />
<h5>Your email address</h5>
<input type=\"text\" class=\"input\" size=\"20\" name=\"from\" />
<h5>Personal message</h5>
<textarea name=\"message\" class=\"textarea\" rows=\"6\" cols=\"18\"></textarea>
<h5>What would you like to send?</h5>
<p><input type=\"radio\" name=\"what\" value=\"link\" checked /> Link only<br />
<input type=\"radio\" name=\"what\" value=\"text\" /> Full text
</p>
<br />
{if captcha}
Submit the word you see below:<br /><br />
%%captcha%%
<br />
<input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\" style=\"width:140px;\" />
{/if}
<br /><br />
<input class=\"button\" type=\"submit\" value=\" SUBMIT \" />
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '80', 'email', '50', '01', '380', '$body', '$body', '18')","0"); if (!$add->result) $error =1;


// TELL-A-FRIEND MESSAGE - SUBJECT 
$body = "A message from %%email%%!";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '90', 'email', '50', '01', '390', '$body', '$body', '1')","0"); if (!$add->result) $error =1;

// TELL-A-FRIEND - MESSAGE 
$body = "You have been sent this message from %%name%% as a courtesy of %%site_name%%

%%message%% 

To view this article, please visit:

%%entry_url%%";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '100', 'email', '50', '02', '400', '$body', '$body', '16')","0"); if (!$add->result) $error =1;




if ($error == 1)
	return false;
else
	return true;
}
// END



//	----------------------------------------------
//		SEARCH TEMPLATES 
//	----------------------------------------------

function populate_search_templates() 
{
 global $dbprefix, $DB;

$error="0";

// SEARCH RESULTS HEADER TEMPLATE 
$body = "<h4>%%total%% Result(s)</h4>

<table cellpadding=\"4\" cellspacing=\"1\" border=\"0\" width=\"700\">
<tr>
<th class=\"colorBG\" width=\"2%\">&nbsp;</th>
<th class=\"colorBG\" width=\"28%\">TITLE</th>
<th class=\"colorBG\" width=\"45%\">EXCERPT</th>
<th class=\"colorBG\" width=\"10%\">AUTHOR</th>
<th class=\"colorBG\" width=\"15%\">DATE</th>
</tr>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '02', 'search', '10', '01', '240', '$body', '$body', '12')","0"); if (!$add->result) $error =1;

// SEARCH RESULTS ROWS TEMPLATE 
$body = "<tr>
<td bgcolor=\"%%color_switch%%\" valign=\"top\"><p>%%count%%</p></td>
<td bgcolor=\"%%color_switch%%\" valign=\"top\"><a href=\"%%comment_url%%\">%%title%%</a></td>
<td bgcolor=\"%%color_switch%%\" valign=\"top\"><p>%%body_excerpt%%</p></td>
<td bgcolor=\"%%color_switch%%\" valign=\"top\"><p>%%author%%</p></td>
<td bgcolor=\"%%color_switch%%\" valign=\"top\"><p>%%date%%</p></td>
</tr>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '04', 'search', '10', '02', '245', '$body', '$body', '12')","0"); if (!$add->result) $error =1;

// SEARCH RESULTS TABLE FOOTER 
$body = "</table>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '06', 'search', '10', '03', '250', '$body', '$body', '10')","0"); if (!$add->result) $error =1;

// SEARCH PREVIOUS/NEXT LINKS
$body = <<<EOT
<table cellpadding="4" cellspacing="1" border="0" width="700">
<tr>
<td>%%search_prev_page%%</td>
<td align="right">%%search_next_page%%</td>
</tr>
</table>
EOT;
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '12', 'search', '10', '04', '470', '".$DB->escape_str($body)."', '".$DB->escape_str($body)."', '10')","0"); if (!$add->result) $error =1;


// NO RESULT MESSAGE 
$body = "<h5>Your search for %%keywords%% resulted in no matches.</h5>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '10', 'search', '10', '10', '255', '$body', '$body', '4')","0"); if (!$add->result) $error =1;

// SEARCH FORM SIMPLE 
$body = "<input type=\"text\" class=\"input\" size=\"20\" name=\"keywords\" />
<input  type=\"submit\" class=\"button\" value=\"FIND\" /><br />
<a href=\"%%search_page%%\">Advanced search</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '30', 'search', '20', '01', '260', '$body', '$body', '16')","0"); if (!$add->result) $error =1;

// SEARCH FORM ADVANCED 
$body = "
<table border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
<tr>
<th colspan=\"2\">ADVANCED SEARCH</th>
</tr>
<tr>
<td class=\"right\" colspan=\"2\">Separate keywords with spaces</td>
</tr><tr>
<td class=\"right\">Keywords </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"keywords\" maxlength=\"100\" /></td>
</tr><tr>
<td>&nbsp;</td>
<td><input type=\"radio\" name=\"criteria\" value=\"any\" checked=\"checked\" /> Search for ANY terms</td>
</tr><tr>
<td>&nbsp;</td>
<td><input type=\"radio\" name=\"criteria\" value=\"all\" /> Search for ALL terms</td>
</tr><tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr><tr>
<td class=\"right\">Search in </td>
<td><input type=\"radio\" name=\"where\" value=\"all\" checked=\"checked\" /> Title and Entry Body</td>
</tr><tr>
<td>&nbsp;</td>
<td><input type=\"radio\" name=\"where\" value=\"title\" /> Title</td>
</tr><tr>
<td>&nbsp;</td>
<td><input type=\"radio\" name=\"where\" value=\"body\" /> Entry Body</td>
</tr>
<tr>
<td>&nbsp;</td>
<td><input type=\"radio\" name=\"where\" value=\"comments\" /> Entry Comments</td>
</tr>
</table>

<br />

<input class=\"button\" type=\"submit\" value=\" SEARCH \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '40', 'search', '20', '02', '265', '$body', '$body', '24')","0"); if (!$add->result) $error =1;


if ($error == 1)
	return false;
else
	return true;
}
// END



//	----------------------------------------------
//		EVENT CALENDAR TEMPLATES
//	----------------------------------------------

function populate_calendar_templates() 
{
 global $dbprefix, $DB;

$error="0";

// EVENT DISPLAY 
$body = "
<div class=\"weblog\">
<table cellpadding=\"4\" cellspacing=\"0\" border=\"0\" width=\"100%\">
<tr>
<td align=\"right\"><p><b>Event </b></p></td>
<td><p><b>%%title%%</b></p></td>
</tr><tr>
<td align=\"right\"><p><b>Date </b></p>
</td><td><p>%%date%%</p></td>
</tr><tr>
<td>&nbsp;</td>
<td><p>%%description%%</p>
</td>
</tr>
</table>
</div>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '10', 'calendar', '10', '01', '270', '$body', '$body', '18')","0"); if (!$add->result) $error =1;



if ($error == 1)
	return false;
else
	return true;
}
// END



//	----------------------------------------------
//		MEMBER TEMPLATES 
//	----------------------------------------------

function populate_member_templates() 
{
 global $dbprefix, $DB;

$error="0";

// MEMBER LOGIN TOOLBAR TEMPLATE 
$body = "
<div class=\"loginLinks\">
<a href=\"%%login_page_link%%\">Log-In</a><br />
<a href=\"%%register_page_link%%\">Register</a><br />
<a href=\"%%members_page_link%%\">Members</a>
</div>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '10', 'membership', '10', '01', '275',  '$body', '$body', '18')","0"); if (!$add->result) $error =1;

// MEMBER LOGOUT TOOLBAR TEMPLATE 
$body = "
<div class=\"loginLinks\">
Logged in: %%member_name%% <br />
<a href=\"%%logout_page_link%%\">Log-out</a><br />
<a href=\"%%profile_page_link%%\">Your Profile</a><br />
<a href=\"%%members_page_link%%\">Members</a>
</div>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '20', 'membership', '10', '02', '280', '$body', '$body', '18')","0"); if (!$add->result) $error =1;



// MEMBER LOGIN FORM TEMPLATE 
$body = "<table border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
<tr>
<th colspan=\"2\">LOGIN</th>
</tr>
<tr>
<td class=\"right\">Username </td>
<td><input type=\"text\" class=\"input\" size=\"20\" name=\"username\" maxlength=\"%%un_max_length%%\" /></td>
</tr><tr>
<td class=\"right\">Password </td>
<td><input type=\"password\" class=\"input\" size=\"20\" name=\"password\" maxlength=\"%%pw_max_length%%\" /></td>
</tr>
<td colspan=\"2\" class=\"right\"><a href=\"%%forgot_password_page_url%%\">forgot?</a></td>
</tr>
</table>

<br />

<input class=\"button\" type=\"submit\" value=\" SUBMIT \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '30', 'membership', '20', '01', '285', '$body', '$body', '18')","0"); if (!$add->result) $error =1;



// MEMBER REGISTRATION FORM TEMPLATE 
$body = "
<table border=\"0\" cellpadding=\"4\">
<tr>
<th colspan=\"2\">REGISTER</th>
</tr><tr>
<td>Username</td>
<td><input type=\"text\" class=\"input\" size=\"20\" name=\"username\" maxlength=\"%%un_max_length%%\" /></td>
</tr><tr>
<td >Password</td>
<td><input type=\"password\" class=\"input\" size=\"20\" name=\"password\" maxlength=\"%%pw_max_length%%\" /></td>
</tr><tr>
<td >Confirm pw</td>
<td><input type=\"password\" class=\"input\" size=\"20\" name=\"confirm_pw\"  maxlength=\"%%pw_max_length%%\" /></td>
</tr><tr>
<td >Screen name</td>
<td><input type=\"text\" class=\"input\" size=\"20\" name=\"signature\" maxlength=\"50\" /></td>
</tr><tr>
<td >Email</td>
<td><input type=\"text\" class=\"input\" size=\"20\" name=\"email\" maxlength=\"100\" /></td>
</tr>
</table>

<br />

{if captcha}
Submit the word you see below:<br /><br />
%%captcha%%
<br />
<input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\" style=\"width:140px;\" />
{/if}
<br /><br />

<input class=\"button\" type=\"submit\" value=\" REGISTER \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '40', 'membership', '30', '01', '290', '$body', '$body', '20')","0"); if (!$add->result) $error =1;

// MEMBER PROFILE FORM TEMPLATE 
$body = "
<table border=\"0\" cellpadding=\"3\">
<tr>
<th colspan=\"2\">YOUR PROFILE</th>
</tr>
<tr>
<td class=\"right\">Username <span class=\"red\">*</span></td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"username\" value=\"%%username%%\" maxlength=\"%%un_max_length%%\" /></td>
</tr><tr>
<td class=\"right\">New Password<br />(leave blank for no change)</td>
<td align=\"left\"><input type=\"password\" class=\"input\" size=\"30\" name=\"password\" value=\"%%password%%\" maxlength=\"%%pw_max_length%%\" /></td>
</tr><tr>
<td class=\"right\">Confirm New pw </td>
<td><input type=\"password\" class=\"input\" size=\"30\" name=\"confirm_pw\" value=\"%%confirm_pw%%\" maxlength=\"%%pw_max_length%%\" /></td>
</tr><tr>
<td class=\"right\">Name on your posts <span class=\"red\">*</font></td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"signature\" value=\"%%signature%%\" maxlength=\"50\" /></td>
</tr><tr>
<td class=\"right\">Email <span class=\"red\">*</font></td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"email\" value=\"%%email%%\" maxlength=\"100\" /></td>
</tr><tr>
<td class=\"right\">Location </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"location\" value=\"%%location%%\" maxlength=\"60\" /></td>
</tr><tr>
<td class=\"right\">URL </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"url\" value=\"%%url%%\" maxlength=\"100\" /></td>
</tr><tr>
<td class=\"right\">Occupation </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"occupation\" value=\"%%occupation%%\" maxlength=\"100\" /></td>
</tr><tr>
<td class=\"right\">Birthdate </td>
<td valign=\"middle\">M <input type=\"text\" name=\"month\" class=\"input\" size=\"2\" value=\"%%month%%\" maxlength=\"2\" />
D <input type=\"text\" name=\"day\" class=\"input\" size=\"2\" value=\"%%day%%\" maxlength=\"2\" />
Y <input type=\"text\" name=\"year\" class=\"input\" size=\"4\" value=\"%%year%%\" maxlength=\"4\" />
</td>
</tr><tr>
<td class=\"right\">Interests </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"interests\" value=\"%%interests%%\" maxlength=\"350\" /></td>
</tr><tr>
<td class=\"right\">ICQ </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"icq\" value=\"%%icq%%\" maxlength=\"50\" /></td>
</tr><tr>
<td class=\"right\">AOL IM </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"aol_im\" value=\"%%aol_im%%\" maxlength=\"50\" /></td>
</tr><tr>
<td class=\"right\">Yahoo IM </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"yahoo_im\" value=\"%%yahoo_im%%\" maxlength=\"50\" /></td>
</tr><tr>
<td class=\"right\">MSN IM </td>
<td><input type=\"text\" class=\"input\" size=\"30\" name=\"msn_im\" value=\"%%msn_im%%\" maxlength=\"50\"></td>
</tr><tr>
<td  class=\"right\" valign=\"top\">Bio </td>
<td><textarea name=\"bio\" class=\"textarea\" rows=\"8\" cols=\"30\">%%bio%%</textarea></td>
</tr><tr>
<td align=\"center\" colspan=\"2\">Allow your email address to appear on your posts?
<br />
yes <input type=\"radio\" name=\"show_email\" value=\"yes\" %%show_yes%% /> no <input type=\"radio\" name=\"show_email\" value=\"no\" %%show_no%% />
<br />
</td>
</tr><tr>
<td align=\"center\" colspan=\"2\">If \'no\', accept private email from other site members?
<br />
Messages will be sent to you through this site<br />
without your email address being revealed.<br />
yes <input type=\"radio\" name=\"get_email\" value=\"yes\" %%get_yes%% /> no <input type=\"radio\" name=\"get_email\" value=\"no\" %%get_no%% />
</td>
</tr>
</table>

<br />

<input class=\"button\" type=\"submit\" value=\" UPDATE \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '50', 'membership', '40', '01', '295', '$body', '$body', '20')","0"); if (!$add->result) $error =1;




// MEMBER PROFILE SHOW UPDATE TEMPLATE 
$body = "
<table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" width=\"500\">
<tr>
<th>PROFILE</td>
</tr>
<tr>
<td class=\"right\">Username  </td>
<td>%%username%%</td>
</tr><tr>
<td class=\"right\">Name on your posts  </td>
<td>%%signature%%</td>
</tr><tr>
<td class=\"right\">Email  </td>
<td>%%email%%</td>
</tr><tr>
<td class=\"right\">Location </td>
<td>%%location%%</td>
</tr><tr>
<td class=\"right\">URL </td>
<td>%%url%%</td>
</tr><tr>
<td class=\"right\">Occupation </td>
<td>%%occupation%%</td>
</tr><tr>
<td class=\"right\">Birthday </td>
<td>%%birthday%%</td>
</tr><tr>
<td class=\"right\">Interests </td>
<td>%%interests%%</td>
</tr><tr>
<td class=\"right\">ICQ </td>
<td>%%icq%%</td>
</tr><tr>
<td class=\"right\">AOL IM </td>
<td>%%aol_im%%</td>
</tr><tr>
<td class=\"right\">Yahoo IM </td>
<td>%%yahoo_im%%</td>
</tr><tr>
<td class=\"right\">Microsoft IM </td>
<td>%%msn_im%%</td>
</tr><tr>
<td class=\"right\">Publicly viewable email address?</td>
<td>%%show_email%%</td>
</tr><tr>
<td class=\"right\">Accept email from members?</td>
<td>%%get_email%%</td>
</tr><tr>
<td class=\"right\" valign=\"top\">Bio </td>
<td>%%bio%%</td>
</tr>
</table>
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '60', 'membership', '50', '01', '300', '$body', '$body', '20')","0"); if (!$add->result) $error =1;

// MEMBERS DISPLAY TABLE HEADER TEMPLATE 
$body = "

<table cellpadding=\"4\" cellspacing=\"0\" border=\"0\" width=\"95%\">
<tr>
<td><a href=\"%%alpha_link%%\">List Alphabetically</a></td>
<td><a href=\"%%joindate_link%%\">By Join Date</a></td>
<td><a href=\"%%most_entries_link%%\">By Most Posts</a></td>
<td><a href=\"%%most_comments_link%%\">By Most Comments</a></td>
<td><a href=\"%%reverse_order_link%%\">Reverse Order</a></td>
</tr>
</table>

<br />

<table cellpadding=\"4\" cellspacing=\"0\" border=\"0\" width=\"95%\">
<tr>
<td><a href=\"%%#%%\">#</a></td>
<td><a href=\"%%a%%\">A</a></td>
<td><a href=\"%%b%%\">B</a></td>
<td><a href=\"%%c%%\">C</a></td>
<td><a href=\"%%d%%\">D</a></td>
<td><a href=\"%%e%%\">E</a></td>
<td><a href=\"%%f%%\">F</a></td>
<td><a href=\"%%g%%\">G</a></td>
<td><a href=\"%%h%%\">H</a></td>
<td><a href=\"%%i%%\">I</a></td>
<td><a href=\"%%j%%\">J</a></td>
<td><a href=\"%%k%%\">K</a></td>
<td><a href=\"%%l%%\">L</a></td>
<td><a href=\"%%m%%\">M</a></td>
<td><a href=\"%%n%%\">N</a></td>
<td><a href=\"%%o%%\">O</a></td>
<td><a href=\"%%p%%\">P</a></td>
<td><a href=\"%%q%%\">Q</a></td>
<td><a href=\"%%r%%\">R</a></td>
<td><a href=\"%%s%%\">S</a></td>
<td><a href=\"%%t%%\">T</a></td>
<td><a href=\"%%u%%\">U</a></td>
<td><a href=\"%%v%%\">V</a></td>
<td><a href=\"%%w%%\">W</a></td>
<td><a href=\"%%x%%\">X</a></td>
<td><a href=\"%%y%%\">Y</a></td>
<td><a href=\"%%z%%\">Z</a></td>
</tr>
</table>

<br />

<table bgcolor=\"#ffffff\" cellpadding=\"5\" cellspacing=\"1\" border=\"0\" width=\"95%\">
<tr>
<th class=\"colorBG\">NAME</th>
<th class=\"colorBG\">EMAIL</th>
<th class=\"colorBG\">URL</th>
<th class=\"colorBG\">ENTRIES</th>
<th class=\"colorBG\">COMMENTS</th>
<th class=\"colorBG\">JOIN DATE</th>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '70', 'membership', '60', '01', '305', '$body', '$body', '20')","0"); if (!$add->result) $error =1;

// MEMBERS DISPLAY ROWS TEMPLATE 
$body = "</tr><tr>
<td bgcolor=\"%%color_switch%%\">%%name%%</td>
<td bgcolor=\"%%color_switch%%\" align=\"center\">%%if_email_as_link%%</td>
<td bgcolor=\"%%color_switch%%\" align=\"center\">%%url%%</td>
<td bgcolor=\"%%color_switch%%\" align=\"center\"><div class=\"medText\">%%total_entries%%</div></td>
<td bgcolor=\"%%color_switch%%\" align=\"center\"><div class=\"medText\">%%total_comments%%</div></td>
<td bgcolor=\"%%color_switch%%\" align=\"center\"><div class=\"medText\">%%join_date%%</div></td>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '80', 'membership', '60', '02', '310', '$body', '$body', '12')","0"); if (!$add->result) $error =1;

// MEMBERS DISPLAY TABLE FOOTER 
$body = "
</tr>
</table>
<br />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '90', 'membership', '60', '03', '315', '$body', '$body', '14')","0"); if (!$add->result) $error =1;

// MEMBERS NEXT/PREV TEMPLATE 
$body = "
<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"400\">
<tr>
<td>%%members_prev_page%%</td>
<td align=\"right\">%%members_next_page%%</td>
</tr>
</table>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '100', 'membership', '60', '04', '320', '$body','$body', '7')","0"); if (!$add->result) $error =1;

// MEMBERS PREVIOUS LINK TEMPLATE 
$body = "<a href=\"%%prev_url%%\">PREV page</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '110', 'membership', '60', '05', '325', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// MEMBERS "NEXT" LINK TEMPLATE 
$body = "<a href=\"%%next_url%%\">NEXT page</a>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '120', 'membership', '60', '06', '330', '$body', '$body', '3')","0"); if (!$add->result) $error =1;

// MEMBER PUBLIC PROFILE TEMPLATE 
$body = "
<table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" width=\"500\">
<tr>
<td class=\"right\">Name </td>
<td>%%signature%%</td>
</tr><tr>
<td class=\"right\">Total comments </td>
<td>%%total_comments%%</td>
</tr><tr>
<td class=\"right\">Last post </td>
<td>%%last_post%%</td>
</tr><tr>
<td class=\"right\">Join date </td>
<td>%%join_date%%</td>
</tr><tr>
<td class=\"right\">Email </td>
<td>%%if_email_as_link%%</td>
</tr><tr>
<td class=\"right\">Location </td>
<td>%%location%%</td>
</tr><tr>
<td class=\"right\">URL </td>
<td>%%url%%</td>
</tr><tr>
<td class=\"right\">Occupation </td>
<td>%%occupation%%</td>
</tr><tr>
<td class=\"right\">Birthday </td>
<td>%%birthday%%</td>
</tr><tr>
<td class=\"right\">Interests </td>
<td>%%interests%%</td>
</tr><tr>
<td class=\"right\">ICQ </td>
<td>%%icq%%</td>
</tr><tr>
<td class=\"right\">AOL IM </td>
<td>%%aol_im%%</td>
</tr><tr>
<td class=\"right\">Yahoo IM </td>
<td>%%yahoo_im%%</td>
</tr><tr>
<td class=\"right\">MSN IM </td>
<td>%%msn_im%%</td>
</tr><tr>
<td class=\"right\" valign=\"top\">Bio </td>
<td>%%bio%%</td>
</tr>
</table>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '130', 'membership', '70', '01', '335', '$body', '$body', '20')","0"); if (!$add->result) $error =1;


// MEMBER EMAIL TEMPLATE 
$body = "
<table border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
<tr>
<th colspan=\"2\">EMAIL MEMBER</th>
</tr>
<tr>
<td class=\"right\">To </td>
<td>%%to%%</td>
</tr><tr>
<td class=\"right\">From </td>
<td>%%from%%</td>
</tr><tr>
<td class=\"right\">Subject </td>
<td><input type=\"text\" class=\"input\" size=\"45\" name=\"subject\" /></td>
</tr><tr>
<td class=\"right\" valign=\"top\">Message </td>
<td><textarea name=\"message\" class=\"textarea\" rows=\"20\" cols=\"45\"></textarea></td>
</tr>
{if captcha}
<tr>
<td colspan=\"2\" align=\"center\">
Submit the word you see below:<br /><br />
%%captcha%%
<br />
<input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\" style=\"width:140px;\" />
</td>
</tr>
{/if}

</table>
<br />

<input class=\"button\" type=\"submit\" value=\" SEND IT \" />";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '140', 'membership', '80', '01', '340', '$body', '$body', '20')","0"); if (!$add->result) $error =1;

// MEMBER FORGOTTEN PASSWORD FORM TEMPLATE 
$body = "<table border=\"0\" cellspacing=\"0\" cellpadding=\"4\">
<tr>
<th colspan=\"2\">FORGOTTEN PASSWORD</th>
</tr>
<tr>
<td align=\"right\">Your email </td>
<td><input type=\"text\" name=\"email\" class=\"input\" size=\"30\" maxlength=\"100\" /></td>
</tr>
</table>

<br /><br />

<input class=\"button\" type=\"submit\" value=\" SUBMIT \" />
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '150', 'membership', '90', '01', '345', '$body', '$body', '20')","0"); if (!$add->result) $error =1;


// MEMBER ACTIVATION EMAIL TEMPLATE 
$body = "
%%member_name%%,

Thanks for registering with %%site_name%%

In order to activate your account, point your browser to the following URL:

%%activation_url%%

We hope you enjoy the site!
";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '160', 'membership', '100', '01', '350', '$body', '$body', '18')","0"); if (!$add->result) $error =1;


// MEMBER ACTIVATION INSTRUCTIONS REQUEST FORM TEMPLATE 
$body = "<div align=\"center\">

<table border=\"0\" cellspacing=\"0\" cellpadding=\"4\">
<tr>
<th colspan=\"2\">ACTIVATION INSTRUCTIONS</th>
</tr>
<tr>
<td align=\"right\">Your email </td>
<td align=\"left\" ><input type=\"text\" name=\"email\" class=\"input\" size=\"30\" maxlength=\"100\" /></td>
</tr>
</table>

<br /><br />

<input class=\"button\" type=\"submit\" value=\" SUBMIT \" />

</div>";
$add = new DB_query($DB, "insert into {$dbprefix}_templates values ('', '170', 'membership', '100', '02', '355', '$body', '$body', '20')","0"); if (!$add->result) $error =1;


if ($error == 1)
	return false;
else
	return true;
}
// END
?>