<?php

//	MEMBER MESSAGES
//
// This file contains the messages that appear in
// the "messages.php" page (members directory) 
//
// Please edit these messages carefully!
//


//	----------------------------------------------
//		"BACK" LINK DEFENITION
//	----------------------------------------------

// Most of these messages include a "BACK" link so that visitors can return to
// where they were.  This variable defines that link.  By default we use
// JavaScript "history go(-1)" since there are any number of page the person
// might have come from and it saves us from having to create many different
// links.  If you change this, don't forget to escape the quotes.

 $backlink = "<br /><br /><a href=\"javascript:history.go(-1)\" >BACK</a>"; 
 

//	----------------------------------------------
//		HOME PAGE LINK DEFENITION
//	----------------------------------------------

// Some of the messages have a static link to the home page using the site name 
// you defined in the control panel preferences.  You can, of course, place
// a different link here, or even use an image.  Don't forget to escape quotes.

 $homelink = "<br /><br /><a href=\"$site_url\">$site_name</a>";  
 

 //	----------------------------------------------
//		COMMENT LINK DEFENITION
//	----------------------------------------------

// One of the messages has a dynamic link to the comment page for the submitted
// comment.  You can, of course, place a different link here though.

 $comment_link = "<br /><br /><a href=\"$i\">Volver a los Comentarios</a>";  


// Log-in messages
$L_MESSAGE['01'] = "Tu cuenta no est activada.";
$L_MESSAGE['02'] = "El nombre de usuario y/o la contrasea no es correcto. $backlink";
$L_MESSAGE['03'] = "Tu cuenta an no ha sido activada.<br /><br />Haz click <a href=\"$activatepage$sfx\">aqu</a> para recibir las instrucciones de activacin.";
$L_MESSAGE['04'] = "Sesin iniciada. $homelink";

// Log-out messages
$L_MESSAGE['10'] = "Sesin finalizada. $GLOBALS[homelink]";

// Password reset request messages
$L_MESSAGE['20'] = "Esta direccin de correo electrnico no es vlida. $backlink";
$L_MESSAGE['21'] = "Las instrucciones para reajustar tu contrasea han sido enviadas a tu direccin de correo electrnico. $homelink";
$L_MESSAGE['22'] = "La direccin de correo electrnico que has dado no est en la base de datos. $backlink";
$L_MESSAGE['23'] = "Tu contrasea ha sido ajustada y la nueva contrasea ha sido enviada a tu direccin de correo electrnico. $homelink";
$L_MESSAGE['24'] = "Tu solicitud de nueva contrasea ha expirado. Por favor, envia de nuevo la solicitud. $homelink";
$L_MESSAGE['25'] = "Este nmero de ID no es vlido. Consulta el correo electrnico que recibiste con las instrucciones para reajustar tu contrasea. $homelink";
$L_MESSAGE['26'] = "Ocurri un problema en el envo por correo electrnico de tu nueva contrasea. $homelink";

// Member registration/ Member profile update messages
$L_MESSAGE['27'] = "Tienes que introducir un nombre de usuario. $backlink";
$L_MESSAGE['28'] = "Tienes que introducir una contrasea y confirmarla. $backlink";
$L_MESSAGE['29'] = "Tienes que indicar un nombre con el envo. $backlink";
$L_MESSAGE['30'] = "En este momento, no puedes registrarte.<br /><br />Si el problema persiste, avisa al administrador de sistema.";
$L_MESSAGE['31'] = "No has rellenado todos los campos. $backlink";
$L_MESSAGE['32'] = "El nombre de usuario tiene que ser de $un_min_length caracteres mnimo. $backlink";
$L_MESSAGE['33'] = "La contrasea tiene que ser de $pw_min_length caracteres mnimo. $backlink";
$L_MESSAGE['34'] = "Las contraseas no coinciden. $backlink";
$L_MESSAGE['35'] = "Direccin de correo electrnico requerida. $backlink";
$L_MESSAGE['36'] = "Direccin de correo electrnico no vlida. $backlink";
$L_MESSAGE['37'] = "Al ingresar tu cumpleaos, tienes que indicar el mes y el da. $backlink";
$L_MESSAGE['38'] = "Tienes que ingresar tu cumpleaos en formato numrico. Por ej.: 06 21 1972. $backlink";
$L_MESSAGE['39'] = "Da de cumpleaos no vlido. $backlink";
$L_MESSAGE['40'] = "Mes de cumpleaos no vlido. $backlink";
$L_MESSAGE['41'] = "El lugar de nacimiento no es el correcto $i. $backlink";
$L_MESSAGE['43'] = "Tu registro ha sido completado!<br /><br />Vas a recibir un correo electrnico con las instrucciones para activar tu cuenta.<br /><br />Despus de seguir estas instrucciones, podrs iniciar tu sesin y enviar mensajes. $homelink";
$L_MESSAGE['44'] = "Esta direccin de correo electrnico ya est registrada. $backlink";
$L_MESSAGE['45'] = "Este nombre de usuario ya existe. $backlink";
$L_MESSAGE['46'] = "El nombre de este envo ya existe. $backlink";
$L_MESSAGE['47'] = "Tu registro est terminado, puedes iniciar una sesin! $homelink";
$L_MESSAGE['48'] = "Tu nombre de usuario slo puede contener caracteres alfanumricos y ningn espacio. $backlink";
$L_MESSAGE['49'] = "Tu contrasea slo puede contener caracteres alfanumricos y ningn espacio. $backlink";

// If a logged-out member tries to access various member-only pages
$L_MESSAGE['55'] = "Tienes que iniciar una sesin para acceder a esta pgina.";

// Security messages. If someone tries to access a page incorrectly - messing with the url; etc.
$L_MESSAGE['60'] = "Solicitud incorrecta de pgina.";

// Security messages. Non-logged in user tries to access email member page
$L_MESSAGE['65'] = "Tienes que iniciar una sesin para acceder a esta pgina.";

// Account activation messages
$L_MESSAGE['70'] = "La ID de la URL no es vlida.<br><br>Consulta tus mensajes correo electrnico para obtener la URL completa. $homelink";
$L_MESSAGE['71'] = "Tu cuenta ya est activada. $homelink";
$L_MESSAGE['72'] = "Tu cuenta no puede ser activada en este momento. $homelink";
$L_MESSAGE['73'] = "Tu cuenta ya est activada. $homelink";

// NEW
$L_MESSAGE['74'] = "Un administrador del sitio activar tu cuenta y te notificar cuando est lista para usar.";


// Account activation - request instructions L_MESSAGEs
$L_MESSAGE['80'] = "Direccin de correo electrnico no vlida. $backlink";
$L_MESSAGE['81'] = "La direccin de correo electrnico no est en la base de datos. $backlink";
$L_MESSAGE['82'] = "Las instrucciones para activar tu cuenta te han sido enviadas por correo electrnico. $homelink";

// Comment messages - L_MESSAGEs someone might receive while attempting to leave a comment
$L_MESSAGE['90'] = "Tu comentario no puede ser enviado en este momento. $homelink";
$L_MESSAGE['91'] = "No has rellenado todos los campos. $backlink";
$L_MESSAGE['92'] = "Con un comentario, tienes que enviar el formulario. $backlink";
$L_MESSAGE['93'] = "Para efectuar un envo, tienes que registrarte e iniciar una sesin. $backlink";
$L_MESSAGE['94'] = "Tienes que incluir tu direccin de correo electrnico. $backlink";
$L_MESSAGE['95'] = "Esta direccin de correo electrnico no es vlida. $backlink";
$L_MESSAGE['96'] = "En un comentario, el nmero mximo de caracteres permitido es de: $i <br /><br />Tu entrada contiene $e caracteres. $backlink";
$L_MESSAGE['97'] = "Lo sentimos, tienes que esperar $i segundo(s) para enviar otro comentario. $backlink";

// Email related messages
$L_MESSAGE['105'] = "Algn campo del formulario se ha quedado vaco $backlink";
$L_MESSAGE['106'] = "Tu correo electrnico ha sido enviado. $homelink";
$L_MESSAGE['107'] = "Ha surgido un problema durante el envo de tu correo electrnico. $homelink";
$L_MESSAGE['108'] = "Tienes que ingresar una direccin de correo electrnico vlida. $backlink";
$L_MESSAGE["109"] = "Este usuario no quiere recibir correos electrnicos. $homelink";

// If you are trying to access the profile page for a non-registered member.
$L_MESSAGE['112'] = "No hay perfil para esta persona.";

// Subscribe to mailing list messages
$L_MESSAGE['115'] = "Tienes que introducir una direccin de correo electrnico vlida. $homelink";
$L_MESSAGE['116'] = "La direccin de correo electrnico que has introducido ya existe en la base de datos. $homelink";
$L_MESSAGE['117'] = "Tu direccin de correo electrnico ha sido agregada a la lista de correo. $homelink";
$L_MESSAGE['118'] = "Tu direccin de correo electrnico ha sido borrado de la lista de correo. $homelink";
$L_MESSAGE['119'] = "Tu direccin de correo electrnico no ha sido encontrada en la base de datos. $homelink";
$L_MESSAGE['120'] = "Ha surgido un problema al intentar borrarte de la lista de correo. $homelink";
$L_MESSAGE["121"] = "Tu email ha sido quitado de la lista de notificaciones. $homelink";

// Logged-in member tries to access registration page.
$L_MESSAGE['125'] = "Ya eres un usuario registrado.<br /><br />Tienes que salir de la sesin para registrar un nuevo miembro.";

// Collective Weblog messages
$L_MESSAGE['130'] = "Este diario no acepta envos pblicos.";
$L_MESSAGE['131'] = "Tu entrada no puede ser enviada en este momento.";
$L_MESSAGE['132'] = "El nmero mximo de caracteres permitido para una entrada es de: $i<br /><br />Tu entrada contiene $e caracteres. $backlink";
$L_MESSAGE['133'] = "Has dejado algn campo vaco. $backlink";
$L_MESSAGE['134'] = "Tienes que incluir tu direccin de correo electrnico. $backlink";
$L_MESSAGE['135'] = "Esta direccin de correo electrnico no es vlida. $backlink";
$L_MESSAGE['136'] = "Para realizar un envo, tienes que registrarte e iniciar una sesin. $backlink";
$L_MESSAGE['137'] = "Tu entrada no puede ser enviada en este momento.";
$L_MESSAGE['138'] = "Lo sentimos, tienes que esperar $i second(s) para enviar otra entrada. $backlink";
$L_MESSAGE['139'] = "El administrador no ha habilitado esta pgina.";
$L_MESSAGE['140'] = "Gracias por tu envo. Un moderador lo revisar para su inclusin. $homelink";

//	----------------------------------------------
//	    TRACKBACK MESSAGES
//	----------------------------------------------

$L_MESSAGE['145'] = "El trackback ha sido borrado. $backlink";
$L_MESSAGE['146'] = "No existen trackbacks para esta entrada. $backlink";
$L_MESSAGE['147'] = "No existen pingbacks para esta entrada. $backlink";
$L_MESSAGE['148'] = "El pingback ha sido borrado. $backlink";

//	----------------------------------------------
//	    ADDITIONAL MAILING LIST MESSAGES
//	----------------------------------------------

$L_MESSAGE['150'] = "Tu direccin de correo electrnico ya est subscrita a la Lista de Correo. $homelink";
$L_MESSAGE['151'] = "Tu direccin de correo electrnico no est subscrita a la Lista de Correo. $homelink";
$L_MESSAGE['152'] = "Tu direccin de correo electrnico ha sido eliminada de la Lista de Correo. $homelink";
$L_MESSAGE['153'] = "Tu direccin de correo electrnico ya est subscrita a la Lista de Correo. $homelink";
$L_MESSAGE['154'] = "Tu direccin de correo electrnico no est subscrita a la Lista de Correo. $homelink";
$L_MESSAGE['155'] = "Ninguna Lista de Correo ha sido especificada.";
$L_MESSAGE['156'] = "No es una Lista de correo disponible pblicamente.";
$L_MESSAGE['157'] = "Tu correo electrnico ha sido enviado. $homelink";
$L_MESSAGE['158'] = "Se ha encontrado un problema tratando de enviar tu correo electrnico. $homelink";
$L_MESSAGE['159'] = "No se han encontrado Listas de Correo";
$L_MESSAGE['160'] = "No hay Listas de Correo disponibles para suBscripcin";
$L_MESSAGE['161'] = "Tus subscripciones de Listas de Correo han sido modificadas.";
$L_MESSAGE['162'] = "Tus subscripciones de Listas de Correo han sido creadas.";

//	----------------------------------------------
//	 Security Messages
//	----------------------------------------------

// NEW
$L_MESSAGE['163'] = "Invalid Captcha Value $backlink";
$L_MESSAGE['164'] = "El Registro de Nuevos Usuarios no est permitido actualmente.";
$L_MESSAGE['165'] = "Your Submission Was Blacklisted.  Contact the Administrator.";
$L_MESSAGE['166'] = "Su cometario ser revisado por un moderador para su aprobacin. $comment_link";


?>