<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	---------------------------------------------
//		LIST OF WEBLOG ENTRY TITLES 
//	---------------------------------------------

 function weblog_title_list($wtl='')
{
    global $db_weblog, $db_prefs, $db_categories, $url_rewriting, $db_multiweblogs;
    global $DB, $sfx, $SHARED;


    (is_array($wtl) AND isset($wtl['show_date'])) ? $date = $wtl['show_date'] : $date = '';

	(is_array($wtl) AND isset($wtl['date_fmt'])) ? $date_fmt = $wtl['date_fmt'] : $date_fmt = "M d, Y";

	(is_array($wtl) AND isset($wtl['limit'])) ? $limit = $wtl['limit'] : $limit = '';

	(is_array($wtl) AND isset($wtl['offset'])) ? $offset = $wtl['offset'] : $offset = '';

	(is_array($wtl) AND isset($wtl['orderby'])) ? $orderby = $wtl['orderby'] : $orderby = '';

	(is_array($wtl) AND isset($wtl['weblog'])) ? $weblog = $wtl['weblog'] : $weblog = '';

	(is_array($wtl) AND isset($wtl['page'])) ? $page = $wtl['page'] : $page = '';

	(is_array($wtl) AND isset($wtl['category'])) ? $category = $wtl['category'] : $category = '';
	
	(is_array($wtl) AND isset($wtl['sticky'])) ? $sticky = $wtl['sticky'] : $sticky = 'n';
    
    $newtime = $SHARED->get_offset_time();

    $cat_array  = array();
    $page_array = array();
    $path_array = array();

    $sql = "select weblog,id from $db_multiweblogs";
    $query = new DB_query($DB, $sql);

     while ($query->db_fetch_object())
    {
        $blogname = $query->obj->weblog;
        $cat_array[$blogname] = $query->obj->id;
                
        if ($page == '' || $page == "weblog")
        {
            $res  = new DB_query($DB, "select pm_value from $db_prefs where pm_option = '{$blogname}_page'");            
             while ($res->db_fetch_object())
                    $page_array[$blogname] = $res->obj->pm_value;
        }
        elseif ($page == "comments")
        { 
            $res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'comments_page_$blogname'");            
             while ($res->db_fetch_object())
                    $page_array[$blogname] = $res->obj->pm_value;
        }
        elseif ($page == "more")
        { 
            $res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'more_page_$blogname'");            
             while ($res->db_fetch_object())
                    $page_array[$blogname] = $res->obj->pm_value;
        }
   
        $res1 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'pages_path_abs_$blogname'");            
        while ($res1->db_fetch_object())
        {
            $abspath = $res1->obj->pm_value;
            if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";
            
            $path_array[$blogname] = $abspath;      
        }
    }

    unset($query);
    unset($sql);
    unset($res);
    unset($res1);
    
    
    if ($category != '')
    {
		$weblog == '' ? $catblog = "weblog" : $catblog = $weblog;
		
    	$sql = "select id from $db_categories where weblog = '".$DB->escape_str($catblog)."' and category = '".$DB->escape_str($category)."'";
    	
    	$query = new DB_query($DB, $sql);
    	
    	$query->db_fetch_object();
    	
    	$catid = $query->obj->id;
  
    	unset($query);
    }
    
    $q = "select post_id,weblog,title,t_stamp 
          from  $db_weblog 
          where status = 'open' 
          and preview ='0'
          and t_stamp <= '$newtime' 
          and x_stamp >= '$newtime' ";
                            
    if ($weblog != ''  ) $q .= " and weblog = '".$DB->escape_str($weblog)."'";
    
    if ($category <> '') $q .= " and category = '$catid'";
    
    $q .= ' ORDER BY ';
    
    if ($sticky == 'y')
    {
    	$q .= 'sticky DESC, ';
    }
                          
    switch ($orderby)
    {
        case ''      : $q .= "t_stamp desc";
        break;
        case "newest": $q .= "t_stamp desc";
        break;
        case "oldest": $q .= "t_stamp asc";
        break;
        case "alpha" : $q .= "title asc";
        break;
        default      : $q .= "t_stamp desc";
        break;
    } 
    
    if (($offset == '') || (!eregi("^[[:digit:]]+$", $offset))) $offset =0;     

    if ($limit <> '' && $limit <> "no")
    {
    	$q .= " limit $offset, $limit";
    }
    else
    {
    	$q .= " limit $offset, 1000";	
    }

    $query = new DB_query($DB, $q);                       
    
    while ($query->db_fetch_object()) 
    {
        $t_stamp = $query->obj->t_stamp;
        $title   = $query->obj->title;
        $pid     = $query->obj->post_id; 
        $weblog  = $query->obj->weblog;
        
        if (get_magic_quotes_runtime())
            $title = stripslashes($title);
      
		isset($path_array[$weblog]) ? $ppath = $path_array[$weblog]  : $ppath = '';
		isset($page_array[$weblog]) ? $wpage = $page_array[$weblog]  : $wpage = '';
		isset($cat_array[$weblog])  ? $catpage = $cat_array[$weblog] : $catpage = '';

        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $wpage = str_replace($sfx, '', $wpage);
        }

        if ($page == '' || $page == "weblog")
        {
            $wpath = $wpage . $delim . "P" . $pid;
        }
        elseif ($page == "more")
        {
            $wpath = $wpage . "$delim{$pid}_0_{$catpage}_0_M";  
        }

        else
        {
            $wpath = $wpage . "$delim{$pid}_0_{$catpage}_0_C";       
        }

        if ($url_rewriting == 1) $wpath .= '/';

        echo "<a href=\"$ppath". $wpath ."\">".$title."</a>";
        
        if ($date == "yes" || $date == '')
        {
            echo "&nbsp; " . date($date_fmt, $t_stamp) . "<br />\r\n";
        } 
        else 
        {
            echo "<br />\r\n";
        }
    }
}
// END


//	---------------------------------------------
//			ARCHIVE "MONTH" LINKS 
//	---------------------------------------------

function archive_month_names($weblog='',$limit='') 
{	
    global $db_weblog, $db_multiweblogs, $pm_path, $url_rewriting, $language;
    global $DB, $sfx, $SHARED;
    
    if ($weblog == '') 
        $weblog = "weblog";
    
    $newtime = $SHARED->get_offset_time();
    
    $q = "select id from $db_multiweblogs where weblog = '".$DB->escape_str($weblog)."'";
    
    $query = new DB_query($DB, $q);
    $query->db_fetch_object();
    $catpage = $query->obj->id; 
   
    unset($query);
    unset($q);
   
    $q = "select  distinct month,year 
          from $db_weblog 
          where weblog = '$weblog' 
          and status = 'open' 
          and t_stamp <= '$newtime'
          and x_stamp >= '$newtime'
          order by year desc, month desc"; 
    
    if ($limit != '' && is_numeric($limit))
    {
        $q .= " limit $limit";
    }
    
    $query = new DB_query($DB, $q);

    include ("{$pm_path}language/{$language}/main$sfx");
    
     while ($query->db_fetch_object()) 
     {             
            $month = $query->obj->month;
            $year  = $query->obj->year;


    switch($month)
    {
        case "01"	: $month_long = "$L_CALENDAR[300]"; $month_short = "$L_CALENDAR[312]"; 
        break;
        case "02"	: $month_long = "$L_CALENDAR[301]"; $month_short = "$L_CALENDAR[313]"; 
        break;
        case "03"	: $month_long = "$L_CALENDAR[302]"; $month_short = "$L_CALENDAR[314]"; 
        break;
        case "04"	: $month_long = "$L_CALENDAR[303]"; $month_short = "$L_CALENDAR[315]"; 
        break;
        case "05"	: $month_long = "$L_CALENDAR[304]"; $month_short = "$L_CALENDAR[316]"; 
        break;
        case "06"	: $month_long = "$L_CALENDAR[305]"; $month_short = "$L_CALENDAR[317]"; 
        break;
        case "07"	: $month_long = "$L_CALENDAR[306]"; $month_short = "$L_CALENDAR[318]"; 
        break;
        case "08"	: $month_long = "$L_CALENDAR[307]"; $month_short = "$L_CALENDAR[319]"; 
        break;
        case "09"	: $month_long = "$L_CALENDAR[308]"; $month_short = "$L_CALENDAR[320]"; 
        break;
        case "10"	: $month_long = "$L_CALENDAR[309]"; $month_short = "$L_CALENDAR[321]"; 
        break;
        case "11"	: $month_long = "$L_CALENDAR[310]"; $month_short = "$L_CALENDAR[322]"; 
        break;
        case "12"	: $month_long = "$L_CALENDAR[311]"; $month_short = "$L_CALENDAR[323]"; 
        break;
    } 

    // These need to be moved out of the loop into an array.  Not efficient.
    $archive = $SHARED->get_pref("archive_page_$weblog"); 
    $blogdir = $SHARED->get_pref("pages_path_abs_$weblog","1");  
    
    
    $delim = '?id=';
    
    if ($url_rewriting == 1)
    {
        $delim = '/';
        
        $archive = str_replace($sfx, '', $archive);
    }		
 
    $arch_url = "$blogdir$archive".$delim."A"."$year$month$catpage";
    
   if ($url_rewriting == 1) $arch_url .= '/';

    $swap = array(
    "%%archive_url%%"     => $arch_url,
    "%%month_long_ucf%%"  => ucfirst($month_long), 
    "%%month_long_uc%%"   => strtoupper($month_long), 
    "%%month_long_lc%%"   => strtolower($month_long),           
    "%%month_short_ucf%%" => ucfirst($month_short),
    "%%month_short_uc%%"  => strtoupper($month_short),
    "%%month_short_lc%%"  => strtolower($month_short),      
    "%%month_numeric%%"   => $month,
    "%%year_long%%"       => $year,
    "%%year_short%%"      => substr($year, 2, 2) );

    $tempcat = $SHARED->get_pref("{$weblog}_templategroup"); 
    $block   = $SHARED->get_template($tempcat,"250");

    while(list($key,$value) = each($swap)) 
         $block = str_replace("$key","$value",$block); 

   echo stripslashes($block);
  }  
}
// END


//	---------------------------------------------
//			ARCHIVE HEADING 
//	---------------------------------------------

function archive_heading($id='',$weblog='') 
{
    global $db_templates, $pm_path, $language, $sfx, $SHARED;
    
    if ($id == '')
    	return false;
 
    if ($weblog == '') 
    	$weblog = "weblog";  
    	
    include ("{$pm_path}language/{$language}/main$sfx");
           
    $year_long  = substr($id, 1,4);
    $year_short = substr($id, 2,4);      
    $month      = substr($id, 5,2);
    $catpage    = substr($id, 7,2);        

    switch($month)
    {
        case "01"	: $month_long = "$L_CALENDAR[300]"; $month_short = "$L_CALENDAR[312]"; 
        break;
        case "02"	: $month_long = "$L_CALENDAR[301]"; $month_short = "$L_CALENDAR[313]"; 
        break;
        case "03"	: $month_long = "$L_CALENDAR[302]"; $month_short = "$L_CALENDAR[314]"; 
        break;
        case "04"	: $month_long = "$L_CALENDAR[303]"; $month_short = "$L_CALENDAR[315]"; 
        break;
        case "05"	: $month_long = "$L_CALENDAR[304]"; $month_short = "$L_CALENDAR[316]"; 
        break;
        case "06"	: $month_long = "$L_CALENDAR[305]"; $month_short = "$L_CALENDAR[317]"; 
        break;
        case "07"	: $month_long = "$L_CALENDAR[306]"; $month_short = "$L_CALENDAR[318]"; 
        break;
        case "08"	: $month_long = "$L_CALENDAR[307]"; $month_short = "$L_CALENDAR[319]"; 
        break;
        case "09"	: $month_long = "$L_CALENDAR[308]"; $month_short = "$L_CALENDAR[320]"; 
        break;
        case "10"	: $month_long = "$L_CALENDAR[309]"; $month_short = "$L_CALENDAR[321]"; 
        break;
        case "11"	: $month_long = "$L_CALENDAR[310]"; $month_short = "$L_CALENDAR[322]"; 
        break;
        case "12"	: $month_long = "$L_CALENDAR[311]"; $month_short = "$L_CALENDAR[323]"; 
        break;
    } 

    $swap = array(
                "%%month_long%%"    => $month_long,
                "%%month_short%%"   => $month_short,
                "%%month_numeric%%" => $month,
                "%%year_long%%"     => $year_long,
                "%%year_short%%"    => $year_short 
                );

        $template = $SHARED->get_pref("${weblog}_templategroup");  
        $block = $SHARED->get_template($template,"260");

        while(list($key,$value) = each($swap))
                   $block = str_replace("$key","$value",$block); 

    echo stripslashes($block);
}
// END



//	---------------------------------------------
//		ARCHIVE SUMMARY
//	---------------------------------------------

function archive_summary($weblog='', $limit='')
{

	summary_handler("archives", $weblog, $limit);

}
// END


//	---------------------------------------------
//		CATEGORY SUMMARY
//	---------------------------------------------

function category_summary($weblog='', $limit='')
{

	summary_handler("category", $weblog, $limit);

}
// END


//	---------------------------------------------
//		COMBINED SUMMARY
//	---------------------------------------------

function combined_summary($view='', $weblog='', $limit='')
{
	if ($view == "date")
		$which = "archives";
	elseif ($view == "category")
		$which = "category";
	else
		$which = "archives";

	summary_handler($which, $weblog, $limit);
}
// END




//	---------------------------------------------
//		ARCHIVE/CATEGORY SUMMARY HANDLER
//	---------------------------------------------

function summary_handler($which='', $weblog='', $limit='')
{
    global $db_weblog, $db_multiweblogs, $url_rewriting, $db_members;
    global $db_nonmembers, $db_prefs, $db_upload_prefs;
    global $db_categories, $profileviewpage, $sfx, $DB, $SHARED;
    
    $i = '';
    $altcolor =''; 
    $catrow ="0";
    
    if ($which == '') 
    	$which = "archives";
    	
	if ($which == "archives")
	{
		$htempno = "290";
		$ttempno = "300";
		$ftempno = "310";
	}
	elseif ($which == "category")
	{
		$htempno = "320";
		$ttempno = "330";
		$ftempno = "340";
		
		if ($weblog == "all")
			$weblog = '';
			
			$weblogflag = $weblog;		
	}
	
    if ($limit <> '')
    {
        if (!eregi("^[[:digit:]]+$", $limit)) 
        {
            $limit = '';
        }
        else
        {
            $limit = "limit 0,$limit";
        }
    }

    if ($weblog <> "all" &&  $weblog <> '') 
    {
        $arrayflag =0;
        
        $criteria = "weblog = '$weblog' and"; 
        
        $pagespath      = $SHARED->get_pref("pages_path_abs_$weblog","1");        
        $weblogpage     = $SHARED->get_pref("${weblog}_page");
        $comments_page  = $SHARED->get_pref("comments_page_$weblog");
        $more_page      = $SHARED->get_pref("more_page_$weblog");
        
        $html_display  = $SHARED->get_pref("html_display_options_$weblog");
        $color_one     = $SHARED->get_pref("row_color_one_$weblog");
        $color_two     = $SHARED->get_pref("row_color_two_$weblog");
        
        $sql = "select id from $db_multiweblogs where weblog = '$weblog'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        $catpage = $query->obj->id;

        unset($query);
        unset($q);
    }
    elseif ($weblog == '' || $weblog == "all") 
    {
        $arrayflag =1;
        $criteria = '';
        $weblog = "weblog"; 
        
        $color_one = $SHARED->get_pref("row_color_one_weblog");
        $color_two = $SHARED->get_pref("row_color_two_weblog");
        
        $blog_array           = array();
        $html_display_array   = array();
        $weblogpage_array     = array();
        $comments_page_array  = array();
        $more_page_array      = array();
        $pages_path_abs_array = array();
        
        $sql = "select id,weblog from $db_multiweblogs order by id";
        $query = new DB_query($DB, $sql);

         while ($query->db_fetch_object())
        {
            $blogname = $query->obj->weblog;
            $blog_array[$blogname] = $query->obj->id;

            $res1 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'html_display_options_$blogname'");
            
             while ($res1->db_fetch_object())
                    $html_display_array[$blogname] = $res1->obj->pm_value;
        
            $res2  = new DB_query($DB, "select pm_value from $db_prefs where pm_option = '".$blogname."_page"."'");            
             while ($res2->db_fetch_object())
                    $weblogpage_array[$blogname] = $res2->obj->pm_value;

            $res3 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'comments_page_$blogname'");            
             while ($res3->db_fetch_object())
                    $comments_page_array[$blogname] = $res3->obj->pm_value;

            $res4 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'more_page_$blogname'");            
             while ($res4->db_fetch_object())
                    $more_page_array[$blogname] = $res4->obj->pm_value;

            $res5 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'pages_path_abs_$blogname'");            
             while ($res5->db_fetch_object())
                    $pages_path_abs_array[$blogname] = $res5->obj->pm_value;
        }
    }

        $cat_array = array();
        $result = new DB_query($DB, "select id,category from $db_categories order by id");  
             while ($result->db_fetch_object())
                $cat_array[$result->obj->id] = $result->obj->category;
    
        unset($result);
        unset($res1);
        unset($res2);
        unset($res3);
        unset($res4);
        unset($res5);
        unset($sql);
        unset($query);
    
        $img_array = array();
        $img_count = array();
        $q = "select id,abspath from $db_upload_prefs order by id"; 
        
        $query = new DB_query($DB, $q);
        
        while ($query->db_fetch_object())
        {
            $abspath = $query->obj->abspath;
            
            if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";
    
            $img_array[$query->obj->id] = $abspath;
            array_push($img_count,$query->obj->id);
        }
    
        unset($q);
        unset($query); 
    
        $memdir = $SHARED->get_pref("memdir","1");
        $img_dir_abs = $SHARED->get_pref("image_upload_dir_abs","1"); 
        $word_censor = $SHARED->get_pref("word_censor_weblog");
    
        $newtime = $SHARED->get_offset_time(); 
    
if ($which == "archives")
{
	$hql = "select distinct month,year 
			from $db_weblog 
			where $criteria status = 'open' 
			and t_stamp <= '$newtime' 
			and x_stamp >= '$newtime'
			order by year desc, month desc
			$limit";
}
elseif ($which == "category")
{
	$hql = "select distinct id 
			from $db_categories 
			left join $db_weblog on {$db_categories}.id = {$db_weblog}.category ";
			
	if ($weblogflag <> '')
		$hql .= " where {$db_weblog}.weblog = '$weblogflag' ";
	else
		$hql .= " where {$db_weblog}.weblog != '' ";

		$hql .= " order by {$db_categories}.category ";				
}							
								
								
	$header = new DB_query($DB, $hql);

	while ($header->db_fetch_object())
	{   
        if ($which == "archives")
        {
                $month  = $header->obj->month;
                $year   = $header->obj->year;
    
            switch ($month) 
            {
                    case "01": $month_long  = "January"; $month_short = "Jan"; 
                    break;
                    case "02": $month_long  = "February"; $month_short = "Feb"; 
                    break;      
                    case "03": $month_long  = "March"; $month_short = "Mar"; 
                    break;  
                    case "04": $month_long  = "April"; $month_short = "Apr";
                    break;  
                    case "05": $month_long  = "May"; $month_short = "May"; 
                    break;
                    case "06": $month_long  = "June"; $month_short = "Jun"; 
                    break;         
                    case "07": $month_long  = "July"; $month_short = "Jul"; 
                    break; 
                    case "08": $month_long  = "August"; $month_short = "Aug"; 
                    break;
                    case "09": $month_long  = "September"; $month_short = "Sept"; 
                    break;
                    case "10": $month_long  = "October"; $month_short = "Oct"; 
                    break;
                    case "11": $month_long  = "November"; $month_short = "Nov"; 
                    break;
                    case "12": $month_long  = "December"; $month_short = "Dec"; 
                    break;
            }           

				$altcolor = ($i % 2) ? $color_one : $color_two; $i++;
				
				$swap = array(
							"%%color_switch%%"   =>  $altcolor,
							"%%month_long_ucf%%"  => ucfirst($month_long), 
							"%%month_long_uc%%"   => strtoupper($month_long), 
							"%%month_long_lc%%"   => strtolower($month_long),           
							"%%month_short_ucf%%" => ucfirst($month_short),
							"%%month_short_uc%%"  => strtoupper($month_short),
							"%%month_short_lc%%"  => strtolower($month_short),      
							"%%month_numeric%%"   => $month,
							"%%year_long%%"       => $year,
							"%%year_short%%"      => substr($year, 2, 2) 
							);
           
		
		}
		elseif ($which == "category")
		{
			$catnumber = $header->obj->id;
        		
        	$cattitle = $cat_array["$catnumber"];
        
	        $altcolor = ($i % 2) ? $color_one : $color_two; $i++;

			$swap = array("%%color_switch%%"   =>  $altcolor,
						 "%%category%%"  => $cattitle );
		
		}

	$tempcat = $SHARED->get_pref("${weblog}_templategroup"); 
	$block   = $SHARED->get_template($tempcat, $htempno);

	while(list($key,$value) = each($swap))
		$block = str_replace("$key","$value",$block); 

	if (get_magic_quotes_runtime())
		$block = stripslashes($block);    


	// HEADER
	echo $block;
	
	unset($block);
	unset($tempcat);


if ($which == "archives")
{
    $sql = "select post_id,member_id,t_stamp,title,weblog,category,c_hits,c_total,m_hits 
            from $db_weblog 
            where $criteria 
            status = 'open' 
            and preview != '1' 
            and month = '$month' 
            and year = '$year' 
            and t_stamp <= '$newtime'
            and x_stamp >= '$newtime'
            order by t_stamp desc";
}
elseif ($which == "category")
{
     $sql = "select post_id,member_id,t_stamp,title,weblog,category,c_hits,c_total,m_hits 
            from $db_weblog 
            where category = '$catnumber'
            and status = 'open' 
            and preview != '1' 
            and t_stamp <= '$newtime'
            and x_stamp >= '$newtime' ";
            
	if ($weblogflag <> '')
		$sql .= " and weblog = '$weblogflag' ";

		$sql .= "order by t_stamp desc $limit";
}

        $query = new DB_query($DB, $sql);            

         while ($query->db_fetch_object()) 
         {
            $postid        = $query->obj->post_id;
            $mem_id        = $query->obj->member_id;
            $t_stamp       = $query->obj->t_stamp;
            $title         = $query->obj->title;
            $entry_cat     = $query->obj->category;
            $comment_hits  = $query->obj->c_hits;
            $c_total       = $query->obj->c_total;
            $more_hits     = $query->obj->m_hits;
            $blog          = $query->obj->weblog;  

        if (get_magic_quotes_runtime()) 
            $title = stripslashes($title);

        if ($arrayflag ==1) 
        {
            isset($blog_array[$blog]) ? $catpage = $blog_array[$blog] : $catpage = '';
            
            isset($html_display_array[$blog]) ? $html_display = $html_display_array[$blog] : $html_display = '';
            
            isset($weblogpage_array[$blog]) ? $weblogpage = $weblogpage_array[$blog] : $weblogpage = '';
            
            isset($comments_page_array[$blog]) ? $comments_page = $comments_page_array[$blog] : $comments_page = '';
            
            isset($more_page_array[$blog]) ? $more_page = $more_page_array[$blog] : $more_page = '';
            
            isset($pages_path_abs_array[$blog]) ? $pagespath = $pages_path_abs_array[$blog] : $pagespath = '';

            if (!eregi('/$',$pagespath)) $pagespath = "$pagespath" . "/";
        }
            if ($entry_cat <> '')
                $category = $cat_array["$entry_cat"];
            else
                $category = '';

        if ($c_total == '') 
            $c_total = "0";
    
        if ($word_censor == "yes") 
            $title = censor($title);
        
        if ($html_display == "convert_html") 
            $title = pmcode_remove_tags($title);
            $title = pmcode_decode($title);

        if (substr($mem_id, 0, 2)=="NM") 
        {
            $memberflag =1;
            $q = "select signature from $db_nonmembers where id = '".substr($mem_id,2)."'";  
        }
        else 
        {
            $memberflag = 0;
            $q = "select signature from $db_members where id = '$mem_id'";
        }
         
        $result = new DB_query($DB, $q);
    
        $result->db_fetch_object();
        $name = $result->obj->signature;
        
        if (get_magic_quotes_runtime())
            $name  = stripslashes($name);

         $altcolor = ($i % 2) ? $color_one : $color_two; $i++;
        
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $comments_page = str_replace($sfx, '', $comments_page);
            $weblogpage = str_replace($sfx, '', $weblogpage);
            $more_page = str_replace($sfx, '', $more_page);
        }		
       
        $entry_id = "?id={$postid}_0_{$catpage}_{$catrow}";

        $com_url = "$pagespath$comments_page$delim{$postid}_0_{$catpage}_{$catrow}_C";

        $com_purl = "$pagespath$comments_page{$delim}P{$postid}_0_{$catpage}_{$catrow}_C";

        $web_url = "$pagespath$weblogpage{$delim}P$postid";
        
        $mor_url = "$pagespath$more_page$delim{$postid}_0_{$catpage}_{$catrow}_M";

        if ($url_rewriting == 1) $entry_id .= '/';
        if ($url_rewriting == 1) $com_url .= '/';
        if ($url_rewriting == 1) $com_purl .= '/';
        if ($url_rewriting == 1) $web_url .= '/';
        if ($url_rewriting == 1) $mor_url .= '/';


         $swap = array(
            "%%entry_id%%"          => $entry_id,
            "%%name%%"              => $name,  
            "%%title%%"             => $title,
            "%%comment_url%%"       => $com_url,
            "%%comments_url%%"      => $com_url, // Deprecated
            "%%more_url%%"          => $mor_url,
            "%%weblog_url%%"        => $web_url,  
            "%%comment_permalink%%" => $com_purl,
            "%%profile_link%%"      => "$memdir$profileviewpage$sfx?id=$mem_id",
            "%%category%%"          => $category,
            "%%color_switch%%"      => $altcolor,
            "%%comment_hits%%"      => $comment_hits,
            "%%comments_total%%"    => $c_total,
            "%%a%%"                 => date("a",$t_stamp),
            "%%A%%"                 => date("A",$t_stamp),
            "%%B%%"                 => date("B",$t_stamp),
            "%%d%%"                 => date("d",$t_stamp),
            "%%D%%"                 => date("D",$t_stamp),
            "%%F%%"                 => date("F",$t_stamp),
            "%%g%%"                 => date("g",$t_stamp),
            "%%G%%"                 => date("G",$t_stamp),
            "%%h%%"                 => date("h",$t_stamp),
            "%%H%%"                 => date("H",$t_stamp),
            "%%i%%"                 => date("i",$t_stamp),
            "%%I%%"                 => date("I",$t_stamp),
            "%%j%%"                 => date("j",$t_stamp),
            "%%l%%"                 => date("l",$t_stamp),
            "%%L%%"                 => date("L",$t_stamp),
            "%%m%%"                 => date("m",$t_stamp),
            "%%M%%"                 => date("M",$t_stamp),
            "%%n%%"                 => date("n",$t_stamp),
            "%%r%%"                 => date("r",$t_stamp),
            "%%s%%"                 => date("s",$t_stamp),
            "%%S%%"                 => date("S",$t_stamp),
            "%%t%%"                 => date("t",$t_stamp),
            "%%T%%"                 => date("T",$t_stamp),
            "%%U%%"                 => date("U",$t_stamp),
            "%%w%%"                 => date("w",$t_stamp),
            "%%Y%%"                 => date("Y",$t_stamp),
            "%%y%%"                 => date("y",$t_stamp),
            "%%z%%"                 => date("z",$t_stamp),
            "%%Z%%"                 => date("Z",$t_stamp)
    );  

        $torsocat = $SHARED->get_pref("${blog}_templategroup"); 
       
        $torso  = $SHARED->get_template($torsocat,$ttempno);

        while(list($key,$value) = each($swap))  
        {
            $torso = str_replace("$key","$value",$torso); 
        }
        for ($j=0; $j< sizeof($img_count); $j++)
        {    
            $torso = str_replace("%%dir[$img_count[$j]]%%",$img_array[$img_count[$j]],$torso);
        }

// BODY    
echo "$torso";
}

// FOOTER
    $altcolor = ($i % 2) ? $color_one : $color_two; $i++;
    
    $tempcat = (isset($blog)) ? $SHARED->get_pref($blog."_templategroup") : '';
        
    $footer  = $SHARED->get_template($tempcat,$ftempno);
    $footer  = str_replace("%%color_switch%%",$altcolor,$footer);

    if (get_magic_quotes_runtime())
        $footer = stripslashes($footer);

  echo $footer;
 }  
}
// END
?>