<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//		FEEDBACK EMAIL FORM
//	----------------------------------------------

function contact_form($subject='', $to='') 
{
    global $mbrmanager, $open_basedir, $obd_memdir, $sfx;
    global $SECURE, $db_prefs, $SHARED, $DB, $db_members;

    $subject = stripslashes($subject);  

    if ($open_basedir == 0) 
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = $obd_memdir;
    }

    $swap = array("%%subject%%" => $subject);
  
    $block = $SHARED->get_template("email","10");

    while (list ($key,$value) = each ($swap))
    {
        $block = str_replace("$key","$value",$block);
    }

	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=sendmail\" ".$SECURE->security_hash_js().">\n";
		echo $SECURE->security_hash_field();
	}
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=sendmail\">\n";
	}
	
	if ($to != '')
	{
		echo "<input type=\"hidden\" name=\"to\" value=\"$to\">\n";
	}
	
	// ---------------------------------
	//  Captcha
	// ---------------------------------
	
	if (preg_match("|{if captcha}(.*?){/if}|s",$block, $matches))
	{
		$captcha = 'y';
		
		if ($email_captcha == 'no')
		{
			$block =& str_replace($matches['0'], '', $block);
			$captcha = 'n';
		}
		elseif ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
    
			if ($query->db_num_rows() > 0)
			{
				$block =& str_replace($matches['0'], '', $block);
				$capthca = 'n';
			}
		}
		
		if ($captcha == 'y')
		{
			if ($captcha_image = $SECURE->create_captcha())
			{
				$block =& str_replace($matches['0'], $matches['1'], $block);
				$block =& str_replace('%%captcha%%', $captcha_image, $block);
			}
			else
			{
				$block =& str_replace($matches['0'], '', $block);
			}
		}		
	}
	

	echo "$block\n";
	echo "</form>\n";
}
// END



//	----------------------------------------------
//		EMAIL MEMBER FORM
//	----------------------------------------------

function member_email_form($id="") 
{  
    global $db_templates, $db_members, $member_name, $open_basedir;
    global $mbrmanager, $member_code, $sfx; 
    global $SECURE, $db_prefs, $DB, $SHARED;
 
    if ($id == '')
    {
        return member_messages(60);
    }
    
    if (!$member_name || !$member_code)
    {
        return member_messages(65);
 	}
 	
    if ($open_basedir == 0) 
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    } 
    
    $sql = "select id,signature,get_email from $db_members where id = '".$DB->escape_str($id)."'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $toid      = $query->obj->id;
    $to        = $query->obj->signature;
    $get_email = $query->obj->get_email;  
	   
    if ($get_email == 'no')
    {
        return member_messages(109);
    }
    
    $sql = "select id,signature from $db_members where username = '$member_name'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $fromid = $query->obj->id;
    $from   = $query->obj->signature;
     
	unset($sql);
    unset($query);
            
    $swap = array("%%to%%" => $to, "%%from%%" => $from );    
    $block = $SHARED->get_template("membership","140");
   
    while(list($key,$value) = each($swap))
    {
        $block = str_replace("$key","$value",$block); 
    }
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=email\" ".$SECURE->security_hash_js().">\r\n";
		echo $SECURE->security_hash_field();
	}
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=email\">\r\n";
	}
	
	// ---------------------------------
	//  Captcha
	// ---------------------------------
	
	if (preg_match("|{if captcha}(.*?){/if}|s",$block, $matches))
	{
		$captcha = 'y';
		
		if ($email_captcha == 'no')
		{
			$block =& str_replace($matches['0'], '', $block);
			$captcha = 'n';
		}
		elseif ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
    
			if ($query->db_num_rows() > 0)
			{
				$block =& str_replace($matches['0'], '', $block);
				$capthca = 'n';
			}
		}
		
		if ($captcha == 'y')
		{
			if ($captcha_image = $SECURE->create_captcha())
			{
				$block =& str_replace($matches['0'], $matches['1'], $block);
				$block =& str_replace('%%captcha%%', $captcha_image, $block);
			}
			else
			{
				$block =& str_replace($matches['0'], '', $block);
			}
		}		
	}
	
	echo "<input type=\"hidden\" name=\"to\" value=\"$toid\" />\r\n";
	echo "<input type=\"hidden\" name=\"from\" value=\"$fromid\" />\r\n";
	echo "$block\r\n";
	echo "</form>\r\n";
}
// END


//	----------------------------------------------
//		SEND WEBSITE FEEDBACK
//	----------------------------------------------

function deliver_the_mail($from, $subject, $message, $to="")
{
    send_feedback($from, $subject, $message, $to);
}
// END



//	----------------------------------------------
//		SEND SITE FEEDBACK
//	----------------------------------------------

function send_feedback($from, $subject, $message, $to='') 
{    
    global $db_members, $messagespage, $sfx, $SECURE, $db_prefs, $SHARED;
    global $db_captchas, $DB;

    $from    = trim(stripslashes($from));  
    $subject = trim(stripslashes($subject));
    $message = stripslashes($message);
    $to      = trim(stripslashes($to)); 

     $to = ($to == '') ? $SHARED->get_pref("adminemail") : $to;

     $memdir = $SHARED->get_pref("memdir","1");
    
    if ($from == "" || $subject == "" || $message == "")
        return header("location:$memdir$messagespage$sfx?m=105");
    
    if (!valid_email($from))
        return header("location:$memdir$messagespage$sfx?m=108");

	// --------------------------------------
	//  Secure Forms and Captcha Variables
	// --------------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	// -------------------------------------------------
	//  Secure Forms/Captcha Check - After All Error Checking!
	// -------------------------------------------------
	
	if (isset($email_captcha) && $email_captcha != 'no')
	{			
		$passed = 'n';
		
		if ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
			
			if ($query->db_num_rows() > 0)
			{
				$passed = 'y';
			}
		}
		
		if ($passed == 'n')
		{
			if ( ! isset($_POST['captcha']) OR trim($_POST['captcha']) == '')
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
		
			$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_captchas 
										WHERE ip_address ='".$SHARED->IP."'
										AND word = '".$DB->escape_str($_POST['captcha'])."'
										AND date > '".(time()-7200)."'");
										
			$query->db_fetch_array();
		
			if ($query->row['count'] == 0)
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
			elseif($preview != 1)
			{
				$query = new DB_query($DB, "DELETE FROM $db_captchas 
											WHERE (word='".$DB->escape_str($_POST['captcha'])."' 
											AND ip_address = '".$SHARED->IP."') 
											OR date < '".(time()-7200)."'");
			}		
		}		
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash() !== true)
	{
		return header("location:$memdir$messagespage$sfx?m=107");
	}	
	
	// --------------------------------------
	//  Second Email
	// --------------------------------------
	
	$email = new Email;
	$email->from($from );	
	$email->to($to); 
	$email->subject($subject);	
	$email->message($message);	
	
    if ($email->Send())
    {
        return header("location:$memdir$messagespage$sfx?m=106"); 
    } 
    else 
    {   
        return header("location:$memdir$messagespage$sfx?m=107"); 
    }
}
// END


//	----------------------------------------------
//		SEND EMAIL TO REGISTERED MEMBER
//	----------------------------------------------

function send_member_email($id, $from, $subject, $message) 
{    
    global $db_members, $messagespage, $sfx, $SECURE, $DB, $SHARED;
    global $db_prefs, $db_captchas;

    $subject = trim(stripslashes($subject));
    $message = stripslashes($message);  

    $memdir = $SHARED->get_pref("memdir","1");

    if ($subject == "" || $message == "")
    {
    	return header("location:$memdir$messagespage$sfx?m=105");
    }
    
    $query = new DB_query($DB, "select email from $db_members where id = '".$DB->escape_str($id)."'");
        
    $query->db_fetch_object();    
    $to = $query->obj->email;
        
    $query = new DB_query($DB, "select email from $db_members where id = '".$DB->escape_str($from)."'");
        
    $query->db_fetch_object();    
    $fromwho = $query->obj->email;
    
    $message = str_replace("\r", '', $message);
    
    // --------------------------------------
	//  Secure Forms and Captcha Variables
	// --------------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	// -------------------------------------------------
	//  Secure Forms/Captcha Check - After All Error Checking!
	// -------------------------------------------------
	
	if (isset($email_captcha) && $email_captcha != 'no')
	{			
		$passed = 'n';
		
		if ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
			
			if ($query->db_num_rows() > 0)
			{
				$passed = 'y';
			}
		}
		
		if ($passed == 'n')
		{
			if ( ! isset($_POST['captcha']) OR trim($_POST['captcha']) == '')
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
		
			$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_captchas 
										WHERE ip_address ='".$SHARED->IP."'
										AND word = '".$DB->escape_str($_POST['captcha'])."'
										AND date > '".(time()-7200)."'");
										
			$query->db_fetch_array();
		
			if ($query->row['count'] == 0)
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
			elseif($preview != 1)
			{
				$query = new DB_query($DB, "DELETE FROM $db_captchas 
											WHERE (word='".$DB->escape_str($_POST['captcha'])."' 
											AND ip_address = '".$SHARED->IP."') 
											OR date < '".(time()-7200)."'");
			}		
		}		
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash() !== true)
	{
		return header("location:$memdir$messagespage$sfx?m=107");
	}	
	
	// --------------------------------------
	//  Send Email
	// --------------------------------------

	$email = new Email;
	$email->from($fromwho);	
	$email->to($to); 
	$email->subject($subject);	
	$email->message($message);	


    if ($email->Send()) 
    {   
        return header("location:$memdir$messagespage$sfx?m=106"); 
    }
    else 
    {    
        return header("location:$memdir$messagespage$sfx?m=107"); 
    }
}
// END


//	----------------------------------------------
//		RESET FORGOTTEN PASSWORD
//	----------------------------------------------

function reset_password($to)  
{	
    global $db_members, $db_pw_reset, $mbrmanager, $language;
    global $messagespage, $pm_path, $sfx, $DB, $SHARED, $SECURE;
    global $db_prefs;

    $adminemail = $SHARED->get_pref("adminemail");
    $sitename   = $SHARED->get_pref("sitename");
    $memdir     = $SHARED->get_pref("memdir","1");  

    $sql = "select member_id,signature from $db_members where email='$to'";
        
    $query = new DB_query($DB, $sql);    

    if ($query->db_num_rows() == 0)
    {
        return header("location:$memdir$messagespage$sfx?m=22");
	}
	
    $query->db_fetch_object();    
    $member_id  =  $query->obj->member_id;
    $signature  =  $query->obj->signature;
    
    // ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash(false) !== true)
	{
		return header("location:$memdir$messagespage$sfx"); 
	}

	mt_srand ((double) microtime() * 1000000);
	$resetcode = mt_rand();
    
    $link = "$memdir$mbrmanager$sfx?p=pwreset&id=$resetcode";
    
    $sql = "select count(*) as count from $db_pw_reset where member_id = '$member_id'";
    $query = new DB_query($DB, $sql);    
    $query->db_fetch_object();
    
    if ($query->obj->count == 0) 
    {
        $ud = new DB_query($DB, "insert into $db_pw_reset (id,member_id,resetcode,date) values ('','$member_id','$resetcode','".time()."')");  
    }
    else 
    {
        $ud = new DB_query($DB, "update $db_pw_reset set resetcode = '$resetcode', date = '".time()."' where member_id='$member_id'");
    }
    
    include ("{$pm_path}language/{$language}/main{$sfx}");

    $from    =  "$adminemail";
    $subject =  "$signature, ". $L_POSTOFFICE['115'];
    $mesg    =  "$signature,\r\n\r\n";
    $mesg   .=   $L_POSTOFFICE['120'] ."\r\n\r\n";
    $mesg   .=  "$link\r\n\r\n";
    $mesg   .=   $L_POSTOFFICE['125'] ."\r\n\r\n";
    $mesg   .=   $L_POSTOFFICE['130']."\r\n\r\n";
    $mesg   .=  "$sitename";

    $mesg = stripslashes(pmcode_translate_entities($mesg));
    
    $mesg = str_replace("\r", "", $mesg);

	$email = new Email;
	$email->from($from);	
	$email->to($to); 
	$email->subject($subject);	
	$email->message($mesg);	


    if ($email->Send())
    {
        return header("location:$memdir$messagespage$sfx?m=21");
    }
    else
    {
        return header("location:$memdir$messagespage$sfx?m=26");
    }    
}
// END


//	----------------------------------------------
//		SEND ACTIVATION CODE
//	----------------------------------------------

function email_activation($value, $type)  
{
    global $db_members, $db_templates, $pm_path, $language;
    global $mbrmanager, $sfx, $DB, $SHARED, $SECURE;
    global $db_prefs;

    $adminemail = $SHARED->get_pref("adminemail");
    $sitename   = $SHARED->get_pref("sitename");
    $memdir     = $SHARED->get_pref("memdir","1");

    if ($type == 'new') 
    {
        $sql = "select member_id,username,email,signature from $db_members where member_id ='".$DB->escape_str($value)."'";  
    }
    else
    {
        $sql = "select member_id,username,email,signature from $db_members where email='".$DB->escape_str($value)."'";
    }
    
    $query = new DB_query($DB, $sql);
                    
    if ($query->db_num_rows() == 0)
    {
        return false;
    }
    
    // ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	if ($type != 'new')
	{	
		$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
		while ($query->db_fetch_object()) 
		{
			${$query->obj->pm_option} = $query->obj->pm_value; 
		}
		
		if ($secure_forms == 'yes' && $SECURE->check_hash(false) !== true)
		{
			return header("location:$memdir$messagespage$sfx"); 
		}
    }
    
    $query->db_fetch_object();
      
    $memid    = $query->obj->member_id;      
    $addr    = trim($query->obj->email);      
    $name     = $query->obj->signature;      
    $username = $query->obj->username; 
    
     $swap = array(
      "%%member_name%%"     => $name,
      "%%username%%"        => $username,
      "%%password%%"        => "n/a",
      "%%activation_url%%"  => "$memdir$mbrmanager$sfx?p=activate&id=$memid",
      "%%site_name%%"       => $sitename );
    
    $mesg = $SHARED->get_template("membership","160");

    while(list($key,$value) = each($swap)) 
    {
        $mesg = str_replace("$key","$value",$mesg); 
    }
        $mesg = stripslashes(pmcode_translate_entities($mesg));

    include ("{$pm_path}language/{$language}/main{$sfx}");

    $subject = "{$name}, ". $L_POSTOFFICE['345'];
    
    $mesg = str_replace("\r", "", $mesg);	
	
	$email = new Email;
	$email->from($adminemail);	
	$email->to($addr); 
	$email->subject($subject);	
	$email->message($mesg);	
	

    if ($email->Send())
        return true;
    else
        return false;   
} 
// END


//	----------------------------------------------
//		NOTIFY MEMBER OF SITE POST
//	----------------------------------------------

function send_member_notifications($postid, $path, $memid, $addr)
{
    global $db_nmbr_notify, $db_mbr_notify, $memdir, $mbrmanager, $sfx;
    global $db_weblog, $pm_path, $db_members, $db_templates, $language;
   	global $DB, $SHARED;
   
	$email = new Email;

    $sitename = $SHARED->get_pref("sitename");
    $from     = $SHARED->get_pref("adminemail");

    $query = new DB_query($DB, "select title from $db_weblog  where post_id = '".$DB->escape_str($postid)."'");
    $query->db_fetch_object();
    $title = $query->obj->title;
    
    if ($query->db_num_rows() == 0)
    {
    	exit;
    }
    
	if (get_magic_quotes_runtime()) 
	{
		$title  = stripslashes($title);
    }
    
    $query = new DB_query($DB, "select body from $db_templates  where cat_name = 'email' and template_id = '60'");
    $query->db_fetch_object();
    $subject = $query->obj->body;
    
    $sql = "select body from $db_templates  where cat_name = 'email' and template_id = '70'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $message = $query->obj->body;
    
    $message = str_replace("%%entry_url%%", $path, $message); 
    $message = str_replace("%%title%%", $title, $message); 
    $message = str_replace("%%site_name%%", $sitename, $message); 
    
    $message = pmcode_translate_entities($message);
    
    include ("{$pm_path}language/{$language}/main$sfx");
    
    $message .= "\n\n\n$L_POSTOFFICE[375]\r\n$memdir$mbrmanager$sfx?p=rmv&id=$postid&";
	
	
    $sql = "select email from $db_nmbr_notify where post_id ='$postid' ";

    if ($addr != '')
    {
    	$sql .= "and email != '".$DB->escape_str($addr)."' ";
	}
	
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() > 0) 
    {
        while ($query->db_fetch_object()) 
        {
			$addr = $query->obj->email;
			
			$msg = $message . "e=$addr";
			
			$email->from($from);	
			$email->to($addr); 
			$email->subject($subject);	
			$email->message($msg);
			
			$email->Send();
			
			$email->initialize();
			            
            $msg = "";
        }
    }
    
    unset($sql);
    unset($query);
    
    
    $sql = "select member_id from $db_mbr_notify where post_id ='$postid' ";  
    
    if ($memid != '')
    {
    	$sql .= "and member_id != '".$DB->escape_str($memid)."' ";
    }	
  
    $query = new DB_query($DB, $sql);

    if ($query->db_num_rows() > 0) 
    {
        while ($query->db_fetch_object()) 
        {
        	$mid = $query->obj->member_id;
        	
            $result = new DB_query($DB, "select id,email from $db_members where id ='$mid'");
            $result->db_fetch_object();
			$addr = $result->obj->email;
			$mid   = $result->obj->id;
			
			$msg = $message . "m=$mid";
			
			$msg = str_replace("\r", "", $msg);

			$email->from($from);	
			$email->to($addr); 
			$email->subject($subject);	
			$email->message($msg);
			
			$email->Send();
			
			$email->initialize();
			            
            $msg = "";
        }
    }
}
// END



//	----------------------------------------------
//		REMOVE NOTIFICATION
//	----------------------------------------------

function remove_from_notification($id="", $e="",$m="")
{
	global $db_mbr_notify, $db_nmbr_notify, $messagespage, $sfx, $DB;
	global $SHARED;
	
	
    $memdir = $SHARED->get_pref("memdir","1");

    if ($id == '') 
        return header("location:$memdir$messagespage$sfx?m=120");

    if ($e == '' && $m == '') 
        return header("location:$memdir$messagespage$sfx?m=120");
 	
 	if ($e != "")
 		$sql = "delete from $db_nmbr_notify where post_id = '".$DB->escape_str($id)."' and email = '".$DB->escape_str($e)."'";  
 	
 	elseif ($m != "")
  		$sql = "delete from $db_mbr_notify where post_id = '".$DB->escape_str($id)."' and member_id = '".$DB->escape_str($m)."'";  

	$query = new DB_query($DB, $sql);
	
	if ($query->result)
        return header("location:$memdir$messagespage$sfx?m=121");
    else
		return header("location:$memdir$messagespage$sfx?m=120");
 
}
// END


//	----------------------------------------------
//		NOTIFY ADMIN OF NEW MEMBER REGISTRATION
//	----------------------------------------------

function notify_admin_of_registration($username, $signature, $addr, $id)
{
    global $pm_path, $language, $sfx, $SHARED, $sx;

    include ("{$pm_path}language/{$language}/main{$sfx}");
   
	$adminemail = $SHARED->get_pref('adminemail');
	$sitename   = $SHARED->get_pref('sitename');
	
	if (get_magic_quotes_runtime())
	{
		$sitename = stripslashes($sitename);
	}
	
	$m_url = $SHARED->get_pref('libdir').
					"index$sfx?sx=$sx&m=members&p=edit&id=".
					$id.
					"&show=edit";	
	
	$subject = $L_POSTOFFICE['350'];
	
	$message = $L_POSTOFFICE['355'] . " $sitename";
	$message .= "\r\n\r\n";
	$message .= $L_POSTOFFICE['360'] . " $signature";
	$message .= "\r\n";	
	$message .= $L_POSTOFFICE['365'] . " $username";
	$message .= "\r\n";	
	$message .= $L_POSTOFFICE['370'] . " $addr";
	$message .= "\r\n";	
	$message .= $L_POSTOFFICE['740'] . "\r\n[unwrap]{$m_url}[/unwrap]";
	
	$message = str_replace("\r", '', $message);
	
	$email = new Email();
	
	$email->from($adminemail);	
	$email->to($adminemail); 
	$email->subject($subject);	
	$email->message($message);
	

	if (!$email->Send())
		return false;
	else
		return true;
}
// END


?>