<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	------------------------------------------------------
//		LOGIN/LOGOUT NAV BAR
//	------------------------------------------------------

function member_login_navbar() 
{ 
    global $loginpage, $registerpage, $memberspage, $logoutpage;
    global $calendarpage, $obd_memdir, $member_code, $member_name;
    global $profileupdatepage, $mbrmanager, $open_basedir, $sfx;
    global $db_members, $DB, $SHARED;

    $calpath = $SHARED->get_pref("calendar_path_abs");

    if ($open_basedir == 0)
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = $obd_memdir;
    }
    
    $signature = "";
    
    if (get_magic_quotes_runtime())
        $member_name = stripslashes($member_name);

    $swap = array(
     "%%member_name%%"         => "$member_name",
     "%%members_page_link%%"   => "$memdir$memberspage$sfx",  
     "%%login_page_link%%"     => "$memdir$loginpage$sfx",
     "%%register_page_link%%"  => "$memdir$registerpage$sfx",
     "%%logout_page_link%%"    => "$memdir$mbrmanager$sfx?p=logout",
     "%%profile_page_link%%"   => "$memdir$profileupdatepage$sfx",
     "%%calendar_page_link%%"  => "$calpath"
     ); 
  
    if ((isset($member_name)) && (isset($member_code))) 
    { 
        $block = $SHARED->get_template("membership","20");
        
        while(list($key,$value) = each($swap))
        {  
           $block = str_replace("$key","$value",$block); 
        }  
        
        if (ereg("%%signature%%", $block))
        {    		
    		$query = new DB_query($DB, "select signature from $db_members where username = '".$DB->escape_str($member_name)."'");
    		$query->db_fetch_object();
    		
    		$signature = $query->obj->signature;
		}
      
    } 
    else 
    { 
        $block = $SHARED->get_template("membership","10");
        
        while(list($key,$value) = each($swap)) 
        {  
           $block = str_replace("$key","$value",$block); 
        }
        
        $signature = "";
    } 
    
    $block = str_replace("%%signature%%",$signature,$block);
		    
	echo $block;
}
// END 



//	---------------------------------------------
//		LOGIN FORM
//	---------------------------------------------

function member_login_form() 
{
    global $sfx, $mbrmanager, $open_basedir, $forgotpwpage;
    global $SECURE, $db_prefs, $DB, $SHARED;
  
    if ($open_basedir == 0)
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }

    $swap = array(
      "%%un_max_length%%"  => $SHARED->get_pref("un_max_length"),
      "%%pw_max_length%%"  => $SHARED->get_pref("pw_max_length"),
      "%%forgot_password_page_url%%" => "$memdir$forgotpwpage$sfx");

    $block = $SHARED->get_template("membership","30");
    
    while(list($key,$value) = each($swap))
    {  
        $block = str_replace("$key","$value",$block); 
    }
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=login\" ".$SECURE->security_hash_js().">\r\n";
		echo $SECURE->security_hash_field();
	}
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=login\">\r\n";
	}
	
	echo "$block\r\n";
	echo "</form>\r\n";
}

// END



//	---------------------------------------------
//		FORGOTTEN PASSWORD FORM
//	---------------------------------------------

function member_forgot_pw_form() 
{
    global $loginpage,$mbrmanager,$open_basedir,$sfx;
    global $SECURE, $db_prefs, $DB, $SHARED;
  
    if ($open_basedir == 0)
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }
    
    $swap = array("%%login_page_url%%" => "$memdir$loginpage$sfx");

    $block = $SHARED->get_template("membership","150");
    
    while(list($key,$value) = each($swap))
    {  
       $block = str_replace("$key","$value",$block); 
    }
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=forgotpw\" ".$SECURE->security_hash_js().">\r\n";
		echo $SECURE->security_hash_field();
	}	
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=forgotpw\">\r\n";
	}
	
	echo "$block\r\n";
	echo "</form>\r\n";
}

// END


//	---------------------------------------------
//		NEW MEMBER REGISTRATION FORM
//	---------------------------------------------

function member_register_form() 
{
    global $member_name, $member_code, $mbrmanager, $open_basedir, $sfx;
    global $SECURE, $db_prefs, $DB, $SHARED;
 
    if ((isset($member_name)) || (isset($member_code)))
        return member_messages(125);

    if ($open_basedir == 0)
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }

    $swap = array(
      "%%un_max_length%%" => $SHARED->get_pref("un_max_length"),
      "%%pw_max_length%%" => $SHARED->get_pref("pw_max_length"));

    $block = $SHARED->get_template("membership","40");
    
    while(list($key,$value) = each($swap))
    {  
       $block = str_replace("$key","$value",$block); 
    }
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=register\" ".$SECURE->security_hash_js().">\r\n";
		echo $SECURE->security_hash_field();
	}
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=register\">\r\n";
	}
	
	// ---------------------------------
	//  Captcha
	// ---------------------------------
	
	if (preg_match("|{if captcha}(.*?){/if}|s",$block, $matches))
	{
		$captcha = 'y';
		
		if ($member_captcha == 'no')
		{
			$block =& str_replace($matches['0'], '', $block);
		}
		else
		{
			if ($captcha_image = $SECURE->create_captcha())
			{
				$block =& str_replace($matches['0'], $matches['1'], $block);
				$block =& str_replace('%%captcha%%', $captcha_image, $block);
			}
			else
			{
				$block =& str_replace($matches['0'], '', $block);
			}
		}		
	}
	
	echo "$block\r\n";
	echo "</form>\r\n";
}

// END



//	---------------------------------------------
//		MEMBER PROFILE FORM
//	---------------------------------------------

function member_edit_profile_form() 
{	
    global $db_members, $db_mailinglist, $mbrmanager, $member_name;
    global $open_basedir, $member_code, $sfx;
    global $SECURE, $db_prefs, $DB, $SHARED;

    if (!$member_name && !$member_code)
    {
        return member_messages(55);
    }

    $sql = "select * from $db_members 
            where member_id = '".addslashes($member_code)."' 
            and username = '".addslashes($member_name)."'";
            
    $query = new DB_query($DB, $sql);
                            
    if ($query->db_num_rows() == 0)
    {
        return member_messages(55);
    }
    
    $query->db_fetch_object();
    
    $username    = htmlspecialchars($query->obj->username);
    $signature   = htmlspecialchars($query->obj->signature);
    $email       = htmlspecialchars($query->obj->email);
    $location    = htmlspecialchars($query->obj->location); 
    $url         = htmlspecialchars($query->obj->url);
    $occupation  = htmlspecialchars($query->obj->occupation);
    $interests   = htmlspecialchars($query->obj->interests);
    $bio         = htmlspecialchars($query->obj->bio);
    $day         = htmlspecialchars($query->obj->bday_day);
    $month       = htmlspecialchars($query->obj->bday_month);
    $year        = htmlspecialchars($query->obj->bday_year);
    $icq         = htmlspecialchars($query->obj->icq);   
    $aol_im      = htmlspecialchars($query->obj->aol_im);
    $yahoo_im    = htmlspecialchars($query->obj->yahoo_im);   
    $msn_im      = htmlspecialchars($query->obj->msn_im);   

    if (get_magic_quotes_runtime())
    {
        $username    = stripslashes($username);
        $signature   = stripslashes($signature);
        $email       = stripslashes($email);
        $location    = stripslashes($location);
        $url         = stripslashes($url);
        $occupation  = stripslashes($occupation);
        $interests   = stripslashes($interests);
        $bio         = stripslashes($bio); 
        $day         = stripslashes($day);
        $month       = stripslashes($month);
        $year        = stripslashes($year);
        $icq         = stripslashes($icq);
        $aol_im      = stripslashes($aol_im); 
        $yahoo_im    = stripslashes($yahoo_im);  
        $msn_im      = stripslashes($msn_im);
    }
    
    if ($query->obj->show_email == "yes") 
    { 
        $show_yes = "checked"; 
        $show_no = " ";
    } 
    if ($query->obj->show_email == "no")
    { 
        $show_yes = " ";
        $show_no = "checked";
    }  
    if ($query->obj->get_email  == "yes")
    { 
        $get_yes = "checked"; 
        $get_no = " ";
    } 
    if ($query->obj->get_email  == "no")
    { 
        $get_yes = " ";
        $get_no = "checked";
    }  

    // See if member is in the mailing list.

// UPDATE ID: MAILING LISTS
    $result = new DB_query($DB, "select count(*) as count 
                                from $db_mailinglist 
                                where email = '".$DB->escape_str($email)."' and `default` = 'yes'");
    $result->db_fetch_object();

    if ($result->obj->count == 0) 
    { 
        $mail_yes = ""; 
        $mail_no = "checked";
    }
    else
    {
        $mail_yes = "checked"; 
        $mail_no = " ";
    } 

// END UPDATE ID: MAILING LISTS

    $swap = array(
      "%%un_max_length%%"   => $SHARED->get_pref("un_max_length"),
      "%%pw_max_length%%"   => $SHARED->get_pref("pw_max_length"),
      "%%username%%"        => $username,
      "%%password%%"        => "",
      "%%confirm_pw%%"      => "",
      "%%signature%%"       => $signature,
      "%%email%%"           => $email,
      "%%location%%"        => $location,
      "%%url%%"             => $url,
      "%%occupation%%"      => $occupation,
      "%%interests%%"       => $interests,
      "%%bio%%"             => $bio,
      "%%day%%"             => $day,
      "%%month%%"           => $month,
      "%%year%%"            => $year,
      "%%icq%%"             => $icq,
      "%%aol_im%%"          => $aol_im,
      "%%yahoo_im%%"        => $yahoo_im,
      "%%msn_im%%"          => $msn_im,
      "%%show_yes%%"        => $show_yes,
      "%%show_no%%"         => $show_no,
      "%%get_yes%%"         => $get_yes,
      "%%get_no%%"          => $get_no, 
      "%%mail_yes%%"        => $mail_yes, 
      "%%mail_no%%"         => $mail_no );
 
    $block = $SHARED->get_template("membership","50");
     
    while(list($key,$value) = each($swap))
    {  
       $block = str_replace("$key","$value",$block); 
    }

    if ($open_basedir ==0) 
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$results = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($results->db_fetch_object()) 
	{
		${$results->obj->pm_option} = $results->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=update_profile\" ".$SECURE->security_hash_js().">\r\n";
		echo $SECURE->security_hash_field();
	}
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=update_profile\">\r\n";
	}
	
	echo "<input type=\"hidden\" name=\"id\" value=\"".$query->obj->id."\" />\r\n";
	echo "$block\r\n";
	echo "</form>\r\n";
}
// END



//	---------------------------------------------
//		REGISTER A NEW MEMBER
//	---------------------------------------------

function register_member($mbr_array) 
{  
    global $db_members, $db_ipbanning, $db_mailinglist, $open_basedir;
    global $messagespage, $redirect_method, $cookie_domain, $sfx, $DB, $SHARED;
    global $db_prefs, $db_captchas, $SECURE;
   
    if ($open_basedir == 0)
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }

    if (ipbancheck()==true)
        return header("location:$memdir$messagespage$sfx?m=30");

    $username    = trim(strip_tags($mbr_array['username']));
    $password    = trim(strip_tags($mbr_array['password']));
    $confirm_pw  = trim(strip_tags($mbr_array['confirm_pw']));
    $signature   = trim(preg_replace("/\s+/", ' ', strip_tags($mbr_array['signature'])));
    $email       = trim(strip_tags($mbr_array['email']));
    $location    = trim(strip_tags($mbr_array['location'])); 
    $url         = trim(strip_tags($mbr_array['url']));
    $occupation  = trim(strip_tags($mbr_array['occupation']));
    $interests   = trim(strip_tags($mbr_array['interests']));
    $day         = trim(strip_tags($mbr_array['day']));
    $month       = trim(strip_tags($mbr_array['month']));
    $year        = trim(strip_tags($mbr_array['year']));
    $icq         = trim(strip_tags($mbr_array['icq']));   
    $aol_im      = trim(strip_tags($mbr_array['aol_im']));
    $yahoo_im    = trim(strip_tags($mbr_array['yahoo_im']));   
    $msn_im      = trim(strip_tags($mbr_array['msn_im']));   
    $show_email  = trim(strip_tags($mbr_array['show_email']));
    $get_email   = trim(strip_tags($mbr_array['get_email']));
    $mailinglist = trim(strip_tags($mbr_array['mailinglist']));        

   // pMcode the bio
    $bio = $mbr_array['bio'];
    if ($bio <> "") 
    {
        $bio = pmcode_basic_encode($bio);
        $bio = pmcode_url_encode($bio);
        $bio = pmcode_remove_tags($bio);
    }

    if(!get_magic_quotes_gpc())
    {
        $username   = addslashes($username);
        $password   = addslashes($password);
        $signature  = addslashes($signature);
        $email      = addslashes($email);
        $location   = addslashes($location);
        $url        = addslashes($url);
        $occupation = addslashes($occupation);
        $interests  = addslashes($interests);
        $day        = addslashes($day);
        $month      = addslashes($month);
        $year       = addslashes($year);
        $bio        = addslashes($bio);
        $icq        = addslashes($icq);
        $aol_im     = addslashes($aol_im);
        $yahoo_im   = addslashes($yahoo_im);
        $msn_im     = addslashes($msn_im);	   
        $show_email = addslashes($show_email);	  
        $get_email  = addslashes($get_email);	
    }



    if (strlen($day) ==1)
        $day = "0". $day;
    
    if (strlen($month) ==1)
        $month = "0" . $month;
    
    if (strlen($year) ==2)
        $year = "19" . $year;


// DATA VALIDATION
           
    if ($username == "")
    {
         return header("location:$memdir$messagespage$sfx?m=27");
    }
    elseif ($password == "" || $confirm_pw == "")
    {
        return header("location:$memdir$messagespage$sfx?m=28");
    }
    elseif ($signature == "" OR $signature == '&nbsp;')
    {
        return header("location:$memdir$messagespage$sfx?m=29");
    }
    elseif (!eregi("^[[:alnum:]]+$", $username))
    {
        return header("location:$memdir$messagespage$sfx?m=48");
    }
    elseif (!eregi("^[[:alnum:]]+$", $password))
    {
        return header("location:$memdir$messagespage$sfx?m=49");
    }
    elseif (!eregi("^[[:alnum:]]+$", $confirm_pw))
    {
        return header("location:$memdir$messagespage$sfx?m=49");
    }
    elseif (strlen($username) < $SHARED->get_pref("un_min_length")) 
    {
        return header("location:$memdir$messagespage$sfx?m=32");
    }
    elseif (strlen($password) < $SHARED->get_pref("pw_min_length")) 
    {
        return header("location:$memdir$messagespage$sfx?m=33");
    }
    elseif ($password <> $confirm_pw) 
    {
        return header("location:$memdir$messagespage$sfx?m=34");
    }
    elseif ($email == "")
    {
        return header("location:$memdir$messagespage$sfx?m=35");
    }
    elseif (($email <> "") && (!valid_email($email)))
    {
        return header("location:$memdir$messagespage$sfx?m=36");
    }
    elseif (($day == "" && $month <> "") || 
            ($day <> "" && $month == "") || 
            ($day == "" && $month == "") && ($year <> ""))
    {
        return header("location:$memdir$messagespage$sfx?m=37");  
    }
              
    if ($day <> "") 
    {
        if (!eregi("^[[:digit:]]+$", $day))
        {
            return header("location:$memdir$messagespage$sfx?m=38");
        }
        elseif ($day < 0 || $day > 31)
        {
            return header("location:$memdir$messagespage$sfx?m=39");
        }
    } 
    if ($month <> "") 
    {
        if (!eregi("^[[:digit:]]+$", $month))
        {
            return header("location:$memdir$messagespage$sfx?m=38");
        }
        elseif ($month < 0 || $month > 12)
        {
            return header("location:$memdir$messagespage$sfx?m=40");
        }
    }    
    if ($year <> "") 
    {        
        if (!eregi("^[[:digit:]]+$", $year))
        {
            return header("location:$memdir$messagespage$sfx?m=38");
        }
        elseif ($year >= date("Y",time()))
        {
            return header("location:$memdir$messagespage$sfx?m=41&i=$year");
        }
        elseif ($year < 1900)
        {
            return header("location:$memdir$messagespage$sfx?m=41&i=$year");
        }
    }
    
// END DATA VALIDATION

// Do we allow multiple identical email addresses to be registered?

    if ($email <> "") 
    {
        $query = new DB_query($DB, "select count(*) as count from $db_members where email = '$email'");
        $query->db_fetch_object();
        
        if ($query->obj->count > 0) 
        {
        return header("location:$memdir$messagespage$sfx?m=44");
        }
        unset($query);
    }

// Does username exist?

    $query = new DB_query($DB, "select count(*) as count from $db_members where username = '$username'");
    $query->db_fetch_object();
    
    if ($query->obj->count > 0) 
    {
        return header("location:$memdir$messagespage$sfx?m=45");
    }
    unset($query);

// Does signature already exist?

    $query = new DB_query($DB, "select count(*) as count from $db_members where signature = '$signature'");
    $query->db_fetch_object();
    
    if ($query->obj->count >=1) 
    {
        return header("location:$memdir$messagespage$sfx?m=46");
    }
    unset($query);
    
    // ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}	
	
	if (isset($member_captcha) && $member_captcha != 'no')
	{			
		if ( ! isset($_POST['captcha']) OR trim($_POST['captcha']) == '')
		{
			return header("location:$memdir$messagespage$sfx?m=163");
		}
		
		$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_captchas 
									WHERE ip_address ='".$SHARED->IP."'
									AND word = '".$DB->escape_str($_POST['captcha'])."'
									AND date > '".(time()-7200)."'");
										
		$query->db_fetch_array();
		
		if ($query->row['count'] == 0)
		{
			return header("location:$memdir$messagespage$sfx?m=163");
		}
		else
		{
			$query = new DB_query($DB, "DELETE FROM $db_captchas 
										 WHERE (word='".$DB->escape_str($_POST['captcha'])."' 
										 AND ip_address = '".$SHARED->IP."') 
										 OR date < '".(time()-7200)."'");
		}
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash(false) !== true)
	{
		return header("location:$memdir$messagespage$sfx"); 
	}
    

	// -----------------------------
	//  Set Default Status
	// -----------------------------
     
	$emailauth = $SHARED->get_pref("emailauth"); 
                  
    if ($emailauth == 'no')
    {
        $status = '3';
    }
    else
    {  
        $status = '2';
    }

// generate random member id number

    mt_srand((double) microtime() * 1000000);
    $member_id = uniqid (mt_rand());  
    
// make sure member id is not taken. 

    $query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_members WHERE member_id ='$member_id'");     
    $query->db_fetch_object();
    
// This is lame.  Make it recursively loop if there is a match.

    if ($query->obj->count > 0) 
    {
        sleep(1);
        $member_id = uniqid (mt_rand());  
    } 

    unset($query);

    if ($show_email == "")
    {
        $show_email = "no";
    }
    if ($get_email == "")
    {
        $get_email = "no";
    }
    if ($mailinglist == "")
    {
        $mailinglist = "no";
    }
 
  $query = new DB_query($DB, "insert into $db_members 
                       (id,
                        member_id,
                        username, 
                        password, 
                        signature,
                        email,
                        location,
                        url,
                        occupation, 
                        interests, 
                        bday_day,
                        bday_month,
                        bday_year,
                        bio,
                        icq,
                        aol_im,
                        yahoo_im,
                        msn_im,
                        show_email,
                        get_email,
                        status,
                        joindate,
                        ipaddress,
                        numentries,
                        numcomments,
                        lastpost,
                        deft_weblog) 
              values 
                      ('',
                       '$member_id',
                       '$username', 
                       '".md5($password)."',
                       '$signature',
                       '$email',
                       '$location',
                       '$url',
                       '$occupation', 
                       '$interests', 
                       '$day',
                       '$month',
                       '$year',
                       '$bio',
                       '$icq',
                       '$aol_im',
                       '$yahoo_im',
                       '$msn_im',
                       '$show_email',
                       '$get_email',
                       '$status',
                       '".$SHARED->get_offset_time()."',
                       '".get_ipaddress()."',
                       '0',
                       '0',
                       '',
                       '')");
                       
			$new_id = $query->db_insert_id();
			
// UPDATE ID: MAILING LISTS
    if ($mailinglist == "yes") 
    {
        $query = new DB_query($DB, "select count(*) as count from $db_mailinglist where email='$email'");
        $query->db_fetch_object();
        
        if ($query->obj->count == 0) 
        {      
            $result = new DB_query($DB, "insert into $db_mailinglist (id,email,`default`) values ('','$email','yes')");
            unset($result);
        }
        else
        {
        	$result = new DB_query($DB, "update $db_mailinglist set `default` ='yes' where email = '$email'");
            unset($result);        
        }
    
        unset($query);
    }

	// END UPDATE ID: MAILING LISTS

	// -----------------------------------
    //  Email Admin of New Registration
    // -----------------------------------
    
    if ($SHARED->get_pref('reg_notify') == 'yes' OR $emailauth == 'admin')
    {
    	notify_admin_of_registration($username, $signature, $email, $new_id);
    }
    
    if ($emailauth == 'no') 
    { 
        setcookie('member_name', $username, time()+100000000, '/', $cookie_domain, '0');
        setcookie('member_code', $member_id, time()+100000000, '/', $cookie_domain, '0');
            
        if ($redirect_method == 1) 
        {
            return header("Refresh:0;url=$memdir$messagespage$sfx?m=47");
        } 
        else 
        {                                        
            return header("location:$memdir$messagespage$sfx?m=47");
        }
    }
    elseif($emailauth == 'yes' OR $emailauth == 'self')
    { 
        email_activation($member_id,'new');
        
        return header("location:$memdir$messagespage$sfx?m=43");
    }
    elseif($emailauth == 'admin')
    {    
		return header("location:$memdir$messagespage$sfx?m=74");    	
    }
}
// END




//	---------------------------------------------
//		UPDATE MEMBER PROFILE
//	---------------------------------------------

function update_member_profile($mbr_array)  
{ 

    global $db_members, $db_comments, $db_weblog, $db_mailinglist;
    global $member_name, $messagespage, $redirect_method, $DB;
    global $profileviewupdatepage, $open_basedir, $cookie_domain, $sfx;
    global $SECURE, $SHARED, $db_prefs;
 
 	$member_code = (!isset($_COOKIE['member_code'])) ? "" : $_COOKIE['member_code'];

	if ($member_code == "")
	{
		echo "Invalid script request";
		exit;
	}
 
    
    if ($open_basedir == 0)
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }
    
    $id			  = trim(strip_tags($mbr_array['id']));
    $username    = trim(strip_tags($mbr_array['username']));
    $password    = trim(strip_tags($mbr_array['password']));
    $confirm_pw  = trim(strip_tags($mbr_array['confirm_pw']));
    $signature   = trim(preg_replace("/\s+/", ' ', strip_tags($mbr_array['signature'])));
    $email       = trim(strip_tags($mbr_array['email']));
    $location    = trim(strip_tags($mbr_array['location'])); 
    $url         = trim(strip_tags($mbr_array['url']));
    $occupation  = trim(strip_tags($mbr_array['occupation']));
    $interests   = trim(strip_tags($mbr_array['interests']));
    $day         = trim(strip_tags($mbr_array['day']));
    $month       = trim(strip_tags($mbr_array['month']));
    $year        = trim(strip_tags($mbr_array['year']));
    $icq         = trim(strip_tags($mbr_array['icq']));   
    $aol_im      = trim(strip_tags($mbr_array['aol_im']));
    $yahoo_im    = trim(strip_tags($mbr_array['yahoo_im']));   
    $msn_im      = trim(strip_tags($mbr_array['msn_im']));   
    $show_email  = trim(strip_tags($mbr_array['show_email']));
    $get_email   = trim(strip_tags($mbr_array['get_email']));
    $mailinglist = trim(strip_tags($mbr_array['mailinglist']));   
  
	$query = new DB_query($DB, "select id from $db_members where member_id = '".addslashes($member_code)."'");
	$query->db_fetch_object();
    
	if ($query->obj->id  != $id)
	{
		echo "Invalid script request";
		exit;
	}             
    
          
   // pMcode the bio
    $bio = $mbr_array['bio'];
    if ($bio != "") 
    {
        $bio = pmcode_basic_encode($bio);
        $bio = pmcode_url_encode($bio);
        $bio = pmcode_remove_tags($bio);
    }

    if(!get_magic_quotes_gpc()) 
    {
        $username   = addslashes($username);
        $password   = addslashes($password);
        $signature  = addslashes($signature);
        $email      = addslashes($email);
        $location   = addslashes($location);
        $url        = addslashes($url);
        $occupation = addslashes($occupation);
        $interests  = addslashes($interests);
        $day        = addslashes($day);
        $month      = addslashes($month);
        $year       = addslashes($year);
        $bio        = addslashes($bio);
        $icq        = addslashes($icq);
        $aol_im     = addslashes($aol_im);
        $yahoo_im   = addslashes($yahoo_im);
        $msn_im     = addslashes($msn_im);	   
        $show_email = addslashes($show_email);	  
        $get_email  = addslashes($get_email);	
    }

    if (strlen($day) ==1)
        $day = "0". $day;
    
    if (strlen($month) ==1)
        $month = "0" . $month;
    
    if (strlen($year) ==2)
        $year = "19" . $year;


// DATA VALIDATION

    if ($password <> "" && $confirm_pw <> "") 
    {
        if (!eregi("^[[:alnum:]]+$", $password))
        {
            return header("location:$memdir$messagespage$sfx?m=49");
        }
        elseif (!eregi("^[[:alnum:]]+$", $confirm_pw))
        {
            return header("location:$memdir$messagespage$sfx?m=49");
        }
        elseif (strlen($password) < $SHARED->get_pref("pw_min_length")) 
        {
            return header("location:$memdir$messagespage$sfx?m=33");
        }
        elseif ($password != $confirm_pw)
        {
            return header("location:$memdir$messagespage$sfx?m=34");
        }
    }

    if ($username == "") 
    {
        return header("location:$memdir$messagespage$sfx?m=27");
    }    
    elseif (!eregi("^[[:alnum:]]+$", $username))
    {
        return header("location:$memdir$messagespage$sfx?m=48");
    }
    elseif (strlen($username) < $SHARED->get_pref("un_min_length")) 
    {
        return header("location:$memdir$messagespage$sfx?m=32");
    }
    elseif ($signature == '' OR $signature == '&nbsp;')
    {
        return header("location:$memdir$messagespage$sfx?m=29");
    }
    elseif ($password == "" && $confirm_pw <> "")
    {
        return header("location:$memdir$messagespage$sfx?m=28");
    }
    elseif ($password <> "" && $confirm_pw == "")
    {
        return header("location:$memdir$messagespage$sfx?m=28");
    }
    elseif ($email == "") 
    {
        return header("location:$memdir$messagespage$sfx?m=35");
    }
    elseif (($email <> "") && (!valid_email($email)))
    {
        return header("location:$memdir$messagespage$sfx?m=36");
    }
    elseif (($day == "" && $month <> "") || 
            ($day <> "" && $month == "") || 
            ($day == "" && $month == "") && ($year <> ""))
    {
        return header("location:$memdir$messagespage$sfx?m=37");  
    }

    if ($day <> "") 
    {
        if (!eregi("^[[:digit:]]+$", $day))
        {
            return header("location:$memdir$messagespage$sfx?m=38");
        }
        elseif ($day < 0 || $day > 31)
        {
            return header("location:$memdir$messagespage$sfx?m=39");
        }
    } 
    if ($month <> "") 
    {
        if (!eregi("^[[:digit:]]+$", $month))
        {
            return header("location:$memdir$messagespage$sfx?m=38");
        }
        elseif ($month < 0 || $month > 12)
        {
            return header("location:$memdir$messagespage$sfx?m=40");
        }
    }    
    if ($year <> "") 
    {        
        if (!eregi("^[[:digit:]]+$", $year))
        {
            return header("location:$memdir$messagespage$sfx?m=38");
        }
        elseif ($year >= date("Y",time()))
        {
            return header("location:$memdir$messagespage$sfx?m=41&i=$year");
        }
        elseif ($year < 1900)
        {
            return header("location:$memdir$messagespage$sfx?m=41&i=$year");
        }
    }
    
    if($month <> "" && $year <> "")
    {
        $days_number = cal_days_in_month(CAL_GREGORIAN, $month, $year);
	if($day > $days_number)
	{
	    return header("location:$memdir$messagespage$sfx?m=39");
	}
    }
// END VALIDATION
	
// Has member changed username?
  
  
    if ($username <> $member_name) 
    { 
        $sql = "select count(*) as count from $db_members where username ='$username'";
        
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
    
        if ($query->obj->count > 0)
        {
            return header("location:$memdir$messagespage$sfx?m=45");
        }             
    }
    
// Has member changed "post" name? 

    if (isset($sql)) 
        unset($sql);
    if (isset($query)) 
        unset($query);

    $sql = "select count(*) as count from $db_members where signature ='$signature' and id != '$id'";
   
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    
    if ($query->obj->count > 0)
    {
        return header("location:$memdir$messagespage$sfx?m=46");
    }

    unset($sql);
    unset($query);

// do we allow multiple identical emails to be registered?

    if ($email <> "")
    {
        $sql = "select count(*) as count from $db_members where email='$email' and username != '$member_name'";    
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        
        if ($query->obj->count > 0)
        {
            return header("location:$memdir$messagespage$sfx?m=44");               
        }              
    } 

	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash() !== true)
	{
		return header("location:$memdir$messagespage$sfx"); 
	}

    
    if ($password == "" && $confirm_pw == "") 
    {
        $sql = "select password from $db_members where username ='$username'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        $password = $query->obj->password;
    }
    else 
    {
        $password = md5($password);
    }

    if (isset($sql)) 
        unset($sql);
    if (isset($query)) 
        unset($query);
        
    $now = $SHARED->get_offset_time();
    
	$sql = "select count(*) as count 
			from $db_weblog 
			where member_id = '$id'
			and preview != '1' 
			and t_stamp <= '$now' 
			and x_stamp >= '$now' 
			and status = 'open' ";
		
	$query = new DB_query($DB, $sql);
	$query->db_fetch_object();
	$numentries = $query->obj->count;
	
	unset($sql);  
	unset($query);
	
	$sql = "select count(*) as count 
			from $db_comments 
			where member_id = '$id'
			AND preview = '0'
			AND status = 'open'";
		
	$query = new DB_query($DB, $sql);
	$query->db_fetch_object();
	$numcomments = $query->obj->count;
	
	unset($sql);  
	unset($query);  
	        
    $sql = "select member_id, email from $db_members where id = '$id'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $oldemail   = $query->obj->email;
    $member_id  = $query->obj->member_id;
    
    unset($sql);
    unset($query);


    $ipaddress = get_ipaddress();

    $sql = "update $db_members
            set username    = '$username',
                password    = '$password',
                occupation  = '$occupation',
                interests   = '$interests',
                email       = '$email',
                url         = '$url',
                location    = '$location',
                signature   = '$signature',
                bday_day    = '$day',
                bday_month  = '$month',
                bday_year   = '$year',
                bio         = '$bio',
                icq         = '$icq',
                aol_im      = '$aol_im',
                yahoo_im    = '$yahoo_im',
                msn_im      = '$msn_im',
                show_email  = '$show_email',
                get_email   = '$get_email',
                ipaddress   = '$ipaddress',
                numentries  = '$numentries',
                numcomments = '$numcomments'
        where   id   = '$id'";

    $query = new DB_query($DB, $sql);
    
    unset($sql);
    unset($query);
       
// UPDATE ID: MAILING LISTS
   
    if ($email <> $oldemail)
    {   
        $query = new DB_query($DB, "update $db_mailinglist set `default` = 'no' where email = '$oldemail'");
        unset($query);
    }


    $sql = "select count(*) as count from $db_mailinglist where email='$email'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();

    if ($mailinglist == "yes") 
    {
        if ($query->obj->count == 0)
        {    
            $result = new DB_query($DB, "insert into $db_mailinglist (id,email,`default`) values ('', '$email','yes')");
        }
        else
        {
            $result = new DB_query($DB, "update $db_mailinglist set `default` = 'yes' where email = '$email'");
        }
    }
    else
    {
         if ($query->obj->count > 0)
         {
            $result = new DB_query($DB, "update $db_mailinglist set `default` = 'no' where email = '$email'");  
         }
    }
 
 // END UPDATE ID: MAILING LISTS
  
		setcookie("my_name","$signature",time()+100000000,"/","$cookie_domain","0"); 
	if ($email <> "") 
		setcookie("my_email","$email",time()+100000000,"/","$cookie_domain","0");
	if ($location <> "")
		setcookie("my_location","$location",time()+100000000,"/","$cookie_domain","0");
	if ($url <> "")
		setcookie("my_url","$url",time()+100000000,"/","$cookie_domain","0");  

	if ($show_email == "yes")
		setcookie("displayemail","yes",time()+100000000,"/","$cookie_domain","0");
	else
		setcookie("displayemail","",time()-60,"/","$cookie_domain","0");
		
		
 // If member has changed usernames, we need to re-set the cookies
 
    if ($username <> $member_name) 
    {
        setcookie("member_name","$username",time()+100000000,"/","$cookie_domain","0");
        setcookie("member_code","$member_id",time()+100000000,"/","$cookie_domain","0");
    
        if($redirect_method ==1) 
        {
            return header("Refresh:0;url=$memdir$profileviewupdatepage$sfx?id=$member_id");
        } 
        else 
        {                                                    
            return header("location:$memdir$profileviewupdatepage$sfx?id=$member_id");
        }
    }
    else
    {
        return header("location:$memdir$profileviewupdatepage$sfx?id=$member_id");
    }
}
// END



//	---------------------------------------------
//		SHOW MEMBER UPDATE
//	---------------------------------------------

function view_member_update($id="") 
{
    global $db_members, $member_code, $member_name, $db_mailinglist, $sfx, $DB;
	global $SHARED;

    if ($id == "") return member_messages(60);

    if (!$member_name && !$member_code) return member_messages(55);
     
    // Validate cookies     

    $sql = "select count(*) as count 
            from $db_members 
            where member_id = '".addslashes($member_code)."' 
            and username = '".addslashes($member_name)."'";


    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    
    if ($query->obj->count == 0) return member_messages(55);
    
    unset($sql);
    unset($query);

    $sql = "select * from $db_members where member_id = '".addslashes($id)."'";

    $query = new DB_query($DB, $sql);

    if ($query->db_num_rows() == 0) return member_messages(60);
        
    $query->db_fetch_object();
   
    $username   = $query->obj->username;
    $password   = "&nbsp";
    $signature  = $query->obj->signature;
    $location   = $query->obj->location;

    $email      = $query->obj->email;  
    $url        = $query->obj->url;  
    $occupation = $query->obj->occupation;

    $interests  = $query->obj->interests;
    $bio        = $query->obj->bio;
    $month      = $query->obj->bday_month;
    $day        = $query->obj->bday_day;
    $year       = $query->obj->bday_year;  
    $icq        = $query->obj->icq;
    $aol_im     = $query->obj->aol_im;
    $yahoo_im   = $query->obj->yahoo_im;
    $msn_im     = $query->obj->msn_im;
    $show_email = $query->obj->show_email;
    $get_email  = $query->obj->get_email;

    unset($sql);
    unset($query);

    if (get_magic_quotes_runtime())
    {
        $username    = stripslashes($username);
        $password    = stripslashes($password);
        $signature   = stripslashes($signature);
        $email       = stripslashes($email);
        $location    = stripslashes($location);
        $url         = stripslashes($url);
        $occupation  = stripslashes($occupation);
        $interests   = stripslashes($interests);
        $bio         = stripslashes($bio); 
        $day         = stripslashes($day);
        $month       = stripslashes($month);
        $year        = stripslashes($year);
        $icq         = stripslashes($icq);
        $aol_im      = stripslashes($aol_im); 
        $yahoo_im    = stripslashes($yahoo_im);  
        $msn_im      = stripslashes($msn_im);
        $show_email  = stripslashes($show_email);
        $get_email   = stripslashes($get_email);
    }

        // pM-decode the bio
        $bio = pmcode_decode($bio,"yes"); 
        $bio = nl2br($bio);

     if ($occupation == "") $occupation = "&nbsp;";
     if ($interests == "")  $interests = "&nbsp;";    
     if ($url == "")        $url = "&nbsp;"; 
     if ($location == "")   $location = "&nbsp;";            
     if ($email == "")      $email = "&nbsp;"; 
     if ($signature == "")  $signature = "&nbsp;";    
     if ($bio == "")        $bio = "&nbsp;"; 
     if ($icq == "")        $icq = "&nbsp;";   
     if ($aol_im == "")     $aol_im = "&nbsp;"; 
     if ($yahoo_im == "")   $yahoo_im = "&nbsp;";   
     if ($msn_im == "")     $msn_im = "&nbsp;";  

// UPDATE ID: MAILING LISTS
    $sql = "select count(*) as count from $db_mailinglist where email='".$DB->escape_str($email)."' and `default` = 'yes'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    
    if ($query->obj->count == 0)
    { 
        $mailinglist = "no"; 
    } 
    else 
    {
        $mailinglist = "yes"; 
    } 

// END UPDATE ID: MAILING LISTS

    $swap = array(
      "%%username%%"        => $username,
      "%%password%%"        => $SHARED->bullets($password),
      "%%signature%%"       => $signature,
      "%%email%%"           => $email,
      "%%location%%"        => $location,
      "%%url%%"             => $url,
      "%%occupation%%"      => $occupation,
      "%%interests%%"       => $interests,
      "%%bio%%"             => $bio,
      "%%birthday%%"        => fmt_bday($month,$day,$year),
      "%%icq%%"             => $icq,
      "%%aol_im%%"          => $aol_im,
      "%%yahoo_im%%"        => $yahoo_im,
      "%%msn_im%%"          => $msn_im,
      "%%show_email%%"      => $show_email,
      "%%get_email%%"       => $get_email,
      "%%mailinglist%%"     => $mailinglist);
    
    $block = $SHARED->get_template("membership","60");
    
    while(list($key,$value) = each($swap))
    {  
        $block = str_replace("$key","$value",$block); 
    }
 
    echo "$block\r\n";
}

// END


//	---------------------------------------------
//		SHOW ALL MEMBERS
//	---------------------------------------------

function show_all_members($id="") 
{
    global $db_members, $member_name, $member_code, $profileviewpage;
    global $memberspage, $emailmemberspage, $open_basedir, $sfx, $DB;
    global $SHARED;

    if ($SHARED->get_pref("public_profile") == "private") 
    {
        if (!$member_name && !$member_code) 
        {
            return member_messages(55);
        }
        else 
        {
            $sql = "select count(*) as count 
                    from $db_members 
                    where member_id = '".addslashes($member_code)."' 
                    and username = '".addslashes($member_name)."' ";
                    
            $query = new DB_query($DB, $sql);
            $query->db_fetch_object();
            
            if ($query->obj->count == 0)
            {
                return member_messages(55);
            }
        }
    }
 

    $i = '';
    $letter = '';
    $flip = '';
    
    if($id != '') 
    {
        $x = explode("_",$id);
        
        $id      = $x[0];
        $show    = $x[1];
        $order   = $x[2];
        
        if (isset($x[3]))
        {
            $letter  = $x[3];  
        }          
    }

        $criteria = '';
        
        
    if ($id == '' OR !is_numeric($id))
    {
        $id = 0;
    }
    
    if (!isset($show)) 
    {
        $show = "0";
        $showby = "alpha";            
    }
    
    if ($show == "0")
    {
        $showby = "alpha";
    }
    elseif ($show == "1") 
    {
        $showby = "date";
    }
    elseif ($show == "2") 
    {
        $showby = "most_comments";
    }
    elseif ($show == "3") 
    {
        $showby = "most_entries";
    }
    elseif ($show == "4") 
    {
        $showby = "single_letter";
        
        if (substr($letter, 0, 1)=="D") 
        {
            $criteria = "where status >= '3' 
                        and ( signature like '0%' 
                        or signature like '1%' 
                        or signature like '2%' 
                        or signature like '3%' 
                        or signature like '4%' 
                        or signature like '5%' 
                        or signature like '6%' 
                        or signature like '7%' 
                        or signature like '8%' 
                        or signature like '9%') ";
        }
        else 
        {
            $criteria = "where signature like '".$DB->escape_str($letter)."%'";
        }
    }
    else
    {
        $showby = "alpha";
    }
    
    
    if (!isset($order)) 
    { 
        $order = "0";
        $dir = "desc"; 
        $listorder = "asc";  
    } 
    if ($order == "1") 
    {
        $flip = "0";
        $dir = "desc";  
        $listorder = "asc"; 
    }     
    elseif ($order == "0") 
    {
        $flip = "1";
        $dir = "asc"; 
        $listorder = "desc";  
    }
        $spcr = "_";
        $one  = "1";
        $two  = "2";
        $three  = "3";
        $four   = "4";
    
    if ($letter =="")
        $lettertag = "";
    else
        $lettertag = "_". $letter;
            
    $swap = array(
        "%%alpha_link%%"         => "$memberspage$sfx?id=0_0_0",
        "%%joindate_link%%"      => "$memberspage$sfx?id=0_1_0",
        "%%most_comments_link%%" => "$memberspage$sfx?id=0_2_1",
        "%%most_entries_link%%"  => "$memberspage$sfx?id=0_3_1",
        "%%reverse_order_link%%" => "$memberspage$sfx?id={$id}_{$show}_{$flip}$lettertag",

        "%%#%%" => "$memberspage$sfx?id=0_4_1_D",
        "%%a%%" => "$memberspage$sfx?id=0_4_1_a",
        "%%b%%" => "$memberspage$sfx?id=0_4_1_b",
        "%%c%%" => "$memberspage$sfx?id=0_4_1_c",
        "%%d%%" => "$memberspage$sfx?id=0_4_1_d",
        "%%e%%" => "$memberspage$sfx?id=0_4_1_e",
        "%%f%%" => "$memberspage$sfx?id=0_4_1_f",
        "%%g%%" => "$memberspage$sfx?id=0_4_1_g",
        "%%h%%" => "$memberspage$sfx?id=0_4_1_h",
        "%%i%%" => "$memberspage$sfx?id=0_4_1_i",
        "%%j%%" => "$memberspage$sfx?id=0_4_1_j",
        "%%k%%" => "$memberspage$sfx?id=0_4_1_k",
        "%%l%%" => "$memberspage$sfx?id=0_4_1_l",
        "%%m%%" => "$memberspage$sfx?id=0_4_1_m",
        "%%n%%" => "$memberspage$sfx?id=0_4_1_n",
        "%%o%%" => "$memberspage$sfx?id=0_4_1_o",
        "%%p%%" => "$memberspage$sfx?id=0_4_1_p",
        "%%q%%" => "$memberspage$sfx?id=0_4_1_q",
        "%%r%%" => "$memberspage$sfx?id=0_4_1_r",
        "%%s%%" => "$memberspage$sfx?id=0_4_1_s",
        "%%t%%" => "$memberspage$sfx?id=0_4_1_t",
        "%%u%%" => "$memberspage$sfx?id=0_4_1_u",
        "%%v%%" => "$memberspage$sfx?id=0_4_1_v",
        "%%w%%" => "$memberspage$sfx?id=0_4_1_w",
        "%%x%%" => "$memberspage$sfx?id=0_4_1_x",
        "%%y%%" => "$memberspage$sfx?id=0_4_1_y",
        "%%z%%" => "$memberspage$sfx?id=0_4_1_z"
    );

    $block = $SHARED->get_template("membership","70");
    
    while(list($key,$value) = each($swap))
    {  
        $block = str_replace("$key","$value",$block); 
    }
  
    echo "$block";

    $lpst     = $SHARED->get_pref("lastpost_date_fmt");
    $jdt      = $SHARED->get_pref("join_date_fmt");
    $colorone = $SHARED->get_pref("table_alt_color_one"); 
    $colortwo = $SHARED->get_pref("table_alt_color_two"); 
    
    $membership_template = $SHARED->get_template("membership","80");

    if ($open_basedir ==0) 
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }

    $query = new DB_query($DB, "select count(*) as count from $db_members $criteria");
    $query->db_fetch_object();
    $total = $query->obj->count;
    
    unset($query);

    $per_page = $SHARED->get_pref("member_rows"); 

    
    if ($per_page == '') $per_page = "1000";
    
    $sqlpre = "select * from $db_members where status >= '3' ";

    if ($showby == "" || $showby == "alpha") 
    { 
        $sql = "$sqlpre order by signature $dir limit $id, $per_page ";     
    } 
    else if ($showby == "date")
    { 
        $sql = "$sqlpre order by joindate $dir limit $id, $per_page";     
    }
    else if ($showby == "most_comments")
    { 
        $sql = "$sqlpre order by numcomments $dir limit $id, $per_page";     
    }
    else if ($showby == "most_entries") 
    { 
        $sql = "$sqlpre order by numentries $dir limit $id, $per_page";     
    }
    else if ($showby == "single_letter") 
    { 
        if ($order == "1")
        { 
            $dir = "asc";
        }
        else
        {
            $dir = "desc"; 
        }
        
        $sql = "select * from $db_members $criteria order by signature $dir limit $id, $per_page";
    }

    $query = new DB_query($DB, $sql);
    
    while ($query->db_fetch_object()) 
    {
        $mid         = $query->obj->id; 
        $email       = $query->obj->email; 
        $signature   = $query->obj->signature;	     
        $url         = $query->obj->url; 
        $occupation  = $query->obj->occupation;
        $interests   = $query->obj->interests;
        $location    = $query->obj->location;
        $day         = $query->obj->bday_day;
        $month       = $query->obj->bday_month;
        $year        = $query->obj->bday_year;
        $icq         = $query->obj->icq;
        $aol_im      = $query->obj->aol_im;
        $yahoo_im    = $query->obj->yahoo_im;
        $msn_im      = $query->obj->msn_im;
        $show_email  = $query->obj->show_email;
        $get_email   = $query->obj->get_email;
        $joindate    = $query->obj->joindate;
        $numcomments = $query->obj->numcomments;
        $numentries  = $query->obj->numentries;          
        $lastpost    = $query->obj->lastpost; 

    if (get_magic_quotes_runtime())
    {
        $signature   = stripslashes($signature);
        $email       = stripslashes($email);
        $location    = stripslashes($location);
        $url         = stripslashes($url);
        $occupation  = stripslashes($occupation);
        $interests   = stripslashes($interests);
        $day         = stripslashes($day);
        $month       = stripslashes($month);
        $year        = stripslashes($year);
        $icq         = stripslashes($icq);
        $aol_im      = stripslashes($aol_im); 
        $yahoo_im    = stripslashes($yahoo_im);  
        $msn_im      = stripslashes($msn_im);
        $show_email  = stripslashes($show_email);
        $get_email   = stripslashes($get_email);
    }

     if ($occupation == "") $occupation = "&nbsp;";
     if ($interests == "")  $interests = "&nbsp;";    
     if ($location == "")   $location = "&nbsp;";            
     if ($email == "")      $email = "&nbsp;"; 
     if ($signature == "")  $signature = "&nbsp;";    
     if ($icq == "")        $icq = "&nbsp;";   
     if ($aol_im == "")     $aol_im = "&nbsp;"; 
     if ($yahoo_im == "")   $yahoo_im = "&nbsp;";   
     if ($msn_im == "")     $msn_im = "&nbsp;";  
        
     if ($lastpost == "" || $lastpost == 0)
     {
         $lastpost = "&nbsp;"; 
     } 
     else 
     {
        $lastpost = date("$lpst",$lastpost);
     }
    
    if ($url <> "")
    {            
        if (!strstr($url, "http://www")) 
        {
            if (strstr($url, "www.")) 
            {
                $url = "http://".$url;
            }
            elseif (!strstr($url, "http://")) 
            {
                $url = "http://".$url;
            }
        }
            
        $turl = substr($url, 7);

        if (!eregi('/$',$url))
        {
            $url = $url . "/";
        }
        elseif (eregi('/$',$url)) 
        {
            $turl = substr($turl, 0, -1);
        }
        
        $link = "<a href=\"$url\" >$turl</a>";    
    }
    else
    {
        $link = "&nbsp;";        
    }

    if ($show_email == "no" && $get_email == "no") 
    {
         $if_email         = "&nbsp;"; 
         $if_email_as_link = "&nbsp;";  
    }
    elseif ($show_email == "yes" && $get_email == "no") 
    {
         $if_email = "<a href=\"mailto:$email\" >$email</a>";
         $if_email_as_link = "&nbsp;";           
    }
    elseif ($show_email == "no" && $get_email == "yes")
    {
         $if_email         = "&nbsp;"; 
         $if_email_as_link = "<a href=\"$memdir$emailmemberspage$sfx?id=$mid\" >email</a>";
    } 
    elseif ($show_email == "yes" && $get_email == "yes")
    {
         $if_email = "<a href=\"mailto:$email\" >$email</a>";
         $if_email_as_link = "<a href=\"$memdir$emailmemberspage$sfx?id=$mid\" >email</a>";  
    } 
    
    $namelink = "<a href=\"$memdir$profileviewpage$sfx?id=$mid\">$signature</a>"; 
    $joindate = date("$jdt",$joindate); 
    $altcolor = ($i % 2) ? $colortwo : $colorone; $i++;
    
        $swap = array(
          "%%name%%"              => $namelink,
          "%%if_email%%"          => $if_email,
          "%%if_email_as_link%%"  => $if_email_as_link,          
          "%%location%%"          => $location,
          "%%url%%"               => $link,
          "%%occupation%%"        => $occupation,
          "%%interests%%"         => $interests,
          "%%birthday%%"          => fmt_bday($month,$day,$year),
          "%%icq%%"               => $icq,
          "%%aol_im%%"            => $aol_im,
          "%%yahoo_im%%"          => $yahoo_im,
          "%%msn_im%%"            => $msn_im,
          "%%total_comments%%"    => $numcomments,
          "%%total_entries%%"     => $numentries,
          "%%last_post%%"         => $lastpost,  
          "%%join_date%%"         => $joindate,
          "%%color_switch%%"      => $altcolor,
          "%%altcolor%%"          => $altcolor // DEPRECATED
         );
        
        $block = $membership_template;
        while(list($key,$value) = each($swap))
        {  
           $block = str_replace("$key","$value",$block); 
        }
        
    echo "$block";
    }
    
// Member page footer template
echo $SHARED->get_template("membership","90");


    if ($show == "") $show = "0";
    if ($order == "") $order = "0";

// NEXT/PREV NAVIGATION  
    $nextpage = $id + $per_page;
    $prevpage = $id - $per_page;
    $offset   = $total - $id;
    $backlink = "$memberspage$sfx?id={$prevpage}_{$show}_{$order}$lettertag";
    $nextlink = "$memberspage$sfx?id={$nextpage}_{$show}_{$order}$lettertag";
    $nav = "";

    # NEXT LINK ONLY
    if (($id == 0) && ($total > $per_page)) 
    {
        $next = $SHARED->get_template("membership","120");
        $next = str_replace("%%next_url%%",$nextlink,$next);     
        $swap = array( "%%members_prev_page%%" => "&nbsp;","%%members_next_page%%" => $next);
        $nav = "show";     
    }
    # PREVIOUS LINK ONLY
    if (($total > $per_page) && ($offset <= $per_page))
    {
        $prev = $SHARED->get_template("membership","110");
        $prev = str_replace("%%prev_url%%",$backlink,$prev);
        $swap = array("%%members_prev_page%%" => $prev,"%%members_next_page%%" => "&nbsp;");  
        $nav = "show";
    }
    # NEXT/PREVIOUS LINKS
    if (($id > 0) && ($offset > $per_page))
    {
        $prev = $SHARED->get_template("membership","110");
        $prev = str_replace("%%prev_url%%",$backlink,$prev);
        $next = $SHARED->get_template("membership","120");
        $next = str_replace("%%next_url%%",$nextlink,$next);
        $swap = array("%%members_prev_page%%" => $prev,"%%members_next_page%%" => $next); 
        $nav = "show";
    }
    if ($nav == "show")
    {
        $block = $SHARED->get_template("membership","100");

        while(list($key,$value) = each($swap)){  
             $block = str_replace("$key","$value",$block); 
    }
    echo "$block";    
    } 
}
// END



//	---------------------------------------------
//		MEMBER PUBLIC PROFILE
//	---------------------------------------------

function view_member_profile($id) 
{
    global $db_members, $member_name, $member_code, $emailmemberspage;
    global $open_basedir, $sfx, $DB, $SHARED;
 
    if ($SHARED->get_pref("public_profile") == "private") 
    {
        if (!$member_name && !$member_code) 
        {
            return member_messages(55);
        }
        else 
        {
            $sql = "select count(*) as count 
                    from $db_members 
                    where member_id = '".addslashes($member_code)."' 
                    and username = '".addslashes($member_name)."' ";
                    
            $query = new DB_query($DB, $sql);
            $query->db_fetch_object();
            
            if ($query->obj->count == 0)
            {
                return member_messages(55);
            }
        }
    }
 
    if ($id == "") return member_messages(60);

    // if ID is that of a non-member, tell them there is no profile.
    if (substr($id, 0, 2)=="NM") return member_messages(112);

    if ($open_basedir == 0)
    {
        $memdir = $SHARED->get_pref("memdir", "1");
    }
    else 
    {
        $memdir = "";
    }

    $sql = "select * from $db_members where id = '".addslashes($id)."'";
    
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
  
    $id          = $query->obj->id; 
    $email       = $query->obj->email; 
    $signature   = $query->obj->signature;	     
    $url         = $query->obj->url; 
    $occupation  = $query->obj->occupation;
    $interests   = $query->obj->interests;
    $location    = $query->obj->location;
    $bio         = $query->obj->bio;
    $day         = $query->obj->bday_day;
    $month       = $query->obj->bday_month;
    $year        = $query->obj->bday_year;
    $icq         = $query->obj->icq;
    $aol_im      = $query->obj->aol_im;
    $yahoo_im    = $query->obj->yahoo_im;
    $msn_im      = $query->obj->msn_im;
    $show_email  = $query->obj->show_email;
    $get_email   = $query->obj->get_email;
    $joindate    = $query->obj->joindate;
    $numcomments = $query->obj->numcomments;
    $numentries  = $query->obj->numentries;          
    $lastpost    = $query->obj->lastpost; 
  
    if (get_magic_quotes_runtime())
    {
        $signature   = stripslashes($signature);
        $email       = stripslashes($email);
        $location    = stripslashes($location);
        $url         = stripslashes($url);
        $occupation  = stripslashes($occupation);
        $interests   = stripslashes($interests);
        $bio         = stripslashes($bio); 
        $day         = stripslashes($day);
        $month       = stripslashes($month);
        $year        = stripslashes($year);
        $icq         = stripslashes($icq);
        $aol_im      = stripslashes($aol_im); 
        $yahoo_im    = stripslashes($yahoo_im);  
        $msn_im      = stripslashes($msn_im);
        $show_email  = stripslashes($show_email);
        $get_email   = stripslashes($get_email);
    }	
        $bio = pmcode_decode($bio,"yes"); 
        $bio = nl2br($bio);

     if ($occupation == "") $occupation = "&nbsp;";
     if ($interests == "")  $interests = "&nbsp;";    
     if ($location == "")   $location = "&nbsp;";            
     if ($email == "")      $email = "&nbsp;"; 
     if ($signature == "")  $signature = "&nbsp;";    
     if ($bio == "")        $bio = "&nbsp;"; 
     if ($icq == "")        $icq = "&nbsp;";   
     if ($aol_im == "")     $aol_im = "&nbsp;"; 
     if ($yahoo_im == "")   $yahoo_im = "&nbsp;";   
     if ($msn_im == "")     $msn_im = "&nbsp;";  
  
  
    if ($url <> "")
    {            
        if (!strstr($url, "http://www")) 
        {
            if (strstr($url, "www.")) 
            {
                $url = "http://".$url;
            }
            elseif (!strstr($url, "http://")) 
            {
                $url = "http://".$url;
            }
        }
            
        $turl = substr($url, 7);


        if (!eregi('/$',$url))
        {
            $url = $url . "/";
        }
        elseif (eregi('/$',$url)) 
        {
            $turl = substr($turl, 0, -1);
        }
        
        $link = "<a href=\"$url\" >$turl</a>";    
    }
    else
    {
        $link = "&nbsp;";        
    }

    if ($show_email == "no" && $get_email == "no") 
    {
         $if_email  = "&nbsp;"; 
         $if_email_as_link = "&nbsp;";  
    }
    elseif ($show_email == "yes" && $get_email == "no") 
    {
         $if_email = "<a href=\"mailto:$email\" >$email</a>";
         $if_email_as_link = "&nbsp;";           
    }
    elseif ($show_email == "no" && $get_email == "yes")
    {
         $if_email = "&nbsp;"; 
         $if_email_as_link = "<a href=\"$memdir$emailmemberspage$sfx?id=$id\" >email</a>";
    } 
    elseif ($show_email == "yes" && $get_email == "yes")
    {
         $if_email = "<a href=\"mailto:$email\" >$email</a>";
         $if_email_as_link = "<a href=\"$memdir$emailmemberspage$sfx?id=$id\" >email</a>";  
    } 

    // format join date
    $jdt  = $SHARED->get_pref("join_date_fmt");
    $joindate = date("$jdt",$joindate); 
        
    // format "last posed on" date 
    if ($lastpost == "" || $lastpost == 0)
    {
     $lastpost = "&nbsp;"; 
    }
    else
    { 
         $lpst = $SHARED->get_pref("lastpost_date_fmt");
         $lastpost = date("$lpst",$lastpost);
    }
  
        $swap = array(
          "%%signature%%"         => $signature,
          "%%if_email%%"          => $if_email,
          "%%if_email_as_link%%"  => $if_email_as_link,          
          "%%location%%"          => $location,
          "%%url%%"               => $link,
          "%%occupation%%"        => $occupation,
          "%%interests%%"         => $interests,
          "%%bio%%"               => $bio,
          "%%birthday%%"          => fmt_bday($month,$day,$year),
          "%%icq%%"               => $icq,
          "%%aol_im%%"            => $aol_im,
          "%%yahoo_im%%"          => $yahoo_im,
          "%%msn_im%%"            => $msn_im,
          "%%total_comments%%"    => $numcomments,
          "%%total_entries%%"     => $numentries,  
          "%%last_post%%"         => $lastpost,    
          "%%join_date%%"         => $joindate  
         );
        
    $block = $SHARED->get_template("membership","130");
    while(list($key,$value) = each($swap))
    {  
        $block = str_replace("$key","$value",$block); 
    }
 echo "$block\r\n";   
}
// END




//	----------------------------------------------
//	 OLD MEMBER ACTIVATION FORM (deprecate this?)
//	----------------------------------------------

function activate_member() 
{
	return activation_instructions_form();
}
// END

//	----------------------------------------------
//		MEMBER ACTIVATION FORM
//	----------------------------------------------

function activation_instructions_form() 
{
    global $db_templates, $mbrmanager, $open_basedir, $sfx;
    global $SECURE, $db_prefs, $DB, $SHARED;
  
    if ($open_basedir ==0) 
    {
        $memdir = $SHARED->get_pref("memdir","1");
    }
    else 
    {
        $memdir = "";
    }
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=activation\" ".$SECURE->security_hash_js().">\r\n";
		echo $SECURE->security_hash_field();
	}
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=activation\">\r\n";
	}
	
	echo $SHARED->get_template("membership","170");
	echo "\r\n</form>\r\n";
}
// END



//	---------------------------------------------
//		ACTIVATE MEMBER
//	---------------------------------------------

function member_activation_handler($id="") 
{    
    global $messagespage, $db_members, $member_messages, $sfx, $DB;
    global $SHARED;

	$memdir = $SHARED->get_pref("memdir","1");

    if ($id == "") 
    	return header("location:$memdir$messagespage$sfx?m=70");
                                                 
    $sql = "select member_id,status 
            from $db_members 
            where member_id = '".addslashes(strip_tags($id))."'";
  
    $query = new DB_query($DB, $sql);  

    if ($query->db_num_rows() == 0)
    	return header("location:$memdir$messagespage$sfx?m=70");
    
    $query->db_fetch_object();
    
    // Member is already activated
    if ($query->obj->status >= 3)
    	return header("location:$memdir$messagespage$sfx?m=71");
    
    // Member is suspended.
    elseif ($query->obj->status == 1)
    	return header("location:$memdir$messagespage$sfx?m=72");
       	
    // Member is pending
    elseif ($query->obj->status == 2)
    {        
        $q = "update $db_members set status = '3' where  member_id = '".addslashes(strip_tags($id))."'";
        $result = new DB_query($DB, $q);
  		   
        // tell them they are active.
        return header("location:$memdir$messagespage$sfx?m=73");  
    }
}
// END



//	----------------------------------------------
//		MEMBERS ONLY PAGE AUTHENTICATION
//	----------------------------------------------


function restrict_to_weblog($which = '')
{
	global $id, $db_multiweblogs, $DB;
	
	if ($which == '')
		return;

	$which = trim($which);

	if ( ! isset($id))
		return;
		
	$ex = explode('_', $id);
	
	if ( ! isset($ex['2']))
		return;
		
    $query = new DB_query($DB, "select id from $db_multiweblogs where weblog ='".$DB->escape_str($which)."'");

	$query->db_fetch_object();
	
	if ($query->obj->id != $ex['2'])
		exit ('Restricted.');
}



function not_logged_in($status = '', $weblog = '')
{
	if (require_login($status, $weblog))
		return false;
	else
		return true; 
}

// Old members only function.  Used within the above wrapper

function require_login($status="", $weblog = '') 
{
    global $member_name, $member_code, $db_members, $DB;

    if (!eregi("^[[:digit:]]+$", $status))
        $status = "";
    
    if ($status < 3  || $status > 12)

        $status = "";
    
    $sql = "select count(*) as count 
          from   $db_members 
          where  member_id = '".addslashes($member_code)."' 
          and    username  = '".addslashes($member_name)."' ";
    
    if ($status <> "")
        $sql .= "and status >= '$status' ";
        
    if ($weblog <> "")
        $sql .= "and weblog = '$status'";
        
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();

    if ($query->obj->count > 0)
    {
        return true;     
    }
    else
    {
        return false;     
    }
}
// END

?>