<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	---------------------------------------------
//		SET/READ PBLOCK COOKIE
//	---------------------------------------------

function pblock_cookie($which)  
{
    global $db_pblocks, $db_pblock_members, $cookie_domain, $DB;
    

    if (!isset($_COOKIE["$which"]))
    {
        $cookie = "";
    }
    else
    {
        $cookie = ($_COOKIE["$which"]);
    }
    
    $sql = "select behavior from $db_pblocks where call_title = '".addslashes($which)."'";
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() == 0)
    {
    	return false;
    }
    
    $query->db_fetch_object();
    $behavior = $query->obj->behavior; 
    
    unset($sql);
    unset($query);
    
    $sql = "select count(*) as count from $db_pblock_members where call_title = '".addslashes($which)."'"; 
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $total = $query->obj->count;
       
    unset($sql);
    unset($query);
       
    if (!$cookie) 
    {
        if ($behavior == "forward") 
        {
            setcookie("$which","1",time()+100000000,"/",$cookie_domain,"0");
        }
         elseif ($behavior == "backward")
        {
            setcookie("$which","$total",time()+100000000,"/",$cookie_domain,"0");
        }
    } 
    else 
    {        
        if ($behavior == "forward") 
        { 
            if ($cookie == $total)
            {
                $cookie = 1;
            }
            else
            {
                 $cookie = $cookie + 1;
            }
        }
        else if ($behavior == "backward")  
        { 
            if ($cookie == 1)
            {
                $cookie = $total;
            }
            else
            {
                $cookie = $cookie - 1;
            }        
        }

    setcookie("$which","$cookie",time()+100000000,"/",$cookie_domain,"0");
    
    }
}
// END


//	---------------------------------------------
//		SHOW PBLOCK
//	---------------------------------------------

function pblock($which="",$output="")  
{
    global $db_pblocks, $db_pblock_members, $db_upload_prefs, $DB;

    if (!isset($which))
        return false;

    if ($which == "")
        return false;

    if (!isset($_COOKIE["$which"]))
    {
        $cookie = "";
    }
    else
    {
        $cookie = ($_COOKIE["$which"]);
    }
    
    $sql = "select behavior from $db_pblocks where call_title = '".$DB->escape_str($which)."'";
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() == 0)
    {
    	return false;
    }
    
    $query->db_fetch_object();
    
    $behavior = $query->obj->behavior; 
    
    unset($sql);
    unset($query);
    
    $tq = "select count(*) as count from $db_pblock_members where call_title = '$which'";
    
    $sql = "select body, nl2br from $db_pblock_members where call_title = '$which' ";

    if ($behavior == "forward" || $behavior == "backward") 
    {  
        if (!$cookie) $behavior = "random";
    }

    if ($behavior == "static") 
    {
        $sql .= "order by id desc limit 1";
    }
    elseif ($behavior == "random") 
    {
        $result = new DB_query($DB, $tq); 
        $result->db_fetch_object();
        $total = $result->obj->count;

        unset($result);

        $nminus =0;

        if ($total > 1) 
        {
            mt_srand((double)microtime() * 1000000);
            $number = mt_rand(1,$total);
            $nminus = ($number -1);
        }

        $sql .= "limit $nminus, 1 ";  
    }
    elseif ($behavior == "forward") 
    {
        $result = new DB_query($DB, $tq); 
        $result->db_fetch_object();
        $total = $result->obj->count;

        unset($result);
                 
        if ($cookie == $total)
        { 
            $next = 1;
        }
        else
        {
            $next = $cookie + 1;
        }
            
        $int = $next-1;

        $sql .= "order by id asc limit $int, $total";
    }
    elseif ($behavior == "backward") 
    { 
    
        $result = new DB_query($DB, $tq); 
        $result->db_fetch_object();
        $total = $result->obj->count;

        if ($cookie == 1) 
        {
             $next = "$total";
        }
        else
        {
             $next = $cookie -1;
        }

        $int = $next - 1;

        $sql .= "order by id asc limit $int, $total";
    }        
    
    $query = new DB_query($DB, $sql); 
    $query->db_fetch_object();
     
    $body = $query->obj->body;
    $nl2br = $query->obj->nl2br;
    
    if (get_magic_quotes_runtime())
        $body = stripslashes($body);

    unset($query);
    unset($sql);

    $query = new DB_query($DB, "select id,abspath from $db_upload_prefs");        
    
    while ($query->db_fetch_object()){
    
        $imgpath = $query->obj->abspath;
        $id = $query->obj->id;
        
        if (!eregi('/$',$imgpath)) $imgpath = "$imgpath" . "/";
              
        $body  = str_replace("%%dir[$id]%%",$imgpath,$body);
    }

    if ($nl2br == "yes") 
    {
        if ($output == "multi")
        {
            return nl2br($body);
        }
        else  
        {
            echo nl2br($body);
        }
    } 
    else 
    {               
        if ($output == "multi")
        {
            return "$body";
        }
        else 
        {
            echo "$body";
        }
    }
}
// END



//	---------------------------------------------
//		SHOW STATIC PBLOCK
//	---------------------------------------------

function static_pblock($which='', $member='')  
{
    global $db_pblock_members, $db_upload_prefs, $DB;

    if (!isset($which) ) $which = '';
    if (!isset($member)) $member = '';

    if ($which !="" && $member !="") 
    {    
    
    $query = new DB_query($DB, "select body, nl2br 
                                from $db_pblock_members 
                                where call_title = '".$DB->escape_str($which)."' 
                                and name = '".$DB->escape_str($member)."'");
                                
	if ($query->db_num_rows() == 0)
	{
		return false;
	}
	
    $query->db_fetch_object();
    
    $body  = $query->obj->body;
    $nl2br = $query->obj->nl2br;
    
    if (get_magic_quotes_runtime())
        $body = stripslashes($body);

    unset($query);

    $query = new DB_query($DB, "select id,abspath from $db_upload_prefs");        
    
    while ($query->db_fetch_object())
    {
        $imgpath = $query->obj->abspath;
        $id = $query->obj->id;
        
        if (!eregi('/$',$imgpath)) $imgpath = "$imgpath" . "/";
              
        $body  = str_replace("%%dir[$id]%%",$imgpath,$body);
    }

    if ($nl2br == "yes") 
    {
        echo nl2br($body);
    }
     else
    {
        echo "$body";
    }
  }
}
// END
?>