<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//		TELL-A-FRIEND FORM
//	----------------------------------------------

function tell_a_friend_form($id, $where='')
{
    global $db_weblog, $mbrmanager, $open_basedir;
    global $obd_memdir, $sfx, $db_multiweblogs, $DB, $SHARED;
    global $db_prefs, $SECURE, $db_captchas;
    global $db_members;
 
    if ($id == "")
        return false;
        
    if ($where == "")
        $where = "comments";
    
        $x = explode("_",$id);
        $postid = $x[0];

    if ((substr($postid,0,1) == "A") || 
        (substr($postid,0,1) == "P") ||
        (substr($postid,0,1) == "D") ||
        (substr($postid,0,1) == "M"))
    {
        $postid = substr($postid, 1);
        $id     = substr($id, 1);
    }
    
    $query = new DB_query($DB, "select title,weblog from $db_weblog where post_id ='".$DB->escape_str($postid)."'");
    
    $query->db_fetch_object();  
    
    if ($query->db_num_rows() == 0)
    {
        return false;
    }
    elseif( ! isset($x[1]))
    {
    	$q = "select id from $db_multiweblogs where weblog = '".$query->obj->weblog."'";
   		$result = new DB_query($DB, $q);
    	$result->db_fetch_object();
    	$catpage = $result->obj->id; 
    
    	$id = "{$id}_0_{$catpage}_0";
    }
    
    $title = $query->obj->title; 
    
    if (get_magic_quotes_runtime())
        $title = stripslashes($title);
        
        $title = pmcode_remove_tags(pmcode_decode($title));

        $swap = array("%%title%%" => $title);
    
        $block = $SHARED->get_template("email","80");
    
        while(list($key,$value) = each($swap))
              $block = str_replace("$key","$value",$block);               
    
        if ($open_basedir == 0) 
        {
            $memdir = $SHARED->get_pref("memdir","1");
        }
        else 
        {
            $memdir = $obd_memdir;
        }
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		echo $SECURE->security_hash_js('y')."\r\n";
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=tellafriend\" ".$SECURE->security_hash_js().">\n";
		echo $SECURE->security_hash_field();
	}
	else
	{
		echo "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=tellafriend\">\n";
	}
	
	echo "<input type=\"hidden\" name=\"postid\" value=\"$id\" />\n";
	echo "<input type=\"hidden\" name=\"where\" value=\"$where\" />\n";
	
	// ---------------------------------
	//  Captcha
	// ---------------------------------
	
	if (preg_match("|{if captcha}(.*?){/if}|s",$block, $matches))
	{
		$captcha = 'y';
		
		if ($email_captcha == 'no')
		{
			$block =& str_replace($matches['0'], '', $block);
			$captcha = 'n';
		}
		elseif ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
    
			if ($query->db_num_rows() > 0)
			{
				$block =& str_replace($matches['0'], '', $block);
				$capthca = 'n';
			}
		}
		
		if ($captcha == 'y')
		{
			if ($captcha_image = $SECURE->create_captcha())
			{
				$block =& str_replace($matches['0'], $matches['1'], $block);
				$block =& str_replace('%%captcha%%', $captcha_image, $block);
			}
			else
			{
				$block =& str_replace($matches['0'], '', $block);
			}
		}		
	}
	
	echo "$block\n";
	echo "</form>\n";
} 
// END  


//	----------------------------------------------
//		SEND TELL-A-FRIEND NOTIFICATION
//	----------------------------------------------

function send_to_friend($name, $to, $from, $message, $what, $postid, $where) 
{    
    global $db_weblog, $url_rewriting, $messagespage, $sfx;
    global $SECURE, $db_prefs, $DB, $SHARED, $db_captchas;   
    global $db_members;

	$memdir = $SHARED->get_pref("memdir","1");
 
 	if (ipbancheck()==true) 
    {    
		return header("location:$memdir$messagespage$sfx?m=90");
    }
 
	// Enable the fields you want to be sent in the email 
 
    $show_blurb		= "no";
    
    $show_body		= "yes";
    
    $show_more		= "yes";
    
    $show_custom1	= "no";
    
    $show_custom2	= "no";
    
    $show_custom3	= "no";
    
	//-----------------------------------------------------------

    $memdir = $SHARED->get_pref("memdir","1");
 
    if ($name == "" || $to == "" || $from == "")
    {        
        return header("location:$memdir$messagespage$sfx?m=105");
    }
    
    if (!valid_email($from))
    {
        return header("location:$memdir$messagespage$sfx?m=108");
    }
   
        $name    = trim(stripslashes($name));  
        $from    = trim(stripslashes($from));  
        $to      = trim(stripslashes($to)); 
        $message = stripslashes($message);
        
        $to = str_replace(";",",",$to);
    
	if (!ereg(",",$to))
	{
		if (!valid_email($to))
		{
			return header("location:$memdir$messagespage$sfx?m=108");
		}
		
		$dest['0'] = $to;
		
		$size = sizeof($dest);
	}
	else
	{
		$dest = explode(",",$to);
		
		$size = sizeof($dest);
		
		for ($i=0; $i < $size; $i++)
		{
			if (!valid_email(trim($dest[$i])))
			{
				return header("location:$memdir$messagespage$sfx?m=108");
			}			
		}
	}	

	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
		// -------------------------------------------------
	//  Secure Forms/Captcha Check - After All Error Checking!
	// -------------------------------------------------
	
	if (isset($email_captcha) && $email_captcha != 'no')
	{			
		$passed = 'n';
		
		if ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
			
			if ($query->db_num_rows() > 0)
			{
				$passed = 'y';
			}
		}
		
		if ($passed == 'n')
		{
			if ( ! isset($_POST['captcha']) OR trim($_POST['captcha']) == '')
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
		
			$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_captchas 
										WHERE ip_address ='".$SHARED->IP."'
										AND word = '".$DB->escape_str($_POST['captcha'])."'
										AND date > '".(time()-7200)."'");
										
			$query->db_fetch_array();
		
			if ($query->row['count'] == 0)
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
			elseif($preview != 1)
			{
				$query = new DB_query($DB, "DELETE FROM $db_captchas 
											WHERE (word='".$DB->escape_str($_POST['captcha'])."' 
											AND ip_address = '".$SHARED->IP."') 
											OR date < '".(time()-7200)."'");
			}		
		}		
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash() !== true)
	{
		return header("location:$memdir$messagespage$sfx?m=107");
	}	
	
	// ---------------------------------
	//  Email Content and Sending
	// ---------------------------------

	$swap = array("%%name%%" => $name,"%%email%%" => $from);

	$subject = $SHARED->get_template("email","90");

	while(list($key,$value) = each($swap))
	{
		$subject = str_replace("$key","$value",$subject); 
	}             

	$sitename = $SHARED->get_pref(stripslashes("sitename"));
	
	$x = explode("_",$postid);
	$pid = $x[0];

	$sql = "select * from $db_weblog where post_id ='".$DB->escape_str($pid)."'";
	
	$query = new DB_query($DB, $sql);
	
	$query->db_fetch_object();
	
	$title  = $query->obj->title; 
	$blurb  = $query->obj->blurb; 
	$body   = $query->obj->body; 
	$more   = $query->obj->more; 
	$custom1   = $query->obj->custom1; 
	$custom2   = $query->obj->custom2; 
	$custom3   = $query->obj->custom3; 
	$weblog = $query->obj->weblog; 
	
	if (get_magic_quotes_runtime())
	{
		$title = stripslashes($title);
		$blurb = stripslashes($blurb);
		$body  = stripslashes($body);
		$more  = stripslashes($more);
		$custom1  = stripslashes($custom1);
		$custom2  = stripslashes($custom2);
		$custom3  = stripslashes($custom3);
	}
		$title = pmcode_decode($title);
		$blurb = pmcode_decode($blurb);
		$body  = pmcode_decode($body);
		$more  = pmcode_decode($more);
		$custom1  = pmcode_decode($custom1);
		$custom2  = pmcode_decode($custom2);
		$custom3  = pmcode_decode($custom3);

	if ($where == "comments")
	{
		$page = $SHARED->get_pref("comments_page_$weblog");
	}
	elseif ($where == "weblog")
	{
		$page = $SHARED->get_pref("{$weblog}_page");
		$postid = "P" . $pid;
	}
		
	$pagespath = $SHARED->get_pref("pages_path_abs_$weblog","1");
	
    $delim = '?id=';
    
    if ($url_rewriting == 1)
    {
        $delim = '/';
    }
	
	$entry_url = $pagespath.$page.$delim.$postid;
	
    if ($url_rewriting == 1) $entry_url .= '/';
	

	$swap = array("%%name%%"		=> $name,
				  "%%title%%"		=> $title,
				  "%%site_name%%"	=> $sitename,
				  "%%message%%"		=> $message,
				  "%%entry_url%%"	=> $entry_url);	


	$mbody = $SHARED->get_template("email","100");

	while(list($key,$value) = each($swap))
	{
		$mbody = str_replace("$key","$value",$mbody); 
	}  
		$newline = "\r\n\r\n";
		$mbody .= $newline.$title;


	if ($what == "text")
	{
		if ($show_blurb	== "yes" AND $blurb != "") $mbody .= $newline.strip_tags($blurb);	
	
		if ($show_body	== "yes" AND $body != "") $mbody .= $newline.strip_tags($body);
  
		if ($show_more	== "yes" AND $more != "") $mbody .= $newline.strip_tags($more);

		if ($show_custom1	== "yes" AND $custom1 != "") $mbody .= $newline.strip_tags($custom1);	
		
		if ($show_custom2	== "yes" AND $custom2 != "") $mbody .= $newline.strip_tags($custom2);	
		
		if ($show_custom3	== "yes" AND $custom3 != "") $mbody .= $newline.strip_tags($custom3);	
	}
   
	$error =0;
	
	$email = new Email();
	
	for ($i=0; $i < $size; $i++)
	{        
		
		$email->from($from);	
		$email->to(trim($dest[$i])); 
		$email->subject($subject);	
		$email->message($mbody);
	
		if (!$email->Send())
		$error =1;
		
		$email->initialize();
	}

    if ($error ==0)
    {
        return header("location:$memdir$messagespage$sfx?m=106"); 
    } 
    else 
    {   
        return header("location:$memdir$messagespage$sfx?m=107"); 
    }  
}
// END
?>