<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	---------------------------------------------
//		WEBLOG SUBMISSION HANDLING ROUTINE
//	---------------------------------------------

    if (!isset($notify))   $notify = "";
    if (!isset($blurb))    $blurb ="";
    if (!isset($more))     $more ="";
    if (!isset($custom1))  $custom1 ="";
    if (!isset($custom2))  $custom2 ="";
    if (!isset($custom3))  $custom3 ="";
    if (!isset($is_forum)) $is_forum ="";
    if (!isset($catid))    $catid ="";
    if (!isset($which))    $which ="";
	if (!isset($save)) $save = "";
	if (!isset($show_email)) $show_email = "";
	if (!isset($location)) $location = "";
     
    $memdir = $SHARED->get_pref("memdir","1");

	if (!isset($_POST['weblog']))
    {
		return header("location:$memdir$messagespage$sfx");
    }
	else
    {
		$weblog = $_POST['weblog'];
    }

    if ($_GET['p'] != 'addentry' and $weblog == '')
    {
        return header("location:$memdir$messagespage$sfx");
    }
    
    if ($SHARED->get_pref("is_collective_$weblog") == 'no')
    {
        return header("location:$memdir$messagespage$sfx?m=130");
    }
    
    if (ipbancheck()==true)
    {
        return header("location:$memdir$messagespage$sfx?m=131");
    }
	
	// ---------------------------------
	//  Data Checking
	// ---------------------------------

    $maxl = $SHARED->get_pref(trim("max_length_$weblog"));
    $blen = strlen($body);	
         
    if ($maxl != ''  &&  $maxl <> "0") 
    {
        if ($blen > $maxl)
        return header("location:$memdir$messagespage$sfx?m=132&i=$maxl&e=$blen");
    }
    
    unset($maxl);
    unset($blen);

	if (!isset($_POST['preview']))
    {
		$preview =0;
    }
	else
    {
		$preview =1;
    }
 
    if ($notify == "yes") 
    {
     	setcookie("notifyme","yes",time()+100000000,"/","$cookie_domain","0");    	
    }
    else
    {
        setcookie("notifyme","",time()-60,"/","$cookie_domain","0");
    }
    
    if ($SHARED->get_pref("closed_by_default_$weblog") == "yes")
    {
        $status = "closed";
    }
    else
    {
        $status = "open";
    }
    
    $rawbody  = $body;
    $rawinput = $body.' '.$blurb.' '.$more.' '.$custom1.' '.$custom2.' '.$custom3;

    if ($SHARED->get_pref("auto_format_HTML_$weblog") == "yes") 
    {
                            $title   = pmcode_basic_encode($title);
                            $body    = pmcode_basic_encode($body);
        if ($blurb   != '') $blurb   = pmcode_basic_encode($blurb);
        if ($more    != '') $more    = pmcode_basic_encode($more);
        if ($custom1 != '') $custom1 = pmcode_basic_encode($custom1);
        if ($custom2 != '') $custom2 = pmcode_basic_encode($custom2);
        if ($custom3 != '') $custom3 = pmcode_basic_encode($custom3);
    }
    if ($SHARED->get_pref("auto_format_URLS_$weblog") == "yes") 
    {
                            $body    = pmcode_url_encode($body);
        if ($blurb   != '') $blurb   = pmcode_url_encode($blurb);
        if ($more    != '') $more    = pmcode_url_encode($more);
        if ($custom1 != '') $custom1 = pmcode_url_encode($custom1);
        if ($custom2 != '') $custom2 = pmcode_url_encode($custom2);
        if ($custom3 != '') $custom3 = pmcode_url_encode($custom3);
    }
    if ($SHARED->get_pref("auto_format_IMGS_$weblog") == "yes") 
    {
                            $body    = pmcode_img_encode($body);
        if ($blurb   != '') $blurb   = pmcode_img_encode($blurb);
        if ($more    != '') $more    = pmcode_img_encode($more);
        if ($custom1 != '') $custom1 = pmcode_img_encode($custom1);
        if ($custom2 != '') $custom2 = pmcode_img_encode($custom2);
        if ($custom3 != '') $custom3 = pmcode_img_encode($custom3);
    }
    
    if (!get_magic_quotes_gpc()) 
    {
        $title    = addslashes($title);
        $blurb    = addslashes($blurb);
        $body     = addslashes($body);
        $more     = addslashes($more);
        $custom1  = addslashes($custom1);
        $custom2  = addslashes($custom2);
        $custom3  = addslashes($custom3);
    }

    $newtime = $SHARED->get_offset_time();
    $year    = date("Y",$newtime); 
    $month   = date("m",$newtime);    
    $day     = date("d",$newtime); 

 	$ipaddress = get_ipaddress();
 	
    $blogpage   = $SHARED->get_pref("{$weblog}_page");
    $pagespath  = $SHARED->get_pref("pages_path_abs_$weblog","1"); 
    $reqreg     = $SHARED->get_pref("require_reg_weblog"); 
    
	if (isset($_COOKIE['member_name']) && isset($_COOKIE['member_code']))
	{
		$reqreg = "yes";
	}    
    
	($SHARED->get_pref("enable_comments_$weblog") == "yes") ? $showcomments =1 : $showcomments =0;

    $returnto = "$pagespath$blogpage";


//	---------------------------------------------
//		IF REGISTRATION IS NOT REQUIRED
//	---------------------------------------------

if ($reqreg == "no") 
{ 
        $title    = trim(strip_tags($title));
        $name     = trim(strip_tags($name));
        $email    = trim($email);      	  	
        $url      = trim(strip_tags($url));
        $location = trim(strip_tags($location)); 
        $postedby = $name; 

    if ($email == ""  &&  $SHARED->get_pref("require_email_noreg") == "yes")
    {
        return header("location:$memdir$messagespage$sfx?m=134");
    }
    if ($email != ''  &&  !valid_email($email))	            	
    {
        return header("location:$memdir$messagespage$sfx?m=135");
    }
    if  ($name == "" || $title == "" || $body == "")
    { 	    
            return header("location:$memdir$messagespage$sfx?m=133");
    }
    if ($preview == 0  &&  timelock($weblog) == false)
    {
        return header("location:$memdir$messagespage$sfx?m=97&i=".$SHARED->get_pref("timelock_comments_$weblog"));
    }
    
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash() !== true)
	{
		return header("location:$memdir$messagespage$sfx?m=131");
	}  
    
    if ($show_email <> "yes")
    {
        $show_email = "no";
    }
    else 
    {
        $show_email = "yes";
    }
 	
    if(!get_magic_quotes_gpc()) 
    {
        $title    = addslashes($title);
        $url      = addslashes($url);
        $name     = addslashes($name);
    }
 
    $sql = "insert into $db_nonmembers 
            (id,
            signature,
            email,
            url,
            location,
            show_email,
            ipaddress)
    values ('',
            '$name',
            '$email',
            '$url',
            '$location',
            '$show_email',
            '$ipaddress')"; 
            
    $query = new DB_query($DB, $sql);
    
    unset($sql);
    unset($query);

    $sql = "select id from $db_nonmembers order by id desc limit 1";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $nonmbr = $query->obj->id;

    unset($sql);
    unset($query);

    $sql = "insert into $db_weblog 
            (post_id,    
            member_id, 
            t_stamp,
            title, 
            blurb,
            body,
            more,
            custom1,
            custom2,
            custom3,
            status,
            weblog,
            category,
            year,
            month,
            day,
            preview,
            showcomments,
            c_date)   
    values ('',  
            '"."NM"."$nonmbr',
            '$newtime',
            '$title',
            '$blurb',
            '$body',
            '$more',
            '$custom1',
            '$custom2',
            '$custom3',
            '$status',
            '$weblog',
            '$catid',
            '$year',
            '$month',
            '$day',
            '$preview',
            '$showcomments',
            '$newtime')"; 
            
    $query = new DB_query($DB, $sql);
    unset($query);
      
    $query = new DB_query($DB, "insert into $db_timelock (ip,time) values ('$ipaddress','$newtime')"); 
    unset($query);
    
    $query = new DB_query($DB, "select post_id from $db_weblog order by post_id desc limit 1");
    $query->db_fetch_object();
    $postid = $query->obj->post_id;
    unset($query);

    if ($preview == 1) 
    {
    	if (isset($_POST['captcha']) && trim($_POST['captcha']) != '')
        {
        	setcookie('temp_wcaptcha', $_POST['captcha'], time()+60*60,'/',$cookie_domain,'0');
        }
    
        if ($is_forum == "yes") 
        {
            $query = new DB_query($DB, "select id from $db_multiweblogs where weblog = '$weblog'");
            $query->db_fetch_object();
            $wid = $query->obj->id;

            $morepage = $SHARED->get_pref("more_page_$weblog"); 

            return header("location: $pagespath$morepage?id=X{$postid}_0_{$wid}&which=$weblog");
        }
        else 
        {
    
            if ($url_rewriting == 1)
                $ret =  $returnto."/X".$postid."/";
            else
                $ret = "$returnto?id=X$postid";

        
            return header("location: $ret");
        }
    }
    else
    {
         $query = new DB_query($DB, "delete from $db_weblog where preview = '1'");
         unset($query);
         $query = new DB_query($DB, "delete from $db_nonmembers where preview = '1'");
         unset($query);
    }


	if ($show_email == "yes")
		setcookie("displayemail","yes",time()+100000000,"/","$cookie_domain","0");
	else
		setcookie("displayemail","",time()-60,"/","$cookie_domain","0");

    if ($save == "yes") 
    {
            setcookie("my_name","$name",time()+100000000,"/","$cookie_domain","0");
        if ($email != '') 
            setcookie("my_email","$email",time()+100000000,"/","$cookie_domain","0");
        if ($location != '') 
            setcookie("my_location","$location",time()+100000000,"/","$cookie_domain","0");
        if ($url != '')
            setcookie("my_url","$url",time()+100000000,"/","$cookie_domain","0");
    }
    else 
    {
            setcookie("my_name","",time()-60,"/","$cookie_domain","0");
            setcookie("my_email","",time()-60,"/","$cookie_domain","0");
            setcookie("my_location","",time()-60,"/","$cookie_domain","0");
            setcookie("my_url","",time()-60,"/","$cookie_domain","0");
    } 

    if ($notify == "yes"  &&  $email != '') 
    {
        $sql = "select count(*) as count
                from $db_nmbr_notify 
                where email = '$email' 
                and post_id ='$postid'";

        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
    
        if ($query->obj->count == 0) 
        {
            $add = new DB_query($DB,"insert into $db_nmbr_notify (id,post_id,email) values ('','$postid','$email')");
        }
        unset($sql);
        unset($query);            
    }
}

//	---------------------------------------------
//		IF REGISTRATION IS REQUIRED
//	---------------------------------------------

else if ($reqreg == "yes") 
{
    isset($_COOKIE['member_name']) ?
	 $member_name = ($_COOKIE['member_name']) : $member_name = "";
    
	isset($_COOKIE['member_code']) ?
        $member_code = ($_COOKIE['member_code']) : $member_code = "";
  	
    if ($member_name == "" &&  $member_code == "")
    {
        return header("location:$memdir$messagespage$sfx?m=136");
    }        
    
    if ($title == "" || $body == "")
    {
        return header("location:$memdir$messagespage$sfx?m=133");
    }
          	    
        
    $sql = "select id,status,numentries,lastpost,signature,email
            from $db_members 
            where username = '".addslashes($member_name)."' 
            and member_id = '".addslashes($member_code)."'"; 
            
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() == 0)
        return header("location:$memdir$messagespage$sfx?m=136");
        
    $query->db_fetch_object();

    $mem_id     = $query->obj->id;
    $mstatus    = $query->obj->status;
    $lastpost   = $query->obj->lastpost;
    $numentries = $query->obj->numentries + 1;   
    $email      = $query->obj->email;
    $postedby   = $query->obj->signature;
    
    unset($sql);
    unset($query);

    if ($mstatus < "3")
    {
        return header("location:$memdir$messagespage$sfx?m=137");    
	}
	
    if (($mstatus == "3") && ($preview == 0) && ($lastpost != ''))
    {
        $timelock = $SHARED->get_pref("timelock_$weblog");    
        $unlock = ($lastpost + $timelock);
   
        if ($unlock > $newtime) 
            return header("location:$memdir$messagespage$sfx?m=138&i=$timelock");
    }
    
    
    
    
	// -------------------------------------------------
	//  Blacklist/Whitelist
	// -------------------------------------------------
	
	// --------------------------
	//  Current Blacklist
	// --------------------------
  
	$query = new DB_query($DB, "SELECT * FROM $db_blacklisted"); 
	
	$black['ip']		= array();
	$black['email']		= array();
	$black['url']		= array();
	$black['phrase']	= array();
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			$black_values =& explode('|', $query->row['blacklisted_value']);
			
			for ($i=0; $i < sizeof($black_values); $i++)
        	{
        		if (trim($black_values[$i]) != '')
        		{
        			$black[$query->row['blacklisted_type']][] = (get_magic_quotes_runtime()) ? stripslashes($black_values[$i]) : $black_values[$i];
        		}
        	}
		}	
	}
	
	// --------------------------
	//  Current Whitelist
	// --------------------------
  
	$query = new DB_query($DB, "SELECT * FROM $db_whitelisted"); 
	
	$white['ip']		= array();
	$white['email']		= array();
	$white['url']		= array();
	$white['phrase']	= array();
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			$white_values =& explode('|', $query->row['whitelisted_value']);
			
			for ($i=0; $i < sizeof($white_values); $i++)
        	{
        		if (trim($white_values[$i]) != '')
        		{
        			$white[$query->row['whitelisted_type']][] = (get_magic_quotes_runtime()) ? stripslashes($white_values[$i]) : $white_values[$i]; 
        		}
        	}   
		}	
	}
	
	// -----------------------------
	//  Domain Names Array
	// -----------------------------
		
	$domains = array('net','com','org','info', 'name','biz','us','de', 'uk');    	
	
	// -------------------------------------
	//  Find URLs in Comment Body
	// -------------------------------------
	
	$test_body =& str_replace('&amp;', '&', pmcode_translate_entities(pmcode_decode(stripslashes($rawinput))));
	$test_body =& str_replace('&#35;', '#', $test_body);
	$test_body =& str_replace('&#38;', '&', $test_body);
	$test_body =& str_replace('&#45;', '-', $test_body);
	$test_body =& str_replace('&#46;', '.', $test_body);
	$test_body =& str_replace('&#47;', '/', $test_body);
	$test_body =& str_replace('&#58;', ':', $test_body);
	$test_body =& str_replace('&#95;', '_', $test_body);
	
	$test_body .= ' ';
	
	$test_urls = array();
				
	// Clear period from the end of URLs
	$test_body = preg_replace("#(^|\s|\()((http://|http(s?)://|www\.)\w+[^\s\)]+)\.([\s\)])#i", "\\1\\2{{PERIOD}}\\4", $test_body);
				
	if (preg_match_all("/([f|ht]+tp(s?):\/\/[a-z0-9@%_.~#\/\-\?&=]+.)".
					   "|(www.[a-z0-9@%_.~#\-\?&]+.)".
					   "|([a-z0-9@%_~#\-\?&]*\.(".implode('|', $domains)."))/si", $test_body, $matches))
	{       					
		$test_urls = $matches['0'];
	}
	
	// Add in URL Field
	
	if (isset($url) && trim($url) != '')
	{
		$test_urls[] =& trim($url);
	}
	
	// -------------------------------------
	//  Uber Whitelist Pass
	// -------------------------------------
	
	$uber = 'n';  // Whitelisted IPs and Emails Always Passed Through
	
	if (isset($email) && $email != '' && sizeof($white['email']) > 0)
	{
		foreach($white['email'] as $good)
		{
			if (stristr($email, $good) !== false)
			{
				$uber = 'y';
			}
		}
	}
	
	if (sizeof($white['ip']) > 0)
	{
		foreach($white['ip'] as $good)
		{
			if (stristr($SHARED->IP, $good) !== false)
			{
				$uber = 'y';
			}
		}
	}
	
	
	// -------------------------------------
	//  Check Email, URLs, IP, and Content
	// -------------------------------------
	
	$pass = 'y';  // Innocent until guilty	
	
	foreach($black as $type => $blacklisted)
	{
		if ($uber == 'y')
		{
			break;
		}
		
		if ($type == 'url' && sizeof($test_urls) > 0)
		{
			for ($i=0; $i < sizeof($test_urls); $i++)
			{
				foreach($blacklisted as $bad)
				{
					if (stristr($test_urls[$i], $bad) !== false)
					{
						$pass = 'n';
						
						if (sizeof($white[$type]) > 0)
						{
							foreach($white[$type] as $good)
							{
								if (stristr($test_urls[$i], $good) !== false)
								{
									$pass = 'y';
								}
							}
						}
						
						break;
					}
				}
			}
		}
		elseif($type == 'ip' && $SHARED->IP != '0.0.0.0')
		{
			foreach($blacklisted as $bad)
			{
				if (stristr($SHARED->IP, $bad) !== false)
				{
					$pass = 'n';					
					break;					
				}
			}
		}
		elseif($type == 'email' && isset($email) && $email != '')
		{
			foreach($blacklisted as $bad)
			{
				if (stristr($email, $bad) !== false)
				{
					$pass = 'n';					
					break;
				}
			}
		}
		elseif($type == 'phrase')
		{
			foreach($blacklisted as $bad)
			{
				if (stristr($test_body, $bad) !== false)
				{
					$pass = 'n';
					
					if (sizeof($white[$type]) > 0)
					{
						foreach($white[$type] as $good)
						{
							if (stristr($test_body, $good) !== false)
							{
								$pass = 'y';
							}
						}
					}
					
					break;
				}
			}
		}
	}
		
	if ($pass == 'n' && $uber != 'y')
	{
		return header("location:$memdir$messagespage$sfx?m=165");
	}
    
    
    // ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	
	if (isset($weblog_captcha) && $weblog_captcha != 'no')
	{			
		$passed = 'n';
		
		if ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
			
			if ($query->db_num_rows() > 0)
			{
				$passed = 'y';
			}
		}
		
		if ($passed == 'n')
		{
			if ( ! isset($_POST['captcha']) OR trim($_POST['captcha']) == '')
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
		
			$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_captchas 
										WHERE ip_address ='".$SHARED->IP."'
										AND word = '".$DB->escape_str($_POST['captcha'])."'
										AND date > '".(time()-7200)."'");
										
			$query->db_fetch_array();
		
			if ($query->row['count'] == 0)
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
			elseif($preview != 1)
			{
				$query = new DB_query($DB, "DELETE FROM $db_captchas 
											WHERE (word='".$DB->escape_str($_POST['captcha'])."' 
											AND ip_address = '".$SHARED->IP."') 
											OR date < '".(time()-7200)."'");
			}		
		}		
	}
	
	if ($secure_forms == 'yes' && $SECURE->check_hash() !== true)
	{
		return header("location:$memdir$messagespage$sfx?m=131");
	}
	
	// ------------------------------------
	//  Deny Duplicate Data
	// ------------------------------------
	
	if (isset($deny_duplicate) && $deny_duplicate == 'yes')
	{
		$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_weblog 
									WHERE body = '$body' AND blurb='{$blurb}'
									AND more = '{$more}' AND preview = '0'");
		$query->db_fetch_object();
		
		if ($query->obj->count > 0)
		{
			return header("location:$memdir$messagespage$sfx?m=131");
		}
	}
	

    $sql = "insert into $db_weblog 
            (post_id,    
             member_id, 
             t_stamp,
             title, 
             blurb,
             body,
             more,
             custom1,
             custom2,
             custom3,
             status,
             weblog,
             category,
             year,
             month,
             day,
             preview,
             showcomments,
             c_date)   
    values ('',  
            '$mem_id', 
            '$newtime',
            '$title',
            '$blurb',
            '$body',
            '$more',
            '$custom1',
            '$custom2',
            '$custom3',
            '$status',
            '$weblog',
            '$catid',
            '$year',
            '$month',
            '$day',
            '$preview',
            '$showcomments',
            '$newtime')"; 
            
    $query = new DB_query($DB, $sql);

    unset($sql);
    unset($query);

    $query = new DB_query($DB, "select post_id from $db_weblog order by post_id desc limit 1");
    $query->db_fetch_object();
    $postid = $query->obj->post_id;
    
    unset($sql);
    unset($query);

	$sql = "select count(*) as count 
			from $db_weblog 
			where member_id = '$mem_id'
			and preview != '1' 
			and t_stamp <= '$newtime' 
			and x_stamp >= '$newtime' 
			and status = 'open' ";
		
	$query = new DB_query($DB, $sql);
	$query->db_fetch_object();
	$mtotal = $query->obj->count;
	
	unset($sql);  
	unset($query);  

	$query = new DB_query($DB, "update $db_members set numentries = '$mtotal',lastpost = '$newtime' where id = '$mem_id'");    
	
	unset($sql);
	unset($query); 


    if ($preview == 1) 
    {
        if ($is_forum == "yes") 
        {
            $query = new DB_query($DB, "select id from $db_multiweblogs where weblog = '$weblog'");
            $query->db_fetch_object();
            $wid = $query->obj->id;  
    
            $morepage = $SHARED->get_pref("more_page_$weblog"); 
            return header("location: $pagespath$morepage?id=X{$postid}_0_{$wid}&which=$weblog");
        }
        else 
        {
    
            if ($url_rewriting == 1)
                $ret =  $returnto."/X".$postid."/";
            else
                $ret = "$returnto?id=X$postid";

            return header("location: $returnto?id=X$postid");
        }
        unset($sql);
        unset($query);
    }
    else
    {
        $query = new DB_query($DB, "delete from $db_weblog where preview = '1'");
    }
  
    $query = new DB_query($DB, "select ipaddress from $db_ipaddresses where ipaddress = '$ipaddress'"); 

    if ($query->db_num_rows() == 0)
    {
        unset($query);
        $query = new DB_query($DB, "insert into $db_ipaddresses (ipaddress, member_id) values ('$ipaddress','$mem_id')"); 
    }

    if ($notify == "yes")
    {
        $sql = "select count(*) as count
                from $db_mbr_notify 
                where member_id = '$mem_id' 
                and post_id ='$postid'";
                                
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
    
        if ($query->obj->count == 0) 
        {
            $add = new DB_query($DB,"insert into $db_mbr_notify (id,post_id,member_id) values ('','$postid','$mem_id')");
        }
        unset($sql);
        unset($query);            
    }         
}

//	---------------------------------------------
//	   NOTIFY/RSS/PING AND REDIRECT
//	---------------------------------------------


 if ($SHARED->get_pref("notify_of_post_$weblog") == "yes")  
{    
    $towho = $SHARED->get_pref("notify_address_$weblog");
    
	if ($email <> $towho && $towho != '')
    {
        
        $sql = "select id from $db_multiweblogs where weblog = '$weblog'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        $catpage = $query->obj->id;  
    
        $comment_page = $SHARED->get_pref("comments_page_$weblog");
        
         include ("{$pm_path}language/{$language}/main$sfx");
        
         $title    = stripslashes($title);
         $subject  = "$L_EMAIL[110] $title";
         $message  = "$pagespath$comment_page?id={$postid}_0_{$catpage}_0_C\r\n\r\n";
         $message .= "--\r\n";
         $message .= "$L_EMAIL[100] $postedby\r\n";
      if($email != "") 
         $message .= "$L_EMAIL[105] $email\r\n";
         $message .= "\r\n";
         $message .= $title;
         $message .= "\r\n";
         $message .= stripslashes(pmcode_translate_entities(pmcode_decode($rawbody)));

     if ($email == "")
         $email =  $SHARED->get_pref("adminemail");
         
         $from = $email;
         unset($email);
         
        $email = new Email;
		$email->from($from);	
		$email->to($towho); 
		$email->subject($subject);	
		$email->message($message);	
		$email->Send();
    }
}

	// ------------------------------
    //  Write RSS File!
    // ------------------------------
    
    include ("{$pm_path}cp/rss.cp$sfx");
	include ("{$pm_path}cp/rss.class$sfx");
    write_rss($postid);
    
    
    // ------------------------------
    //  Send Pings
    // ------------------------------
    
    if (($SHARED->get_pref("ping_$weblog") == "yes") && ($status == "open"))
    {
        $query = new DB_query($DB, "SELECT server_name, server_url, server_port FROM $db_ping_servers WHERE server_default='y')");
			
		if ($query->db_num_rows() > 0)
		{
			$bad_pings = array();
		
			while($query->db_fetch_array())
			{
				if (!ping_weblogs($weblog, $query->row['server_url'], $query->row['server_port']))
				{
					$bad_pings[] = $query->row['server_name'];
				}
			}	
		}
    }
    
    if ($status == "closed")
    {
        return header("location:$memdir$messagespage$sfx?m=140");
    }
    else
    {
            
        if ($is_forum == "yes")
        {
            $query = new DB_query($DB, "select id from $db_multiweblogs where weblog = '$weblog'");      
            $query->db_fetch_object();
            $w = $query->obj->id;      
            
            
			if ($redirect_method ==1)
			{
				return header("Refresh:0;url=$returnto?id=F${w}_0");
			}
			else
			{
				return header("Location: $returnto?id=F${w}_0"); 
			}
        }
        else
        {
			if ($redirect_method ==1)
			{
				return header("Refresh:0;url=$returnto");
			}
			else
			{
				return header("Location: $returnto");
			}
        }
    }
    
// END
?>