<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//




//	---------------------------------------------
//		EXTRACT ID NUMBER FROM QUERY STRING
//	---------------------------------------------

function get_id($id='', $ret='')
{
	if ($id == '')
		return false;

    $x = explode('_', $id);
    
	if (!isset($x['1']))
		return false;
		
	if ($ret == 1)
		return $x['0'];
	else
		echo $x['0'];
}
// END


//	---------------------------------------------
//		COLLECTIVE ENTRY FORM 
//	---------------------------------------------

function collective_entry_form($id='',$which='',$is_forum='')
{
     global $db_members, $db_nonmembers, $db_weblog;
     global $my_name, $my_email, $my_url, $my_location;
     global $mbrmanager, $sfx, $open_basedir, $obd_memdir, $db_prefs;
     global $displayemail, $notifyme, $DB, $SHARED, $SECURE, $cookie_domain;

    if ($which == '')
        return false;

        $prev = 0;
        $title = '';
        $blurb = '';
        $body = '';
        $more = '';
        $custom1 = '';
        $custom2 = '';
        $custom3 = '';

        $temp = $SHARED->get_pref("{$which}_templategroup");

    if (substr($id, 0, 1)=="X") 
    {
        $postid = substr($id, 1);
        $prev =1;
    }
    
	if (isset($notifyme) AND $notifyme == 'yes')
    {
		$checked = "checked";
    }
	else
    {
		$checked = '';
    }

	if (isset($displayemail) AND $displayemail == 'yes')
    {
		$display = 'checked="checked"';
    }
	else
    {
		$display = '';
    }

    // If we are previewing the entry
    if ($prev ==1) 
    {		
		$sql = "select member_id,title,body,blurb,more,custom1,custom2,custom3 
				from $db_weblog 
				where post_id = '".$DB->escape_str($postid)."'";
				
		$query = new DB_query($DB, $sql);
		
		$query->db_fetch_array();		
		
		$mbr_id    = $query->row['member_id'];
		$title     = htmlspecialchars($query->row['title']);
		$body      = htmlspecialchars($query->row['body']);
		$blurb     = htmlspecialchars($query->row['blurb']);
		$more      = htmlspecialchars($query->row['more']);
		$custom1   = htmlspecialchars($query->row['custom1']);
		$custom2   = htmlspecialchars($query->row['custom2']);
		$custom3   = htmlspecialchars($query->row['custom3']);
		
		
			
		if (get_magic_quotes_runtime()) 
		{
			$title   = stripslashes($title);
			$blurb   = stripslashes($blurb);
			$body    = stripslashes($body);
			$more    = stripslashes($more);
			$custom1 = stripslashes($custom1);
			$custom2 = stripslashes($custom2);
			$custom3 = stripslashes($custom3);
		}
		
		unset($query);
		unset($sql);
		
			if (substr($mbr_id, 0, 2) == "NM") 
			{
				$mbr_id   = substr($mbr_id, 2);  
				
				$sql = "select signature,email,url,location 
						from $db_nonmembers 
						where id = '$mbr_id' ";
						
				$query = new DB_query($DB, $sql);
		
				$query->db_fetch_array();
							
				$my_name     = $query->row['signature'];
				$my_email    = $query->row['email'];
				$my_url      = $query->row['url'];
				$my_location = $query->row['location'];
			  }
    }
    
            if ($which =='')
            {
                return member_messages(139);
            }
            
            if ($open_basedir ==0) 
            {
                $memdir = $SHARED->get_pref("memdir","1");
            }
            else
            {
                $memdir = $obd_memdir;
            }
            
          
         $require_reg = $SHARED->get_pref("require_reg_weblog");
            
		if (isset($_COOKIE['member_name']) && isset($_COOKIE['member_code']))
		{
			$require_reg = 'yes';
		}        
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		$add_form  = $SECURE->security_hash_js('y')."\r\n";
		$add_form .= "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=addentry\" ".$SECURE->security_hash_js().">\r\n";
		$add_form .= $SECURE->security_hash_field();
	}
	else
	{
		$add_form  = "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=addentry\">\r\n";
	}
	
	if (isset($_COOKIE['temp_wcaptcha']) && $_COOKIE['temp_wcaptcha'] != '')
	{
		if ($prev == 1)
		{
			$add_form .= "<input type=\"hidden\" name=\"captcha\" value=\"".$_COOKIE['temp_wcaptcha']."\" />\r\n";
		
			$weblog_captcha = 'no';
		}
		
		//setcookie('temp_captcha', '', time()+60*60*24,'/',$cookie_domain,'0');
	}
	
	$add_form .= "<input type=\"hidden\" name=\"weblog\" value=\"$which\" >\r\n";

	if ($is_forum == "forum")
	{
		$add_form .= "<input type=\"hidden\" name=\"is_forum\" value=\"yes\" >\r\n";
	}
     
	if ($require_reg == 'yes')
	{
    	$swap = array('%%title%%'        => $title,
    				  '%%body%%'         => $body,
    				  '%%categorylist%%' => get_categories($id,$which),
    				  '%%form_message%%' => $body,
    				  '%%blurb%%'        => $blurb,
    				  '%%more%%'         => $more,
    				  '%%custom1%%'      => $custom1,
    				  '%%custom2%%'      => $custom2,
    				  '%%custom3%%'      => $custom3,
    				  '%%checked%%'      => $checked,
    				  '%%notify%%'       => $checked,
    				  '%%show_email%%'   => $display);

            $block = $SHARED->get_template("$temp","280");

            while(list($key,$value) = each($swap))
            {	
            	$block = str_replace("$key","$value",$block);   
            }
    }
    else 
    {      
        $my_name = htmlspecialchars(stripslashes($my_name));
        $my_email = htmlspecialchars(stripslashes($my_email));
        $my_url = htmlspecialchars(stripslashes($my_url));
        $my_location = htmlspecialchars(stripslashes($my_location));        
    
        if (get_magic_quotes_gpc()) {
            $my_name = stripslashes($my_name);
            $my_email = stripslashes($my_email);
            $my_url = stripslashes($my_url);
            $my_location = stripslashes($my_location);
        }
                           
         $swap = array('%%my_name%%'      => $my_name,
                       '%%my_email%%'     => $my_email,
                       '%%my_url%%'       => $my_url,
                       '%%my_location%%'  => $my_location,
                       '%%title%%'        => $title,
                       '%%body%%'         => $body,
                       '%%blurb%%'        => $blurb,
                       '%%more%%'         => $more,
                       '%%custom1%%'      => $custom1,
                       '%%custom2%%'      => $custom2,
                       '%%custom3%%'      => $custom3,
					   '%%checked%%'      => $checked,
					   '%%notify%%'       => $checked,
                       '%%categorylist%%' => get_categories($id,$which));
            
		$block = $SHARED->get_template("$temp","270");

		while(list($key,$value) = each($swap))
		{
			$block = str_replace("$key","$value",$block); 
		}
	}
	
	// ---------------------------------
	//  Captcha
	// ---------------------------------
	
	if (preg_match("|{if captcha}(.*?){/if}|s",$block, $matches))
	{
		$captcha = 'y';
		
		if ($weblog_captcha == 'no')
		{
			$block =& str_replace($matches['0'], '', $block);
			$captcha = 'n';
		}
		elseif ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
    
			if ($query->db_num_rows() > 0)
			{
				$block =& str_replace($matches['0'], '', $block);
				$capthca = 'n';
			}
		}
		
		if ($captcha == 'y')
		{
			if ($captcha_image = $SECURE->create_captcha())
			{
				$block =& str_replace($matches['0'], $matches['1'], $block);
				$block =& str_replace('%%captcha%%', $captcha_image, $block);
			}
			else
			{
				$block =& str_replace($matches['0'], '', $block);
			}
		}		
	}
	
	
	echo "$add_form\r\n";
	echo "$block\r\n"; 
	echo "</form>\r\n";  
}
// END



//	---------------------------------------------
//		GET THE NAME OF A WEBLOG FROM THE ID
//	---------------------------------------------

function get_weblog_name($id='',$echo=1)
{
    global $db_multiweblogs, $DB;

    if ($id == '')
        return false;

    $x = explode("_",$id);
    
    if (!isset($x[2]))
        return false;

    $query = new DB_query($DB, "select weblog from $db_multiweblogs where id = '".$DB->escape_str($x[2])."'");
    
    if ($query->db_num_rows() == 0)
    {
        return false;
	}
	
    $query->db_fetch_object();
        
    if ($echo == 1)
        echo $query->obj->weblog;
    else  
        return $query->obj->weblog;
}
// END



//	---------------------------------------------
//		SHOW ARCHIVED ENTRIES
//	---------------------------------------------

function archive_entries($id, $weblog='', $order='') 
{
   	$order = ($order == '' OR $order != 'asc') ? 'desc' : 'asc';

    weblog_entries($id, $weblog, '', '', 'yes', $order);
}
// END



//	---------------------------------------------
//		SHOW WEBLOG ENTRIES - LIMIT NUMBER
//	---------------------------------------------

function weblog_entries_limit($id, $weblog='', $limit='') 
{    
    if ($limit == '')
    {
        $limit = 1;
    }
    elseif ($limit != '') 
    {
        if (!is_numeric($limit)) 
        {
        	$limit = 1;
        }        
    }

    if ($weblog == '')
        $weblog = 'weblog';
 
    weblog_entries($id, $weblog, 'no', $limit);
}
// END


// ---------------------------------------------
//  SHOW WEBLOG ENTRIES - No Sticky
// ---------------------------------------------

function weblog_entries_nosticky($id = 0, $weblog = '')
{
	weblog_entries($id, 
				   $weblog, 
				   $showform='yes', 
				   $limit='', 
				   $is_arch='',
				   $archorder='',
				   $is_form=0,
				   $forum_id='',
				   $sticky='n');
}
// END


//	---------------------------------------------
//		SHOW WEBLOG ENTRIES - ALL
//	---------------------------------------------

function weblog_entries($id = 0,
                        $weblog = '',
                        $showform = 'yes',
                        $limit = '',
                        $is_arch = '',
                        $archorder = '',
                        $is_forum = 0,
                        $forum_id ='',
                        $sticky='y')
{
    global $db_multiweblogs, $db_categories, $db_weblog, $mbrmanager;
    global $db_members, $db_upload_prefs, $db_nonmembers, $pingserver_path;
    global $db_comments, $profileviewpage, $auto_xhtml, $url_rewriting, $sfx; 
    global $DB, $SHARED;

        $catq       = '';
        $is_cat     = 0;
        $shownav    = 0;
        $showdaynav = 0;
        $previd     = '';
        $i          = '';
        $total      = 0;
        $catrow     = 0;
        $show_what  = '';
        $tempdate   = '';
        $prefix     = '';
        $suffix     = '';
        
        if ($weblog == '') $weblog = 'weblog';
        
    // PARSE INITIAL REQUESTS

        if (substr($id, 0, 1) == "P")   $show_what = "permalink";
    elseif (substr($id, 0, 1) == "A")   $show_what = "archive";
    elseif (substr($id, 0, 1) == "M")   $show_what = "blogmonth";
    elseif (substr($id, 0, 1) == "D")   $show_what = "oneday";
    elseif (substr($id, 0, 1) == "X")   $show_what = "preview";
    else 
    {
        $displayby = $SHARED->get_pref("display_posts_by_$weblog");  
        $numposts  = $SHARED->get_pref("posts_per_page_$weblog");
        
        if ($numposts === false OR $numposts == '')
        {
        	$numposts = 10;
        }
        
        if ($displayby == "day")
        {
            $show_what = "day";
        }
        else
        {
            $show_what = "number";
        }
        
        if ($limit == '') 
        {
            if ($SHARED->get_pref("posts_by_month_$weblog") == 'yes')
                $show_what = "month";

            if ($id != '')
            {
            	$catrow = $id;
            }
        }
    }
    
    // CATEGORY REQUEST
    if (substr($id, 0, 1) == "C")
    {   
        $x      = explode("_",$id);
        $catrow = substr($x[0],1);
        $entrycat = $x[1];
        $catid    = $x[2];
        $is_cat   = 1;
        
        // IF CATEGORY, DEFINE THE QUERY FOR LATER
        $catq = " and category = '$entrycat' ";
        
        // SAFETY: IF THERE ARE MULTIPLE WEBLOGS ON ONE PAGE, KEEP THE
        // CATEGORY REQUEST FROM GENERATING TWO SETS OF DUPLICATE LISTS
        $query = new DB_query($DB, "select weblog from $db_multiweblogs where id = '".$DB->escape_str($catid)."'");
        $query->db_fetch_object();
        
        if ($weblog <> $query->obj->weblog AND $SHARED->get_pref("global_categories") == 'no')
        {
            return false;
        }   
    }

    // GRAB ALL THE PREFERENCES WE'LL NEED LATER
    $newtime         = $SHARED->get_offset_time();   
    $memdir          = $SHARED->get_pref("memdir","1");
    $libdir          = $SHARED->get_pref("libdir", '1');
    $pagespath       = $SHARED->get_pref("pages_path_abs_$weblog","1");
    $display_order   = $SHARED->get_pref("display_order_$weblog");
    $date_and_time   = $SHARED->get_pref("date_and_time_$weblog");
    $html_display    = $SHARED->get_pref("html_display_options_$weblog");
    $weblogpage      = $SHARED->get_pref("{$weblog}_page");
    $comments_page   = $SHARED->get_pref("comments_page_$weblog");
    $more_page       = $SHARED->get_pref("more_page_$weblog");
    $trackback_page  = $SHARED->get_pref("trackbacks_page_$weblog");
    $pingback_page   = $SHARED->get_pref("pingbacks_page_$weblog");
    $color_one       = $SHARED->get_pref("row_color_one_$weblog");
    $color_two       = $SHARED->get_pref("row_color_two_$weblog");
    $tempcat         = $SHARED->get_pref("{$weblog}_templategroup");
    $word_censor     = $SHARED->get_pref("word_censor_weblog");
    $tb_rdf_enable   = $SHARED->get_pref("trackback_$weblog");
    
    if ($SHARED->get_pref("link_opens_window_$weblog") == 'yes')
    {
        $target = 'target="_blank"';  
        $pop = 'yes';
    } 
    else 
    {
        $target = '';    
        $pop = '';
    }
    
        $t1 = "05";
        $t2 = "10";
        $t3 = "20";
        $t4 = "30";
        $t5 = "40";
    
    if ($is_arch == 'yes')
    {        
        $show_what = "archive";

        $t1 = "08";
        $t2 = "15";
        $t3 = "25";
        $t4 = "35";
        $t5 = "45";
    }
    
    // GRAB TEMPLATES FOR USE LATER
    $date_template    = $SHARED->get_template($tempcat,$t1);
    $entry_template   = $SHARED->get_template($tempcat,$t2);
    $comment_template = $SHARED->get_template($tempcat,$t3);




    $more_template    = $SHARED->get_template($tempcat,$t4);
    $spacer_template  = $SHARED->get_template($tempcat,$t5);

    $q = "select id from $db_multiweblogs where weblog = '".$DB->escape_str($weblog)."'";
    $query = new DB_query($DB, $q);
    $query->db_fetch_object();
    $catpage = $query->obj->id; 
    
    unset($q);
    unset($query); 
    
    // FILL AN ARRAY WITH CATEGORIES
    $cat_array = array();
    $q = "select id,category from $db_categories order by id"; 
    $query = new DB_query($DB, $q);
    while ($query->db_fetch_object())
    {
        $cat_array[$query->obj->id] = $query->obj->category;
    }
            
    unset($q);
    unset($query); 
            
    // FILL AN ARRAY WITH IMAGE PREFS
    $img_array = array();
    $img_count = array();
    $q = "select id,abspath from $db_upload_prefs order by id"; 
    $query = new DB_query($DB, $q);
    while ($query->db_fetch_object())
    {
        $abspath = $query->obj->abspath;
        
        if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";

        $img_array[$query->obj->id] = $abspath;
        array_push($img_count,$query->obj->id);
    }

    unset($q);
    unset($query); 
    
    $order = '';
    
    if ($sticky == 'y')
    {
    	$order = 'sticky DESC, ';
    }
        
    switch($display_order)
    {
        case "desc" :   $order .= "t_stamp desc"; 
        break;
        case "asc" :    $order .= "t_stamp asc";
        break;
        case "title" :  $order .= "title asc";
        break;
        case "recent" : 
        
        	if ($is_forum == 1)
        	{
        		$order .= "cw_date desc"; 
        	}
        	else
        	{
        		$order .= "c_date desc, t_stamp desc"; 
        	}
        	
        break;
        default :       $order .= "t_stamp desc";
        break;
    }           


// SHOW ENTRIES BY MONTH

if ($show_what == "month") 
{      
    $padding = $SHARED->get_pref("monthly_padding_$weblog"); 
    
    $sq1 = "from $db_weblog 
            where weblog = '$weblog' 
            and status = 'open' 
            and preview != '1' 
            and t_stamp <= '$newtime'";
            
    $sq2 = "and month = '".date("m",$newtime)."' 
            and year  = '".date("Y",$newtime)."' ";

    $sq3 = "order by $order ";

    $query = new DB_query($DB, "select count(*) as count $sq1 $sq2 $catq $sq3");
    $query->db_fetch_object(); 

    if ($query->obj->count < $padding) 
    {
        $sq2  = '';
        $sq3 .= "limit 0, $padding";
    } 
    
    $sql = "select *, GREATEST(c_date, t_stamp) AS cw_date $sq1 $sq2 $catq $sq3";
}

// SHOW BY X NUMBER OF DAYS

elseif ($show_what == "day") 
{ 
    $shownav = 1; 
    
    if ($display_order == "title")
    {
        $order = "year desc, month desc, title asc, day desc";
    }
     
    $qry = "from $db_weblog 
            where weblog = '$weblog' 
            and status = 'open' 
            and preview != '1' 
            and t_stamp <= '$newtime'
            and x_stamp >= '$newtime' ";
        
    $res = "select distinct year,month,day 
            $qry $catq 
            order by $order 
            limit $catrow, $numposts";  

    $query = new DB_query($DB, $res);        
    
    $q = '';
    $andor = "and (";
    
    while ($query->db_fetch_object())
    {
        $day  = $query->obj->day;
        $mth  = $query->obj->month;
        $year = $query->obj->year;
        
        $q .= " $andor day = '$day' and month = '$mth' and year = '$year' ";
        
        $andor = "or";
        
    }
	$q .= ")";

    unset($res);
    unset($query);

    $query = new DB_query($DB, "select count(distinct day,month,year) as count $qry $catq");
    $query->db_fetch_object();
    $total = $query->obj->count;     
    unset($query);

    $per_page = $numposts;  
    
    $sql = "select *, GREATEST(c_date, t_stamp) AS cw_date $qry $q $catq order by $order ";    
 
}  

// SHOW BY X NUMBER OF ENTRIES

elseif ($show_what == "number") 
{ 
    $shownav = 1;  

    $qry = "from $db_weblog 
            where weblog = '$weblog' 
            and status = 'open' 
            and preview != '1' 
            and t_stamp <= '$newtime' 
            and x_stamp >= '$newtime' ";        
    
    $query = new DB_query($DB, "select count(*) as count $qry $catq");
    $query->db_fetch_object();
    $total = $query->obj->count;     
    unset($query);
    
    $per_page = $numposts;  
    
    if ($limit != '' && is_numeric($limit)) 
    {
        $numposts  = $limit;
        $per_page  = $limit;
        $total     = $limit;
    }  
    
	// cw_date was added to fix a problem when forum entries are submitted
	// via the CP (no c_date inserted) and the ordering is wrong
	
    $sql = "select *, GREATEST(c_date, t_stamp) AS cw_date $qry $catq order by $order limit $catrow, $numposts";
}

// SHOW BY A SINGLE DAY (FROM MINI-CAL)

elseif ($show_what == "oneday") 
{
    $showdaynav =1;

    $sql = "select *, GREATEST(c_date, t_stamp) AS cw_date from $db_weblog 
            where weblog = '$weblog'
            and status  = 'open' 
            and preview != '1' 
            and t_stamp <= '$newtime'
            and x_stamp >= '$newtime' 
            and year    = '".substr($id, 1,4)."' 
            and month   = '".substr($id, 5,2)."'
            and day     = '".substr($id, 7,2)."' 
            order by t_stamp desc";            
}

//		SHOW PERMALINK

elseif ($show_what == "permalink") 
{
        $id = substr($id, 1);
        $sql = "select * from $db_weblog where status = 'open' and post_id = '".$DB->escape_str($id)."' and t_stamp <= '$newtime' and x_stamp >= '$newtime' ";
}

//	SHOW PREVIEW

elseif ($show_what == "preview") 
{
        $previd = $id;
        $postid = substr($id,1);
        $sql = "select * from $db_weblog where post_id = '$postid'";
}

//	SHOW BY A MONTH'S WORTH (ARCHIVE)

elseif ($show_what == "archive") 
{
    if ($archorder == '')
        $archorder = "desc";
        
        $catpage = substr($id, 7); 
        
        $sql = "select *, GREATEST(c_date, t_stamp) AS cw_date from $db_weblog 
                where weblog = '$weblog' 
                and status = 'open' 
                and preview != '1' 
                and month = '".substr($id, 5,2)."' 
                and year  = '".substr($id, 1,4)."' 
                and t_stamp <= '$newtime'
                and x_stamp >= '$newtime' 
                order by t_stamp $archorder";    
}

//	SHOW BY BLOG-MONTH (MINI-CAL "NEXT/PREV" LINKS)

elseif ($show_what == "blogmonth") 
{        
        $sql = "select *, GREATEST(c_date, t_stamp) AS cw_date from $db_weblog 
                where weblog = '$weblog' 
                and status = 'open' 
                and preview != '1' 
                and month = '".substr($id, 5,2)."' 
                and year  = '".substr($id, 1,4)."' 
                and t_stamp <= '$newtime'
                and x_stamp >= '$newtime' 
                order by t_stamp desc";    
}


    // MAIN QUERY
    $query = new DB_query($DB, $sql);
    

    // "NO ENTRIES ASSIGNED TO THIS CATEGORY" MESSAGE
    if ((substr($id, 0, 1)=="C") && ($query->db_num_rows()==0)) 
    {
        echo $SHARED->get_template($tempcat,"75");
    }

        while ($query->db_fetch_object())
        {
            $postid        = $query->obj->post_id;
            $mem_id        = $query->obj->member_id;
            $t_stamp       = $query->obj->t_stamp;
            $title         = $query->obj->title;
            $body          = $query->obj->body;
            $blurb         = $query->obj->blurb;
            $more          = $query->obj->more;
            $custom1       = $query->obj->custom1;
            $custom2       = $query->obj->custom2;
            $custom3       = $query->obj->custom3;
            $entry_cat     = $query->obj->category;
            $showcomments  = $query->obj->showcomments;
            $comment_hits  = $query->obj->c_hits;
            $c_total       = $query->obj->c_total;
            $more_hits     = $query->obj->m_hits;
            $nl2brBlurb    = $query->obj->nl2brBlurb;
            $nl2brBody     = $query->obj->nl2brBody;
            $nl2brMore     = $query->obj->nl2brMore;
            $nl2brC1       = $query->obj->nl2brC1;
            $nl2brC2       = $query->obj->nl2brC2;
            $nl2brC3       = $query->obj->nl2brC3;
            $tb_total      = $query->obj->tb_total;
            $pb_total      = $query->obj->pb_total;
            
            $expiration = $SHARED->get_pref("comment_expiration_$weblog");
		
			if ($expiration != '0' && ($expiration*60*60*24 + $newtime) > $t_stamp)
			{
				$showcomments = '0';
			}	
            
            $date = date($date_and_time, $t_stamp); 
            $last_comment_name = '';
            
            if ($c_total == '' || $c_total == 0)
            {
                $c_date = "-";
            }
            else
            {
            	$cql = "SELECT $db_comments.member_id
                		FROM $db_comments
                		WHERE $db_comments.post_id = '{$postid}'
                		ORDER  BY $db_comments.t_stamp DESC
                		LIMIT 0 , 1";
                		
                $cquery = new DB_query($DB, $cql);
      			if ($cquery->db_num_rows() > 0)
      			{
      				$cquery->db_fetch_object();
      				$last_comment_id = $cquery->obj->member_id;
      				
      				if (substr($last_comment_id, 0 , 2) == 'NM')
      				{
      					$cql = "SELECT $db_nonmembers.signature
                		FROM $db_nonmembers
                		WHERE $db_nonmembers.id = '".substr($last_comment_id,2)."'";      				
      				}
      				else
      				{
      					$cql = "SELECT $db_members.signature
                		FROM $db_members
                		WHERE $db_members.id = '".$last_comment_id."'";
      				}
      				
      				$cquery = new DB_query($DB, $cql);
      				$cquery->db_fetch_object();
      				$last_comment_name = htmlspecialchars(stripslashes($cquery->obj->signature));      				
      			}
      			
                $c_date = date("$date_and_time",$query->obj->c_date);
            }
        
        if (get_magic_quotes_runtime()) 
        {
            $title   = stripslashes($title);
            $blurb   = stripslashes($blurb);
            $body    = stripslashes($body);
            $more    = stripslashes($more);
            $custom1 = stripslashes($custom1);
            $custom2 = stripslashes($custom2);
            $custom3 = stripslashes($custom3);
        }
                                     
        if ($word_censor == 'yes') 
        {
            $title = censor($title);
            $body  = censor($body);
                 
            if ($blurb != '') $blurb = censor($blurb);
            if ($more  != '') $more = censor($more);
        }
        
        if ($html_display == "convert_html") 
        {
            $title = pmcode_remove_tags($title);
            $body  = pmcode_remove_tags($body);
                
        if ($blurb   != '') $blurb   = pmcode_remove_tags($blurb);
        if ($more    != '') $more    = pmcode_remove_tags($more);
        if ($custom1 != '') $custom1 = pmcode_remove_tags($custom1);
        if ($custom2 != '') $custom2 = pmcode_remove_tags($custom2);
        if ($custom3 != '') $custom3 = pmcode_remove_tags($custom3);
        }
            $title = pmcode_decode($title,$pop);
            $body  = pmcode_decode($body,$pop);
            
        if ($blurb   != '') $blurb   = pmcode_decode($blurb,$pop);
        if ($more    != '') $more    = pmcode_decode($more,$pop);
        if ($custom1 != '') $custom1 = pmcode_decode($custom1,$pop);
        if ($custom2 != '') $custom2 = pmcode_decode($custom2,$pop);
        if ($custom3 != '') $custom3 = pmcode_decode($custom3,$pop);
        
        
        if (isset($auto_xhtml) && $auto_xhtml != 0)
        	$text_process = "xhtml_typography";
        else
        	$text_process = "nl2brExceptPre";
        
        if ($nl2brBody == 1) $body  = $text_process($body);
        
        if ($blurb   != ''  && $nl2brBlurb == 1) $blurb   = $text_process($blurb);
        if ($more    != ''  && $nl2brMore == 1 ) $more    = $text_process($more);
        if ($custom1 != ''  && $nl2brC1 == 1   ) $custom1 = $text_process($custom1);
        if ($custom2 != ''  && $nl2brC2 == 1   ) $custom2 = $text_process($custom2);
        if ($custom3 != ''  && $nl2brC3 ==1    ) $custom3 = $text_process($custom3);
		
		$title = str_replace("--", "&#8212;", $title);
		$title_rdf = htmlentities($title);
		
    
		$q = "select id,signature,email,url,location,show_email ";
            
        if (substr($mem_id, 0, 2)=="NM") 
        {
            $memberflag =1;
            $q .= " from $db_nonmembers where id = '".substr($mem_id,2)."'";  
        }
        else 
        {
            $memberflag = 0;
            $q .= ",numentries,numcomments from $db_members where id = '$mem_id'";
        }            
           
      
        $result = new DB_query($DB, $q);
    
        $result->db_fetch_object();
        
        $show_email  = $result->obj->show_email;        
        $name        = $result->obj->signature;
        $email       = $result->obj->email;
        $url         = $result->obj->url;
        $location    = $result->obj->location;
        
        $turl = $url;
        
        if($memberflag == 0) 
        {
			 $numentries  = $result->obj->numentries;
			 $numcomments = $result->obj->numcomments;
        
			if ($numentries == '' || $numentries == "0")
				$numentries = "0";
			
			if ($numcomments == '' || $numcomments == "0")
				$numcomments = "0";
        }
             
        if (get_magic_quotes_runtime()) 
        {
            $name     = stripslashes($name);
            $email    = stripslashes($email);
            $url      = stripslashes($url);
            $location = stripslashes($location);
        }

        $if_email                = '';
        $if_email_as_link        = '';
        $if_email_or_url_as_link = '';
        $if_email_as_name        = $name;
        $if_email_or_url_as_name = $name;
        $if_url_or_email_as_name = $name;
        $if_url_as_name          = $name;
        
        // PROCESS URLs AND EMAIL ADDRESSES
        if ($url != '')
        {
            if (!stristr($url, "http://www")) 
            {
                if (stristr($url, "www.")) 
                {
                    $url = "http://".$url;
                }
                elseif (!stristr($url, "http://")) 
                {
                    $url = "http://".$url;
                }
            }
                
            $turl = substr($url, 7);
    
            if (eregi('/$',$url)) 
            {
                $turl = substr($turl, 0, -1);
            }
            
            $if_url_or_email_as_name = "<a href=\"$url\" $target>$name</a>";
            $if_url_as_name          = "<a href=\"$url\" $target>$name</a>";    
        }
                        
        if ($show_email == 'yes') 
        {                    
            if ($email != '') 
            { 
                $if_email                = $email;
                $if_email_or_url         = $email;
                $if_email_as_link        = encoded_email($email,$email,"0");
                $if_email_as_name        = encoded_email($email,$name,"0");
                $if_url_or_email_as_name = encoded_email($email,$name,"0");
                $if_email_or_url_as_name = encoded_email($email,$name,"0");
                $if_email_or_url_as_link = encoded_email($email,$email,"0");
                
                if ($url != '')
                {
                     $if_url_or_email_as_name =  "<a href=\"$url\" $target>$name</a>";
                }
            } 
            else 
            {   
                if ($url != '')
                {      
                    $if_email_or_url  = $url;
                    $if_email_or_url_as_name = "<a href=\"$url\" $target>$name</a>"; 
                    $if_email_or_url_as_link = "<a href=\"$url\" $target>$turl</a>";
                    $if_url_or_email_as_name = "<a href=\"$url\" $target>$name</a>";
                } 
            }   
        }
        elseif ($show_email == 'no') 
        {


            if ($url != '') 
            {      
                 $if_email_or_url = "$url";
                 $if_email_or_url_as_name = "<a href=\"$url\" $target>$name</a>"; 
                 $if_email_or_url_as_link = "<a href=\"$url\" $target>$turl</a>";   
            } 
        } 


    // MORE LINK
    
        if ($show_what == "archive"  ) $prefix = "A";
    elseif ($show_what == "blogmonth") $prefix = "M";
    elseif ($show_what == "oneday"   ) $prefix = "D";
    if ($is_cat ==1) 
    {
        $prefix = '';
        $suffix = $entrycat;
    }
    
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $more_page = str_replace($sfx, '', $more_page);
        }
    
        $more_url  = "$pagespath$more_page$delim$prefix{$postid}_0_{$catpage}_{$catrow}_M{$suffix}";
        if ($url_rewriting == 1) $more_url .= '/';
        $title_as_more_link = "<a href=\"$more_url\">$title</a>";


    if ($more != '') 
    {  
        $block = $more_template;
        $block = str_replace('%%more_url%%',$more_url,$block);
        $more_link = $block;
        
        unset($block);
    }
    else  
    {
        $more_link = '';
        $title_as_more_link = "$title";
     }

    // COMMENT LINK 
    
        $comments_url =' ';
        $subscribe_link = "$memdir$mbrmanager$sfx?p=subscribe&post_id=$postid";
        $comments_link = '';
        $title_as_comment_link = $title;
        
    if ($showcomments == 1) 
    {    
            if ($show_what == "archive"  ) $prefix = "A";
        elseif ($show_what == "blogmonth") $prefix = "M";
        elseif ($show_what == "oneday"   ) $prefix = "D";
            
        if ($is_cat ==1) 
        {
            $prefix = '';
            $suffix = $entrycat;
        }
        
        
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $comments_page = str_replace($sfx, '', $comments_page);
        }


        $comments_url = "$pagespath{$comments_page}$delim$prefix{$postid}_0_{$catpage}_{$catrow}_C{$suffix}";
        
        if ($url_rewriting == 1) $comments_url .= '/';
      
        $title_as_comment_link = "<a href=\"$comments_url\">$title</a>";
    
        $swap = array('%%comments_url%%' => $comments_url, 
        			   '%%comment_url%%' => $comments_url, 
        			   '%%comments_total%%'  => $c_total, 
        			   '%%id%%' => $postid);  
    
        $block = $comment_template;
    
        while(list($key,$value) = each($swap))  
            $block = str_replace("$key","$value",$block); 
    
        $comments_link = $block;
        
        unset($block);
    }
    	$showcomments = 0;
  
  
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $weblogpage = str_replace($sfx, '', $weblogpage);
            $comments_page = str_replace($sfx, '', $comments_page);
        }
    
    
        $profile_link      = "$memdir$profileviewpage$sfx?id=$mem_id";  
        $weblog_permalink  = "$pagespath$weblogpage$delim"."P"."$postid";
        $comment_permalink = "$pagespath$comments_page{$delim}P{$postid}_0_{$catpage}_{$catrow}";
        
        if ($url_rewriting == 1) $weblog_permalink .= '/';
        if ($url_rewriting == 1) $comment_permalink .= '/';

  		$trackback_url = "$pagespath$trackback_page?id=$postid";
  		$pingback_url = "$pagespath$pingback_page?id=$postid";
    
        if ($show_what == "preview")
            $body = "<b>PREVIEW:</b><br /><br />"."$body";
    
        if (isset($entry_cat) && $entry_cat != '')
        {
            $category = $cat_array[$entry_cat];
            $entrycategorylink = "$pagespath$weblogpage{$delim}C0_{$entry_cat}_{$catpage}";
            
           if ($url_rewriting == 1) $entrycategorylink .= '/';
        }
        else
        {
            $category = '';
            $entrycategorylink = '';
        }

        $altcolor = ($i % 2) ? $color_one : $color_two; $i++;

        if (!isset($numentries))  $numentries = '';
        if (!isset($numcomments)) $numcomments = '';
        
        
    $entry_id = "$delim{$postid}_0_{$catpage}_{$catrow}";

    if ($url_rewriting == 1) $entry_id .= '/';

     $swap = array(
     	'%%more_link%%'               => $more_link,
        '%%entry_id%%'                => $entry_id,
        '%%raw_entry_id%%'            => "{$postid}_0_{$catpage}_{$catrow}",
        '%%name%%'                    => $name,
        '%%last_comment_name%%'		   => ($last_comment_name == '') ? $name : $last_comment_name,
        '%%id%%'                      => $postid,  
        '%%date%%'                    => $date,
        '%%title%%'                   => $title,
        '%%title_rdf%%'				   => $title_rdf,
        '%%title_as_more_link%%'      => $title_as_more_link,
        '%%title_as_comment_link%%'   => $title_as_comment_link,
        '%%blurb%%'                   => $blurb,
        '%%body%%'                    => $body,
        '%%more%%'                    => $more,
        '%%custom1%%'                 => $custom1,
        '%%custom2%%'                 => $custom2,
        '%%custom3%%'                 => $custom3,
        '%%more_url%%'                => $more_url,
        '%%comments_link%%'           => $comments_link,
        '%%comments_url%%'            => $comments_url, // Deprecated     
        '%%comment_url%%'             => $comments_url,      
        '%%comments_total%%'          => $c_total,
        '%%location%%'                => $location, 
        '%%url%%'                     => $url,                 
        '%%if_email%%'                => $if_email,
        '%%if_email_or_url_as_name%%' => $if_email_or_url_as_name,
        '%%if_url_or_email_as_name%%' => $if_url_or_email_as_name,
        '%%if_url_as_name%%'          => $if_url_as_name,  
        '%%if_email_as_name%%'        => $if_email_as_name,  
        '%%if_email_as_link%%'        => $if_email_as_link,  // DEPRECATED
        '%%if_email_or_url_as_link%%' => $if_email_or_url_as_link, // DEPRECATED
        '%%weblog_permalink%%'        => $weblog_permalink,  
        '%%comment_permalink%%'       => $comment_permalink,
        '%%trackback_total%%'  	      => $tb_total,
        '%%trackback_url%%'  	      => $trackback_url,
		'%%pingback_total%%'  	      => $pb_total,
        '%%pingback_url%%'  	      => $pingback_url,
        '%%profile_link%%'            => $profile_link,
        '%%color_switch%%'            => $altcolor,
        '%%category%%'                => $category,
        '%%category_url%%'            => $entrycategorylink,
        '%%comment_hits%%'            => $comment_hits,
        '%%more_hits%%'               => $more_hits,
        '%%date_of_recent_comment%%'  => $c_date,
        '%%member_total_entries%%'    => $numentries,
        '%%member_total_comments%%'   => $numcomments,
        '%%a%%'                       => date("a",$t_stamp),
        '%%A%%'                       => date("A",$t_stamp),
        '%%B%%'                       => date("B",$t_stamp),
        '%%d%%'                       => date("d",$t_stamp),
        '%%D%%'                       => date("D",$t_stamp),
        '%%F%%'                       => date("F",$t_stamp),
        '%%g%%'                       => date("g",$t_stamp),
        '%%G%%'                       => date("G",$t_stamp),
        '%%h%%'                       => date("h",$t_stamp),
        '%%H%%'                       => date("H",$t_stamp),
        '%%i%%'                       => date("i",$t_stamp),
        '%%I%%'                       => date("I",$t_stamp),
        '%%j%%'                       => date("j",$t_stamp),
        '%%l%%'                       => date("l",$t_stamp),
        '%%L%%'                       => date("L",$t_stamp),
        '%%m%%'                       => date("m",$t_stamp),
        '%%M%%'                       => date("M",$t_stamp),
        '%%n%%'                       => date("n",$t_stamp),
        '%%r%%'                       => date("r",$t_stamp),
        '%%s%%'                       => date("s",$t_stamp),
        '%%S%%'                       => date("S",$t_stamp),
        '%%t%%'                       => date("t",$t_stamp),
        '%%T%%'                       => date("T",$t_stamp),
        '%%U%%'                       => date("U",$t_stamp),
        '%%w%%'                       => date("w",$t_stamp),
        '%%Y%%'                       => date("Y",$t_stamp),
        '%%y%%'                       => date("y",$t_stamp),
        '%%z%%'                       => date("z",$t_stamp),
        '%%Z%%'                       => date("Z",$t_stamp),
        '%%subscribe_link'			  => $subscribe_link
    );
  
  
// MASTER DATE HEADING

    $swap1 = $swap;

if ($date_template != '')
{
	$hd = date("mdY",$t_stamp);

    $dateblock = $date_template;
    
    while(list($key,$value) = each($swap))
    {
          $dateblock = str_replace("$key","$value",$dateblock); 
    }

    if ($hd <> $tempdate)
    {
        echo $dateblock;
    
        $tempdate = $hd;
    }
}


// TRACKBACK RDF XML code

if ($tb_rdf_enable == 'yes') {

$trackback_rdf = "

<!--
<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"
     xmlns:trackback=\"http://madskills.com/public/xml/rss/module/trackback/\"
     xmlns:dc=\"http://purl.org/dc/elements/1.1/\">
<rdf:Description
    rdf:about=\"%%weblog_permalink%%\"
    trackback:ping=\"" . $pingserver_path . "?p=tb&amp;id=%%id%%\"
    dc:title=\"%%title_rdf%%\"
    dc:identifier=\"%%weblog_permalink%%\" />
</rdf:RDF>
-->

";

    $block = $trackback_rdf.$entry_template;

}
else
{
    $block = $entry_template;
}

    
    while(list($key,$value) = each($swap1))
    {
          $block = str_replace($key,$value,$block); 
    }

    for ($j=0; $j< sizeof($img_count); $j++)
    {    
        $block = str_replace("%%dir[$img_count[$j]]%%",$img_array[$img_count[$j]],$block);
    }
    
	$numentries = 0;
	$numcomments = 0;

echo $block;

unset($block);

// WEBLOG SPACER
echo $spacer_template; 

// show entry form if page request is "preview"

	if ($previd != '' && $showform != 'no')
	{
		collective_entry_form($previd,$weblog);
	}
	
// END WHILE LOOP
}


// NEXT/PREV NAVIGATION 

if ($shownav == 1) 
{  
    $nextpage = $catrow + $per_page;
    $prevpage = $catrow - $per_page;
    $offset   = $total  - $catrow;
    $blank    = "&nbsp;";
    $delim    = '?id=';
    
    if ($url_rewriting == 1)
    {
        $delim = '/';
        
        $weblogpage = str_replace($sfx, '', $weblogpage);
    }

    if ($is_cat == 1) 
    {
        $backlink = "$pagespath$weblogpage{$delim}C{$prevpage}_{$entrycat}_{$catid}";
        $nextlink = "$pagespath$weblogpage{$delim}C{$nextpage}_{$entrycat}_{$catid}";
    }
    else 

    {
        if ($is_forum == 1)
        {
            $backlink = "$pagespath$weblogpage{$delim}F{$forum_id}_{$prevpage}";
            $nextlink = "$pagespath$weblogpage{$delim}F{$forum_id}_{$nextpage}";
        }
        else
        {
            $backlink = "$pagespath$weblogpage$delim$prevpage";
            $nextlink = "$pagespath$weblogpage$delim$nextpage";            
        }
    }
    
        if ($url_rewriting == 1) $backlink .= '/';
        if ($url_rewriting == 1) $nextlink .= '/';
    
    $nav = '';

        # NEXT  LINK ONLY
    if ($catrow == 0 && $total > $per_page) 
    { 
        $next = $SHARED->get_template($tempcat,"70");
        $next = str_replace('%%next_url%%',$nextlink,$next);     
        $swap = array('%%weblog_prev_page%%' => $blank,'%%weblog_next_page%%' => $next);
        $nav = "show";     
    }
        # PREVIOUS LINK ONLY
    if ($total > $per_page && $offset <= $per_page) 
    {
        $prev = $SHARED->get_template($tempcat,"60");
        $prev = str_replace('%%prev_url%%',$backlink,$prev);
        $swap = array('%%weblog_prev_page%%' => $prev,'%%weblog_next_page%%' => $blank);  
        $nav = "show";
    }
        # NEXT/PREVIOUS LINKS
    if ($catrow > 0 && $offset > $per_page)
    {
        $prev = $SHARED->get_template($tempcat,"60");
        $prev = str_replace('%%prev_url%%',$backlink,$prev);
        
        $next = $SHARED->get_template($tempcat,"70");
        $next = str_replace('%%next_url%%',$nextlink,$next);
        
        $swap = array('%%weblog_prev_page%%' => $prev,'%%weblog_next_page%%' => $next); 
        $nav = "show";
    }
    if ($nav == "show") 
    {
        $block = $SHARED->get_template($tempcat,"50");
        
        while(list($key,$value) = each($swap))
        $block = str_replace("$key","$value",$block); 

        echo $block;          
        unset($block);
    }
  }
  
//	NEXT DAY/PREV DAY NAVIGATION

if ($showdaynav == 1) 
{
    $ntime = mktime(0,0,0,substr($id, 5,2),substr($id, 7,2),substr($id, 1,4)) + 86400;
    $ptime = mktime(0,0,0,substr($id, 5,2),substr($id, 7,2),substr($id, 1,4));

    $nextdate = 0;
    $prevdate = 0;
    $nav = '';
    $blank    = "&nbsp;";
    
    $sql = "select t_stamp from $db_weblog 
            where weblog = '$weblog' 
            and preview != '1' 
            and status = 'open' 
            and t_stamp >= '$ntime' 
            order by t_stamp asc limit 1"; 
               
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() > 0)
    {
        $query->db_fetch_object();
        $nexttime = $query->obj->t_stamp;  
        $nextdate = 1;
        
        $nextlink = "$pagespath$weblogpage?id=D".date("Y",$nexttime).date("m",$nexttime).date("d",$nexttime);            
    }
    
    $sql = "select t_stamp from $db_weblog 
            where weblog = '$weblog' 
            and preview != '1' 
            and status = 'open' 
            and t_stamp < '$ptime' 
            order by t_stamp desc  limit 1"; 
            
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() > 0)
    {
        $query->db_fetch_object();
        $prevtime = $query->obj->t_stamp;  
        $prevdate = 1;
            
        $backlink = "$pagespath$weblogpage?id=D".date("Y",$prevtime).date("m",$prevtime).date("d",$prevtime);
    }
    unset($sql);
    unset($query);
    
        # NEXT DAY ONLY
    if ($nextdate == 1 && $prevdate ==0) 
    { 
        $next = $SHARED->get_template($tempcat,"70");
        $next = str_replace('%%next_url%%',$nextlink,$next);     
        $swap = array('%%weblog_prev_page%%' => $blank,'%%weblog_next_page%%' => $next);
        $nav = "show";     
    }
        # PREVIOUS DAY ONLY
    if ($prevdate == 1 && $nextdate == 0) 
    {
        $prev = $SHARED->get_template($tempcat,"60");
        $prev = str_replace('%%prev_url%%',$backlink,$prev);
        $swap = array('%%weblog_prev_page%%' => $prev,'%%weblog_next_page%%' => $blank);  
        $nav = "show";
    }
        # NEXT DAY/PREVIOUS DAY
    if ($nextdate == 1 && $prevdate == 1)
    {
        $prev = $SHARED->get_template($tempcat,"60");
        $prev = str_replace('%%prev_url%%',$backlink,$prev);
        
        $next = $SHARED->get_template($tempcat,"70");
        $next = str_replace('%%next_url%%',$nextlink,$next);
        
        $swap = array('%%weblog_prev_page%%' => $prev,'%%weblog_next_page%%' => $next); 
        $nav = "show";
    }
    if ($nav == "show") 
    {
        $block = $SHARED->get_template($tempcat,"50");
        
        while(list($key,$value) = each($swap))
        $block = str_replace("$key","$value",$block); 

        echo $block;          
        unset($block);
    }
  } 
}
// END



//	------------------------------------------------
//	 SHOW WEBLOG ENTRIES - IND INDIVIDUAL ENTRY 
//	------------------------------------------------

function weblog_entry_ind($id) 
{	
    weblog_entry_individual($id,"80");        
}
//	------------------------------------------------
//	 SHOW WEBLOG ENTRIES - ALT INDIVIDUAL ENTRY 
//	------------------------------------------------

function weblog_entry_alt($id) 
{	
    weblog_entry_individual($id,"85");
}

//	------------------------------------------------
//	 SHOW WEBLOG ENTRIES - ALT 1 INDIVIDUAL ENTRY 
//	------------------------------------------------

function weblog_entry_alt1($id) 
{	
    weblog_entry_individual($id,"85");
}

//	------------------------------------------------
//	 SHOW WEBLOG ENTRIES - ALT 2INDIVIDUAL ENTRY 
//	------------------------------------------------

function weblog_entry_alt2($id) 
{	
    weblog_entry_individual($id,"86");
}

//	------------------------------------------------
//	 SHOW WEBLOG ENTRIES - ALT 3 INDIVIDUAL ENTRY 
//	------------------------------------------------

function weblog_entry_alt3($id) 
{	
    weblog_entry_individual($id,"87");
}


//	--------------------------------------------------
//	 SHOW WEBLOG ENTRIES - INDIVIDUAL ENTRY - MASTER
//	--------------------------------------------------

function weblog_entry_individual($id, $templateid) 
{	
    global $db_weblog, $db_members, $db_nonmembers, $db_comments, $db_multiweblogs, $pingserver_path;
    global $db_categories, $profileviewpage, $db_upload_prefs, $auto_xhtml, $url_rewriting, $sfx;
    global $mbrmanager, $forum_moderators, $moderator_levels, $DB, $SHARED;

    $show_what = '';

    log_more_hits($id);

    $x = explode("_", $id);
    
	if (!isset($x['1']) || !isset($x['2']) )
		return false;
		
    $postid   = $x['0'];
    $catrow   = $x['1'];
    $catpage  = $x['2'];
    
    if ((substr($postid, 0, 1) == "M") || (substr($postid, 0, 1) == "D") || (substr($postid, 0, 1) == "P")) 
    {
        $postid = substr($postid,1);
    }
    elseif (substr($postid, 0, 1) == "A") 
    {
        $postid   = substr($x['0'], 1);
        $rowstart = $x['1'];
        $catpage  = $x['2'];
        $catrow = "0";
    }
    elseif (substr($postid, 0, 1) == "X") 
    {  
        $show_what = "preview"; 
        $postid = substr($postid, 1);

            if (substr($postid, 0, 1) == "A") 
            {
                $postid = substr($postid, 1);
                $rowstart = $x['1'];
                $catpage  = $x['2'];
                $catrow = "0";
            }
            elseif ((substr($postid, 0, 1) == "M") || (substr($postid, 0, 1) == "D") || (substr($postid, 0, 1) == "P")) 
            {
                $postid = substr($postid,1);
            }            
    }

    $sql = "select status from $db_weblog where post_id = '".$DB->escape_str($postid)."'";
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() == 0)
    {
    	return false;
    }
    
    $query->db_fetch_object();
    
    if ($query->obj->status == 'closed') 
    {
        return false;
    }

    $sql = "select weblog from $db_multiweblogs where id = '".$DB->escape_str($catpage)."'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $weblog = $query->obj->weblog; 
    
    unset($query);
    unset($sql);

    $img_array = array();
    $img_count = array();
    $sql = "select id,abspath from $db_upload_prefs order by id"; 
    $query = new DB_query($DB, $sql);
    while ($query->db_fetch_object())
    {
        $abspath = $query->obj->abspath;
        
        if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";

        $img_array[$query->obj->id] = $abspath;
        array_push($img_count,$query->obj->id);
    }

    unset($sql);
    unset($query); 

	$newtime 		= $SHARED->get_offset_time();
    $memdir         = $SHARED->get_pref("memdir","1");
    $pagespath      = $SHARED->get_pref("pages_path_abs_$weblog","1");        
    $date_and_time  = $SHARED->get_pref("date_and_time_$weblog");
    $tempcat        = $SHARED->get_pref("{$weblog}_templategroup"); 
    $weblogpage     = $SHARED->get_pref("{$weblog}_page");
    $comments_page  = $SHARED->get_pref("comments_page_$weblog");
    $html_display   = $SHARED->get_pref("html_display_options_$weblog");
    $word_censor    = $SHARED->get_pref("word_censor_weblog");
    $trackback_page	 = $SHARED->get_pref("trackbacks_page_$weblog");
    $pingback_page	 = $SHARED->get_pref("pingbacks_page_$weblog");
    $tb_rdf_enable   = $SHARED->get_pref("trackback_$weblog");

    if ($SHARED->get_pref("link_opens_window_$weblog") == 'yes') 
    { 
        $target = "target=\"_blank\"";
        $pop = 'yes';
    } 
    else  
    { 
        $target = '';
        $pop = '';
    }
    
    if ($show_what =="preview") 
    {
         $sql = "select * from $db_weblog where post_id = '".$DB->escape_str($postid)."'";
    }
    else 
    {
         $sql = "select * from $db_weblog where weblog = '$weblog' and post_id = '".$DB->escape_str($postid)."' and x_stamp >= '$newtime' "; 
    }
    
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        
        $postid       = $query->obj->post_id;
        $t_stamp      = $query->obj->t_stamp;
        $title        = $query->obj->title;
        $body         = $query->obj->body;
        $blurb        = $query->obj->blurb;
        $more         = $query->obj->more;
        $custom1      = $query->obj->custom1;
        $custom2      = $query->obj->custom2;
        $custom3      = $query->obj->custom3;
        $mem_id       = $query->obj->member_id;
        $entry_cat    = $query->obj->category;
        $comment_hits = $query->obj->c_hits;
        $c_total      = $query->obj->c_total;
        $more_hits    = $query->obj->m_hits;
		$showcomments = $query->obj->showcomments;
        $nl2brBlurb   = $query->obj->nl2brBlurb;
        $nl2brBody    = $query->obj->nl2brBody;
        $nl2brMore    = $query->obj->nl2brMore;
        $nl2brC1      = $query->obj->nl2brC1;
        $nl2brC2      = $query->obj->nl2brC2;
        $nl2brC3      = $query->obj->nl2brC3;
        $tb_total      = $query->obj->tb_total;
        $pb_total      = $query->obj->pb_total;
        
        $expiration = $SHARED->get_pref("comment_expiration_$weblog");
		
		if ($expiration != '0' && ($expiration*60*60*24 + $newtime) > $t_stamp)
		{
			$showcomments = '0';
		}

        if (get_magic_quotes_runtime()) 
        {
            $title   = stripslashes($title);
            $blurb   = stripslashes($blurb);
            $body    = stripslashes($body);
            $more    = stripslashes($more);
            $custom1 = stripslashes($custom1);
            $custom2 = stripslashes($custom2);
            $custom3 = stripslashes($custom3);
        }
        
        if ($c_total == 0 || $c_total == '')
            $c_date = "-";
        else
            $c_date = date("$date_and_time",$query->obj->c_date); 
        
        $date = date("$date_and_time",$t_stamp); 


        if ($word_censor == 'yes') 
        {
            $title = censor($title);
            $body  = censor($body);
                 
            if ($blurb != '') $blurb = censor($blurb);
            if ($more  != '') $more = censor($more);
        }
        
        if ($html_display == "convert_html") 
        {
            $title = pmcode_remove_tags($title);
            $body  = pmcode_remove_tags($body);
            
        if ($blurb   != '') $blurb   = pmcode_remove_tags($blurb);
        if ($more    != '') $more    = pmcode_remove_tags($more);
        if ($custom1 != '') $custom1 = pmcode_remove_tags($custom1);
        if ($custom2 != '') $custom2 = pmcode_remove_tags($custom2);
        if ($custom3 != '') $custom3 = pmcode_remove_tags($custom3);
        }
            $title = pmcode_decode($title,$pop);
            $body  = pmcode_decode($body,$pop);
            
        if ($blurb   != '') $blurb   = pmcode_decode($blurb,$pop);
        if ($more    != '') $more    = pmcode_decode($more,$pop);
        if ($custom1 != '') $custom1 = pmcode_decode($custom1,$pop);
        if ($custom2 != '') $custom2 = pmcode_decode($custom2,$pop);
        if ($custom3 != '') $custom3 = pmcode_decode($custom3,$pop);
        
        if (isset($auto_xhtml) && $auto_xhtml != 0)
        	$text_process = "xhtml_typography";
        else
        	$text_process = "nl2brExceptPre";
        
        if ($nl2brBody == 1) $body  = $text_process($body);
        
        if ($blurb   != ''  && $nl2brBlurb == 1) $blurb   = $text_process($blurb);
        if ($more    != ''  && $nl2brMore == 1 ) $more    = $text_process($more);
        if ($custom1 != ''  && $nl2brC1 == 1   ) $custom1 = $text_process($custom1);
        if ($custom2 != ''  && $nl2brC2 == 1   ) $custom2 = $text_process($custom2);
        if ($custom3 != ''  && $nl2brC3 ==1    ) $custom3 = $text_process($custom3);


		$q = "select id,signature,email,url,location,show_email ";
            
        if (substr($mem_id, 0, 2)=="NM") 
        {
            $memberflag =1;
            $q .= " from $db_nonmembers where id = '".substr($mem_id,2)."'";  
        }
        else 
        {
            $memberflag = 0;
            $q .= " from $db_members where id = '$mem_id'";
        }            
           
      
        $result = new DB_query($DB, $q);
    
        $result->db_fetch_object();
        
        $show_email  = $result->obj->show_email;        
        $name        = $result->obj->signature;
        $email       = $result->obj->email;
        $url         = $result->obj->url;
        $location    = $result->obj->location;
        
        $turl = $url;
        
        if($memberflag == 0) 
        {
			$mcount = new DB_query($DB,"select count(*) as count 
										from $db_weblog 
										where member_id = '$mem_id'
										and preview != '1' 
										and t_stamp <= '$newtime' 
										and x_stamp >= '$newtime' 
										and status = 'open'");
				
			$mcount->db_fetch_object();
			$numentries = $mcount->obj->count;
			
			unset($mcount);
	
			$mcount = new DB_query($DB,"select count(*) as count from $db_comments where member_id = '$mem_id'");

			$mcount->db_fetch_object();
			$numcomments = $mcount->obj->count;
			
			unset($mcount);
        
			if ($numentries == '' || $numentries == "0")
				$numentries = "0";
			
			if ($numcomments == '' || $numcomments == "0")
				$numcomments = "0";
        }
           
  
        if (get_magic_quotes_runtime()) 
        {
            $name     = stripslashes($name);
            $email    = stripslashes($email);
            $url      = stripslashes($url);
            $location = stripslashes($location);
        }

        $if_email                = '';
        $if_email_as_link        = '';
        $if_email_or_url_as_link = '';
        $if_email_as_name        = $name;
        $if_email_or_url_as_name = $name;
        $if_url_or_email_as_name = $name;
        $if_url_as_name          = $name;
        

        if ($url != '')
        {
                
            if (!stristr($url, "http://www")) 
            {
                if (stristr($url, "www.")) 
                {
                    $url = "http://".$url;
                }
                elseif (!stristr($url, "http://")) 
                {
                    $url = "http://".$url;
                }
            }
                
            $turl = substr($url, 7);
    
            if (eregi('/$',$url)) 
			{
                $turl = substr($turl, 0, -1);
            }
            
            $if_url_or_email_as_name = "<a href=\"$url\" $target>$name</a>";
            $if_url_as_name          = "<a href=\"$url\" $target>$name</a>";    
        }
                        
        if ($show_email == 'yes') 
        {                    
            if ($email != '') 
            { 
                $if_email                = $email;
                $if_email_or_url         = $email;
                $if_email_as_link        = encoded_email($email,$email,"0");
                $if_email_as_name        = encoded_email($email,$name,"0");
                $if_url_or_email_as_name = encoded_email($email,$name,"0");
                $if_email_or_url_as_name = encoded_email($email,$name,"0");
                $if_email_or_url_as_link = encoded_email($email,$email,"0");
                
                if ($url != '')
                {
                     $if_url_or_email_as_name =  "<a href=\"$url\" $target>$name</a>";
                }
            } 
            else 
            {   
                if ($url != '')
                {      
                    $if_email_or_url  = $url;
                    $if_email_or_url_as_name = "<a href=\"$url\" $target>$name</a>"; 
                    $if_email_or_url_as_link = "<a href=\"$url\" $target>$turl</a>";
                    $if_url_or_email_as_name = "<a href=\"$url\" $target>$name</a>";
                } 
            }   
        }
        elseif ($show_email == 'no') 
        {
            if ($url != '') 
            {      
                 $if_email_or_url = "$url";
                 $if_email_or_url_as_name = "<a href=\"$url\" $target>$name</a>"; 
                 $if_email_or_url_as_link = "<a href=\"$url\" $target>$turl</a>";   
            } 
        } 


		
	$comments_page = $SHARED->get_pref("comments_page_$weblog");
	
	
    $delim = '?id=';
    
    if ($url_rewriting == 1)
    {
        $delim = '/';
        
        $comments_page = str_replace($sfx, '', $comments_page);
        $weblogpage = str_replace($sfx, '', $weblogpage);
    }
	
	$comments_url = ($showcomments == 1) ? "$pagespath$comments_page$delim{$postid}_0_{$catpage}_{$catrow}_C" : '';
    
    
   if ($url_rewriting == 1 AND $comments_url != '') $comments_url .= '/';

    $trackback_url = "$pagespath$trackback_page?id=$postid";
    $pingback_url = "$pagespath$pingback_page?id=$postid";
    
    $entrycategory = '';
    $entrycategorylink = '';
    
    $query = new DB_query($DB, "select id, category from $db_categories where id = '$entry_cat'");
    
    if ($query->db_num_rows() > 0)
    {
    	$query->db_fetch_object();
    	$entrycategory = $query->obj->category;
        
    	$entrycategorylink = "$pagespath$weblogpage{$delim}C0_{$query->obj->id}_{$catpage}";  
    }
                
    $profile_link = "$memdir$profileviewpage$sfx?id=$mem_id"; 
    $weblog_permalink = "$pagespath$weblogpage{$delim}P{$postid}";
    $comment_permalink = "$pagespath$comments_page{$delim}P{$postid}_0_{$catpage}_{$catrow}";
    $subscribe_link = "$memdir$mbrmanager$sfx?p=subscribe&post_id=$postid";


     // ----------------------------------------------------
     //  MODERATORS ADDITION
     // ----------------------------------------------------
     
    $avatar = '';  $moderation_level = 'Member';

    if (isset($forum_moderators[$mem_id]['1']))
    {
    	if ($forum_moderators[$mem_id]['1'] != '')
    	{
    		$avatar = "<img src=\"{$forum_moderators[$mem_id]['1']}\" alt=\"{$name}'s avatar\" />";
    	}
    }
    
    if (isset($forum_moderators[$mem_id]['0']) && isset($moderator_levels[$forum_moderators[$mem_id]['0']]))
    {
    	$moderation_level = $moderator_levels[$forum_moderators[$mem_id]['0']];
    }
    
    
    if ($url_rewriting == 1) $comment_permalink .= '/';
    if ($url_rewriting == 1) $weblog_permalink .= '/';
    if ($url_rewriting == 1) $entrycategorylink .= '/';    

    if (!isset($numentries))  $numentries = '';
    if (!isset($numcomments)) $numcomments = '';

    $entry_id = "$delim{$postid}_0_{$catpage}_{$catrow}";

   if ($url_rewriting == 1) $entry_id .= '/';


     $swap = array(
        '%%entry_id%%'                => $entry_id,
        '%%raw_entry_id%%'            => "{$postid}_0_{$catpage}_{$catrow}",
        '%%name%%'                    => $name,
        '%%id%%'                      => $postid,
        '%%date%%'                    => $date,
        '%%title%%'                   => $title, 
        '%%blurb%%'                   => $blurb,
        '%%body%%'                    => $body,
        '%%more%%'                    => $more,
        '%%custom1%%'                 => $custom1,
        '%%custom2%%'                 => $custom2,
        '%%custom3%%'                 => $custom3,
        '%%location%%'                => $location, 
        '%%url%%'                     => $url,                 
        '%%if_email%%'                => $if_email,
        '%%if_email_or_url_as_name%%' => $if_email_or_url_as_name,
        '%%if_url_or_email_as_name%%' => $if_url_or_email_as_name,
        '%%if_url_as_name%%'          => $if_url_as_name,  
        '%%if_email_as_name%%'        => $if_email_as_name,  
        '%%if_email_as_link%%'        => $if_email_as_link,  // DEPRECATED
        '%%if_email_or_url_as_link%%' => $if_email_or_url_as_link, // DEPRECATED
        '%%weblog_permalink%%'        => $weblog_permalink,  
        '%%comment_permalink%%'       => $comment_permalink,
        '%%profile_link%%'            => $profile_link,
        '%%category%%'                => $entrycategory,
        '%%category_url%%'            => $entrycategorylink,
        '%%comment_hits%%'            => $comment_hits,
        '%%more_hits%%'               => $more_hits,
        '%%comments_total%%'          => $c_total,
        '%%comment_total%%'           => $c_total, // DEPRECATED
        '%%trackback_total%%'  	      => $tb_total,
        '%%trackback_url%%'  	      => $trackback_url,
		'%%pingback_total%%'  	      => $pb_total,
        '%%pingback_url%%'  	      => $pingback_url,
        '%%member_total_entries%%'    => $numentries,
        '%%member_total_comments%%'   => $numcomments,
        '%%comments_url%%'            => $comments_url, // Deprecated
        '%%comment_url%%'             => $comments_url,
        '%%date_of_recent_comment%%'  => $c_date,
        '%%a%%'                       => date("a",$t_stamp),
        '%%A%%'                       => date("A",$t_stamp),
        '%%B%%'                       => date("B",$t_stamp),
        '%%d%%'                       => date("d",$t_stamp),
        '%%D%%'                       => date("D",$t_stamp),
        '%%F%%'                       => date("F",$t_stamp),
        '%%g%%'                       => date("g",$t_stamp),
        '%%G%%'                       => date("G",$t_stamp),
        '%%h%%'                       => date("h",$t_stamp),
        '%%H%%'                       => date("H",$t_stamp),
        '%%i%%'                       => date("i",$t_stamp),
        '%%I%%'                       => date("I",$t_stamp),
        '%%j%%'                       => date("j",$t_stamp),
        '%%l%%'                       => date("l",$t_stamp),
        '%%L%%'                       => date("L",$t_stamp),
        '%%m%%'                       => date("m",$t_stamp),
        '%%M%%'                       => date("M",$t_stamp),
        '%%n%%'                       => date("n",$t_stamp),
        '%%r%%'                       => date("r",$t_stamp),
        '%%s%%'                       => date("s",$t_stamp),
        '%%S%%'                       => date("S",$t_stamp),
        '%%t%%'                       => date("t",$t_stamp),
        '%%T%%'                       => date("T",$t_stamp),
        '%%U%%'                       => date("U",$t_stamp),
        '%%w%%'                       => date("w",$t_stamp),
        '%%Y%%'                       => date("Y",$t_stamp),
        '%%y%%'                       => date("y",$t_stamp),
        '%%z%%'                       => date("z",$t_stamp),
        '%%Z%%'                       => date("Z",$t_stamp),
        '%%subscribe_link%%'		=> $subscribe_link,
        '%%avatar%%'		 	=> $avatar,
        '%%moderation_level%%' 	=> $moderation_level
    );


    $block = $SHARED->get_template($tempcat,$templateid);


// TRACKBACK RDF XML code

if ($tb_rdf_enable == 'yes') {

$trackback_rdf = "

<!--
<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"
     xmlns:trackback=\"http://madskills.com/public/xml/rss/module/trackback/\"
     xmlns:dc=\"http://purl.org/dc/elements/1.1/\">
<rdf:Description
    rdf:about=\"%%weblog_permalink%%\"
    trackback:ping=\"" . $pingserver_path . "?p=tb&amp;id=%%id%%\"
    dc:title=\"%%title%%\"
    dc:identifier=\"%%weblog_permalink%%\" />
</rdf:RDF>
-->

";

    $block = $trackback_rdf.$block;
}


    while(list($key,$value) = each($swap)) 
    {
        $block = str_replace($key,$value,$block); 
    }

    for ($j=0; $j< sizeof($img_count); $j++)
    {    
        $block = str_replace("%%dir[$img_count[$j]]%%",$img_array[$img_count[$j]],$block);
    }

	echo "$block";
}
// END



//	---------------------------------------------
//		OFFSET HEADLINES
//	---------------------------------------------

function offset_headlines($offset='',$weblog='',$limit='',$words='',$category='') 
{    
    weblog_headlines($weblog,$limit,$words,$category,$offset);
}
// END


//	---------------------------------------------
//		OFFSET HEADLINES "ALT"
//	---------------------------------------------

function offset_headlines_alt($offset='',$weblog='',$limit='',$words='',$category='') 
{    
    weblog_headlines($weblog,$limit,$words,$category,$offset,'y', "91");
}
// END




//	---------------------------------------------
//		WEBLOG "ALT" HEADLINES
//	---------------------------------------------

function weblog_headlines_alt($weblog='',$limit='',$words='',$category='',$offset='') 
{    
    weblog_headlines($weblog,$limit,$words,$category,$offset,'y', "91");
}
// END




//	---------------------------------------------
//		WEBLOG HEADLINES
//	---------------------------------------------

function weblog_headlines($weblog='',$limit='',$words='',$category='',$offset='',$sticky='y', $tempnumber='') 
{    
    global $db_multiweblogs, $db_categories, $db_weblog, $db_members;
    global $db_nonmembers, $db_upload_prefs, $auto_xhtml, $url_rewriting, $sfx;
    global $DB, $SHARED;

	$catquery = '';
	$i        = '';
	
	// Get the template number
	$tempnumber = ($tempnumber == '') ? 90 : 91;	
       
    if ($limit == '' OR ! is_numeric($limit))
    {
        $limit = '10';    
   	}
   	
     // FILL AN ARRAY WITH CATEGORIES
    $cat_array = array();
    $query = new DB_query($DB, "select id,category from $db_categories order by id");
    while ($query->db_fetch_object())
    {
        $cat_array[$query->obj->id] = $query->obj->category;
    }
    
    if ($weblog != '' && $weblog != "all")
    {	
    	if ( ! $weblogpage = $SHARED->get_pref("{$weblog}_page"))
    	{
    		return false;
    	}
    	
        $date_and_time   = $SHARED->get_pref("date_and_time_$weblog");
        $html_display    = $SHARED->get_pref("html_display_options_$weblog");
        $enable_comments = $SHARED->get_pref("enable_comments_$weblog");
        $comments_page   = $SHARED->get_pref("comments_page_$weblog");
        $more_page       = $SHARED->get_pref("more_page_$weblog");
        $tempcat         = $SHARED->get_pref("{$weblog}_templategroup");
        $pagespath       = $SHARED->get_pref("pages_path_abs_$weblog","1");
    	$color_one       = $SHARED->get_pref("row_color_one_$weblog");
    	$color_two       = $SHARED->get_pref("row_color_two_$weblog");
    	
    	$weblog_url = "$pagespath$weblogpage";
		
		$SHARED->get_pref("link_opens_window_$weblog") == 'yes' ? $pop = 'yes' : $pop = '';
     }
    
 
    $blogid_array = array();
    $sql = "select id,weblog from $db_multiweblogs order by id"; 
    $query = new DB_query($DB, $sql);
    
    while ($query->db_fetch_object())
    {
    	$blogid_array[$query->obj->weblog] = $query->obj->id;
    }

    unset($query);
    unset($sql);

    $img_array = array();
    $img_count = array();
    $q = "select id,abspath from $db_upload_prefs order by id"; 
    $query = new DB_query($DB, $q);
    while ($query->db_fetch_object())
    {
        $abspath = $query->obj->abspath;
        
        if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";

        $img_array[$query->obj->id] = $abspath;
        array_push($img_count,$query->obj->id);
    }

    unset($q);
    unset($query); 

    $newtime = $SHARED->get_offset_time();
    
    $word_censor = $SHARED->get_pref("word_censor_weblog");

    $sql = "select * from $db_weblog 
    		where preview = '0' 
    		and status = 'open' 
    		and t_stamp < '$newtime' 
    		and x_stamp >= '$newtime' ";

    if ($category != '') 
    {  
        $q = "select id from $db_categories where category = '$category'";
        if ($SHARED->get_pref("global_categories")== 'no'  && $weblog != '')
        $q .= " and weblog = '$weblog'"; 
        
        $query = new DB_query($DB, $q);

        if ($query->db_num_rows() >0) 
        {
            $query->db_fetch_object();
            $id = $query->obj->id;
            $sql .= "and category = '$id' ";
        }
        
        unset($query);
    }

    if ($weblog != '' AND $weblog <> "all")
    {
        $sql .= " and weblog = '".$DB->escape_str($weblog)."' ";
    }
    
    if ($offset == '' OR !is_numeric($offset))
    {
        $offset = 0;
    }
    
    if ($sticky == 'n')
    {
    	$sql .= "ORDER BY t_stamp DESC, post_id DESC LIMIT $offset, $limit";    
    }
    else
    {
    	$sql .= "ORDER BY sticky DESC, t_stamp DESC, post_id DESC LIMIT $offset, $limit";   
	}
    
    $query = new DB_query($DB, $sql);
     
    while ($query->db_fetch_object()) 
    {
         $postid     = $query->obj->post_id;
         $title      = $query->obj->title;
         $body       = $query->obj->body;
         $blurb      = $query->obj->blurb;
         $more       = $query->obj->more;
         $custom1    = $query->obj->custom1;
         $custom2    = $query->obj->custom2;
         $custom3    = $query->obj->custom3;
         $mem_id     = $query->obj->member_id;
         $t_stamp    = $query->obj->t_stamp;
         $nl2brBlurb = $query->obj->nl2brBlurb;
         $nl2brBody  = $query->obj->nl2brBody;
         $nl2brMore  = $query->obj->nl2brMore;
         $nl2brC1    = $query->obj->nl2brC1;
         $nl2brC2    = $query->obj->nl2brC2;
         $nl2brC3    = $query->obj->nl2brC3;
         $blog       = $query->obj->weblog;
         $cat        = $query->obj->category;
         $c_total    = $query->obj->c_total;
    
        $catpage = (isset($blogid_array[$blog]))  ? $blogid_array[$blog] : "1";

		$category = ($cat != '') ? $cat_array[$cat] : ''; 
    
    
        if (get_magic_quotes_runtime()) 
        {
            $title = stripslashes($title);
            $blurb = stripslashes($blurb);
            $body = stripslashes($body);

            $more = stripslashes($more);
            $custom1 = stripslashes($custom1);
            $custom2 = stripslashes($custom2);
            $custom3 = stripslashes($custom3);
            
            if ($category != '')
            	$category = stripslashes($category);
        }
        
        
    if ($weblog ==  '' || $weblog == 'all')
    {
        $date_and_time   = $SHARED->get_pref("date_and_time_$blog");
        $html_display    = $SHARED->get_pref("html_display_options_$blog");
        $weblogpage      = $SHARED->get_pref("{$blog}_page");
        $enable_comments = $SHARED->get_pref("enable_comments_$blog");
        $comments_page   = $SHARED->get_pref("comments_page_$blog");
        $more_page       = $SHARED->get_pref("more_page_$blog");
        $tempcat         = $SHARED->get_pref("{$blog}_templategroup");
        $pagespath       = $SHARED->get_pref("pages_path_abs_$blog","1");
    	$color_one       = $SHARED->get_pref("row_color_one_$blog");
    	$color_two       = $SHARED->get_pref("row_color_two_$blog");
        
        $weblog_url = $pagespath.$weblogpage;

		$pop = ($SHARED->get_pref("link_opens_window_$blog") == 'yes') ? 'yes' : '';
    }
    
    $permalink  = $pagespath.$weblogpage;

    $delim = ($url_rewriting == 1) ? '/' : '?id=';
    
    if($url_rewriting == 1)
    {
    	$comments_page	=& str_replace($sfx, '', $comments_page);
        $more_page		=& str_replace($sfx, '', $more_page);
        $permalink		=& str_replace($sfx, '', $permalink);
    }
    
    $permalink .= $delim.'P'.$postid;
        
    if ($enable_comments == 'yes')
    {
        $comments_url = "$pagespath$comments_page$delim{$postid}_0_{$catpage}_0_C";
    }
    else
    {
        $comments_url = "$pagespath$more_page$delim{$postid}_0_{$catpage}_0_C";
    }
    
   if ($url_rewriting == 1) $comments_url .= '/';
    

    $date  = date("$date_and_time",$t_stamp); 


    if (($words != '') && ($words !="all")) 
    {
        $newbody = '';
        
        $word = explode(' ',$body);
        $count = sizeof($word);
        
        if ($count > $words)
        {
            for ($i=0; $i< $words; $i++) 
            {
                $newbody .= $word[$i] . " ";
            }                 
            
            $body = $newbody;
        }
            
            if ($words != '')
            {
                $body .= "..."; 
            }
     }
    
        if ($html_display == "convert_html") 
        {
            $title = pmcode_remove_tags($title);
            $body  = pmcode_remove_tags($body);
            
        if ($blurb   != '') $blurb   = pmcode_remove_tags($blurb);
        if ($more    != '') $more    = pmcode_remove_tags($more);
        if ($custom1 != '') $custom1 = pmcode_remove_tags($custom1);
        if ($custom2 != '') $custom2 = pmcode_remove_tags($custom2);
        if ($custom3 != '') $custom3 = pmcode_remove_tags($custom3);
        }
            $title = pmcode_decode($title,$pop);
            $body  = pmcode_decode($body,$pop);
            
        if ($blurb   != '') $blurb   = pmcode_decode($blurb,$pop);
        if ($more    != '') $more    = pmcode_decode($more,$pop);
        if ($custom1 != '') $custom1 = pmcode_decode($custom1,$pop);
        if ($custom2 != '') $custom2 = pmcode_decode($custom2,$pop);
        if ($custom3 != '') $custom3 = pmcode_decode($custom3,$pop);

        
        
        if (isset($auto_xhtml) && $auto_xhtml != 0)
        	$text_process = "xhtml_typography";
        else
        	$text_process = "nl2brExceptPre";
        
        if ($nl2brBody == 1) $body  = $text_process($body);
        
        if ($blurb   != ''  && $nl2brBlurb == 1) $blurb   = $text_process($blurb);
        if ($more    != ''  && $nl2brMore == 1 ) $more    = $text_process($more);
        if ($custom1 != ''  && $nl2brC1 == 1   ) $custom1 = $text_process($custom1);
        if ($custom2 != ''  && $nl2brC2 == 1   ) $custom2 = $text_process($custom2);
        if ($custom3 != ''  && $nl2brC3 ==1    ) $custom3 = $text_process($custom3);

    
        if (substr($mem_id, 0, 2)=="NM") 
        {
            $q = "select signature from $db_nonmembers where id = '".substr($mem_id,2)."'";  
        }
        else 
        {
            $q = "select signature from $db_members where id = '$mem_id'";
        }
         
        $result = new DB_query($DB, $q);
        $result->db_fetch_object();
        $name  = $result->obj->signature;
    
        if (get_magic_quotes_runtime()) 
        {
            $name = stripslashes($name);
        }
        
        $altcolor = ($i % 2) ? $color_one : $color_two; $i++;  
          
        $entry_id = "$delim{$postid}_0_{$catpage}_0";
        
        if ($url_rewriting == 1) $entry_id .= '/';

         $swap = array(
            '%%name%%'              => $name,  
            '%%date%%'              => $date,
            '%%id%%'				=> $postid,
            '%%entry_id%%'			=> $entry_id,            
            '%%title%%'             => $title, 
            '%%blurb%%'             => $blurb,
            '%%body%%'              => $body,
            '%%more%%'              => $more,
            '%%custom1%%'           => $custom1,
            '%%custom2%%'           => $custom2,
            '%%custom3%%'           => $custom3,
            '%%weblog_url%%'        => $weblog_url,
            '%%comments_total%%'    => $c_total,
            '%%comment_total%%'     => $c_total, // DEPRECATED
            '%%weblog_entry_url%%'  => $comments_url, // deprecate this one
            '%%comments_url%%'      => $comments_url, // deprecated
            '%%comment_url%%'       => $comments_url,
            '%%weblog_permalink%%'  => $permalink, 
            '%%category%%'      	 => $category,
            '%%color_switch%%'      => $altcolor,
            '%%a%%'                 => date("a",$t_stamp),
            '%%A%%'                 => date("A",$t_stamp),
            '%%B%%'                 => date("B",$t_stamp),
            '%%d%%'                 => date("d",$t_stamp),
            '%%D%%'                 => date("D",$t_stamp),
            '%%F%%'                 => date("F",$t_stamp),
            '%%g%%'                 => date("g",$t_stamp),
            '%%G%%'                 => date("G",$t_stamp),
            '%%h%%'                 => date("h",$t_stamp),
            '%%H%%'                 => date("H",$t_stamp),
            '%%i%%'                 => date("i",$t_stamp),
            '%%I%%'                 => date("I",$t_stamp),
            '%%j%%'                 => date("j",$t_stamp),
            '%%l%%'                 => date("l",$t_stamp),
            '%%L%%'                 => date("L",$t_stamp),
            '%%m%%'                 => date("m",$t_stamp),
            '%%M%%'                 => date("M",$t_stamp),
            '%%n%%'                 => date("n",$t_stamp),
            '%%r%%'                 => date("r",$t_stamp),
            '%%s%%'                 => date("s",$t_stamp),
            '%%S%%'                 => date("S",$t_stamp),
            '%%t%%'                 => date("t",$t_stamp),
            '%%T%%'                 => date("T",$t_stamp),
            '%%U%%'                 => date("U",$t_stamp),
            '%%w%%'                 => date("w",$t_stamp),
            '%%Y%%'                 => date("Y",$t_stamp),
            '%%y%%'                 => date("y",$t_stamp),
            '%%z%%'                 => date("z",$t_stamp),
            '%%Z%%'                 => date("Z",$t_stamp)
    );  
        
    $block = $SHARED->get_template($tempcat,$tempnumber);
    while(list($key,$value) = each($swap))
    {
        $block = str_replace($key, $value, $block); 
    }
    for ($j=0; $j< sizeof($img_count); $j++)
    {    
        $block = str_replace("%%dir[$img_count[$j]]%%",$img_array[$img_count[$j]],$block);
    }

 echo $block;
 }
}
// END




//	---------------------------------------------
//	 SHOW INDIVIDUAL FIELD FROM MOST RECENT ENTRY
//	---------------------------------------------

function most_recent_field($which='', $weblog='') 
{	
    if (!$which) return false;
    
    $params['id']     = '';
    $params['which']  = $which;
    $params['weblog'] = $weblog;
    $params['limit']  = '';
    $params['qtype']  = "most_recent";

    field_query_handler($params); 
}

//	---------------------------------------------
//		SHOW INDIVIDUAL FIELD
//	---------------------------------------------

function show_field($id='', $which='', $ret='') 
{
    if (!$which) return false;
    
    $params['id']     = $id;
    $params['which']  = $which;
    $params['weblog'] = '';
    $params['limit']  = '';
    $params['qtype']  = "individual";

    if ($ret != '')
        return field_query_handler($params, $ret); 
    else
        field_query_handler($params, $ret); 
}
// END


//	---------------------------------------------
//	 SHOW RANDOM FIELD
//	---------------------------------------------

function random_field($gen, $which='', $weblog='', $limit='') 
{	
    if (!$which) return false;

    $params['id']     = $gen;
    $params['which']  = $which;
    $params['weblog'] = $weblog;
    $params['limit']  = $limit;    
    $params['qtype'] =  ($gen == '') ? 'random' : 'random_linked';
 
    field_query_handler($params); 
}
// END


//	---------------------------------------------
//	 RANDOM FIELD GENERATOR
//	---------------------------------------------

function random_field_id($weblog='', $limit='') 
{	
    global $db_weblog, $sfx, $DB, $SHARED;
    
    $newtime = $SHARED->get_offset_time();
    
    $idlist = array();
    $count =1;
    
    $qry = "select post_id
            from $db_weblog 
            where status = 'open' 
            and preview != '1' 
            and t_stamp <= '$newtime' 
            and x_stamp >= '$newtime' ";        
    
    if ($weblog != '')
        $qry .= "and weblog = '".$DB->escape_str($weblog)."' ";
        
    if ($limit != '' && is_numeric($limit))
    {
    	$qry .= " ORDER BY t_stamp desc LIMIT 0, $limit";
    }
    
    $query = new DB_query($DB, $qry);
    
    while ($query->db_fetch_object())
    {
    	$idlist[] = $query->obj->post_id;
    }
        
    mt_srand((double)microtime() * 1000000);
    $rand = mt_rand(0,sizeof($idlist)-1);
 
	return $idlist["$rand"];
}
// END


//	---------------------------------------------
//		FIELD QUERY HANDLER
//	---------------------------------------------

function field_query_handler($params='', $ret='') 
{	
    global $db_weblog, $db_members, $db_nonmembers;
    global $db_multiweblogs, $auto_xhtml, $url_rewriting, $db_prefs;
    global $db_categories, $db_upload_prefs, $profileviewpage, $sfx, $DB;
    global $SHARED;

    $id     = $params['id'];
    $which  = $params['which'];
    $weblog = $params['weblog'];
    $limit  = $params['limit'];
    $qtype  = $params['qtype'];
   

    if (!$which) return false;

    if (($which != "timestamp") &&
        ($which != "title") &&
        ($which != "body") &&
        ($which != "blurb") &&
        ($which != "more") &&
        ($which != "custom1") &&
        ($which != "custom2") &&
        ($which != "custom3") &&
        ($which != "comment_url") &&
        ($which != "more_url") &&
        ($which != "weblog_url") &&
        ($which != "category"))  return false;

    $newtime = $SHARED->get_offset_time();    
    
	if ($which == "weblog_url" || $which == "comment_url" || $which == "more_url")
	{
	 	   
		$page_array = array();
		$cat_array  = array();
		$path_array = array();
	
		$sql = "select weblog,id from $db_multiweblogs";
		$query = new DB_query($DB, $sql);
	
		 while ($query->db_fetch_object())
		{
			$blogname = $query->obj->weblog;
			$cat_array[$blogname] = $query->obj->id;
				
			if ($which == "weblog_url")
			{
				$res  = new DB_query($DB, "select pm_value from $db_prefs where pm_option = '{$blogname}_page'");            
				 while ($res->db_fetch_object())
						$page_array[$blogname] = $res->obj->pm_value;
			}
			elseif ($which == "more_url")
			{ 
				$res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'more_page_$blogname'");            
				 while ($res->db_fetch_object())
						$page_array[$blogname] = $res->obj->pm_value;
			}
			else
			{ 
				$res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'comments_page_$blogname'");            
				 while ($res->db_fetch_object())
						$page_array[$blogname] = $res->obj->pm_value;
			}                
	
			$res1 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'pages_path_abs_$blogname'");            
			while ($res1->db_fetch_object())
			{
				$abspath = $res1->obj->pm_value;
				if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";
				
				$path_array[$blogname] = $abspath;      
			}
    }

    unset($query);
    unset($sql);
    unset($res);
    unset($res1);
    }
    
    
   
    if ($qtype == "most_recent")
    {    
            $sql = "select * from $db_weblog 
                    where status = 'open' 
                    and preview != '1' 
                    and t_stamp <= '$newtime' 
            		and x_stamp >= '$newtime' ";       
        
        if ($weblog != '')
            $sql .= "and weblog = '".$DB->escape_str($weblog)."' ";
        
            $sql .= "order by t_stamp desc limit 0, 1 ";
    }
    elseif ($qtype == "random")
    {    
        $qry = "from $db_weblog 
                where status = 'open' 
                and preview != '1' 
				and t_stamp <= '$newtime' 
				and x_stamp >= '$newtime' ";       
        
        if ($weblog != '')
            $qry .= "and weblog = '".$DB->escape_str($weblog)."' ";
        
        $query = new DB_query($DB, "select count(*) as count $qry");
        $query->db_fetch_object();
        $total = $query->obj->count;
        unset($query);
        
        if ($limit != '' && is_numeric($limit) && $limit < $total)
            $range = $total - $limit;
        else
            $range = $total;

        mt_srand((double)microtime() * 1000000);
        $rand = mt_rand(1,$range);

        $nminus = $total - $rand;

        $qry .= "order by t_stamp desc limit $nminus, 1 ";

        $sql = "select * $qry";

    }
    elseif ($qtype == "random_linked")
    {
    
        $sql = "select * from $db_weblog 
                where post_id = ".$DB->escape_str($id)." 
                and status = 'open' 
                and preview != '1' 
				and t_stamp <= '$newtime' 
				and x_stamp >= '$newtime' ";
				
			if ($weblog != '')
				$sql .= "and weblog = '$weblog'";
    }
    else
    {
        if (substr($id, 0, 1) == "X")
        {
            $id = substr($id,1);
        }
            $x = explode("_",$id);
            $postid = $x[0];
            
        if ((substr($postid, 0, 1) == "A") ||
            (substr($postid, 0, 1) == "M") ||
            (substr($postid, 0, 1) == "P") ||
            (substr($postid, 0, 1) == "D"))
        {
            $postid = substr($postid, 1);   
        }
        
        $sql = "select * from $db_weblog where post_id = '".$DB->escape_str($postid)."' and x_stamp >= '$newtime' ";
    }
    
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() == 0) return false;
        
    $query->db_fetch_object();        
        
    $postid      = $query->obj->post_id;
    $t_stamp      = $query->obj->t_stamp;
    $title        = $query->obj->title;
    $body         = $query->obj->body;
    $blurb        = $query->obj->blurb;
    $more         = $query->obj->more;
    $custom1      = $query->obj->custom1;
    $custom2      = $query->obj->custom2;
    $custom3      = $query->obj->custom3;
    $categoryid   = $query->obj->category;
    $nl2brBlurb   = $query->obj->nl2brBlurb;
    $nl2brBody    = $query->obj->nl2brBody;
    $nl2brMore    = $query->obj->nl2brMore;
    $nl2brC1      = $query->obj->nl2brC1;
    $nl2brC2      = $query->obj->nl2brC2;
    $nl2brC3      = $query->obj->nl2brC3;
    $weblog       = $query->obj->weblog;


	if ($which == "weblog_url" || $which == "comment_url" || $which == "more_url")
	{
		$ppath   = $path_array[$weblog];  
		$wpage   = $page_array[$weblog];
		$catpage = $cat_array[$weblog];

		
		
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $wpage = str_replace($sfx, '', $wpage);
            $catpage = str_replace($sfx, '', $catpage);
        }		
		
		if ($which == "weblog_url")
		{
			$wpath = $ppath . $wpage . $delim. "P" . $postid;
		}
		elseif ($which == "more_url")
		{
			$wpath = $ppath . $wpage . "$delim{$postid}_0_{$catpage}_0_M";
		}
		else
		{
			$wpath = $ppath . $wpage . "$delim{$postid}_0_{$catpage}_0_C";
		}
		
		if ($url_rewriting == 1) $wpath .= '/';
	}

    if ($which == "category") 
    {
        $sql = "select category from $db_categories where id = '$categoryid'";
        $query = new DB_query($DB, $sql);

        if ($query->db_num_rows() == 0) return false;
        
        $query->db_fetch_object();
        $category = $query->obj->category;

        if (get_magic_quotes_runtime())
            $category = stripslashes($category);

        echo "$category";
    }
    else 
    {
        if (get_magic_quotes_runtime()) 
        {
            $title   = stripslashes($title);
            $blurb   = stripslashes($blurb);
            $body    = stripslashes($body);
            $more    = stripslashes($more);
            $custom1 = stripslashes($custom1);
            $custom2 = stripslashes($custom2);
            $custom3 = stripslashes($custom3);
        }
        
        $timestamp = date($SHARED->get_pref("date_and_time_$weblog"), $t_stamp); 

        if ($SHARED->get_pref("link_opens_window_$weblog") == 'yes') 
        { 
            $target = "target=\"_blank\""; $pop = 'yes';
        } 
        else  
        { 
            $target = ''; $pop = '';
        }
        
        if ($SHARED->get_pref("word_censor$weblog") == 'yes') 
        {
            $title = censor($title);
            $body  = censor($body);
                 
            if ($blurb != '') $blurb = censor($blurb);
            if ($more  != '') $more = censor($more);
        }
        
        if ($SHARED->get_pref("html_display_$weblog") == "convert_html") 
        {
            $title = pmcode_remove_tags($title);
            $body  = pmcode_remove_tags($body);
            
        if ($blurb   != '') $blurb   = pmcode_remove_tags($blurb);
        if ($more    != '') $more    = pmcode_remove_tags($more);
        if ($custom1 != '') $custom1 = pmcode_remove_tags($custom1);
        if ($custom2 != '') $custom2 = pmcode_remove_tags($custom2);
        if ($custom3 != '') $custom3 = pmcode_remove_tags($custom3);
        }
            $title = pmcode_decode($title,$pop);
            $body  = pmcode_decode($body,$pop);
            
        if ($blurb   != '') $blurb   = pmcode_decode($blurb,$pop);
        if ($more    != '') $more    = pmcode_decode($more,$pop);
        if ($custom1 != '') $custom1 = pmcode_decode($custom1,$pop);
        if ($custom2 != '') $custom2 = pmcode_decode($custom2,$pop);
        if ($custom3 != '') $custom3 = pmcode_decode($custom3,$pop);
        
        if (isset($auto_xhtml) && $auto_xhtml != 0)
        	$text_process = "xhtml_typography";
        else
        	$text_process = "nl2brExceptPre";
        
        if ($nl2brBody == 1) $body  = $text_process($body);
        
        if ($blurb   != ''  && $nl2brBlurb == 1) $blurb   = $text_process($blurb);
        if ($more    != ''  && $nl2brMore == 1 ) $more    = $text_process($more);
        if ($custom1 != ''  && $nl2brC1 == 1   ) $custom1 = $text_process($custom1);
        if ($custom2 != ''  && $nl2brC2 == 1   ) $custom2 = $text_process($custom2);
        if ($custom3 != ''  && $nl2brC3 ==1    ) $custom3 = $text_process($custom3);



    if ($which == "blurb"   ||
        $which == "body"    ||
        $which == "more"    ||
        $which == "custom1" ||
        $which == "custom2" ||
        $which == "custom3") 
    {

        $sql = "select id,abspath from $db_upload_prefs order by id"; 
        
        $query = new DB_query($DB, $sql);
        
        while ($query->db_fetch_object())
        {
            $id      = $query->obj->id;
            $abspath = $query->obj->abspath;
            
            if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";
    
            $body    = str_replace("%%dir[$id]%%", $abspath, $body);
            $blurb   = str_replace("%%dir[$id]%%", $abspath, $blurb);
            $more    = str_replace("%%dir[$id]%%", $abspath, $more);
            $custom1 = str_replace("%%dir[$id]%%", $abspath, $custom1);
            $custom2 = str_replace("%%dir[$id]%%", $abspath, $custom2);
            $custom3 = str_replace("%%dir[$id]%%", $abspath, $custom3);
        }
    }

    switch ($which)
    {
        case "timestamp" :
            if ($ret != '') return $timestamp; else echo $timestamp;
          break;
        case "title" :
            if ($ret != '') return $title; else echo $title;
          break;
        case "body" :
            if ($ret != '') return $body; else echo $body;
          break;
        case "blurb" :
            if ($ret != '') return $blurb; else echo $blurb;
          break;
        case "more" :
            if ($ret != '') return $more; else echo $more;
          break;
        case "custom1" :
            if ($ret != '') return $custom1; else echo $custom1;
          break;
        case "custom2" :
            if ($ret != '') return $custom2; else echo $custom2;
          break;
        case "custom3" :
            if ($ret != '') return $custom3; else echo $custom3;
          break;
        case "weblog_url" :
            if ($ret != '') return $wpath; else echo $wpath;
          break;
        case "comment_url" :
            if ($ret != '') return $wpath; else echo $wpath;
          break;
        case "more_url" :
            if ($ret != '') return $wpath; else echo $wpath;
          break;
        case "weblog_url" :
            if ($ret != '') return $wpath; else echo $wpath;
          break;
    }   
  } 
}
// END


//-------------------------
// SHOW TRACKBACKS FOR ENTRY
// ------------------------

// Grabs the trackbacks for a specfic entry from the db.  The appearance of this right now 
// is incredibly ugly, but it is functional.  I am going to leave the template, etc. up to you.

function weblog_trackbacks($id = '') 
{
    global $db_trackback, $db_weblog, $db_members, $DB, $SHARED;
    global $mbrmanager, $db_multiweblogs, $sfx, $pingserver_path;

    if ($id == '')
        return false;
        
    if ( ! is_numeric(substr($id, 0, 1)))
        $id = substr($id, 1);
    
        $x = explode("_",$id);
        $id   = $x['0'];
    

    $delete_link = '';
    $delete_url  = '';
    
    $memdir = $SHARED->get_pref("memdir","1"); 
    $libdir = $SHARED->get_pref("libdir", "1");
    
    if (isset($pingserver_path) AND $pingserver_path != '') 
    	$trackback_url = $pingserver_path."?p=tb&id=$id";
	else
		$trackback_url = '';
    
    $access = 0;
    
    $member_code = (!isset($_COOKIE['member_code'])) ? '' : $_COOKIE['member_code'];
    
    if ($member_code != '')
    {
        $member_code = trim(addslashes(strip_tags($member_code)));        
        $sql = "select status from $db_members where member_id='$member_code'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        $status   = $query->obj->status;
        if ($query->obj->status >= "7") $access = 1;
    }
    

    $query = new DB_query($DB, "select weblog from $db_weblog where post_id = '".$DB->escape_str($id)."'");
    $query->db_fetch_object();
    $weblog = $query->obj->weblog;     

    $date_and_time  = $SHARED->get_pref("date_and_time_$weblog");
    $temp = $SHARED->get_pref("{$weblog}_templategroup");
    
    echo str_replace('%%trackback_url%%', $trackback_url, $SHARED->get_template($temp, '350'));  
    
    $display_template = $SHARED->get_template($temp, '360');

    $delete_template  = ($access == 1) ? $SHARED->get_template($temp, '370') : '';
    
    $query = new DB_query($DB, "select * from $db_trackback where post_id = '".$DB->escape_str($id)."'");
    
    if($query->db_num_rows() == 0) 
    {
        echo member_messages(146);
    }
    else 
    {
        while ($query->db_fetch_object()) 
        {
            $tbid        = $query->obj->id;
            $entry_title = $query->obj->entry_title;
            $entry_url   = $query->obj->entry_url;
            $excerpt     = $query->obj->excerpt;
            $blog_name   = $query->obj->blog_name;
            $t_stamp     = $query->obj->t_stamp; 
            
            $excerpt = htmlspecialchars(strip_tags(pmcode_decode($excerpt))); // bug fix
            $excerpt = str_replace("&amp;", "&", $excerpt); 
            
            if (get_magic_quotes_runtime()) 
            {
                $entry_title   	= stripslashes($entry_title);
                $entry_url   	= stripslashes($entry_url);
                $excerpt    	= stripslashes($excerpt);
                $blog_name    	= stripslashes($blog_name);
            }
            
            if ($access == 1)
            {
                $delete_url = "$memdir$mbrmanager$sfx?p=del_track&amp;id={$tbid}";
                            
                $block = $delete_template;
                
                $delete_link = str_replace('%%delete_url%%', $delete_url, $block);  
            }
                    
                
            $swap = array(  '%%delete_link%%'   =>    $delete_link,
                            '%%entry_url%%'     =>    $entry_url,
                            '%%entry_title%%'   =>    $entry_title,
                            '%%excerpt%%'       =>    $excerpt,
                            '%%blog_name%%'	    =>    $blog_name,
                            '%%date%%'          =>    date("$date_and_time",$t_stamp),
                            '%%a%%'             =>    date("a",$t_stamp),
                            '%%A%%'             =>    date("A",$t_stamp),
                            '%%B%%'             =>    date("B",$t_stamp),
                            '%%d%%'             =>    date("d",$t_stamp),
                            '%%D%%'             =>    date("D",$t_stamp),
                            '%%F%%'             =>    date("F",$t_stamp),
                            '%%g%%'             =>    date("g",$t_stamp),
                            '%%G%%'             =>    date("G",$t_stamp),
                            '%%h%%'             =>    date("h",$t_stamp),
                            '%%H%%'             =>    date("H",$t_stamp),
                            '%%i%%'             =>    date("i",$t_stamp),
                            '%%I%%'             =>    date("I",$t_stamp),
                            '%%j%%'             =>    date("j",$t_stamp),
                            '%%l%%'             =>    date("l",$t_stamp),
                            '%%L%%'             =>    date("L",$t_stamp),
                            '%%m%%'             =>    date("m",$t_stamp),
                            '%%M%%'             =>    date("M",$t_stamp),
                            '%%n%%'             =>    date("n",$t_stamp),
                            '%%r%%'             =>    date("r",$t_stamp),
                            '%%s%%'             =>    date("s",$t_stamp),
                            '%%S%%'             =>    date("S",$t_stamp),
                            '%%t%%'             =>    date("t",$t_stamp),
                            '%%T%%'             =>    date("T",$t_stamp),
                            '%%U%%'             =>    date("U",$t_stamp),
                            '%%w%%'             =>    date("w",$t_stamp),
                            '%%Y%%'             =>    date("Y",$t_stamp),
                            '%%y%%'             =>    date("y",$t_stamp),
                            '%%z%%'             =>    date("z",$t_stamp),
                            '%%Z%%'             =>    date("Z",$t_stamp)                            
                            );
    
                $block = $display_template;
        
                while(list($key,$value) = each($swap))
                      $block = str_replace($key, $value, $block);   
                       
                echo $block;
                    
            }
        }
}
//
// END
//



//-------------------------
// DELETE TRACKBACK
// ------------------------

// There will be a link below the entry to a popup window that contains the trackbacks.  
// If you are a logged in admin, next to each trackback will be a little button to delete 
// that trackback.  This is the function that is called to do that.  Bit of security 
// involved so that unauthorized people do not simply call this function by knowing 
// the URL

function delete_trackback($id) 
{
    global $db_trackback, $db_members, $DB, $SHARED;
    global $L_ERROR, $messagespage, $sfx, $db_weblog;
    
    $memdir = $SHARED->get_pref("memdir","1");
    $member_code = (!isset($_COOKIE['member_code'])) ? '' : $_COOKIE['member_code'];
    
    if ($member_code != '')
    {
        $member_code = trim(addslashes(strip_tags($member_code)));        
        
        $sql = "select status from $db_members where member_id='$member_code'";
        
        $query = new DB_query($DB, $sql);
        
        $query->db_fetch_object();
        
        if ($query->obj->status >= "7") 
        {        	
			$sql = "select post_id from $db_trackback where id = '".$DB->escape_str($id)."'";
			
			if ($query->db_num_rows() == 0)
			{
				return false;
			}
			
    		$query = new DB_query($DB, $sql);
			$query->db_fetch_object();
			$post_id = $query->obj->post_id;
    	
    		$sql = "select tb_total from $db_weblog where post_id = '$post_id'";
    		$query = new DB_query($DB, $sql);
			$query->db_fetch_object();
			$tb_total = $query->obj->tb_total - 1;
    		
			$sql = "update $db_weblog set tb_total = '$tb_total' where post_id = '$post_id'";
			$query = new DB_query($DB, $sql);

    		unset($sql);
    		unset($query);
    		
    	
            $query = new DB_query($DB, "delete from $db_trackback where id = '$id'");
            
            return header("location:$memdir$messagespage$sfx?m=145");                                  
        }
        else 
        {
            return header("location:$memdir$messagespage$sfx?m=55");		
        }
    
    }
}
//
// END
//



//-------------------------
// SHOW PINGBACKS FOR ENTRY
// ------------------------

// Grabs the pingbacks for a specfic entry from the db. 

function weblog_pingbacks($id = '') 
{
    global $db_pingback, $db_members;
    global $mbrmanager, $db_weblog, $db_multiweblogs, $sfx;
    global $open_basedir, $obd_memdir, $DB, $SHARED;
  
    if ($id == '')
        return false;
        
            
    if ( ! is_numeric(substr($id, 0, 1)))
        $id = substr($id, 1);
    
        $x = explode("_",$id);
        $id   = $x['0'];
    
    
    $delete_link = '';
    $delete_url  = '';
    
    if ($open_basedir ==0) 
    {
    	$memdir = $SHARED->get_pref("memdir","1");
	}
    else
    {
        $memdir = $obd_memdir;
    }
        
    $access = 0;
    
    $member_code = (!isset($_COOKIE['member_code'])) ? '' : $_COOKIE['member_code'];
    
    if ($member_code != '')
    {
        $member_code = trim(addslashes(strip_tags($member_code)));        
        $sql = "select status from $db_members where member_id='$member_code'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        $status   = $query->obj->status;
        if ($query->obj->status >= "7") $access = 1;
    }
    
    $query = new DB_query($DB, "select weblog from $db_weblog where post_id = '".$DB->escape_str($id)."'");
    
    if ($query->db_num_rows() == 0)
    {
    	return false;
    }
    
    $query->db_fetch_object();
    $weblog = $query->obj->weblog;
    
    $date_and_time  = $SHARED->get_pref("date_and_time_$weblog");
    
    $temp = $SHARED->get_pref("{$weblog}_templategroup");
    
    $display_template = $SHARED->get_template($temp, '380');

    $delete_template  = ($access == 1) ? $SHARED->get_template($temp, '390') : '';
    
    $query = new DB_query($DB, "select * from $db_pingback where post_id = '".$DB->escape_str($id)."'");
    
    if($query->db_num_rows() == 0) 
    {
        echo member_messages(147);
    }
    else 
    {
    
        while ($query->db_fetch_object()) 
        {
            $pbid 			= $query->obj->id;
            $from_title 	= $query->obj->from_title;
            $from_url 		= $query->obj->from_url;
            $from_context 	= $query->obj->from_context;
            $t_stamp 	    = $query->obj->t_stamp;
            
            if (get_magic_quotes_runtime()) 
            {
                $from_title   	= stripslashes($from_title);
                $from_url   	= stripslashes($from_url);
                $from_context   = stripslashes($from_context);
                $blog_name    	= stripslashes($blog_name);
            }		

			$body = htmlspecialchars(strip_tags($from_context));

            if ($access == 1)
            {
                $delete_url = "$memdir$mbrmanager$sfx?p=del_ping&amp;id={$pbid}";
        
                $block = $delete_template;
                
                $delete_link = str_replace('%%delete_url%%', $delete_url, $block);  
            }
                               
            $swap = array(  '%%delete_link%%'   =>   $delete_link,
                            '%%from_url%%'      =>   $from_url,
                            '%%from_title%%'    =>   $from_title,

                            '%%from_context%%'  =>   $from_context,
                            '%%date%%'          =>    date("$date_and_time",$t_stamp),
                            '%%a%%'             =>    date("a",$t_stamp),
                            '%%A%%'             =>    date("A",$t_stamp),
                            '%%B%%'             =>    date("B",$t_stamp),
                            '%%d%%'             =>    date("d",$t_stamp),
                            '%%D%%'             =>    date("D",$t_stamp),
                            '%%F%%'             =>    date("F",$t_stamp),
                            '%%g%%'             =>    date("g",$t_stamp),
                            '%%G%%'             =>    date("G",$t_stamp),
                            '%%h%%'             =>    date("h",$t_stamp),
                            '%%H%%'             =>    date("H",$t_stamp),
                            '%%i%%'             =>    date("i",$t_stamp),
                            '%%I%%'             =>    date("I",$t_stamp),
                            '%%j%%'             =>    date("j",$t_stamp),
                            '%%l%%'             =>    date("l",$t_stamp),
                            '%%L%%'             =>    date("L",$t_stamp),
                            '%%m%%'             =>    date("m",$t_stamp),
                            '%%M%%'             =>    date("M",$t_stamp),
                            '%%n%%'             =>    date("n",$t_stamp),
                            '%%r%%'             =>    date("r",$t_stamp),
                            '%%s%%'             =>    date("s",$t_stamp),
                            '%%S%%'             =>    date("S",$t_stamp),
                            '%%t%%'             =>    date("t",$t_stamp),
                            '%%T%%'             =>    date("T",$t_stamp),
                            '%%U%%'             =>    date("U",$t_stamp),
                            '%%w%%'             =>    date("w",$t_stamp),
                            '%%Y%%'             =>    date("Y",$t_stamp),
                            '%%y%%'             =>    date("y",$t_stamp),
                            '%%z%%'             =>    date("z",$t_stamp),
                            '%%Z%%'             =>    date("Z",$t_stamp)                            
                            );
    
                $block = $display_template;
        
                while(list($key,$value) = each($swap))
                      $block = str_replace($key, $value, $block);   
                       
                echo $block;
                    
            }
        }
}
//
// END
//


//-------------------------
// DELETE PINGBACK
// ------------------------

// Same as Delete Trackback function

function delete_pingback($id) 
{
    global $db_pingback, $db_members;
    global $L_ERROR, $messagespage, $sfx;
	global $db_weblog, $DB, $SHARED;
    
    $memdir = $SHARED->get_pref("memdir","1");
    
    $member_code = (!isset($_COOKIE['member_code'])) ? '' : $_COOKIE['member_code'];
    
    if ($member_code != '')
    {
        $member_code = trim(addslashes(strip_tags($member_code)));        
        $query = new DB_query($DB, "select status from $db_members where member_id = '$member_code'");
        $query->db_fetch_object();
        
        if ($query->obj->status >= "7") 
        {
    		$query = new DB_query($DB, "select post_id from $db_pingback where id = '".$DB->escape_str($id)."'");
    		
    		if ($query->db_num_rows() == 0)
    		{
    			return false;
    		}
    		
			$query->db_fetch_object();
			$post_id = $query->obj->post_id;
    		
    		$query = new DB_query($DB, "select pb_total from $db_weblog where post_id = '$post_id'");
			$query->db_fetch_object();
			$pb_total = $query->obj->pb_total -1;
			
			$query = new DB_query($DB, "update $db_weblog set pb_total = '$pb_total' where post_id = '$post_id'");
    	
    		$query = new DB_query($DB, "delete from $db_pingback where id = '$id'");
            
            return header("location:$memdir$messagespage$sfx?m=148");                                  
        }
        else 
        {
            return header("location:$memdir$messagespage$sfx?m=55");		
        }
    }
}
//
// END
//
?>