<?php
//
// pMachine
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// File Name: update_2.2.php
//
// Description:  Update to version 2.2 script,
//
// This software is provided "as is", without warranty of any kind, express
// or implied, of merchantability or fitness for a particular purpose.
// License holders are solely responsible for determining the appropriateness 
// of using this software and assume all risks associated with it's use.
//
// PLEASE READ THE LICENSE AGREEMENT



setcookie("member_name","",time()-60,"/","","0");
setcookie("member_code","",time()-60,"/","","0");
setcookie("valid_id","",time()-60,"/","","0");
setcookie("valid_un","",time()-60,"/","","0");

if (isset($_GET)) 
{
  while(list($var,$val)=each($_GET)) 
  {
    $$var=$val;
  }
}
if (isset($_POST)) 
{
  while(list($var,$val)=each($_POST)) 
  {
    $$var=$val;
  }
}


// INITIAL FILE CHECKS

$missing = "";

if (@include("../inc.sfx.inc"))      
{
    
    if (@include("../config$sfx"))
    {      
        
    // START INCLUDE VALIDATION

    if (!@include("ud.inc$sfx"))             $missing .= "ud.inc$sfx <br />";
    if (!@include("../db/db.tables$sfx"))    $missing .= "../db/db.tables$sfx <br />";
    if (!@include("../db/db.$database$sfx")) $missing .= "../db/db.$database$sfx <br />";
    if (!@include("../lib/shared.fns$sfx"))   $missing .= "../lib/shared.fns$sfx <br />";
    
    // END INCLUDE VALIDATION       
    }
    else
    {
        $missing .= "../config$sfx <br />";
    }
}
else
{
    $missing .= "../inc.sfx.inc <br />";
}

if ($missing != "")
{
    echo "The following file(s) coule not be found:<br /><br />";
    echo $missing . "<br />";
    echo "Please read the installation instructions and upload all components of this script.";
    exit;
}
// END FILE CHECKS



// DEFAULT VARIABLES

$ud_from = "2.1";
$ud_to   = "2.2";
$self    = "update_2.2";

$DB = new DB();
$SHARED = new Shared();

$query = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'vnumber' ");
$query->db_fetch_object();
$vnumber = $query->obj->pm_value;

unset($query);


if ($vnumber == "2.2")
{
?>
<div class="text11" align="left">You cannot access this script because you are already running
pMachine version 2.2</div><br />
<?php
showfooter();
exit;
}


if (!isset($page))  $page = "";

if ($page == "" || $page == 0) $page = 1;

// DEFAULT VARS


// HEADER
showheader($ud_to);





	
// PAGE ONE
if ($page == 1) 
{
?>
<div class="text11" align="left">
This script will update pMachine from Version <b><?php echo $ud_from; ?></b>&nbsp; to &nbsp;<b><?php echo $ud_to; ?></b></div>

<br /><br />

<div><a href="<?php echo"$self$sfx?page=2";?>">NEXT PAGE &gt;&gt;</a></div>
<?php
}
// END PAGE ONE





// PAGE TWO
if ($page == 2) 
{

    flush();
        
    if (get_cfg_var("safe_mode")==0)
        @set_time_limit(1200);
    
$q = "create table $db_upload_prefs (
 id int unsigned not null auto_increment primary key,
 name tinytext not null,
 refname tinytext not null,
 relpath tinytext not null,
 abspath tinytext not null,
 properties tinytext not null,
 preformat tinytext not null,
 postformat tinytext not null,
 maxsize tinytext not null,
 maxheight tinytext not null,
 maxwidth tinytext not null,
 allowedtypes tinytext not null,
 deftdir char(1) default '1' not null,
 deftfield varchar(12) default 'body' not null,
 minlevel int unsigned default '7' not null
)";

$query = new DB_query($DB, $q);

if ($query->result == true) 
{
?>
<div class="text11" align="left"><font color="green"><b>
Good.</b></font>&nbsp;&nbsp;New image preference table has been created.</div><br />
<?php
} 
else 
{
?>
<div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to create table: $db_upload_prefs</div><br />
<?php
exit;
}

 unset($query);
 unset($q);

    $orelpath   = $SHARED->get_pref("image_upload_dir");
    $abspath    = $SHARED->get_pref("image_upload_dir_abs");
    $properties = $SHARED->get_pref("img_props");
    $preformat  = $SHARED->get_pref("img_pre");
    $postformat = $SHARED->get_pref("img_post");

    $relpath = str_replace(".","",$orelpath);

    if (eregi('/$',$relpath)) $relpath = substr($relpath,0,-1);
        
    $x = explode("/",$relpath);
                        
    $dirname = $x[count($x)-1];

 $add = new DB_query($DB, "insert into $db_upload_prefs values('', '$dirname', 'Main Upload Directory', '$orelpath', '$abspath','$properties', '$preformat', '$postformat', '', '', '', 'gif jpg jpeg png', '1','body','4')"); 

if (!$add->result) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem creating new image preferences.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;New image preferences have been added.
<br /><br /></div>
<?php
}

    unset($query);
    unset($q);
    unset($add);
    
    $error = 0;

    $ud = new DB_query($DB, "delete from $db_prefs where pm_option = 'image_upload_dir'");
    if (!$ud->result) $error = 1;
    unset($ud->result);
    $ud = new DB_query($DB, "delete from $db_prefs where pm_option = 'image_upload_dir_abs'");
    if (!$ud->result) $error = 1;
    unset($ud->result);
    $ud = new DB_query($DB, "delete from $db_prefs where pm_option = 'image_notes'");
    if (!$ud) $error = 1;
    unset($ud->result);
    $ud = new DB_query($DB, "delete from $db_prefs where pm_option = 'img_props'");
    if (!$ud->result) $error = 1;
    unset($ud);
    $ud = new DB_query($DB, "delete from $db_prefs where pm_option = 'img_pre'");
    if (!$ud->result) $error = 1;
    unset($ud);
    $ud = new DB_query($DB, "delete from $db_prefs where pm_option = 'img_post'");
    if (!$ud->result) $error = 1;
    unset($ud);
    $ud = new DB_query($DB, "delete from $db_pref_group where grouporder = '60'");
    if (!$ud->result) $error = 1;
    unset($ud);
    
if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem deleting old image preferences.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Old image preferences have been deleted.
<br /><br /></div>
<?php
}



?>
<br /><br />
<div><a href="<?php echo"$self$sfx?page=3";?>">NEXT PAGE &gt;&gt;</a></div>
<?php
}
// END PAGE TWO








// PAGE THREE
if ($page == 3) 
{

    flush();
        
    if (get_cfg_var("safe_mode")==0)
        @set_time_limit(1200);
	
    $error =0;
    $q = "select post_id,body,blurb,more,custom1,custom2,custom3 from $db_weblog order by post_id ";    
    
    $query = new DB_query($DB, $q);
    
    while ($query->db_fetch_object())
    {
		 $post_id = $query->obj->post_id;
		 $body = $query->obj->body;   
		 $blurb = $query->obj->blurb;   
		 $more = $query->obj->more;   
		 $custom1 = $query->obj->custom1;   
		 $custom2 = $query->obj->custom2;   
		 $custom3 = $query->obj->custom3;  
     
		 if (!get_magic_quotes_runtime())
		 {
			 $body = addslashes($body);   
			 $blurb = addslashes($blurb);   
			 $more = addslashes($more);   
			 $custom1 = addslashes($custom1);   
			 $custom2 = addslashes($custom2);   
			 $custom3 = addslashes($custom3);
		 }
      
		 $body	  = str_replace("%%img_dir%%", "%%dir[1]%%", $body);   
		 $blurb	  = str_replace("%%img_dir%%", "%%dir[1]%%", $blurb);   
		 $more 	  = str_replace("%%img_dir%%", "%%dir[1]%%", $more);   
		 $custom1 = str_replace("%%img_dir%%", "%%dir[1]%%", $custom1);   
		 $custom2 = str_replace("%%img_dir%%", "%%dir[1]%%", $custom2);   
		 $custom3 = str_replace("%%img_dir%%", "%%dir[1]%%", $custom3);   
		
    
     $rep = "update $db_weblog set 
            body = '$body',
            blurb = '$blurb',
            more = '$more',
            custom1 = '$custom1',
            custom2 = '$custom2',
            custom3 = '$custom3'
            where post_id = '$post_id' ";
            
    $result = new DB_query($DB, $rep);
    
    if (!$result->result) $error =1;   
    }
    
    
 if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem replacing your old image variables.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Old image variables have been replaced in entries.
<br /><br /></div>
<?php
}
    

    $error =0;   
    
    $query = new DB_query($DB, "select id,body from $db_pblock_members order by id");
    
    while ($query->db_fetch_object())
    {
		 $id = $query->obj->id;
		 $body = $query->obj->body;   

     
		 if (!get_magic_quotes_runtime())
		 {
			 $body = addslashes($body);   
		 }
      
		 $body = str_replace("%%img_dir%%", "%%dir[1]%%", $body);
	
         $result = new DB_query($DB, "update $db_pblock_members set body = '$body' where id = '$id'");
    
     if (!$result->result) $error =1;   
    }
    
    
 if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem replacing your old image variables in the pblocks.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Old image variables have been replaced in the pBlocks.
<br /><br /></div>
<?php
}
    
       
    
    
    
    
    
?>
<br /><br />
<div><a href="<?php echo"$self$sfx?page=4";?>">NEXT PAGE &gt;&gt;</a></div>
<?php
}
// END PAGE TWO




// PAGE FOUR
if ($page == 4) 
{

    flush();
        
    if (get_cfg_var("safe_mode")==0)
        @set_time_limit(1200);

$error = 0;

$ud = new DB_query($DB, "update $db_templates set temp_order = '02' where template_id = '10' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1; 
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '02' where template_id = '15' and cluster_id = '53' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '03' where template_id = '20' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '03' where template_id = '25' and cluster_id = '53' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '04' where template_id = '30' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '04' where template_id = '35' and cluster_id = '53' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '05' where template_id = '40' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '05' where template_id = '45' and cluster_id = '53' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '06' where template_id = '50' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '07' where template_id = '60' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '08' where template_id = '70' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);
$ud = new DB_query($DB, "update $db_templates set temp_order = '09' where template_id = '75' and cluster_id = '10' and cat_name != 'membership' and cat_name != 'search'and cat_name != 'calendar'");
if (!$ud->result) $error =1;
unset($ud);

if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem reasigning template order numbers.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Template display order has been reasigned.
<br /><br /></div>
<?php
}
    unset($ud);
    unset($error);







$error = 0;

$ud = new DB_query($DB, "update $db_prefs set pref_grp = '100' where pm_option = 'show_field_blurb' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '100' where pm_option = 'show_field_more' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '100' where pm_option = 'show_field_custom_1' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '100' where pm_option = 'show_field_custom_2' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '100' where pm_option = 'show_field_custom_3' "); if(!$ud->result) $error =1;

$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_one' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_two' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_three' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_four' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_five' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_six' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_seven' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_eight' "); if(!$ud->result) $error =1;
$ud = new DB_query($DB, "update $db_prefs set pref_grp = '110' where pm_option = 'pmc_nine' "); if(!$ud->result) $error =1;

$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '150', 't', 'pmc_nine', '','740')"); if(!$add->result) $error =1;
$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '160', 't', 'pmc_ten', '','745')"); if(!$add->result) $error =1;
$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '170', 't', 'pmc_eleven', '[url=][/url]','750')"); if(!$add->result) $error =1;
$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '180', 't', 'pmc_twelve', '[email][/email]','755')"); if(!$add->result) $error =1;
$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '190', 't', 'pmc_thirteen', '[b][/b]','760')"); if(!$add->result) $error =1;
$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '200', 't', 'pmc_fourteen', '[i][/i]','765')"); if(!$add->result) $error =1;
$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '210', 't', 'pmc_fifteen', '[u][/u]','770')"); if(!$add->result) $error =1;
$add = new DB_query($DB, "insert into $db_prefs values ('', '110', '220', 't', 'pmc_sixteen', '[pre][/pre]','775')"); if(!$add->result) $error =1;

$add = new DB_query($DB, "insert into $db_prefs values ('', '30', '160', 'r', 'reg_notify', 'no','178')"); if(!$add->result) $error =1;


if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem adding new pMcode button preference fields.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Addional programmable buttons have been added.
<br /><br /></div>
<?php
}
 unset($error);


$error = 0;

// Two new columns in weblog table
$query = new DB_query($DB, "alter table $db_weblog add column showcomments char(1) default '1' not null");  if(!$query->result) $error =1;
$query = new DB_query($DB, "alter table $db_weblog add column x_stamp int unsigned default '2000000000' not null");  if(!$query->result) $error =1;

if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem adding new columns to weblog table.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;New colums have been added to weblog table.
<br /><br /></div>
<?php
}
 unset($error);





$error = 0;   
// Add "show comment?" preference 

$query = new DB_query($DB, "select weblog from $db_multiweblogs order by weblog"); if(!$query->result) $error =1;

while ($query->db_fetch_object())
{
	$weblog = $query->obj->weblog;

	$compref = $SHARED->get_pref("enable_comments_$weblog");

	
	if ($compref == "no")
	{
	
	$result = new DB_query($DB, "update $db_weblog set showcomments = '0' where weblog = '$weblog' "); if(!$result->result) $error =1;

	}
}


if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem adding the "show comment" preference.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;New "show comment" preference has been added.
<br /><br /></div>
<?php
}
 unset($error);




$error =0; 

	$sql = "select cat_name from $db_template_categories 
			where cat_name != 'email'
			and cat_name != 'membership'
			and cat_name != 'search'
			and cat_name != 'calendar'";  


$error =0; 
$query = new DB_query($DB, $sql); 
       
  while ($query->db_fetch_array()) 
  {
  
  	$cat_name = $query->row['cat_name'];

        
$add = new DB_query($DB, "insert into $db_template_cluster values ('', '$cat_name', '58', '163')"); if(!$add->result) $error =1;

// CATEGORY SUMMARY HEADING 
$body = "<h4>%%category%%</h4>";
$add = new DB_query($DB, "insert into $db_templates values ('', '320', '$cat_name', '58', '01', '430', '$body', '$body', '3')"); if (!$add->result) $error =1;

// CATEGORY SUMMARY BODY 
$body = "<a href=\"%%comment_url%%\">%%title%%</a><br />";
$add = new DB_query($DB, "insert into $db_templates values ('', '330', '$cat_name', '58', '02', '435', '$body', '$body', '6')"); if (!$add->result) $error =1;

// CATEGORY SUMMARY SPACER 
$body = "<br />";
$add = new DB_query($DB, "insert into $db_templates values ('', '340', '$cat_name', '58', '03', '440', '$body', '$body', '3')"); if (!$add->result) $error =1;


// Add the new headlines alt template
$add = new DB_query($DB, "insert into $db_templates values ('', '91', '$cat_name', '25', '02', '151', '', '', '15')"); if(!$add->result) $error =1;

// MASTER DATE HEADER TEMPLATE
$body = "%%M%% %%d%%, %%Y%%";
$add = new DB_query($DB, "insert into $db_templates values ('', '05', '$cat_name', '10', '01', '090','', '$body', '3')"); 
if (!$add->result) $error =1;

$add = new DB_query($DB, "insert into $db_templates values ('', '08', '$cat_name', '53', '01', '405','', '$body', '3')"); 
if (!$add->result) $error =1;

}



if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem adding master date heading.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Master date heading has been added.
<br /><br /></div>
<?php
}
    unset($ud);
    unset($error);


 
 	$error =0;
  	$query = new DB_query($DB, "select hit_start,hit_count from $db_hit_counter limit 1");
  	$query->db_fetch_array();
  	$hit_start = $query->row['hit_start'];
  	$hit_count = $query->row['hit_count'];
  	
  	unset($query);
  
  	$query = new DB_query($DB, "delete from $db_hit_counter where id != ''"); 
	if (!$query->result) $error =1;
	
  	unset($query);
  	
	$query = new DB_query($DB, "alter table $db_hit_counter add column title varchar(60) not null");  
	if (!$query->result) $error =1;

	unset($query);
	
	$query = new DB_query($DB, "alter table $db_hit_counter change id id int unsigned not null auto_increment primary key");  
	if (!$query->result) $error =1;

	unset($query);

	$query = new DB_query($DB, "insert into $db_hit_counter (id, title,hit_count,hit_start) values ('','hitcounter', '$hit_count', '$hit_start')");
	if (!$query->result) $error =1;

	unset($query);



if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem updating the hit counter.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Hit counter has been updated.
<br /><br /></div>
<?php
}


       
?>
<br /><br />
<div><a href="<?php echo"$self$sfx?page=5";?>">NEXT PAGE &gt;&gt;</a></div>
<?php
}
// END PAGE FOUR




// PAGE FIVE
if ($page == 5) 
{

    flush();
        
    if (get_cfg_var("safe_mode")==0)
        @set_time_limit(1200);

// Alter member table so that it's an integer
$error =0;
 $query = new DB_query($DB, "alter table $db_members change status status int unsigned default '1' not null"); if(!$query->result) $error =1;

if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem altering member table column type..</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Member table column "status" has been changed to integer column type.
<br /><br /></div>
<?php
}



$error =0;
// new member statuses
 $query = new DB_query($DB, "UPDATE $db_members SET status = '12' WHERE status ='8'");  if(!$query->result) $error =1;
 $query = new DB_query($DB, "UPDATE $db_members SET status = '10' WHERE status ='7'"); if(!$query->result) $error =1;
 $query = new DB_query($DB, "UPDATE $db_members SET status = '9' WHERE status ='6'"); if(!$query->result) $error =1;
 $query = new DB_query($DB, "UPDATE $db_members SET status = '8' WHERE status ='5'"); if(!$query->result) $error =1;
 $query = new DB_query($DB, "UPDATE $db_members SET status = '7' WHERE status ='4'"); if(!$query->result) $error =1;

    
if ($error == 1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem reassigning member statuses.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Member statuses have been reassigned.
<br /><br /></div>
<?php
}
 unset($error);    
    


$error =0; 
$query = new DB_query($DB, "select id,member_id from $db_members order by id"); 
       
  while ($query->db_fetch_array()) 
  {  
  	$mid = $query->row['member_id'];
  	$id  = $query->row['id'];
        
	$ud = new DB_query($DB, "update $db_ipaddresses set member_id = '$id' where member_id = '$mid' "); if(!$ud->result) $error =1;

}

$query = new DB_query($DB, "alter table $db_ipaddresses change member_id member_id int unsigned not null");  if(!$query->result) $error =1;


if ($error ==1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem updating IP address ID's</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;IP address ID's have been updated.
<br /><br /></div>
<?php
}


$newtime = $SHARED->get_offset_time();

$error =0; 
$result = new DB_query($DB, "select id from $db_members order by id"); 
       
  while ($result->db_fetch_array()) 
  {  
	$id = $result->row['id'];

	$sql = "select count(*) as count 
			from $db_weblog 
			where member_id = '$id'
			and preview != '1' 
			and t_stamp <= '$newtime' 
			and x_stamp >= '$newtime' 
			and status = 'open' ";
		
	$query = new DB_query($DB, $sql);
	$query->db_fetch_array();
	$numen = $query->row['count'];
	
	unset($sql);  
	unset($query); 
	
	$sql = "select count(*) as count 
			from $db_comments 
			where member_id = '$id'";
		
	$query = new DB_query($DB, $sql);
	$query->db_fetch_array();
	$numcom = $query->row['count'];
	
	unset($sql);  
	unset($query); 	
	
	
	$query = new DB_query($DB, "update $db_members set numentries = '$numen', numcomments = '$numcom' where id = '$id'");    
	if (!$query->result) $error =1;
	
	}


if ($error ==1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem recalculating member stats</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Member stats have been recalculated
<br /><br /></div>
<?php
}




$error = 0;
$add = new DB_query($DB, "UPDATE $db_prefs SET pm_value = '2.2' WHERE pm_option = 'vnumber'");  if (!$add->result) $error =1;
$add = new DB_query($DB, "UPDATE $db_prefs SET pm_value = '1200102002' WHERE pm_option = 'build'"); if (!$add->result) $error =1;

$add = new DB_query($DB, "insert into $db_prefs values ('', '', '', '', 'global_categories', 'no','')","0"); if(!$add->result) $error =1;

if ($error ==1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem adding version indicator</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Version indicator has been added
<br /><br /></div>
<?php
}




?>
<br />
<div class="text12" align="left">
<font color="green"><b>pMachine was successfully updated to version 2.2</b></font>
<br /><br />

<br /><br />
<hr size="1" color="#cccccc" align="left" width="450">
<br />
<a href="update_2.2.1<?php echo $sfx; ?>">Click here to update to versioin 2.2.1</a>

<?php


}
// END PAGE FIVE



// FOOTER
showfooter();
?>