
# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_blacklisted`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_blacklisted` (
  `blacklisted_type` varchar(20) NOT NULL default '',
  `blacklisted_value` text NOT NULL
) TYPE=MyISAM;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_blacklisted`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_captchas`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_captchas` (
  `date` int(10) unsigned NOT NULL default '0',
  `ip_address` varchar(16) NOT NULL default '0',
  `word` varchar(20) NOT NULL default '',
  KEY `word` (`word`)
) TYPE=MyISAM;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_captchas`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_categories`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category` varchar(50) NOT NULL default '',
  `weblog` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_categories`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_comments`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_comments` (
  `comment_id` int(10) unsigned NOT NULL auto_increment,
  `post_id` int(10) unsigned NOT NULL default '0',
  `member_id` varchar(10) NOT NULL default '',
  `t_stamp` int(10) unsigned NOT NULL default '0',
  `body` text NOT NULL,
  `weblog` varchar(50) NOT NULL default 'weblog',
  `preview` char(1) NOT NULL default '0',
  `status` varchar(6) NOT NULL default 'open',
  `comment_ip` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`comment_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_comments`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_comments` VALUES (1, 1, '1', unix_timestamp(), 'This is an example of a comment.\n\nBla, bla, bla....\n\nYadda, yadda, yadda....', 'weblog', '0', 'open', '');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_events`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_events` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `link_id` varchar(50) NOT NULL default '',
  `repeat` char(2) NOT NULL default '',
  `t_stamp` int(10) unsigned NOT NULL default '0',
  `year` varchar(4) NOT NULL default '',
  `month` char(2) NOT NULL default '',
  `day` char(2) NOT NULL default '',
  `show_time` char(1) NOT NULL default '',
  `title` tinytext NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_events`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_hit_counter`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_hit_counter` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(60) NOT NULL default '',
  `hit_count` int(10) unsigned NOT NULL default '0',
  `hit_start` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_hit_counter`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_hit_counter` VALUES (1, 'hitcounter', 1, 1);

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_ipaddresses`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_ipaddresses` (
  `ipaddress` varchar(20) NOT NULL default '',
  `member_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ipaddress`)
) TYPE=MyISAM;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_ipaddresses`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_ipbanning`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_ipbanning` (
  `ipaddress` varchar(20) NOT NULL default '',
  `username` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`ipaddress`)
) TYPE=MyISAM;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_ipbanning`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_mailcache`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_mailcache` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `t_stamp` int(10) unsigned NOT NULL default '0',
  `to_whom` varchar(100) NOT NULL default '',
  `show_mail` char(3) NOT NULL default 'yes',
  `sent` int(10) unsigned NOT NULL default '0',
  `data` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_mailcache`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_mailinglist`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_mailinglist` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `email` varchar(100) NOT NULL default '',
  `weblog` char(3) NOT NULL default 'no',
  `default` char(3) NOT NULL default 'yes',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_mailinglist`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_mbr_notify`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_mbr_notify` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `post_id` int(10) unsigned NOT NULL default '0',
  `member_id` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_mbr_notify`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_members`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_members` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `member_id` varchar(50) NOT NULL default '',
  `username` varchar(50) NOT NULL UNIQUE default '',
  `password` varchar(50) NOT NULL default '',
  `signature` tinytext NOT NULL,
  `email` varchar(100) NOT NULL default '',
  `location` tinytext NOT NULL,
  `url` varchar(100) NOT NULL default '',
  `occupation` tinytext NOT NULL,
  `interests` text NOT NULL,
  `bio` text NOT NULL,
  `bday_day` char(2) NOT NULL default '',
  `bday_month` char(2) NOT NULL default '',
  `bday_year` varchar(4) NOT NULL default '',
  `icq` varchar(50) NOT NULL default '',
  `aol_im` varchar(50) NOT NULL default '',
  `yahoo_im` varchar(50) NOT NULL default '',
  `msn_im` varchar(50) NOT NULL default '',
  `show_email` char(3) NOT NULL default 'yes',
  `get_email` char(3) NOT NULL default 'yes',
  `joindate` int(10) unsigned NOT NULL default '0',
  `numentries` int(10) unsigned NOT NULL default '0',
  `numcomments` int(10) unsigned NOT NULL default '0',
  `lastpost` int(10) unsigned NOT NULL default '0',
  `status` int(10) unsigned NOT NULL default '1',
  `ipaddress` varchar(20) NOT NULL default '',
  `deft_weblog` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_members`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_members` VALUES (1, '171972319241fdcaa1dc1e0', '@@ADMIN_NAME@@', '@@ADMIN_PASSWORD@@', 'admin', '@@ADMIN_EMAIL@@', '', '', '', '', '', '', '', '', '', '', '', '', 'yes', 'yes', UNIX_TIMESTAMP(), 1, 1, UNIX_TIMESTAMP(), 12, '', 'weblog');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_multiweblogs`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_multiweblogs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `weblog` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_multiweblogs`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_multiweblogs` VALUES (1, 'weblog');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_nmbr_notify`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_nmbr_notify` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `post_id` int(10) unsigned NOT NULL default '0',
  `email` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_nmbr_notify`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_nonmembers`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_nonmembers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `signature` tinytext NOT NULL,
  `email` varchar(100) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `location` tinytext NOT NULL,
  `ipaddress` varchar(20) NOT NULL default '',
  `show_email` char(3) NOT NULL default '',
  `preview` char(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_nonmembers`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_pblock_members`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_pblock_members` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `call_title` varchar(60) NOT NULL default '',
  `nl2br` char(3) NOT NULL default '',
  `body` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_pblock_members`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_pblocks`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_pblocks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `call_title` varchar(60) NOT NULL default '',
  `behavior` varchar(12) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_pblocks`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_ping_servers`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_ping_servers` (
  `server_id` int(4) unsigned NOT NULL auto_increment,
  `server_name` varchar(80) NOT NULL default '',
  `server_url` varchar(80) NOT NULL default '',
  `server_port` int(6) unsigned NOT NULL default '80',
  `server_default` char(1) NOT NULL default 'n',
  `server_order` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`server_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_ping_servers`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_ping_servers` VALUES (1, 'weblogs.com', 'http://rpc.weblogs.com/RPC2', 80, 'y', 1);

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_pingback`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_pingback` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `post_id` int(10) NOT NULL default '0',
  `from_title` tinytext NOT NULL,
  `from_url` varchar(255) NOT NULL default '',
  `t_stamp` int(10) NOT NULL default '0',
  `from_context` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_pingback`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_pref_group`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_pref_group` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `grouporder` mediumint(9) NOT NULL default '0',
  `name` tinytext NOT NULL,
  `title` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=15 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_pref_group`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (1, 10, 'general_prefs', '100');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (2, 20, 'general_prefs', '105');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (3, 30, 'general_prefs', '110');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (4, 40, 'general_prefs', 'S100');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (5, 45, 'general_prefs', 'S110');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (6, 50, 'general_prefs', '120');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (7, 70, 'general_prefs', '130');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (8, 80, 'general_prefs', '135');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (9, 110, 'pmcode_button_prefs', '140');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (10, 100, 'custom_field_prefs', '150');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (11, 200, 'b_cal_1_prefs', '200');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (12, 210, 'm_cal_1_prefs', '210');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (13, 300, 'weblog', 'W300');
INSERT INTO `@@DB_MAIN_PREFIX@@_pref_group` VALUES (14, 301, 'mailinglist_default', 'M300');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_prefs`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_prefs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `pref_grp` mediumint(9) NOT NULL default '0',
  `displayorder` char(3) NOT NULL default '',
  `field_type` char(3) NOT NULL default '',
  `pm_option` tinytext NOT NULL,
  `pm_value` text NOT NULL,
  `title` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=149 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_prefs`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (1, 0, '', '', 'version', 'Pro', '');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (2, 0, '', '', 'vnumber', '2.4', '');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (3, 0, '', '', 'build', '101162005', '');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (4, 0, '', '', 'global_categories', 'no', '');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (5, 10, '100', 't', 'sitename', '@@TITLE@@', '100');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (6, 10, '110', 't', 'siteurl', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/weblog.php', '105');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (7, 10, '120', 't', 'adminemail', '@@ADMIN_EMAIL@@', '110');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (8, 10, '130', 'g', 'timeoffset', '+0', '115');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (9, 10, '140', 'r', 'word_censor_weblog', 'no', '125');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (10, 10, '150', 'r', 'word_censor_comments', 'no', '130');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (11, 20, '120', 't', 'libdir', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/pm/', '135');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (12, 20, '130', 't', 'memdir', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/members/', '140');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (13, 20, '135', 't', 'maildir', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/mailinglists/', '141');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (14, 20, '160', 't', 'file_browser_path', '/@@BASE_URL_PATH@@', '152');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (15, 30, '100', 'r', 'require_reg_weblog', 'yes', '155');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (16, 30, '120', 'r', 'require_reg_comments', 'yes', '160');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (17, 30, '140', 'r', 'require_email_noreg', 'yes', '170');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (18, 30, '145', 'r', 'allow_registration', 'yes', '865');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (19, 30, '150', 'a', 'emailauth', 'no', '175');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (20, 30, '160', 'r', 'reg_notify', 'no', '178');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (21, 30, '170', 'p', 'public_profile', 'public', '180');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (22, 30, '180', 't', 'join_date_fmt', 'M d, Y', '185');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (23, 30, '190', 't', 'lastpost_date_fmt', 'M d, Y', '190');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (24, 30, '200', 't', 'member_rows', '35', '195');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (25, 30, '210', 't', 'table_alt_color_one', '#ffffff', '200');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (26, 30, '220', 't', 'table_alt_color_two', '#efefff', '205');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (27, 40, '100', 'r', 'secure_forms', 'yes', '810');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (28, 40, '110', 'r', 'deny_duplicate', 'yes', '850');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (29, 40, '115', 'r', 'ip_agent_comments', 'yes', '855');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (30, 40, '120', 't', 'trackback_throttle', '5', '860');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (31, 45, '100', 'r', 'member_captcha', 'no', '815');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (32, 45, '105', 'r', 'weblog_captcha', 'no', '820');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (33, 45, '110', 'r', 'comment_captcha', 'no', '825');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (34, 45, '115', 'r', 'email_captcha', 'no', '890');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (35, 45, '120', 't', 'captcha_relative', '@@ROOT_DIR@@/images/captchas', '830');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (36, 45, '125', 't', 'captcha_full_url', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/images/captchas/', '835');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (37, 45, '130', 'r', 'captcha_truetype', 'yes', '840');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (38, 45, '135', 'r', 'captcha_required_members', 'no', '845');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (39, 45, '140', 'r', 'captcha_random_numbers', 'yes', '885');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (40, 50, '100', 't', 'un_min_length', '4', '255');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (41, 50, '110', 't', 'un_max_length', '16', '260');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (42, 50, '120', 't', 'pw_min_length', '4', '265');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (43, 50, '130', 't', 'pw_max_length', '16', '270');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (44, 70, '100', 't', 'search_page', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/search/index.php', '290');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (45, 70, '110', 't', 'results_per_page_search', '40', '295');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (46, 70, '120', 't', 'date_and_time_search', 'M d, y', '300');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (47, 70, '130', 't', 'row_color_one_search', '#eeeeee', '305');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (48, 70, '140', 't', 'row_color_two_search', '#ffffff', '310');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (49, 80, '100', 't', 'initial_count', '1', '315');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (50, 80, '110', 'h', 'hit_counter_type', 'graphic', '320');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (51, 80, '120', 't', 'digit_directory', './images/digits/', '325');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (52, 80, '130', 't', 'digit_extension', '.gif', '330');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (53, 80, '140', 't', 'leading_zeros', '3', '335');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (54, 100, '100', 'r', 'show_field_blurb', 'yes', '660');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (55, 100, '110', 'r', 'show_field_more', 'yes', '665');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (56, 100, '120', 'r', 'show_field_custom_1', 'no', '670');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (57, 100, '130', 'r', 'show_field_custom_2', 'no', '675');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (58, 100, '140', 'r', 'show_field_custom_3', 'no', '680');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (59, 100, '150', 'r', 'show_field_trackback', 'yes', '685');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (60, 110, '100', 't', 'pmc_one', '', '700');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (61, 110, '110', 't', 'pmc_two', '', '705');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (62, 110, '115', 't', 'pmc_three', '', '710');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (63, 110, '120', 't', 'pmc_four', '', '715');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (64, 110, '125', 't', 'pmc_five', '', '720');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (65, 110, '130', 't', 'pmc_six', '', '725');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (66, 110, '135', 't', 'pmc_seven', '', '730');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (67, 110, '140', 't', 'pmc_eight', '', '735');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (68, 110, '150', 't', 'pmc_nine', '', '740');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (69, 110, '160', 't', 'pmc_ten', '', '745');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (70, 110, '170', 't', 'pmc_eleven', '[url=][/url]', '750');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (71, 110, '180', 't', 'pmc_twelve', '[email][/email]', '755');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (72, 110, '190', 't', 'pmc_thirteen', '[b][/b]', '760');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (73, 110, '200', 't', 'pmc_fourteen', '[i][/i]', '765');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (74, 110, '210', 't', 'pmc_fifteen', '[u][/u]', '770');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (75, 110, '220', 't', 'pmc_sixteen', '[pre][/pre]', '775');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (76, 200, '090', 't', 'calendar_path_abs', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/calendar/index.php', '340');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (77, 200, '100', 'p', 'public_calendar', 'public', '345');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (78, 200, '105', 'r', 'auto_pmcode_events', 'yes', '346');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (79, 200, '106', 'r', 'link_pops_window_events', 'yes', '347');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (80, 200, '110', 't', 'cell_width', '70', '350');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (81, 200, '120', 't', 'cell_height', '60', '355');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (82, 200, '130', 't', 'header_bg', '#6666cc', '360');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (83, 200, '140', 't', 'day_bg', '#dddddd', '365');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (84, 200, '150', 't', 'cell_border', '#cccccc', '370');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (85, 200, '160', 't', 'cell_bg', '#ffffff', '375');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (86, 200, '170', 't', 'today_bg', '#eeeeee', '380');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (87, 210, '100', 't', 'mc_cell_width', '0', '350');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (88, 210, '110', 't', 'mc_cell_height', '0', '355');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (89, 210, '120', 't', 'mc_header_bg', '#ffffff', '360');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (90, 210, '130', 't', 'mc_day_bg', '#efefef', '365');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (91, 210, '140', 't', 'mc_cell_border', '#cccccc', '370');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (92, 210, '150', 't', 'mc_cell_bg', '#ffffff', '375');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (93, 210, '160', 't', 'mc_today_bg', '#cccccc', '380');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (94, 300, '090', 't', 'pages_path_abs_weblog', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/', '400');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (95, 300, '100', 't', 'weblog_page', 'weblog.php', '405');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (96, 300, '110', 't', 'comments_page_weblog', 'comments.php', '410');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (97, 300, '111', 't', 'trackbacks_page_weblog', 'trackbacks.php', '785');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (98, 300, '112', 't', 'pingbacks_page_weblog', 'pingbacks.php', '790');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (99, 300, '120', 't', 'more_page_weblog', 'more.php', '415');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (100, 300, '130', 't', 'archive_page_weblog', 'archives.php', '420');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (101, 300, '140', 'z', 'weblog_templategroup', 'weblog', '425');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (102, 300, '150', 'x', 'is_collective_weblog', 'no', '430');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (103, 300, '155', 'r', 'closed_by_default_weblog', 'no', '435');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (104, 300, '160', 'o', 'display_order_weblog', 'desc', '440');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (105, 300, '170', 'r', 'posts_by_month_weblog', 'no', '445');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (106, 300, '180', 'd', 'if_yes_weblog', '', '450');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (107, 300, '190', 't', 'monthly_padding_weblog', '0', '455');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (108, 300, '200', 'd', 'if_no_weblog', '', '460');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (109, 300, '210', 't', 'posts_per_page_weblog', '10', '465');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (110, 300, '220', 's', 'display_posts_by_weblog', 'number', '470');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (111, 300, '230', 't', 'timelock_weblog', '0', '475');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (112, 300, '240', 't', 'max_length_weblog', '0', '480');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (113, 300, '250', 't', 'date_and_time_weblog', 'M d, y | g:i a', '485');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (114, 300, '260', 'e', 'html_display_options_weblog', 'allow_html', '490');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (115, 300, '270', 'r', 'auto_format_HTML_weblog', 'no', '495');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (116, 300, '280', 'r', 'auto_format_URLS_weblog', 'yes', '500');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (117, 300, '290', 'r', 'link_opens_window_weblog', 'yes', '505');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (118, 300, '300', 'r', 'auto_format_IMGS_weblog', 'no', '510');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (119, 300, '310', 't', 'row_color_one_weblog', '#eeeeee', '515');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (120, 300, '320', 't', 'row_color_two_weblog', '#dddddd', '520');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (121, 300, '330', 'n', 'comment_notes_weblog', '', '525');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (122, 300, '340', 'r', 'enable_comments_weblog', 'yes', '530');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (123, 300, '350', 't', 'comments_per_page_weblog', 'all', '535');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (124, 300, '360', 'c', 'display_order_comments_weblog', 'asc', '540');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (125, 300, '370', 't', 'date_and_time_comments_weblog', 'M d, y | g:i a', '545');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (126, 300, '380', 't', 'comment_max_length_weblog', '2500', '550');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (127, 300, '390', 't', 'timelock_comments_weblog', '', '555');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (128, 300, '391', 'r', 'moderate_comments_weblog', 'no', '870');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (129, 300, '392', 'r', 'moderate_blacklisted_weblog', 'no', '875');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (130, 300, '393', 't', 'comment_expiration_weblog', '0', '880');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (131, 300, '400', 'r', 'auto_format_HTML_comment_weblog', 'yes', '560');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (132, 300, '410', 'r', 'auto_format_URLS_comment_weblog', 'yes', '565');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (133, 300, '420', 'r', 'link_opens_window_comment_weblog', 'yes', '570');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (134, 300, '430', 'r', 'auto_format_IMGS_comment_weblog', 'no', '575');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (135, 300, '440', 't', 'row_color_one_comments_weblog', '#eeeeee', '580');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (136, 300, '450', 't', 'row_color_two_comments_weblog', '#dddddd', '585');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (137, 300, '460', 'n', 'notification_notes_weblog', '', '590');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (138, 300, '470', 'r', 'notify_of_post_weblog', 'no', '595');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (139, 300, '480', 'r', 'notify_of_comment_weblog', 'no', '600');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (140, 300, '481', 'r', 'notify_of_pingback_weblog', 'no', '795');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (141, 300, '490', 't', 'notify_address_weblog', '', '605');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (142, 300, '500', 'n', 'ping_notes_weblog', '', '610');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (143, 300, '510', 'r', 'ping_weblog', 'no', '615');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (144, 300, '511', 'r', 'trackback_weblog', 'no', '800');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (145, 300, '512', 'r', 'pingback_weblog', 'no', '805');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (146, 300, '515', 't', 'ping_name_weblog', '', '620');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (147, 301, '690', 't', 'mailinglist_name_default', 'default', '696');
INSERT INTO `@@DB_MAIN_PREFIX@@_prefs` VALUES (148, 301, '691', 'r', 'mailinglist_public_default', 'yes', '697');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_pw_reset`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_pw_reset` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `member_id` varchar(50) NOT NULL default '',
  `resetcode` varchar(50) NOT NULL default '',
  `date` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_pw_reset`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_rss_factory`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_rss_factory` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `version` varchar(4) NOT NULL default '',
  `title` tinytext NOT NULL,
  `weblogs` text NOT NULL,
  `enable` char(1) NOT NULL default 'n',
  `perpage` int(10) unsigned NOT NULL default '0',
  `relpath` tinytext NOT NULL,
  `feedtitle` tinytext NOT NULL,
  `feedlink` tinytext NOT NULL,
  `feeddescription` text NOT NULL,
  `language` varchar(6) NOT NULL default '',
  `copyright` tinytext NOT NULL,
  `editoremail` tinytext NOT NULL,
  `webmasteremail` tinytext NOT NULL,
  `skiphours` varchar(5) NOT NULL default '',
  `skipdays` varchar(5) NOT NULL default '',
  `ttl` char(3) NOT NULL default '',
  `url_type` varchar(8) NOT NULL default 'weblog',
  `content_field` varchar(7) NOT NULL default 'body',
  `content_length` int(6) unsigned NOT NULL default '500',
  `imgurl` tinytext NOT NULL,
  `imgwidth` tinytext NOT NULL,
  `imgheight` tinytext NOT NULL,
  `c1key` tinytext NOT NULL,
  `c1val` tinytext NOT NULL,
  `c2key` tinytext NOT NULL,
  `c2val` tinytext NOT NULL,
  `c3key` tinytext NOT NULL,
  `c3val` tinytext NOT NULL,
  `c4key` tinytext NOT NULL,
  `c4val` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_rss_factory`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_rss_factory` VALUES (1, '2.0', 'default', '|weblog|', 'y', 10, '../index.xml', '@@TITLE@@', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/weblog.php', '', 'en-us', '', '', '', '', '', '', 'weblog', 'body', 500, '', '', '', '', '', '', '', '', '', '', '');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_rss_templates`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_rss_templates` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `body` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_rss_templates`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_search_queries`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_search_queries` (
  `search_id` int(10) unsigned NOT NULL auto_increment,
  `search_query` text NOT NULL,
  `search_ip` varchar(16) NOT NULL default '',
  `total_results` int(6) unsigned NOT NULL default '0',
  `keywords` varchar(80) NOT NULL default '',
  `search_date` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`search_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_search_queries`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_security_hashes`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_security_hashes` (
  `date` int(10) unsigned NOT NULL default '0',
  `ip_address` varchar(16) NOT NULL default '0',
  `hash` varchar(40) NOT NULL default '',
  KEY `hash` (`hash`)
) TYPE=MyISAM;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_security_hashes`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_session`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_session` (
  `session_id` varchar(32) NOT NULL default '',
  `member_id` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`session_id`)
) TYPE=MyISAM;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_session`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_template_categories`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_template_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `cat_name` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_template_categories`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_template_categories` VALUES (1, 'weblog');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_categories` VALUES (2, 'membership');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_categories` VALUES (3, 'email');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_categories` VALUES (4, 'search');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_categories` VALUES (5, 'calendar');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_template_cluster`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_template_cluster` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `cat_name` tinytext NOT NULL,
  `cluster_id` char(3) NOT NULL default '',
  `cluster_title` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=32 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_template_cluster`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (1, 'weblog', '10', '100');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (2, 'weblog', '20', '110');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (3, 'weblog', '25', '120');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (4, 'weblog', '40', '130');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (5, 'weblog', '50', '140');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (6, 'weblog', '53', '158');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (7, 'weblog', '55', '160');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (8, 'weblog', '57', '162');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (9, 'weblog', '58', '163');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (10, 'weblog', '60', '150');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (11, 'weblog', '80', '170');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (12, 'weblog', '85', '675');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (13, 'weblog', '90', '680');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (14, 'membership', '10', '200');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (15, 'membership', '20', '210');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (16, 'membership', '30', '220');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (17, 'membership', '40', '230');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (18, 'membership', '50', '240');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (19, 'membership', '60', '250');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (20, 'membership', '70', '260');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (21, 'membership', '80', '270');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (22, 'membership', '90', '280');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (23, 'membership', '100', '290');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (24, 'email', '10', '300');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (25, 'email', '20', '310');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (26, 'email', '30', '320');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (27, 'email', '40', '330');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (28, 'email', '50', '670');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (29, 'search', '10', '400');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (30, 'search', '20', '410');
INSERT INTO `@@DB_MAIN_PREFIX@@_template_cluster` VALUES (31, 'calendar', '10', '600');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_templates`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_templates` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `template_id` char(3) NOT NULL default '',
  `cat_name` tinytext NOT NULL,
  `cluster_id` char(3) NOT NULL default '',
  `temp_order` char(3) NOT NULL default '',
  `title` tinytext NOT NULL,
  `body` text NOT NULL,
  `origbody` text NOT NULL,
  `rows` char(3) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=79 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_templates`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (1, '05', 'weblog', '10', '01', '090', '<h2>%%D%% %%M%% %%d%%, %%Y%%</h2>', '<h2>%%D%% %%M%% %%d%%, %%Y%%</h2>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (2, '08', 'weblog', '53', '01', '405', '<h2>%%D%% %%M%% %%d%%, %%Y%%</h2>', '<h2>%%D%% %%M%% %%d%%, %%Y%%</h2>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (3, '10', 'weblog', '10', '02', '100', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>\r\n%%body%%\r\n\r\n%%more_link%%\r\n</p>\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% \r\n\r\non %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n\r\n<br />\r\n\r\n%%comments_link%%\r\n\r\n[%%trackback_total%%] <a href="" onclick="window.open(\'%%trackback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Trackbacks</a>&nbsp;&nbsp;\r\n\r\n[%%pingback_total%%] <a href="" onclick="window.open(\'%%pingback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Pingbacks</a>\r\n\r\n</div>', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>\r\n%%body%%\r\n\r\n%%more_link%%\r\n</p>\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% \r\n\r\non %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n\r\n<br />\r\n\r\n%%comments_link%%\r\n\r\n[%%trackback_total%%] <a href="" onclick="window.open(\'%%trackback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Trackbacks</a>&nbsp;&nbsp;\r\n\r\n[%%pingback_total%%] <a href="" onclick="window.open(\'%%pingback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Pingbacks</a>\r\n\r\n</div>', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (4, '15', 'weblog', '53', '02', '410', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>\r\n%%body%%\r\n\r\n%%more_link%%\r\n</p>\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% \r\n\r\non %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n\r\n<br />\r\n\r\n%%comments_link%%\r\n\r\n[%%trackback_total%%] <a href="" onclick="window.open(\'%%trackback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Trackbacks</a>&nbsp;&nbsp;\r\n\r\n[%%pingback_total%%] <a href="" onclick="window.open(\'%%pingback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Pingbacks</a>\r\n\r\n</div>', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>\r\n%%body%%\r\n\r\n%%more_link%%\r\n</p>\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% \r\n\r\non %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n\r\n<br />\r\n\r\n%%comments_link%%\r\n\r\n[%%trackback_total%%] <a href="" onclick="window.open(\'%%trackback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Trackbacks</a>&nbsp;&nbsp;\r\n\r\n[%%pingback_total%%] <a href="" onclick="window.open(\'%%pingback_url%%\', \'_blank\', \'width=480,height=480,scrollbars=yes,status=yes\'); return false;">Pingbacks</a>\r\n\r\n</div>', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (5, '20', 'weblog', '10', '03', '105', '[%%comments_total%%] <a href="%%comment_url%%">comments</a> (%%comment_hits%% views)&nbsp;|&nbsp;', '[%%comments_total%%] <a href="%%comment_url%%">comments</a> (%%comment_hits%% views)&nbsp;|&nbsp;', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (6, '25', 'weblog', '53', '03', '415', '[%%comments_total%%] <a href="%%comment_url%%">comments</a> (%%comment_hits%% views)&nbsp;|&nbsp;', '[%%comments_total%%] <a href="%%comment_url%%">comments</a> (%%comment_hits%% views)&nbsp;|&nbsp;', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (7, '30', 'weblog', '10', '04', '110', '<a href="%%more_url%%">More...</a>', '<a href="%%more_url%%">More...</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (8, '35', 'weblog', '53', '04', '420', '<a href="%%more_url%%">More...</a>', '<a href="%%more_url%%">More...</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (9, '40', 'weblog', '10', '05', '115', '', '', '7');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (10, '45', 'weblog', '53', '05', '425', '', '', '7');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (11, '50', 'weblog', '10', '06', '120', '\r\n<table cellpadding="0" cellspacing="0" border="0" width="90%">\r\n<tr>\r\n<td>%%weblog_prev_page%%</td>\r\n<td align="right">%%weblog_next_page%%</td>\r\n</tr>\r\n</table>\r\n', '\r\n<table cellpadding="0" cellspacing="0" border="0" width="90%">\r\n<tr>\r\n<td>%%weblog_prev_page%%</td>\r\n<td align="right">%%weblog_next_page%%</td>\r\n</tr>\r\n</table>\r\n', '7');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (12, '60', 'weblog', '10', '07', '125', '<a href="%%prev_url%%">PREV page</a>', '<a href="%%prev_url%%">PREV page</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (13, '70', 'weblog', '10', '08', '130', '<a href="%%next_url%%">NEXT page</a>', '<a href="%%next_url%%">NEXT page</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (14, '75', 'weblog', '10', '09', '135', '<h5>There are no weblog entries assigned to this category.</h5>', '<h5>There are no weblog entries assigned to this category.</h5>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (15, '80', 'weblog', '20', '01', '140', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>%%body%%</p>\r\n\r\n<h4>MORE...</h4>\r\n\r\n<p>%%more%%</p>\r\n\r\n<br />\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% on %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n</div>\r\n', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>%%body%%</p>\r\n\r\n<h4>MORE...</h4>\r\n\r\n<p>%%more%%</p>\r\n\r\n<br />\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% on %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n</div>\r\n', '15');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (16, '85', 'weblog', '20', '02', '145', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>%%body%%</p>\r\n\r\n<h4>MORE...</h4>\r\n\r\n<p>%%more%%</p>\r\n\r\n<br />\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% on %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n</div>\r\n', '\r\n<div class="weblog">\r\n<h3>%%title%%</h3>\r\n\r\n<p>%%body%%</p>\r\n\r\n<h4>MORE...</h4>\r\n\r\n<p>%%more%%</p>\r\n\r\n<br />\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% on %%date%% | <a href="%%profile_link%%">Profile</a></div>\r\n</div>\r\n', '15');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (17, '86', 'weblog', '20', '03', '146', '', '', '15');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (18, '87', 'weblog', '20', '04', '147', '', '', '15');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (19, '90', 'weblog', '25', '01', '150', '<a href="%%comment_url%%">%%title%%</a>\r\n\r\n<p>%%body%%</p>\r\n\r\n<br /><br />', '<a href="%%comment_url%%">%%title%%</a>\r\n\r\n<p>%%body%%</p>\r\n\r\n<br /><br />', '15');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (20, '91', 'weblog', '25', '02', '151', '', '', '15');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (21, '250', 'weblog', '55', '01', '200', '<a href="%%archive_url%%">%%month_long_ucf%% %%year_long%%</a><br />', '<a href="%%archive_url%%">%%month_long_ucf%% %%year_long%%</a><br />', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (22, '260', 'weblog', '55', '02', '205', 'Archives: %%month_long%% %%year_long%%', 'Archives: %%month_long%% %%year_long%%', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (23, '290', 'weblog', '57', '01', '360', '<h4>%%month_long_ucf%% %%year_long%%</h4>', '<h4>%%month_long_ucf%% %%year_long%%</h4>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (24, '300', 'weblog', '57', '02', '365', '<a href="%%comment_url%%">%%title%%</a><br />', '<a href="%%comment_url%%">%%title%%</a><br />', '6');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (25, '310', 'weblog', '57', '03', '370', '<br />', '<br />', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (26, '320', 'weblog', '58', '01', '430', '<h4>%%category%%</h4>', '<h4>%%category%%</h4>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (27, '330', 'weblog', '58', '02', '435', '<a href="%%comment_url%%">%%title%%</a><br />', '<a href="%%comment_url%%">%%title%%</a><br />', '6');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (28, '340', 'weblog', '58', '03', '440', '<br />', '<br />', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (29, '120', 'weblog', '40', '01', '155', '\r\n<div class="weblog">\r\n\r\n<p>%%body%%</p>\r\n\r\n<br />\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% on %%date%%</div>\r\n</div>\r\n', '\r\n<div class="weblog">\r\n\r\n<p>%%body%%</p>\r\n\r\n<br />\r\n\r\n<div class="author">Posted by: %%if_url_or_email_as_name%% on %%date%%</div>\r\n</div>\r\n', '15');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (30, '160', 'weblog', '40', '05', '160', '', '', '7');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (31, '170', 'weblog', '40', '06', '165', '\r\n<table cellpadding="0" cellspacing="0" border="0" width="90%">\r\n<tr>\r\n<td>%%comment_prev_page%%</td>\r\n<td align="right">%%comment_next_page%%</td>\r\n</tr>\r\n</table>\r\n', '\r\n<table cellpadding="0" cellspacing="0" border="0" width="90%">\r\n<tr>\r\n<td>%%comment_prev_page%%</td>\r\n<td align="right">%%comment_next_page%%</td>\r\n</tr>\r\n</table>\r\n', '7');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (32, '180', 'weblog', '40', '07', '170', '<a href="%%prev_url%%">PREV page</a>', '<a href="%%prev_url%%">PREV page</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (33, '190', 'weblog', '40', '08', '175', '<a href="%%next_url%%">NEXT page</a>', '<a href="%%next_url%%">NEXT page</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (34, '200', 'weblog', '50', '01', '180', '<h5>name</h5>\r\n<input type="text" name="name" class="input" size="30" maxlength="60" value="%%my_name%%" />\r\n<h5>Email</h5>\r\n<input type="text" name="email" class="input" size="30" maxlength="60" value="%%my_email%%" />\r\n<h5>Location</h5>\r\n<input type="text" name="location" class="input" size="30" maxlength="60" value="%%my_location%%" />\r\n<h5>Homepage</h5>\r\n<input type="text" name="url" class="input" size="30" maxlength="60" value="%%my_url%%" /><br /><br />\r\n<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n<h5>\r\nShow email <input type="checkbox" name="show_email" value="yes" %%show_email%% /> &nbsp;\r\nRemember me <input type="checkbox" name="save" value="yes" checked="checked" />\r\n<br /><br />\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%% />\r\n</h5>\r\n<br /><br />\r\n\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> \r\n<input type="submit" name="preview" class="button" value=" PREVIEW " />', '<h5>name</h5>\r\n<input type="text" name="name" class="input" size="30" maxlength="60" value="%%my_name%%" />\r\n<h5>Email</h5>\r\n<input type="text" name="email" class="input" size="30" maxlength="60" value="%%my_email%%" />\r\n<h5>Location</h5>\r\n<input type="text" name="location" class="input" size="30" maxlength="60" value="%%my_location%%" />\r\n<h5>Homepage</h5>\r\n<input type="text" name="url" class="input" size="30" maxlength="60" value="%%my_url%%" /><br /><br />\r\n<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n<h5>\r\nShow email <input type="checkbox" name="show_email" value="yes" %%show_email%% /> &nbsp;\r\nRemember me <input type="checkbox" name="save" value="yes" checked="checked" />\r\n<br /><br />\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%% />\r\n</h5>\r\n<br /><br />\r\n\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> \r\n<input type="submit" name="preview" class="button" value=" PREVIEW " />', '22');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (35, '210', 'weblog', '50', '02', '185', '<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n\r\n<br /><br />\r\n\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%%  />\r\n\r\n<br /><br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n\r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> \r\n<input type="submit" name="preview" class="button" value=" PREVIEW " />', '<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n\r\n<br /><br />\r\n\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%%  />\r\n\r\n<br /><br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n\r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> \r\n<input type="submit" name="preview" class="button" value=" PREVIEW " />', '22');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (36, '230', 'weblog', '60', '01', '190', '<a href="%%return_to_weblog_or_archive_url%%">WEBLOG</a>', '<a href="%%return_to_weblog_or_archive_url%%">WEBLOG</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (37, '240', 'weblog', '60', '02', '195', '<a href="%%return_to_weblog_or_archive_url%%">ARCHIVES</a>', '<a href="%%return_to_weblog_or_archive_url%%">ARCHIVES</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (38, '270', 'weblog', '80', '01', '230', '<h5>name</h5>\r\n<input type="text" name="name" class="input" size="30" maxlength="60" value="%%my_name%%" />\r\n<h5>Email</h5>\r\n<input type="text" name="email" class="input" size="30" maxlength="60" value="%%my_email%%" />\r\n<h5>Location</h5>\r\n<input type="text" name="location" class="input" size="30" maxlength="60" value="%%my_location%%" />\r\n<h5>Homepage</h5>\r\n<input type="text" name="url" class="input" size="30" maxlength="60" value="%%my_url%%" />\r\n<h5>Title</h5>\r\n<input type="text" name="title" class="input" size="30" maxlength="60" value="%%title%%" />\r\n\r\n<h5>Entry</h5>\r\n<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n<h5>\r\nShow email <input type="checkbox" name="show_email" value="yes" %%show_email%% /> &nbsp;\r\nRemember me <input type="checkbox" name="save" value="yes" checked="checked" />\r\n<br /><br />\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%%  />\r\n<br /><br /></h5>\r\n\r\n%%categorylist%%\r\n\r\n<br /><br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n\r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> <input type="submit" name="preview" class="button" value=" PREVIEW " />', '<h5>name</h5>\r\n<input type="text" name="name" class="input" size="30" maxlength="60" value="%%my_name%%" />\r\n<h5>Email</h5>\r\n<input type="text" name="email" class="input" size="30" maxlength="60" value="%%my_email%%" />\r\n<h5>Location</h5>\r\n<input type="text" name="location" class="input" size="30" maxlength="60" value="%%my_location%%" />\r\n<h5>Homepage</h5>\r\n<input type="text" name="url" class="input" size="30" maxlength="60" value="%%my_url%%" />\r\n<h5>Title</h5>\r\n<input type="text" name="title" class="input" size="30" maxlength="60" value="%%title%%" />\r\n\r\n<h5>Entry</h5>\r\n<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n<h5>\r\nShow email <input type="checkbox" name="show_email" value="yes" %%show_email%% /> &nbsp;\r\nRemember me <input type="checkbox" name="save" value="yes" checked="checked" />\r\n<br /><br />\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%%  />\r\n<br /><br /></h5>\r\n\r\n%%categorylist%%\r\n\r\n<br /><br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n\r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> <input type="submit" name="preview" class="button" value=" PREVIEW " />', '22');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (39, '280', 'weblog', '80', '02', '235', '<h5>Title</h5>\r\n\r\n<input type="text" name="title" class="input" size="30" value="%%title%%" />\r\n\r\n<h5>Entry</h5>\r\n\r\n<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n\r\n<br />\r\n\r\n%%categorylist%%\r\n\r\n<br /><br />\r\n\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%%  />\r\n\r\n<br /><br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n  \r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> <input type="submit" name="preview" class="button" value=" PREVIEW " />', '<h5>Title</h5>\r\n\r\n<input type="text" name="title" class="input" size="30" value="%%title%%" />\r\n\r\n<h5>Entry</h5>\r\n\r\n<textarea name="body" class="textarea" rows="10" cols="40">%%body%%</textarea>\r\n\r\n<br />\r\n\r\n%%categorylist%%\r\n\r\n<br /><br />\r\n\r\nNotify me when someone replies to this post?\r\n<input type="checkbox" name="notify" value="yes" %%notify%%  />\r\n\r\n<br /><br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n  \r\n<input type="submit" name="submit" class="button" value=" SUBMIT " /> <input type="submit" name="preview" class="button" value=" PREVIEW " />', '22');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (40, '350', 'weblog', '85', '01', '445', '<p>\r\n<b>Trackback URL for this entry:</b>\r\n<br /><br />\r\n<i>%%trackback_url%%</i>\r\n<br /><br />\r\nTrackbacks:\r\n<br /><br />\r\n</p>', '<p>\r\n<b>Trackback URL for this entry:</b>\r\n<br /><br />\r\n<i>%%trackback_url%%</i>\r\n<br /><br />\r\nTrackbacks:\r\n<br /><br />\r\n</p>', '12');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (41, '360', 'weblog', '85', '02', '450', '\r\n<div align=\'center\'><a href=\'%%entry_url%%\'>%%entry_title%%</a></div>\r\n<p>\r\n%%excerpt%%\r\n<br />\r\n<em>Tracked on <a href=\'%%entry_url%%\'>%%blog_name%%</a> on %%M%% %%d%%, %%y%% @ %%g%%:%%i%% %%a%%</em>\r\n%%delete_link%%\r\n</p>\r\n<br />', '\r\n<div align=\'center\'><a href=\'%%entry_url%%\'>%%entry_title%%</a></div>\r\n<p>\r\n%%excerpt%%\r\n<br />\r\n<em>Tracked on <a href=\'%%entry_url%%\'>%%blog_name%%</a> on %%M%% %%d%%, %%y%% @ %%g%%:%%i%% %%a%%</em>\r\n%%delete_link%%\r\n</p>\r\n<br />', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (42, '370', 'weblog', '85', '03', '455', '<br /><br /><a href=\'%%delete_url%%\' style=\'color: #dd0000\'>Delete?</a>', '<br /><br /><a href=\'%%delete_url%%\' style=\'color: #dd0000\'>Delete?</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (43, '380', 'weblog', '90', '01', '460', '\r\n<p>\r\n<b><a href=\'%%from_url%%\'>%%from_title%%</a></b><br />\r\n%%from_context%%<br />\r\n<em>Pinged on  %%M%% %%d%%, %%y%% @ %%g%%:%%i%% %%a%%</em>\r\n%%delete_link%%\r\n</p>\r\n<br />', '\r\n<p>\r\n<b><a href=\'%%from_url%%\'>%%from_title%%</a></b><br />\r\n%%from_context%%<br />\r\n<em>Pinged on  %%M%% %%d%%, %%y%% @ %%g%%:%%i%% %%a%%</em>\r\n%%delete_link%%\r\n</p>\r\n<br />', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (44, '390', 'weblog', '90', '02', '465', '<br /><a href=\'%%delete_url%%\' style=\'color: #dd0000\'>Delete?</a>', '<br /><a href=\'%%delete_url%%\' style=\'color: #dd0000\'>Delete?</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (45, '10', 'membership', '10', '01', '275', '\r\n<div class="loginLinks">\r\n<a href="%%login_page_link%%">Log-In</a><br />\r\n<a href="%%register_page_link%%">Register</a><br />\r\n<a href="%%members_page_link%%">Members</a>\r\n</div>\r\n', '\r\n<div class="loginLinks">\r\n<a href="%%login_page_link%%">Log-In</a><br />\r\n<a href="%%register_page_link%%">Register</a><br />\r\n<a href="%%members_page_link%%">Members</a>\r\n</div>\r\n', '18');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (46, '20', 'membership', '10', '02', '280', '\r\n<div class="loginLinks">\r\nLogged in: %%member_name%% <br />\r\n<a href="%%logout_page_link%%">Log-out</a><br />\r\n<a href="%%profile_page_link%%">Your Profile</a><br />\r\n<a href="%%members_page_link%%">Members</a>\r\n</div>', '\r\n<div class="loginLinks">\r\nLogged in: %%member_name%% <br />\r\n<a href="%%logout_page_link%%">Log-out</a><br />\r\n<a href="%%profile_page_link%%">Your Profile</a><br />\r\n<a href="%%members_page_link%%">Members</a>\r\n</div>', '18');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (47, '30', 'membership', '20', '01', '285', '<table border="0" cellspacing="0" cellpadding="5">\r\n<tr>\r\n<th colspan="2">LOGIN</th>\r\n</tr>\r\n<tr>\r\n<td class="right">Username </td>\r\n<td><input type="text" class="input" size="20" name="username" maxlength="%%un_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">Password </td>\r\n<td><input type="password" class="input" size="20" name="password" maxlength="%%pw_max_length%%" /></td>\r\n</tr>\r\n<td colspan="2" class="right"><a href="%%forgot_password_page_url%%">forgot?</a></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<input class="button" type="submit" value=" SUBMIT " />', '<table border="0" cellspacing="0" cellpadding="5">\r\n<tr>\r\n<th colspan="2">LOGIN</th>\r\n</tr>\r\n<tr>\r\n<td class="right">Username </td>\r\n<td><input type="text" class="input" size="20" name="username" maxlength="%%un_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">Password </td>\r\n<td><input type="password" class="input" size="20" name="password" maxlength="%%pw_max_length%%" /></td>\r\n</tr>\r\n<td colspan="2" class="right"><a href="%%forgot_password_page_url%%">forgot?</a></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<input class="button" type="submit" value=" SUBMIT " />', '18');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (48, '40', 'membership', '30', '01', '290', '\r\n<table border="0" cellpadding="4">\r\n<tr>\r\n<th colspan="2">REGISTER</th>\r\n</tr><tr>\r\n<td>Username</td>\r\n<td><input type="text" class="input" size="20" name="username" maxlength="%%un_max_length%%" /></td>\r\n</tr><tr>\r\n<td >Password</td>\r\n<td><input type="password" class="input" size="20" name="password" maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td >Confirm pw</td>\r\n<td><input type="password" class="input" size="20" name="confirm_pw"  maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td >Screen name</td>\r\n<td><input type="text" class="input" size="20" name="signature" maxlength="50" /></td>\r\n</tr><tr>\r\n<td >Email</td>\r\n<td><input type="text" class="input" size="20" name="email" maxlength="100" /></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n\r\n<input class="button" type="submit" value=" REGISTER " />', '\r\n<table border="0" cellpadding="4">\r\n<tr>\r\n<th colspan="2">REGISTER</th>\r\n</tr><tr>\r\n<td>Username</td>\r\n<td><input type="text" class="input" size="20" name="username" maxlength="%%un_max_length%%" /></td>\r\n</tr><tr>\r\n<td >Password</td>\r\n<td><input type="password" class="input" size="20" name="password" maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td >Confirm pw</td>\r\n<td><input type="password" class="input" size="20" name="confirm_pw"  maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td >Screen name</td>\r\n<td><input type="text" class="input" size="20" name="signature" maxlength="50" /></td>\r\n</tr><tr>\r\n<td >Email</td>\r\n<td><input type="text" class="input" size="20" name="email" maxlength="100" /></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n\r\n<input class="button" type="submit" value=" REGISTER " />', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (49, '50', 'membership', '40', '01', '295', '\r\n<table border="0" cellpadding="3">\r\n<tr>\r\n<th colspan="2">YOUR PROFILE</th>\r\n</tr>\r\n<tr>\r\n<td class="right">Username <span class="red">*</span></td>\r\n<td><input type="text" class="input" size="30" name="username" value="%%username%%" maxlength="%%un_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">New Password<br />(leave blank for no change)</td>\r\n<td align="left"><input type="password" class="input" size="30" name="password" value="%%password%%" maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">Confirm New pw </td>\r\n<td><input type="password" class="input" size="30" name="confirm_pw" value="%%confirm_pw%%" maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">Name on your posts <span class="red">*</font></td>\r\n<td><input type="text" class="input" size="30" name="signature" value="%%signature%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">Email <span class="red">*</font></td>\r\n<td><input type="text" class="input" size="30" name="email" value="%%email%%" maxlength="100" /></td>\r\n</tr><tr>\r\n<td class="right">Location </td>\r\n<td><input type="text" class="input" size="30" name="location" value="%%location%%" maxlength="60" /></td>\r\n</tr><tr>\r\n<td class="right">URL </td>\r\n<td><input type="text" class="input" size="30" name="url" value="%%url%%" maxlength="100" /></td>\r\n</tr><tr>\r\n<td class="right">Occupation </td>\r\n<td><input type="text" class="input" size="30" name="occupation" value="%%occupation%%" maxlength="100" /></td>\r\n</tr><tr>\r\n<td class="right">Birthdate </td>\r\n<td valign="middle">M <input type="text" name="month" class="input" size="2" value="%%month%%" maxlength="2" />\r\nD <input type="text" name="day" class="input" size="2" value="%%day%%" maxlength="2" />\r\nY <input type="text" name="year" class="input" size="4" value="%%year%%" maxlength="4" />\r\n</td>\r\n</tr><tr>\r\n<td class="right">Interests </td>\r\n<td><input type="text" class="input" size="30" name="interests" value="%%interests%%" maxlength="350" /></td>\r\n</tr><tr>\r\n<td class="right">ICQ </td>\r\n<td><input type="text" class="input" size="30" name="icq" value="%%icq%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">AOL IM </td>\r\n<td><input type="text" class="input" size="30" name="aol_im" value="%%aol_im%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">Yahoo IM </td>\r\n<td><input type="text" class="input" size="30" name="yahoo_im" value="%%yahoo_im%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">MSN IM </td>\r\n<td><input type="text" class="input" size="30" name="msn_im" value="%%msn_im%%" maxlength="50"></td>\r\n</tr><tr>\r\n<td  class="right" valign="top">Bio </td>\r\n<td><textarea name="bio" class="textarea" rows="8" cols="30">%%bio%%</textarea></td>\r\n</tr><tr>\r\n<td align="center" colspan="2">Allow your email address to appear on your posts?\r\n<br />\r\nyes <input type="radio" name="show_email" value="yes" %%show_yes%% /> no <input type="radio" name="show_email" value="no" %%show_no%% />\r\n<br />\r\n</td>\r\n</tr><tr>\r\n<td align="center" colspan="2">If \'no\', accept private email from other site members?\r\n<br />\r\nMessages will be sent to you through this site<br />\r\nwithout your email address being revealed.<br />\r\nyes <input type="radio" name="get_email" value="yes" %%get_yes%% /> no <input type="radio" name="get_email" value="no" %%get_no%% />\r\n</td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<input class="button" type="submit" value=" UPDATE " />', '\r\n<table border="0" cellpadding="3">\r\n<tr>\r\n<th colspan="2">YOUR PROFILE</th>\r\n</tr>\r\n<tr>\r\n<td class="right">Username <span class="red">*</span></td>\r\n<td><input type="text" class="input" size="30" name="username" value="%%username%%" maxlength="%%un_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">New Password<br />(leave blank for no change)</td>\r\n<td align="left"><input type="password" class="input" size="30" name="password" value="%%password%%" maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">Confirm New pw </td>\r\n<td><input type="password" class="input" size="30" name="confirm_pw" value="%%confirm_pw%%" maxlength="%%pw_max_length%%" /></td>\r\n</tr><tr>\r\n<td class="right">Name on your posts <span class="red">*</font></td>\r\n<td><input type="text" class="input" size="30" name="signature" value="%%signature%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">Email <span class="red">*</font></td>\r\n<td><input type="text" class="input" size="30" name="email" value="%%email%%" maxlength="100" /></td>\r\n</tr><tr>\r\n<td class="right">Location </td>\r\n<td><input type="text" class="input" size="30" name="location" value="%%location%%" maxlength="60" /></td>\r\n</tr><tr>\r\n<td class="right">URL </td>\r\n<td><input type="text" class="input" size="30" name="url" value="%%url%%" maxlength="100" /></td>\r\n</tr><tr>\r\n<td class="right">Occupation </td>\r\n<td><input type="text" class="input" size="30" name="occupation" value="%%occupation%%" maxlength="100" /></td>\r\n</tr><tr>\r\n<td class="right">Birthdate </td>\r\n<td valign="middle">M <input type="text" name="month" class="input" size="2" value="%%month%%" maxlength="2" />\r\nD <input type="text" name="day" class="input" size="2" value="%%day%%" maxlength="2" />\r\nY <input type="text" name="year" class="input" size="4" value="%%year%%" maxlength="4" />\r\n</td>\r\n</tr><tr>\r\n<td class="right">Interests </td>\r\n<td><input type="text" class="input" size="30" name="interests" value="%%interests%%" maxlength="350" /></td>\r\n</tr><tr>\r\n<td class="right">ICQ </td>\r\n<td><input type="text" class="input" size="30" name="icq" value="%%icq%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">AOL IM </td>\r\n<td><input type="text" class="input" size="30" name="aol_im" value="%%aol_im%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">Yahoo IM </td>\r\n<td><input type="text" class="input" size="30" name="yahoo_im" value="%%yahoo_im%%" maxlength="50" /></td>\r\n</tr><tr>\r\n<td class="right">MSN IM </td>\r\n<td><input type="text" class="input" size="30" name="msn_im" value="%%msn_im%%" maxlength="50"></td>\r\n</tr><tr>\r\n<td  class="right" valign="top">Bio </td>\r\n<td><textarea name="bio" class="textarea" rows="8" cols="30">%%bio%%</textarea></td>\r\n</tr><tr>\r\n<td align="center" colspan="2">Allow your email address to appear on your posts?\r\n<br />\r\nyes <input type="radio" name="show_email" value="yes" %%show_yes%% /> no <input type="radio" name="show_email" value="no" %%show_no%% />\r\n<br />\r\n</td>\r\n</tr><tr>\r\n<td align="center" colspan="2">If \'no\', accept private email from other site members?\r\n<br />\r\nMessages will be sent to you through this site<br />\r\nwithout your email address being revealed.<br />\r\nyes <input type="radio" name="get_email" value="yes" %%get_yes%% /> no <input type="radio" name="get_email" value="no" %%get_no%% />\r\n</td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<input class="button" type="submit" value=" UPDATE " />', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (50, '60', 'membership', '50', '01', '300', '\r\n<table border="0" cellspacing="0" cellpadding="5" width="500">\r\n<tr>\r\n<th>PROFILE</td>\r\n</tr>\r\n<tr>\r\n<td class="right">Username  </td>\r\n<td>%%username%%</td>\r\n</tr><tr>\r\n<td class="right">Name on your posts  </td>\r\n<td>%%signature%%</td>\r\n</tr><tr>\r\n<td class="right">Email  </td>\r\n<td>%%email%%</td>\r\n</tr><tr>\r\n<td class="right">Location </td>\r\n<td>%%location%%</td>\r\n</tr><tr>\r\n<td class="right">URL </td>\r\n<td>%%url%%</td>\r\n</tr><tr>\r\n<td class="right">Occupation </td>\r\n<td>%%occupation%%</td>\r\n</tr><tr>\r\n<td class="right">Birthday </td>\r\n<td>%%birthday%%</td>\r\n</tr><tr>\r\n<td class="right">Interests </td>\r\n<td>%%interests%%</td>\r\n</tr><tr>\r\n<td class="right">ICQ </td>\r\n<td>%%icq%%</td>\r\n</tr><tr>\r\n<td class="right">AOL IM </td>\r\n<td>%%aol_im%%</td>\r\n</tr><tr>\r\n<td class="right">Yahoo IM </td>\r\n<td>%%yahoo_im%%</td>\r\n</tr><tr>\r\n<td class="right">Microsoft IM </td>\r\n<td>%%msn_im%%</td>\r\n</tr><tr>\r\n<td class="right">Publicly viewable email address?</td>\r\n<td>%%show_email%%</td>\r\n</tr><tr>\r\n<td class="right">Accept email from members?</td>\r\n<td>%%get_email%%</td>\r\n</tr><tr>\r\n<td class="right" valign="top">Bio </td>\r\n<td>%%bio%%</td>\r\n</tr>\r\n</table>\r\n', '\r\n<table border="0" cellspacing="0" cellpadding="5" width="500">\r\n<tr>\r\n<th>PROFILE</td>\r\n</tr>\r\n<tr>\r\n<td class="right">Username  </td>\r\n<td>%%username%%</td>\r\n</tr><tr>\r\n<td class="right">Name on your posts  </td>\r\n<td>%%signature%%</td>\r\n</tr><tr>\r\n<td class="right">Email  </td>\r\n<td>%%email%%</td>\r\n</tr><tr>\r\n<td class="right">Location </td>\r\n<td>%%location%%</td>\r\n</tr><tr>\r\n<td class="right">URL </td>\r\n<td>%%url%%</td>\r\n</tr><tr>\r\n<td class="right">Occupation </td>\r\n<td>%%occupation%%</td>\r\n</tr><tr>\r\n<td class="right">Birthday </td>\r\n<td>%%birthday%%</td>\r\n</tr><tr>\r\n<td class="right">Interests </td>\r\n<td>%%interests%%</td>\r\n</tr><tr>\r\n<td class="right">ICQ </td>\r\n<td>%%icq%%</td>\r\n</tr><tr>\r\n<td class="right">AOL IM </td>\r\n<td>%%aol_im%%</td>\r\n</tr><tr>\r\n<td class="right">Yahoo IM </td>\r\n<td>%%yahoo_im%%</td>\r\n</tr><tr>\r\n<td class="right">Microsoft IM </td>\r\n<td>%%msn_im%%</td>\r\n</tr><tr>\r\n<td class="right">Publicly viewable email address?</td>\r\n<td>%%show_email%%</td>\r\n</tr><tr>\r\n<td class="right">Accept email from members?</td>\r\n<td>%%get_email%%</td>\r\n</tr><tr>\r\n<td class="right" valign="top">Bio </td>\r\n<td>%%bio%%</td>\r\n</tr>\r\n</table>\r\n', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (51, '70', 'membership', '60', '01', '305', '\r\n\r\n<table cellpadding="4" cellspacing="0" border="0" width="95%">\r\n<tr>\r\n<td><a href="%%alpha_link%%">List Alphabetically</a></td>\r\n<td><a href="%%joindate_link%%">By Join Date</a></td>\r\n<td><a href="%%most_entries_link%%">By Most Posts</a></td>\r\n<td><a href="%%most_comments_link%%">By Most Comments</a></td>\r\n<td><a href="%%reverse_order_link%%">Reverse Order</a></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<table cellpadding="4" cellspacing="0" border="0" width="95%">\r\n<tr>\r\n<td><a href="%%#%%">#</a></td>\r\n<td><a href="%%a%%">A</a></td>\r\n<td><a href="%%b%%">B</a></td>\r\n<td><a href="%%c%%">C</a></td>\r\n<td><a href="%%d%%">D</a></td>\r\n<td><a href="%%e%%">E</a></td>\r\n<td><a href="%%f%%">F</a></td>\r\n<td><a href="%%g%%">G</a></td>\r\n<td><a href="%%h%%">H</a></td>\r\n<td><a href="%%i%%">I</a></td>\r\n<td><a href="%%j%%">J</a></td>\r\n<td><a href="%%k%%">K</a></td>\r\n<td><a href="%%l%%">L</a></td>\r\n<td><a href="%%m%%">M</a></td>\r\n<td><a href="%%n%%">N</a></td>\r\n<td><a href="%%o%%">O</a></td>\r\n<td><a href="%%p%%">P</a></td>\r\n<td><a href="%%q%%">Q</a></td>\r\n<td><a href="%%r%%">R</a></td>\r\n<td><a href="%%s%%">S</a></td>\r\n<td><a href="%%t%%">T</a></td>\r\n<td><a href="%%u%%">U</a></td>\r\n<td><a href="%%v%%">V</a></td>\r\n<td><a href="%%w%%">W</a></td>\r\n<td><a href="%%x%%">X</a></td>\r\n<td><a href="%%y%%">Y</a></td>\r\n<td><a href="%%z%%">Z</a></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<table bgcolor="#ffffff" cellpadding="5" cellspacing="1" border="0" width="95%">\r\n<tr>\r\n<th class="colorBG">NAME</th>\r\n<th class="colorBG">EMAIL</th>\r\n<th class="colorBG">URL</th>\r\n<th class="colorBG">ENTRIES</th>\r\n<th class="colorBG">COMMENTS</th>\r\n<th class="colorBG">JOIN DATE</th>', '\r\n\r\n<table cellpadding="4" cellspacing="0" border="0" width="95%">\r\n<tr>\r\n<td><a href="%%alpha_link%%">List Alphabetically</a></td>\r\n<td><a href="%%joindate_link%%">By Join Date</a></td>\r\n<td><a href="%%most_entries_link%%">By Most Posts</a></td>\r\n<td><a href="%%most_comments_link%%">By Most Comments</a></td>\r\n<td><a href="%%reverse_order_link%%">Reverse Order</a></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<table cellpadding="4" cellspacing="0" border="0" width="95%">\r\n<tr>\r\n<td><a href="%%#%%">#</a></td>\r\n<td><a href="%%a%%">A</a></td>\r\n<td><a href="%%b%%">B</a></td>\r\n<td><a href="%%c%%">C</a></td>\r\n<td><a href="%%d%%">D</a></td>\r\n<td><a href="%%e%%">E</a></td>\r\n<td><a href="%%f%%">F</a></td>\r\n<td><a href="%%g%%">G</a></td>\r\n<td><a href="%%h%%">H</a></td>\r\n<td><a href="%%i%%">I</a></td>\r\n<td><a href="%%j%%">J</a></td>\r\n<td><a href="%%k%%">K</a></td>\r\n<td><a href="%%l%%">L</a></td>\r\n<td><a href="%%m%%">M</a></td>\r\n<td><a href="%%n%%">N</a></td>\r\n<td><a href="%%o%%">O</a></td>\r\n<td><a href="%%p%%">P</a></td>\r\n<td><a href="%%q%%">Q</a></td>\r\n<td><a href="%%r%%">R</a></td>\r\n<td><a href="%%s%%">S</a></td>\r\n<td><a href="%%t%%">T</a></td>\r\n<td><a href="%%u%%">U</a></td>\r\n<td><a href="%%v%%">V</a></td>\r\n<td><a href="%%w%%">W</a></td>\r\n<td><a href="%%x%%">X</a></td>\r\n<td><a href="%%y%%">Y</a></td>\r\n<td><a href="%%z%%">Z</a></td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<table bgcolor="#ffffff" cellpadding="5" cellspacing="1" border="0" width="95%">\r\n<tr>\r\n<th class="colorBG">NAME</th>\r\n<th class="colorBG">EMAIL</th>\r\n<th class="colorBG">URL</th>\r\n<th class="colorBG">ENTRIES</th>\r\n<th class="colorBG">COMMENTS</th>\r\n<th class="colorBG">JOIN DATE</th>', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (52, '80', 'membership', '60', '02', '310', '</tr><tr>\r\n<td bgcolor="%%color_switch%%">%%name%%</td>\r\n<td bgcolor="%%color_switch%%" align="center">%%if_email_as_link%%</td>\r\n<td bgcolor="%%color_switch%%" align="center">%%url%%</td>\r\n<td bgcolor="%%color_switch%%" align="center"><div class="medText">%%total_entries%%</div></td>\r\n<td bgcolor="%%color_switch%%" align="center"><div class="medText">%%total_comments%%</div></td>\r\n<td bgcolor="%%color_switch%%" align="center"><div class="medText">%%join_date%%</div></td>', '</tr><tr>\r\n<td bgcolor="%%color_switch%%">%%name%%</td>\r\n<td bgcolor="%%color_switch%%" align="center">%%if_email_as_link%%</td>\r\n<td bgcolor="%%color_switch%%" align="center">%%url%%</td>\r\n<td bgcolor="%%color_switch%%" align="center"><div class="medText">%%total_entries%%</div></td>\r\n<td bgcolor="%%color_switch%%" align="center"><div class="medText">%%total_comments%%</div></td>\r\n<td bgcolor="%%color_switch%%" align="center"><div class="medText">%%join_date%%</div></td>', '12');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (53, '90', 'membership', '60', '03', '315', '\r\n</tr>\r\n</table>\r\n<br />', '\r\n</tr>\r\n</table>\r\n<br />', '14');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (54, '100', 'membership', '60', '04', '320', '\r\n<table cellpadding="0" cellspacing="0" border="0" width="400">\r\n<tr>\r\n<td>%%members_prev_page%%</td>\r\n<td align="right">%%members_next_page%%</td>\r\n</tr>\r\n</table>', '\r\n<table cellpadding="0" cellspacing="0" border="0" width="400">\r\n<tr>\r\n<td>%%members_prev_page%%</td>\r\n<td align="right">%%members_next_page%%</td>\r\n</tr>\r\n</table>', '7');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (55, '110', 'membership', '60', '05', '325', '<a href="%%prev_url%%">PREV page</a>', '<a href="%%prev_url%%">PREV page</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (56, '120', 'membership', '60', '06', '330', '<a href="%%next_url%%">NEXT page</a>', '<a href="%%next_url%%">NEXT page</a>', '3');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (57, '130', 'membership', '70', '01', '335', '\r\n<table border="0" cellspacing="0" cellpadding="5" width="500">\r\n<tr>\r\n<td class="right">Name </td>\r\n<td>%%signature%%</td>\r\n</tr><tr>\r\n<td class="right">Total comments </td>\r\n<td>%%total_comments%%</td>\r\n</tr><tr>\r\n<td class="right">Last post </td>\r\n<td>%%last_post%%</td>\r\n</tr><tr>\r\n<td class="right">Join date </td>\r\n<td>%%join_date%%</td>\r\n</tr><tr>\r\n<td class="right">Email </td>\r\n<td>%%if_email_as_link%%</td>\r\n</tr><tr>\r\n<td class="right">Location </td>\r\n<td>%%location%%</td>\r\n</tr><tr>\r\n<td class="right">URL </td>\r\n<td>%%url%%</td>\r\n</tr><tr>\r\n<td class="right">Occupation </td>\r\n<td>%%occupation%%</td>\r\n</tr><tr>\r\n<td class="right">Birthday </td>\r\n<td>%%birthday%%</td>\r\n</tr><tr>\r\n<td class="right">Interests </td>\r\n<td>%%interests%%</td>\r\n</tr><tr>\r\n<td class="right">ICQ </td>\r\n<td>%%icq%%</td>\r\n</tr><tr>\r\n<td class="right">AOL IM </td>\r\n<td>%%aol_im%%</td>\r\n</tr><tr>\r\n<td class="right">Yahoo IM </td>\r\n<td>%%yahoo_im%%</td>\r\n</tr><tr>\r\n<td class="right">MSN IM </td>\r\n<td>%%msn_im%%</td>\r\n</tr><tr>\r\n<td class="right" valign="top">Bio </td>\r\n<td>%%bio%%</td>\r\n</tr>\r\n</table>', '\r\n<table border="0" cellspacing="0" cellpadding="5" width="500">\r\n<tr>\r\n<td class="right">Name </td>\r\n<td>%%signature%%</td>\r\n</tr><tr>\r\n<td class="right">Total comments </td>\r\n<td>%%total_comments%%</td>\r\n</tr><tr>\r\n<td class="right">Last post </td>\r\n<td>%%last_post%%</td>\r\n</tr><tr>\r\n<td class="right">Join date </td>\r\n<td>%%join_date%%</td>\r\n</tr><tr>\r\n<td class="right">Email </td>\r\n<td>%%if_email_as_link%%</td>\r\n</tr><tr>\r\n<td class="right">Location </td>\r\n<td>%%location%%</td>\r\n</tr><tr>\r\n<td class="right">URL </td>\r\n<td>%%url%%</td>\r\n</tr><tr>\r\n<td class="right">Occupation </td>\r\n<td>%%occupation%%</td>\r\n</tr><tr>\r\n<td class="right">Birthday </td>\r\n<td>%%birthday%%</td>\r\n</tr><tr>\r\n<td class="right">Interests </td>\r\n<td>%%interests%%</td>\r\n</tr><tr>\r\n<td class="right">ICQ </td>\r\n<td>%%icq%%</td>\r\n</tr><tr>\r\n<td class="right">AOL IM </td>\r\n<td>%%aol_im%%</td>\r\n</tr><tr>\r\n<td class="right">Yahoo IM </td>\r\n<td>%%yahoo_im%%</td>\r\n</tr><tr>\r\n<td class="right">MSN IM </td>\r\n<td>%%msn_im%%</td>\r\n</tr><tr>\r\n<td class="right" valign="top">Bio </td>\r\n<td>%%bio%%</td>\r\n</tr>\r\n</table>', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (58, '140', 'membership', '80', '01', '340', '\r\n<table border="0" cellspacing="0" cellpadding="5">\r\n<tr>\r\n<th colspan="2">EMAIL MEMBER</th>\r\n</tr>\r\n<tr>\r\n<td class="right">To </td>\r\n<td>%%to%%</td>\r\n</tr><tr>\r\n<td class="right">From </td>\r\n<td>%%from%%</td>\r\n</tr><tr>\r\n<td class="right">Subject </td>\r\n<td><input type="text" class="input" size="45" name="subject" /></td>\r\n</tr><tr>\r\n<td class="right" valign="top">Message </td>\r\n<td><textarea name="message" class="textarea" rows="20" cols="45"></textarea></td>\r\n</tr>\r\n{if captcha}\r\n<tr>\r\n<td colspan="2" align="center">\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n</td>\r\n</tr>\r\n{/if}\r\n\r\n</table>\r\n<br />\r\n\r\n<input class="button" type="submit" value=" SEND IT " />', '\r\n<table border="0" cellspacing="0" cellpadding="5">\r\n<tr>\r\n<th colspan="2">EMAIL MEMBER</th>\r\n</tr>\r\n<tr>\r\n<td class="right">To </td>\r\n<td>%%to%%</td>\r\n</tr><tr>\r\n<td class="right">From </td>\r\n<td>%%from%%</td>\r\n</tr><tr>\r\n<td class="right">Subject </td>\r\n<td><input type="text" class="input" size="45" name="subject" /></td>\r\n</tr><tr>\r\n<td class="right" valign="top">Message </td>\r\n<td><textarea name="message" class="textarea" rows="20" cols="45"></textarea></td>\r\n</tr>\r\n{if captcha}\r\n<tr>\r\n<td colspan="2" align="center">\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n</td>\r\n</tr>\r\n{/if}\r\n\r\n</table>\r\n<br />\r\n\r\n<input class="button" type="submit" value=" SEND IT " />', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (59, '150', 'membership', '90', '01', '345', '<table border="0" cellspacing="0" cellpadding="4">\r\n<tr>\r\n<th colspan="2">FORGOTTEN PASSWORD</th>\r\n</tr>\r\n<tr>\r\n<td align="right">Your email </td>\r\n<td><input type="text" name="email" class="input" size="30" maxlength="100" /></td>\r\n</tr>\r\n</table>\r\n\r\n<br /><br />\r\n\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n', '<table border="0" cellspacing="0" cellpadding="4">\r\n<tr>\r\n<th colspan="2">FORGOTTEN PASSWORD</th>\r\n</tr>\r\n<tr>\r\n<td align="right">Your email </td>\r\n<td><input type="text" name="email" class="input" size="30" maxlength="100" /></td>\r\n</tr>\r\n</table>\r\n\r\n<br /><br />\r\n\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (60, '160', 'membership', '100', '01', '350', '\r\n%%member_name%%,\r\n\r\nThanks for registering with %%site_name%%\r\n\r\nIn order to activate your account, point your browser to the following URL:\r\n\r\n%%activation_url%%\r\n\r\nWe hope you enjoy the site!\r\n', '\r\n%%member_name%%,\r\n\r\nThanks for registering with %%site_name%%\r\n\r\nIn order to activate your account, point your browser to the following URL:\r\n\r\n%%activation_url%%\r\n\r\nWe hope you enjoy the site!\r\n', '18');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (61, '170', 'membership', '100', '02', '355', '<div align="center">\r\n\r\n<table border="0" cellspacing="0" cellpadding="4">\r\n<tr>\r\n<th colspan="2">ACTIVATION INSTRUCTIONS</th>\r\n</tr>\r\n<tr>\r\n<td align="right">Your email </td>\r\n<td align="left" ><input type="text" name="email" class="input" size="30" maxlength="100" /></td>\r\n</tr>\r\n</table>\r\n\r\n<br /><br />\r\n\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n\r\n</div>', '<div align="center">\r\n\r\n<table border="0" cellspacing="0" cellpadding="4">\r\n<tr>\r\n<th colspan="2">ACTIVATION INSTRUCTIONS</th>\r\n</tr>\r\n<tr>\r\n<td align="right">Your email </td>\r\n<td align="left" ><input type="text" name="email" class="input" size="30" maxlength="100" /></td>\r\n</tr>\r\n</table>\r\n\r\n<br /><br />\r\n\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n\r\n</div>', '20');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (62, '10', 'email', '30', '01', '210', '<h5>Your Email</h5>\r\n<input type="text" class="input" size="30" name="from" />\r\n<h5>Subject</h5>\r\n<input type="text" class="input" size="30" name="subject"  value="%%subject%%" />\r\n<h5>Message</h5>\r\n<textarea name="message" class="textarea" rows="8" cols="18"></textarea>\r\n<br />\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br />\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n', '<h5>Your Email</h5>\r\n<input type="text" class="input" size="30" name="from" />\r\n<h5>Subject</h5>\r\n<input type="text" class="input" size="30" name="subject"  value="%%subject%%" />\r\n<h5>Message</h5>\r\n<textarea name="message" class="textarea" rows="8" cols="18"></textarea>\r\n<br />\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br />\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n', '18');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (63, '30', 'email', '10', '01', '215', '<input type="text" class="input" name="email" size="20" /> <input type="submit" class="button" value=" SEND " />', '<input type="text" class="input" name="email" size="20" /> <input type="submit" class="button" value=" SEND " />', '6');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (64, '40', 'email', '20', '01', '220', 'Happy Birthday %%name%%!', 'Happy Birthday %%name%%!', '1');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (65, '50', 'email', '20', '02', '225', '%%name%%,\n\nWishing you the best on your birthday!', '%%name%%,\n\nWishing you the best on your birthday!', '16');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (66, '60', 'email', '40', '01', '226', 'Someone just responded to your post', 'Someone just responded to your post', '1');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (67, '70', 'email', '40', '02', '227', 'Someone just responded to the entry you subscribed to at: %%site_name%%.\r\n\r\nThe title of the entry is: %%title%%\r\n\r\nYou can see the full thread here:\n\r\n\r%%entry_url%%', 'Someone just responded to the entry you subscribed to at: %%site_name%%.\r\n\r\nThe title of the entry is: %%title%%\r\n\r\nYou can see the full thread here:\n\r\n\r%%entry_url%%', '16');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (68, '80', 'email', '50', '01', '380', '<h5>Email address of recipient</h5>\r\n<input type="text" class="input" size="20" name="to" />\r\n<h5>Your name</h5>\r\n<input type="text" class="input" size="20" name="name" />\r\n<h5>Your email address</h5>\r\n<input type="text" class="input" size="20" name="from" />\r\n<h5>Personal message</h5>\r\n<textarea name="message" class="textarea" rows="6" cols="18"></textarea>\r\n<h5>What would you like to send?</h5>\r\n<p><input type="radio" name="what" value="link" checked /> Link only<br />\r\n<input type="radio" name="what" value="text" /> Full text\r\n</p>\r\n<br />\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n', '<h5>Email address of recipient</h5>\r\n<input type="text" class="input" size="20" name="to" />\r\n<h5>Your name</h5>\r\n<input type="text" class="input" size="20" name="name" />\r\n<h5>Your email address</h5>\r\n<input type="text" class="input" size="20" name="from" />\r\n<h5>Personal message</h5>\r\n<textarea name="message" class="textarea" rows="6" cols="18"></textarea>\r\n<h5>What would you like to send?</h5>\r\n<p><input type="radio" name="what" value="link" checked /> Link only<br />\r\n<input type="radio" name="what" value="text" /> Full text\r\n</p>\r\n<br />\r\n{if captcha}\r\nSubmit the word you see below:<br /><br />\r\n%%captcha%%\r\n<br />\r\n<input type="text" name="captcha" value="" size="20" maxlength="20" style="width:140px;" />\r\n{/if}\r\n<br /><br />\r\n<input class="button" type="submit" value=" SUBMIT " />\r\n', '18');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (69, '90', 'email', '50', '01', '390', 'A message from %%email%%!', 'A message from %%email%%!', '1');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (70, '100', 'email', '50', '02', '400', 'You have been sent this message from %%name%% as a courtesy of %%site_name%%\r\n\r\n%%message%% \r\n\r\nTo view this article, please visit:\r\n\r\n%%entry_url%%', 'You have been sent this message from %%name%% as a courtesy of %%site_name%%\r\n\r\n%%message%% \r\n\r\nTo view this article, please visit:\r\n\r\n%%entry_url%%', '16');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (71, '02', 'search', '10', '01', '240', '<h4>%%total%% Result(s)</h4>\r\n\r\n<table cellpadding="4" cellspacing="1" border="0" width="700">\r\n<tr>\r\n<th class="colorBG" width="2%">&nbsp;</th>\r\n<th class="colorBG" width="28%">TITLE</th>\r\n<th class="colorBG" width="45%">EXCERPT</th>\r\n<th class="colorBG" width="10%">AUTHOR</th>\r\n<th class="colorBG" width="15%">DATE</th>\r\n</tr>\r\n', '<h4>%%total%% Result(s)</h4>\r\n\r\n<table cellpadding="4" cellspacing="1" border="0" width="700">\r\n<tr>\r\n<th class="colorBG" width="2%">&nbsp;</th>\r\n<th class="colorBG" width="28%">TITLE</th>\r\n<th class="colorBG" width="45%">EXCERPT</th>\r\n<th class="colorBG" width="10%">AUTHOR</th>\r\n<th class="colorBG" width="15%">DATE</th>\r\n</tr>\r\n', '12');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (72, '04', 'search', '10', '02', '245', '<tr>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%count%%</p></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><a href="%%comment_url%%">%%title%%</a></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%body_excerpt%%</p></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%author%%</p></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%date%%</p></td>\r\n</tr>', '<tr>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%count%%</p></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><a href="%%comment_url%%">%%title%%</a></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%body_excerpt%%</p></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%author%%</p></td>\r\n<td bgcolor="%%color_switch%%" valign="top"><p>%%date%%</p></td>\r\n</tr>', '12');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (73, '06', 'search', '10', '03', '250', '</table>', '</table>', '10');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (74, '12', 'search', '10', '04', '470', '<table cellpadding="4" cellspacing="1" border="0" width="700">\r\n<tr>\r\n<td>%%search_prev_page%%</td>\r\n<td align="right">%%search_next_page%%</td>\r\n</tr>\r\n</table>', '<table cellpadding="4" cellspacing="1" border="0" width="700">\r\n<tr>\r\n<td>%%search_prev_page%%</td>\r\n<td align="right">%%search_next_page%%</td>\r\n</tr>\r\n</table>', '10');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (75, '10', 'search', '10', '10', '255', '<h5>Your search for %%keywords%% resulted in no matches.</h5>', '<h5>Your search for %%keywords%% resulted in no matches.</h5>', '4');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (76, '30', 'search', '20', '01', '260', '<input type="text" class="input" size="20" name="keywords" />\r\n<input  type="submit" class="button" value="FIND" /><br />\r\n<a href="%%search_page%%">Advanced search</a>', '<input type="text" class="input" size="20" name="keywords" />\r\n<input  type="submit" class="button" value="FIND" /><br />\r\n<a href="%%search_page%%">Advanced search</a>', '16');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (77, '40', 'search', '20', '02', '265', '\r\n<table border="0" cellspacing="0" cellpadding="5">\r\n<tr>\r\n<th colspan="2">ADVANCED SEARCH</th>\r\n</tr>\r\n<tr>\r\n<td class="right" colspan="2">Separate keywords with spaces</td>\r\n</tr><tr>\r\n<td class="right">Keywords </td>\r\n<td><input type="text" class="input" size="30" name="keywords" maxlength="100" /></td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="criteria" value="any" checked="checked" /> Search for ANY terms</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="criteria" value="all" /> Search for ALL terms</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td>&nbsp;</td>\r\n</tr><tr>\r\n<td class="right">Search in </td>\r\n<td><input type="radio" name="where" value="all" checked="checked" /> Title and Entry Body</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="where" value="title" /> Title</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="where" value="body" /> Entry Body</td>\r\n</tr>\r\n<tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="where" value="comments" /> Entry Comments</td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<input class="button" type="submit" value=" SEARCH " />', '\r\n<table border="0" cellspacing="0" cellpadding="5">\r\n<tr>\r\n<th colspan="2">ADVANCED SEARCH</th>\r\n</tr>\r\n<tr>\r\n<td class="right" colspan="2">Separate keywords with spaces</td>\r\n</tr><tr>\r\n<td class="right">Keywords </td>\r\n<td><input type="text" class="input" size="30" name="keywords" maxlength="100" /></td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="criteria" value="any" checked="checked" /> Search for ANY terms</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="criteria" value="all" /> Search for ALL terms</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td>&nbsp;</td>\r\n</tr><tr>\r\n<td class="right">Search in </td>\r\n<td><input type="radio" name="where" value="all" checked="checked" /> Title and Entry Body</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="where" value="title" /> Title</td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="where" value="body" /> Entry Body</td>\r\n</tr>\r\n<tr>\r\n<td>&nbsp;</td>\r\n<td><input type="radio" name="where" value="comments" /> Entry Comments</td>\r\n</tr>\r\n</table>\r\n\r\n<br />\r\n\r\n<input class="button" type="submit" value=" SEARCH " />', '24');
INSERT INTO `@@DB_MAIN_PREFIX@@_templates` VALUES (78, '10', 'calendar', '10', '01', '270', '\r\n<div class="weblog">\r\n<table cellpadding="4" cellspacing="0" border="0" width="100%">\r\n<tr>\r\n<td align="right"><p><b>Event </b></p></td>\r\n<td><p><b>%%title%%</b></p></td>\r\n</tr><tr>\r\n<td align="right"><p><b>Date </b></p>\r\n</td><td><p>%%date%%</p></td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><p>%%description%%</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</div>\r\n', '\r\n<div class="weblog">\r\n<table cellpadding="4" cellspacing="0" border="0" width="100%">\r\n<tr>\r\n<td align="right"><p><b>Event </b></p></td>\r\n<td><p><b>%%title%%</b></p></td>\r\n</tr><tr>\r\n<td align="right"><p><b>Date </b></p>\r\n</td><td><p>%%date%%</p></td>\r\n</tr><tr>\r\n<td>&nbsp;</td>\r\n<td><p>%%description%%</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</div>\r\n', '18');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_timelock`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_timelock` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ip` varchar(20) NOT NULL default '',
  `time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_timelock`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_trackback`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_trackback` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `post_id` int(10) NOT NULL default '0',
  `entry_title` tinytext NOT NULL,
  `blog_name` tinytext NOT NULL,
  `excerpt` text NOT NULL,
  `entry_url` tinytext NOT NULL,
  `t_stamp` int(10) unsigned NOT NULL default '0',
  `trackback_ip` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_trackback`
#


# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_upload_prefs`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_upload_prefs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `refname` tinytext NOT NULL,
  `relpath` tinytext NOT NULL,
  `abspath` tinytext NOT NULL,
  `properties` tinytext NOT NULL,
  `preformat` tinytext NOT NULL,
  `postformat` tinytext NOT NULL,
  `maxsize` tinytext NOT NULL,
  `maxheight` tinytext NOT NULL,
  `maxwidth` tinytext NOT NULL,
  `allowedtypes` tinytext NOT NULL,
  `deftdir` char(1) NOT NULL default '1',
  `deftfield` varchar(12) NOT NULL default 'body',
  `minlevel` int(10) unsigned NOT NULL default '7',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_upload_prefs`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_upload_prefs` VALUES (1, 'uploads', 'Main Upload Directory', '../images/uploads/', '@@BASE_URL_SCHEME@@://@@BASE_URL_HOST@@/@@BASE_URL_PATH@@/images/uploads/', 'border="0" alt="image" name="image"', '', '', '', '', '', 'gif jpg jpeg png', '1', 'body', 4);

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_weblog`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_weblog` (
  `post_id` int(10) unsigned NOT NULL auto_increment,
  `member_id` varchar(10) NOT NULL default '',
  `t_stamp` int(10) unsigned NOT NULL default '0',
  `x_stamp` int(10) unsigned NOT NULL default '2000000000',
  `title` tinytext NOT NULL,
  `blurb` text NOT NULL,
  `body` text NOT NULL,
  `more` text NOT NULL,
  `custom1` text NOT NULL,
  `custom2` text NOT NULL,
  `custom3` text NOT NULL,
  `trackback` tinytext NOT NULL,
  `status` varchar(6) NOT NULL default 'open',
  `month` char(2) NOT NULL default '',
  `year` varchar(4) NOT NULL default '',
  `day` char(2) NOT NULL default '',
  `weblog` varchar(50) NOT NULL default 'weblog',
  `category` char(3) NOT NULL default '',
  `c_total` mediumint(8) unsigned NOT NULL default '0',
  `tb_total` mediumint(8) unsigned NOT NULL default '0',
  `pb_total` mediumint(8) unsigned NOT NULL default '0',
  `c_date` int(10) unsigned NOT NULL default '0',
  `c_hits` mediumint(8) unsigned NOT NULL default '0',
  `m_hits` mediumint(8) unsigned NOT NULL default '0',
  `preview` char(1) NOT NULL default '0',
  `showcomments` char(1) NOT NULL default '1',
  `nl2brBlurb` char(1) NOT NULL default '1',
  `nl2brBody` char(1) NOT NULL default '1',
  `nl2brMore` char(1) NOT NULL default '1',
  `nl2brC1` char(1) NOT NULL default '1',
  `nl2brC2` char(1) NOT NULL default '1',
  `nl2brC3` char(1) NOT NULL default '1',
  `sticky` char(1) NOT NULL default 'n',
  `sent_pings` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`post_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_weblog`
#

INSERT INTO `@@DB_MAIN_PREFIX@@_weblog` VALUES (1, '1', UNIX_TIMESTAMP(), 2000000000, 'Welcome to pMachine!', '', 'This is an example weblog entry. We added it as a place-holder, so the page wouldn\'t be blank. You can delete it from within your control panel.', 'Here is an example of "more", or extended text.  The link to this page will only be displayed if your entry contains "extended" information.  How your information gets displayed is determined in the the control panel templates, and by setting preferences.', '', '', '', '', 'open', '0', '0', '0', 'weblog', '', 1, 0, 0, UNIX_TIMESTAMP(), 0, 0, '0', '1', '1', '1', '1', '1', '1', '1', 'n', '');

# --------------------------------------------------------

#
# Table structure for table `@@DB_MAIN_PREFIX@@_whitelisted`
#

CREATE TABLE `@@DB_MAIN_PREFIX@@_whitelisted` (
  `whitelisted_type` varchar(20) NOT NULL default '',
  `whitelisted_value` text NOT NULL
) TYPE=MyISAM;

#
# Dumping data for table `@@DB_MAIN_PREFIX@@_whitelisted`
#

