<?php include("pm_inc.php"); ?>
<?php pblock_cookie("test"); ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>

<title>Weblog</title>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />


<!-- 
    Pull-down menu navigation.  Used with category menu.
    Note: This isn't used by default.  It's only needed if
    you use the 'pull-down version of the category menu,
    rather than the 'text link' version 
-->

<script language="JavaScript" type="text/javascript" >
<!-- 
    function gotoCategory(index) {
        document.categories.submit();
    }
//-->
</script>



<!-- CSS stylesheet -->

<link rel="stylesheet" type="text/css" href="weblog.css" />


</head>

<body>

<?php pblock("test"); ?>

<!-- Left sidebar -->

<div id="menu">

<br /><br />


<!-- Member links: Login, Members, Calendar, etc.-->

<h4>MEMBERS</h4>

<?php member_login_navbar(); ?>



<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- Various site statistics -->

<h4>STATS</h4>

Total entries: <?php weblog_stats("weblog"); ?>
<br />
Total comments: <?php comment_stats("weblog"); ?>
<br />
Total members: <?php member_stats(); ?>
<br />



<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- Link to calendar page -->

<a href="./calendar/index.php">Calendar</a>



<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- Weblog Categories - will only appear if you define categories -->

<?php weblog_categories($id,"weblog","text"); ?>



<!-- Mini-calendar -->

<div align="center"><?php mini_calendar($id,"weblog"); ?></div>



<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- Search form - simple version -->

<?php simple_search_form(); ?>



<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- List of month names. Shown as links to archives page -->

<h4>ARCHIVES</h4>

<?php archive_month_names("weblog"); ?>



<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>




<!-- Links to 'archive summary' page -->

<h4>ARCHIVE SUMMARY</h4>

<a href="archivesum.php?view=date">View by Date</a>

<br /><br />

<a href="archivesum.php?view=category">View by Category</a>




<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- Mailing list submission form -->

<h4>MAILING LIST</h4>

<?php mailinglist_form(); ?>



<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- Link to RSS Syndication page -->

<a href="index.xml">XML</a>




<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- Hit counter -->

<?php hit_counter(); ?>




<!-- Spacer between menu items -->

<div class="menuSpacer">&nbsp;</div>



<!-- 'Powered by' image -->

<a href="http://www.pmachine.com/"><img src="./images/powered.gif" border="0" width="128" height="22" alt="Powered by pMachine" title="Powered by pMachine" /></a>



<!--  Closing div tag for left side bar -->

</div>



<!--  Main content on right side of page -->

<div id="content">


<!-- Weblog entries -->

<?php

$sql = "SELECT title, t_stamp, description 
		FROM $db_events 
		WHERE t_stamp > '".$SHARED->get_offset_time()."'
		ORDER BY t_stamp LIMIT 0,10";
		
$query = new DB_query($DB, $sql);

while ($query->db_fetch_object()) 
{
    $title = $query->obj->title;
    $description = nl2br(pmcode_decode($query->obj->description,'no'));
    
    $date = date('M d, Y - h:i a',$query->obj->t_stamp);
    
    if (get_magic_quotes_gpc())
    {
        $title = stripslashes($title);
        $description = stripslashes($description);
    }
    
    echo "<p><strong>$title on $date</strong>\n<br />\n$description</p>\n\n";
}
?>


<!--  Closing div tag for right side content -->

</div>



</body>

</html>
