<?php


	// CONFIG ----------------------------------------
	
	 // time in minutes between caches
	$time = 15;
	
	// "time file" - stores a timestamp (set to 666)
	$timefile = "cache_time.txt"; 
	
	// Web page you are caching
	$webpage = "cache_index.php";
	
	// Cache file - the file that stores the cache (set to 666)
	$cachefile = "cache_file.php";
	
	// END CONFIG -------------------------------------

	
	// Set cache flag.
	$cache = 0; 
	
	 // Read time file
	$timestamp = file($timefile);
		
	
	// If time file is empty, write the timestamp
	if (!isset($timestamp['0']))
	{		
		$f = fopen($timefile, "w+");
		fputs($f, time());
		fclose($f);	
		
		$cache = 1;	
	}
	
	// if cache file is not empty
	else
	{
		$t = str_replace("\n", "", $timestamp['0']);
		$t = str_replace("\r", "", $t);	
		
		if (!eregi("^[0-9]+$", $t)) 
		$t = 0;
	
		// If the time in the time file has expired:
		if (($t + ($time * 60)) <= time())
		{
			// Open time file and update the timestamp
			$f = fopen($timefile, "w+");
			fputs($f, time());	
			fclose($f);
			
			$cache = 1;
		}
	}

	
	// If the cache flag is set to "1" we'll update the cache file
	if ($cache == 1)
	{
			// Starat output buffer		
			ob_start();
			
			// include your weblog page
			
			include($webpage); 
			
			// Assign the buffer to a variable
			
			$buffer = ob_get_contents();
					
			ob_end_clean(); 
			
			// Write the cache file
			
			$fp = fopen($cachefile, "w");
			
			fwrite($fp, $buffer);
			
			fclose($fp);
	}
	
	include($cachefile);
?>