<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//		TOGGLE GLOBAL CATEGORIES ON/OFF
//	----------------------------------------------

function toggle_global_categories($flip='')
{
	global $db_prefs, $DB;

	if ($flip == '')
	{
		$flip = 'no';
	}

	$query = new DB_query($DB, "UPDATE $db_prefs SET pm_value='{$flip}' WHERE pm_option='global_categories'");
}
// END



//	----------------------------------------------
//		GLOBAL CATEGORY FORM
//	----------------------------------------------

function global_category_form()
{
	global $L_PREFERENCES, $L_CATEGORIES, $sx, $sfx, $SHARED;

	if ($SHARED->get_pref("global_categories") == 'yes')
	{
		$sel_yes = 'checked="checked"';
		$sel_no = '';
	}
	else
	{
		$sel_yes = '';
		$sel_no = 'checked="checked"';
	}
?>
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=admin&p=globalcats"; ?>">
<div class="text11"><?php echo $L_CATEGORIES['160']; ?>&nbsp;&nbsp;
<?php echo $L_PREFERENCES['100']; ?>&nbsp;<input type="radio" name="globalcats" value="yes" <?php echo $sel_yes; ?>>&nbsp;&nbsp;
<?php echo $L_PREFERENCES['105']; ?>&nbsp;<input type="radio" name="globalcats" value="no" <?php echo $sel_no; ?>>
<br /><br />
<input type="submit" value=" UPDATE " class="smbutton">
</form>
<?php
}
// END



//	----------------------------------------------
//		CATEGORY MENU PAGE
//	----------------------------------------------

function show_weblogs_for_categories() 
{
	global $db_multiweblogs, $L_CATEGORIES;
	global $L_CATEGORIES, $sx, $sfx, $DB, $SHARED;
	
	$globalcats = $SHARED->get_pref('global_categories');
	
	if ($globalcats == 'yes')
	{
		$maintitle  = '&nbsp;';
		$weblogtitle = $L_CATEGORIES['165'];
	}
	else
	{
		$maintitle	 = $L_CATEGORIES['150'];
		$weblogtitle = 'weblog';		
	}

?>
<br />
<div align="left">

<table border="0" cellspacing="0" cellpadding="0" width="280">
<tr>
<td colspan="2">

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td><div class="smlinkbluenb"><b><?php echo $maintitle; ?>&nbsp;&nbsp;</b></div></td>
</tr>
</table>

</td>
</tr>

<tr><td colspan="2"><hr size="1" color="#cccccc"></td></tr>

<?php
if ($globalcats == 'yes')
{
?>

<tr><td><div class="text10"><b><?php echo $weblogtitle; ?></b></div></td><td align="right"><div class="smlinkblue"><a href="<?php echo "index$sfx?sx=$sx&m=admin&p=showcats&weblog=weblog";?>"><?php echo "$L_CATEGORIES[155]"; ?></a></div></td></tr>	
<tr><td colspan="2"><hr size="1" color="#cccccc"></td></tr>
<?php
}
elseif ($globalcats != 'yes')
{	
	$query = new DB_query($DB, "SELECT weblog FROM $db_multiweblogs ORDER BY weblog asc");

	while ($query->db_fetch_array()) 
	{
		$weblog = $query->row['weblog'];
	
?>
<tr><td><div class="text10"><b><?php echo $weblog; ?></b></div></td><td align="right"><div class="smlinkblue"><a href="<?php echo "index$sfx?sx=$sx&m=admin&p=showcats&weblog=$weblog";?>"><?php echo "$L_CATEGORIES[155]"; ?></a></div></td></td></tr>	

<tr><td colspan="2"><hr size="1" color="#cccccc"></td></tr>
<?php
	}
}

?>
</table>
<?php
}
// END



//	----------------------------------------------
//		GET CATEGORIES
//	----------------------------------------------

function get_categories($weblog) 
{	
	global $db_categories, $L_CATEGORIES, $sx, $sfx, $DB, $SHARED; 
 
	$which = ($SHARED->get_pref("global_categories") == "yes") ? $L_CATEGORIES['170'] : $weblog;

	$sql = "select id, category 
			from $db_categories 
			where weblog = '$weblog' 
			order by category";
			
	$query = new DB_query($DB, $sql);
     
	if ($query->db_num_rows() == 0) 
	{ 
		?><div class="text10"><?php echo $L_CATEGORIES['100']." $which"; ?></div><?php      
	}
	else 
	{  
	
?>
<hr size="1" width="260" align="left" color="#cccccc">

<table border="0" cellspacing="0" cellpadding="0" width="260">
<tr>
<td><div class="text10"><b><?php echo "$L_CATEGORIES[105]"; ?></b></div></td><td align="center"><div class="text10"><b><?php echo "$L_CATEGORIES[110]"; ?></b></div></td><td align="right"><div class="text10"><b><?php echo "$L_CATEGORIES[115]"; ?> &nbsp;</b></div></td></tr>
<?php       
          
	while ($query->db_fetch_array()) 
	{
		$id = $query->row['id'];
		$category = $query->row['category'];

		if (get_magic_quotes_runtime())
			$category = stripslashes($category);
?>
<tr><td colspan="3"><hr size="1" color="#cccccc"></td></tr>
<tr><td><div class="text9"><?php echo "$category" ?></div></td><td align="center"><div class="smlink"><a href="<?php echo "index$sfx?sx=$sx&m=admin&p=editcategory&id=$id"; ?>"><b><?php echo "$L_CATEGORIES[110]"; ?></b></a></div></td><td align="right"><div class="smlink"><a href="<?php echo "index$sfx?sx=$sx&m=admin&p=delcategory&id=$id&weblog=$weblog"; ?>"><b><?php echo "$L_CATEGORIES[115]"; ?></b></a> &nbsp; </div></td></tr>	
<?php
    }
?>
</table>
</div>
<?php 
   }
}
// END



//	----------------------------------------------
//		ADD A NEW CATEGORY
//	----------------------------------------------

function add_category($entryname, $weblog) 
{	
	global $db_categories, $L_CATEGORIES, $DB;

	if ($entryname == "") 
	{
        new_category_form($weblog);
        get_categories($weblog);
	}
	else 
	{
        if (!get_magic_quotes_gpc())
            $entryname = addslashes($entryname);
            
		$sql = "insert into $db_categories (id,category,weblog) values ('','".trim($entryname)."','$weblog')";    
		$query = new DB_query($DB, $sql);                                                 

    	new_category_form($weblog);
    	get_categories($weblog);
	}
}  
// END



//	----------------------------------------------
//		EDIT A CATEGORY
//	----------------------------------------------

function edit_category($id) 
{	
	global $db_categories, $DB;     

	$query = new DB_query($DB, "select id,category,weblog from $db_categories where id = '$id'");
	
    $query->db_fetch_array();	
    
	$category = $query->row['category'];

	if (get_magic_quotes_runtime())
		$category = stripslashes($category);

	new_category_form($query->row['weblog'],$category,$query->row['id']);
}
// END



//	----------------------------------------------
//		UPDATE CATEGORY
//	----------------------------------------------

function update_category($entryname="",$id, $weblog) 
{	
	global $db_categories, $L_CATEGORIES, $DB;

    if ($entryname =="") 
    {
		new_category_form($weblog);
		get_categories($weblog); 
    }
    else 
    {

	if (!get_magic_quotes_gpc())
		$entryname = addslashes($entryname);
		
	$query = new DB_query($DB, "update $db_categories set category = '".trim($entryname)."' where id = '$id'");                                                      

    new_category_form($weblog);
    get_categories($weblog);
  }
}
// END



//	----------------------------------------------
//		DELETE CATEGORY
//	----------------------------------------------

function delete_category($id, $weblog) 
{	
	global $db_categories, $L_CATEGORIES, $DB;
 
	if ($id != '') 
	{
		$query = new DB_query($DB, "delete from $db_categories where id = '$id'");
	}        
 
	new_category_form($weblog);
	get_categories($weblog);
}
// END



//	----------------------------------------------
//		DELETE CATEGORY
//	----------------------------------------------

function new_category_form($weblog="",$category="",$id="") 
{
	global $L_CATEGORIES, $sx, $sfx;

    if ($id == "") 
    {
         $action = "newcategory";
         $button = " $L_CATEGORIES[135] ";
    }
    else 
    {
         $action = "udcategory";
         $button = " $L_CATEGORIES[140] ";
    }
?>
<div align="left">
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=admin&p=$action"; ?>">
<input type="hidden" name="weblog" value="<?php echo "$weblog"; ?>">
<input type="hidden" name="id" value="<?php echo "$id"; ?>">

<table border="0" cellspacing="0" cellpadding="1">
<tr>
<td bgcolor="#cccccc">

<table border="0" cellspacing="0" cellpadding="5">
<tr>
<td align="right" bgcolor="#ffffff"><div class="text10"><b><?php echo "$L_CATEGORIES[145]"; ?> </b></div></td>
<td align="left"  bgcolor="#ffffff"><input type="text" name="entryname" class="box150" maxlength="100" value="<?php echo htmlspecialchars($category); ?>"  ></td>
</tr>
</table>
</td>
</tr>
</table>

<br />

<input class="button" type="submit" value="<?php echo "$button"; ?>"> 

</form>
<?php
}
// END
?>