<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	----------------------------------------------
//	 GATHER COMMENT DATA FOR VARIOUS PURPOSES
//	----------------------------------------------

function get_comment_data($action, $id, $show='', $f='') 
{
	global $db_members, $db_nonmembers, $db_comments; 
	global $comments_per_page, $L_COMMENTS, $db_weblog;
	global $sx, $sfx, $DB, $SHARED, $L_WEBLOG, $L_BLACKLIST; 
	global $L_MEMBERS;
 
    if ($comments_per_page == "all") 
        $comments_per_page  = "10000";
        
    if ($show == '') 
        $show = 0; 
	
	$memdir = $SHARED->get_pref("memdir","1"); 
	
	$sql = "SELECT $db_comments.*, $db_weblog.weblog, $db_weblog.title FROM $db_comments, $db_weblog 
			WHERE $db_comments.post_id = $db_weblog.post_id AND $db_comments.preview = '0' ";
 
// VIEW ALL COMMENTS
if ($action == "view")
{ 	
	if (!access_privs(9))
	{
		$sql .= " AND $db_comments.status = 'open' ";
	}
	
	if ($f == "ind") 
	{
		$txt = $L_COMMENTS['100'];
		    
		$sql .= " AND $db_comments.member_id = '$id' ORDER BY $db_comments.t_stamp desc "; 
		
		$tql = "SELECT COUNT(*) AS count FROM $db_comments WHERE preview = '0' AND member_id = '$id'";   
	}
	else 
	{     
		$txt = $L_COMMENTS['105'];
		    
		$sql .= " AND $db_comments.post_id = '$id' ORDER BY $db_comments.t_stamp asc ";
		
		$tql = "SELECT COUNT(*) AS count FROM $db_comments WHERE preview = '0' AND post_id = '$id'";   
	} 

	$sql .= " LIMIT $show, $comments_per_page";
	
	$query = new DB_query($DB, $tql);
	$query->db_fetch_array();
	$total = $query->row['count'];
	
	if ($total == 0)
	{
		return error_message("$txt");
	}
	
	unset($query);
	
// EDIT COMMENT
}
elseif ($action == "edit")
{	
	if (!access_privs(9))
	{
		$sql .= " AND $db_comments.status = 'open' ";
	}
	
	$sql .= " AND comment_id = '$id'";
	
	$total = 0;
	
// VIEW UPDATED COMMENT
}
elseif($action == 'search')
{
	$sql .= $id;
	
	$tql = "SELECT COUNT(*) AS count FROM $db_comments, $db_weblog WHERE $db_comments.preview = '0' {$id}";   

	$sql .= " LIMIT $show, $comments_per_page";
	
	$query = new DB_query($DB, $tql);
	$query->db_fetch_array();
	$total = $query->row['count'];
	
	if ($total == 0)
	{
		return error_message($L_MEMBERS['405']);
	}	
}
else
{
	if (!access_privs(9))
	{
		$sql .= " AND $db_comments.status = 'open' ";
	}
	
	$sql .= " AND comment_id = '$id'";
	
	$action = "view";
	$total  = 0;
}

	$query = new DB_query($DB, $sql);
		
	$weblog			= '';
	$entry_title	= '';
	$page_title		= $L_WEBLOG['280'];
	$edit_text		= '';
	$delete_text	= '';
	$status_text	= '';
	$status			= '';
	
	$i = 0;

	while ($query->db_fetch_array()) 
	{
		$i++;
		$comid  = $query->row['comment_id'];  
		$postid = $query->row['post_id']; 
		$memid  = $query->row['member_id'];
		$body	= $query->row['body'];
		
		if (access_privs(9))
		{
			$status = $query->row['status'];
		}
		
		if ($f == 'ind' OR $action == 'search')
		{
			$weblog	= $query->row['weblog'];
			$entry_title = $query->row['title'];
		}
		elseif($i == 1)
		{
			$page_title = $L_WEBLOG['280'].': '.$query->row['title'].' ('.$query->row['weblog'].')';
		}
		
		if($i == 1)
		{
			echo '<br />';
			
			if ($action != "edit")
			{
				echo "\n\n".'<script language="JavaScript">
<!--

function toggle(thebutton)
{
	if (thebutton.checked) 
	{
		val = true;
	}
	else
	{
		val = false;
	}
	
	var len = document.edit_comments.elements.length;
        
	for (var i = 0; i < len; i++) 
	{
		var button = document.edit_comments.elements[i];
                
		var name_array = button.name.split("["); 
                
		if (name_array[0] == "row") 
		{
			button.checked = val;
		}
	}
	
	document.edit_comments.toggleflag.checked = val;
}
//-->
</script>'."\n\n";
			
				echo '<form method="post" action="index'.$sfx.'?sx='.$sx.'&m=weblog&p=modify_comments" name="edit_comments">';
				$edit_text   = $L_COMMENTS['130'];
				$delete_text = $L_COMMENTS['135'];
				
				if (access_privs(9))
				{
					$status_text = $L_WEBLOG['520'];
				}
			}
			
			echo '<table cellpadding="3" cellspacing="0" border="0" width="98%">
<tr>
<td colspan="2" width="78%" bgcolor="#6666cc"><div class="white" style="padding: 2px 0 2px 2px"><b>'.$page_title.'</b></div></td>
<td width="6%" align="center" bgcolor="#6666cc"><div class="white" style="padding: 2px 0 2px 2px"><b>'.$status_text.'</b></div></td>
<td width="6%" align="center" bgcolor="#6666cc"><div class="white" style="padding: 2px 0 2px 2px"><b>'.$edit_text.'</b></div></td>
<td width="10%" align="left" bgcolor="#6666cc"><div class="white" style="padding: 2px 0 2px 2px">
<input class="checkbox" type="checkbox" name="toggleflag" value="" onclick="toggle(this);" />
<b>'.$delete_text.'&nbsp;
</b></div></td>
</tr>
</table>';
		}
		
		$date = date("m/d/y  g:i A", $query->row['t_stamp']);
				

        if (get_magic_quotes_runtime())
            $body = stripslashes($body);

        if (substr($memid, 0, 2) == 'NM') 
        {
            $mquery = new DB_query($DB, "select signature,email,url,location,ipaddress,show_email 
                                   from $db_nonmembers 
                                   where id = '".substr($memid,2)."'");
        } 
        else 
        {
            $mquery = new DB_query($DB, "select signature,email,url,location,ipaddress,show_email
                                   from $db_members 
                                   where id = '$memid'");
        }

		$mquery->db_fetch_array();
           		
		$email      = $mquery->row['email'];
		$ipaddress  = $mquery->row['ipaddress'];
		$show_email = $mquery->row['show_email'];
		$name       = stripslashes($mquery->row['signature']);
		$url        = stripslashes($mquery->row['url']);
		$location   = stripslashes($mquery->row['location']);


        if ($url != '')
        {
            $url = strtolower($url);
                
            if (!strstr($url, 'http://www')) 
            {
                if (strstr($url, 'www.')) 
                {
                    $url = 'http://'.$url;
                }
                elseif (!strstr($url, 'http://')) 
                {
                    $url = 'http://'.$url;
                }
            }
			$url = "{$memdir}sitelaunch$sfx?go=$url";
		}


		if ($action == "view" OR $action == 'search')
		{		
			$body = pmcode_decode($body);
			$body  = nl2brExceptPre($body);
		
			show_comments($memid, $body,$comid,$date,$name,$email,$url,$location,$ipaddress, $weblog, $entry_title, $postid, $status);  
		}
		else
		{
			edit_comment_form($comid,$date,$name,$body,$postid);  
		}
	  
 	}
 	
 	if ($action != "edit")
 	{
 		echo '<table cellpadding="3" cellspacing="0" border="0" width="98%">
	<tr>
	<td colspan="4" width="100%" align="right">
	<input type="submit" name="change_status" value="'.$L_COMMENTS['210'].'" class="button" />&nbsp;'."\n\n".'
	<input type="submit" name="delete_comments" value="'.$L_COMMENTS['135'].'" class="button" />'."\n\n".'
	</td>
	</tr>
	</table>
	</form>';
	}
  
   $next_page = $show + $comments_per_page;
   $prev_page = $show - $comments_per_page;
   $nav = '';  

	if ($prev_page >= 0) 
	{
	
		if ($next_page < $total)
		{
		 $nav = "<td><div class=\"smlink\"><a href=\"index$sfx?sx=$sx&m=weblog&p=show_comment&id=$id&show=$prev_page&f=$f\"><b>&lt;&lt; $L_COMMENTS[110]</b></a></div></td>";
		}
		else
		{
		 $nav = "<td><div class=\"smlink\"><a href=\"index$sfx?sx=$sx&m=weblog&p=show_comment&id=$id&show=$prev_page&f=$f\"><b>&lt;&lt; $L_COMMENTS[110]</b></a></div></td>";
		}
	}
	if ($next_page < $total) 
	{
		if ($nav == "")
		{
		 $nav = "<td align=\"right\"><div class=\"smlink\"><a href=\"index$sfx?sx=$sx&m=weblog&p=show_comment&id=$id&show=$next_page&f=$f\"><b>$L_COMMENTS[115] &gt;&gt;</b></a></div></td>";
		}
		else
		{
		 $nav = $nav ."<td align=\"right\"><div class=\"smlink\"><a href=\"index$sfx?sx=$sx&m=weblog&p=show_comment&id=$id&show=$next_page&f=$f\"><b>$L_COMMENTS[115] &gt;&gt;</b></a></div></td>";
		}
	}
	
	if ($nav != '') 
	{		
	?>
	
<table cellpadding="0" cellspacing="0" border="0" width="98%">
<tr>
<?php echo "$nav"; ?>
</tr>
</table>

	<?php
	} 
}
// END




//	----------------------------------------------
//		SHOW COMMENTS
//	----------------------------------------------

function show_comments( $member_id, 
						$body, 
						$comment_id, 
						$date, 
						$name, 
						$email='', 
						$url='', 
						$location='', 
						$ipaddress='',
						$weblog='',
						$entry_title='',
						$postid='',
						$status='') 
{
 	global $L_COMMENTS, $sx, $sfx, $L_WEBLOG;
 	
 	$snippets = preg_split("/\r\n|\n|\r/", trim($body));
 	
?>
<br />

<table cellpadding="3" cellspacing="0" border="0" width="98%">
<tr>
<td bgcolor="#efefff" width="78%"><div class="smlinkgrey">


<?php

if (substr($member_id, 0, 2)=="NM") 
{

?><?php echo "<span class=\"text10\"><b>" . $name . "</b></span>&nbsp;&nbsp;" . $date; ?><?php

	if ($email != '')
	{
		?>&nbsp;&nbsp;<a href="mailto:<?php echo"$email" ;?>"><b><?php echo"$L_COMMENTS[140]"; ?></b></a><?php
	} 

	if ($url != '') 
	{
		?>&nbsp;- <a href="<?php echo "$url"; ?>" target="blank"><b><?php echo"$L_COMMENTS[145]"; ?></b></a><?php
	}

	?>&nbsp;<b>|</b>&nbsp;<?php echo"IP $ipaddress" ;?>

<?php

}
else 
{

?>
<a href="<?php echo "index$sfx?sx=$sx&m=members&p=edit&id=$member_id&show=static"; ?>" ><b><?php echo"$name" ;?></b></a></b>&nbsp;&nbsp;<?php echo "$date"; ?>
<?php

}

	if ($entry_title != '')
	{
		if (strlen($entry_title) > 30)
		{
			$entry_title = substr($entry_title, 0, 30).'...';
		}
		
		$link_to_post = "index$sfx?sx=$sx&m=weblog&p=show_comment&id=$postid";
		echo "&nbsp;<b>|</b><a href='{$link_to_post}' title='{$entry_title}'>&nbsp;{$entry_title} ({$weblog})</a></div>";
	}
	else
	{
		echo '</div>';
	}	

	$status_text = '';
	
	if ($status != '')
	{
		$new_status = ($status == 'open') ? 'closed' : 'open';
		
		$status_text = '<a href="index'.$sfx.'?sx='.$sx.'&m=weblog&p=change_comment&comid='.$comment_id.'&status='.$new_status.'">'.
						ucfirst($status).'</a>';
	}


?>
</td>
<td align="center" bgcolor="#efefff" width="6%">
<div class="smlinkblue">
<?php echo $status_text; ?></td>

<td align="center" bgcolor="#efefff" width="6%">
<div class="smlinkblue">
<a href="<?php echo "index$sfx?sx=$sx&m=weblog&p=edit_comment&id=$comment_id"; ?>">
<?php echo $L_COMMENTS[130]; ?></a></td>

<td bgcolor="#efefff" align="left" width="10%">
<div class="smlink">
<input type="checkbox" id="delete" name="row[<?php echo $comment_id; ?>]" value="<?php echo $comment_id; ?>">
</div>
</td>
</tr>



<tr>

<td colspan="2">
<div class="text11">

	<?php

	if (sizeof($snippets) > 1)
	{
	?>

<div id='extLink<?php echo $comment_id; ?>'>
<a href="javascript:void(0);" name="ext1" onclick="showHide(<?php echo $comment_id; ?>,this,'open');return false;">[+]</a>
&nbsp;&nbsp;<?php echo trim($snippets['0']); ?></div>

<div id="extText<?php echo $comment_id; ?>" style="display: none; padding:0;">
<a href="javascript:void(0);" name="ext1" onclick="showHide(<?php echo $comment_id; ?>,this,'close');return false;">[-]</a>
&nbsp;&nbsp;<?php echo trim($body); ?></div>

	<?php
	}
	else
	{
		echo trim($body);
	}
	?>

<br />
</div>
</td>

<td colspan="2">&nbsp;</td>
</tr>
</table>

<?php
}
// END



//	----------------------------------------------
//		EDIT COMMENT FORM
//	----------------------------------------------

function edit_comment_form($comid,$date,$name,$body,$postid) 
{
	global $L_COMMENTS, $sx, $sfx;
?>
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=weblog&p=update_comment"; ?>">
<input type="hidden" name="comid"  value ="<?php echo "$comid"; ?>" >
<input type="hidden" name="name"  value ="<?php echo "$name"; ?>" >
<input type="hidden" name="postid"  value ="<?php echo "$postid"; ?>" >

<table cellpadding="4" cellspacing="0" border="0">
<tr>
<td valign="top"  bgcolor="#ffffff"><div class="text10"><?php echo"$L_COMMENTS[150]"; ?>&nbsp;<b><?php echo "$name"; ?></b>&nbsp;&nbsp;&nbsp;<?php echo "$date"; ?></div></td>
</tr><tr>
<td valign="top"  bgcolor="#ffffff"><textarea name="body"  class="textarea" rows="16" cols="<?php echo "$GLOBALS[t_area_one]"; ?>" wrap="virtual" ><?php echo htmlspecialchars($body); ?></textarea></td>
</tr><tr>
<td colspan="2" bgcolor="#ffffff" align="left"><input type="submit" name="update_comment" value=" <?php echo "$L_COMMENTS[165]"; ?> " class="button"></td>
  	
<?php table_bot(); ?>
</form>
<?php
}
// END



//	----------------------------------------------
//		UPDATE COMMENT
//	----------------------------------------------

function update_weblog_comment($comid,$date,$name,$body,$postid)  
{ 
	global $db_comments, $db_weblog, $L_COMMENTS, $DB, $SHARED;
    
	if  ($body == "") 
	{
		 error_message("$L_COMMENTS[120]");
		 edit_comment_form($comid,$date,$name,"",$postid);
		 end_content_wrapper();
		 footer();  
		 exit;
	 }
	
	$query = new DB_query($DB, "select weblog from $db_weblog  where post_id = '$postid'");
    $query->db_fetch_array();
    $weblog = $query->row['weblog'];

	unset($query);     

	if ($SHARED->get_pref("auto_format_HTML_comment_$weblog") == "yes") 
	{
		$body = pmcode_basic_encode($body);
	}
	if ($SHARED->get_pref("auto_format_IMGS_comment_$weblog") == "yes") 
	{
		$body = pmcode_img_encode($body);
	}        
	if ($SHARED->get_pref("auto_format_URLS_comment_$weblog") == "yes") 
	{
		$body = pmcode_url_encode($body);
	}
		$body = pmcode_remove_tags($body);

		$body = special_char_decode($body);
    
	if (!get_magic_quotes_gpc())
		$body = addslashes($body);

	$query = new DB_query($DB, "update $db_comments set body = '$body' where comment_id ='$comid'");

	get_comment_data("",$comid);     
}
// END




//	----------------------------------------------
//		DELETE CONFIRM
//	----------------------------------------------

function delete_comment_confirm($comid, $mbrid='') 
{
	global $L_COMMENTS, $sx, $sfx;
	
	if ( ! is_array($comid) && $mbrid == '')
	{
		return false;
	}	
	
	$message = ( ! is_array($comid)) ? $L_COMMENTS['160'] : $L_COMMENTS['175'];
	
?>
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=weblog&p=comment_delete"; ?>">
<?php

	if ( ! is_array($comid))
	{
		echo '<input type="hidden" name="comid" value="'.$comid.'" />';
	}
	else
	{
		foreach($comid as $id)
		{
			echo '<input type="hidden" name="comid[]" value="'.$id.'" />'."\n";
		}
	}
?>
<input type="hidden" name="mbrid" value="<?php echo "$mbrid"; ?>" />

<div class="text11red"><b><?php echo $message; ?></b></div>

<br />

<input type="submit" value=" <?php echo "$L_COMMENTS[170]"; ?> " class="button">

<form>
<?php	
}
// END



//	----------------------------------------------
//		DELETE COMMENT
//	----------------------------------------------

function delete_comment($comid,$mbrid) 
{
	global $db_comments, $db_weblog, $db_members, $db_mbr_notify;
	global $db_nonmembers, $db_nmbr_notify, $L_COMMENTS, $DB;
	
	if ( ! is_array($comid))
	{
		$comid = array($comid);
	}
	
	foreach($comid as $comment_id)
	{
		$query = new DB_query($DB, "select post_id, member_id from $db_comments where comment_id = '$comment_id'");
    	$query->db_fetch_array();
    	$postid    = $query->row['post_id'];
    	$member_id = $query->row['member_id'];

		$query = new DB_query($DB, "delete from $db_comments where comment_id = '$comment_id'");
	
		$sql = "select count(*) as count from $db_comments where post_id = '$postid' and preview = '0' AND status = 'open'";
			
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();
		$c_total = $query->obj->count;
	
		$sql = "SELECT t_stamp FROM $db_comments 
				WHERE post_id = '$postid' 
				AND preview = '0' 
				AND status = 'open' 
				ORDER BY t_stamp desc LIMIT 1";
			
		$query = new DB_query($DB, $sql);
		
		if ($query->db_num_rows() == 0)
		{
			$c_date = 0;
		}
		else
		{
			$query->db_fetch_object();
			$c_date = $query->obj->t_stamp;
		}
		
	    $sql = "update $db_weblog 
	            set c_total = '$c_total', 
	            c_date = '$c_date' 
	            where post_id = '$postid'";
	
	    $query = new DB_query($DB, $sql);	    
	
		if (substr($member_id, 0, 2) == 'NM')
		{
			$query = new DB_query($DB, "select email from $db_nonmembers where id = '".substr($member_id,2)."'");
			$query->db_fetch_object();
			$email = $query->obj->email;
		
			$query = new DB_query($DB, "delete from $db_nmbr_notify where post_id = '$postid' and email = '$email'");  
			
			$query = new DB_query($DB, "delete from $db_nonmembers where id = '".substr($member_id,2)."'");	
		}
		else 
		{
			$query = new DB_query($DB, "delete from $db_mbr_notify where post_id = '$postid' and member_id = '$member_id'");  
			
			$query = new DB_query($DB, "select numcomments from $db_members where id = '$member_id'");
			$query->db_fetch_array();
			
			$num = $query->row['numcomments'] - 1;
	                           
	    	unset($query);
	         
			$query = new DB_query($DB, "update $db_members set numcomments = '$num' where id = '$member_id'");
	  	}
	}
	
	?>
	<br />
	<div class="text11green"><b><?php echo "$L_COMMENTS[125]"; ?></b></div>
	<br />
	<?php
}
	// END
	
	
// ----------------------------------------------
//  Change Comment Confirm
// ----------------------------------------------

function change_comment_confirm($comid='') 
{
	global $L_COMMENTS, $sx, $sfx;
	
?>
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=weblog&p=change_comment"; ?>">
<?php

	if ( ! is_array($comid))
	{
		echo '<input type="hidden" name="comid" value="'.$comid.'" />';
	}
	else
	{
		foreach($comid as $id)
		{
			echo '<input type="hidden" name="comid[]" value="'.$id.'" />'."\n";
		}
	}
?>

<div class="text11red"><b><?php echo $L_COMMENTS['225']; ?></b></div>

<br />

<input type="submit" value=" <?php echo $L_COMMENTS['210']; ?> " class="button">

<form>
<?php	
}
// END



//	----------------------------------------------
//		DELETE COMMENT
//	----------------------------------------------

function change_comment($comid, $status) 
{
	global $db_comments, $db_weblog, $db_members, $db_mbr_notify;
	global $db_nonmembers, $db_nmbr_notify, $L_COMMENTS, $DB;
	
	if ( ! is_array($comid))
	{
		$comid = array($comid);
	}	
	
	foreach($comid as $comment_id)
	{
		$query = new DB_query($DB, "select post_id, status from $db_comments where comment_id = '$comment_id'");
    	$query->db_fetch_array();
    	$postid    = $query->row['post_id'];
    	
    	if ($status == '')
    	{
    		$new_status = ($query->row['status'] == 'open') ? 'closed' : 'open'; 
    	}
    	else
    	{
    		$new_status = $status;
    	}

		$query = new DB_query($DB, "UPDATE $db_comments SET status = '$new_status' where comment_id = '$comment_id'");
	
		$sql = "select count(*) as count from $db_comments 
				where post_id = '$postid' and preview = '0' AND status = 'open'";
			
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();
		$c_total = $query->obj->count;
	
		$sql = "select t_stamp from $db_comments 
				where post_id = '$postid' and preview = '0' AND status = 'open' 
				order by t_stamp desc limit 1";
			
		$query = new DB_query($DB, $sql);
		
		if ($query->db_num_rows = 0)
		{
			$c_date = 0;
		}
		else
		{	
			$query->db_fetch_object();
			$c_date = $query->obj->t_stamp;
		}
		
	    $sql = "update $db_weblog 
	            set c_total = '$c_total', 
	            c_date = '$c_date' 
	            where post_id = '$postid'";
	
	    $query = new DB_query($DB, $sql);	    
	
	}
	
	$message = (sizeof($comid) == '1') ? $L_COMMENTS['220'] : $L_COMMENTS['215'];
	
	?>
	<br />
	<div class="text11green"><b><?php echo $message; ?></b></div>
	<br />
	<?php
}
	// END
	
	
?>