<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


function trans_month($month)
{
    switch($month)
    {
        case "January"  : $mnum = "300";
        break;
        case "February" : $mnum = "301";
        break;
        case "March"    : $mnum = "302";
        break;
        case "April"    : $mnum = "303";
        break;
        case "May"      : $mnum = "304";
        break;
        case "June"     : $mnum = "305";
        break;
        case "July"     : $mnum = "306";
        break;
        case "August"   : $mnum = "307";
        break;
        case "September": $mnum = "308";
        break;
        case "October"  : $mnum = "309";
        break;
        case "November" : $mnum = "310";
        break;
        case "December" : $mnum = "311";
        break;
    } 
    
    return $mnum;
}
// END


//	---------------------------------------------
//		MAIN BODY OF THE MINI CALENDAR 
//	---------------------------------------------

function mini_cp_calendar($year=0,$month=0) 
{
    global $calendarpage, $db_members, $db_session, $use_session_id;
    global $language, $pm_path, $member_code;
    global $sfx, $sx, $DB, $SHARED;

    if ($use_session_id ==1) 
    {
        $sql = "select member_id from $db_session where session_id = '$sx'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();                                            
        $member_code = $query->obj->member_id;
        
        unset($sql);
        unset($query);
    }
    
    $sql = "select id from $db_members where member_id = '$member_code'";
    
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $memid = $query->obj->id;
    
    unset($sql);
    unset($query);

    
        $cell_width = "0";
        $cell_height = "0";
        $header_bg = "#9999cc";
        $day_bg = "#efefef";
        $cell_border = "#cccccc";
        $cell_bg = "#ffffff";
        $today_bg = "#dddddd";
    

	$newtime = $SHARED->get_offset_time(); 
    
    $today   = date("d",$newtime);
    $tomonth = date("m",$newtime);
    $toyear  = date("Y",$newtime);
    
    
    if ($month == 0) $month = date("m", $newtime);
    if ($year == 0 ) $year  = date("Y", $newtime);

    if (strlen($month) == 1) $month = "0" . "$month";
    if (strlen($year) == 2 ) $year  = "20" . "$year";

    $prev_month = date("m", mktime(0,0,0,$month -1, 1, $year));
    $next_month = date("m", mktime(0,0,0,$month +1, 1, $year));
    $prev_year  = date("Y", mktime(0,0,0,$month -1, 1, $year));
    $next_year  = date("Y", mktime(0,0,0,$month +1, 1, $year));
    $week_day = 1-date("w", mktime(0,0,0,$month, 1, $year));
    $monthdays  = date("t", mktime(0,0,0,$month, 1, $year));
    $title      = date("F", mktime(0,0,0,$month, 1, $year));
  
    include ("{$pm_path}language/{$language}/main$sfx");
        
    $title = $L_CALENDAR[trans_month($title)];
        
    $calparams = array();
    
    $calparams['year']       = $year;
    $calparams['month']      = $month;
    $calparams['week_day']   = $week_day;
    $calparams['today']      = $today;
    $calparams['tomonth']    = $tomonth;
    $calparams['toyear']     = $toyear;
    $calparams['memid']      = $memid;
    $calparams['newtime']    = $newtime;

    $pmonth = $prev_month;
    $nmonth = $next_month;
    
    $pyear = $year;
    $nyear = $year;
    
    if ($pmonth == 12) $pyear = $year -1;    
    if ($nmonth == 01) $nyear = $year +1;    
    
   
?>

<table border="0" cellpadding="0" cellspacing="0" >
<tr>
<td align="center" colspan="2">
<table bgcolor="<?php echo "$header_bg"; ?>" align="center" border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
<td align="left"><span class="white"><a href="<?php echo "index$sfx?m=main&year=$pyear&month=$pmonth"; ?>">&lt;</a></span></td>
<td align="center"><span class="header"><?php echo"$title $year" ?></span></td>
<td align="right"><span class="white"><a href="<?php echo "index$sfx?m=main&year=$nyear&month=$nmonth"; ?>">&gt;</a></span></td>
</tr>
</table>
</td></tr>
<tr><td bgcolor="<?php echo "$cell_border"; ?>" colspan="2">
<table border="0" cellpadding="4" cellspacing="1">
<tr>
<td bgcolor="<?php echo "$day_bg"; ?>" align="center" width="<?php echo "$cell_width"; ?>"><span class="weekdays">S</span></td>
<td bgcolor="<?php echo "$day_bg"; ?>" align="center" width="<?php echo "$cell_width"; ?>"><span class="weekdays">M</span></td>
<td bgcolor="<?php echo "$day_bg"; ?>" align="center" width="<?php echo "$cell_width"; ?>"><span class="weekdays">T</span></td>
<td bgcolor="<?php echo "$day_bg"; ?>" align="center" width="<?php echo "$cell_width"; ?>"><span class="weekdays">W</span></td>
<td bgcolor="<?php echo "$day_bg"; ?>" align="center" width="<?php echo "$cell_width"; ?>"><span class="weekdays">T</span></td>
<td bgcolor="<?php echo "$day_bg"; ?>" align="center" width="<?php echo "$cell_width"; ?>"><span class="weekdays">F</span></td>
<td bgcolor="<?php echo "$day_bg"; ?>" align="center" width="<?php echo "$cell_width"; ?>"><span class="weekdays">S</span></td>
</tr><?php
while($week_day <= $monthdays)
{
echo "<tr>\r\n";
for ($j=1; $j<=7; $j++) 
{        
if (($week_day == $today) && ($month == $tomonth) && ($year == $toyear)) 
{
    $calparams['week_day'] = $week_day;
        
?><td bgcolor="<?php echo "$today_bg"; ?>" height="<?php echo "$cell_height"; ?>" valign="top" align="center"><span class="monthdays" align="right">
<?php echo(($week_day <= $monthdays && $week_day > 0 ) ? mini_cpcal_entries($calparams): "&nbsp;"); ?></span></td>
<?php       
}    
else 
{   
    $calparams['week_day'] = $week_day;
    
?><td bgcolor="<?php echo "$cell_bg"; ?>" height="<?php echo "$cell_height"; ?>" valign="top" align="center"><span class="monthdays" align="right">
<?php echo(($week_day <= $monthdays && $week_day > 0 ) ? mini_cpcal_entries($calparams): "&nbsp;"); ?></span></td>
<?php 
}
$week_day++;
}
echo "</tr>\r\n";
}
?>
</table>
</td>
</tr>
</table>


<?php
}
// END


//	---------------------------------------------
//	    RETRIEVE ENTRY DATES AND CREATE LINKS 
//	---------------------------------------------

function mini_cpcal_entries($calparams)
{
    global $db_weblog, $sfx, $DB;

    $year  =& $calparams['year'];
    $month =& $calparams['month'];
    $day   =& $calparams['week_day'];
    $memid  =& $calparams['memid'];
   
    if (($day  == $calparams['today']) && 
        ($month  == $calparams['tomonth']) && 
        ($year == $calparams['toyear']))
    {
          $dayfmt = "<b>$day</b>";
    }
    else  
    {
        $dayfmt = "$day";
    }


    if (strlen ($day) ==1) $day = "0"."$day";

    $sql = "select count(*) as count
            from $db_weblog 
            where preview = '0' 
            and status = 'open' 
            and year = '$year' 
            and month = '$month' 
            and day = '$day'";
  
    $query = new DB_query($DB, $sql);
  
    while ($query->db_fetch_object()) 
    {
    	if ($query->obj->count >0)
            $dayfmt = "<a href=\"index$sfx?m=weblog&p=editview&sortby=D$year$month$day\">$dayfmt</a>";
        
    } 
 
echo "$dayfmt";

    unset($sql);
    unset($query);
}
// END
?>