<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	----------------------------------------------
//	 META Redirect, for use with mass mailings
//	----------------------------------------------

function batch_processing_redirect()
{
	global $sfx, $sx, $id, $ct, $grt, $source, $batch_total, $L_POSTOFFICE;

	?>
	<html>
	
	<head>
	
	<title>pMachine</title>
	
	<meta http-equiv="refresh" content="10; url=<?php echo "index$sfx?sx=$sx&m=post_office&p=massmail&id=$id&source=$source&ct=$ct&grt=$grt"; ?>">
	
	</head>
	
	<body bgcolor="ffffff">
	
	<p><font face='verdana' size='3' color='#333333'>
	
	<?php
		
		echo $L_POSTOFFICE['460']; // Please do not use your browser until all emails have been sent.
		
	?>
	
	<br /><br />
	
	<?php	
	
		if ($ct != 0) // If "count" no zero we are in the sending loop
		{
			$from = $ct - $batch_total +1;
	
			$to = $from + $batch_total -1;
			
			if ($to > $grt)
				$to = $grt;
	
			echo $L_POSTOFFICE['470']." ".$from." - ".$to."</b>"; // Sending emails:
			
			echo "<br /><br />"; 
		}

		// If the count is zero, the loop has not started.

		if ($ct == 0)
			echo $L_POSTOFFICE['465']; // The email sending routine will begin in 10 seconds."
	?>
	
	</font></p>
	
	</body>
	
	</html>
	
	<?php
}
// END



//	----------------------------------------------
//	 SUCCESS MESSAGE AFTER ALL EMAILS ARE SENT
//	----------------------------------------------

function batch_sent_message()
{
	global $L_POSTOFFICE, $ct, $grt;
		
		echo "<br /><div class='text11'>";
		echo $L_POSTOFFICE['475']; // The emails were successfully sent
	
	// If the "gt" variable is set it means we sent bulk email.
	// We'll show the total number of emails sent as part of the message.
	
	if (isset($grt) AND $grt > 0)
	{	
		echo "<br /><br />";
		echo $L_POSTOFFICE['160']; // Total number:
		echo "&nbsp; ".$grt;
	}	
		echo "</div>";
}
// END


//	----------------------------------------------
//	 STORE MAIL CACHE
//	----------------------------------------------

function store_mail_cache()
{
	global $filter, $subject, $message, $from, $notinml, $destination;
	global $db_mailcache, $sfx, $sx, $L_POSTOFFICE, $birthday, $p;
	global $mailtype, $wordwrap, $wrapchars, $priority, $to_whom, $DB;
	global $SHARED;

	
	if ($subject == "" || $message == "" || $from == "") 
	{
		echo $L_POSTOFFICE['100'];
		echo "<br />";
		echo $L_POSTOFFICE['480'];
		exit;
    }
    if (!valid_email($from)) 
    {
		echo $L_POSTOFFICE['105'];
		echo "<br />";
		echo $L_POSTOFFICE['480'];
		exit;
    }
    
	if ($filter == "invalid")
	{
		echo $L_POSTOFFICE['140'];
		echo "<br />";
		echo $L_POSTOFFICE['480'];
		exit;
	}
		

	if (! get_magic_quotes_gpc())
	{
		$subject = addslashes($subject);
		$message = addslashes($message);
	}
	
	// This is here so I know what mailing list to send it to.
	if(!isset($to_whom)) {
			$recipient = $filter;
		}
	else
		{
			$recipient = "mailinglist_".$to_whom;
		}
	 
	$maildata = array();
	
	$maildata['from'] = $from;
	$maildata['filter'] = $filter;
	$maildata['towhom'] = $to_whom;
	$maildata['subject'] = base64_encode($subject);
	$maildata['message'] = base64_encode($message);
	
	$maildata['notinml']	= (! isset($notinml))	? ''		: $notinml;	
	$maildata['mailtype']	= (! isset($mailtype))	? 'plain'	: $mailtype;	
	$maildata['priority']	= (! isset($priority))	? '3'		: $priority;	
	$maildata['wrapchars']	= (! isset($wrapchars))	? '76'		: $wrapchars;
	$maildata['wordwrap']	= (! isset($wordwrap))	? 'false'	: $wordwrap;
	
	$now = $SHARED->get_offset_time();
	
	$query = new DB_query($DB, "insert into $db_mailcache (id, sent, data, to_whom, t_stamp) values ('', '0', '".serialize($maildata)."', '$recipient', '$now')");           
	
	$res = new DB_query($DB, "select id from $db_mailcache order by id desc limit 1");
	
	$res->db_fetch_array();
	
	$id = $res->row['id'];
	
	
	// Assign "source".  This tells the script what we are trying to send:
	// - birthday message
	// - member email
	// - mailing list
	
	if (is_numeric($filter))	
		$source = 'bd';
	else
	{
		if ($filter == 'mailinglist')
			$source = 'ml';
		else
			$source = 'mbr';
	}

	// Redirect to the META page and start the email process
		
	header("location:index$sfx?sx=$sx&m=post_office&p=redirect&id=$id&source=$source&ct=0");
}
// END






//	----------------------------------------------
//		EMAIL FORM (to send a single email)
//	----------------------------------------------


function show_email_form($to="", $subject="", $message="", $from="")
{
	global $member_code, $db_session, $db_members, $use_session_id;
	global $L_POSTOFFICE, $sx, $sfx, $DB;

     $subject = stripslashes($subject);
     $message = stripslashes($message);

	if ($from == "") 
	{
		if ($use_session_id == 1) 
		{
			$sql = "select member_id from $db_session where session_id = '$sx'"; 
			$query = new DB_query($DB, $sql);                                                      
			$query->db_fetch_array();
			$member_code = $query->row['member_id'];
			
			unset($sql);
			unset($query);
		}
		
		$query = new DB_query($DB, "select email from $db_members where member_id = '$member_code'");
		$query->db_fetch_array();
		$from = $query->row['email'];
		unset($query);
    }
   
?>
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=post_office&p=mailit"; ?>">
<br />

<table cellspacing="0" cellpadding="4" border="0">
<tr>
<td align="right"><div class="text9"><b><?php echo "$L_POSTOFFICE[185]"; ?></b></td>
<td><input type="text" size="60" name="to" class="box350" value="<?php echo "$to"; ?>"  ></td>

</tr><tr>
<td align="right"><div class="text9"><b><?php echo "$L_POSTOFFICE[190]"; ?></b></td>
<td><input type="text" size="60" name="from" class="box350" value="<?php echo "$from"; ?>"  ></td>

</tr><tr>

<td align="right"><div class="text9"><b><?php echo "$L_POSTOFFICE[195]"; ?></b></td>
<td><input type="text" size="60" name="subject" class="box400" value="<?php echo "$subject"; ?>"  ></td>

</tr><tr>
<td colspan="2" valign="top"><textarea name="message"  class="textarea" rows="16" cols="<?php echo "$GLOBALS[t_area_two]"; ?>" wrap="virtual"  ><?php echo "$message"; ?></textarea></td>
		

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[390]"; ?></b></div></td>
<td>
<select name='mailtype' class='smpulldown'>
<option value='text'><?php echo "$L_POSTOFFICE[420]"; ?></option>
<option value='html'><?php echo "$L_POSTOFFICE[415]"; ?></option>
</select>
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[395]"; ?></b></div></td>
<td class='default'>
<select name='wordwrap' class='smpulldown'>
<option value='true'><?php echo "$L_POSTOFFICE[450]"; ?></option>
<option value='false'><?php echo "$L_POSTOFFICE[455]"; ?></option>
</select>
<span class="text9"><b>
&nbsp;&nbsp;
<?php echo "$L_POSTOFFICE[400]"; ?>
</span>
<input type='text' size='4' class="box40" name='wrapchars' maxlength='3' value='76' />		
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[405]"; ?></b></div></td>
<td>
<select name='priority' class='smpulldown'>
<option value='1'>1 (<?php echo "$L_POSTOFFICE[425]"; ?>)</option>
<option value='2'>2 (<?php echo "$L_POSTOFFICE[430]"; ?>)</option>
<option value='3' selected>3 (<?php echo "$L_POSTOFFICE[435]"; ?>)</option>
<option value='4'>4 (<?php echo "$L_POSTOFFICE[440]"; ?>)</option>
<option value='5'>5 (<?php echo "$L_POSTOFFICE[445]"; ?>)</option>
</select>
</td>

</tr><tr>
<td align="right">&nbsp;<br /><br /></td>
<td bgcolor="#ffffff" valign='bottom'><input type="submit"  value=" <?php echo "$L_POSTOFFICE[200]"; ?> " class="button"></td>

</tr>
</table>


</form>
<?php
}
// END




//	----------------------------------------------
//	 SEND A SINGLE EMAIL
//	----------------------------------------------

function send_mail($to, $subject, $message, $from, $id="") 
{
	global $L_POSTOFFICE,$L_ERROR;
	global $mailtype, $priority, $wordwrap, $wrapchars;
	
	$error = 0;
	
	if ($to == "" || $subject == "" || $message == "" || $from == "") 
	{ 	
		$error =1;
		$ermsg = $L_POSTOFFICE['100'];
	}	
     
    if (!valid_email($to) || !valid_email($from)) 
    {
		$error =1;
		$ermsg = $L_POSTOFFICE['105'];
    }    
    
    if ($error == 1)
    {
		error_message("$ermsg");			
		$id == "" ? 
		show_email_form($to, $subject, $message, $from) : 
		show_bday_email_form($id, $to, $subject, $message, $from);					
		end_content_wrapper();
		footer();  
		exit;
	}   
	
	if (get_magic_quotes_gpc())
	{
		$subject = stripslashes($subject);
		$message = stripslashes($message);
	}
	
	$E = new Email;

	if (isset($mailtype))	$E->mailtype	= $mailtype;
	if (isset($priority))	$E->priority	= $priority;	
	if (isset($wrapchars))	$E->wrapchars	= $wrapchars;	

	if (! isset($wordwrap))
		$wordwrap = FALSE;
	else
	{	
		if ($wordwrap == 'false')
			$wordwrap = FALSE;
		else
			$wordwrap = TRUE;
	}
	if ($mailtype == 'html')
		$wordwrap = FALSE;
	
	$E->wordwrap = $wordwrap;

	$E->from($from);
	$E->to($to);
	$E->subject($subject);
	$E->message($message);

	if ( ! $E->send())
		return error_message("$L_ERROR[105]");
	else
		return success_msg("$L_POSTOFFICE[110]");
}
// END




//	----------------------------------------------
//	 EMAIL MEMBERS (OR BIRTHDAY MESSAGE) FORM
//	----------------------------------------------

function email_members_form($filter="",
							$from="",
							$subject="",
							$message="")  
{    
	global $member_code, $db_members, $db_session, $use_session_id;
	global $L_POSTOFFICE, $L_MEMBERS, $sx, $sfx, $DB;
    
         $subject = stripslashes($subject);
         $message = stripslashes($message);

	if ($use_session_id == 1) 
	{
		$sql = "select member_id from $db_session where session_id = '$sx'"; 
		$query = new DB_query($DB, $sql);                                                      
		$query->db_fetch_array();
		$member_code = $query->row['member_id'];
		
		unset($sql);
		unset($query);
	}

	$query = new DB_query($DB, "select email from $db_members where member_id = '$member_code'");
	$query->db_fetch_array();
	$adminemail = $query->row['email'];
	unset($query);	
            
	$query = new DB_query($DB, "select count(*) as count from $db_members");
	$query->db_fetch_array();
	$tall = $query->row['count'];
	unset($query);	

	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '2' ");
	$query->db_fetch_array();
	$tpend = $query->row['count'];
	unset($query);	
	
	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '1' ");
	$query->db_fetch_array();
	$tsus = $query->row['count'];
	unset($query);	              
 
	$query = new DB_query($DB, "select count(*) as count from $db_members where status >= '3' and status <= '6' ");
	$query->db_fetch_array();
	$tact = $query->row['count'];
	unset($query);
	
	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '3'");
	$query->db_fetch_array();
	$tact1 = $query->row['count'];
	unset($query);
	
	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '4'");
	$query->db_fetch_array();
	$tact2 = $query->row['count'];
	unset($query);
	
	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '5' ");
	$query->db_fetch_array();
	$tact3 = $query->row['count'];
	unset($query);
	
	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '6'");
	$query->db_fetch_array();
	$tact4 = $query->row['count'];
	unset($query);

	$query = new DB_query($DB, "select count(*) as count from $db_members where status >= '7' ");
	$query->db_fetch_array();
	$tadm = $query->row['count'];
	unset($query);	                  
  
	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '7' ");
	$query->db_fetch_array();
	$tadm1 = $query->row['count'];
	unset($query);	                  

	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '8' ");
	$query->db_fetch_array();
	$tadm2 = $query->row['count'];
	unset($query);	                  

	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '9' ");
	$query->db_fetch_array();
	$tadm3 = $query->row['count'];
	unset($query);	                  

	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '10' ");
	$query->db_fetch_array();
	$tadm4 = $query->row['count'];
	unset($query);	                  

	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '11' ");
	$query->db_fetch_array();
	$tadm5 = $query->row['count'];
	unset($query);	                  

 	$query = new DB_query($DB, "select count(*) as count from $db_members where status = '12' ");
	$query->db_fetch_array();
	$tadm6 = $query->row['count'];
	unset($query);
  
  	$sel_1 = "";  $sel_2 = "";  $sel_3 = "";  $sel_4 = "";  $sel_5 = ""; 
  	$sel_6 = "";  $sel_7 = "";  $sel_8 = "";  $sel_9 = "";  $sel_10 = "";
  	$sel_11 = ""; $sel_12 = ""; $sel_13 = ""; $sel_14 = ""; $sel_15 = ""; 

		
	switch ($filter)
	{
		case  "all"      : $sel_1 = "selected"; 
		break;
		case  "active"   : $sel_2 = "selected";
		break;
		case  "active1"  : $sel_3 = "selected"; 
		break;
		case  "active2"  : $sel_4 = "selected";
		break;
		case  "active3"  : $sel_5 = "selected"; 
		break;
		case  "active4"  : $sel_6 = "selected";
		break;
		case  "pending"  : $sel_7 = "selected"; 
		break;
		case  "suspended" : $sel_8 = "selected";
		break;
		case  "admins"  : $sel_9 = "selected";
		break;
		case  "admin1"  : $sel_10 = "selected";	
		break;
		case  "admin2"  : $sel_11 = "selected";
		break;
		case  "admin3"  : $sel_12 = "selected";
		break;
		case  "admin4"  : $sel_13 = "selected";	
		break;
		case  "admin5"  : $sel_14 = "selected"; 	
		break;
		case  "admin6"  : $sel_15 = "selected";
		break;
		default 		: $sel_1 = "selected";
		break;
	}         
             
	if ($message == "")
		$message = "$L_POSTOFFICE[205] <<name>>,";
	
	if ($from == "")
		$from = "$adminemail";
 
    
    $sel_all = "checked";
       	      
?>

<form method="post" action="<?php echo "index$sfx?sx=$sx&m=post_office&p=mail_cache"; ?>" name="postoffice">
<br />

<table cellspacing="1" cellpadding="4" border="0">
<tr>

<td align="right"><div class="text9"><b><?php echo "$L_POSTOFFICE[190]"; ?></b></td>
<td><input type="text" size="60" name="from" class="box250" value="<?php echo "$from"; ?>"  ></td>

</tr><tr>
<td align="right"><div class="text9"><b><?php echo "$L_POSTOFFICE[195]"; ?></b></td>
<td><input type="text" size="60" name="subject" class="box400" value="<?php echo "$subject"; ?>"  ></td>

</tr><tr>
<td colspan='2' ><textarea name="message"  class="textarea" rows="16" cols="<?php echo "$GLOBALS[t_area_two]"; ?>" wrap="virtual"  ><?php echo "$message"; ?></textarea></td>

</tr><tr>
<td colspan='2'>

<table cellpadding="2" cellspacing="0" border="0" width="100%">
<tr>
<td valign="bottom" width="80"><div class="text9" align="right"><b><?php echo "$L_POSTOFFICE[215]"; ?>&nbsp;&nbsp;&nbsp;</b></div></td>
<td align="left" >
<select name="filter" class="pulldown">
<option value="all" <?php echo"$sel_1";?> ><?php echo "$L_POSTOFFICE[220]"; ?>&nbsp;(<?php echo "$tall";?>)</option>
<option value="invalid">---
<option value="suspended" <?php echo "$sel_8"; ?> ><?php echo "$L_MEMBERS[380]"; ?>&nbsp;(<?php echo $tsus;?>)</option>
<option value="invalid">---
<option value="pending" <?php echo"$sel_7";?> ><?php echo "$L_POSTOFFICE[230]"; ?>&nbsp;(<?php echo $tpend;?>)</option>
<option value="invalid">---
<option value="active"  <?php echo"$sel_2";?> ><?php echo "$L_POSTOFFICE[225]"; ?>&nbsp;(<?php echo $tact;?>)</option>
<option value="active1" <?php echo "$sel_3"; ?> ><?php echo "$L_MEMBERS[550]"; ?>&nbsp;(<?php echo $tact1;?>)</option>
<option value="active2" <?php echo "$sel_4"; ?> ><?php echo "$L_MEMBERS[551]"; ?>&nbsp;(<?php echo $tact2;?>)</option>
<option value="active3" <?php echo "$sel_5"; ?> ><?php echo "$L_MEMBERS[552]"; ?>&nbsp;(<?php echo $tact3;?>)</option>
<option value="active4" <?php echo "$sel_6"; ?> ><?php echo "$L_MEMBERS[553]"; ?>&nbsp;(<?php echo $tact4;?>)</option>

<option value="invalid">---
<option value="admins" <?php echo"$sel_9";?> ><?php echo "$L_POSTOFFICE[235]"; ?>&nbsp;(<?php echo $tadm;?>)</option>
<option value="admin1" <?php echo "$sel_10"; ?> ><?php echo "$L_MEMBERS[385]"; ?>&nbsp;(<?php echo $tadm1;?>)</option>
<option value="admin2" <?php echo "$sel_11"; ?> ><?php echo "$L_MEMBERS[390]"; ?>&nbsp;(<?php echo $tadm2;?>)</option>
<option value="admin3" <?php echo "$sel_12"; ?> ><?php echo "$L_MEMBERS[395]"; ?>&nbsp;(<?php echo $tadm3;?>)</option>
<option value="admin4" <?php echo "$sel_13"; ?> ><?php echo "$L_MEMBERS[400]"; ?>&nbsp;(<?php echo $tadm4;?>)</option>
<option value="admin5" <?php echo "$sel_14"; ?> ><?php echo "$L_MEMBERS[403]"; ?>&nbsp;(<?php echo $tadm5;?>)</option>
<option value="admin6" <?php echo "$sel_15"; ?> ><?php echo "$L_POSTOFFICE[236]"; ?>&nbsp;(<?php echo $tadm6;?>)</option>

</select> &nbsp;</td>
</tr>
</table>

</td>

</tr><tr>
<td colspan='2'>

<table cellpadding="2" cellspacing="0" border="0">
<tr>
<td align="right" width="80">&nbsp;</td>
<td><input type="radio" name="notinml" value="no" ></td>
<td ><div class="text9"> &nbsp;<?php echo "$L_POSTOFFICE[255]"; ?></div></td>
</tr>
</table>
</td>

</tr><tr>
<td colspan='2'><hr color='#cccccc' size='1'></td>


</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[390]"; ?></b></div></td>
<td>
<select name='mailtype' class='smpulldown'>
<option value='text'><?php echo "$L_POSTOFFICE[420]"; ?></option>
<option value='html'><?php echo "$L_POSTOFFICE[415]"; ?></option>
</select>
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[395]"; ?></b></div></td>
<td class='default'>
<select name='wordwrap' class='smpulldown'>
<option value='true'><?php echo "$L_POSTOFFICE[450]"; ?></option>
<option value='false'><?php echo "$L_POSTOFFICE[455]"; ?></option>
</select>
<span class="text9"><b>
&nbsp;&nbsp;
<?php echo "$L_POSTOFFICE[400]"; ?>
</span>
<input type='text' size='4' class="box40" name='wrapchars' maxlength='3' value='76' />		
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[405]"; ?></b></div></td>
<td>
<select name='priority' class='smpulldown'>
<option value='1'>1 (<?php echo "$L_POSTOFFICE[425]"; ?>)</option>
<option value='2'>2 (<?php echo "$L_POSTOFFICE[430]"; ?>)</option>
<option value='3' selected>3 (<?php echo "$L_POSTOFFICE[435]"; ?>)</option>
<option value='4'>4 (<?php echo "$L_POSTOFFICE[440]"; ?>)</option>
<option value='5'>5 (<?php echo "$L_POSTOFFICE[445]"; ?>)</option>
</select>
</td>

</tr><tr>
<td colspan='2'><hr color='#cccccc' size='1'></td>

</tr><tr>
<td>&nbsp;</td>
<td><input type="submit"  value=" <?php echo "$L_POSTOFFICE[200]"; ?> " class="button"></td>

</tr>
</table>

</form>
<?php
}
// END





//	----------------------------------------------
//		EMAIL MEMBERS
//	----------------------------------------------

function email_members(){

	global $db_members, $db_mailinglist, $L_POSTOFFICE, $L_MEMBERS, $sfx, $sx;
	global $L_CALENDAR, $db_mailcache, $source, $batch_total, $ct, $grt, $id;
	global $L_ERROR, $DB;
      
	if (get_cfg_var("safe_mode")==0) 
		@set_time_limit(43200);
		
 
 	// Get serialized data
	
	$query = new DB_query($DB, "select sent, data from $db_mailcache where id ='$id'");      
      
	$query->db_fetch_array();

	$sent = $query->row['sent'];
	      
	$maildata = unserialize(stripslashes($query->row['data']));

	$from = $maildata['from'];

	$subject = stripslashes(base64_decode($maildata['subject']));

	$message = stripslashes(base64_decode($maildata['message']));

	$filter = $maildata['filter'];
	
	$notinml = $maildata['notinml'];      

	$mailtype = $maildata['mailtype'];

	$priority = $maildata['priority'];

	$wordwrap = $maildata['wordwrap'];

	$wrapchars = $maildata['wrapchars']; 
      
    unset($query);
	
	
	// Start building queries
	
	$sql = ($notinml == "no") ? 
			"select {$db_members}.* from $db_members " : "select email,signature from $db_members ";
	
	if (is_numeric($filter)) // Birthday greeting 
	{
         $sql .= " where bday_month = '$filter'";
	}
	else
	{
		switch($filter)
		{
			case "active" :	
					$sql .= " where status >='3'and status <= '6' ";
			break;
			case "active1" :
					$sql .= " where status = '3' ";
			break;			
			case "active2" :
					$sql .= " where status = '4' ";
			break;					
			case "active3" :
					$sql .= " where status = '5' ";
			break;				
			case "active4" :
					$sql .= " where status = '6' ";
			break;				
			case "pending" :
					$sql .= " where status = '2' ";
			break;
			case "suspended" :
					$sql .= " where status = '1' ";
			break;			
			case "admins" :
					$sql .= " where status >= '7' ";
			break;
			case "admin1" :
					$sql .= " where status = '7' ";
			break;			
			case "admin1" :
					$sql .= " where status = '7' ";
			break;				
			case "admin2" :
					$sql .= " where status = '8' ";
			break;	
			case "admin3" :
					$sql .= " where status = '9' ";	
			break;				
			case "admin4" :
					$sql .= " where status = '10' ";	
			break;					
			case "admin5" :
					$sql .= " where status = '11' ";
			break;				
			case "admin6" :
					$sql .= " where status = '12' ";
			break;
		}


		if ($notinml == "no")
		{
			// this query compares the member table with the mailing list table 
			// and extracts only the email addresses that are unique.
	
			$sql .= " left join $db_mailinglist on {$db_members}.email = {$db_mailinglist}.email 
							where {$db_mailinglist}.email is null";
		}			
	}

 	// This query counts up the total number of emails we are sending.
 	// This info gets passed in the URL query string to the META redirect
 	// page.  We use this info as part of the "sending emails 1 - 50" message.
	
	if (! isset($grt) || $grt == 0)
	{
		$query = new DB_query($DB, $sql);   
	
		$grt = $query->db_num_rows();
		
		unset($query);
	}
	
	// Add the limit claus to the SQL query and get the emails in the batch.
		
	$sql .= " limit $sent, $batch_total";

	$query = new DB_query($DB, $sql);   
	        
    // Error message if query produces not result
    
    if ($query->db_num_rows() == 0 AND $sent ==0)
    {
		return error_message("<br />$L_POSTOFFICE[150]","plain"); 
	}	
	// Success message after batch has been sent
	
	elseif($query->db_num_rows() == 0 AND $sent >0)
	{				
		$query = new DB_query($DB, "delete from  $db_mailcache where id = '$id' ");
	
		return header("location:index$sfx?sx=$sx&m=post_office&p=batchsent&grt=$grt");	
	}

		$E = new Email;
	
		$E->mailtype	= $mailtype;
		$E->priority	= $priority;		
		$E->wrapchars	= $wrapchars;
			
		// If HTML emails are being sent we don't want word wrapping
		
		if (! isset($wordwrap))
		{
			$wordwrap = FALSE;
			echo "bone"; exit;	
		}
		else
		{	
			if ($wordwrap == 'false')
				$wordwrap = FALSE;
			else
				$wordwrap = TRUE;
		}
		if ($mailtype == 'html')
			$wordwrap = FALSE;
		
		$E->wordwrap = $wordwrap;
			
	
	// Send the batch of emails...
		
	while ($query->db_fetch_array()) 
	{
		$name  = $query->row['signature'];
		$email = $query->row['email'];
		
		if (get_magic_quotes_runtime())
			$name = stripslashes($name);
		
		$subrep	= str_replace("<<name>>", $name, $subject); 
		$mrep	= str_replace("<<name>>", $name, $message);
 
		$E->from($from);
		$E->to($email);
		$E->subject($subrep);
		$E->message($mrep);
	
		if ( ! $E->send())
			return error_message("$L_ERROR[105]");   
			
		$E->initialize(); // Reset the email class to no data between loops
	}
	
	
	unset($query);
	
	// Update the serialized email table and transfer to the META page so we can continue sending email
	
	$tot = $batch_total + $sent;
	
	$query = new DB_query($DB, "update $db_mailcache set sent = '$tot' where id = '$id' ");
	
	header("location:index$sfx?sx=$sx&m=post_office&p=redirect&id=$id&source=$source&ct=$tot&grt=$grt");

}
// END


//	-----------------------------------------------------
//		EMAIL BIRTHDAY GREETING FORM - SINGLE MEMBER 
//	-----------------------------------------------------

function show_bday_email_form($id, $to="", $subject="", $message="", $from="")  
{
	global $db_members, $member_code, $db_session, $use_session_id;
	global $db_templates, $L_POSTOFFICE, $sx, $sfx, $DB, $SHARED;
  
	$subject =& stripslashes($subject);
	$message =& stripslashes($message);   

	$query = new DB_query($DB, "select email,signature from $db_members where id = '$id'");
	$query->db_fetch_array();
	$signature = $query->row['signature'];
	
	if ($to == "") 
		$to = $query->row['email']; 
	
	if ($use_session_id == 1) 
	{
		$sql = "select member_id from $db_session where session_id = '$sx'"; 
		$query = new DB_query($DB, $sql);                                                      
		$query->db_fetch_array();
		$member_code = $query->row['member_id'];
		
		unset($sql);
		unset($query);
	}
	
	if ($from == "")
	{	
		$query = new DB_query($DB, "select email from $db_members where member_id = '$member_code'");
		$query->db_fetch_array();
		$from = $query->row['email'];
		unset($query);
	}
                       
    if ($subject == "") 
    {     
    	$block = $SHARED->get_template("email","40");
        $subject = str_replace("%%name%%",$signature,$block); 
    } 
      
    if ($message == "") 
    {     
    	$block = $SHARED->get_template("email","50");
        $message = str_replace("%%name%%",$signature,$block); 
    }
?>
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=post_office&p=mailit"; ?>">
<input type="hidden" name="id" value="<?php echo "$id"; ?>" >

<table cellspacing="1" cellpadding="4" border="0">
<tr>
<td>&nbsp;</td>
<td><div class="tableheader"><?php echo "$L_POSTOFFICE[260]"; ?></div></td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[185]"; ?></b></td>
<td><input type="text" size="60" name="to" class="box350" value="<?php echo "$to"; ?>"  ></td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[190]"; ?></b></td>
<td><input type="text" size="60" name="from" class="box350" value="<?php echo "$from"; ?>"  ></td>


</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[195]"; ?></b></td>
<td><input type="text" size="60" name="subject" class="box450" value="<?php echo "$subject"; ?>"  ></td>


</tr><tr>
<td colspan='2'><textarea name="message"  class="textarea" rows="16" cols="<?php echo "$GLOBALS[t_area_two]"; ?>" wrap="virtual"  ><?php echo "$message"; ?></textarea></td>



</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[390]"; ?></b></div></td>
<td>
<select name='mailtype' class='smpulldown'>
<option value='text'><?php echo "$L_POSTOFFICE[420]"; ?></option>
<option value='html'><?php echo "$L_POSTOFFICE[415]"; ?></option>
</select>
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[395]"; ?></b></div></td>
<td class='default'>
<select name='wordwrap' class='smpulldown'>
<option value='true'><?php echo "$L_POSTOFFICE[450]"; ?></option>
<option value='false'><?php echo "$L_POSTOFFICE[455]"; ?></option>
</select>
<span class="text9"><b>
&nbsp;&nbsp;
<?php echo "$L_POSTOFFICE[400]"; ?>
</span>
<input type='text' size='4' class="box40" name='wrapchars' maxlength='3' value='76' />		
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[405]"; ?></b></div></td>
<td>
<select name='priority' class='smpulldown'>
<option value='1'>1 (<?php echo "$L_POSTOFFICE[425]"; ?>)</option>
<option value='2'>2 (<?php echo "$L_POSTOFFICE[430]"; ?>)</option>
<option value='3' selected>3 (<?php echo "$L_POSTOFFICE[435]"; ?>)</option>
<option value='4'>4 (<?php echo "$L_POSTOFFICE[440]"; ?>)</option>
<option value='5'>5 (<?php echo "$L_POSTOFFICE[445]"; ?>)</option>
</select>
</td>

</tr><tr>
<td colspan='2'><hr color='#cccccc' size='1'></td>


</tr><tr>
<td>&nbsp;</td>
<td><input type="submit" name="mailit" value=" <?php echo "$L_POSTOFFICE[200]"; ?> " class="button"></td>



</tr>
</table>


</form>
<?php
}
// END



//	-----------------------------------------------------
//		EMAIL BIRTHDAY GREETING FORM - ENTIRE MONTH
//	-----------------------------------------------------

function show_bday_email_all_form($month,$from="",$subject="",$message="")  
{
	global $db_members, $member_code, $db_templates, $db_session, $use_session_id;
	global $L_CALENDAR, $L_POSTOFFICE, $sx, $sfx, $DB, $SHARED;
    
	switch($month)
	{      
		case "01" : $mth = "$L_CALENDAR[300]";
		break;
		case "02" : $mth = "$L_CALENDAR[301]";
		break;
		case "03" : $mth = "$L_CALENDAR[302]";
		break;
		case "04" : $mth = "$L_CALENDAR[303]";
		break;
		case "05" : $mth = "$L_CALENDAR[304]";
		break;
		case "06" : $mth = "$L_CALENDAR[305]";
		break; 
		case "07" : $mth = "$L_CALENDAR[306]";
		break;
		case "08" : $mth = "$L_CALENDAR[307]";
		break;
		case "09" : $mth = "$L_CALENDAR[308]";
		break;
		case "10" : $mth = "$L_CALENDAR[309]";
		break; 
		case "11" : $mth = "$L_CALENDAR[310]";
		break;
		case "12" : $mth = "$L_CALENDAR[311]"; 
		break;
	}    
     
	$subject =& stripslashes($subject);
	$message =& stripslashes($message);   
		
	if ($use_session_id == 1) 
	{
		$sql = "select member_id from $db_session where session_id = '$sx'"; 
		$query = new DB_query($DB, $sql);                                                      
		$query->db_fetch_array();
		$member_code = $query->row['member_id'];
		
		unset($sql);
		unset($query);
	}
	
	if ($from == "")
	{	
		$query = new DB_query($DB, "select email from $db_members where member_id = '$member_code'");
		$query->db_fetch_array();
		$from = $query->row['email'];
		unset($query);
	}
                    
    if ($subject == "") 
    {     
    	$block = $SHARED->get_template("email","40");
        $subject = str_replace("%%name%%","<<name>>",$block); 
    } 
      
    if ($message == "") 
    {     
    	$block = $SHARED->get_template("email","50");
        $message = str_replace("%%name%%","<<name>>",$block); 
    }

?>
<br />
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=post_office&p=mail_cache"; ?>" name="postoffice">
<input type="hidden" name="filter" value="<?php echo "$month"; ?>" >

<table cellspacing="1" cellpadding="4" border="0">
<tr>
<td>&nbsp;</td>
<td><div class="tableheader"><?php echo "$L_POSTOFFICE[265]"; ?>&nbsp;<font color="red"><?php echo "$mth"; ?></font></div></td>

</tr><tr>
<td align="right"><div class="text9"><b><?php echo "$L_POSTOFFICE[190]"; ?></b> &nbsp;</td>
<td><input type="text" size="60" name="from" class="box350" value="<?php echo "$from"; ?>"  ></td>

</tr><tr>
<td align="right"><div class="text9"><b><?php echo "$L_POSTOFFICE[195]"; ?></b> &nbsp;</td>
<td><input type="text" size="60" name="subject" class="box450" value="<?php echo "$subject"; ?>"  ></td>

</tr><tr>
<td colspan='2'><textarea name="message"  class="textarea" rows="16" cols="<?php echo "$GLOBALS[t_area_two]"; ?>" wrap="virtual"  ><?php echo "$message"; ?></textarea></td>


</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[390]"; ?></b></div></td>
<td>
<select name='mailtype' class='smpulldown'>
<option value='text'><?php echo "$L_POSTOFFICE[420]"; ?></option>
<option value='html'><?php echo "$L_POSTOFFICE[415]"; ?></option>
</select>
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[395]"; ?></b></div></td>
<td class='default'>
<select name='wordwrap' class='smpulldown'>
<option value='true'><?php echo "$L_POSTOFFICE[450]"; ?></option>
<option value='false'><?php echo "$L_POSTOFFICE[455]"; ?></option>
</select>
<span class="text9"><b>
&nbsp;&nbsp;
<?php echo "$L_POSTOFFICE[400]"; ?>
</span>
<input type='text' size='4' class="box40" name='wrapchars' maxlength='3' value='76' />		
</td>

</tr><tr>
<td align='right'><div class="text9"><b><?php echo "$L_POSTOFFICE[405]"; ?></b></div></td>
<td>
<select name='priority' class='smpulldown'>
<option value='1'>1 (<?php echo "$L_POSTOFFICE[425]"; ?>)</option>
<option value='2'>2 (<?php echo "$L_POSTOFFICE[430]"; ?>)</option>
<option value='3' selected>3 (<?php echo "$L_POSTOFFICE[435]"; ?>)</option>
<option value='4'>4 (<?php echo "$L_POSTOFFICE[440]"; ?>)</option>
<option value='5'>5 (<?php echo "$L_POSTOFFICE[445]"; ?>)</option>
</select>
</td>

</tr><tr>
<td colspan='2'><hr color='#cccccc' size='1'></td>


</tr><tr>
<td>&nbsp;</td>
<td><input type="submit" name="email_members" value=" <?php echo "$L_POSTOFFICE[200]"; ?> " class="button"></td>

</tr>
</table>

</form>
<?php
}
// END
?>