<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	----------------------------------------------
//	 WRITE RSS PAGE
//	----------------------------------------------

function write_rss($id='',$xweblog='') 
{
    global $db_weblog, $db_rss_factory, $DB;

    if ($id == '' && $xweblog == '')
    {
        return false;
	}
	
	if ($xweblog == '')
	{
		$query = new DB_query($DB, "select weblog from $db_weblog where post_id = '$id'");
		
		if ($query->db_num_rows() == 0)
        	return false;
        
        $query->db_fetch_array();
        $xweblog = $query->row['weblog'];
	}
    
  
    $weblog = '|'.$xweblog.'|';
     
    $query = new DB_query($DB, "select * from $db_rss_factory where weblogs LIKE '%$weblog%' and enable='y'");

    while ($result = $query->db_fetch_array())
    {
        $qstr = '(';
        $blogs = $result['weblogs'];
        $blogs = substr($blogs, 0, -1);
        $blogs = substr($blogs, 1);
        
        if (strstr($blogs, '|'))
        {
            $ex = explode('|', $blogs);
            
            foreach ($ex as $val)
            {
              $qstr .= " weblog = '".$val."' or"; 
            }
            
            $qstr = substr($qstr, 0, -2).')';
        }
        else
            $qstr = " weblog ='".$blogs."' ";
                
          write_rss_feed($result['version'], $result, $qstr);     
    }
}
// END





//	----------------------------------------------
//	  WRITE RSS FEEDS
//	----------------------------------------------

function write_rss_feed($version, $rssarray, $qstr) 
{
    global $db_weblog, $url_rewriting, $db_upload_prefs, $DB, $SHARED;
    global $db_multiweblogs;

    if ( ! file_exists($rssarray['relpath']))
        return false;

 	$newtime = $SHARED->get_offset_time();

    $rss = new RSS_Factory();

    $rss->set_channel_element('title', $rssarray['feedtitle']);  
    $rss->set_channel_element('link', $rssarray['feedlink']);
    $rss->set_channel_element('description', $rssarray['feeddescription']);
    $rss->set_channel_element('language', $rssarray['language']);
    $rss->set_channel_element('pubDate', gmdate('D, d M Y H:i:s \G\M\T', $newtime));
    $rss->set_channel_element('lastBuildDate', gmdate('D, d M Y H:i:s \G\M\T', $newtime));

    if ($rssarray['copyright'] != '')
        $rss->set_channel_element('copyright', $rssarray['copyright']);

    if ($rssarray['editoremail'] != '')
        $rss->set_channel_element('managingEditor', $rssarray['editoremail']);
        
    if ($rssarray['webmasteremail'] != '')
        $rss->set_channel_element('webMaster', $rssarray['webmasteremail']);

    if ($rssarray['skiphours'] != '')
        $rss->set_channel_element('skipHours', $rssarray['skiphours']);

    if ($rssarray['skipdays'] != '')
        $rss->set_channel_element('skipDays', $rssarray['skipdays']);

    if ($version == '2.0')
    {
        $rss->set_channel_element('generator', $rss->generator);

        $rss->set_channel_element('docs', 'http://backend.userland.com/rss');

        if ($rssarray['ttl'] != '')
            $rss->set_channel_element('ttl', $rssarray['ttl']);
    }
    
    if ($rssarray['c1key'] != '' AND $rssarray['c1val'] != '')
        $rss->set_channel_element($rssarray['c1key'], $rssarray['c1val']);
    
    if ($rssarray['c2key'] != '' AND $rssarray['c2val'] != '')
        $rss->set_channel_element($rssarray['c2key'], $rssarray['c2val']);
    
    if ($rssarray['c3key'] != '' AND $rssarray['c3val'] != '')
        $rss->set_channel_element($rssarray['c3key'], $rssarray['c3val']);
    
    if ($rssarray['c4key'] != '' AND $rssarray['c4val'] != '')
        $rss->set_channel_element($rssarray['c4key'], $rssarray['c4val']);


    // The "image title" element must be identical to the title of the feed
    if ($rssarray['feedtitle'] != '')
        $rss->set_image_element('title', $rssarray['feedtitle']);
 
    if ($rssarray['imgurl'] != '')
        $rss->set_image_element('url', $rssarray['imgurl']);

    if ($rssarray['feedlink'] != '')
        $rss->set_image_element('link', $rssarray['feedlink']);

    if ($rssarray['imgwidth'] != '')
        $rss->set_image_element('width', $rssarray['imgwidth']);
  
    if ($rssarray['imgheight'] != '')
        $rss->set_image_element('height', $rssarray['imgheight']);
        
    if ($version == '2.0')
        $rss->set_image_element('description', $rssarray['feeddescription']);
    
    $img_array = array();
    $img_count = array();
    
    $query = new DB_query($DB, "select id,abspath from $db_upload_prefs order by id");
    
    while ($query->db_fetch_object())
    {
        $abspath = $query->obj->abspath;
        
        if (!eregi('/$',$abspath)) 
        	$abspath = "$abspath" . "/";

        $img_array[$query->obj->id] = $abspath;
        
        array_push($img_count,$query->obj->id);
    }
    
    $delim = ($url_rewriting == 1) ? '/' : '?id=';
  	
    $perpage = (! is_numeric($rssarray['perpage'])) ? 10 : $rssarray['perpage'];
    
    $content_field = '';
    
    if ($rssarray['content_field'] == 'all')
    {
    	$content_field = 'blurb, more, custom1, custom2, custom3';
    }
    elseif($rssarray['content_field'] != 'body')
    {
    	$content_field = $rssarray['content_field'];
    }
    
	$sql = "select post_id,title,body,weblog,t_stamp";
	
	if ($content_field != '') $sql .= ','.$content_field;
	
	
    $sql .= " from $db_weblog 
            where status = 'open' 
            and preview = '0'
            and t_stamp <= $newtime 
            and x_stamp >= '$newtime'
            and $qstr 
            order by t_stamp desc 
            limit 0, $perpage";
            
            
    $query = new DB_query($DB, $sql);
    
	while ($query->db_fetch_object()) 
	{
		$wpath = $SHARED->get_pref("pages_path_abs_".$query->obj->weblog);
		
		if (!ereg('/$',$wpath))
		{
			$wpath .= "/";
		}
		
		$postid = $query->obj->post_id;
		
		if ($rssarray['url_type'] == 'comment')
		{
			$cpage = get_pref('comments_page_'.$query->obj->weblog);
			$result    = new DB_query($DB, "SELECT id FROM $db_multiweblogs WHERE weblog = '".$query->obj->weblog."'");
			$result->db_fetch_object();
			$catpage = $result->obj->id; 
			$catrow  = 0;
        
			if ($url_rewriting == 1)
			{
				$cpage = str_replace('.php', '', $cpage);
			}
                
			$permalink = "$wpath{$cpage}$delim{$postid}_0_{$catpage}_{$catrow}_C";
                
			if ($url_rewriting == 1)
			{
				$permalink .= '/';
			}
		}
		elseif($rssarray['url_type'] == 'more')
		{
			$mpage = $SHARED->get_pref('more_page_'.$query->obj->weblog);
			$result = new DB_query($DB, "SELECT id FROM $db_multiweblogs WHERE weblog = '".$query->obj->weblog."'");
			$result->db_fetch_object();
			$catpage = $result->obj->id; 
			$catrow  = 0;
			
        	if ($url_rewriting == 1)
        	{
        		$mpage = str_replace('.php', '', $mpage);
        	}
    
        	$permalink  = "{$wpath}{$mpage}{$delim}{$postid}_0_{$catpage}_{$catrow}_M";
        	
        	if ($url_rewriting == 1)
			{
				$permalink .= '/';
			}
		}
		else
		{		
			$wpage = $SHARED->get_pref($query->obj->weblog."_page");
		
			if ($url_rewriting == 1)
			{
        	    $permalink = $wpath . $wpage ."/P".$postid."/";
        	}
        	else
        	{
        	    $permalink = $wpath . $wpage ."?id=P".$postid;
        	}
		}
		
		
		$title =& htmlspecialchars(strip_tags(pmcode_decode($query->obj->title)));
		
		if ($content_field != '')
		{
			if ($rssarray['content_field'] == 'all')
			{
				$body =& htmlspecialchars(pmcode_decode($query->obj->blurb.' '.
														 $query->obj->body.' '.
														 $query->obj->more.' '.
														 $query->obj->custom1.' '.
														 $query->obj->custom2.' '.
														 $query->obj->custom3));
			}
			elseif($query->obj->$content_field != '')
			{
				$body =& htmlspecialchars(pmcode_decode($query->obj->$content_field));
			}
			else
			{
				$body =& htmlspecialchars(pmcode_decode($query->obj->body));
			}
		}
		else
		{
			$body =& htmlspecialchars(pmcode_decode($query->obj->body));
		}
		
		
        for ($j=0; $j< sizeof($img_count); $j++)
        {    
            $body =& str_replace("%%dir[$img_count[$j]]%%",$img_array[$img_count[$j]],$body);
        }
		
		if (get_magic_quotes_runtime()) 
		{
		    $title =& stripslashes($title);
		    $body =& stripslashes($body);
		}

		if ($rssarray['content_length'] != '0' && strlen($body) > $rssarray['content_length']) 
		{
		    $body =& substr("$body", 0, $rssarray['content_length']);
		    $word =& explode(' ',$body);
		    $wordcount = (sizeof($word) - 2);
			
			$newbody = "";
			
			for ($i=0; $i < $wordcount; $i++)
			{
				$newbody .= "$word[$i] ";
			}
			
			$newbody = trim($newbody);
			$newbody .="..."; 
		}
		else
		{
			$newbody = $body;
		}	    
			    
        if ($version == '1.0')
            $rss->set_list_element($permalink);
 
            $rss->set_item_element('title', $title);
            $rss->set_item_element('link', $permalink);
            $rss->set_item_element('description', $newbody);    
        
        if ($version == '0.92' || $version == '2.0')        
            $rss->set_item_element('category', '');     
   
            // Version 0.92 or 2.0
            // $rss->set_item_element('category', '');  // Category of weblog entry

        if ($version == '2.0')
        {
            // $rss->set_item_element('category', '');  // Category of weblog entry
            //$rss->set_item_element('author', '');  // Email address of author
            //$rss->set_item_element('comments', '');  // URL of page for comments
            $rss->set_item_element('guid', $permalink);
            $rss->set_item_element('pubDate', gmdate('D, d M Y H:i:s \G\M\T', $query->obj->t_stamp));    
        }     
	}
 
   
    $rss->build_rss_file($version);
    
    $rss->write_rss_file($rssarray['relpath']);
 
  // $rss->echo_rss_file();
}
// END






//	----------------------------------------------
//	 	NEW RSS FEED FORM
//	----------------------------------------------

function new_rss_feed_form($name="") 
{
	global $L_RSS, $L_RSSFACTORY, $sx, $sfx, $SHARED;
	global $L_WEBLOG;

    if (substr($SHARED->get_pref($GLOBALS['pmb']),0,1) <1)
        return FALSE;
    if (strtolower(substr($SHARED->get_pref($GLOBALS['pmv']),0,1)) 
    	=== substr($GLOBALS['pmf'],0,1))
        return FALSE;
?>
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=admin&p=new_rss_feed"; ?>">

<br />

<table border="0" cellspacing="0" cellpadding="1">
<tr>
<td bgcolor="#cccccc">

<table border="0" cellspacing="0" cellpadding="5">
<tr>
<td align="right" bgcolor="#ffffff"><div class="text10"><b><?php echo "$L_RSSFACTORY[110]"; ?></b></div></td>
<td align="left"  bgcolor="#ffffff"><input type="text" name="name" class="box150" maxlength="100" value="<?php echo stripslashes($name); ?>"  ></td>
</tr>
</table>

</td>
</tr>
</table>

<br />

<input class="button" type="submit" value=" <?php echo "$L_RSS[105]"; ?> "> 


</form>
<br />
<?php
}
// END




//	----------------------------------------------
//	 CREATE NEW RSS FEED
//	----------------------------------------------

function create_rss_feed($name='') 
{
    global $db_rss_factory, $L_RSSFACTORY, $L_ERROR, $DB;

    if ($name == '')
    {
        new_rss_feed_form();  
        get_rss_factory_names();    
    }
    else
    {
        $name = trim($name);
    
        if (!get_magic_quotes_gpc())
            $name = addslashes($name);
    
        $query = new DB_query($DB, "select id from $db_rss_factory where title='$name'");
        
        if ($query->db_num_rows() >0)
        {
            echo "<br /><div class='text11red'><b>".$L_RSSFACTORY['240']."</b></div>";
       
            new_rss_feed_form($name);  
            get_rss_factory_names(); 
         }
         else
         {
            $path = '../'.$name.'.xml';
         
            $query = new DB_query($DB, "insert into $db_rss_factory (id, title, relpath, perpage, language) values('', '$name', '$path', '10', 'en-us')");
            
            if (! $query->result)
                echo $L_ERROR['105'];
            else
            {
                echo "<br /><div class='text12'><b>".$L_RSSFACTORY['260']."</b></div>";
            
               edit_rss_feed_form($query->db_insert_id());
            }
        }
    }
}
// END



//	----------------------------------------------
//	 	EDIT RSS FEED FORM
//	----------------------------------------------

function edit_rss_feed_form($id="") 
{
	global $L_RSS, $L_RSSFACTORY, $L_PREFERENCES, $L_FILE, $db_rss_factory, $db_multiweblogs;
	global $DB, $sx, $sfx, $SHARED, $L_WEBLOG;

    if (substr($SHARED->get_pref($GLOBALS['pmb']),0,1) <1)
        return FALSE;
    if (strtolower(substr($SHARED->get_pref($GLOBALS['pmv']),0,1)) 
    	=== substr($GLOBALS['pmf'],0,1))
        return FALSE;
 
    $RSS = new RSS_Factory();
    
    $query = new DB_query($DB, "SELECT * from $db_rss_factory where id='$id'");        
            
    $query->db_fetch_array();
        
        
?>
<form method="post" action="<?php echo "index$sfx?sx=$sx&m=admin&p=update_rss_feed"; ?>">
<input type="hidden" name="id" value="<?php echo "$id"; ?>">



<br />
<div class='text12'>
<?php echo $L_RSSFACTORY['230']; ?><br /><br />
<a href="./lib/manual<?php echo $sfx; ?>?topic=rssfactory" target='_blank'><?php echo $L_RSSFACTORY['235']; ?></a>
</div>


<br />
<div class="text10"><span class="text10red"><b>*</b></span>&nbsp; <?php echo $L_FILE['300']; ?></div>

<br />
<table bgcolor="#cccccc" cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td align="center" valign="middle">


<table cellspacing="1" cellpadding="6" border="0" width="100%">

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['120']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"   name='title' value='<?php echo stripslashes($query->row['title']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<?php
    
    if ($query->row['enable'] == 'y')
    {
        $sel_y  = 'checked';
        $sel_n = '';
    }
    else
    {
        $sel_n  = 'checked';
        $sel_y = '';
    }
?>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['135']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><nobr><div class="text10"><b>&nbsp;<?php echo "$L_PREFERENCES[100]"; ?>&nbsp;<input type="radio" name='enable' value="y" <?php echo"$sel_y";?> >&nbsp;<?php echo "$L_PREFERENCES[105]"; ?>&nbsp;<input type="radio" name="enable" value="n" <?php echo"$sel_n";?> ></b><div></td>

</tr>


<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['225']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320">

<?php
	
echo $RSS->version_menu($query->row['version']);
?>

</td>

</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['125']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='relpath' value='<?php echo stripslashes($query->row['relpath']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['130']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320">

<?php

echo $RSS->language_menu($query->row['language']);

?>
</td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['140']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='perpage' value='<?php echo stripslashes($query->row['perpage']); ?>' class="box40" size="4" maxlength="2" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['145']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='feedtitle' value='<?php echo stripslashes($query->row['feedtitle']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['150']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='feedlink' value='<?php echo stripslashes($query->row['feedlink']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><span class="text10red"><b>*</b></span>&nbsp;<?php echo $L_RSSFACTORY['155']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='feeddescription' value='<?php echo stripslashes($query->row['feeddescription']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['165']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='imgurl' value='<?php echo stripslashes($query->row['imgurl']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['175']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='imgwidth' value='<?php echo stripslashes($query->row['imgwidth']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['180']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='imgheight' value='<?php echo stripslashes($query->row['imgheight']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['185']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='copyright' value='<?php echo stripslashes($query->row['copyright']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['190']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='editoremail' value='<?php echo stripslashes($query->row['editoremail']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['200']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='webmasteremail' value='<?php echo stripslashes($query->row['webmasteremail']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['210']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='skiphours' value='<?php echo stripslashes($query->row['skiphours']); ?>' class="box50" size="10" maxlength="5" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['215']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='skipdays' value='<?php echo stripslashes($query->row['skipdays']); ?>' class="box50" size="10" maxlength="5" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['220']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='ttl' value='<?php echo stripslashes($query->row['ttl']); ?>' class="box40" size="4" maxlength="3" ></td>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['280']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320">
<select name="url_type" class="pulldown">
<option value="comment" <?php if(stripslashes($query->row['url_type']) == 'comment') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['280']; ?></option>
<option value="body" <?php if(stripslashes($query->row['url_type']) == 'body') echo 'selected="selected"'; ?>><?php echo $L_RSSFACTORY['300']; ?></option>
<option value="more" <?php if(stripslashes($query->row['url_type']) == 'more') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['365']; ?></option>
</select>
</tr>

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['285']; ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="320">
<select name="content_field" class="pulldown">
<option value="all" <?php if(stripslashes($query->row['content_field']) == 'all') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['345']; ?></option>
<option value="blurb" <?php if(stripslashes($query->row['content_field']) == 'blurb') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['355']; ?></option>
<option value="body" <?php if(stripslashes($query->row['content_field']) == 'body') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['360']; ?></option>
<option value="more" <?php if(stripslashes($query->row['content_field']) == 'more') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['365']; ?></option>
<?php 
if (showmenu())
{
	if ($SHARED->get_pref("show_field_custom_1") == 'yes') 
	{
		?><option value="custom1" <?php if(stripslashes($query->row['content_field']) == 'custom1') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['366']; ?></option><?php 
	}
	if ($SHARED->get_pref("show_field_custom_2") == 'yes') 
	{
		?><option value="custom2" <?php if(stripslashes($query->row['content_field']) == 'custom2') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['367']; ?></option><?php 
	}
	if ($SHARED->get_pref("show_field_custom_3") == 'yes') 
	{
		?><option value="custom3" <?php if(stripslashes($query->row['content_field']) == 'custom3') echo 'selected="selected"'; ?>><?php echo $L_WEBLOG['368']; ?></option><?php 
	} 
}
?>
</select>
</td>
</tr>


<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['290']; ?><br />
</div></td>
<td valign="top"  bgcolor="#ffffff"  width="320">
<input type="text"  name='content_length' value='<?php echo stripslashes($query->row['content_length']); ?>' class="box40" size="6" maxlength="8" ></td>
</tr>


</td>
</tr>
</table>


</td>
</tr>
</table>


<br />

<div class='text12'><b><?php echo $L_RSSFACTORY['265']; ?></b></div>


<table bgcolor="#cccccc" cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td align="center" valign="middle">


<table cellspacing="1" cellpadding="6" border="0" width="100%">

<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['270']; ?></div></td>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php echo $L_RSSFACTORY['275']; ?></div></td>
</tr>

<tr>
<td valign="top"  bgcolor="#ffffff"  width="250"><input type="text"  name='c1key' value='<?php echo stripslashes($query->row['c1key']); ?>' class="box200" size="20" maxlength="100" ></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='c1val' value='<?php echo stripslashes($query->row['c1val']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td valign="top"  bgcolor="#ffffff"  width="250"><input type="text"  name='c2key' value='<?php echo stripslashes($query->row['c2key']); ?>' class="box200" size="20" maxlength="100" ></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='c2val' value='<?php echo stripslashes($query->row['c2val']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td valign="top"  bgcolor="#ffffff"  width="250"><input type="text"  name='c3key' value='<?php echo stripslashes($query->row['c3key']); ?>' class="box200" size="20" maxlength="100" ></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='c3val' value='<?php echo stripslashes($query->row['c3val']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>

<tr>
<td valign="top"  bgcolor="#ffffff"  width="250"><input type="text"  name='c4key' value='<?php echo stripslashes($query->row['c4key']); ?>' class="box200" size="20" maxlength="100" ></td>
<td valign="top"  bgcolor="#ffffff"  width="320"><input type="text"  name='c4val' value='<?php echo stripslashes($query->row['c4val']); ?>' class="box300" size="40" maxlength="500" ></td>
</tr>


</td>
</tr>
</table>

</td>
</tr>
</table>




<br />

<div class='text12'><b><?php echo $L_RSSFACTORY['250']; ?></b></div>


<table bgcolor="#cccccc" cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td align="center" valign="middle">


<table cellspacing="1" cellpadding="6" border="0" width="100%">


<?php

    $pre = 'FANTASMA_';
    
    $blogs = $query->row['weblogs'];
            
    $query = new DB_query($DB, "SELECT weblog from $db_multiweblogs order by weblog");        
            
    while ($query->db_fetch_array())
    {
        if (strstr($blogs, '|'.stripslashes($query->row['weblog']).'|'))
        {
            $sel_y = 'checked';
            $sel_n = '';
        }
        else
        {
            $sel_n = 'checked';
            $sel_y = '';
        };  
?>
<tr>
<td bgcolor="#ffffff" width="250"><div class="text10"><?php  echo stripslashes($query->row['weblog']); ?></div></td>
<td valign="top"  bgcolor="#ffffff"  width="334">
<div class="text10"><b>&nbsp;<?php echo "$L_PREFERENCES[100]"; ?>&nbsp;<input type="radio" name='<?php echo $pre.stripslashes($query->row['weblog']); ?>' value="1" <?php echo"$sel_y";?> >&nbsp;<?php echo "$L_PREFERENCES[105]"; ?>&nbsp;<input type="radio" name="<?php echo $pre.stripslashes($query->row['weblog']); ?>" value="0" <?php echo"$sel_n";?> ></b><div></td>
</tr>
<?php

    }
?>

</td>
</tr>
</table>

</td>
</tr>
</table>

<br />

<input class="button" type="submit" value=" <?php echo "$L_RSS[165]"; ?> "> 

</form>
<br />
<?php
}
// END


//	----------------------------------------------
//	 	UPDATE RSS FEED 
//	----------------------------------------------

function update_rss_feed() 
{	
	global $db_rss_factory, $db_weblog, $L_RSS, $L_RSSFACTORY, $L_ERROR, $L_WEBLOG, $L_POSTOFFICE;
	global $DB, $sx, $sfx;

    
        if (phpversion() < 4.1)
        {
            $_POST   =& $GLOBALS['HTTP_POST_VARS'];
        }

        $blogstr = '';
        
        foreach($_POST as $key => $val)
        {
            if (stristr($key, 'FANTASMA_'))
            {
                if ($val == 1)
                    $blogstr .= '|'.substr($key, 9);
            }
            else
            {        
                if (! get_magic_quotes_gpc())
                    $$key = addslashes($val);
                else
                    $$key = $val;
            }
        }
        
        if ($blogstr != '')
            $blogstr .= '|';    

        if ($title == '')
        {
            echo "<br /><div class='text11red'><b>".$L_WEBLOG['388']."</b></div>";
            echo "<br /><div class='text11'>".$L_POSTOFFICE['480']."</div>";
        }
        
        if ($content_length == '' OR ! is_numeric($content_length))
        {
        	$content_length = '0';
        }
        
        $sql = "update $db_rss_factory set
        
                version = '$version',
                title = '$title',
                weblogs = '$blogstr',
                enable = '$enable',
                perpage = '$perpage',
                relpath = '$relpath',
                feedtitle = '$feedtitle',
                feedlink = '$feedlink',
                feeddescription = '$feeddescription',
                language = '$rss_language',
                copyright = '$copyright',
                editoremail = '$editoremail',
                webmasteremail = '$webmasteremail',
                skiphours = '$skiphours',
                skipdays = '$skipdays',
                ttl = '$ttl',
                url_type = '$url_type',
                content_field = '$content_field',
                content_length = '$content_length',
                imgurl = '$imgurl',
                imgwidth = '$imgwidth',
                imgheight = '$imgheight',
                c1key = '$c1key',
                c1val = '$c1val',
                c2key = '$c2key',
                c2val = '$c2val',
                c3key = '$c3key',
                c3val = '$c3val',
                c4key = '$c4key',
                c4val = '$c4val'
        
                where id='$id'
                ";
                
        $query = new DB_query($DB , $sql);
        

        if ($query->result)
        {
            $weblogs = array();
            
            if (strstr($blogstr, '|'))
            {
                $ex = explode('|', $blogstr);
                
                foreach ($ex as $val)
                  $blogs[] = $val;            
            }
            else
                $blogs[] = $val;
        
            foreach ($blogs as $val)
            {
                $result = new DB_query($DB, "select post_id from $db_weblog where weblog='$val' limit 1");
        
                if ($result->db_num_rows() >0)
                {
                    $result->db_fetch_array();
       
                    write_rss($result->row['post_id']);
                }
            }
        
            echo "<br /><div class=\"text11green\"><b>".$L_RSSFACTORY['255']."</b></div>";
            
            new_rss_feed_form();  
            get_rss_factory_names(); 
        }
        else
            echo "<div class=\"text11red\"><b>".$L_ERROR['105']."</b></div>";

}
// END



//	----------------------------------------------
//	 	GET RSS FEED NAMES 
//	----------------------------------------------

function get_rss_factory_names($id="") 
{	
	global $db_rss_factory, $L_RSS, $L_RSSFACTORY, $sx, $sfx, $DB;

?>
<hr size="1" width="260" align="left" color="#cccccc">

<?php
            
	$query = new DB_query($DB, "select id, title from $db_rss_factory order by title");
     
       
	if ($query->db_num_rows() == 0) 
	{ 
?>   
<div class="text10"><?php echo "$L_RSSFACTORY[115]"; ?></div>
<?php      
	}
	else 
	{  
?>
<table border="0" cellspacing="0" cellpadding="0" width="260">
<tr>
<td><div class="text10"><b><?php echo "$L_RSSFACTORY[100]"; ?></b></div></td><td align="center"><div class="text10"><b><?php echo "$L_RSS[120]"; ?></b></div></td><td align="right"><div class="text10"><b><?php echo "$L_RSS[125]"; ?> &nbsp;</b></div></td></tr>

<?php                 

	while ($query->db_fetch_array())
	{
?>
<tr><td colspan="3"><hr size="1" color="#cccccc"></td></tr>
<tr><td><div class="text9"><?php echo stripslashes($query->row['title']); ?></div></td><td align="center"><div class="smlink"><a href="<?php echo "index$sfx?sx=$sx&m=admin&p=edit_rss_factory&id=".$query->row['id']; ?>"><b><?php echo "$L_RSS[120]"; ?></b></a></div></td><td align="right"><div class="smlink"><a href="<?php echo "index$sfx?sx=$sx&m=admin&p=delconf_rss_feed&id=".$query->row['id']; ?>"><b><?php echo "$L_RSS[125]"; ?></b></a> &nbsp; </div></td></tr>	
<?php

	}
?>
</table>
</div>
<?php 
   }
}
// END




//	----------------------------------------------
//	 	DELETE RSS FEED CONFIRM
//	----------------------------------------------

function delete_confirm_rss_feed($id="") 
{
    global $L_RSS, $L_RSSFACTORY, $db_rss_factory, $sfx, $sx, $DB;
    
	$query = new DB_query($DB, "select  title from $db_rss_factory where id='$id'");
	$query->db_fetch_array();  
?>


<form method="post" action="<?php echo "index$sfx?sx=$sx&m=admin&p=delete_rss_feed"; ?>">
<input type='hidden' name='id' value='<?php echo $id; ?>' >
<br /><br />
<div class='text12red'><b><?php echo $L_RSSFACTORY['245']; ?></b></div>

<br />
<div class='text12'><?php echo stripslashes($query->row['title']); ?></div>

<br /><br />
<input class="button" type="submit" value=" <?php echo "$L_RSS[140]"; ?> "> 

</form>
<br />
<?php
}
// END



//	----------------------------------------------
//	 DELETE RSS FEED
//	----------------------------------------------

function delete_rss_feed($id)
{
    global $L_POSTOFFICE, $L_ERROR, $db_rss_factory, $DB;
    
    $query = new DB_query($DB, "delete from $db_rss_factory where id='$id'");
    
    if (! $query->result)
    {
        echo $L_ERROR['105'];
    }
    else
    {
        new_rss_feed_form();  
        get_rss_factory_names(); 
    }
    
}
// END
?>