<?php 
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//-------------------------
// TRACKBACK FORM
// -----------------------

// The original trackback form.  This is still available, since I suppose a user might wish 
// to send multiple trackbacks for the same entry.  They just have to go the url 
// http://www.reedmaniac.com/pm/tbserver.php?p=send to see this form page.  Might be an 
// interest idea to integrate this form into the control panel, but for the time being I have left it out.

function send_trackback_form() {

?><h2>Send a TrackBack ping</h2>
<form method="post" action="trackback.php?p=ping">
<table border="0" cellspacing="3" cellpadding="0">
<tr><td>TrackBack Ping URL:</td><td><input name="ping_url" size="60" /></td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>Title:</td><td><input name="title" size="35" /></td></tr>
<tr><td>Blog name:</td><td><input name="blog_name" size="35" /></td></tr>
<tr><td>Excerpt:</td><td><input name="excerpt" size="60" /></td></tr>
<tr><td>Permalink URL:</td><td><input name="permalink" size="60" /></td></tr>
</table>
<input type="submit" value="Send Ping">
</form>

<?php

}
//
// END
//

//-------------------------
// SEND TRACKBACK PING - FORM PROCESSOR
// ------------------------

// Sends the trackback, 'nuf said 

function send_trackback_ping($ping_url,$title,$blog_name,$excerpt, $permalink)
{
	global $SHARED;
	
	$http_response = '';
	
	if(!$valid = @fopen($ping_url,"r")) 
	{
		return false;
	}
	
	$ping_name = $SHARED->get_pref("ping_name_$blog_name");
	
	if($ping_name == '')
	{
		$ping_name = $blog_name;
	} 
	// Parse pingurl 
	$target = parse_url($ping_url);

	if (isset($target['query']) and $target['query'] != "")
	{
		$uri = $target['path'] . "?" . $target['query'];
	} 
	else
	{
		$uri = $target['path'];
	}

	if (strstr($ping_url, '?'))
	{
		$tb_array = explode('/', $ping_url);
		$tb_end = $tb_array[count($tb_array)-1];
		$tb_array = explode('=', $tb_end);
		$tb_id = $tb_array[count($tb_array)-1];
	}
	else
	{
		$tb_array = explode('/', $ping_url);
		$tb_id = $tb_array[count($tb_array)-1];
	}
	
	if (preg_match ("/^([0-9]+)$/", $tb_id)) 
	{
		$id_stuff = "tb_id=$tb_id&";
	}
	else
	{
		$id_stuff = "";
	}
	
	$data ="url=" .rawurlencode ($permalink). "&title=" .rawurlencode ($title). "&blog_name=" .rawurlencode ($ping_name). "&excerpt=" .rawurlencode ($excerpt); 
		
	$fp = @fsockopen ($target['host'], 80);

	// Send the trackback 
	fputs ($fp,"POST " . $uri . " HTTP/1.1\r\n" ); 
	fputs ($fp,"Host: " . $target['host'] . "\r\n" ); 
	fputs ($fp,"Content-type: application/x-www-form-urlencoded\r\n" ); 
	fputs ($fp,"Content-length: " .strlen ($id_stuff.$data) . "\r\n" ); 
	fputs ($fp,"Connection: close\r\n\r\n" ); 
	fputs ($fp ,$id_stuff.$data); 

	while(!feof($fp))
	{
		$http_response .= fgets($fp, 128);
	}
	
	@fclose($fp);

		// We might get a response back, but nothing the user needs to see.
		// This is here only for testing.
		// list($http_headers, $http_content)=explode("\r\n\r\n", $http_response);
		// echo $http_response;
	
	if (!eregi("<error>0</error>", $http_response))
		return false;
	else
		return true;


}
//
// END
//


//-------------------------
// RECEIVE TRACKBACK and PUT IN TRACKBACK DB
// ------------------------

/*  Receives any trackbacks sent to this site and puts into the database.  
Checks to make sure we do not already have a trackback from that remote entry.   */

function receive_trackback($id,$title,$blog_name,$excerpt, $url)
{
	global $db_trackback, $db_weblog, $DB, $db_prefs, $SHARED;
	global $db_whitelisted, $db_blacklisted;

	$now = $SHARED->get_offset_time();

	$query = new DB_query($DB, "SELECT * from $db_trackback WHERE entry_url = '$url' AND post_id = '$id'");

	if ($query->db_num_rows() > 0) 
	{ 
		return trackback_response('1b');  
	}
	else 
	{  	
		// Strip Slashes when the post comes in
		$title		=& stripslashes($title);
        $blog_name	=& stripslashes($blog_name); 
        $excerpt	=& stripslashes($excerpt);
		$excerpt	=& stripslashes($excerpt);  // Bug fix for earlier verison
        $url		=& stripslashes($url);        

		// Remove tags and code from all fields.
		$title 		=& htmlspecialchars(strip_tags($title));
		$blog_name 	=& htmlspecialchars(strip_tags($blog_name));
		$url 		=& htmlspecialchars(strip_tags($url));
		$excerpt 	=& htmlspecialchars(strip_tags(pmcode_decode($excerpt)));  // Bug fix for earlier version
		$excerpt	=& str_replace("&amp;", "&", $excerpt);  // Make HTML entities correct
		
		// -------------------------------------------------
		//  Blacklist/Whitelist
		// -------------------------------------------------
		
		$rawinput = $title.' '.$blog_name.' '.$excerpt;
		
		// --------------------------
		//  Current Blacklist
		// --------------------------
  	
		$query = new DB_query($DB, "SELECT * FROM $db_blacklisted"); 
		
		$black['ip']		= array();
		$black['email']		= array();
		$black['url']		= array();
		$black['phrase']	= array();
		
		if ($query->db_num_rows() > 0)
		{
			while ($query->db_fetch_array())
			{
				$black_values =& explode('|', $query->row['blacklisted_value']);
				
				for ($i=0; $i < sizeof($black_values); $i++)
    	    	{
    	    		if (trim($black_values[$i]) != '')
    	    		{
    	    			$black[$query->row['blacklisted_type']][] = (get_magic_quotes_runtime()) ? stripslashes($black_values[$i]) : $black_values[$i];
    	    		}
    	    	}
			}	
		}
		
		// --------------------------
		//  Current Whitelist
		// --------------------------
  	
		$query = new DB_query($DB, "SELECT * FROM $db_whitelisted"); 
		
		$white['ip']		= array();
		$white['email']		= array();
		$white['url']		= array();
		$white['phrase']	= array();
		
		if ($query->db_num_rows() > 0)
		{
			while ($query->db_fetch_array())
			{
				$white_values =& explode('|', $query->row['whitelisted_value']);
				
				for ($i=0; $i < sizeof($white_values); $i++)
    	    	{
    	    		if (trim($white_values[$i]) != '')
    	    		{
    	    			$white[$query->row['whitelisted_type']][] = (get_magic_quotes_runtime()) ? stripslashes($white_values[$i]) : $white_values[$i]; 
    	    		}
    	    	}   
			}	
		}
		
		// -----------------------------
		//  Domain Names Array
		// -----------------------------
			
		$domains = array('net','com','org','info', 'name','biz','us','de', 'uk');    	
		
		// -------------------------------------
		//  Find URLs in Comment Body
		// -------------------------------------
		
		$test_body =& str_replace('&amp;', '&', $rawinput);
		$test_body =& str_replace('&#35;', '#', $test_body);
		$test_body =& str_replace('&#38;', '&', $test_body);
		$test_body =& str_replace('&#45;', '-', $test_body);
		$test_body =& str_replace('&#46;', '.', $test_body);
		$test_body =& str_replace('&#47;', '/', $test_body);
		$test_body =& str_replace('&#58;', ':', $test_body);
		$test_body =& str_replace('&#95;', '_', $test_body);
		
		$test_body .= ' ';
		
		$test_urls = array();
					
		// Clear period from the end of URLs
		$test_body = preg_replace("#(^|\s|\()((http://|http(s?)://|www\.)\w+[^\s\)]+)\.([\s\)])#i", "\\1\\2{{PERIOD}}\\4", $test_body);
					
		if (preg_match_all("/([f|ht]+tp(s?):\/\/[a-z0-9@%_.~#\/\-\?&=]+.)".
						   "|(www.[a-z0-9@%_.~#\-\?&]+.)".
						   "|([a-z0-9@%_~#\-\?&]*\.(".implode('|', $domains)."))/si", $test_body, $matches))
		{       					
			$test_urls = $matches['0'];
		}
		
		// Add in URL Field
		
		if (isset($url) && trim($url) != '')
		{
			$test_urls[] =& trim($url);
		}
		
		// -------------------------------------
		//  Uber Whitelist Pass
		// -------------------------------------
		
		$uber = 'n';  // Whitelisted IPs and Emails Always Passed Through
		
		if (sizeof($white['ip']) > 0)
		{
			foreach($white['ip'] as $good)
			{
				if (stristr($SHARED->IP, $good) !== false)
				{
					$uber = 'y';
				}
			}
		}
		
		
		// -------------------------------------
		//  Check Email, URLs, IP, and Content
		// -------------------------------------
		
		$pass = 'y';  // Innocent until guilty	
		
		foreach($black as $type => $blacklisted)
		{
			if ($uber == 'y')
			{
				break;
			}
			
			if ($type == 'url' && sizeof($test_urls) > 0)
			{
				for ($i=0; $i < sizeof($test_urls); $i++)
				{
					foreach($blacklisted as $bad)
					{
						if (stristr($test_urls[$i], $bad) !== false)
						{
							$pass = 'n';
							
							if (sizeof($white[$type]) > 0)
							{
								foreach($white[$type] as $good)
								{
									if (stristr($test_urls[$i], $good) !== false)
									{
										$pass = 'y';
									}
								}
							}
							
							break;
						}
					}
				}
			}
			elseif($type == 'ip' && $SHARED->IP != '0.0.0.0')
			{
				foreach($blacklisted as $bad)
				{
					if (stristr($SHARED->IP, $bad) !== false)
					{
						$pass = 'n';					
						break;					
					}
				}
			}
			elseif($type == 'phrase')
			{
				foreach($blacklisted as $bad)
				{
					if (stristr($test_body, $bad) !== false)
					{
						$pass = 'n';
						
						if (sizeof($white[$type]) > 0)
						{
							foreach($white[$type] as $good)
							{
								if (stristr($test_body, $good) !== false)
								{
									$pass = 'y';
								}
							}
						}
						
						break;
					}
				}
			}
		}
				
		if ($pass == 'n' && $uber != 'y')
		{
			return trackback_response('1a');
		}
			
	
		if ( ! get_magic_quotes_runtime()) 
		{
			$title		=& addslashes($title);
       		$blog_name	=& addslashes($blog_name); 
        	$excerpt	=& addslashes($excerpt);
        	$url		=& addslashes($url);   
        }   
        
        // --------------------------------------
		//  Secure Preferences and Checks
		// --------------------------------------
	
		$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp = '40'");
	
		while ($query->db_fetch_object()) 
		{
			${$query->obj->pm_option} = $query->obj->pm_value; 
		}
		
		if (isset($deny_duplicate) && $deny_duplicate == 'yes')
		{
			$query = new DB_query($DB, "SELECT COUNT(*) FROM $db_trackback WHERE excerpt = '$excerpt'");
			$query->db_fetch_object();
		
			if ($query->obj->count > 0)
			{
				return trackback_response('1a');
			}
		}
		
		// ----------------------------
        //  Throttling Security
        // ----------------------------

		if (isset($trackback_throttle) && $trackback_throttle > 0)
		{
        	$last_hour = $now - 3600;

        	$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_trackback 
        							WHERE trackback_ip = '".$SHARED->IP."' 
        							AND t_stamp > '$last_hour'");

			$query->db_fetch_object();
			
			if ($query->obj->count >= $trackback_throttle)
			{
				return trackback_response('1a');
			}
    	}    
        
        $title		= (strlen($title) > 255) ? substr($title, 0, 252).'...' : $title;
		$excerpt	= (strlen($excerpt) > 255) ? substr($excerpt, 0, 252).'...' : $excerpt;
		$blog_name	= (strlen($blog_name) > 255) ? substr($blog_name, 0, 252).'...' : $blog_name;

		$result = new DB_query($DB, "INSERT INTO $db_trackback 
                       (id,
                        post_id,
                        entry_title, 
                        blog_name, 
                        excerpt,
                        entry_url,
                        t_stamp,
                        trackback_ip) 
              			VALUES 
                      ('',
                       '$id',
                       '$title',
                       '$blog_name',
                       '$excerpt',
                       '$url',
                       '$now',
                       '".$SHARED->IP."')");
         

		if($result->result)
		{
    		$query = new DB_query($DB, "UPDATE $db_weblog SET tb_total = tb_total+1 WHERE post_id = '$id'");
    			
    		trackback_response(0);
    	}

	}
}
//
// END
//


//-------------------------
//  Trackback Response
// ------------------------

function trackback_response($code=0) {

	if ($code == 0)
	{
		echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?".">\n<response>\n<error>0</error>\n</response>";
	}
	elseif($code == '1a')
	{
		echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?".">\n<response>\n<error>1</error>\n<message>Trackback Denied - Security Check</message>\n</response>";
	}
	elseif($code == '1b')
	{
		echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?".">\n<response>\n<error>1</error>\n<message>Trackback Already Received</message>\n</response>";
	}
	else
	{
		echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?".">\n<response>\n<error>1</error>\n<message>Incomplete Information</message>\n</response>";
	}
}
//
// END
//


// -----------------------
//  RDF PARSER CLASS
// -----------------------

//  Oh, it may look simple, but the documentation on this kind of stuff is definitely lacking.
//  The companion piece in weblogs.cp.php is the real cream of the crop though.  Basically, 
//  this takes the xml input and parses it for the bookmarklet's needs.  Returns a pulldown 
//  list of entries available for trackback. 

class RDFParser {

var $insideitem = false;
var $tag = "";
var $document = "";
var $current_url = "";
var $filelist = array();

	function startElement($parser, $name, $attrs) {
		if ($this->insideitem) {

			$this->tag = $name;
		} elseif ($name == "RDF:DESCRIPTION") {
			//$la = implode(",", $attrs); 
			$url = $attrs['TRACKBACK:PING'];

			$title = $attrs['DC:TITLE'];
			$selected = "";
			if ($url == $this->current_url)
				$selected = "selected=\"selected\"";
			echo "<option value=\"$url\" $selected>$title</option>\n";
			
			$this->insideitem = true;
		}
	}

	function endElement($parser, $name) {
		global $insideitem, $tag; 
		if ($name == "RDF:DESCRIPTION")	{
	
		$this->insideitem = false;
	
		}
	}

	function characterData($parser, $data) {
		// Nothing between the tag.
	}

}
// END CLASS


?>