<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//		KILL AND RESET MT ID COOKIE
//	----------------------------------------------

if (isset($_COOKIE['id'])) 
{
    setcookie('id','',time()-60,'/','','0');
    $_COOKIE['id'] = 0;
}



//	----------------------------------------------
//		SYSTEM CHECK and CONFIG INCLUDE
//	----------------------------------------------

if (isset($_GET['pm_path']))
{
	exit;
}

$extarray = array('.php', '.php4', '.php3', '.php5');

if ( ! in_array($sfx, $extarray))
{	
	exit;
}

if ( ! file_exists("{$pm_path}config$sfx"))
{
	exit;
}

include ("{$pm_path}config$sfx");


//	----------------------------------------------
//		SECURITY FILE INCLUDE
//	----------------------------------------------

include ("{$pm_path}lib/security.fns$sfx");

$SECURE = new Security();


//	----------------------------------------------
//		REGISTER GLOBALS OFF
//	----------------------------------------------

if (is_array($_COOKIE) AND count($_COOKIE) > 0)
{
	foreach($_COOKIE as $var => $val)
    {
    	$var = $SECURE->sanitize_keys($var);
        $_COOKIE[$var] = $SECURE->xss_clean($val);
        $$var = $val;
    }
}

if (is_array($_GET) AND count($_GET) > 0)
{
	foreach($_GET as $var => $val)
    {
    	$var = $SECURE->sanitize_keys($var);
    	$_GET[$var] = $SECURE->sanitize_get($val);
    	$_GET[$var] = $SECURE->xss_clean($val);
        $$var = $val;
    }
}

if (is_array($_POST) AND count($_POST) > 0)
{
	foreach($_POST as $var => $val)
    {
    	$var = $SECURE->sanitize_keys($var);
    	
    	if (is_array($val))
    	{
    		$nval = array();
    		
    		foreach($val as $k => $v)
    		{
    			$k = $SECURE->sanitize_keys($k);
        		$nval[$k] = $SECURE->xss_clean($v);
    		}
    		
    		$$var = $nval;
    	}
        else
        {
        	$_POST[$var] = $SECURE->xss_clean($val);
        	$$var = $val;
        }
    }
}

if (is_array($_SERVER) AND count($_SERVER) > 0)
{
	foreach($_SERVER as $var => $val)
    {
        $_SERVER[$var] = $SECURE->xss_clean($val);
        $$var = $val;
    }
}
// END

if (isset($language) && ! ereg("^[A-Za-z0-9\_\-]+$", $language))
{
	exit('Invalid Language');
}

//	----------------------------------------------
//		DEFINE DEFAULT VARIABLES
//	----------------------------------------------

if (!isset($id))		$id = '';
if (!isset($gen))		$gen = '';
if (!isset($weblog))	$weblog = '';
if (!isset($keywords))	$keywords = '';
if (!isset($criteria))	$criteria = '';
if (!isset($where))		$where = '';
if (!isset($i))			$i = '';
if (!isset($e))			$e = '';
if (!isset($email))		$email = '';
if (!isset($from))		$from = '';
if (!isset($member))	$member = '';
if (!isset($m))			$m = '';
if (!isset($to))		$to = '';
if (!isset($which))		$which = '';
if (!isset($rem))	    $rem = '';
if (!isset($year))	    $year = '';
if (!isset($month))	    $month = '';
if (!isset($view))	    $view = '';
if (!isset($mlst))	    $mlst = '';
if (!isset($sortby))	$sortby = '';
if (!isset($limit))		$limit = '';
if (!isset($template))	$template = '';
if (!isset($author))	$author = '';
if (!isset($date))		$date = '';


// ----------------------------------------------
//  Error Reporting ON 
// ----------------------------------------------

if ($debug == '1')
{
    error_reporting(E_ALL);
}
else
{
    error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING);
}

$sx = '';

// --------------------------------------
//  Start Up Database
// --------------------------------------

include ("{$pm_path}db/db.$database$sfx");
include ("{$pm_path}db/db.tables$sfx");

$DB = new DB();

// --------------------------------------
//  Shared Functions and Shared Caching
// --------------------------------------

include ("{$pm_path}lib/shared.fns$sfx");

$SHARED = new Shared();

// ----------------------------------------------
//  Master Includes
// ----------------------------------------------

include ("{$pm_path}lib/pmcode.fns$sfx");
include ("{$pm_path}lib/archives.fns$sfx");
include ("{$pm_path}lib/benchmark.class$sfx");
include ("{$pm_path}lib/birthday.fns$sfx");
include ("{$pm_path}lib/calendar.fns$sfx");
include ("{$pm_path}lib/category.fns$sfx");
include ("{$pm_path}lib/censor.fns$sfx");
include ("{$pm_path}lib/comment.fns$sfx");
include ("{$pm_path}lib/deprecated.fns$sfx");
include ("{$pm_path}lib/email.class$sfx");
include ("{$pm_path}lib/email.fns$sfx");
include ("{$pm_path}lib/encoded.email$sfx");
include ("{$pm_path}lib/forum.fns$sfx");
include ("{$pm_path}lib/hitcounter.fns$sfx");
include ("{$pm_path}lib/hittracking.fns$sfx");
include ("{$pm_path}lib/ip.fns$sfx");
include ("{$pm_path}lib/linking.fns$sfx");
include ("{$pm_path}lib/mailinglist.fns$sfx");
include ("{$pm_path}lib/mailfiles$sfx");
include ("{$pm_path}lib/member.fns$sfx");
include ("{$pm_path}lib/memberfiles$sfx");
include ("{$pm_path}lib/message.fns$sfx");
include ("{$pm_path}lib/minicalendar.fns$sfx");
include ("{$pm_path}lib/password.fns$sfx");
include ("{$pm_path}lib/pblock.fns$sfx");
include ("{$pm_path}lib/search.fns$sfx");
include ("{$pm_path}lib/stats.fns$sfx");
include ("{$pm_path}lib/tellafriend.fns$sfx");
include ("{$pm_path}lib/timelock.fns$sfx");
include ("{$pm_path}lib/weblog.fns$sfx");
include ("{$pm_path}cp/xmlparser$sfx");
include ("{$pm_path}xmlrpc/ping.fns$sfx");
include ("{$pm_path}xmlrpc/xmlrpc.inc");


//	----------------------------------------------
//		SCRIPTS DIRECTORY INCLUDES
//	----------------------------------------------

$scriptdir = "{$pm_path}scripts/";

if (is_dir("$scriptdir"))
{
    if ($h = @opendir($scriptdir)) 
    { 

        while (false !== ($file = readdir($h))) 
        { 
            if ((eregi("$sfx$", $file))) 
            { 
    
            include("$scriptdir$file");
    
            }
        } 
    } 
    
    @closedir($h);
} 
// END

//	----------------------------------------------
//      Pingback Header
//	----------------------------------------------

if (isset($pingserver_path) AND $pingserver_path != "")
{
    header('X-Pingback: '. $pingserver_path); 
}
?>