<?php

# You will notice that some of the word and or/prases are repeated in several places.
# This is done on purpose


//	----------------------------------------------
//		COPYRIGHT INFO
//	----------------------------------------------

$L_COPYRIGHT['100'] = "Copyright";
$L_COPYRIGHT['105'] = "All Rights Reserved.";


//	----------------------------------------------
//		ERROR MESSAGES
//	----------------------------------------------

$L_ERROR['100'] = "Could not access table:";
$L_ERROR['105'] = "A problem was encountered while performing this action.";
$L_ERROR['110'] = "The username and/or password you submitted are not correct.";
$L_ERROR['200'] = "There was a problem trying to write your RSS file.<br /><br />Please check your RSS preferences and make sure the file has the correct permissions.";
$L_ERROR['220'] = "The path to your default directory is not correct";
$L_ERROR['225'] = "You cannot use the File Browser in this directory.";
$L_ERROR['230'] = "You are not authorized to access this page.";

// NEW
$L_ERROR['235'] = "Problem performing search.";


//	----------------------------------------------
//		LOGIN PAGE
//	----------------------------------------------

$L_LOGIN['100'] = "L O G I N";
$L_LOGIN['105'] = "Username";
$L_LOGIN['110'] = "Password";
$L_LOGIN['115'] = "Forgot?";
$L_LOGIN['120'] = "SUBMIT";
$L_LOGIN['125'] = "Remember Me?";

//	----------------------------------------------
//		LOG-OUT PAGE
//	----------------------------------------------

$L_LOGOUT['100'] = "You are now logged out";
$L_LOGOUT['105'] = "Visit your site";
$L_LOGOUT['110'] = "Return to login";

//	----------------------------------------------
//		EMAIL MESSAGES
//	----------------------------------------------

$L_EMAIL['100'] = "From:";
$L_EMAIL['105'] = "Email:";
$L_EMAIL['110'] = "Site Posting: ";

//	----------------------------------------------
//		FORGOTTEN PASSWORD PAGE
//	----------------------------------------------

$L_FGPW['100'] = "FORGOTTEN PASSWORD";
$L_FGPW['105'] = "Your Email";
$L_FGPW['110'] = "SUBMIT";
$L_FGPW['115'] = "Return To Log-In";
$L_FGPW['120'] = "You must fill out the form.";
$L_FGPW['125'] = "Invalid email address.";
$L_FGPW['130'] = "An email has just been sent to you with instructions for resetting your password.";
$L_FGPW['135'] = "Could not find your email in the database.";
$L_FGPW['140'] = "here is your new password.";
$L_FGPW['145'] = "Your username is:";
$L_FGPW['150'] = "Your new password:";
$L_FGPW['155'] = "Once you log-in, you can change the password to something more personal.";

//	----------------------------------------------
//		MAIN CONTROL PANEL NAVIGATION
//	----------------------------------------------

$L_NAV['100'] = "WEBLOG";
$L_NAV['105'] = "New Entry";
$L_NAV['110'] = "Edit All Entries";
$L_NAV['112'] = "Edit Your Entries";
$L_NAV['115'] = "Search Entries";  // Modified
$L_NAV['120'] = "Categories";
$L_NAV['122'] = "Entry Form Prefs";
$L_NAV['200'] = "pBLOCKS";
$L_NAV['205'] = "View-Edit pBlocks";
$L_NAV['300'] = "CALENDAR";
$L_NAV['305'] = "View Calendar";
$L_NAV['310'] = "Add an Event";
$L_NAV['315'] = "Calendar Prefs";
$L_NAV['400'] = "MEMBERS";
$L_NAV['405'] = "Your Profile";
$L_NAV['410'] = "View All Members";
$L_NAV['415'] = "Member Search";
$L_NAV['420'] = "Register Member";
$L_NAV['500'] = "POST OFFICE";
$L_NAV['505'] = "Send An Email";
$L_NAV['510'] = "Email Members";
$L_NAV['600'] = "ADMIN";
$L_NAV['605'] = "General Preferences";
$L_NAV['610'] = "Weblog Management";
$L_NAV['615'] = "Edit Templates";
$L_NAV['620'] = "RSS Parser Templates";
$L_NAV['625'] = "IP Banning";
$L_NAV['630'] = "Bookmarklet";
$L_NAV['635'] = "File Browser";
$L_NAV['640'] = "Manage Email Cache";
$L_NAV['645'] = "Mailing List Manager";
$L_NAV['650'] = "RSS Factory";
$L_NAV['655'] = "Email Mailing List";

// NEW
$L_NAV['660'] = "Blacklist";
$L_NAV['665'] = "Whitelist";
$L_NAV['670'] = "Search Comments";
$L_NAV['675'] = "Recount Weblog Stats";
$L_NAV['680'] = "Recount Member Stats";
$L_NAV['685'] = "Ping Servers";

// ----------------------------------------------
//  STATISTICS
// ----------------------------------------------

$L_STATS['100'] = "LOGGED IN:";
$L_STATS['105'] = "Most Recent Entry:";
$L_STATS['110'] = "Most Recent Comment:";
$L_STATS['115'] = "Open Entries:";
$L_STATS['120'] = "Closed Entries:";
$L_STATS['125'] = "Open Comments:"; // Modified
$L_STATS['128'] = "Administrators";
$L_STATS['130'] = "Active Members:";
$L_STATS['135'] = "Pending Members:";
$L_STATS['140'] = "Total in Mailing List:";
$L_STATS['145'] = "Banned IP's:";
$L_STATS['150'] = "This Month's Birthdays:";
$L_STATS['155'] = "Today's Birthdays:";
$L_STATS['160'] = "Hits";
$L_STATS['165'] = "Hit Counter Stats";
$L_STATS['170'] = "Main hit counter";
$L_STATS['175'] = "Total";

// NEW
$L_STATS['180'] = "Statistics Updated!";
$L_STATS['185'] = "Closed Comments";

//	----------------------------------------------
//		WEBLOG
//	----------------------------------------------

$L_WEBLOG['100'] = "UPLOAD IMAGE";
$L_WEBLOG['105'] = "TITLE";
$L_WEBLOG['110'] = "BLURB";
$L_WEBLOG['115'] = "BODY";
$L_WEBLOG['120'] = "MORE";
$L_WEBLOG['121'] = "CUSTOM 1";
$L_WEBLOG['122'] = "CUSTOM 2";
$L_WEBLOG['123'] = "CUSTOM 3";
$L_WEBLOG['125'] = "DISPLAY IN";
$L_WEBLOG['130'] = "Open";
$L_WEBLOG['135'] = "Closed";
$L_WEBLOG['140'] = "SUBMIT";
$L_WEBLOG['145'] = "PREVIEW";
$L_WEBLOG['150'] = "UPDATE";
$L_WEBLOG['155'] = "Weblog:";
$L_WEBLOG['160'] = "Status:";
$L_WEBLOG['165'] = "CONTINUE EDITING";
$L_WEBLOG['170'] = "ENTRY ADDED...";
$L_WEBLOG['172'] = "ENTRY UPDATED...";
$L_WEBLOG['175'] = "WEBLOG ENTRIES";
$L_WEBLOG['180'] = "All combined";
$L_WEBLOG['185'] = "View";
$L_WEBLOG['190'] = "All - newest first";
$L_WEBLOG['195'] = "All - newest last";
$L_WEBLOG['197'] = "Today";
$L_WEBLOG['200'] = "Open";
$L_WEBLOG['205'] = "Closed";
$L_WEBLOG['207'] = "This week";
$L_WEBLOG['208'] = "This month";
$L_WEBLOG['209'] = "Last month";
$L_WEBLOG['210'] = "Last 60 days";
$L_WEBLOG['215'] = "Last 90 days";
$L_WEBLOG['220'] = "Last 120 days";
$L_WEBLOG['225'] = "Last six months";
$L_WEBLOG['230'] = "Last year";
$L_WEBLOG['232'] = "Future entries";
$L_WEBLOG['235'] = "Category";
$L_WEBLOG['240'] = "TITLE";
$L_WEBLOG['245'] = "AUTHOR";
$L_WEBLOG['250'] = "DATE";
$L_WEBLOG['255'] = "EDIT";
$L_WEBLOG['256'] = "DELETE";
$L_WEBLOG['258'] = "COMMENT";
$L_WEBLOG['260'] = "COMMENTS";
$L_WEBLOG['265'] = "STATUS";
$L_WEBLOG['270'] = "DISPLAY IN";
$L_WEBLOG['275'] = "Edit";
$L_WEBLOG['280'] = "Comments";
$L_WEBLOG['285'] = "No Matches Found";
$L_WEBLOG['290'] = "Posted By:";
$L_WEBLOG['295'] = "Date:";
$L_WEBLOG['300'] = "Permanently delete this entry?";
$L_WEBLOG['305'] = "All comments associated with this post will be deleted as well.";
$L_WEBLOG['310'] = "SEARCH FOR AN ENTRY";
$L_WEBLOG['315'] = "Separate keywords with spaces";
$L_WEBLOG['320'] = "Keywords:";
$L_WEBLOG['325'] = "Search for ANY terms";
$L_WEBLOG['330'] = "Search for ALL terms";
$L_WEBLOG['335'] = "Search In:";
$L_WEBLOG['345'] = "All entry fields";
$L_WEBLOG['350'] = "Title";
$L_WEBLOG['355'] = "Blurb";
$L_WEBLOG['360'] = "Body";
$L_WEBLOG['365'] = "More";
$L_WEBLOG['366'] = "C1"; // Custom1
$L_WEBLOG['367'] = "C2"; // Custom2
$L_WEBLOG['368'] = "C3"; // Custom3
$L_WEBLOG['370'] = "SEARCH";
$L_WEBLOG['375'] = "have been deleted";
$L_WEBLOG['380'] = "PREV"; // PREVIOUS
$L_WEBLOG['385'] = "NEXT";
$L_WEBLOG['388'] = "You left some of the form fields empty";
$L_WEBLOG['390'] = "You left some of the date and/or time fields empty";
$L_WEBLOG['395'] = "Your date and time fields must contain only numbers.";
$L_WEBLOG['400'] = "The hour you submitted is not correct.";
$L_WEBLOG['405'] = "The minutes you submitted are not correct.";
$L_WEBLOG['410'] = "The day you submitted is not correct.";
$L_WEBLOG['415'] = "The month you submitted is not correct.";
$L_WEBLOG['420'] = "The year you submitted is outside of the accepted range.";
$L_WEBLOG['425'] = "You must submit either AM or PM with your time.";
$L_WEBLOG['430'] = "Auto &lt;br /&gt;?";
$L_WEBLOG['435'] = "Auto XHTML?";
$L_WEBLOG['440'] = "CLOSE";
$L_WEBLOG['450'] = "OPEN";
$L_WEBLOG['460'] = "Unable to ping weblogs.com at this time.";
$L_WEBLOG['470'] = "Weblogs.com has been pinged.";
$L_WEBLOG['475'] = "Enable comments?";
$L_WEBLOG['480'] = "Yes";
$L_WEBLOG['485'] = "No";
$L_WEBLOG['490'] = "EXPIRE";
$L_WEBLOG['495'] = "THIS WEBLOG HAS BEEN DELETED...";
$L_WEBLOG['500'] = "GO";
$L_WEBLOG['505'] = "View by weblog";
$L_WEBLOG['510'] = "View by category";
$L_WEBLOG['515'] = "Date range";
$L_WEBLOG['520'] = "Status";
$L_WEBLOG['525'] = "All";
$L_WEBLOG['530'] = "Author";
$L_WEBLOG['535'] = "ENTRIES BY:";
$L_WEBLOG['540'] = "SEARCH RESULTS";
$L_WEBLOG['545'] = "TRACKBACKS AVAILABLE VIA BOOKMARLET";
$L_WEBLOG['550'] = "TRACKBACK URL";
$L_WEBLOG['555'] = "Unable to send trackback ping at this time.";
$L_WEBLOG['560'] = "Trackback sent";
$L_WEBLOG['565'] = "Trackback URL";
$L_WEBLOG['570'] = "A Pingback has been added.";
$L_WEBLOG['575'] = "Do Not Send Trackback";
$L_WEBLOG['580'] = "Permanently delete these entries?";
$L_WEBLOG['585'] = "All comments associated with these posts will be deleted as well.";

// NEW
$L_WEBLOG['590'] = "Sticky";
$L_WEBLOG['595'] = "Pings Sent Successfully";
$L_WEBLOG['600'] = "Unable to send the following pings:";



//	----------------------------------------------
//		CALENDAR
//	----------------------------------------------

$L_CALENDAR['100'] = "SUN"; // SUNDAY
$L_CALENDAR['105'] = "MON"; // MONDY
$L_CALENDAR['110'] = "TUE"; // TUESDAY
$L_CALENDAR['115'] = "WED"; // WEDNESDAY
$L_CALENDAR['120'] = "THU"; // THURSDAY
$L_CALENDAR['125'] = "FRI"; // FRIDAY
$L_CALENDAR['130'] = "SAT"; // SATURDAY
$L_CALENDAR['135'] = "Month";
$L_CALENDAR['140'] = "Year";
$L_CALENDAR['145'] = "Email";
$L_CALENDAR['150'] = "members with a birthday this month";
$L_CALENDAR['155'] = "GO";
$L_CALENDAR['160'] = "DATE";
$L_CALENDAR['165'] = "OPTIONAL";
$L_CALENDAR['170'] = "EVENT TITLE";
$L_CALENDAR['175'] = "EVENT DESCRIPTION";
$L_CALENDAR['180'] = "Repeat Event?";
$L_CALENDAR['185'] = "No";
$L_CALENDAR['186'] = "Daily";
$L_CALENDAR['187'] = "Weekly";
$L_CALENDAR['190'] = "Monthly";
$L_CALENDAR['195'] = "Yearly";
$L_CALENDAR['200'] = "Submit";
$L_CALENDAR['205'] = "time(s)";
$L_CALENDAR['210'] = "ADD EVENT";
$L_CALENDAR['215'] = "UPDATE EVENT";
$L_CALENDAR['220'] = "H"; // Hour
$L_CALENDAR['225'] = "M"; // Minute
$L_CALENDAR['230'] = "AM";
$L_CALENDAR['235'] = "PM";
$L_CALENDAR['240'] = "EVENT ADDED...";
$L_CALENDAR['245'] = "EVENT UPDATED...";
$L_CALENDAR['250'] = "EVENT";
$L_CALENDAR['255'] = "DATE";
$L_CALENDAR['258'] = "Delete";
$L_CALENDAR['260'] = "BACK TO CALENDAR";
$L_CALENDAR['265'] = "Permanently delete this event?";
$L_CALENDAR['270'] = "DELETE";
$L_CALENDAR['275'] = "EVENT DELETED...";
$L_CALENDAR['300'] = "January";
$L_CALENDAR['301'] = "February";
$L_CALENDAR['302'] = "March";
$L_CALENDAR['303'] = "April";
$L_CALENDAR['304'] = "May";
$L_CALENDAR['305'] = "June";
$L_CALENDAR['306'] = "July";
$L_CALENDAR['307'] = "August";
$L_CALENDAR['308'] = "September";
$L_CALENDAR['309'] = "October";
$L_CALENDAR['310'] = "November";
$L_CALENDAR['311'] = "December";
$L_CALENDAR['312'] = "Jan";
$L_CALENDAR['313'] = "Feb";
$L_CALENDAR['314'] = "Mar";
$L_CALENDAR['315'] = "Apr";
$L_CALENDAR['316'] = "May";
$L_CALENDAR['317'] = "Jun";
$L_CALENDAR['318'] = "Jul";
$L_CALENDAR['319'] = "Aug";
$L_CALENDAR['320'] = "Sep";
$L_CALENDAR['321'] = "Oct";
$L_CALENDAR['322'] = "Nov";
$L_CALENDAR['323'] = "Dec";

//	----------------------------------------------
//		CATEGORIES
//	----------------------------------------------

$L_CATEGORIES['100'] = "There are currently no categories assigned to: ";
$L_CATEGORIES['105'] = "Category";
$L_CATEGORIES['110'] = "Edit";
$L_CATEGORIES['115'] = "Delete";
$L_CATEGORIES['120'] = "That category already exists.";
$L_CATEGORIES['125'] = "Could not add your new category.";
$L_CATEGORIES['130'] = "Could not delete category.";
$L_CATEGORIES['135'] = "ADD NEW";
$L_CATEGORIES['140'] = "UPDATE";
$L_CATEGORIES['145'] = "Category Name:";
$L_CATEGORIES['150'] = "CURRENT WEBLOGS";
$L_CATEGORIES['155'] = "Edit Categories";
$L_CATEGORIES['160'] = "Use global categories?";
$L_CATEGORIES['165'] = "Global categories";
$L_CATEGORIES['170'] = "Global";

//	----------------------------------------------
//		COMMENTS
//	----------------------------------------------

$L_COMMENTS['100'] = "This member has not posted any comments.";
$L_COMMENTS['105'] = "There are no comments for this entry.";
$L_COMMENTS['110'] = "PREV"; // PREVIOUS
$L_COMMENTS['115'] = "NEXT";
$L_COMMENTS['120'] = "You submitted an empty form";
$L_COMMENTS['125'] = "COMMENTS HAVE BEEN DELETED..."; // Modified
$L_COMMENTS['130'] = "Edit";
$L_COMMENTS['135'] = "Delete";
$L_COMMENTS['138'] = "From";
$L_COMMENTS['140'] = "Email";
$L_COMMENTS['145'] = "URL";
$L_COMMENTS['150'] = "Posted By:";
$L_COMMENTS['155'] = "COMMENT UPDATED...";
$L_COMMENTS['160'] = "Permanently delete this comment?";
$L_COMMENTS['165'] = "UPDATE";
$L_COMMENTS['170'] = "DELETE";

// NEW
$L_COMMENTS['175'] = "Permanently delete these comments?";
$L_COMMENTS['180'] = "SEARCH FOR COMMENTS";
$L_COMMENTS['185'] = "All Weblogs";
$L_COMMENTS['190'] = "Search for IP Address";
$L_COMMENTS['195'] = "Search for Email";
$L_COMMENTS['200'] = "Search for URL";
$L_COMMENTS['205'] = "Comment has been moderated.  Approve?";
$L_COMMENTS['210'] = "Change Status";
$L_COMMENTS['215'] = "COMMENTS HAVE BEEN UPDATED...";
$L_COMMENTS['220'] = "COMMENT HAS BEEN UPDATED...";
$L_COMMENTS['225'] = "Change Status of These Comments?";

//	----------------------------------------------
//		IP BANNING
//	----------------------------------------------


$L_IPBANNING['100'] = "There are currently no banned IP addresses.";
$L_IPBANNING['105'] = "That ip number contains invalid characters.";
$L_IPBANNING['110'] = "Could not add ip address to ban list.";
$L_IPBANNING['115'] = "Could not delete ip address.";
$L_IPBANNING['120'] = "IP address";
$L_IPBANNING['125'] = "Username";
$L_IPBANNING['130'] = "optional";
$L_IPBANNING['133'] = "none";
$L_IPBANNING['135'] = "SUBMIT";
$L_IPBANNING['140'] = "Remove Ban";
$L_IPBANNING['145'] = "IP addresses for:";
$L_IPBANNING['150'] = "BAN ALL ADDRESSES";
$L_IPBANNING['155'] = "Banned IP Addresses:";

// NEW
$L_IPBANNING['160'] = "Separate multiple IPs with a comma or line break.";

//	----------------------------------------------
//		MEMBERS
//	----------------------------------------------

$L_MEMBERS['100'] = "PREV"; // PREVIOUS
$L_MEMBERS['105'] = "NEXT";
$L_MEMBERS['110'] = "You are the only registered member.  You cannot delete yourself!";
$L_MEMBERS['115'] = "You cannot delete the only registered superuser.";
$L_MEMBERS['120'] = "The following member has been deleted:";
$L_MEMBERS['125'] = "Weblog entries and/or comments posted by this member still exist.";
$L_MEMBERS['130'] = "You left some of the form fields empty";
$L_MEMBERS['135'] = "Username must contain only alpha-numeric characters and no spaces.";
$L_MEMBERS['140'] = "Password must contain only alpha-numeric characters and no spaces.";
$L_MEMBERS['145'] = "Username must have a mimimum length of:";
$L_MEMBERS['150'] = "Username cannot exceed a length of:";
$L_MEMBERS['155'] = "Password must have a mimimum length of:";
$L_MEMBERS['160'] = "Password cannot exceed a length of:";
$L_MEMBERS['165'] = "Passwords do not match";
$L_MEMBERS['170'] = "Email address is required";
$L_MEMBERS['175'] = "Invalid email address";
$L_MEMBERS['180'] = "You must select a default weblog in which to post";
$L_MEMBERS['182'] = "Invalid member status.";
$L_MEMBERS['185'] = "You must include the month and day when submitting your birthday";
$L_MEMBERS['190'] = "Your birthday must be submitted in numeric format";
$L_MEMBERS['195'] = "The birthday you submitted is not a valid";
$L_MEMBERS['200'] = "This email addresss is already registered";
$L_MEMBERS['205'] = "The username you submitted is already taken";
$L_MEMBERS['210'] = "You cannot change the status of the only registered superuser.";
$L_MEMBERS['215'] = "You have changed your username. You must log back in using this new name.";
$L_MEMBERS['220'] = "SEARCH BY";
$L_MEMBERS['225'] = "Name on entry";
$L_MEMBERS['230'] = "Username";
$L_MEMBERS['235'] = "Email address";
$L_MEMBERS['240'] = "URL";
$L_MEMBERS['245'] = "Member location";
$L_MEMBERS['250'] = "Submit keyword or partial word";
$L_MEMBERS['255'] = "SEARCH";
$L_MEMBERS['260'] = "SEARCH RESULTS";
$L_MEMBERS['265'] = "NAME";
$L_MEMBERS['270'] = "EMAIL";
$L_MEMBERS['275'] = "URL";
$L_MEMBERS['280'] = "ENTRIES";
$L_MEMBERS['285'] = "COMMENTS";
$L_MEMBERS['290'] = "JOIN";
$L_MEMBERS['295'] = "STATUS";
$L_MEMBERS['300'] = "Suspended";
$L_MEMBERS['305'] = "Pending";
$L_MEMBERS['310'] = "Active 1";
$L_MEMBERS['311'] = "Active 2";
$L_MEMBERS['312'] = "Active 3";
$L_MEMBERS['313'] = "Active 4";
$L_MEMBERS['315'] = "Admin 1";
$L_MEMBERS['320'] = "Admin 2";
$L_MEMBERS['325'] = "Admin 3";
$L_MEMBERS['328'] = "Admin 4";
$L_MEMBERS['329'] = "Admin 5";
$L_MEMBERS['330'] = "SuperUser";
$L_MEMBERS['331'] = "SuperUsers";
$L_MEMBERS['335'] = "Site";
$L_MEMBERS['340'] = "View...";
$L_MEMBERS['345'] = "TOTAL:";
$L_MEMBERS['348'] = "Member group";
$L_MEMBERS['350'] = "All Members";
$L_MEMBERS['355'] = "By Join Date";
$L_MEMBERS['359'] = "Sort order";
$L_MEMBERS['370'] = "Active Members";
$L_MEMBERS['375'] = "Pending Activation";
$L_MEMBERS['380'] = "Suspended Members";
$L_MEMBERS['385'] = "Admin - Level 1";
$L_MEMBERS['390'] = "Admin - Level 2";
$L_MEMBERS['395'] = "Admin - Level 3";
$L_MEMBERS['400'] = "Admin - Level 4";
$L_MEMBERS['403'] = "Admin - Level 5";
$L_MEMBERS['405'] = "No Results Found";
$L_MEMBERS['410'] = "Permanently delete this member:";
$L_MEMBERS['415'] = "Weblog entries and/or comments posted by this member will not be deleted.";
$L_MEMBERS['420'] = "DELETE";
$L_MEMBERS['425'] = "REGISTER A NEW MEMBER";
$L_MEMBERS['430'] = "Username";
$L_MEMBERS['435'] = "Password";
$L_MEMBERS['436'] = "New Password";
$L_MEMBERS['437'] = "Leave blank for no change";
$L_MEMBERS['440'] = "Confirm Password";
$L_MEMBERS['441'] = "Confirm New Password";
$L_MEMBERS['445'] = "Name on entries";
$L_MEMBERS['450'] = "Email";
$L_MEMBERS['455'] = "Location";
$L_MEMBERS['460'] = "URL";
$L_MEMBERS['465'] = "Occupation";
$L_MEMBERS['470'] = "Birthday";
$L_MEMBERS['475'] = "M";
$L_MEMBERS['480'] = "D";
$L_MEMBERS['485'] = "Y";
$L_MEMBERS['490'] = "Interests";
$L_MEMBERS['495'] = "ICQ";
$L_MEMBERS['500'] = "AOL IM";
$L_MEMBERS['505'] = "Yahoo IM";
$L_MEMBERS['510'] = "MSN IM";
$L_MEMBERS['515'] = "Bio";
$L_MEMBERS['520'] = "Show email address?";
$L_MEMBERS['525'] = "In entries";
$L_MEMBERS['530'] = "Accept email?";
$L_MEMBERS['535'] = "Through site form";
$L_MEMBERS['540'] = "Include email in mailing list?";
$L_MEMBERS['545'] = "Status";
$L_MEMBERS['550'] = "Active Member - Level 1";
$L_MEMBERS['551'] = "Active Member - Level 2";
$L_MEMBERS['552'] = "Active Member - Level 3";
$L_MEMBERS['553'] = "Active Member - Level 4";
$L_MEMBERS['555'] = "Pending Activation";
$L_MEMBERS['560'] = "Suspended Member";
$L_MEMBERS['565'] = "Admin Level 1: Can post/edit own";
$L_MEMBERS['570'] = "Admin Level 2: Can post/edit comments";
$L_MEMBERS['575'] = "Admin Level 3: Can post/edit any";
$L_MEMBERS['578'] = "Admin Level 4: Can administrate members";
$L_MEMBERS['580'] = "Admin Level 5: Semi-SuperUser";
$L_MEMBERS['581'] = "Admin Level 6: SuperUser";
$L_MEMBERS['585'] = "Default weblog to post in (admins only)";
$L_MEMBERS['590'] = "SUBMIT";
$L_MEMBERS['595'] = "MEMBER PROFILE";
$L_MEMBERS['600'] = "Join Date";
$L_MEMBERS['605'] = "Number of entries";
$L_MEMBERS['610'] = "Number of comments";
$L_MEMBERS['615'] = "Last posted on";
$L_MEMBERS['620'] = "IP Address";
$L_MEMBERS['625'] = "View All...";
$L_MEMBERS['630'] = "Delete Member";
$L_MEMBERS['635'] = "UPDATE";
$L_MEMBERS['640'] = "NEW MEMBER PROFILE";
$L_MEMBERS['645'] = "UPDATED MEMBER PROFILE";
$L_MEMBERS['650'] = "GO";
$L_MEMBERS['655'] = "Newest First";
$L_MEMBERS['660'] = "Newest Last";
$L_MEMBERS['665'] = "Alpha Ascending";
$L_MEMBERS['670'] = "Alpha Descending";
$L_MEMBERS['675'] = "MEMBERS";

$L_MEMBERS['680'] = "Permanently delete these members?";
$L_MEMBERS['685'] = "Weblog entries and/or comments posted by these members will not be deleted.";
$L_MEMBERS['690'] = "The following members have been deleted:";
$L_MEMBERS['695'] = "Weblog entries and/or comments posted by these members still exist.";

//	----------------------------------------------
//		WEBLOG MANAGEMENT
//	----------------------------------------------

$L_MULTIWEBLOG['100'] = "The name must contain only alpha-numeric characters and no spaces.";
$L_MULTIWEBLOG['105'] = "The name you have chosen is already taken.";
$L_MULTIWEBLOG['110'] = "CURRENT WEBLOGS";
$L_MULTIWEBLOG['115'] = "CREATE NEW";
$L_MULTIWEBLOG['120'] = "Preferences";
$L_MULTIWEBLOG['125'] = "Delete";
$L_MULTIWEBLOG['130'] = "CREATE A NEW WEBLOG";
$L_MULTIWEBLOG['135'] = "HELP";
$L_MULTIWEBLOG['140'] = "Name";
$L_MULTIWEBLOG['145'] = "CREATE NEW";
$L_MULTIWEBLOG['150'] = "WEBLOG CREATED....";
$L_MULTIWEBLOG['155'] = "PERMANENTLY DELETE THIS WEBLOG?";
$L_MULTIWEBLOG['160'] = "DELETE";
$L_MULTIWEBLOG['165'] = "Note: If you have entries assigned to this weblog, they will not be deleted.";

//	----------------------------------------------
//		PBLOCKS

//	----------------------------------------------

$L_PBLOCKS['100'] = "The name must contain only alpha-numeric characters and no spaces.";
$L_PBLOCKS['105'] = "The name you have chosen is already taken.";
$L_PBLOCKS['110'] = "P-BLOCK ADDED...";
$L_PBLOCKS['115'] = "MEMBER ADDED...";
$L_PBLOCKS['120'] = "MEMBER UPDATED...";
$L_PBLOCKS['125'] = "You left some form fields empty.";
$L_PBLOCKS['130'] = "P-BLOCK UPDATED...";
$L_PBLOCKS['135'] = "P-BLOCK DELETED...";
$L_PBLOCKS['140'] = "P-BLOCK MEMBER DELETED...";
$L_PBLOCKS['145'] = "CREATE A NEW P-BLOCK";
$L_PBLOCKS['150'] = "Name";
$L_PBLOCKS['155'] = "Single word, no spaces";
$L_PBLOCKS['160'] = "BEHAVIOR";
$L_PBLOCKS['165'] = "Random";
$L_PBLOCKS['170'] = "Cycle Forward";
$L_PBLOCKS['175'] = "Cycle Backward";
$L_PBLOCKS['180'] = "Static";
$L_PBLOCKS['185'] = "SUBMIT";
$L_PBLOCKS['190'] = "EDIT P-BLOCK";
$L_PBLOCKS['195'] = "UPDATE";
$L_PBLOCKS['200'] = "CREATE A NEW pBLOCK";
$L_PBLOCKS['205'] = "There are no pBlocks in the database.";
$L_PBLOCKS['210'] = "pBLOCK NAME";
$L_PBLOCKS['215'] = "pBLOCK MEMBERS";
$L_PBLOCKS['220'] = "BEHAVIOR";
$L_PBLOCKS['225'] = "EDIT";
$L_PBLOCKS['230'] = "DELETE";
$L_PBLOCKS['235'] = "Add/Edit Members";
$L_PBLOCKS['240'] = "Edit";
$L_PBLOCKS['245'] = "Delete";
$L_PBLOCKS['250'] = "Permanently delete this pBlock?";
$L_PBLOCKS['255'] = "All pBlock members will be deleted as well.";
$L_PBLOCKS['260'] = "DELETE";
$L_PBLOCKS['265'] = "Permanently delete this pBlock member?";
$L_PBLOCKS['270'] = "MEMBERS OF P-BLOCK:";
$L_PBLOCKS['275'] = "NAME";
$L_PBLOCKS['280'] = "EDIT";
$L_PBLOCKS['285'] = "DELETE";
$L_PBLOCKS['290'] = "Edit";
$L_PBLOCKS['295'] = "Delete";
$L_PBLOCKS['300'] = "ADD A MEMBER";
$L_PBLOCKS['305'] = "Name of Member";
$L_PBLOCKS['310'] = "UPLOAD IMAGE";
$L_PBLOCKS['315'] = "pBlock Data";
$L_PBLOCKS['320'] = "Convert line-breaks into:";
$L_PBLOCKS['325'] = "info";
$L_PBLOCKS['330'] = "SUBMIT";

//	----------------------------------------------
//		POST OFFICE
//	----------------------------------------------

$L_POSTOFFICE['100'] = "You left some of the form fields empty";
$L_POSTOFFICE['105'] = "Invalid email address";
$L_POSTOFFICE['110'] = "Your email has been sent.";
$L_POSTOFFICE['115'] = "Here is your new login information";
$L_POSTOFFICE['120'] = "To reset your password, please go to the following page:";
$L_POSTOFFICE['125'] = "Your password will be automatically reset, and a new password will be emailed to you.";
$L_POSTOFFICE['130'] = "If you do not wish to reset your password, ignore this message. It will expire in 24 hours.";
$L_POSTOFFICE['135'] = "Email addresses in the mailinglist have been excluded.";
$L_POSTOFFICE['140'] = "You did not select a valid member group.";
$L_POSTOFFICE['145'] = "Unable to deliver email to the following addresses:";
$L_POSTOFFICE['150'] = "There are no members matching this criteria:";
$L_POSTOFFICE['155'] = "Your email has been sent to the following member group:";
$L_POSTOFFICE['160'] = "Total number:";
$L_POSTOFFICE['165'] = "There are no email addresses in the mailing list";
$L_POSTOFFICE['170'] = "To be removed from all of our mailing lists, click here:";
$L_POSTOFFICE['175'] = "To be removed from this specific mailing list, click here:";
$L_POSTOFFICE['180'] = "SEND AN EMAIL";
$L_POSTOFFICE['185'] = "TO";
$L_POSTOFFICE['190'] = "FROM";
$L_POSTOFFICE['195'] = "SUBJECT";
$L_POSTOFFICE['200'] = "SEND";
$L_POSTOFFICE['205'] = "Hi";
$L_POSTOFFICE['210'] = "EMAIL MEMBERS";
$L_POSTOFFICE['215'] = "GROUP";
$L_POSTOFFICE['220'] = "All Registered Members";
$L_POSTOFFICE['225'] = "All Active Members";
$L_POSTOFFICE['230'] = "Members Pending Activation";
$L_POSTOFFICE['235'] = "All Administrators";
$L_POSTOFFICE['236'] = "All SuperUsers";
$L_POSTOFFICE['240'] = "SEND TO ALL";
$L_POSTOFFICE['245'] = "SEND TO RANGE";
$L_POSTOFFICE['250'] = "THROUGH";
$L_POSTOFFICE['255'] = "Exclude members who are also in the mailing list";
$L_POSTOFFICE['260'] = "SEND A BIRTHDAY MESSAGE";
$L_POSTOFFICE['265'] = "ALL BIRTHDAYS:";
$L_POSTOFFICE['266'] = "birthdays";
$L_POSTOFFICE['270'] = "There are no email addresses in the mailing list";
$L_POSTOFFICE['275'] = "Total email addresses in mailing list:";
$L_POSTOFFICE['280'] = "view...";
$L_POSTOFFICE['285'] = "SEND TO MAILING LIST";
$L_POSTOFFICE['290'] = "VIEW";
$L_POSTOFFICE['295'] = "VIEW ALL";
$L_POSTOFFICE['300'] = "VIEW RANGE";
$L_POSTOFFICE['305'] = "Delete";
$L_POSTOFFICE['310'] = "Email Address";

$L_POSTOFFICE['315'] = "DELETE SELECTED EMAILS";
$L_POSTOFFICE['320'] = "SORT LIST";
$L_POSTOFFICE['325'] = "Alphabetically";
$L_POSTOFFICE['330'] = "Most Recent First";
$L_POSTOFFICE['335'] = "Most Recent Last";
$L_POSTOFFICE['340'] = "DELETED...";
$L_POSTOFFICE['345'] = "enclosed is your activation code.";
$L_POSTOFFICE['350'] = "New member registration";
$L_POSTOFFICE['355'] = "The following person has just registered at:";
$L_POSTOFFICE['360'] = "Name:";
$L_POSTOFFICE['365'] = "Username:";
$L_POSTOFFICE['370'] = "Email:";
$L_POSTOFFICE['375'] = "To remove yourself from receiving further notifications from this thread, click here:";
$L_POSTOFFICE['390'] = "FORMATTING";
$L_POSTOFFICE['395'] = "WORD WRAP";
$L_POSTOFFICE['400'] = "CHARS";
$L_POSTOFFICE['405'] = "PRIORITY";
$L_POSTOFFICE['415'] = "HTML";
$L_POSTOFFICE['420'] = "Plain Text";
$L_POSTOFFICE['425'] = "Highest";
$L_POSTOFFICE['430'] = "High";
$L_POSTOFFICE['435'] = "Normal";
$L_POSTOFFICE['440'] = "Low";
$L_POSTOFFICE['445'] = "Lowest";
$L_POSTOFFICE['450'] = "Yes";
$L_POSTOFFICE['455'] = "No";
$L_POSTOFFICE['460'] = "Please do not close your browser until all emails have been sent.";
$L_POSTOFFICE['465'] = "The email processing routine will begin in 10 seconds.";
$L_POSTOFFICE['470'] = "Now processing emails:";
$L_POSTOFFICE['475'] = "The email messages were successfully sent.";
$L_POSTOFFICE['480'] = "Please click your back button to continue";
$L_POSTOFFICE['485'] = "CURRENT MAILINGLISTS";
$L_POSTOFFICE['490'] = "CREATE NEW";
$L_POSTOFFICE['495'] = "Prefs";
$L_POSTOFFICE['500'] = "View Mailing List Subscribers";
$L_POSTOFFICE['505'] = "Mailing List Name";
$L_POSTOFFICE['510'] = "Add Mailinglist";
$L_POSTOFFICE['515'] = "There was an error.  Mailing list was not created.";
$L_POSTOFFICE['520'] = "Mailing list created...";
$L_POSTOFFICE['525'] = "Add Mailinglist";
$L_POSTOFFICE['530'] = "UPDATE SUBSCRIPTIONS";
$L_POSTOFFICE['535'] = "Subscriptions have been updated";
$L_POSTOFFICE['540'] = "have been updated.";
$L_POSTOFFICE['545'] = "MAILING LIST";
$L_POSTOFFICE['550'] = "All Mailing List Subscribers";
$L_POSTOFFICE['555'] = "No Results Found";
$L_POSTOFFICE['560'] = "View All Emails";
$L_POSTOFFICE['565'] = "DELETE";
$L_POSTOFFICE['570'] = "DATE SENT";
$L_POSTOFFICE['575'] = "Mailing List";
$L_POSTOFFICE['580'] = "DATE RANGE";
$L_POSTOFFICE['585'] = "EMAIL CACHE";
$L_POSTOFFICE['590'] = "THIS MAILINGLIST HAS BEEN DELETED";
$L_POSTOFFICE['595'] = "Permanently delete this mailing list?";
$L_POSTOFFICE['600'] = "This action cannot be undone and all subscriber settings will be lost.";
$L_POSTOFFICE['605'] = "Add/Modify Emails";
$L_POSTOFFICE['610'] = "MAILING LIST SUBSCRIPTIONS";
$L_POSTOFFICE['615'] = "Invalid Email Addresses:";
$L_POSTOFFICE['620'] = "Already Existing Email Addresses:";
$L_POSTOFFICE['625'] = "Emails Entered Successfully:";
$L_POSTOFFICE['630'] = "Import Email addresses into Database";
$L_POSTOFFICE['635'] = "MESSAGE";
$L_POSTOFFICE['640'] = "Insert emails, separated by a comma or line break.";
$L_POSTOFFICE['645'] = "Mailing List Subscriptions";
$L_POSTOFFICE['650'] = "This is a list of the mailing lists you are subscribed to at ";
$L_POSTOFFICE['655'] = "Subscribed to - ";
$L_POSTOFFICE['660'] = "Select Mailing List...";
$L_POSTOFFICE['665'] = "Entire Archive";
$L_POSTOFFICE['670'] = "Select Author...";
$L_POSTOFFICE['675'] = "Sort Options...";
$L_POSTOFFICE['680'] = "Date";
$L_POSTOFFICE['685'] = "No Mailing Lists Exist.";
$L_POSTOFFICE['690'] = "Import Type";
$L_POSTOFFICE['695'] = "Import New Emails";
$L_POSTOFFICE['700'] = "Change Existing Emails' Subscriptions";
$L_POSTOFFICE['705'] = "Delete Emails";
$L_POSTOFFICE['710'] = "Emails Deleted Successfully";
$L_POSTOFFICE['715'] = "Delete Emails from Database";
$L_POSTOFFICE['720'] = "Send Message to Remaining People (mailing was not finished)";
$L_POSTOFFICE['725'] = "Resend Message to New Recipients";
$L_POSTOFFICE['730'] = "Click Here";
$L_POSTOFFICE['735'] = "Resend";

// NEW
$L_POSTOFFICE['740'] = "Member Page";
$L_POSTOFFICE['745'] = "Account Activated";
$L_POSTOFFICE['750'] = "Your account has been activated at:";
$L_POSTOFFICE['755'] = "Problem sending user's activation email";



//	----------------------------------------------
//		PREFERENCES
//	----------------------------------------------

	$L_PREFERENCES['100'] = "Yes";
$L_PREFERENCES['105'] = "No";
$L_PREFERENCES['110'] = "Days";
$L_PREFERENCES['115'] = "Number";
$L_PREFERENCES['120'] = "Newest Entry Last";
$L_PREFERENCES['125'] = "Newest Entry First";
$L_PREFERENCES['130'] = "By Entry Title";
$L_PREFERENCES['135'] = "By Most Recent Comment";
$L_PREFERENCES['145'] = "All site visitors can view";
$L_PREFERENCES['150'] = "Only registered members can view";
$L_PREFERENCES['155'] = "Graphic";
$L_PREFERENCES['160'] = "Text";
$L_PREFERENCES['165'] = "hour";
$L_PREFERENCES['170'] = "hours";
$L_PREFERENCES['175'] = "No offset";
$L_PREFERENCES['180'] = "Allow HTML in entries";
$L_PREFERENCES['185'] = "Replace HTML with character entities";
$L_PREFERENCES['190'] = "No. Only admins can create entries";
$L_PREFERENCES['195'] = "Yes. All members can create entries";
$L_PREFERENCES['200'] = "UPDATE PREFERENCES";
$L_PREFERENCES['205'] = "PREFERENCES UPDATED...";

// NEW
$L_PREFERENCES['210'] = 'No activation required';
$L_PREFERENCES['215'] = 'Self-activation via email';
$L_PREFERENCES['220'] = 'Manual activation by an administrator';

//ERRORS
$L_PREFERENCES_ERR['100'] = "Can't update preferences: ";
$L_PREFERENCES_ERR['101'] = "Invalid admin email address";
$L_PREFERENCES_ERR['102'] = "Invalid email address";
$L_PREFERENCES_ERR['110'] = "Username min length is greater than max length";
$L_PREFERENCES_ERR['120'] = "Password min length is greater than max length";
$L_PREFERENCES_ERR['130'] = "Wrong color";
//	----------------------------------------------
//		RSS
//	----------------------------------------------

$L_RSS['100'] = "RSS Template Name";
$L_RSS['105'] = "CREATE NEW";
$L_RSS['110'] = "There are currently no RSS templates.";
$L_RSS['115'] = "Template Name";
$L_RSS['120'] = "Edit";
$L_RSS['125'] = "Delete";
$L_RSS['130'] = "That template name already exists.";
$L_RSS['135'] = "Permanently delete this template?";
$L_RSS['140'] = "DELETE";
$L_RSS['145'] = "Name";
$L_RSS['150'] = "Template Body";
$L_RSS['155'] = "RSS TEMPLATE VARIABLES:";
$L_RSS['160'] = "TEMPLATE UPDATED...";
$L_RSS['165'] = "UPDATE";

//	----------------------------------------------
//		TAG LIBRARY
//	----------------------------------------------

$L_TAGLIB['100'] = "TAG:";
$L_TAGLIB['105'] = "See top template";
$L_TAGLIB['110'] = "See manual for more information.";

//	----------------------------------------------
//		TEMPLATES
//	----------------------------------------------

$L_TEMPLATES['100'] = "variables";
$L_TEMPLATES['102'] = "description";
$L_TEMPLATES['105'] = "original";
$L_TEMPLATES['110'] = "UPDATE";
$L_TEMPLATES['115'] = "This template was originally installed in this state.";
$L_TEMPLATES['120'] = "Close Window";
$L_TEMPLATES['125'] = "TEMPLATE CREATED...";
$L_TEMPLATES['130'] = "CREATE A NEW TEMPLATE SET";
$L_TEMPLATES['135'] = "HELP";
$L_TEMPLATES['140'] = "Template name";
$L_TEMPLATES['145'] = "Action";
$L_TEMPLATES['150'] = "CREATE NEW";
$L_TEMPLATES['155'] = "Copy of:";
$L_TEMPLATES['160'] = "original weblog templates";
$L_TEMPLATES['165'] = "The name must contain only alpha-numeric characters and no spaces.";
$L_TEMPLATES['170'] = "That template name already exists";
$L_TEMPLATES['175'] = "CURRENT TEMPLATES";
$L_TEMPLATES['180'] = "CREATE NEW";
$L_TEMPLATES['185'] = "weblog";
$L_TEMPLATES['190'] = "membership";
$L_TEMPLATES['195'] = "email";
$L_TEMPLATES['200'] = "search";
$L_TEMPLATES['210'] = "calendar";
$L_TEMPLATES['215'] = "Edit";
$L_TEMPLATES['220'] = "Delete";
$L_TEMPLATES['225'] = "Permanently delete this following template set?";
$L_TEMPLATES['230'] = "DELETE";
$L_TEMPLATES['235'] = "TEMPLATES HAVE BEEN UPDATED...";



//	----------------------------------------------
//		TEMPLATE NAMES
//	----------------------------------------------

$L_TEMP_NAME['090'] = "Weblog - Master Date Heading";
$L_TEMP_NAME['100'] = "Weblog - Entries";
$L_TEMP_NAME['105'] = "Weblog - Comments link";
$L_TEMP_NAME['110'] = "Weblog - More link";
$L_TEMP_NAME['115'] = "Weblog - Spacer";
$L_TEMP_NAME['120'] = "Weblog - Next/Previous Navigation";
$L_TEMP_NAME['125'] = "Weblog - Previous Link";
$L_TEMP_NAME['130'] = "Weblog - Next Link ";
$L_TEMP_NAME['135'] = "No Category Message";
$L_TEMP_NAME['140'] = "Weblog - Individual Entry";
$L_TEMP_NAME['145'] = "Weblog - Individual Entry - Alt 1";
$L_TEMP_NAME['146'] = "Weblog - Individual Entry - Alt 2";
$L_TEMP_NAME['147'] = "Weblog - Individual Entry - Alt 3";
$L_TEMP_NAME['150'] = "Weblog - Headlines";
$L_TEMP_NAME['151'] = "Weblog - Headlines Alt";
$L_TEMP_NAME['155'] = "Comments - Entries";
$L_TEMP_NAME['160'] = "Comments - Spacer";
$L_TEMP_NAME['165'] = "Comments - Next/Previous Navigation";
$L_TEMP_NAME['170'] = "Comments - Previous Link";
$L_TEMP_NAME['175'] = "Comments -  Next Link";
$L_TEMP_NAME['180'] = "Comment Form - No Registration Required";
$L_TEMP_NAME['185'] = "Comment Form - Registration Required";
$L_TEMP_NAME['190'] = "Return To Weblog Link";
$L_TEMP_NAME['195'] = "Return To Archive Link";
$L_TEMP_NAME['200'] = "Links To Monthly Archives";
$L_TEMP_NAME['205'] = "Archive Page Heading";
$L_TEMP_NAME['210'] = "Email Contact Form";
$L_TEMP_NAME['215'] = "Mailing List Form";
$L_TEMP_NAME['220'] = "Birthday Message - Default Subject";
$L_TEMP_NAME['225'] = "Birthday Message - Default Message";
$L_TEMP_NAME['226'] = "Email Notification - Default Subject";
$L_TEMP_NAME['227'] = "Email Notification - Default Message";
$L_TEMP_NAME['230'] = "Collective Entry Form - No Registration Required";
$L_TEMP_NAME['235'] = "Collective Entry Form - Registration Required";
$L_TEMP_NAME['240'] = "Search Results - Header";
$L_TEMP_NAME['245'] = "Search Results - Rows";
$L_TEMP_NAME['250'] = "Search Results - Footer";
$L_TEMP_NAME['255'] = "No Search Results Message";
$L_TEMP_NAME['260'] = "Search Form - Simple Version ";
$L_TEMP_NAME['265'] = "Search Form - Advanced Version";
$L_TEMP_NAME['270'] = "Events Template";
$L_TEMP_NAME['275'] = "Member Log-In Toolbar";
$L_TEMP_NAME['280'] = "Member Log-Out Toolbar";
$L_TEMP_NAME['285'] = "Member Log-In Form";
$L_TEMP_NAME['290'] = "Member Registration Form";
$L_TEMP_NAME['295'] = "Member Profile Form";
$L_TEMP_NAME['300'] = "Member Profile - Show Update";
$L_TEMP_NAME['305'] = "Show All Members - Header";
$L_TEMP_NAME['310'] = "Show All Members - Rows";
$L_TEMP_NAME['315'] = "Show All Members - Footer";
$L_TEMP_NAME['320'] = "Members - Next/Prev Navigation";
$L_TEMP_NAME['325'] = "Members - Previous Link";
$L_TEMP_NAME['330'] = "Members - Next Link";
$L_TEMP_NAME['335'] = "Member - Individual Public Profile";
$L_TEMP_NAME['340'] = "Email Member Form";
$L_TEMP_NAME['345'] = "Member - Forgotten Password Form";
$L_TEMP_NAME['350'] = "Member Activation Email Message";
$L_TEMP_NAME['355'] = "Activation Instructions Request Form";
$L_TEMP_NAME['360'] = "Archive Summary: Month/Year";
$L_TEMP_NAME['365'] = "Archive Summary: Entry Link";
$L_TEMP_NAME['370'] = "Archive Summary: Spacer";
$L_TEMP_NAME['380'] = "Tell-A-Friend Email Form";
$L_TEMP_NAME['390'] = "Tell-A-Friend Message Title";
$L_TEMP_NAME['400'] = "Tell-A-Friend Message Body";
$L_TEMP_NAME['405'] = "Archive - Master Date Heading";
$L_TEMP_NAME['410'] = "Archive - Entries";
$L_TEMP_NAME['415'] = "Archive - Comments link";
$L_TEMP_NAME['420'] = "Archive - More link";
$L_TEMP_NAME['425'] = "Archive - Spacer";
$L_TEMP_NAME['430'] = "Category Summary: Heading";
$L_TEMP_NAME['435'] = "Category Summary: Entry Link";
$L_TEMP_NAME['440'] = "Category Summary: Spacer";
$L_TEMP_NAME['445'] = "Trackback Header";
$L_TEMP_NAME['450'] = "Trackback Entries";
$L_TEMP_NAME['455'] = "Trackback Delete Link";
$L_TEMP_NAME['460'] = "Pingback Entries";
$L_TEMP_NAME['465'] = "Pingback Delete Link";

// NEW
$L_TEMP_NAME['470'] = "Search - Next/Previous Navigation";

//	----------------------------------------------
//		PREFERENCE GROUP NAMES
//	----------------------------------------------

$L_PREF_GROUP['100'] = "General Setup";
$L_PREF_GROUP['105'] = "Directory Paths";
$L_PREF_GROUP['110'] = "Member Preferences";
$L_PREF_GROUP['115'] = "RSS Syndication Preferences";
$L_PREF_GROUP['120'] = "Username and Password Preferences";
$L_PREF_GROUP['125'] = "Image Display Preferences";
$L_PREF_GROUP['130'] = "Search Preferences";
$L_PREF_GROUP['135'] = "Hit Counter Preferences";
$L_PREF_GROUP['140'] = "Field Display Preferences";
$L_PREF_GROUP['150'] = "pMcode Button Preferences";
$L_PREF_GROUP['200'] = "Event/Birthday Calendar Preferences";
$L_PREF_GROUP['205'] = "Calendar Preferences";
$L_PREF_GROUP['210'] = "Mini Calendar Preferences";
$L_PREF_GROUP['300'] = "Preferences:";
$L_PREF_GROUP['305'] = "Weblog Preferences";
$L_PREF_GROUP['M300'] = "Mailing List Preferences";

// NEW
$L_PREF_GROUP['S100'] = "Security Preferences";
$L_PREF_GROUP['S110'] = "Captcha Preferences";


//	----------------------------------------------
//		TEMPLATE CLUSTERS
//	----------------------------------------------

$L_TEMP_CLSTR['100'] = "Weblog multi-entry templates";
$L_TEMP_CLSTR['110'] = "Weblog single-entry templates";
$L_TEMP_CLSTR['120'] = "Weblog headlines template";
$L_TEMP_CLSTR['130'] = "Comment display templates";
$L_TEMP_CLSTR['140'] = "Comment form templates";
$L_TEMP_CLSTR['150'] = "Nav link templates";
$L_TEMP_CLSTR['158'] = "Archive multi-entry templates";
$L_TEMP_CLSTR['160'] = "Archive misc. templates";
$L_TEMP_CLSTR['162'] = "Archive summary templates";
$L_TEMP_CLSTR['163'] = "Category summary templates";
$L_TEMP_CLSTR['170'] = "Collective entry form templates";
$L_TEMP_CLSTR['200'] = "Member login nav links";
$L_TEMP_CLSTR['210'] = "Login form";
$L_TEMP_CLSTR['220'] = "Registration form";
$L_TEMP_CLSTR['230'] = "Profile form (private)";
$L_TEMP_CLSTR['240'] = "Show updated profile";
$L_TEMP_CLSTR['250'] = "Member list";
$L_TEMP_CLSTR['260'] = "Public profile";
$L_TEMP_CLSTR['270'] = "Email member form";
$L_TEMP_CLSTR['280'] = "Forgotten password form";
$L_TEMP_CLSTR['290'] = "Member activation email";
$L_TEMP_CLSTR['300'] = "Mailing List templates";
$L_TEMP_CLSTR['310'] = "Birthday Greeting templates";
$L_TEMP_CLSTR['320'] = "Contact form template";
$L_TEMP_CLSTR['330'] = "Email notification templates";
$L_TEMP_CLSTR['400'] = "Search results templates";
$L_TEMP_CLSTR['410'] = "Search form templates";
$L_TEMP_CLSTR['600'] = "Event calendar templates";
$L_TEMP_CLSTR['610'] = "Weblog templates";
$L_TEMP_CLSTR['620'] = "Membership templates";
$L_TEMP_CLSTR['630'] = "Email templates";
$L_TEMP_CLSTR['640'] = "Search templates";
$L_TEMP_CLSTR['650'] = "Calendar templates";
$L_TEMP_CLSTR['660'] = "templates";
$L_TEMP_CLSTR['670'] = "Tell-A-Friend templates";
$L_TEMP_CLSTR['675'] = "Trackback templates";
$L_TEMP_CLSTR['680'] = "Pingback templates";


//	----------------------------------------------
//		PREFERENCE NAMES
//	----------------------------------------------

$L_PREF_NAME['100'] = "Name of your site";
$L_PREF_NAME['105'] = "Home page URL";
$L_PREF_NAME['110'] = "Admin email";
$L_PREF_NAME['115'] = "Time offset";
$L_PREF_NAME['125'] = "Curse word censoring - weblogs";
$L_PREF_NAME['130'] = "Curse word censoring - comments";
$L_PREF_NAME['135'] = "Absolute path to main script directory";
$L_PREF_NAME['140'] = "Absolute path to 'members' directory";
$L_PREF_NAME['141'] = "Absolute path to 'mailing list' directory";
$L_PREF_NAME['145'] = "Relative path to image uploads directory";
$L_PREF_NAME['150'] = "Absolute path to image uploads directory";
$L_PREF_NAME['152'] = "Default directory for File Browser";
$L_PREF_NAME['155'] = "Member registration: weblogs?";
$L_PREF_NAME['160'] = "Member registration: comments?";
$L_PREF_NAME['165'] = "Require email address to register?";
$L_PREF_NAME['170'] = "Require email for non-registered posting?";
$L_PREF_NAME['175'] = "Require account activation?";
$L_PREF_NAME['178'] = "Notify admin of new registrations?";
$L_PREF_NAME['180'] = "Public viewing of member profiles?";
$L_PREF_NAME['185'] = "Join date format";
$L_PREF_NAME['190'] = "'Last posted on' date format";
$L_PREF_NAME['195'] = "Number of member rows per page";
$L_PREF_NAME['200'] = "Row alternating color one";
$L_PREF_NAME['205'] = "Row alternating color two";
$L_PREF_NAME['210'] = "Enable RSS?";
$L_PREF_NAME['215'] = "Entries per page";
$L_PREF_NAME['220'] = "Page name with relative path";
$L_PREF_NAME['225'] = "Full Site URL";
$L_PREF_NAME['230'] = "Weblog title";
$L_PREF_NAME['235'] = "Weblog description";
$L_PREF_NAME['240'] = "Weblog language";
$L_PREF_NAME['245'] = "Image URL";
$L_PREF_NAME['250'] = "Ignore these weblogs";
$L_PREF_NAME['255'] = "Username min length";
$L_PREF_NAME['260'] = "Username max length";
$L_PREF_NAME['265'] = "Password min length";
$L_PREF_NAME['270'] = "Password max length";
$L_PREF_NAME['272'] = "These options enable you to add HTML formatting to images that are uploaded and placed in your entries.";
$L_PREF_NAME['275'] = "Image properties";
$L_PREF_NAME['280'] = "Image pre-formatting";
$L_PREF_NAME['285'] = "Image post-formatting";
$L_PREF_NAME['290'] = "Search results page";
$L_PREF_NAME['295'] = "Maximum number of results";
$L_PREF_NAME['300'] = "Search timestamp";
$L_PREF_NAME['305'] = "Row alternating color one";
$L_PREF_NAME['310'] = "Row alternating color two";
$L_PREF_NAME['315'] = "Starting hit count number";
$L_PREF_NAME['320'] = "Type of hit counter";
$L_PREF_NAME['325'] = "Path to hit counter images";
$L_PREF_NAME['330'] = "Image extension";
$L_PREF_NAME['335'] = "Leading zeros";
$L_PREF_NAME['340'] = "Absolute path to calendar";
$L_PREF_NAME['345'] = "Public viewing of calendar?";
$L_PREF_NAME['346'] = "Auto pMcode events?";
$L_PREF_NAME['347'] = "Links opened in new windows?";
$L_PREF_NAME['350'] = "Cell width";
$L_PREF_NAME['355'] = "Cell height";
$L_PREF_NAME['360'] = "Header bg color";
$L_PREF_NAME['365'] = "Days of the week BG color";
$L_PREF_NAME['370'] = "Cell border color";
$L_PREF_NAME['375'] = "Cell BG color";
$L_PREF_NAME['380'] = "Today highlight color";
$L_PREF_NAME['400'] = "Absolute path to your web pages";
$L_PREF_NAME['405'] = "Main weblog page";
$L_PREF_NAME['410'] = "Comments page";
$L_PREF_NAME['415'] = "More page";
$L_PREF_NAME['420'] = "Archives page";
$L_PREF_NAME['425'] = "Template set";
$L_PREF_NAME['430'] = "Is this a collective weblog?";
$L_PREF_NAME['435'] = "Collective entries closed by default";
$L_PREF_NAME['440'] = "Entry display order";
$L_PREF_NAME['445'] = "1. Show entries by current month?";
$L_PREF_NAME['450'] = "If yes...";
$L_PREF_NAME['455'] = "2. Pad by this many entries";
$L_PREF_NAME['460'] = "If no...";
$L_PREF_NAME['465'] = "3.  Entries per page";
$L_PREF_NAME['470'] = "4. Display entries by?";
$L_PREF_NAME['475'] = "Weblog Timelock";
$L_PREF_NAME['480'] = "Max chars in entry";
$L_PREF_NAME['485'] = "Weblog timestamp";
$L_PREF_NAME['490'] = "HTML display option in weblog";
$L_PREF_NAME['495'] = "Auto-pMcode allowed HTML?";
$L_PREF_NAME['500'] = "Auto-pMcode URLs?";
$L_PREF_NAME['505'] = "Link opens new window?";
$L_PREF_NAME['510'] = "Auto-pMcode image tags?";
$L_PREF_NAME['515'] = "Row alternating color one";
$L_PREF_NAME['520'] = "Row alternating color two";
$L_PREF_NAME['525'] = "COMMENT PREFERENCES:";
$L_PREF_NAME['530'] = "Enable comments in this weblog?";
$L_PREF_NAME['535'] = "Comments per page";
$L_PREF_NAME['540'] = "Comment display order";
$L_PREF_NAME['545'] = "Comment timestamp";
$L_PREF_NAME['550'] = "Max chars in comment";
$L_PREF_NAME['555'] = "Comment Timelock";
$L_PREF_NAME['560'] = "Auto-pMcode allowed HTML tags?";
$L_PREF_NAME['565'] = "Auto-pMcode URLs?";
$L_PREF_NAME['570'] = "Link opens new window?";
$L_PREF_NAME['575'] = "Auto-pMcode image tags?";
$L_PREF_NAME['580'] = "Row alternating color one";
$L_PREF_NAME['585'] = "Row alternating color two";
$L_PREF_NAME['590'] = "EMAIL NOTIFICATION PREFERENCES:";
$L_PREF_NAME['595'] = "Email notify: Collective weblog";
$L_PREF_NAME['600'] = "Email notify: Comments";
$L_PREF_NAME['605'] = "Email address";
$L_PREF_NAME['610'] = "PING PREFERENCES";
$L_PREF_NAME['615'] = "Use Default Ping Servers: Collective weblog"; // Modified
$L_PREF_NAME['620'] = "Name of this weblog";
$L_PREF_NAME['660'] = "Show Blurb Field";
$L_PREF_NAME['665'] = "Show More Field";
$L_PREF_NAME['670'] = "Show Custom Field One";
$L_PREF_NAME['675'] = "Show Custom Field Two";
$L_PREF_NAME['680'] = "Show Custom Field Three";
$L_PREF_NAME['685'] = "Show Trackback URL field";
$L_PREF_NAME['700'] = "pMcode Button One";
$L_PREF_NAME['705'] = "pMcode Button Two";
$L_PREF_NAME['710'] = "pMcode Button Three";
$L_PREF_NAME['715'] = "pMcode Button Four";
$L_PREF_NAME['720'] = "pMcode Button Five";
$L_PREF_NAME['725'] = "pMcode Button Six";
$L_PREF_NAME['730'] = "pMcode Button Seven";
$L_PREF_NAME['735'] = "pMcode Button Eight";
$L_PREF_NAME['740'] = "pMcode Button Nine";
$L_PREF_NAME['745'] = "pMcode Button Ten";
$L_PREF_NAME['750'] = "pMcode Button Eleven";
$L_PREF_NAME['755'] = "pMcode Button Twelve";
$L_PREF_NAME['760'] = "pMcode Button Thirteen";
$L_PREF_NAME['765'] = "pMcode Button Fourteen";
$L_PREF_NAME['770'] = "pMcode Button Fifteen";
$L_PREF_NAME['775'] = "pMcode Button Sixteen";
$L_PREF_NAME['780'] = "Language";
$L_PREF_NAME['696'] = "Mailing List Nickname";
$L_PREF_NAME['697'] = "Public Mailing List ";
$L_PREF_NAME['785'] = "Trackbacks page";
$L_PREF_NAME['790'] = "Pingbacks page";
$L_PREF_NAME['795'] = "Email notify: Pingbacks";
$L_PREF_NAME['800'] = "Enable Trackbacks?";
$L_PREF_NAME['805'] = "Enable Pingbacks?";

// NEW
$L_PREF_NAME['810'] = "Enable Secure Forms";
$L_PREF_NAME['815'] = "Enable Captcha for Member Registration";
$L_PREF_NAME['820'] = "Enable Captcha for Collective Weblogs";
$L_PREF_NAME['825'] = "Enable Captcha for Comments";
$L_PREF_NAME['830'] = "Relative Path to Captcha Folder";
$L_PREF_NAME['835'] = "Full URL to Captcha Folder";
$L_PREF_NAME['840'] = "Use TrueType Font for Captcha";
$L_PREF_NAME['845'] = "Require Captcha with logged-in members";
$L_PREF_NAME['850'] = "Deny Duplicate Data for Comments/Trackbacks";
$L_PREF_NAME['855'] = "Require IP Address and User Agent for Comments?";
$L_PREF_NAME['860'] = "Maximum number of allowed Trackback pings per hour";
$L_PREF_NAME['865'] = "Allow New Member Registrations?";
$L_PREF_NAME['870'] = "Moderate All Comments?";
$L_PREF_NAME['875'] = "Moderate Blacklisted Comments?";
$L_PREF_NAME['875a'] = "If no, Blacklisted submissions are deleted.";
$L_PREF_NAME['880'] = "Comment Expiration";
$L_PREF_NAME['880a'] = "The number of days after an entry is posted during which to allow comments. Enter 0 (zero) for no expiration.";
$L_PREF_NAME['885'] = "Append Random Numbers to Captcha Word";
$L_PREF_NAME['890'] = "Enable Captcha for Email Forms";

//	----------------------------------------------
//		FILE UPLOAD
//	----------------------------------------------

$L_FILE['100'] = "FILE UPLOAD MANAGER";
$L_FILE['105'] = "You must be logged in to access this page.";
$L_FILE['110'] = "Apply pre and post formatting?";
$L_FILE['115'] = "UPLOAD";
$L_FILE['120'] = "Close Window";
$L_FILE['125'] = "Unable to upload the file.";
$L_FILE['130'] = "Please verify that the file upload directory specified in your preferences exists and that the permissions on this directory are set to 777.";
$L_FILE['135'] = "Return";
$L_FILE['140'] = "You have uploaded the following file:";
$L_FILE['145'] = "TARGET FIELD";
$L_FILE['150'] = "Blurb";
$L_FILE['155'] = "Body";
$L_FILE['160'] = "More";
$L_FILE['165'] = "C1";
$L_FILE['170'] = "C2";
$L_FILE['175'] = "C3";
$L_FILE['180'] = "ADD TO ENTRY";
$L_FILE['185'] = "A file with the same name already exists in the uploads directory.";
$L_FILE['187'] = "You do not have sufficient privileges to overwrite an existing image.";
$L_FILE['190'] = "Upload Destination";
$L_FILE['195'] = "Preferences";
$L_FILE['200'] = "File Browser";
$L_FILE['205'] = "CREATE NEW";
$L_FILE['210'] = "FILE UPLOAD PREFERENCES";
$L_FILE['215'] = "Main";
$L_FILE['220'] = "Edit";
$L_FILE['225'] = "Delete";
$L_FILE['230'] = "Descriptive Name of Upload Directory";
$L_FILE['235'] = "Real Name of Upload Directory";
$L_FILE['240'] = "Relative Path to Directory (include name)";
$L_FILE['241'] = "You must create this directory on your server and set its permissions to 777.";
$L_FILE['242'] = "Absolute Path to Uploads Directory";
$L_FILE['243'] = "Allowed File Extensions";
$L_FILE['244'] = "Maximum File Size (in bytes)";
$L_FILE['245'] = "Maximum Image Width";
$L_FILE['246'] = "Maximum Image Height";
$L_FILE['255'] = "Properties";
$L_FILE['260'] = "This field will be added inside the image tag.";
$L_FILE['265'] = "Pre-Formating";
$L_FILE['270'] = "Optional HTML added in front of uploaded file.";
$L_FILE['275'] = "Post-Formatting";
$L_FILE['280'] = "Optional HTML added after uploaded file.";
$L_FILE['285'] = "Make this the default upload directory?";
$L_FILE['290'] = "UPDATE";
$L_FILE['300'] = "Required fields";
$L_FILE['302'] = "You must fill-in all required fields";
$L_FILE['305'] = "DELETE";
$L_FILE['306'] = "Delete";
$L_FILE['307'] = "Apply";
$L_FILE['310'] = "Are you sure you want to delete this preference? If you have images or files from this directory in your weblog entries, the path will be broken..";
$L_FILE['315'] = "The directory specified in the relative path does not exist. Please create this directory and set the permissions to 777.";
$L_FILE['320'] = "A problem was encountered while uploading this file.";
$L_FILE['325'] = "REPLACE";
$L_FILE['330'] = "CANCEL";
$L_FILE['335'] = "This is not an allowed file type.";
$L_FILE['340'] = "This file is larger than the maximum size allowed.";
$L_FILE['345'] = "The width and/or height of the image exceeds the maximum allowed.";
$L_FILE['350'] = "View";
$L_FILE['355'] = "Available Directories";
$L_FILE['360'] = "Back";
$L_FILE['365'] = "Are you sure you want to delete this file?";
$L_FILE['370'] = "Default field to put image into";
$L_FILE['375'] = "Minimum user level required to upload?";
$L_FILE['380'] = "Image";
$L_FILE['385'] = "Non-image";
$L_FILE['390'] = "A file with the same name already exists on your server.";
$L_FILE['395'] = "PREFERENCES CREATED...";


//	----------------------------------------------
//		FILE BROWSER
//	----------------------------------------------

$L_FILEBROWSER['100'] = "FILE PATH";
$L_FILEBROWSER['105'] = "SAVE FILE";
$L_FILEBROWSER['110'] = "The file was successfully written.";
$L_FILEBROWSER['115'] = "The file could not be written.";
$L_FILEBROWSER['120'] = "File can be written.";
$L_FILEBROWSER['125'] = "File cannot be written.";


//	----------------------------------------------
//		RSS FACTORY
//	----------------------------------------------

$L_RSSFACTORY['100'] = "Current RSS Feeds";
$L_RSSFACTORY['110'] = "Create a New RSS Feed";
$L_RSSFACTORY['115'] = "There are currently no RSS feeds.";
$L_RSSFACTORY['120'] = "Name of your Feed";
$L_RSSFACTORY['125'] = "Relative path to RSS page (from the control panel)";
$L_RSSFACTORY['130'] = "Language";
$L_RSSFACTORY['135'] = "Enable this feed?";
$L_RSSFACTORY['140'] = "Items per page";
$L_RSSFACTORY['145'] = "Title of RSS feed";
$L_RSSFACTORY['150'] = "URL of RSS page";
$L_RSSFACTORY['155'] = "Description of RSS feed";
$L_RSSFACTORY['165'] = "Image URL";
$L_RSSFACTORY['175'] = "Image width";
$L_RSSFACTORY['180'] = "Image height";
$L_RSSFACTORY['185'] = "Copyright notice";
$L_RSSFACTORY['190'] = "Email address of editor";
$L_RSSFACTORY['200'] = "Email address of webmaster";
$L_RSSFACTORY['205'] = "PICS rating";
$L_RSSFACTORY['210'] = "Skip hours";
$L_RSSFACTORY['215'] = "Skip days";
$L_RSSFACTORY['220'] = "Number of minutes between caches";
$L_RSSFACTORY['225'] = "RSS version";
$L_RSSFACTORY['230'] = "Please consult the documentation for instructions.";
$L_RSSFACTORY['235'] = "RSS Factory Manual";
$L_RSSFACTORY['240'] = "The name you have chosen is already taken.";
$L_RSSFACTORY['245'] = "Permanently delete the following RSS feed:";
$L_RSSFACTORY['250'] = "Select each weblog that you want to appear in this feed.";
$L_RSSFACTORY['255'] = "RSS feed has been updated.";
$L_RSSFACTORY['260'] = "Note: The RSS file will not be created automatically.";
$L_RSSFACTORY['265'] = "Custom elements.  You may define up to four additional channel elements.";
$L_RSSFACTORY['270'] = "Element Name";
$L_RSSFACTORY['275'] = "Element Value";

// NEW
$L_RSSFACTORY['280'] = "URL Type for Feed";
$L_RSSFACTORY['285'] = "Content Field";
$L_RSSFACTORY['290'] = "Content Length (characters)";
$L_RSSFACTORY['295'] = "Setting to 0 will ouput all content.";
$L_RSSFACTORY['300'] = "Permalink";



// ----------------------------------------------
//  BOOKMARKLET
// ----------------------------------------------

$L_BOOKMARKLET['100'] = "BOOKMARKLET";
$L_BOOKMARKLET['105'] = "Close Window";
$L_BOOKMARKLET['110'] = "Log Out";
$L_BOOKMARKLET['115'] = "Your entry has been submitted.";
$L_BOOKMARKLET['120'] = "You are now logged out.";
$L_BOOKMARKLET['130'] = "
A bookmarklet allows you to add entries to your weblog without being 
logged into the control panel.  A bookmarklet gives you the convenience of one click publishing 
while surfing the internet.  You can additionally highlight text on a web site, then when you 
launch your bookmarklet the text will be added to the form (highlighting only works on 
non-framed pages).  To set up your bookmarklet, drag the following link your favorites menu. 
Then, whenever inspiration strikes, simply click the bookmarklet.  A pop-up page will open 
allowing you to post.
";

// NEW

// ----------------------------------------------
//  BLACKLIST
// ----------------------------------------------
$L_BLACKLIST['100'] = "BLACKLISTED ITEMS";
$L_BLACKLIST['105'] = "WHITELISTED ITEMS";
$L_BLACKLIST['110'] = "Update";
$L_BLACKLIST['115'] = "Type";
$L_BLACKLIST['120'] = "IP Address";
$L_BLACKLIST['125'] = "Email";
$L_BLACKLIST['130'] = "URL";
$L_BLACKLIST['135'] = "Phrase";
$L_BLACKLIST['140'] = "List Updated!";
$L_BLACKLIST['145'] = "Delete Comments?";

// ----------------------------------------------
//  Ping Servers
// ----------------------------------------------
$L_PINGS['100'] = "Ping Servers";
$L_PINGS['105'] = "Server Name";
$L_PINGS['110'] = "Server URL/Path";
$L_PINGS['115'] = "Port";
$L_PINGS['120'] = "Default";
$L_PINGS['125'] = "Order";
$L_PINGS['130'] = "Submit";
$L_PINGS['135'] = "To delete an item submit the form with the server name blank";
$L_PINGS['140'] = "SITES TO PING";
$L_PINGS['145'] = "Select/Deselect All";

// END
?>
