<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//
/*
	EXAMPLE CODE FOR DEVELOPERS
	This class allows the timing of events. You can use it to time entire
	page loads, or smaller components, like script elements or functions.
	
	$bm = new Benchmark();
	Creates a new instance of the Benchmark class.
	
	$bm->start();
	Starts the timer
	
	$bm->stop();
	Stops the timer
	
	echo $bm->elapsed();
	Tallies the results.
	
*/

class Benchmark
{
    var $stime;
    var $etime;

    function Benchmark()
    {
    } 

    function start()
    {
        $this->stime = microtime();
    }

    function stop()
    {
        $this->etime = microtime();
    }

    function elapsed()
    {
        $start = explode(" ",$this->stime);

        $s = $start[1] + $start[0];
        
        $end = explode(" ",$this->etime);
        
        $e = $end[1] + $end[0];
        
        $result = $e - $s;
        
        return number_format($result,2);
    }
}
// END
?>