<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	----------------------------------------------------------
//		CATEGORY LIST - TEXT AND PULL-DOWN VERSION
//	----------------------------------------------------------

function weblog_categories($id="", $weblog="", $type="")
{
	global $DB, $SHARED;

// Default top-most text inside pull-down menu
// Set it to "0" if you do not want this text in the menu.

    $default_menu = "Categories";

// "View All" text at the bottom of the pull-down menu, 
// or the bottom of the list of text links

    $showallblurb = "View All";

// Change to "1" if you want to display the submit button, "0" if you do not.
  
    $use_submit_button =0;

// Submit button text

    $submit_text = "GO";

// IF YOU EDIT BELOW THIS - BE CAREFUL!!

    global $db_categories, $db_multiweblogs, $url_rewriting, $sfx;
    
    if ($weblog == "") $weblog = "weblog";
    if ($type == ""  ) $type = "menu";
    if ($type <> "drop" && $type <> "text") $type = "drop";
    
    $pagespath  = $SHARED->get_pref("pages_path_abs_$weblog","1");
    $weblogpage = $SHARED->get_pref("{$weblog}_page");               

	if ($SHARED->get_pref("global_categories") == "yes") $weblog = "weblog";
  
	$sql = "select id from $db_multiweblogs where weblog = '".$DB->escape_str($weblog)."'";
	$query = new DB_query($DB, $sql);
	$query->db_fetch_object();
	
	$wid = $query->obj->id;
	
	unset($sql);
	unset($query);

    $sql = "select id, category 
            from $db_categories 
            where weblog = '".$DB->escape_str($weblog)."' 
            order by category";

    $query = new DB_query($DB, $sql);

    if ($query->db_num_rows() > 0)  
    {
        if ($type == "drop") 
        {

// PULL-DOWN MENU VERSION OF THE LIST
?>
<form name="categories" method="get" action="<?php echo "$pagespath$weblogpage"; ?>">
<select name="id" class="pulldown" onchange="gotoCategory(this.selectedIndex)">
<?php 
    if ($default_menu !="0") 
    { 
?><option value=""><?php echo stripslashes($default_menu); ?></option>
<?php
    }
    while ($query->db_fetch_object()) 
    {
           $category = $query->obj->category;

           $categorylink = "C0_{$query->obj->id}_{$wid}"; 
    
             if (get_magic_quotes_runtime())
                 $category = stripslashes($category);
                 
 
// LIST OF OPTIONS
    
?><option value="<?php echo "$categorylink";?>"><?php echo "$category"; ?></option>
<?php
 }
    if (substr($id, 0, 1) =="C") 
    {
?><option value="0"><?php echo stripslashes($showallblurb); ?></option>
<?php
    }
?>
</select>
<?php

    if ($use_submit_button ==1) 
    {

//  SUBMIT BUTTON
?>
<input type="submit" value="<?php echo "$submit_text"; ?>" />
<?php
    }
?>
</form>
<?php
}
elseif ($type == "text") 
{
    $delim = '?id=';

    if ($url_rewriting == 1)
    {
        $delim = '/';
        
        $weblogpage = str_replace($sfx, '', $weblogpage);
    }		

    while ($query->db_fetch_object()) 
    {
            $category = $query->obj->category;
            $categorylink = "$pagespath$weblogpage{$delim}C0_{$query->obj->id}_{$wid}"; 
            
        if ($url_rewriting == 1) $categorylink .= '/';
 
        
             if (get_magic_quotes_runtime())
                 $category = stripslashes($category);
    
// TEXT VERSION OF THE CATEGORY LIST

?>
<a href="<?php echo "$categorylink"; ?>"><?php echo "$category"; ?></a><br />
<?php    
    }
    if (substr($id, 0, 1) =="C") 
    {
        $link =  "$pagespath$weblogpage";
        
            if ($url_rewriting == 1) $link .= '/';
?>
<a href="<?php echo $link; ?>"><?php echo stripslashes($showallblurb); ?></a><br />
<?php
     }
    }
  }
}
// END



//	---------------------------------------------------------
//		CATEGORY LIST - USED IN COLLECTIVE SUBMIT FORM 
//	---------------------------------------------------------

function get_categories($id="",$weblog="") 
{	
    global $db_categories, $db_weblog, $DB, $SHARED; 		
 		
    if ($weblog == "") $weblog = "weblog";
    
    if ($SHARED->get_pref("global_categories") == "yes") $weblog = "weblog";
    
    $catid = "";
    $selected = "";

// NOTE: If you need to add a CSS option to the form, or modify it in any other way
//       make sure to escape your quotes!!!
//       Escaping quotes means putting a backslash before the quote like this: \"
     
 	if ($id <> "")
 	{
 		$id = substr($id,1);
 		
        $sql = "select category from $db_weblog where post_id = '".$DB->escape_str($id)."'"; 
        
        $query = new DB_query($DB, $sql);
        
        $query->db_fetch_object();
                            
        $catid = $query->obj->category; 
        
        unset($sql);
        unset($query);	  
 	}

    $sql = "select id, category 
            from $db_categories 
            where weblog = '".$DB->escape_str($weblog)."'
            order by category"; 
            
        $query = new DB_query($DB, $sql);
        
    if ($query->db_num_rows() == 0) 
        return false;
   
    $catform  = "<select name=\"catid\" class=\"pulldown\">\r\n";
    $catform .= "<option value=\"\">Category</option>\r\n";
    
    while ($query->db_fetch_object()) 
    {
           $category = $query->obj->category;
           $id = $query->obj->id;
           
         if ($catid == $id)
         	 $selected = "selected";
         	 
    
         if (get_magic_quotes_runtime())
             $category = stripslashes($category);
        
        $catform .= "<option value=\"$id\" $selected>".$category."</option>\r\n"; 
        $selected = "";
    }
        $catform .= "</select>\r\n";

    return $catform;
}
// END
?>