<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//

	$memdir  = $SHARED->get_pref("memdir","1");
	$newtime = $SHARED->get_offset_time();
	
	// ----------------------------------------------------------
	//  IP Ban Check - Do Not Remove
	// ----------------------------------------------------------
	
	if (ipbancheck()==true) 
	{
		return header("location:$memdir$messagespage$sfx?m=90");
	}
	
	
	// ----------------------------------------------------------
	//  Post ID Check - Do Not Remove
	// ----------------------------------------------------------
	
	if ($_GET['p'] != "addcomment" && $_GET['p'] != "subscribe")
	{
		return header("location:$memdir$messagespage$sfx");
	}	
	elseif (!isset($_POST['post_id']) && $_GET['p'] == 'addcomment')
	{
		return header("location:$memdir$messagespage$sfx");
	}
	elseif (!isset($_GET['post_id']) && $_GET['p'] == 'subscribe')
	{
		return header("location:$memdir$messagespage$sfx");
	}
	else
	{
		$post_id = ( ! isset($_POST['post_id'])) ? $_GET['post_id'] : $_POST['post_id'];
	}
	
	$x = explode("_",$post_id);
	$postid = $x[0];       

	if ((substr($postid, 0, 1)=="A") || 
        (substr($postid, 0, 1)=="P") ||         
        (substr($postid, 0, 1)=="D") || 
        (substr($postid, 0, 1)=="M"))
	{
		$postid = substr($postid, 1);		
	}
    
	$query = new DB_query($DB, "select weblog from $db_multiweblogs where id = '".$DB->escape_str($x[2])."'");
	$query->db_fetch_object();
    $weblog = $query->obj->weblog;

	$query = new DB_query($DB, "SELECT title, t_stamp FROM $db_weblog 
								WHERE post_id = '".$DB->escape_str($postid)."' 
								AND x_stamp > '{$newtime}'
								AND showcomments = '1'
								AND status = 'open'");
	
	if ($query->db_num_rows() == 0)
	{
		return header("location:$memdir$messagespage$sfx?m=98");
	}
	
	$query->db_fetch_object();
	$entry_title = $query->obj->title;
	$entry_date = $query->obj->t_stamp;
	
	$expiration = $SHARED->get_pref("comment_expiration_$weblog");
	
	if ($expiration != '0' && ($expiration*60*60*24 + $newtime) > $entry_date)
	{
		return header("location:$memdir$messagespage$sfx?m=98");
	}

	// ----------------------------------------------------------
	//  Default Variable Settings
	// ----------------------------------------------------------

	if (!isset($email)) $email = '';
	if (!isset($save)) $save = '';
	if (!isset($show_email)) $show_email = '';
	if (!isset($location)) $location = '';
	if (!isset($sef)) $sef = '';
	if (!isset($notify)) $notify = '';
	if (!isset($body)) $body = '';
	if (!isset($name)) $name = '';
	if (!isset($url)) $url = '';
	if (!isset($override)) $override = '';
		
	// ----------------------------------------------------------
	//  Require Registration?
	// ----------------------------------------------------------
	
	$require_reg = $SHARED->get_pref("require_reg_comments");
    
	if (isset($_COOKIE['member_name']) && isset($_COOKIE['member_code']))
	{
		$require_reg = "yes";
	}
	
	if ($override == 'yes')
	{
		$require_reg = "no";
	}
	
	
	// ----------------------------------------------------------
	//  COMMENT SUBSCRIBING ROUTINE
	// ----------------------------------------------------------

	if (($_GET['p']) == "subscribe")
	{    	
		if ($require_reg == "no")
		{
			if($email == '')
			{
				return header("location:$memdir$messagespage$sfx?m=94");
			}
			elseif ($email != "" && !valid_email($email))
			{
				return header("location:$memdir$messagespage$sfx?m=95");
			}
		
			$sql = "select count(*) as count from $db_nmbr_notify where email = '".$DB->escape_str($email)."' and post_id ='".$DB->escape_str($postid)."'";
			$query = new DB_query($DB, $sql);
			$query->db_fetch_object();

			if ($query->obj->count == 0) 
			{
				$result = new DB_query($DB, "insert into $db_nmbr_notify (id,post_id,email) values ('','".$DB->escape_str($postid)."','".$DB->escape_str($email)."')");
			}
		}
		else
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
    
			if ($query->db_num_rows() == 0)
			{
				return header("location:$memdir$messagespage$sfx?m=93");
			}
			
			$query->db_fetch_object();
			$mem_id      = $query->obj->id;
			
			$sql = "select count(*) as count from $db_mbr_notify where member_id = '$mem_id' and post_id ='".$DB->escape_str($postid)."'";
			$query = new DB_query($DB, $sql);
			$query->db_fetch_object();
                   
			if ($query->obj->count == 0)
			{
				$result = new DB_query($DB, "insert into $db_mbr_notify (id,post_id,member_id) values ('','".$DB->escape_str($postid)."','$mem_id')");
			}
			
			unset($sql);
			unset($query);
			unset($result);
		}
		
		include ("{$pm_path}language/{$language}/main$sfx");
		echo <<<EOT
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>

<head>

<title>pMachine | Publish Your Universe</title>

<style type='text/css' media='all'>
.default {
 font-family:  Verdana, Geneva, Helvetica, Trebuchet MS, Sans-serif;
 font-size: 11px;
 font-weight: normal;
 color: #333;
}
</style>
</head>

<body>

<div class="default" align="center">{$L_POSTOFFICE['655']}$entry_title
<br /><br /><a href="javascript:window.close();" >CLOSE</a></div>

</body>
</html>
EOT;
		
		return;
	}

	// ----------------------------------------------------------
	//  COMMENT SUBMISSION HANDLING ROUTINE
	// ----------------------------------------------------------
	
	if ($SHARED->get_pref('enable_comments_'.$weblog) != 'yes')
	{
		return header("location:$memdir$messagespage$sfx?m=90");
	}
	
	// ----------------------------------------------------------
	//  Required Variables
	// ----------------------------------------------------------
	
	$returnto  = $SHARED->get_pref("pages_path_abs_$weblog","1");
	$returnto .= $SHARED->get_pref("comments_page_$weblog");
	
	$moderate_comments		= $SHARED->get_pref("moderate_comments_$weblog");
	$moderate_blacklist		= $SHARED->get_pref("moderate_blacklisted_$weblog");
	$comment_status			= ($moderate_comments == 'yes') ? 'closed' : 'open';
	
	if ($url_rewriting == 1 AND $sef == 'yes')
	{
        $commentpath = $returnto.'/'.$post_id.'/';
	}
	else
	{
		$commentpath = "$returnto?id=$post_id";
	}
   	
   	if (!isset($_POST['preview']))
	{
		$preview = 0;
	}
	else
	{
		$preview = 1;
	}
	
	// --------------------------------------
	//  Secure Forms and Captcha Variables
	// --------------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	// IP and User Agent Check
	
	if (isset($ip_agent_comments) && $ip_agent_comments == 'yes')
	{
		$agent = ( ! isset($_SERVER['HTTP_USER_AGENT'])) ? '' : $_SERVER['HTTP_USER_AGENT'];
		
		if ($SHARED->IP == '' OR $SHARED->IP == '0.0.0.0' OR $agent == '')
		{
			return header("location:$memdir$messagespage$sfx?m=90");
		}
	}
	
	// -----------------------------------------------------------
	//  Varous Checks
	// -----------------------------------------------------------
	
	if ($require_reg == "no")
	{ 		
		if (($preview == 0) && (timelock("comments_{$weblog}")==false))
		{
			return header("location:$memdir$messagespage$sfx?m=97&i=".$SHARED->get_pref("timelock_comments_$weblog"));
		}
		
		$name		=& trim(strip_tags($name));	
		$email		=& trim(strip_tags($email));      	  	
		$url		=& trim(strip_tags($url));
		$location	=& trim(strip_tags($location));
		$fromname	= $name; 

		if ($email == "" and $SHARED->get_pref("require_email_noreg") == "yes")
		{
			return header("location:$memdir$messagespage$sfx?m=94");
		}
	
		if ($email <> "" and !valid_email($email))
		{
			return header("location:$memdir$messagespage$sfx?m=95");
		}
	
		if ($name == "" || $body == "")
		{
			return header("location:$memdir$messagespage$sfx?m=91");
		}
	
		$show_email = ($show_email != 'yes') ? 'no' : 'yes';
		
		$ipaddress = get_ipaddress();
	
		if (!get_magic_quotes_gpc()) 
		{
			$name		= addslashes($name);
			$email		= addslashes($email);
			$url		= addslashes($url);
			$location	= addslashes($location);
		}
		
		$sql = "insert into $db_nonmembers 
				(id, 
				signature, 
				email, 
				url, 
            	location, 
            	show_email, 
            	ipaddress)
	 			values ('',
	     	   '$name',
	     	   '$email',
	     	   '$url',
	     	   '$location',
	     	   '$show_email',
	     	   '$ipaddress')";

		$query = new DB_query($DB, $sql);

		unset($sql);
		unset($query);

		$sql = "select id from $db_nonmembers order by id desc limit 1";
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();
		$nonmbr = $query->obj->id;
    
		unset($sql);
		unset($query);
	}
	elseif ($require_reg == "yes") 
	{  	
		if (!isset($_COOKIE['member_name']) && !isset($_COOKIE['member_code']))
		{
			return header("location:$memdir$messagespage$sfx?m=93");
		}

		$sql = "select id,member_id,status,email,signature,numcomments,lastpost 
            		from $db_members 
            		where username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		and member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
		$query = new DB_query($DB, $sql);
    
		if ($query->db_num_rows() == 0)
		{
			return header("location:$memdir$messagespage$sfx?m=93");
 		}

		$query->db_fetch_object();
		$mem_id      = $query->obj->id;
		$status      = $query->obj->status;
		$lastpost    = $query->obj->lastpost;
		$email       = $query->obj->email;
		$fromname    = $query->obj->signature;
    
    
		unset($sql);
		unset($query);

		if ($status < 3) 
		{
			return header("location:$memdir$messagespage$sfx?m=90");
		}
		
		if ($status == '3' and $preview == 0 and $lastpost != '')
		{
			$timelock = $SHARED->get_pref("timelock_comments_$weblog");    
        
			$unlock = ($lastpost + $timelock);  
        
			if ($unlock > $newtime) 
			{
				return header("location:$memdir$messagespage$sfx?m=97&i=$timelock");
			}
		}
	}
	
	
	$maxl = $SHARED->get_pref(trim("comment_max_length_$weblog"));
	
	if ($maxl != '' && $maxl != '0') 
	{
		$size = strlen($body);
	    
		if ($size > $maxl)
		{
			return header("location:$memdir$messagespage$sfx?m=96&i=$maxl&e=$size");
		}
	}
    
	if ($notify == 'yes') 
	{
		setcookie('notifyme','yes',time()+100000000,"/",$cookie_domain,'0');    	
	}
	else
	{
		setcookie('notifyme','',time()-60,"/",$cookie_domain,'0');
	}
	
	$rawbody = pmcode_translate_entities(pmcode_decode(stripslashes($body)));
		
	// ---------------------------------------------
	//  Pre tag overflow check
	// ---------------------------------------------
		
	$max_length = 100;  // Max Length of Pre Line
		
	if (preg_match_all("/\<pre\>(.+?)\<\/pre\>/si", $rawbody, $matches))
	{
		for($i=0; $i < count($matches['0']); $i++)
		{
			$lines = preg_split("/\r\n|\r|\n/", $matches['1'][$i]);
				
			foreach($lines as $line)
			{
				if (strlen($line) > $max_length)
				{
					$preview = 1;
					$_POST['preview'] = 1;				
				}
			}
		}
	}
	
	if ($body == '')
	{
		return header("location:$memdir$messagespage$sfx?m=92");  
	}
	
	// -------------------------------------------------
	//  Various pMCode Encoding
	// -------------------------------------------------
	
	if ($SHARED->get_pref("auto_format_HTML_comment_$weblog") == 'yes')
	{
		$body = pmcode_basic_encode($body);
	}
	
	if ($SHARED->get_pref("auto_format_URLS_comment_$weblog") == 'yes')
	{
		$body = pmcode_url_encode($body);
	}
	
	if ($SHARED->get_pref("auto_format_IMGS_comment_$weblog") == 'yes')
	{
		$body = pmcode_img_encode($body);
	}
	
	$body = pmcode_remove_tags($body);
		
	if(!get_magic_quotes_gpc())
	{
		$body  = addslashes($body);
	}
	
	// ------------------------------------
	//  Deny Duplicate Data
	// ------------------------------------
	
	if (isset($deny_duplicate) && $deny_duplicate == 'yes')
	{
		$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_comments 
									 WHERE body = '".$DB->escape_str($body)."' AND preview = '0' AND status = 'open'");
		$query->db_fetch_object();
		
		if ($query->obj->count > 0)
		{
			return header("location:$memdir$messagespage$sfx?m=90");
		}
	}
	
	// -------------------------------------------------
	//  Blacklist/Whitelist
	// -------------------------------------------------
	
	// --------------------------
	//  Current Blacklist
	// --------------------------
  
	$query = new DB_query($DB, "SELECT * FROM $db_blacklisted"); 
	
	$black['ip']		= array();
	$black['email']		= array();
	$black['url']		= array();
	$black['phrase']	= array();
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			$black_values =& explode('|', $query->row['blacklisted_value']);
			
			for ($i=0; $i < sizeof($black_values); $i++)
        	{
        		if (trim($black_values[$i]) != '')
        		{
        			$black[$query->row['blacklisted_type']][] = (get_magic_quotes_runtime()) ? stripslashes($black_values[$i]) : $black_values[$i];
        		}
        	}
		}	
	}
	
	// --------------------------
	//  Current Whitelist
	// --------------------------
  
	$query = new DB_query($DB, "SELECT * FROM $db_whitelisted"); 
	
	$white['ip']		= array();
	$white['email']		= array();
	$white['url']		= array();
	$white['phrase']	= array();
	
	if ($query->db_num_rows() > 0)
	{
		while ($query->db_fetch_array())
		{
			$white_values =& explode('|', $query->row['whitelisted_value']);
			
			for ($i=0; $i < sizeof($white_values); $i++)
        	{
        		if (trim($white_values[$i]) != '')
        		{
        			$white[$query->row['whitelisted_type']][] = (get_magic_quotes_runtime()) ? stripslashes($white_values[$i]) : $white_values[$i]; 
        		}
        	}   
		}	
	}
	
	// -----------------------------
	//  Domain Names Array
	// -----------------------------
		
	$domains = array('net','com','org','info', 'name','biz','us','de', 'uk');    	
	
	// -------------------------------------
	//  Find URLs in Comment Body
	// -------------------------------------
	
	$test_body =& str_replace('&amp;', '&', $rawbody);
	$test_body =& str_replace('&#35;', '#', $test_body);
	$test_body =& str_replace('&#38;', '&', $test_body);
	$test_body =& str_replace('&#45;', '-', $test_body);
	$test_body =& str_replace('&#46;', '.', $test_body);
	$test_body =& str_replace('&#47;', '/', $test_body);
	$test_body =& str_replace('&#58;', ':', $test_body);
	$test_body =& str_replace('&#95;', '_', $test_body);
	
	$test_body .= ' ';
	
	$test_urls = array();
				
	// Clear period from the end of URLs
	$test_body = preg_replace("#(^|\s|\()((http://|http(s?)://|www\.)\w+[^\s\)]+)\.([\s\)])#i", "\\1\\2{{PERIOD}}\\4", $test_body);
				
	if (preg_match_all("/([f|ht]+tp(s?):\/\/[a-z0-9@%_.~#\/\-\?&=]+.)".
					   "|(www.[a-z0-9@%_.~#\-\?&]+.)".
					   "|([a-z0-9@%_~#\-\?&]*\.(".implode('|', $domains)."))/si", $test_body, $matches))
	{       					
		$test_urls = $matches['0'];
	}
	
	// Add in URL Field
	
	if (trim($url) != '')
	{
		$test_urls[] =& trim($url);
	}
	
	
	// -------------------------------------
	//  Uber Whitelist Pass
	// -------------------------------------
	
	$uber = 'n';  // Whitelisted IPs and Emails Always Passed Through
	
	if (isset($email) && $email != '' && sizeof($white['email']) > 0)
	{
		foreach($white['email'] as $good)
		{
			if (stristr($email, $good) !== false)
			{
				$uber = 'y';
			}
		}
	}
	
	if (sizeof($white['ip']) > 0)
	{
		foreach($white['ip'] as $good)
		{
			if (stristr($SHARED->IP, $good) !== false)
			{
				$uber = 'y';
			}
		}
	}
	
	// -------------------------------------
	//  Check Email, URLs, IP, and Content
	// -------------------------------------
	
	$pass = 'y';  // Innocent until guilty
	
	foreach($black as $type => $blacklisted)
	{
		if ($uber == 'y')
		{
			break;
		}
		
		if ($type == 'url' && sizeof($test_urls) > 0)
		{
			for ($i=0; $i < sizeof($test_urls); $i++)
			{
				foreach($blacklisted as $bad)
				{
					if (stristr($test_urls[$i], $bad) !== false)
					{
						$pass = 'n';
						
						if (sizeof($white[$type]) > 0)
						{
							foreach($white[$type] as $good)
							{
								if (stristr($test_urls[$i], $good) !== false)
								{
									$pass = 'y';
								}
							}
						}
						
						break;
					}
				}
			}
		}
		elseif($type == 'ip' && $SHARED->IP != '0.0.0.0')
		{
			foreach($blacklisted as $bad)
			{
				if (stristr($SHARED->IP, $bad) !== false)
				{
					$pass = 'n';
					
					break;					
				}
			}
		}
		elseif($type == 'email' && $email != '')
		{
			foreach($blacklisted as $bad)
			{
				if (stristr($email, $bad) !== false)
				{
					$pass = 'n';
					
					if (sizeof($white[$type]) > 0)
					{
						foreach($white[$type] as $good)
						{
							if (stristr($email, $good) !== false)
							{
								$pass = 'y';
								$uber = 'y';
							}
						}
					}
					
					break;
				}
			}
		}
		elseif($type == 'phrase')
		{
			foreach($blacklisted as $bad)
			{
				if (stristr($test_body, $bad) !== false)
				{
					$pass = 'n';
					
					if (sizeof($white[$type]) > 0)
					{
						foreach($white[$type] as $good)
						{
							if (stristr($test_body, $good) !== false)
							{
								$pass = 'y';
							}
						}
					}
					
					break;
				}
			}
		}
	}
	
	if ($pass == 'n' && $uber != 'y')
	{
		if ($moderate_blacklist == 'yes')
		{
			$comment_status = 'closed';	
		}
		else
		{
			return header("location:$memdir$messagespage$sfx?m=165");
		}
	}
	
	
	// -------------------------------------------------
	//  Secure Forms/Captcha Check - After All Error Checking!
	// -------------------------------------------------
	
	if (isset($comment_captcha) && $comment_captcha != 'no')
	{			
		$passed = 'n';
		
		if ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
			
			if ($query->db_num_rows() > 0)
			{
				$passed = 'y';
			}
		}
		
		if ($passed == 'n')
		{
			if ( ! isset($_POST['captcha']) OR trim($_POST['captcha']) == '')
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
		
			$query = new DB_query($DB, "SELECT COUNT(*) AS count FROM $db_captchas 
										WHERE ip_address ='".$SHARED->IP."'
										AND word = '".$DB->escape_str($_POST['captcha'])."'
										AND date > '".(time()-7200)."'");
										
			$query->db_fetch_array();
		
			if ($query->row['count'] == 0)
			{
				return header("location:$memdir$messagespage$sfx?m=163");
			}
			elseif($preview != 1)
			{
				$query = new DB_query($DB, "DELETE FROM $db_captchas 
											WHERE (word='".$DB->escape_str($_POST['captcha'])."' 
											AND ip_address = '".$SHARED->IP."') 
											OR date < '".(time()-7200)."'");
			}		
		}		
	}
	
	if (isset($secure_forms) && $secure_forms == 'yes' && $SECURE->check_hash() !== true)
	{
		return header("location:$memdir$messagespage$sfx?m=90");
	}

	// ---------------------------------------------
	//  IF REGISTRATION IS NOT REQUIRED
	// ---------------------------------------------

	if ($require_reg == "no")
	{
		$sql = "insert into $db_comments 
				(comment_id,
				post_id,
            	member_id,
            	t_stamp,
            	body,
            	weblog,
            	preview,
            	comment_ip,
            	status)  
        		values 
            	('',
            	'$postid',
            	'"."NM"."$nonmbr',
            	'$newtime',
            	'$body',
            	'$weblog',
            	'$preview',
            	'{$SHARED->IP}',
            	'{$comment_status}')"; 
	
    		$query = new DB_query($DB, $sql);

		unset($sql);
		unset($query);

	if ($preview == 1) 
	{
		$sql = "SELECT comment_id FROM $db_comments ORDER BY comment_id DESC limit 1";
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();
            
		if ($url_rewriting == 1 AND $sef == 'yes')
		{
			$ret = $returnto."/X{$post_id}_{$query->obj->comment_id}/";
		}
		else
		{
			$ret = "$returnto?id=X{$post_id}_{$query->obj->comment_id}";
        }
        
        if (isset($_POST['captcha']) && trim($_POST['captcha']) != '')
        {
        	setcookie('temp_ccaptcha', $_POST['captcha'], time()+60*60,'/',$cookie_domain,'0');
        }
		
		return header("Location: $ret");
	}
	else
	{
		$query = new DB_query($DB, "DELETE FROM $db_comments WHERE preview = '1' ");
		$query = new DB_query($DB, "DELETE FROM $db_nonmembers WHERE preview = '1'");
	}
	
	$query = new DB_query($DB, "UPDATE $db_weblog SET c_total = c_total+1,c_date = '$newtime' WHERE post_id = '$postid'"); 
	$query = new DB_query($DB, "INSERT INTO $db_timelock (ip,time) VALUES ('$ipaddress','$newtime')");
	
	// --------------------------------
	//  SETTING OF COOKIES
	// --------------------------------

	if ($show_email == "yes")
	{
		setcookie('displayemail','yes',time()+100000000,"/","$cookie_domain","0");
	}
	else
	{
		setcookie('displayemail','',time()-60,"/","$cookie_domain","0");
	}
	
	if ($save == 'yes') 
	{
		setcookie('my_name',$name,time()+100000000,'/',$cookie_domain,'0'); 
		
		if ($email != '')
		{
			setcookie('my_email',$email,time()+100000000,'/',$cookie_domain,'0');
		}
		
		if ($location != '')
		{
			setcookie('my_location',$location,time()+100000000,'/',$cookie_domain,'0');
		}
		
		if ($url != '')
		{
			setcookie('my_url',$url,time()+100000000,'/',$cookie_domain,'0');
		}
	}
	else 
	{
		setcookie('my_name','',time()-60,"/",$cookie_domain,'0');
		setcookie('my_email','',time()-60,"/",$cookie_domain,'0');
		setcookie('my_location','',time()-60,"/",$cookie_domain,'0');
		setcookie('my_url','',time()-60,"/",$cookie_domain,'0');
  	}
		
	send_member_notifications($postid, $commentpath,'',$email);
	
	if ($notify == 'yes' and $email != '') 
	{
		$sql = "SELECT COUNT(*) AS count FROM $db_nmbr_notify WHERE email = '$email' AND post_id = '$postid'";
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();

		if ($query->obj->count == 0) 
		{
			$result = new DB_query($DB, "insert into $db_nmbr_notify (id,post_id,email) values ('','$postid','$email')");
		}
        		
		unset($sql);
		unset($query);
		unset($result);
	}
	
}
	
	
// ---------------------------------------------
//   IF REGISTRATION IS REQUIRED
// ---------------------------------------------

elseif ($require_reg == "yes") 
{ 	    
	$sql = "INSERT INTO $db_comments 
			(comment_id,
			post_id,
			member_id,
			t_stamp,
			body,
			weblog,
			preview,
			comment_ip,
			status) 
			VALUES ('',
			'$postid',
			'$mem_id',
			'$newtime',
			'$body',
			'$weblog',
			'$preview',
			'{$SHARED->IP}',
			'{$comment_status}')"; 

	$query = new DB_query($DB, $sql);


	if ($preview == 1) 
	{
		$sql = "SELECT comment_id FROM $db_comments WHERE preview = '1' ORDER BY comment_id DESC limit 1";
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();
		
		if ($url_rewriting == 1 AND $sef == 'yes')
		{
			$ret = $returnto."/X{$post_id}_{$query->obj->comment_id}/";
		}
		else
		{
			$ret = "$returnto?id=X{$post_id}_{$query->obj->comment_id}";
		}

		return header("location: $ret");
	}
	else
	{
		$query = new DB_query($DB, "DELETE FROM $db_comments WHERE preview = '1' ");
	}

    $sql = "UPDATE $db_members 
            SET numcomments = numcomments+1,
            lastpost = '$newtime' 
            WHERE member_id = '$member_code'";
		
    $query = new DB_query($DB, $sql);

    unset($sql);
    unset($query);

    $sql = "UPDATE $db_weblog 
            SET c_total = c_total+1, 
            c_date = '$newtime' 
            WHERE post_id = '$postid'";

    $query = new DB_query($DB, $sql);

    unset($sql);
    unset($query);

    $ipaddress = get_ipaddress();
	
    $sql = "SELECT COUNT(*) AS count FROM $db_ipaddresses WHERE ipaddress = '$ipaddress'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
           
    if ($query->obj->count == 0)
	{
        $result = new DB_query($DB, "INSERT INTO $db_ipaddresses (ipaddress, member_id) VALUES ('$ipaddress','$mem_id')"); 
    }

    unset($sql);
    unset($query);
    unset($result);

	send_member_notifications($postid, $commentpath, $mem_id,"");

	if ($notify == "yes")
	{
		$sql = "SELECT COUNT(*) AS count FROM $db_mbr_notify WHERE member_id = '$mem_id' AND post_id ='$postid'";
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();
                   
		if ($query->obj->count == 0)
		{
			$add = new DB_query($DB, "INSERT INTO $db_mbr_notify (id,post_id,member_id) VALUES ('','$postid','$mem_id')");
		}
	}
}



//	---------------------------------------------
//		ADMIN NOTIFY AND REDIRECT
//	---------------------------------------------

	if ($comment_status == 'closed' OR $SHARED->get_pref("notify_of_comment_$weblog") == "yes") 
	{
		$towho = $SHARED->get_pref("notify_address_$weblog");
		
		// If doing moderation, we will still send administrator
		// a notification so it is easy to open.
		
		if (($email != $towho OR $comment_status == 'closed') && $towho != '')
		{
			// ---------------------------------
			//  Delete + Approve Comment Links
			// ---------------------------------
			
			$sql = "select comment_id, member_id from $db_comments order by comment_id desc limit 1";
        	$query = new DB_query($DB, $sql);
			$query->db_fetch_object();
			
			$d_url = $SHARED->get_pref('libdir').
					"index$sfx?sx=$sx&m=weblog&p=comment_delete&comid=".
					$query->obj->comment_id.
					"&mbrid=".
					$query->obj->member_id;
      		
      		$a_url = $SHARED->get_pref('libdir').
					"index$sfx?sx=$sx&m=weblog&p=change_comment&comid=".
					$query->obj->comment_id.
					"&status=open";
      		
			include ("{$pm_path}language/{$language}/main{$sfx}");
		
			$subject  = "$L_EMAIL[110] $entry_title";
			$message  = "$commentpath\r\n\r\n";
			$message .= "--\r\n";
			$message .= "$L_EMAIL[100] $fromname\r\n";
		
			if ($email != '')
			{
				$message .= "$L_EMAIL[105] $email\r\n";
			}
			
			$message .= "\r\n";
			$message .= $rawbody;
			$message .= "\r\n\r\n$L_COMMENTS[160]: \r\n$d_url";
			
			if ($comment_status == 'closed')
			{
				$message .= "\r\n\r\n$L_COMMENTS[205] \r\n$a_url";
			}
		
			if ($email == '')
			{
				$email =  $SHARED->get_pref("adminemail");
			}
			
			$E = new Email();
	
			$E->from($email);	
			$E->to($towho); 
			$E->subject($subject);	
			$E->message($message);
			$E->Send();
			$E->initialize();
			
            //mail ($towho,$subject,$message,"From: $email\r\nReply-To: $email\r\n");
		}
	}
	
	if ($comment_status == 'closed')
	{
		return header("Location:$memdir$messagespage$sfx?m=166&i=".urlencode($commentpath));
	}
	else
	{
		if ($redirect_method == 1)
		{
			return header("Refresh:0;url=$commentpath");
		}
		else
		{
			return header("Location: $commentpath");
		}
	}
// END
?>