<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


// ----------------------------------------------
//       WEBLOG COMMENT SUBMISSION FORM  
// ----------------------------------------------
function weblog_comment_form($id='', $formtype=0) 
{
	global $db_multiweblogs, $db_members, $db_nonmembers, $db_weblog;
	global $db_comments, $mbrmanager, $open_basedir,$obd_memdir, $sef, $sfx;
	global $my_name,$my_email,$my_url,$my_location, $notifyme, $displayemail;
	global $db_prefs, $SECURE, $DB, $SHARED, $cookie_domain;

	$test = 1;
	$prev = 0;
	$body = '';
	$prefix = '';

	$x = explode("_",$id);

	if (!isset($x['1']) || !isset($x['2']) || !isset($x['3']))
	{
		return false;    
	}

	$postid = $x[0];
	$blogid = $x[2];
	
	if ((substr($postid,0,1) == 'A') || 
	(substr($postid,0,1) == 'P') || 
	(substr($postid,0,1) == 'D') || 
	(substr($postid,0,1) == 'M'))
	{
		$prefix = substr($postid,0,1);
		$postid = substr($postid, 1);
	}
	elseif (substr($postid,0,1) == 'X') 
	{
		$postid = substr($postid, 1);
		$entrycat = $x['4'];
		if (isset($x['5']))
		{
			$comid = $x['5'];
		}
		
		if ((substr($postid, 0, 1) == 'A') ||  (substr($postid,0,1) == 'M') ||  (substr($postid,0,1) == 'D'))
		{
			$prefix = substr($postid,0,1);
			$postid = substr($postid, 1);
		}
		
		if (substr($postid, 0, 1) == "P")
		{
			$postid = substr($postid, 1);
	
			if (isset($x['5']))
			{ 
				$comid = $x['5'];
				$prefix = "P";
			}
			elseif (isset($x['4']))
			{ 
				$comid = $x['4'];
				$prefix = "P";
			}
			else
			{ 
				$comid = $x['2'];
				$prefix = substr($postid,0,1);
			}
		
			$entrycat = $x[4];
		}
	
		$id = "$prefix{$postid}_{$x[1]}_{$x[2]}_{$x[3]}_{$entrycat}";
		$test =0;
		$prev =1;
	}   
	
	// Test for a closed entry. 
	if ($test == 1) 
	{
		$query = new DB_query($DB, "SELECT weblog, t_stamp FROM $db_weblog 
									 WHERE post_id = '".$DB->escape_str($postid)."' AND status = 'open' AND showcomments = '1'");
		$query->db_fetch_object();
		
		if ($query->db_num_rows() == 0) 
		{
			return false;
		}
		
		$weblog		= $query->obj->weblog;
		$entry_date	= $query->obj->t_stamp;		
		$expiration = $SHARED->get_pref("comment_expiration_$weblog");
		
		if ($expiration != '0' && ($expiration*60*60*24 + $newtime) > $entry_date)
		{
			return false;
		}	
	}
	
	// If we are previewing the entry
	if ($prev == 1) 
	{
		$query = new DB_query($DB, "SELECT member_id,body FROM $db_comments WHERE comment_id = '$comid'");
		$query->db_fetch_object();
		$memberid = $query->obj->member_id;
		$body = htmlspecialchars($query->obj->body);
		
		unset($sql);
		unset($query);
	
		if (get_magic_quotes_runtime())
		{
			$body = stripslashes($body);
		}
		
		if (substr($memberid, 0, 2) == "NM") 
		{
			$query = new DB_query($DB,  "SELECT signature,email,url,location FROM $db_nonmembers WHERE id = '".substr($memberid, 2)."'");
			$query->db_fetch_object();
			$my_name     = $query->obj->signature;
			$my_email    = $query->obj->email;
			$my_url      = $query->obj->url;
			$my_location = $query->obj->location;
		}
	}
	
	if ($open_basedir == 0) 
	{
		$memdir = $SHARED->get_pref('memdir',"1");
	}
	else
	{
		$memdir = $obd_memdir;
	}
	
	$subscribe_link = "$memdir$mbrmanager$sfx?p=subscribe&post_id=$id";
	
	$form  = "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=addcomment\" name=\"add_comment\">\r\n"
		      ."<input type=\"hidden\" name=\"post_id\" value=\"$id\" />\r\n";
	
	// ---------------------------------
	//  Secure Forms and Captcha
	// ---------------------------------
	
	$query = new DB_query($DB, "SELECT pm_option, pm_value FROM $db_prefs WHERE pref_grp IN ('40','45')");
	
	while ($query->db_fetch_object()) 
	{
		${$query->obj->pm_option} = $query->obj->pm_value; 
	}
	
	if ($secure_forms == 'yes')
	{
		$form  = $SECURE->security_hash_js('y')."\r\n"
				 ."<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=addcomment\" name=\"add_comment\" ".$SECURE->security_hash_js().">\r\n"
		         ."<input type=\"hidden\" name=\"post_id\" value=\"$id\" />\r\n"
		         .$SECURE->security_hash_field();
	}
	else
	{
		$form  = "<form method=\"post\" action=\"$memdir$mbrmanager$sfx?p=addcomment\" name=\"add_comment\">\r\n"
		         ."<input type=\"hidden\" name=\"post_id\" value=\"$id\" />\r\n";
	}
	
	if (isset($_COOKIE['temp_ccaptcha']) && $_COOKIE['temp_ccaptcha'] != '')
	{
		if ($prev == 1)
		{
			$form .= "<input type=\"hidden\" name=\"captcha\" value=\"".$_COOKIE['temp_ccaptcha']."\" />\r\n";
		
			$comment_captcha = 'no';
		}
		
		//setcookie('temp_ccaptcha', '', time()+60*60*24,'/',$cookie_domain,'0');
	}
	
	// ---------------------------------
	//  Fill in Form
	// ---------------------------------
	
	if (isset($sef) AND $sef == 1)  
	{
		$form .= "<input type=\"hidden\" name=\"sef\" value=\"yes\" />\r\n";
	}
	
	if ($formtype != 0)
	{
		$form .= "<input type=\"hidden\" name=\"override\" value=\"yes\" />\r\n";
	}
	
	$query = new DB_query($DB, "SELECT weblog FROM $db_multiweblogs WHERE id = '$blogid'");
	$query->db_fetch_object();
	$weblog = $query->obj->weblog;
	$tempcat = $SHARED->get_pref("{$weblog}_templategroup"); 
	
	$require_reg = $SHARED->get_pref("require_reg_comments");
	
	if (isset($_COOKIE['member_name']) && isset($_COOKIE['member_code']))
	{
		$require_reg = "yes";
	}
	
	$checked = (isset($notifyme) AND $notifyme == "yes") ? 'checked="checked"' : '';

	$display = (isset($displayemail) AND $displayemail == "yes") ? 'checked="checked"' : '';
	
	
	if ($formtype != 0)
	{
		$require_reg = 'no';
	}
	
	if ($require_reg == "no") 
	{
		$my_name = htmlspecialchars(stripslashes($my_name));
		$my_email = htmlspecialchars(stripslashes($my_email));
		$my_url = htmlspecialchars(stripslashes($my_url));
		$my_location = htmlspecialchars(stripslashes($my_location));        
		
		if (get_magic_quotes_gpc()) 
		{
			$my_name = stripslashes($my_name);
			$my_email = stripslashes($my_email);
			$my_url = stripslashes($my_url);
			$my_location = stripslashes($my_location);
		}
	
		$swap = array(  "%%my_name%%" 		=> $my_name,
					"%%my_email%%"     		=> $my_email,
					"%%my_url%%"       		=> $my_url,
					"%%my_location%%"  		=> $my_location,
					"%%body%%"         		=> $body,
					"%%checked%%"      		=> $checked,
					"%%notify%%"       		=> $checked,
					"%%show_email%%"   		=> $display,
					'%%subscribe_link%%'	=> $subscribe_link);
					
		$block = $SHARED->get_template($tempcat,"200");
	
		while(list($key,$value) = each($swap))
		{
			$block = str_replace("$key","$value",$block); 
		}
	} 
	else
	{
		$swap = array( 	"%%form_message%%"   	=> $body, 
					"%%body%%" 			=> $body,
					"%%checked%%"      		=> $checked,
					"%%notify%%"       		=> $checked,
					'%%subscribe_link%%'	=> $subscribe_link);
		
		$block = $SHARED->get_template($tempcat,"210");
	
		while(list($key,$value) = each($swap))
		{
			$block = str_replace("$key","$value",$block); 
		}
	}
	
	// ---------------------------------
	//  Captcha
	// ---------------------------------
	
	if (preg_match("|{if captcha}(.*?){/if}|s",$block, $matches))
	{
		$captcha = 'y';
		
		if ($comment_captcha == 'no')
		{
			$block =& str_replace($matches['0'], '', $block);
			$captcha = 'n';
		}
		elseif ($captcha_required_members == 'no' && isset($_COOKIE['member_code']) && isset($_COOKIE['member_name']))
		{
			$sql = "SELECT id FROM $db_members 
            		WHERE username = '".$DB->escape_str($_COOKIE['member_name'])."' 
            		AND member_id = '".$DB->escape_str($_COOKIE['member_code'])."'"; 
	
			$query = new DB_query($DB, $sql);
    
			if ($query->db_num_rows() > 0)
			{
				$block =& str_replace($matches['0'], '', $block);
				$capthca = 'n';
			}
		}
		
		if ($captcha == 'y')
		{
			if ($captcha_image = $SECURE->create_captcha())
			{
				$block =& str_replace($matches['0'], $matches['1'], $block);
				$block =& str_replace('%%captcha%%', $captcha_image, $block);
			}
			else
			{
				$block =& str_replace($matches['0'], '', $block);
			}
		}		
	}
	
	echo "$form\r\n";
	echo "$block\r\n"; 
	echo "</form>\r\n";      
}
// END


// ----------------------------------------------
//		IF COMMENTS EXIST
// ----------------------------------------------
function comments_exist($id='') 
{   
	global $db_comments, $sfx, $DB;
	
	if ($id=='')
	{
		return 0;
	}
	
	if (substr($id, 0, 1) == "X") 
	{
		$id = substr($id, 1);
	}
	
	$x = explode("_",$id);
	$postid   = $x['0'];
	
	if ((substr($postid,0,1) == "M") || 
	(substr($postid,0,1) == "D") || 
	(substr($id, 0, 1) == "A")   || 
	(substr($id, 0, 1) == "P"))
	{   
		$postid = substr($postid,1);
	}
	
	$sql = "SELECT COUNT(*) AS count
		   FROM $db_comments 
		   WHERE post_id = '".$DB->escape_str($postid)."' 
		   AND preview = '0'
		   AND status = 'open'";
		   
	$query = new DB_query($DB, $sql);
	$query->db_fetch_object();
	
	if ($query->obj->count > 0)
	{
		return 1;     
	}
	else
	{
		return 0;     
	}
}
// END



// ----------------------------------------------
//  DISPLAY COMMENTS
// ----------------------------------------------

function weblog_comments($id='') 
{   
	global $db_comments, $db_members, $db_weblog, $auto_xhtml, $db_nonmembers;
	global $db_multiweblogs, $url_rewriting, $profileviewpage, $sfx;
	global $forum_moderators, $moderator_levels, $DB, $SHARED;
	
	if ($id == '') return member_messages(60);
	
	log_comment_hits($id);
	
	$fromwhere 	= '';
	$entrycat		= ''; 
	$preview 		= 0; 
	$prev_blurb	= 0; 
	$i			= '';
	$comid		= '';
	
	if (substr($id, 0, 1) == 'X') 
	{
		$id = substr($id, 1);
		$prev_blurb = 1; 
		$preview    = 1;  
	}
	
	$x = explode("_",$id);
	
	if (!isset($x['1']) || !isset($x['2']) || !isset($x['3']))
	{
		return false;
	}
	
	$postid		= $x['0'];
	$rowstart	= $x['1'];
	$catpage 	= $x['2'];
	$catrow		= ( ! isset($x['3']) OR $x['3'] == '') ? '0' : $x['3'];
	
	if (isset($x['4']))
	{
		$entrycat = $x['4'];
	}
	
	if (isset($x['5']))
	{
		$comid  = $x['5'];
	}
	
	if (substr($id, 0, 1) == "A") 
	{
		$postid =& substr($postid, 1);
		$fromwhere = "archives";
		$catrow = "0";  
	}
	elseif (substr($postid,0,1) == "P")
	{
		$postid =& substr($postid,1);
		
		if (isset($x['5']))
		{
			$comid = $x['5'];
		}
		elseif (isset($x['4']))
		{
			$comid = $x['4'];
		}
		else
		{
			$comid = $x['2'];
		}
		
		$entrycat = "";
	}  
	elseif ((substr($postid,0,1) == "M") || (substr($postid,0,1) == "D"))
	{   
		$postid = substr($postid,1);
	}
	
	if ($rowstart == '')
	{
		$rowstart = 0;
	}
	
	// Is weblog entry closed?
	$query = new DB_query($DB, "SELECT status FROM $db_weblog WHERE post_id = '".$DB->escape_str($postid)."'");
	$query->db_fetch_object();
	
	if ($query->db_num_rows() == 0 OR $query->obj->status == "closed")
	{
		return false;
	}
	
	// Which weblog does this series of comments belong to?
	$query = new DB_query($DB, "SELECT weblog FROM $db_multiweblogs WHERE id = '$catpage'");
	$query->db_fetch_object();
	$weblog = $query->obj->weblog;
	
	$now				= $SHARED->get_offset_time();
	$tempcat			= $SHARED->get_pref("{$weblog}_templategroup");  
	$comments_page		= $SHARED->get_pref("comments_page_$weblog");
	$path				= $SHARED->get_pref("pages_path_abs_$weblog", '1');
	$word_censor		= $SHARED->get_pref("word_censor_comments");
	$cmnts_per_page		=& trim(strtolower($SHARED->get_pref("comments_per_page_$weblog"))); 
	$display_order		= $SHARED->get_pref("display_order_comments_$weblog");
	$date_and_time		= $SHARED->get_pref("date_and_time_comments_$weblog");
	$color_one			= $SHARED->get_pref("row_color_one_comments_$weblog");
	$color_two			= $SHARED->get_pref("row_color_two_comments_$weblog");
	$memdir				= $SHARED->get_pref("memdir","1");
	$spacer				= $SHARED->get_template($tempcat,"160");
	$comment_template	= $SHARED->get_template($tempcat,"120");
	
	if ($cmnts_per_page == 'all')
	{
		$cmnts_per_page = "1000";
	}
	
	$target	= ($SHARED->get_pref("link_opens_window_comment_$weblog") == 'yes') ? 'target="_blank"' : '';
	$pop	= ($SHARED->get_pref("link_opens_window_comment_$weblog") == 'yes') ? 'yes' : '';

	if ($preview == 1) 
	{ 
		$sql = "SELECT member_id,t_stamp,body 
			    FROM $db_comments 
			    WHERE comment_id = '$comid'";   
	}
	else
	{
		$sql = "SELECT COUNT(*) AS count
			    FROM $db_comments 
			    WHERE post_id = '$postid' 
			    AND preview = '0'
			    AND status = 'open'";
			    
		$query = new DB_query($DB, $sql);
		$query->db_fetch_object();
		$total = $query->obj->count;
		$per_page = $cmnts_per_page; 
		unset($sql);
		unset($query);
		
		$sql = "SELECT member_id,t_stamp,body 
			    FROM $db_comments 
			    WHERE post_id = '$postid' 
			    AND preview = '0' 
			    AND status = 'open'
			    ORDER BY t_stamp $display_order 
			    LIMIT $rowstart, $per_page"; 
	}
	
	$query = new DB_query($DB, $sql);
	
	while ($query->db_fetch_object()) 
	{
		$mbr		= $query->obj->member_id;  
		$t_stamp	= $query->obj->t_stamp;
		$body		= $query->obj->body;
		
		if (get_magic_quotes_runtime())
		{
			$body = stripslashes($body);
		}
		
		$date = date($date_and_time,$t_stamp);
		
		if ($word_censor == "yes")
		{
			$body = censor($body);
		}
		
		$body = pmcode_decode($body,$pop);
		
		if (isset($auto_xhtml) && $auto_xhtml != 0)
		{
			$body = xhtml_typography($body);
		}
		else
		{
			$body = nl2brExceptPre($body);
		}
		
		$memberflag = 0;
		
		$mql = "SELECT id,signature,email,url,location,show_email ";
		
		if (substr($mbr, 0, 2) == 'NM') 
		{
			$memberflag =1;
			$mbr = substr($mbr,2);
			$mql .= " FROM $db_nonmembers WHERE id = '$mbr'";
		} 
		else 
		{
			$mql .= ",numentries,numcomments FROM $db_members WHERE id = '$mbr'";
		}
		
		$mquery = new DB_query($DB, $mql);                    
		$mquery->db_fetch_object();
		
		$id			= $mquery->obj->id;              
		$show_email	= $mquery->obj->show_email;
		$name		= $mquery->obj->signature;
		$email		= stripslashes($mquery->obj->email);
		$url		= stripslashes($mquery->obj->url);
		$location	= stripslashes($mquery->obj->location);
		
		if ($memberflag == 1) $id = "NM"."$id";
		
		if($memberflag == 0) 
		{
			$numentries  = $mquery->obj->numentries;
			$numcomments = $mquery->obj->numcomments;
		
			if ($numentries == '')
			{
				$numentries = '0';
			}
			
			if ($numcomments == '')
			{
				$numcomments = '0';
			}
		}
		
		$if_email				= '';
		$if_email_as_link		= '';
		$if_email_or_url_as_link	= '';
		$if_email_as_name		= $name;
		$if_email_or_url_as_name	= $name;
		$if_url_or_email_as_name	= $name;
		$if_url_as_name		= $name;
		
		if ($url != '')
		{
			if (!strstr($url, 'http://www')) 
            		{
            			if (strstr($url, 'www.'))
            			{
            				$url = 'http://'.$url;
            			}
            			elseif (!strstr($url, 'http://'))
            			{
            				$url = 'http://'.$url;
            			}
            		}
		
			$turl = substr($url, 7);
		
			if (eregi('/$',$url)) 
			{
				$turl = substr($turl, 0, -1);
			}
		
			$if_url_or_email_as_name = "<a href=\"$url\" $target>$name</a>";
			$if_url_as_name          = "<a href=\"$url\" $target>$name</a>";    
		}
                        
		if ($show_email == 'yes') 
		{
			if ($email <> "")
			{
				$if_email				= $email;
				$if_email_or_url			= $email;
				$if_email_as_link		= encoded_email($email,$email,"0");
				$if_email_as_name		= encoded_email($email,$name,"0");
				$if_url_or_email_as_name	= encoded_email($email,$name,"0");
				$if_email_or_url_as_name	= encoded_email($email,$name,"0");
				$if_email_or_url_as_link	= encoded_email($email,$email,"0");
                
				if ($url <> "")
				{
					$if_url_or_email_as_name =  "<a href=\"$url\" $target>$name</a>";
				}
			}
			else 
			{
				if ($url <> "")
				{
					$if_email_or_url  = $url;
					$if_email_or_url_as_name = "<a href=\"$url\" $target>$name</a>"; 
					$if_email_or_url_as_link = "<a href=\"$url\" $target>$turl</a>";
					$if_url_or_email_as_name = "<a href=\"$url\" $target>$name</a>";
				}
			}   
		}
		elseif ($show_email == 'no') 
		{
			if ($url <> "")
			{
				$if_email_or_url = "$url";
				$if_email_or_url_as_name = "<a href=\"$url\" $target>$name</a>"; 
				$if_email_or_url_as_link = "<a href=\"$url\" $target>$turl</a>";   
			} 
		} 

		$profile_link = "$memdir$profileviewpage$sfx?id=$id"; 
		
		// ----------------------------------------------------
		//  MODERATORS ADDITION
		// ----------------------------------------------------
     
		$avatar = '';  $moderation_level = 'Member';

		if (isset($forum_moderators[$id]['1']))
		{
			if ($forum_moderators[$id]['1'] != '')
			{
				$avatar = "<img src=\"{$forum_moderators[$id]['1']}\" alt=\"{$name}'s avatar\" />";
			}
		}
    
    		if (isset($forum_moderators[$id]['0']) && isset($moderator_levels[$forum_moderators[$id]['0']]))
		{
			$moderation_level = $moderator_levels[$forum_moderators[$id]['0']];
		}

		$altcolor = ($i % 2) ? $color_one : $color_two; $i++;

		if ($prev_blurb ==1)
		{
			$new_body = '<b>PREVIEW:</b><br /><br />'.$body;
			
			// ---------------------------------------------
			//  Pre tag overflow check
			// ---------------------------------------------
		
			$max_length = 100;  // Max Length of Pre Line
		
			if (preg_match_all("/\<pre\>(.+?)\<\/pre\>/si", $body, $matches))
			{
				for($i=0; $i < count($matches['0']); $i++)
				{
					$lines = preg_split("/\r\n|\r|\n/", $matches['1'][$i]);
				
					foreach($lines as $line)
					{
						if (strlen($line) > $max_length)
						{
							$new_body = '<b>NOTE: Lines within [code] or &lt;pre&gt; tags are longer than '."{$max_length} characters.  Post not submitted.".
									     '<br / ><br />PREVIEW :</b><br /><br />'.$body;
						}
					}
				}
			}
			
			$body = $new_body;
		}
		
		if (!isset($numentries))  $numentries = "";
		if (!isset($numcomments)) $numcomments = "";
		
		//if ($location != "") $location = "from ".$location."&nbsp; ";
		$swap = array(
			'%%name%%'					=> $name,
			'%%date%%'					=> $date,  
			'%%body%%'					=> $body,          
			'%%profile_link%%'				=> $profile_link,
			'%%location%%'					=> $location, 
			'%%url%%'					=> $url,                 
			'%%if_email%%'					=> $if_email,
			'%%if_email_or_url_as_name%%'	=> $if_email_or_url_as_name,
			'%%if_url_or_email_as_name%%'	=> $if_url_or_email_as_name,
			'%%if_url_as_name%%'			=> $if_url_as_name,  
			'%%if_email_as_name%%'			=> $if_email_as_name,  
			'%%if_email_as_link%%'			=> $if_email_as_link,  // DEPRECATED
			'%%if_email_or_url_as_link%%'		=> $if_email_or_url_as_link, // DEPRECATED
			'%%color_switch%%'				=> $altcolor,
			'%%member_total_entries%%'		=> $numentries,
			'%%member_total_comments%%'	=> $numcomments,
			'%%a%%'						=> date("a",$t_stamp),
			'%%A%%'						=> date("A",$t_stamp),
			'%%B%%'						=> date("B",$t_stamp),
			'%%d%%'						=> date("d",$t_stamp),
			'%%D%%'						=> date("D",$t_stamp),
			'%%F%%'						=> date("F",$t_stamp),
			'%%g%%'						=> date("g",$t_stamp),
			'%%G%%'						=> date("G",$t_stamp),
			'%%h%%'						=> date("h",$t_stamp),
			'%%H%%'						=> date("H",$t_stamp),
			'%%i%%'						=> date("i",$t_stamp),
			'%%I%%'						=> date("I",$t_stamp),
			'%%j%%'						=> date("j",$t_stamp),
			'%%l%%'						=> date("l",$t_stamp),
			'%%L%%'						=> date("L",$t_stamp),
			'%%m%%'						=> date("m",$t_stamp),
			'%%M%%'						=> date("M",$t_stamp),
			'%%n%%'						=> date("n",$t_stamp),
			'%%r%%'						=> date("r",$t_stamp),
			'%%s%%'						=> date("s",$t_stamp),
			'%%S%%'						=> date("S",$t_stamp),
			'%%t%%'						=> date("t",$t_stamp),
			'%%T%%'						=> date("T",$t_stamp),
			'%%U%%'						=> date("U",$t_stamp),
			'%%w%%'						=> date("w",$t_stamp),
			'%%Y%%'						=> date("Y",$t_stamp),
			'%%y%%'						=> date("y",$t_stamp),
			'%%z%%'						=> date("z",$t_stamp),
			'%%Z%%'						=> date("Z",$t_stamp),
			'%%avatar%%'					=> $avatar,
			'%%moderation_level%%'			=> $moderation_level
		);  
	
		$cblock = $comment_template;
		
		while(list($key,$value) = each($swap))
		{	
			$cblock = str_replace("$key","$value",$cblock);
		}
	
		$numentries = 0;
		$numcomments = 0;
		echo $cblock;
		echo $spacer;
	} 
	
	// NEXT/PREV NAVIGATION   

	if (!isset($per_page)) $per_page =0;
	if (!isset($total)) $total =0;

	$nextpage = $rowstart + $per_page;
	$prevpage = $rowstart - $per_page;
	$offset   = $total - $rowstart;
	
	$delim = '?id=';
    
	if ($url_rewriting == 1)
   	{
   		$delim = '/';
   		$comments_page = str_replace($sfx, '', $comments_page);
	}		

	if ($fromwhere == "archives") 
	{
		$backlink = "$path$comments_page{$delim}A{$postid}_{$prevpage}_{$catpage}_$catrow";
		$nextlink = "$path$comments_page{$delim}A{$postid}_{$nextpage}_{$catpage}_$catrow";
	}
	else 
	{
		$backlink = "$path$comments_page$delim{$postid}_{$prevpage}_{$catpage}_$catrow";
		$nextlink = "$path$comments_page$delim{$postid}_{$nextpage}_{$catpage}_$catrow";

		if ($entrycat == "") 
		{
			$backlink .= "_$entrycat";
			$nextlink .= "_$entrycat";
		}
	}

	if ($url_rewriting == 1) $backlink .= '/';
	if ($url_rewriting == 1) $nextlink .= '/';
	
	$nav = "";
	$blank = "";
    
	// NEXT LINK ONLY

	if (($rowstart == 0) && ($total > $per_page)) 
	{
		$next = $SHARED->get_template($tempcat,"190");
		$next = str_replace("%%next_url%%", $nextlink, $next);         
		$swap = array("%%comment_prev_page%%" => $blank,"%%comment_next_page%%" => $next);
		$nav = "show";     
	}

	// PREVIOUS LINK ONLY

	if (($total > $per_page) && ($offset <= $per_page)) 
	{
		$prev = $SHARED->get_template($tempcat,"180");
		$prev = str_replace("%%prev_url%%", $backlink, $prev);
		$swap = array("%%comment_prev_page%%" => $prev,"%%comment_next_page%%" => $blank);  
		$nav = "show";
	}
  
	// NEXT/PREVIOUS LINKS

	if (($rowstart > 0) && ($offset > $per_page)) 
	{
		$prev = $SHARED->get_template($tempcat,'180');
		$prev = str_replace('%%prev_url%%',$backlink,$prev);
       
		$next = $SHARED->get_template($tempcat,'190');
		$next = str_replace('%%next_url%%',$nextlink,$next);
     
		$swap = array('%%comment_prev_page%%' => $prev,"%%comment_next_page%%" => $next); 
		$nav = 'show';
	}
   
	if ($nav == 'show') 
	{
		$block = $SHARED->get_template($tempcat,"170");

		while(list($key,$value) = each($swap))
		{
			$block = str_replace("$key","$value",$block); 
		}
     
		echo "$block";        
	}
}   
	
// END
?>