<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//		HIT COUNTER
//	----------------------------------------------

function hit_counter($name="", $start="", $lzeros="", $type="", $imgtype="", $path="",$ret=0)  
{
    global $db_hit_counter, $DB, $SHARED;
 
    if ($name   == "" ) $name   = "hitcounter";
    if ($start  == "" ) $start  = $SHARED->get_pref("initial_count");
    if ($lzeros == "" ) $lzeros = $SHARED->get_pref("leading_zeros");
    if ($type   == "" ) $type   = $SHARED->get_pref("hit_counter_type"); 
    
    $zeros  = ""; 
    $hits = "";
    
	if ($start == "delete")
	{
		$delete = new DB_query($DB, "delete from $db_hit_counter where title = '".$DB->escape_str($name)."'"); 
		
		return false; 
	}    
        
              
    $query = new DB_query($DB, "select hit_count, hit_start from $db_hit_counter where title ='".$DB->escape_str($name)."'");
    
    if ($query->db_num_rows() == 0)
    {  
        
        if (($start == "" ) || (!eregi("^[[:digit:]]+$", $start))) 
             $start = 1;
                  
        $create = new DB_query($DB, "insert into $db_hit_counter (id,title,hit_count,hit_start) 
        							  values ('','".$DB->escape_str($name)."','".$DB->escape_str($start)."','".$DB->escape_str($start)."')");
        
        unset($create);
        unset($query);
        
		$query = new DB_query($DB, "select hit_count, hit_start from $db_hit_counter where title ='".$DB->escape_str($name)."'");
        $query->db_fetch_object();
        $hits = $query->obj->hit_count;
    }
    else
    {
        $query->db_fetch_object();
        
        $hits = $query->obj->hit_count;
             
        if ($query->obj->hit_start <> $start) 
        {
            $reset = new DB_query($DB, "UPDATE $db_hit_counter 
            							 SET hit_count = '".$DB->escape_str($start)."', 
            							 hit_start = '".$DB->escape_str($start)."' 
            							 WHERE title = '".$DB->escape_str($name)."'");
            
            $hits = $start;
            unset($reset);
        }
        
        unset($query);
    }
    
     
    if ($type == "graphic") 
    {
        if ($path == "") $path = $SHARED->get_pref("digit_directory","1");
        
        if ($imgtype == "") $imgtype = $SHARED->get_pref("digit_extension");
    
            for ($x = 0; $x < $lzeros; $x++)  
            {
                $zeros .= "<img src=\"$path"."0"."$imgtype\" border=\"0\" alt=\" \" />";
            }
    
            $c = "";

           for ($i = 0; $i < strlen($hits); $i++)  
           {
                $d = substr($hits,$i,1);
             	
                $c .= "<img src=\"$path$d[i]$imgtype\" border=\"0\" alt=\" \" />" ;
           } 

        if ($ret == 0)
            echo "$zeros$c";

    }
    else
    {  
        
        for ($x = 0; $x < $lzeros; $x++)  
        {
             $zeros .= "0";
        } 

        if ($ret == 0)
            echo "$zeros$hits";
    }
    
    $count = $hits +1;
   
    $update = new DB_query($DB, "update $db_hit_counter set hit_count = '$count' where title = '".$DB->escape_str($name)."'");
}
// END
?>