<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


//	----------------------------------------------
//		HOME PAGE LINK
//	----------------------------------------------

function homepage_link() 
{
	global $SHARED;
	
    $siteurl  = stripslashes($SHARED->get_pref("siteurl"));
    $sitename = stripslashes($SHARED->get_pref("sitename"));

    echo "<a href=\"$siteurl\">$sitename</a>";
}
// END



//	----------------------------------------------
//		WEBLOG LINK
//	----------------------------------------------

function weblog_link($weblog="", $name="")
{
	global $SHARED;
	
    if ($weblog == '')
    {
        $weblog = "weblog";
    }
    
    $path = $SHARED->get_pref("pages_path_abs_$weblog","1");
    $page = $SHARED->get_pref("{$weblog}_page");
	
	if($name == '')
	{
		$name =& $weblog;
	}
	
	echo "<a href=\"$path"."$page \">$name</a>";
} 
// END




//	----------------------------------------------
//		"IF FIELD" EXISTS LINK
//	----------------------------------------------

function if_field_link($id="",$field="",$page="",$label="") 
{ 
    global $db_multiweblogs, $db_weblog, $url_rewriting, $sfx, $DB;
    
    if ($id == "" AND $field == "" AND $page == "" AND $labed == "")
        return false;
    
    if (substr($id, 0, 1) == "X")
    {
        $id = substr($id,1);
    }
		$x = explode("_",$id);
		$postid = $x['0'];

    if ((substr($id, 0, 1) == "A") ||
        (substr($id, 0, 1) == "M") ||
        (substr($id, 0, 1) == "D"))
    {
        $postid = substr($postid, 1);
	}
	
	if (!isset($x['1']) || !isset($x['2']) || !isset($x['3']))
		return false;
        
        $q = "select count(*) as count from $db_weblog where post_id = '".$DB->escape_str($postid)."' and $field !=''";
        
        $query = new DB_query($DB, $q);
        $query->db_fetch_object();

        if ($query->obj->count == 0)
        	return false;
        
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $page = str_replace($sfx, '', $page);
        }

        $link = $page.$delim.$x['0'].'_'.$x['1'].'_'.$x['2'].'_'.$x['3'];
    
        if ($url_rewriting == 1)
            $link .= '/';

?>
<a href="<?php echo $link; ?>"><?php echo $label; ?></a>
<?php
}	
// END



//	----------------------------------------------
//		BACK TO WEBLOG/ARCHIVE LINK
//	----------------------------------------------

function return_to_weblog_or_archives_link($id="") 
{ 
    global $db_multiweblogs, $db_weblog, $url_rewriting, $sfx, $DB;
    global $SHARED;
    
    if ($id == "")
        return false;
    
    if (substr($id, 0, 1) == "X")
    {
        $id = substr($id,1);
    }
        
        $x = explode("_",$id);
        
    	if (!isset($x['1']) || !isset($x['2']) || !isset($x['3']))
		return false;

        $pageid = $x[1];
        $blogid = $x[2];
        $catrow = $x['3'];
        $catid  = "";
        
        if (isset($x['4']))
        {
            if (substr($x['4'],1) <> "")
            {
                $catid = substr($x['4'],1);  
            }
            else
            {
                $catid = ""; 
            }
        }

    if ((substr($id, 0, 1) == "A") ||
        (substr($id, 0, 1) == "M") ||
        (substr($id, 0, 1) == "P") ||
        (substr($id, 0, 1) == "D"))
    {
        $postid = substr($x['0'], 1);
        
        $q = "select weblog,month,year,day from $db_weblog where post_id = '".$DB->escape_str($postid)."'";
        $query = new DB_query($DB, $q);
        $query->db_fetch_object();

        $weblog = $query->obj->weblog;

        $template = $SHARED->get_pref("{$weblog}_templategroup");            
    }

    if (substr($id, 0, 1) == "A")
    {     
        $rpage = $SHARED->get_pref("archive_page_$weblog");
        $delim = '?id=';
    
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $rpage = str_replace($sfx, '', $rpage);
        }
    
        $link = $rpage . $delim."A". $query->obj->year . $query->obj->month . $blogid;   
        
        if ($url_rewriting == 1)
            $link .= '/';
        
        $block = $SHARED->get_template($template,"240");
    } 
    elseif (substr($id, 0, 1) == "M")
    { 
        $rpage = $SHARED->get_pref("{$weblog}_page");
        $delim = '?id=';

        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $rpage = str_replace($sfx, '', $rpage);
        }
    
        $link = $rpage. $delim."M". $query->obj->year . $query->obj->month;   

        if ($url_rewriting == 1)
            $link .= '/';
                
        $block = $SHARED->get_template($template,"230");
    } 
    elseif (substr($id, 0, 1) == "P")
    {      
        $rpage = $SHARED->get_pref("{$weblog}_page");
        $delim = '?id=';

        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $rpage = str_replace($sfx, '', $rpage);
        }
                  
        $link = $rpage. $delim.$pageid;   
        
        if ($url_rewriting == 1)
            $link .= '/';
        
        $block = $SHARED->get_template($template,"230");
    } 
    elseif (substr($id, 0, 1) == "D")
    { 
        $rpage = $SHARED->get_pref("{$weblog}_page");
        $delim = '?id=';


        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $rpage = str_replace($sfx, '', $rpage);
        }
       
        $link = $rpage . $delim."D". $query->obj->year . $query->obj->month . $query->obj->day;   

        if ($url_rewriting == 1)
            $link .= '/';

        $block = $SHARED->get_template($template,"230");    
    } 
    else 
    {
        $q = "select id,weblog from $db_multiweblogs where id = '".$DB->escape_str($blogid)."'";
        $query = new DB_query($DB, $q);
        $query->db_fetch_object();
        $weblog = $query->obj->weblog;

        $template = $SHARED->get_pref($query->obj->weblog ."_templategroup");
        
        $rpage = $SHARED->get_pref($query->obj->weblog ."_page");
  
        $delim = '?id=';

        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $rpage = str_replace($sfx, '', $rpage);
        }
       
        if ($catid <> "")
        {
            $link = $rpage.$delim."C".$catrow."_".$catid."_".$query->obj->id;
        }
        else 
        {
            $link = $rpage.$delim.$catrow;
        }
        if ($url_rewriting == 1)
            $link .= '/';
                  
        $block = $SHARED->get_template($template,"230");
    }
    
    $wpath = $SHARED->get_pref("pages_path_abs_".$weblog);
		
    if (!ereg('/$',$wpath)) 
			$wpath .= "/";
			
    $link = $wpath.$link;
			
    $swap = array("%%return_to_weblog_or_archive_url%%" => $link);
    
    while(list($key,$value) = each($swap)) 
    {
        $block = str_replace("$key","$value",$block); 
    }
 
 echo $block;
}	
// END




//	---------------------------------------------
//		NEXT ENTRY LINK
//	---------------------------------------------

function next_weblog_entry($id, $name="") 
{	
    global $db_weblog, $db_multiweblogs, $url_rewriting, $sfx, $DB;
    global $SHARED;
  
        $prefix = "";
        $catid  = "";

    if (substr($id, 0, 1) == "X")
    {
        $id = substr($id,1);
    }

        $x = explode("_",$id);
        
     	if (!isset($x['1']) || !isset($x['2']) || !isset($x['3']))
		return false;
		
        $postid   = $x[0];
        $rowstart = $x[1];
        $catpage  = $x[2];
        $catrow   = $x[3];

    if (substr($postid, 0, 1) == "A") 
    {
        $postid = substr($postid, 1);
        $catrow = "0";
        $prefix = "A";
    }
    elseif (substr($postid, 0, 1) == "M") 
    {
        $prefix = "M";
        $postid = substr($postid,1);
    } 
    elseif (substr($id, 0, 1) == "D") 
    {
        $prefix = "D";
        $postid = substr($postid,1);     
    }        
    elseif (substr($postid, 0, 1) == "P") 
    {
        $postid = substr($postid, 1);
    }
    
    if (isset($x['4']))
        $catid = substr($x['4'],1);
        
     $newtime = $SHARED->get_offset_time();
    
    $sql = "select weblog from $db_multiweblogs where id = '".$DB->escape_str($catpage)."'";  
    $query = new DB_query($DB, $sql);  
    $query->db_fetch_object();
    $weblog = $query->obj->weblog;

    $html_display  = $SHARED->get_pref("html_display_options_$weblog");
    $comments_page = $SHARED->get_pref("comments_page_$weblog");
    $pagespath     = $SHARED->get_pref("pages_path_abs_$weblog","1");
    
    $sql = "select t_stamp from $db_weblog where post_id = '".$DB->escape_str($postid)."'"; 
    $query = new DB_query($DB, $sql);  
    
    if ($query->db_num_rows() == 0)
    {
    	return false;
    }
    
    $query->db_fetch_object();
    $curtstamp = $query->obj->t_stamp;
    
    unset($sql);
    unset($query);

    $sql = "select title, post_id from $db_weblog 
            where weblog = '$weblog' 
            and preview != '1' 
            and status = 'open' 
            and t_stamp > '$curtstamp' 
            and t_stamp < '$newtime' 
            and x_stamp >= '$newtime' 
            order by t_stamp asc  limit 1";  
            
    $query = new DB_query($DB, $sql);  


    if ($query->db_num_rows() == 0) 
    {
    
 		return false;
	/*
		// LOOP FEATURE
	
        unset($sql);
        unset($query);
    
        $sql = "select title, post_id from $db_weblog 
                where weblog = '$weblog' 
                and preview != '1' 
                and x_stamp >= '$newtime' 
                and status = 'open' order by t_stamp asc limit 0,1"; 
                
        $query = new DB_query($DB, $sql);
      */
    }
   
    $query->db_fetch_object();
        
    $title  = $query->obj->title;
    $postid = $query->obj->post_id;

    if (get_magic_quotes_runtime())
        $title = stripslashes($title);

    if ($html_display == "convert_html")
        $title = pmcode_remove_tags($title);
        
        $title = pmcode_decode($title,"yes");
            
    if ($name <> "")
        $title = $name;
        
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $comments_page = str_replace($sfx, '', $comments_page);
        }

    $link = $pagespath.$comments_page.$delim.$prefix.$postid.'_'.$rowstart.'_'.$catpage.'_'.$catrow.'_C'.$catid;

    if ($url_rewriting == 1)
        $link .= '/';
        
 echo "<a href=\"$link\">$title</a>";
}
// END


//	---------------------------------------------
//		PREVIOUS ENTRY LINK
//	---------------------------------------------

function previous_weblog_entry($id,$name="") 
{	
	global $db_weblog, $db_multiweblogs, $url_rewriting, $sfx, $DB;
	global $SHARED;
  
        $prefix = '';
        $catid  = '';
              
    if (substr($id, 0, 1) == 'X')
    {
        $id = substr($id,1);
    }
              
        $x = explode("_",$id);
        
    	if (!isset($x['1']) || !isset($x['2']) || !isset($x['3']))
		return false;
		
        $postid   = $x[0];
        $rowstart = $x[1];
        $catpage  = $x[2];
        $catrow   = $x[3];

    if (substr($postid, 0, 1)=="A") 
    {
        $postid   = substr($postid, 1);
        $catrow   = "0";
        $prefix = "A";
    }
    elseif (substr($postid, 0, 1) == "M") 
    {
        $prefix = "M";
        $postid = substr($postid,1);
    } 
    elseif (substr($id, 0, 1) == "D") 
    {
        $prefix = "D";
        $postid = substr($postid,1);     
    }        
    elseif (substr($postid, 0, 1) == "P") 
    {
        $postid = substr($postid, 1);
    }

    if (isset($x['4']))
        $catid = substr($x['4'],1);
 
 	$newtime = $SHARED->get_offset_time();
    
    $sql = "select weblog from $db_multiweblogs where id = '".$DB->escape_str($catpage)."'";  
    $query = new DB_query($DB, $sql);  
    $query->db_fetch_object();
    $weblog = $query->obj->weblog;
    
    unset($sql);
    unset($query);

    $html_display  = $SHARED->get_pref("html_display_options_$weblog");
    $comments_page = $SHARED->get_pref("comments_page_$weblog");
    $pagespath     = $SHARED->get_pref("pages_path_abs_$weblog","1");
        
    $sql = "select t_stamp from $db_weblog where post_id = '".$DB->escape_str($postid)."'"; 
    $query = new DB_query($DB, $sql);  
    $query->db_fetch_object();
    
    if ($query->db_num_rows() == 0)
    {
    	return false;
    }
    
    $curtstamp = $query->obj->t_stamp;
        
    unset($sql);
    unset($query);

        
    $sql = "select title, post_id from $db_weblog where weblog = '$weblog' 
            and preview != '1' 
            and status = 'open' 
            and t_stamp < '$curtstamp' 
            and t_stamp < '$newtime' 
            and x_stamp >= '$newtime' 
            order by t_stamp desc  limit 1"; 
            
    $query = new DB_query($DB, $sql);  
    
    if ($query->db_num_rows() == 0) 
    {
    	return false;

	/*
		// LOOP FEATURE
   
        unset($sql);
        unset($query);
        
        $sql = "select title, post_id from $db_weblog 
                where weblog = '$weblog' 
                and preview != '1' 
                and status = 'open' 
                and x_stamp >= '$newtime' 
                order by t_stamp desc limit 1 "; 
                
        $query = new DB_query($DB, $sql);  
      
      */
    }

    $query->db_fetch_object();
        
    $title  = $query->obj->title;
    $postid = $query->obj->post_id;

    if (get_magic_quotes_runtime())
        $title = stripslashes($title);

    if ($html_display == "convert_html")
        $title = pmcode_remove_tags($title);
        
        $title = pmcode_decode($title,"yes");

    if ($name <> "")
        $title = $name;
        
        
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $comments_page = str_replace($sfx, '', $comments_page);
        }

    $link = $pagespath.$comments_page.$delim.$prefix.$postid.'_'.$rowstart.'_'.$catpage.'_'.$catrow.'_C'.$catid;

    if ($url_rewriting == 1)
        $link .= '/';
        
 echo "<a href=\"$link\">$title</a>";
        
}
// END
?>