<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//


// ----------------------------------------------
//  ADD/REMOVE EMAIL FROM MAINLING LIST DATABASE
// ----------------------------------------------

function add_remove_from_mailinglists($rem="", $email="") 
{    
    global $db_mailinglist, $mail_messagespage, $sfx, $DB;
    global $SHARED;
    
    $maildir = $SHARED->get_pref("maildir","1");
    
    if ($email == '' AND $rem != '')
    {
    	$email = $rem;
    }
    
    $email =& trim(strip_tags($email));
    
    if ($email == '' OR !valid_email($email))
    {
        return header("location:$maildir$mail_messagespage$sfx?m=115");
    }
    
    
    if ($rem == '') 
    {
        $query = new DB_query($DB, "select count(*) as count from $db_mailinglist where email='".$DB->escape_str($email)."' and `default` = 'yes'");
        $query->db_fetch_object();
                    
		if ($query->obj->count > 0)
		{
			return header("location:$maildir$mail_messagespage$sfx?m=116");
		}
		
        $query = new DB_query($DB, "insert into $db_mailinglist (id,email,`default`) values ('', '$email','yes')" , "0");
        
		if ($query->result)
		{
			return header("location:$maildir$mail_messagespage$sfx?m=117");
		}         
    }
    else
    {        
        $query = new DB_query($DB, "select count(*) as count from $db_mailinglist where email = '".$DB->escape_str($email)."'");
        
        $query->db_fetch_object();
                    
        if ($query->obj->count == 0)
        {
            return header("location:$maildir$mail_messagespage$sfx?m=119");
        }
            
        unset($sql);
        unset($count);    
             
        $sql = "delete from $db_mailinglist where email='$email'"; 
          
        $query = new DB_query($DB, $sql, "0");

    if ($query->result)            
        return header("location:$maildir$mail_messagespage$sfx?m=118");
    else 
        return header("location:$maildir$mail_messagespage$sfx?m=120");
  }
}
// END



//	----------------------------------------------
//		MAILING LIST FORM
//	----------------------------------------------

function mailinglist_form() 
{
    global $mailmanager, $sfx, $SHARED;
  
	$maildir = $SHARED->get_pref("maildir","1"); 

 	echo "<form method=\"post\" action=\"$maildir$mailmanager$sfx?p=mlist\">\r\n";
  
	echo $SHARED->get_template("email","30");
	echo "</form>\r\n";
}
// END



//	----------------------------------------------
//		ADD/REMOVE FROM SPECIFIC MAILING LIST
//	----------------------------------------------

function add_remove_from_mailinglist($mlst='', $email='', $rem='') 
{    
    global $db_mailinglist, $mail_messagespage, $sfx;
    global $db_pref_group, $DB, $SHARED;
    
    $maildir = $SHARED->get_pref("maildir","1");
    
    if ($email == '' AND $rem != '')
    {
    	$email = $rem;
    }
    
    $email = trim(strip_tags($email));
    
    if ($email == '' OR !valid_email($email)) 
    {
        return header("location:$maildir$mail_messagespage$sfx?m=115");
    }
	
	if ($mlst == '')
	{
		return header("location:$maildir$mail_messagespage$sfx?m=120");
	}
	
	$query = new DB_query($DB, "select count(*) as count from $db_pref_group where name='mailinglist_".$DB->escape_str($mlst)."'");
	$query->db_fetch_object();
	
	if ($query->obj->count == 0)
	{
		return header("location:$maildir$mail_messagespage$sfx?m=120");
	}
	

    if ($rem == '') 
    {
    	//  See if email is in there and subscribed, if not continue.
        $sql = "select count(*) as count from $db_mailinglist where email='$email' and `$mlst` = 'yes'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
                    
        if ($query->obj->count > 0)
        {
        	return header("location:$maildir$mail_messagespage$sfx?m=153");
        }  
        
        //  See if email is in there, if so, then it is an update.
    	// If not, then a new entry.
    	$sql = "select count(*) as count from $db_mailinglist where email='$email'";
        $query = new DB_query($DB, $sql);
        $query->db_fetch_object();
        
        if ($query->obj->count > 0)
        {
        	$sql = "update $db_mailinglist set `$mlst` = 'yes' where email = '$email'";
        }
        else
        {
        	$sql = "insert into $db_mailinglist (id,email,`$mlst`) values ('', '$email','yes')";
        }
        
        $query = new DB_query($DB, $sql , "0");
        
        if ($query->result) 
            return header("location:$maildir$mail_messagespage$sfx?m=117");
    }
    else
    {    
    	// Check to see if they are subscribed, if so unsubscribe them.
        $sql = "select count(*) as count from $db_mailinglist where email = '$email' and `$mlst` = 'yes'";
        
        $query = new DB_query($DB, $sql);
        
        $query->db_fetch_object();
                    
        if ($query->obj->count == 0)
            return header("location:$maildir$mail_messagespage$sfx?m=119");
            
        unset($sql);
        unset($count);    
             
        $sql = "update $db_mailinglist set `$mlst` = 'no' where email='$email'"; 
          
        $query = new DB_query($DB, $sql, "0");

    if ($query->result)            
        return header("location:$maildir$mail_messagespage$sfx?m=152");
    else 
        return header("location:$maildir$mail_messagespage$sfx?m=120");
  }
}
// END



//	------------------------------------------------------
//		MAILING LIST SUBSCRIBE/UNSUBSCRIBE FORM
//	------------------------------------------------------

/* Right here */

function mailinglist_subscribe_form($mlst="",$template="") 
{ 
    global $member_name, $member_code;
    global $db_members, $db_mailinglist;
    global $sfx, $db_prefs, $mailmanager, $DB, $SHARED;
    
    if ($mlst == '') return mail_messages(155);
    
    $maildir = $SHARED->get_pref("maildir","1");    
    
    $sql = "select pm_option from $db_prefs where pm_option = 'mailinglist_public_".$DB->escape_str($mlst)."' and pm_value = 'no'";
	$query = new DB_query($DB, $sql); 
	if ($query->db_num_rows() > 0) return mail_messages(156);
	unset($sql);
	unset($query);
    
	
	$result = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'mailinglist_name_$mlst'"); 
    $result->db_fetch_object();
    $mailinglistname = $result->obj->pm_value;
    unset($result);
 
    if ((isset($member_name)) && (isset($member_code))) 
    { 
    
    $sql = "select email from $db_members where member_id = '".addslashes($member_code)."'";
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $user_email = stripslashes($query->obj->email);
    
    
   
    //  This is a bit of error checking that I am not sure if it is necessary.  
    //  Basically, if the member_name and member_code are incorrect, or if 
    //  there is no email in the member db table for them we show the default 
    //  form without entering in the email address.
    if ($query->db_num_rows() == 0) {
    	$user_email = "";
    }
    else {
    	// If they are already subscribed this mailing list, then we will not automatically put in their email address.
    	$sql = "select count(*) as count from $db_mailinglist where email = '$user_email' and `$mlst` = 'yes'";
    	$query = new DB_query($DB, $sql);
    	$query->db_fetch_object();
    	if ($query->obj->count > 0) $user_email = "";
    	}
    }
  else 
    {    
    $user_email = "";
    }
	
   unset($sql);
   unset($query);  	
   
   if($template == '')   
   $block = '<input name="mlst" type="hidden" value="%%mlst%%" />
	<input name="email" type="text" value="%%user_email%%" size=\"25\" />
    <input type="submit" name="Submit" value="Subscribe" />';
    else
    	$block = $template;
	
	$block = str_replace("%%mlst%%",$mlst,$block);
	$block = str_replace("%%user_email%%",$user_email,$block);
	$block = str_replace("%%mailinglistname%%",$mailinglistname,$block);
	
	echo "<form action=\"$maildir$mailmanager$sfx?p=subscr\" method=\"post\">";

	echo $block;
	echo "</form>";
	 
	 
	 
}
// END 

//	----------------------------------------------
//		MAIL MESSAGE GENERATOR
//	----------------------------------------------

function mail_messages($m,$i="",$e="") 
{
    global $pm_path, $activatepage, $backlink, $homelink;
    global $language, $L_MESSAGE, $sfx, $SHARED;

    $un_min_length = $SHARED->get_pref("un_min_length");
    $pw_min_length = $SHARED->get_pref("pw_min_length");
    $site_name     = $SHARED->get_pref("sitename");
    $site_url      = $SHARED->get_pref("siteurl");
    
    include ("{$pm_path}language/{$language}/messages{$sfx}");

    if (($m) && (eregi("^[[:digit:]]+$", $m)))
    {
        echo stripslashes($L_MESSAGE["$m"]);
    }
    else 
    {
        echo stripslashes($L_MESSAGE["60"]);
    }
}
// END


//	------------------------------------------------------
//		ALL PUBLIC MAILING LISTS UN/SUBSCRIBE MENU
//	------------------------------------------------------

/* Right here */

function mailinglist_subscribe_menu($header="",$results="",$footer="") 
{ 
    global $member_name, $member_code;
    global $db_members, $db_mailinglist, $db_prefs;
    global $mailmanager, $sfx, $DB, $SHARED;

	$maildir = $SHARED->get_pref("maildir","1");
    
    $user_email="";
	
	// Create array of Publicly Available Mailing Lists
 	$query = new DB_query($DB, "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_public_%') and pm_value = 'yes' order by pm_option");  
 	if ($query->db_num_rows() == 0) return mail_messages(160);
 	
	$i = 0;
	while($query->db_fetch_array())
	{
		$m_name = $query->row['pm_option'];
		$mlsts[$i] = substr($m_name, 19);
		$i++;	
	}
	
    //  Begin HEADER area
    ?>
    <form method="post" action="<?php echo "$maildir$mailmanager$sfx?p=update_subscr"; ?>">
 	<?php
 		
 	if($header == '')
 	$block = '

<table cellpadding="4" cellspacing="1" border="0" width="40%">
<tr>
<th>Mailing Lists</th>
<th>Subscription status</th>

</tr>';
 	else
    	$block = $header;
 	
 	echo $block;
 	unset($block);

	//
	// End HEADER area, begin RESULTS area 	
	//

	// If logged in member and email is in mailing list db, then user_email is set and we display user's subscription settings.
	if ((isset($member_name)) && (isset($member_code))) 
    { 		
    	$query = new DB_query($DB, "select email from $db_members where member_id = '".$DB->escape_str($member_code)."'"); 
    	$query->db_fetch_object();
 		$user_email = $query->obj->email;
    	 	
    	$sql = "select * from $db_mailinglist where email = '$user_email'";
    	$query = new DB_query($DB, $sql); 
    	
    	if ($query->db_num_rows() == 0) $user_email = ''; 
	}

if($user_email != '')
{
	$i=0;
	
	while($query->db_fetch_array())
    {
 	 	$total = count($mlsts);
  		for($i=0; $i<$total; $i++)
 	 	{	
 	 		$name = $mlsts[$i];
 	 		$sql = "select pm_value from $db_prefs where pm_option = 'mailinglist_name_$name'";
			$result = new DB_query($DB, $sql); 
    	 	$result->db_fetch_object();
    	    $mailinglistname = $result->obj->pm_value;
    	    unset($sql);
    	    unset($result);
   	 	    		
 	 		$sel1 = ""; $sel2 = "";
 	 		$notify = $query->row[$name];
     		$notify == "yes" ? $sel1 = "selected=\"selected\"" : $sel2 = "selected=\"selected\"";
     		$field_name = "$name";
     		$swap = array(  "%%mailinglistname%%"      	=> $mailinglistname,
					"%%mail_yes%%"  					=> $sel1,
					"%%mail_no%%"       				=> $sel2,


            		"%%field_name%%"	  				=> $field_name
					);
	
		if($results == '')
			$block = '<tr>
    		<td>%%mailinglistname%%</td>
    		<td>
     		<select name="%%field_name%%" class="smpulldown">
			<option value="yes" %%mail_yes%%>yes</option>
			<option value="no" %%mail_no%%>no</option>
			</select>
			</td>
			</tr>';
    	else
    		$block = $results;
  
    
    	while(list($key,$value) = each($swap))
    	   $block = str_replace("$key","$value",$block); 
    
    	echo $block;
    	unset($block);
			
		}
  	  }
  	}
  	else 
    { 
    	$user_email = "";
   		$total = count($mlsts);
  		for($i=0; $i<$total; $i++)
 	 	{	
 	 		
 	 		$name = $mlsts[$i];
 	 		$sql = "select pm_value from $db_prefs where pm_option = 'mailinglist_name_$name'";
			$result = new DB_query($DB, $sql); 
    	 	$result->db_fetch_object();
    	    $mailinglistname = $result->obj->pm_value;
    	    
    	    
    	    unset($sql);
    	    unset($result);
   	 	    
     		$field_name = "$name";
     		
     		$swap = array(  "%%mailinglistname%%"      	=> $mailinglistname,
            		"%%field_name%%"	  				=> $field_name
					);
	    
		if($results == '')
			$block = '<tr>
    		<td>%%mailinglistname%%  </b></div>
    		</td>
    		<td>
     		<select name="%%field_name%%" class="smpulldown">
			<option value="yes">yes</option>
			<option value="no" selected="selected">no</option>
			</select>
			</td>
			</tr>';
    	else
    		$block = $results;
  
    
    	while(list($key,$value) = each($swap))
    	   $block = str_replace("$key","$value",$block); 
    
    	echo $block;
    	unset($block);
			
		}
		      
  } 
//
// Begin footer area
 	if($footer == '')
 	$block = '</table><br /> 
 	Your email: <input name="email" type="text" value="%%user_email%%" size="30" />   
    <br /><br />
    <input type="submit" value="SUBMIT" class="button">';
 	else
    	$block = $footer;
 	
 	$block = str_replace("%%user_email%%",$user_email,$block);
 	echo $block;
?>    
    </form>
    
<?php
    unset($sql);
    unset($query);        
    

}
// END 


//	----------------------------------------------
//		SENDS EMAIL TO USER WITH THEIR EMAIL SUBSCRIPTIONS
//	----------------------------------------------

function subscription_reminder_form($template="") 
{
    global $member_name, $member_code;
    global $db_members, $db_mailinglist;
    global $sfx, $db_prefs, $mailmanager, $DB, $SHARED;
    
     $maildir = $SHARED->get_pref("maildir","1");
     
    if ((isset($member_name)) && (isset($member_code))) 
    {     
    	$query = new DB_query($DB, "select email from $db_members where member_id = '".$DB->escape_str($member_code)."'");
    	$query->db_fetch_object();
    	
    	if ($query->db_num_rows() == 0) 
    	{
    		$user_email = "";
    	}
    	else
    	{
    		$user_email = stripslashes($query->obj->email);
    	}
    	
    //  This is a bit of error checking that I am not sure if it is necessary.  
    //  Basically, if the member_name and member_code are incorrect, or if 
    //  there is no email in the member db table for them we show the default 
    //  form without entering in the email address.
    
    
    }
  else 
    {    
    $user_email = "";
	}
	
   unset($sql);
   unset($query);  
   if($template == '')
	$block = '
	<input name="email" type="text" value="%%user_email%%" size="25" /><br />
   	<input type="submit" name="Submit" value="Submit" />';
   	else
   		$block = $template;
    	
   	$block = str_replace("%%user_email%%",$user_email,$block); 
	
	echo "<form action=\"$maildir$mailmanager$sfx?p=remind\" method=\"post\">";
		
	echo $block;
	echo "</form>";
    
    
}
// END

//	----------------------------------------------
//		SENDS EMAIL TO USER WITH THEIR EMAIL SUBSCRIPTIONS
//	----------------------------------------------

function send_reminder($email="") 
{
    global $db_mailinglist, $db_prefs, $mail_messagespage;
    global $sfx, $pm_path, $language, $DB, $SHARED;
    
    include ("{$pm_path}language/{$language}/main{$sfx}");
    $adminemail = $SHARED->get_pref("adminemail");
    $sitename   = $SHARED->get_pref("sitename");
    $maildir = $SHARED->get_pref("maildir","1");
    $mbody = "";
    
    $email = trim(stripslashes($email));
    
    if($email == '' OR !valid_email($email))
    {
    	return header("location:$maildir$mail_messagespage$sfx?m=115");
    }
    
    $sql = "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_public_%') and pm_value = 'yes' order by pm_option";

	$query = new DB_query($DB, $sql);  
	$i = 0;
	
	while($query->db_fetch_array())
	{
		$m_name = $query->row['pm_option'];
		$mlsts[$i] = substr($m_name, 19);
		$i++;	
	}
	
	unset($sql);
	unset($query);
            
	$query = new DB_query($DB, "select * from $db_mailinglist where email = '".$DB->escape_str($email)."'"); 
	
	if ($query->db_num_rows() == 0)
	{
    	return header("location:$maildir$mail_messagespage$sfx?m=119");
 	}
	
	while($query->db_fetch_array())
    {
   		$total = count($mlsts);
  		for($i=0; $i<$total; $i++)
 	 	{	
 	 		$name = $mlsts[$i];
 	 		$sql = "select pm_value from $db_prefs where pm_option = 'mailinglist_name_$name'";
			$result = new DB_query($DB, $sql); 
    	 	$result->db_fetch_object();
    	    $mailinglistname = $result->obj->pm_value;
    	    unset($sql);
    	    unset($result);
   	 	   		
 	 		$notify = $query->row[$name];
     		if($notify == "yes") {
     		$mbody .=  $L_POSTOFFICE["655"].$mailinglistname." \r\n";
			}
		}
   
  	  }
  	  $to = $email;
  	  $subject = $L_POSTOFFICE["645"];
  	  $mbody = $L_POSTOFFICE["650"].$sitename.":\r\n\r\n".$mbody;
  	  $error =0;
	
	$email = new Email();
	
	$email->from($adminemail);	
		$email->to($to); 
		$email->subject($subject);	
		$email->message($mbody);
	
		if (!$email->Send())
		$error =1;
		
		$email->initialize();
	

    if ($error ==0)
    {
        return header("location:$maildir$mail_messagespage$sfx?m=157"); 
    } 
    else 
    {   
        return header("location:$maildir$mail_messagespage$sfx?m=158"); 
    }  
	
   
}
// END

//	----------------------------------------------
//		MAIL ARCHIVE MENU GENERATOR
//	----------------------------------------------

function mail_archive_menu($mlst, $options="", $template="") 
{
	global $db_pref_group, $db_prefs, $db_mailcache, $DB;
	global $sfx, $pm_path, $language, $mailings_archivespage;
	global $SHARED;
	
	$maildir = $SHARED->get_pref("maildir","1");
    
    include ("{$pm_path}language/{$language}/main{$sfx}");
	
	// Let's find out what mailing lists to display in our menu
	if($mlst == '') return mail_archive_menu("all", "date");
	if($options == '') return mail_archive_menu($mlst, "date");
	
	if ($mlst != '') 
	{
        if (substr($mlst, 0, 4) == "not ") 
        {
            $nolists = split(" ", trim($mlst));
            $whichmlst = "where (pm_option LIKE 'mailinglist_name_%') and (pm_option != 'mailinglist_name_$nolists[1]'";
 			
 			for ($i=2; $i<sizeof($nolists); $i++)
 			{ 
 				  $whichmlst .= " and pm_option != 'mailinglist_name_$nolists[$i]'";
 			}
 			
 			$whichmlst .= ")";
			$sql = "select pm_option from $db_prefs $whichmlst order by pm_option";

			$query = new DB_query($DB, $sql);
			
			if ($query->db_num_rows() == 0)
			{
				return mail_messages(159);
			}
			
			$i=0;
			while($query->db_fetch_array())
			{
				$m_name = $query->row['pm_option'];
				$mailinglists[$i] = substr($m_name, 17);
				$i++;	
			}
        }
        elseif($mlst == "public")
        {
        	$sql = "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_public_%') and pm_value = 'yes' order by pm_option";
        	$query = new DB_query($DB, $sql);
        	
        	if ($query->db_num_rows() == 0)
        	{
        		return mail_messages(159);
        	}
        	
        	$i=0;
			while($query->db_fetch_array())
			{
				$m_name = $query->row['pm_option'];
				$mailinglists[$i] = substr($m_name, 19);
				$i++;	
			}
		}
        elseif($mlst == "private")
        {
        $sql = "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_public_%') and pm_value = 'no' order by pm_option";
        	$query = new DB_query($DB, $sql);
        	if ($query->db_num_rows() == 0) return mail_messages(159);
        	$i = 0;
			while($query->db_fetch_array())
			{
				$m_name = $query->row['pm_option'];
				$mailinglists[$i] = substr($m_name, 19);
				$i++;	
			}
        }
        elseif($mlst == "all") {
        $sql = "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_public_%') order by pm_option";
        	$query = new DB_query($DB, $sql);
        	if ($query->db_num_rows() == 0) return mail_messages(159);        	
        	$i=0;
			while($query->db_fetch_array())
			{
				$m_name = $query->row['pm_option'];
				$mailinglists[$i] = substr($m_name, 19);
				$i++;	
			}
        
        }
        else 
        {
            $mailinglists = split(" ", trim($mlst));
 		}
    }
    
 unset($sql);
 unset($query);
 
?>
 
 <form method="post" action="<?php echo $maildir.$mailings_archivespage.$sfx; ?>" name="mlst_menu">
<input type="hidden" name="template" value='<?php echo $template; ?>'>
<?php

 	// First we take the list of the mailing lists and make 
 	// a little menu out of it, using their "nicknames", of course.
 	
 	$whichmlst = "where pm_option = 'mailinglist_name_$mailinglists[0]'";
 	
 	for ($i=1; $i<sizeof($mailinglists); $i++)
 	{ 
 		$whichmlst .= " or pm_option = 'mailinglist_name_$mailinglists[$i]'";
 	}
 	
	$sql = "select pm_option, pm_value from $db_prefs $whichmlst order by pm_option";
	$query = new DB_query($DB, $sql);
	
	echo "<select name=\"mlst\" class=\"pulldown\">\n
	 <option value=\"\">".$L_POSTOFFICE["660"]."</option>\n
	 <option value=\"all\">".$L_POSTOFFICE["665"]."</option>\n";
	while($query->db_fetch_array())
		{
			$nickname = $query->row['pm_value'];
			$m_name = $query->row['pm_option'];
			$x = explode("_", $m_name);
			$name = $x['2'];
			echo "<option value=\"$name\">$nickname</option>\n";		
		}
 	echo "</select>";
 	
 	// Next we find out what other options for select they want.
 	
 	if($options != '') {
 		
 		if(eregi("author", $options)) {
 		$authors = ""; 	
 		$query = new DB_query($DB, "select data from $db_mailcache"); 
 			while($query->db_fetch_array()) {
 			  $maildata = unserialize(stripslashes($query->row['data']));
 			  $from = $maildata['from'];
 			
 				if (!eregi($from, $authors)) {
 				  $authors .= "$from "; 		
 				}
 			}
 			if($authors != '') {
 			  $authorslist = split(" ", trim($authors));
 			  echo "<br />\n<select name=\"author\" class=\"pulldown\">\n
 			  <option value=\"\">".$L_POSTOFFICE["670"]."</option>\n";
 			  
 			  for ($i=0; $i<sizeof($authorslist); $i++) { 
 			  
 			  	$author = "";
				for ($r = 0; $r < strlen($authorslist[$i]); $r++)
    			{
        		$author .= "&#" . ord(substr($authorslist[$i], $r, 1)) . ";";
    			}
 				echo "<option value=\"$author\">$author</option>\n";
 			  }
 			  echo "</select>";
 		}
 	
 		}
 		if(eregi("date", $options)) { 
 		?>
 		<br />
 		<select name="date" class="pulldown" >
 		<option value="">Select Date...</option>
		<option value="all"><?php echo $L_WEBLOG["525"]; ?></option>
		<option value="today"><?php echo $L_WEBLOG["197"]; ?></option>
		<option value="week"><?php echo $L_WEBLOG["207"]; ?></option>
		<option value="tmonth"><?php echo $L_WEBLOG["208"]; ?></option>
		<option value="lmonth"><?php echo $L_WEBLOG["207"]; ?></option>
		<option value="all">---</option>
		<option value="60"><?php echo $L_WEBLOG["210"]; ?></option>
		<option value="90"><?php echo $L_WEBLOG["215"]; ?></option>
		<option value="120"><?php echo $L_WEBLOG["220"]; ?></option>
		<option value="sixmonths"><?php echo $L_WEBLOG["225"]; ?></option>
		<option value="oneyear"><?php echo $L_WEBLOG["230"]; ?></option>
		</select>
 		
 		<?php
 		
 		}
 		if(eregi("sort", $options)) {
 		?>
 		<br />
 		<select name="sortby" class="pulldown" >
 		<option value=""><?php echo $L_POSTOFFICE["675"]; ?></option>
		<option value="date"><?php echo $L_POSTOFFICE["680"]; ?></option>
		<option value="from"><?php echo $L_WEBLOG["530"]; ?></option>
		<option value="mlst"><?php echo $L_POSTOFFICE["575"]; ?></option>
		</select> 		
 		<?php
 		}
 	
 	
 	}
 	echo "<br /><input type=\"submit\" name=\"Submit\" value=\"Submit\" />";

	

}
// END


//	----------------------------------------------
//		MAIL ARCHIVE MAILINGS GENERATOR
//	----------------------------------------------

function mail_archive_mailings($mlst, $sortby="", $limit="", $template="", $author="",$date="") 
{
	global $db_pref_group, $db_prefs, $db_mailcache;
	global $maildir, $mailing_singlepage, $sfx, $DB;

	if ($limit != '' && !is_numeric($limit))
	{
		$limit = 250; // Default Limit
	}

	// Let's find out what mailing lists to display in our menu
	if($mlst == '') $mlst = "public";
	
	if ($mlst != '') 
	{
        if (substr($mlst, 0, 4) == "not ") 
        {
            $nolists = split(" ", trim($mlst));
            $whichmlst = "where (pm_option LIKE 'mailinglist_name_%') and (pm_option != 'mailinglist_name_$nolists[1]'";
 			
 			for ($i=2; $i<sizeof($nolists); $i++)
 			{ 
 				  $whichmlst .= " and pm_option != 'mailinglist_name_$nolists[$i]'";
 			}
 			
 			$whichmlst .= ")";
			$sql = "select pm_option from $db_prefs $whichmlst order by pm_option";
			$i=0;
			$query = new DB_query($DB, $sql);
			
			if ($query->db_num_rows() == 0) return mail_messages(159);
			
				while($query->db_fetch_array())
				{
					$m_name = $query->row['pm_option'];
					$mailinglists[$i] = substr($m_name, 17);
					$i++;	
				}
            
        }
        elseif($mlst == "public")
        {
        	$sql = "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_public_%') and pm_value = 'yes' order by pm_option";
        	$query = new DB_query($DB, $sql);
        		if ($query->db_num_rows() == 0) return mail_messages(159);
        	$i=0;
			while($query->db_fetch_array())
			{
				$m_name = $query->row['pm_option'];
				$mailinglists[$i] = substr($m_name, 19);
				$i++;	
			}
		}
        elseif($mlst == "private")
        {
        $sql = "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_public_%') and pm_value = 'no' order by pm_option";
        	$query = new DB_query($DB, $sql);
        	if ($query->db_num_rows() == 0) return mail_messages(159);
        	$i = 0;
			while($query->db_fetch_array())
			{
				$m_name = $query->row['pm_option'];
				$mailinglists[$i] = substr($m_name, 19);
				$i++;	
			}
        }
        elseif($mlst == "all") {
        $sql = "select pm_option from $db_prefs where (pm_option LIKE 'mailinglist_name_%') order by pm_option";
        	$query = new DB_query($DB, $sql);
        	if ($query->db_num_rows() == 0) return mail_messages(159);
        	
        	$i=0;
				while($query->db_fetch_array())
				{
					$m_name = $query->row['pm_option'];
					$mailinglists[$i] = substr($m_name, 17);
					$i++;	
				}
        $mailinglists[$i] = "all";
        }
        else 
        {
            $mailinglists = split(" ", trim($mlst));
 		}
    }
 
 	if(count($mailinglists) == 0) return mail_messages(159);
 	
 unset($sql);
 unset($query);
 
if($date != '') {

$now = $SHARED->get_offset_time();
$oneweekago    = ($now -  604800);
$sixtyago	   = ($now -  5184000);
$nintyago	   = ($now -  7776000);
$onetwentyago  = ($now - 10368000);
$sixmonthago   = ($now - 15552000);
$oneyearago    = ($now - 31104000);
$day   = date("d",$now);
$month = date("m",$now);
$lmonth = date("m",$now) -1;
$year  = date("Y",$now); 

$ml_today = mktime ("0","0","0",$month,$day,$year);
$this_month = mktime ("0","0","0",$month,"1",$year);
$last_month = mktime ("0","0","0",$lmonth,"1",$year);
		
if (strlen($lmonth) ==1) 
$lmonth = "0" . $lmonth; 


}
 

 	// Let's build our sql statement.  Fun, fun!
 	$whichmlst = "where (to_whom = 'mailinglist_$mailinglists[0]'";
 	
 	for ($i=1; $i<sizeof($mailinglists); $i++)
 	{ 
 		$whichmlst .= " or to_whom = 'mailinglist_$mailinglists[$i]'";
 	}
 	
 	$whichmlst .= ") and show_mail = 'yes'";
 	
	$sql = "select data,t_stamp,id from $db_mailcache $whichmlst";

	if($date != '')
	{
		switch ($date)
		{
			case "all" :
				$sql .= "";
			break;
			case "today" :
				$sql .= " and t_stamp > '$ml_today'";  
			break;	
			case "week" :
				$sql .= " and t_stamp > '$oneweekago'";  
			break;
			case "tmonth" :
				$sql .= " and t_stamp > '$this_month'";  
			break;	
			case "lmonth" :
				$sql .= " and t_stamp < $this_month and t_stamp > '$last_month'";  
			break;	
			case "60" :
				$sql .= " and t_stamp > '$sixtyago'";  
			break;
			case  "90" :
				$sql .= " and t_stamp > '$nintyago'";  
			break;
			case "120" :
				$sql .= " and t_stamp > '$onetwentyago'";  
			break;
			case "sixmonths" :
				$sql .= " and t_stamp > '$sixmonthago'";  
			break;
			case "oneyear" :
				$sql .= " and t_stamp > '$oneyearago'";  
			break;
		}
	
	}
	
		if($sortby == "mlst")
			$sql .= " order by to_whom asc, t_stamp asc";
		elseif($sortby == "date")
			$sql .= " order by t_stamp asc, to_whom asc";
		else
			$sql .= " order by t_stamp asc";
	
	
	if(trim($author) != '')
	{
		$query = new DB_query($DB, $sql);
		
		if ($query->db_num_rows() == 0) 
		{ 
		  echo "No Mailings Found";
		  exit;      
		}		
		
		$i = 0;

 		while($query->db_fetch_array())
 		{
 			$data = $query->row['data'];
 			$id = $query->row['id'];
 			$t_stamp = $query->row['t_stamp'];
 			$maildata = unserialize(stripslashes($data));
			$from = $maildata['from'];
			
			if($from == $author)
			{
				$maildata['id'] = $id;
				$maildata['t_stamp'] = $t_stamp;
				$redone = serialize($maildata);				
				$results_array[$i] = $redone;
 				$i++;
 			}
 			
 			if($limit != '' && $i > $limit)
 			{
 				break; 		
 			}
 		}
 		
 		if (empty($results_array))
 		{
 			return mail_messages(159);
 		}
 	}
 	elseif($sortby == "author")
 	{ 	
		$query = new DB_query($DB, $sql);
		if ($query->db_num_rows() == 0) return mail_messages(159);	
		$i = 0;
 		
 		while($query->db_fetch_array())
 		{
 			$data = $query->row['data'];
 			$t_stamp = $query->row['t_stamp'];
 			$id = $query->row['id'];
 			$maildata = unserialize(stripslashes($data));
			$from = $maildata['from'];
			$maildata['id'] = $id;
			$maildata['t_stamp'] = $t_stamp;
			$redone = serialize($maildata);				
			$results_array[$i] = $redone;
 			$i++;
 		}	
 		
 		if($limit != '' && $i == $limit)
 		{
 			break;
 		}
 		
 		usort($results_array, "mail_author_sort");	
 	}
 	else
 	{
 		if($limit != '') $sql .= " limit 0, $limit";

 		$query = new DB_query($DB, $sql);
 		
 		if ($query->db_num_rows() == 0) return mail_messages(159);
 		$i = 0;
 		
 		while($query->db_fetch_array())
 		{
 			$maildata = unserialize(stripslashes($query->row['data']));
 			$id = $query->row['id'];
 			$t_stamp = $query->row['t_stamp']; 
 			$maildata['id'] = $id;	
 			$maildata['t_stamp'] = $t_stamp;
			$redone = serialize($maildata);			
			$results_array[$i] = $redone;
 			$i++;	
 		}
 	}
 	
 	
 //  Alright we have everything 
 //  Time for those templates

	$array_count = sizeof($results_array);
	
	for($i=0;$i<$array_count;$i++)
	{
		$maildata = unserialize(($results_array[$i]));
	
		$to_whom = $maildata['towhom'];
		$from = $maildata['from'];
		$id = $maildata['id'];
		$subject = stripslashes(base64_decode($maildata['subject']));
		$message = stripslashes(base64_decode($maildata['message']));
		$t_stamp = $maildata['t_stamp'];
		
		
		$from_whom = "";
		
		for ($r = 0; $r < strlen($from); $r++)
    	{
    	    $from_whom .= "&#" . ord(substr($from, $r, 1)) . ";";
    	}
		$message = nl2br($message);
		$word = explode(" ",$message);
    
    	$count = sizeof($word);
    	if ($count > 20)
    	{
    		$new_message = "";
        	
        	for ($r=0; $r< 20; $r++) 
        	{
        	     $new_message .= $word[$r] . " ";
        	}                 
        	    
        	$short_message = $new_message."...";
        }
     	else
     	{
     		$short_message = $message;
     	}
     	
		$mail_link = $maildir.$mailing_singlepage.$sfx."?id=$id";
		$time_sent   = date("M d, Y", $t_stamp);
		
		if($to_whom == "all") $to_whom = "All Subscribers";
	
		$swap = array(  "%%to_whom%%"      	=> $to_whom,
						"%%from_whom%%"  	=> $from_whom,
						"%%subject%%"       => $subject,
	            		"%%message%%"	  	=> $message,
	  					"%%short_message%%"	=> $short_message,
						"%%time_sent%%"   	=> $time_sent,
						"%%mail_link%%"     => $mail_link
						);
	
		if($template == '')
		{
			$template = "<strong>Date: </strong>%%time_sent%%<br />\n
		<strong>To: </strong> Mailing List - %%to_whom%% <br />\n
    	<strong>From: </strong> %%from_whom%% <br />\n
    	<strong>Subject: </strong> <a href=\"%%mail_link%%\">%%subject%%</a> <br />\n
    	<strong>Message:</strong><br />\n
    	%%short_message%%<br /><br />\n";
    	}
    	
    	$display = $template;
    
    	while(list($key,$value) = each($swap))
    	{
    	   	$display = str_replace("$key","$value",$display); 
		}
    
    	echo $display;
    } 

}
// END


// Function for sorting the data array by author
function mail_author_sort($a, $b) 
{
	$a = substr($a, 23,50);
	$b = substr($b, 23,50);
	$comparision = strcasecmp($a, $b);
    if ($comparision == 0) return 0;
    return ($comparision < 0) ? -1 : 1;
} 

// END


//	----------------------------------------------
//   VIEW SINGLE MAILING
//	----------------------------------------------

function view_mailing($id,$template="") 
{    
    global $db_mailcache, $language, $pm_path, $sfx;
    global $mailings_archivepage, $DB, $SHARED;
    
    $maildir = $SHARED->get_pref("maildir","1");
    if($id == '') return mail_messages(60);
    
	$query = new DB_query($DB, "select data,t_stamp from $db_mailcache where id = '".$DB->escape_str($id)."'"); 

	if ($query->db_num_rows() == 0)
	{
		return mail_messages(60);
	}
	
	$query->db_fetch_array();
	   
	$maildata =& unserialize(stripslashes($query->row['data']));
  
	$from = $maildata['from'];
	$to_whom = $maildata['towhom'];
	$subject =& stripslashes(base64_decode($maildata['subject']));
	$message =& stripslashes(base64_decode($maildata['message']));
	$t_stamp = $query->row['t_stamp'];
	$from_whom = "";
	for ($r = 0; $r < strlen($from); $r++)
    {
        $from_whom .= "&#" . ord(substr($from, $r, 1)) . ";";
    }
	
	
	$message = str_replace("\r", "<br />", $message);
	$time_sent   = date("M d, Y", $t_stamp);
    $archive_link = $maildir.$mailings_archivepage.$sfx; 
  
    if($to_whom == "all") $to_whom = "All Subscribers";
	
	$swap = array(  "%%to_whom%%"      	=> $to_whom,
					"%%from_whom%%"  	=> $from_whom,
					"%%subject%%"       => $subject,
            		"%%message%%"	  	=> $message,
					"%%time_sent%%"   	=> $time_sent,
					"%%archive_link%%"  => $archive_link
					);
	
	if($template == '')
		$template = '<strong>Date: </strong>%%time_sent%%<br />
	<strong>To: </strong> Mailing List - %%to_whom%% <br />
    <strong>From: </strong> %%from_whom%% <br />
    <strong>Subject: </strong> %%subject%% <br />
    <strong>Message:</strong><br />
    %%message%%<br /><br />
    <a href="%%archive_link%%">Return to Archives</a>';
    
    $display = $template;
    
    
    	while(list($key,$value) = each($swap))
    	   $display = str_replace("$key","$value",$display); 
    
    echo $display;
  
     
}
// END
?>