<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	---------------------------------------------
//		MAIN BODY OF THE MINI CALENDAR 
//	---------------------------------------------

function mini_calendar($id="",$weblog="",$cal="") 
{
    global $calendarpage, $db_weblog, $language, $pm_path, $url_rewriting;
    global $DB, $sfx, $SHARED;

    if ($weblog == '') $weblog = 'weblog';

	(is_array($cal) AND isset($cal['cell_width']))	? 
		$cell_width = $cal['cell_width'] : $cell_width = $SHARED->get_pref("mc_cell_width");
		
	(is_array($cal) AND isset($cal['cell_height'])) ? 
		$cell_height = $cal['cell_height'] : $cell_height = $SHARED->get_pref("mc_cell_height");
		
	(is_array($cal) AND isset($cal['header_bg']))	? 
		$header_bg = $cal['header_bg'] : $header_bg = $SHARED->get_pref("mc_header_bg");
		
	(is_array($cal) AND isset($cal['weekday_bg']))	? 
		$day_bg = $cal['weekday_bg'] : $day_bg = $SHARED->get_pref("mc_day_bg");
		
	(is_array($cal) AND isset($cal['cell_border'])) ? 
		$cell_border = $cal['cell_border'] : $cell_border = $SHARED->get_pref("mc_cell_border");
		
	(is_array($cal) AND isset($cal['cell_bg']))		? 
		$cell_bg = $cal['cell_bg'] : $cell_bg = $SHARED->get_pref("mc_cell_bg");
		
	(is_array($cal) AND isset($cal['today_bg']))	? 
		$today_bg = $cal['today_bg'] : $today_bg  = $SHARED->get_pref("mc_today_bg");
		
		$cell_width = $cell_width == "" ? "0" : $cell_width;
		$cell_border = $cell_border == "" ? "0" : $cell_border;
		$cell_height = $cell_height == "" ? "0" : $cell_height;
           
        $page = "";
        $show = "";
                        
        $did = explode("_",$id);
        
        if (isset($did['1']) AND substr($id,0,1) != "C" )
        {
        	$id = $did['0'];
        	$show = 1;
        }
        if (substr($id,0,1) == "P")
        	$show =1;
        
        if ($show == 1)
		{
			if (substr($id,0,1) == "M" || substr($id,0,1) == "D" || substr($id,0,1) == "P" || substr($id,0,1) == "A"  || substr($id,0,1) == "X")
			{
				$id = substr($id, 1);
			}
	
			$query = new DB_query($DB,"select t_stamp from $db_weblog where post_id = '".$DB->escape_str($id)."'");
			
			if ($query->db_num_rows() > 0)
			{
			
				$query->db_fetch_object();
				$postdate = $query->obj->t_stamp;
						
				$d = date("d",$postdate);
				$m = date("m",$postdate);
				$y = date("Y",$postdate);
	
				$id = "D$y$m$d";
				$page = "blog";
			}
		}
		else
		{
			if ($id <> "" && (substr($id,0,1) == "M" || substr($id,0,1) == "D" || substr($id,0,1) == "A" ))
				$page = "blog";
		}
		
	$now = $SHARED->get_offset_time(); 

 	if ($page == "blog")
 	{
 	// original
        $newtime1 = mktime(date('H',$now),date('i',$now),date('s',$now),substr($id, 5,2),date('d',$now),substr($id,1,4));
        // will find the end of the month to the second
        $newtime2 = (mktime(0,0,0,(substr($id, 5,2) + 1),1,substr($id,1,4))) - 1;
        // Takes the one that is smaller.
        $newtime = ($newtime1 < $newtime2) ? $newtime1 : $newtime2;
        $ptime   = mktime(date('H',$now),date('i',$now),date('s',$now),substr($id, 5,2),0,substr($id, 1,4));
        $ntime   = mktime(date('H',$now),date('i',$now),date('s',$now),substr($id, 5,2),1,substr($id, 1,4));  
        $month_plus_one   = mktime(date('H',$now),date('i',$now),date('s',$now),substr($id, 5,2)+1,1,substr($id, 1,4));
    }
    else
    {
        $newtime =& $now;
        $ptime = mktime(date('H',$now),date('i',$now),date('s',$now),date("m",$now),0,date("Y",$now));
        $ntime = mktime(date('H',$now),date('i',$now),date('s',$now),date("m",$now)+1,1,date("Y",$now));          
    }

    $path = $SHARED->get_pref("pages_path_abs_$weblog","1");    
    $page = $SHARED->get_pref($weblog."_page");
    $plink = "";
    $nlink = "";
    
    $sql = "select count(*) as count
            from $db_weblog 
            where weblog = '".$DB->escape_str($weblog)."' 
            and preview != '1' 
            and status = 'open' 
            and t_stamp >= '$ntime'
            "; 
               
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    
    if ($query->obj->count > 0 AND $newtime < $now)
    {
    	if (date("m",$month_plus_one) == date("m",$now)  && date("y",$month_plus_one) == date("y",$now))
    	{
    		$link = "";
    	}
    	else
    	{
    	     if ($url_rewriting == 1)
    	         $l = '/';
    	     else
    	         $l = '?id=';
    	
			$link = $l."M".date("Y",$month_plus_one).date("m",$month_plus_one);
			
           if ($url_rewriting == 1)
               $link .= '/';

	    }
			
        $nlink = "<td style='text-align: right'><span class=\"navlinks\"><a href=\"$path$page$link\">&gt;</a></span></td>";    
    }

    unset($sql);
    unset($query);
    
    $sql = "select count(*) as count 
            from $db_weblog 
            where weblog = '$weblog' 
            and preview != '1' 
            and status = 'open' 
            and t_stamp < '$ptime'"; 
            
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    
    if ($query->obj->count > 0)
    {
    	     if ($url_rewriting == 1)
    	         $link = "/M".date("Y",$ptime).date("m",$ptime).'/';
    	     else
    	         $link = "?id=M".date("Y",$ptime).date("m",$ptime);
    
        $plink = "<td><span class=\"navlinks\"><a href=\"$path$page$link\">&lt;</a></span></td>";           
    }
    unset($sql);
    unset($query);
    
    $today   = date("d",$now);
    $tomonth = date("m",$now);
    $toyear  = date("Y",$now);
    $month   = date("m",$newtime);
    $year    = date("Y",$newtime);


    $prev_month = date("m", mktime(0,0,0,$month -1, 1, $year));
    $next_month = date("m", mktime(0,0,0,$month +1, 1, $year));
    $prev_year  = date("Y", mktime(0,0,0,$month -1, 1, $year));
    $next_year  = date("Y", mktime(0,0,0,$month +1, 1, $year));
    $week_day = 1-date("w", mktime(0,0,0,$month, 1, $year));
    $monthdays  = date("t", mktime(0,0,0,$month, 1, $year));
    $title      = date("F", mktime(0,0,0,$month, 1, $year));
  
    include ("{$pm_path}language/{$language}/main$sfx");
    
    switch($title)
    {
        case "January"  : $title = "$L_CALENDAR[300]";
        break;
        case "February" : $title = "$L_CALENDAR[301]";
        break;
        case "March"    : $title = "$L_CALENDAR[302]";
        break;
        case "April"    : $title = "$L_CALENDAR[303]";
        break;
        case "May"      : $title = "$L_CALENDAR[304]";
        break;
        case "June"     : $title = "$L_CALENDAR[305]";
        break;
        case "July"     : $title = "$L_CALENDAR[306]";
        break;
        case "August"   : $title = "$L_CALENDAR[307]";
        break;
        case "September": $title = "$L_CALENDAR[308]";
        break;
        case "October"  : $title = "$L_CALENDAR[309]";
        break;
        case "November" : $title = "$L_CALENDAR[310]";
        break;
        case "December" : $title = "$L_CALENDAR[311]";
        break;
    } 

    $calparams = array();
    
    $calparams['weblog']     = $weblog;
    $calparams['year']       = $year;
    $calparams['month']      = $month;
    $calparams['week_day']   = $week_day;
    $calparams['today']      = $today;
    $calparams['tomonth']    = $tomonth;
    $calparams['toyear']     = $toyear;
    $calparams['pagespath']  = $path;
    $calparams['weblogpage'] = $page;
    $calparams['now']        = $now;

?>
<table style='border:0;' cellpadding="0" cellspacing="0" >
<tr>
<td style='text-align: center'>
<table style='text-align: center; background-color: <?php echo "$header_bg"; ?>; width: 100%; border: 0;' >
<tr>
<?php echo $plink; ?>
<td style='text-align: center'><span class="header"><?php echo "$title $year" ?></span></td>
<?php echo $nlink; ?>
</tr>
</table>
</td></tr>
<tr><td style='background-color:<?php echo "$cell_border"; ?>'>
<table style='border:0;' cellspacing="1">
<tr>
<th style='padding: 4px; text-align: center; background-color: <?php echo "$day_bg"; ?>; width: <?php echo "$cell_width"; ?>px'><span class="weekdays">S</span></th>
<th style='padding: 4px; text-align: center; background-color: <?php echo "$day_bg"; ?>; width: <?php echo "$cell_width"; ?>px'><span class="weekdays">M</span></th>
<th style='padding: 4px; text-align: center; background-color: <?php echo "$day_bg"; ?>; width: <?php echo "$cell_width"; ?>px'><span class="weekdays">T</span></th>
<th style='padding: 4px; text-align: center; background-color: <?php echo "$day_bg"; ?>; width: <?php echo "$cell_width"; ?>px'><span class="weekdays">W</span></th>
<th style='padding: 4px; text-align: center; background-color: <?php echo "$day_bg"; ?>; width: <?php echo "$cell_width"; ?>px'><span class="weekdays">T</span></th>
<th style='padding: 4px; text-align: center; background-color: <?php echo "$day_bg"; ?>; width: <?php echo "$cell_width"; ?>px'><span class="weekdays">F</span></th>
<th style='padding: 4px; text-align: center; background-color: <?php echo "$day_bg"; ?>; width: <?php echo "$cell_width"; ?>px'><span class="weekdays">S</span></th>
</tr>
<?php
while($week_day <= $monthdays) {
echo "<tr>\r\n";
for ($j=1; $j<=7; $j++) 
{        
if (($week_day == $today) && ($month == $tomonth) && ($year == $toyear)) 
{
    $calparams['week_day'] = $week_day;
        
?><td style='padding: 4px; vertical-align: top; background-color: <?php echo "$today_bg"; ?>; height:<?php echo "$cell_height"; ?>px; text-align: center'><span class="monthdays"><?php echo(($week_day <= $monthdays && $week_day > 0 ) ? mini_cal_entries($calparams): "&nbsp;"); ?></span></td>
<?php       
}    
else 
{   
    $calparams['week_day'] = $week_day;
    
?><td style='padding: 4px; background-color: <?php echo "$cell_bg"; ?>; height:<?php echo "$cell_height"; ?>px; vertical-align: top; text-align: center'><span class="monthdays"><?php echo(($week_day <= $monthdays && $week_day > 0 ) ? mini_cal_entries($calparams): "&nbsp;"); ?></span></td>
<?php 
}
$week_day++;
}
echo "</tr>\r\n";
}
?>
</table>
</td>
</tr>
</table>
<?php
}
// END


//	---------------------------------------------
//	    RETRIEVE ENTRY DATES AND CREATE LINKS 
//	---------------------------------------------

function mini_cal_entries($calparams)
{
    global $db_weblog, $url_rewriting, $sfx, $DB;
   
    $year  =& $calparams['year'];
    $month =& $calparams['month'];
    $day   =& $calparams['week_day'];
    $path  =& $calparams['pagespath'];
    $page  =& $calparams['weblogpage'];
   
   
    if ($day   == $calparams['today']   && 
        $month == $calparams['tomonth'] && 
        $year  == $calparams['toyear'])
    {
          $dayfmt = "<b>$day</b>";
    }
    else  
    {
        $dayfmt = "$day";
    }

    if (strlen ($day) ==1) $day = "0"."$day";

    $sql = "select post_id,weblog 
            from $db_weblog 
            where weblog = '$calparams[weblog]'  
            and preview != '1' 
            and status = 'open' 
            and year = '$year' 
            and month = '$month' 
            and day = '$day' 
            and t_stamp <= '$calparams[now]'
            and x_stamp >= '$calparams[now]' 
            limit 0,1";
  
    $query = new DB_query($DB, $sql);
  
    while ($query->db_fetch_object()) 
    {
     if ($url_rewriting == 1)
         $link = "$path$page"."/D"."$year$month$day"."/";
     else
         $link = "$path$page"."?id=D"."$year$month$day";
    	
    
        $dayfmt = "<a href=\"$link\">$dayfmt</a>";
    } 
 
echo "$dayfmt";

    unset($sql);
    unset($query);
}
// END
?>