<?php
//
// pMachine Publishing Software
//
// Version 2.4 (Pro2.4.004)
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// THIS IS COPYRIGHTED SOFTWARE
//
// License holders may alter or modify this software for their own use, 
// but may NOT resell or redistribute the modified or derivative version 
// without prior written consent from pMachine.  Components from this 
// software may not be extracted and used in other programs without prior 
// written consent from pMachine.
//
// PLEASE READ THE LICENSE AGREEMENT
//



//	---------------------------------------------
//		RELATED ENTRIES
//	---------------------------------------------

function related_entries($id="",$limit="",$page="")
{
    global $db_weblog, $url_rewriting, $sfx, $DB, $SHARED;
    
    if ($id == '')
    {
        return false;
    }
    
    $newtime = $SHARED->get_offset_time();

    $x = explode("_",$id);
    
    $postid = $x['0'];
    
    if ((substr($id, 0, 1) == "A") ||
        (substr($id, 0, 1) == "P") ||
        (substr($id, 0, 1) == "M") ||
        (substr($id, 0, 1) == "D"))
    {
        $postid = substr($postid, 1);
	}
    
    $query = new DB_query($DB, "select weblog,category from $db_weblog where post_id = '".$DB->escape_str($postid)."'");    
    
    if ($query->db_num_rows() == 0)
    {
    	return false;
    }
    
    $query->db_fetch_object();
    $weblog = $query->obj->weblog;
    $catid  = $query->obj->category;
    
    if ($catid == '')
        return false;
    
    unset($query);
    
    $path = $SHARED->get_pref("pages_path_abs_$weblog","1");
    
    if ($page == '')
    {
        $page = $SHARED->get_pref("comments_page_$weblog");
    }
    else
    {
        $page .= $sfx;
    }
    
    $newid = "";
    
    for ($i = 1; $i < sizeof($x); $i++)
    {
        $newid .= "_$x[$i]";
    }
    
    
    $sql = "select post_id,title from $db_weblog 
            where category='$catid' 
            and weblog = '$weblog'
            and post_id !='$postid'
            and status ='open' 
            and preview ='0'
            and t_stamp <= '$newtime' 
            and x_stamp >= '$newtime' 
            order by title ";
    
    if ($limit == 'all')
    {
        $limit = 1000;
    }
    
    if ($limit != '' && is_numeric($limit))
    {
        $sql .= "limit 0, $limit";
    }
    
    $query = new DB_query($DB, $sql);
    
    while ($query->db_fetch_object())
    {
        $title = $query->obj->title;
        $post_id = $query->obj->post_id;
        
        if (magic_quotes_runtime())
            $title = stripslashes($title);
          
            $title = pmcode_decode($title,"no");
            
    
    $delim = '?id=';
    
    if ($url_rewriting == 1)
    {
        $delim = '/';
        
        $page = str_replace($sfx, '', $page);
    }		
    
   $link = "$path$page$delim{$post_id}$newid";   
   
    if ($url_rewriting == 1) $link .= '/';
            
        echo "<a href=\"$link\">$title</a><br />\r\n";
    }
}
// END


//	---------------------------------------------
//		MOST COMMENTED ENTRIES
//	---------------------------------------------

function most_commented_entries($which="", $limit="", $comtot="", $page="") 
{
    $criteria['which']  = $which;
    $criteria['limit']  = $limit;
    $criteria['comtot'] = $comtot;
    $criteria['page']   = $page;
    $criteria['qtype']  = "most_comments";
    
    most_popular_entries($criteria);
}
// END


//	---------------------------------------------
//		MOST READ ENTRIES
//	---------------------------------------------

function most_read_entries($which="", $limit="", $comtot="", $page="") 
{
    $criteria['which']  = $which;
    $criteria['limit']  = $limit;
    $criteria['comtot'] = $comtot;
    $criteria['page']   = $page;
    $criteria['qtype']  = "most_read";
    
    most_popular_entries($criteria);
}
// END


//	---------------------------------------------
//		MOST POPULAR ENTRIES
//	---------------------------------------------

function most_popular_entries($criteria="") 
{
    global $db_comments, $db_multiweblogs, $url_rewriting;
    global $DB, $sfx, $db_prefs, $db_weblog, $SHARED;
  
    if ($criteria <> ""  && isset($criteria['which']))
        $which = $criteria['which'];
    else
        $which = "";
  
    if ($criteria <> ""  && isset($criteria['limit']))
        $limit = $criteria['limit'];
    else
        $limit = "";
        
    if ($criteria <> ""  && isset($criteria['comtot']))
        $comtot = $criteria['comtot'];
    else
        $comtot = "";

    if ($criteria <> ""  && isset($criteria['page']))
        $page = $criteria['page'];
    else
        $page = "";

    if ($criteria <> ""  && isset($criteria['qtype']))
        $qtype = $criteria['qtype'];
    else
        $qtype = "";
    
    $newtime = $SHARED->get_offset_time();
    
    $page_array = array();
    $cat_array  = array();
    $path_array = array();

    $sql = "select weblog,id from $db_multiweblogs";
    $query = new DB_query($DB, $sql);

     while ($query->db_fetch_object())
    {
        $blogname = $query->obj->weblog;
        $cat_array[$blogname] = $query->obj->id;
            
        if ($page == "weblog")
        {
            $res  = new DB_query($DB, "select pm_value from $db_prefs where pm_option = '{$blogname}_page'");            
             while ($res->db_fetch_object())
                    $page_array[$blogname] = $res->obj->pm_value;
        }
        elseif ($page == "more")
        { 
            $res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'more_page_$blogname'");            
             while ($res->db_fetch_object())
                    $page_array[$blogname] = $res->obj->pm_value;
        }
        else
        { 
            $res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'comments_page_$blogname'");            
             while ($res->db_fetch_object())
                    $page_array[$blogname] = $res->obj->pm_value;
        }                

        $res1 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'pages_path_abs_$blogname'");            
        while ($res1->db_fetch_object())
        {
            $abspath = $res1->obj->pm_value;
            if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";
            
            $path_array[$blogname] = $abspath;      
        }
    }
    
    unset($res);
    unset($res1);
  
    $sql = "select post_id,title,weblog,c_total,c_hits
            from $db_weblog 
            where preview = '0'
            and status = 'open'
            and t_stamp <= '$newtime' 
            and x_stamp >= '$newtime' ";
  
  
    if ($qtype == "most_comments")
        $sql .= "and c_total > '0' ";
    else
        $sql .= "and c_hits > '0' ";
  
    if ($which <> "all" and $which <> "")
        $sql .= "and weblog = '$which' ";
    
    
    if ($qtype == "most_comments")
        $sql .= "order by c_total desc ";
    else
        $sql .= "order by c_hits desc ";
    
    if ($limit != '' && is_numeric($limit))
    {
        $sql .= "limit $limit";
	}

    $query = new DB_query($DB, $sql);
    
    while ($query->db_fetch_object()) 
    { 
        $weblog = $query->obj->weblog;
        $postid = $query->obj->post_id;

        if ($qtype == "most_comments")
        	$ctotal = $query->obj->c_total;
        else
			$ctotal  = $query->obj->c_hits;
        
        $title  = stripslashes($query->obj->title);
        
        $ppath   = $path_array[$weblog];  
        $wpage   = $page_array[$weblog];
        $catpage = $cat_array[$weblog];
        
               
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $wpage = str_replace($sfx, '', $wpage);
        }		
           
        if ($page == "weblog")
        {
            $wpath = $wpage . $delim."P" . $postid;
        }
        elseif ($page == "more")
        {
            $wpath = $wpage . $delim."{$postid}_0_{$catpage}_0_M";
        }
        else
        {
            $wpath = $wpage . $delim."{$postid}_0_{$catpage}_0_C";
        }

            $title = pmcode_decode($title,"no");
            
            
           $link = "$ppath$wpath";
           
           if ($url_rewriting == 1) $link .= '/';


echo "<a href=\"$link\">$title</a>";
if ($comtot == "yes") 
echo " ("."$ctotal".")";
echo "<br />\r\n";

  }
}
// END



//	------------------------------------------------------
//		LIST OF RECENT ENTRIES FOR AN INDIVIDUAL MEMBER
//	------------------------------------------------------

function list_member_entries($id="",$limit="",$page="") 
{ 
    global $db_weblog, $db_members, $url_rewriting, $db_multiweblogs;
    global $DB, $db_prefs, $sfx, $SHARED;

    if ($id == '') 
        return false;
    
    $newtime = $SHARED->get_offset_time();

    $page_array = array();
    $cat_array  = array();
    $path_array = array();

    $sql = "select weblog,id from $db_multiweblogs";
    $query = new DB_query($DB, $sql);

     while ($query->db_fetch_object())
    {
        $blogname = $query->obj->weblog;
        $cat_array[$blogname] = $query->obj->id;
        $lcglognm = strtolower($blogname);
        
        $cat_array[$lcglognm] = $query->obj->id;
                
        if ($page == "comments")
        {
            $res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'comments_page_$blogname'");            
             while ($res->db_fetch_object())
                    $page_array[$lcglognm] = $res->obj->pm_value;
        }
        elseif ($page == "more")
        { 
            $res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'more_page_$blogname'");            
             while ($res->db_fetch_object())
                    $page_array[$lcglognm] = $res->obj->pm_value;
        }
        else
        {
            $res  = new DB_query($DB, "select pm_value from $db_prefs where pm_option = '{$blogname}_page'");            
             while ($res->db_fetch_object())
                    $page_array[$lcglognm] = $res->obj->pm_value;       
        }                

        $res1 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'pages_path_abs_$blogname'");            
        while ($res1->db_fetch_object())
        {
            $abspath = $res1->obj->pm_value;
            if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";
            
            $path_array[$lcglognm] = $abspath;      
        }
    }

    unset($res);
    unset($res1);

    $sql = "select post_id,title,weblog 
    		from $db_weblog 
    		where member_id = '".$DB->escape_str($id)."' 
    		and status = 'open'
    		and t_stamp <= '$newtime' 
    		and x_stamp >= '$newtime' 
    		and preview = '0'
    		order by t_stamp desc "; 
    
    if ($limit != '' && is_numeric($limit))
    {
        $sql .= "limit $limit";
	}
	
    $query = new DB_query($DB, $sql);
    
    if ($query->db_num_rows() == 0)
        return false;

    while ($query->db_fetch_object()) 
    { 
        $weblog = strtolower($query->obj->weblog);
        $postid = $query->obj->post_id;
        $title  = $query->obj->title;
        
        if (get_magic_quotes_runtime())
            $title = stripslashes($title);
        
        
        $ppath   = $path_array[$weblog];  
        $wpage   = $page_array[$weblog];
        $catpage = $cat_array[$weblog];
   
  
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $wpage = str_replace($sfx, '', $wpage);
        }		
      
        
        if ($page == "comments")
        {
            $wpath = $wpage . $delim."{$postid}_0_{$catpage}_0_C";
        }
        elseif ($page == "more")
        {
            $wpath = $wpage . $delim."{$postid}_0_{$catpage}_0_M";
        }
        else
        {
            $wpath = $wpage . $delim."P" . $postid;
        }
        
            $link = "$ppath$wpath";
           
           if ($url_rewriting == 1) $link .= '/';
       

            $title = pmcode_decode($title,"no");

        echo "<a href=\"$link\">$title</a><br />\r\n";
    }
}
// END



//	------------------------------------------------------
//		LIST OF RECENT COMMENTS FOR AN INDIVIDUAL MEMBER
//	------------------------------------------------------

function list_member_comments($id="",$limit="") 
{ 
    global $db_weblog, $db_members, $db_comments, $db_multiweblogs;
    global $db_prefs, $url_rewriting, $sfx, $DB, $SHARED;

    if ($id == "") 
        return false;

	$newtime = $SHARED->get_offset_time();

    $page_array = array();
    $cat_array  = array();
    $path_array = array();

    $sql = "select weblog,id from $db_multiweblogs";
    $query = new DB_query($DB, $sql);

     while ($query->db_fetch_object())
    {
        $blogname = $query->obj->weblog;
        $lcglognm = strtolower($blogname);
        
        $cat_array[$lcglognm] = $query->obj->id;
            
        $res = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'comments_page_$blogname'");            
         while ($res->db_fetch_object())
                $page_array[$lcglognm] = $res->obj->pm_value;

        $res1 = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'pages_path_abs_$blogname'");            
        while ($res1->db_fetch_object())
        {
            $abspath = $res1->obj->pm_value;
            
            if (!eregi('/$',$abspath)) $abspath = "$abspath" . "/";
            
            $path_array[$lcglognm] = $abspath;      
        }
    }

    unset($query);
    unset($sql);
    unset($res);
    unset($res1);

    $sql = "SELECT DISTINCT post_id FROM $db_comments 
    		WHERE member_id = '".$DB->escape_str($id)."' 
    		AND preview = '0' 
    		AND status = 'open'
    		ORDER BY t_stamp desc "; 

    if ($limit != '' && is_numeric($limit))
    {
        $sql .= "limit $limit";
	}
	
    $result = new DB_query($DB, $sql);
    
    if ($result->db_num_rows() == 0)
    {
        return false;
	}
	
     while ($result->db_fetch_object())
    {
        $postid = $result->obj->post_id;

        $q = "select post_id,title,weblog 
        	from $db_weblog 
        	where post_id = '$postid' 
        	and status = 'open'
        	and t_stamp <= '$newtime' 
        	and x_stamp >= '$newtime' 
        	and preview = '0' "; 

        $query = new DB_query($DB, $q);
        
        if ($query->db_num_rows() == 0)
            return false;
    
        $query->db_fetch_object();
         
        $weblog = strtolower($query->obj->weblog);
        $postid = $query->obj->post_id;
        $title  = $query->obj->title;
        
        if (get_magic_quotes_runtime())
            $title = stripslashes($title);
                
        $ppath   = $path_array[$weblog];  
        $wpage   = $page_array[$weblog];
        $catpage = $cat_array[$weblog];
        
     
        $delim = '?id=';
        
        if ($url_rewriting == 1)
        {
            $delim = '/';
            
            $wpage = str_replace($sfx, '', $wpage);
        }		
              
        $link = $ppath.$wpage . $delim."{$postid}_0_{$catpage}_0_C";
                   
           if ($url_rewriting == 1) $link .= '/';
       
        
		$title = pmcode_decode($title,"no");
		
        echo "<a href=\"$link\">$title</a><br />\r\n";
    }
}
// END




//	---------------------------------------------
//		DATE OF MOST RECENT ENTRY
//	---------------------------------------------

function date_of_recent_entry($which="", $tscode="") 
{
    global $db_weblog, $DB, $SHARED;
        
        $newtime = $SHARED->get_offset_time();
    
        $sql = "select t_stamp from $db_weblog where ";

    if ($which != '')
    {
        $sql .= "weblog = '".$DB->escape_str($which)."' and ";
    }

        $sql .= "status = 'open' 
        		and preview != '1' 
        		and t_stamp <= '$newtime' 
        		and x_stamp >= '$newtime' 
        		order by post_id desc limit 1";
 
        $query = new DB_query($DB, $sql);
        
        if ($query->db_num_rows() ==0)
            return false; 
        
        $query->db_fetch_object();
        $t_stamp = $query->obj->t_stamp;
    
    
    if ($which == "")
        $which = "weblog";

    if ($tscode == "")
        $tscode = $SHARED->get_pref("date_and_time_$which");

	echo date($tscode,$t_stamp);
}
// END


//	---------------------------------------------
//		DATE OF MOST RECENT COMMENT
//	---------------------------------------------

function date_of_recent_comment($which="", $tscode="") 
{
    global $db_comments, $DB, $SHARED;
        
        $newtime = $SHARED->get_offset_time();
    
        $sql = "select t_stamp from $db_comments where ";

    if ($which != '')
    {
        $sql .= "weblog = '".$DB->escape_str($which)."' and ";
	}
	
        $sql .= "preview = '0' AND status = 'open'
        		and t_stamp <= '$newtime' 
        		order by comment_id desc limit 1";
    
        $query = new DB_query($DB, $sql);
        
        if ($query->db_num_rows() ==0)
            return false; 
        
        $query->db_fetch_object();
        $t_stamp = $query->obj->t_stamp;
    
    
    if ($which == "")
        $which = "weblog";

    if ($tscode == "")
        $tscode = $SHARED->get_pref("date_and_time_comments_$which");

 echo date($tscode,$t_stamp);
}
// END




// --------------------------------------------------
//  DATE OF MOST RECENT COMBINED ENTRY/COMMENT
// --------------------------------------------------

function date_of_recent_combined($which='', $tscode='') 
{
    global $db_comments,$db_weblog, $DB, $SHARED;
        
	$newtime = $SHARED->get_offset_time();
    
	$sql = "select t_stamp from $db_weblog where ";

    if ($which != '')
    {
    	$sql .= "weblog = '".$DB->escape_str($which)."' and ";
    }

	$sql .= "status = 'open' 
			 and preview != '1' 
			 and t_stamp <= '$newtime' 
			 and x_stamp >= '$newtime'
			 order by post_id desc limit 1";
    
	$query = new DB_query($DB, $sql);
        
	if ($query->db_num_rows() > 0)
	{
		$query->db_fetch_object();
		$weblog_tstamp = $query->obj->t_stamp;
	}
	else
	{
		$weblog_tstamp = '0';
	}

	$sql = "select t_stamp from $db_comments where ";

	if ($which != '')
	{
		$sql .= "weblog = '".$DB->escape_str($which)."' and ";
	}
	
	$sql .= "preview = '0' AND status = 'open' order by comment_id desc limit 1";
    
	$query = new DB_query($DB, $sql);
        
	if ($query->db_num_rows() > 0)
	{
		$query->db_fetch_object();
		$comment_tstamp = $query->obj->t_stamp;
	}
	else
	{
		$comment_tstamp = '0';
	}

	if ($which == '')
	{
		$which = "weblog";
	}
	
	if ($comment_tstamp == '0' && $weblog_tstamp == '0')
	{
		return false;
	}
    
    if ($comment_tstamp > $weblog_tstamp)
    {
        $t_stamp = $comment_tstamp;
        
        if ($tscode == "")
            $tscode = $SHARED->get_pref("date_and_time_comments_$which");
    }
    else
    {
    
        $t_stamp = $weblog_tstamp;

        if ($tscode == "")
            $tscode = $SHARED->get_pref("date_and_time_$which");
    }
        
 echo date($tscode,$t_stamp);
}
// END



//	---------------------------------------------
//		TOTAL NUMBER OF WEBLOG ENTRIES
//	---------------------------------------------

function total_weblog_entries($which="") 
{
    global $db_weblog, $DB, $SHARED;
        
    $newtime = $SHARED->get_offset_time();

    $sql = "SELECT COUNT(*) AS count FROM $db_weblog WHERE ";
        
    if ($which <> "")
    {
        
        $weblogs = preg_split("/\s+/", trim($which));
        
        if (sizeof($weblogs) == 1)
        {
            $sql .= "weblog = '".$DB->escape_str($which)."' AND ";
        }
        else
        {
            $sql .= "(";
            
            for ($i=0; $i < sizeof($weblogs);  $i++)
            {
                $sql .= "weblog = '".$DB->escape_str($weblogs[$i])."' OR ";
            }
            
            $sql = substr($sql, 0, -4);
            
            $sql .= ") AND ";
        }
    }

    $sql .= "status = 'open'
             AND preview = '0'
             AND t_stamp <= '$newtime'
             AND x_stamp >= '$newtime' ";

    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $total = $query->obj->count;

    if ($total == "")
    {
        $total = "0";
    }

    echo "$total";   
}
// END



//	---------------------------------------------
//		TOTAL NUMBER OF COMMENTS 
//	---------------------------------------------

function total_comments($which="") 
{
    global $db_comments, $DB;
        
	$sql = "select count(*) as count from $db_comments where preview = '0' AND status = 'open' ";
    
    if ($which != '')
    {
        $sql .= "and weblog = '".$DB->escape_str($which)."'";
    }
    
    $query = new DB_query($DB, $sql);

    $query->db_fetch_object();
        
    $total = $query->obj->count;

    if ($total == "")
        $total = "0";

 echo "$total";   
}
// END





//	---------------------------------------------
//		COMBINED WEBLOG AND COMMENT TOTAL
//	---------------------------------------------

function total_entries_and_comments($which="") 
{
    global $db_weblog, $db_comments, $DB, $SHARED;

     if ($which == "")
         $filter = "";
     else
         $filter = "and weblog = '".$DB->escape_str($which)."'";
    
    $newtime = $SHARED->get_offset_time();
    
    $sql = "select count(*) as count 
    		from $db_weblog 
    		where preview = '0' 
    		and t_stamp <= '$newtime' 
    		and x_stamp >= '$newtime' 
    		$filter and status = 'open' ";
        
    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $weblog_total = $query->obj->count;

    unset($sql);  
    unset($query);  

    $sql = "select count(*) as count from $db_comments where preview = '0' AND status = 'open' $filter ";

    $query = new DB_query($DB, $sql);
    $query->db_fetch_object();
    $comment_total = $query->obj->count;

     if ($weblog_total == "")
         $weblog_total = "0";

     if ($comment_total == "")
         $comment_total = "0";
         
 echo $comment_total + $weblog_total;
}
// END






//	---------------------------------------------
//		TOTAL NUMBER OF MEMBERS
//	---------------------------------------------

function total_members($which="") 
{
    global $db_members, $DB;
    
        $sql = "select count(*) as count from $db_members  ";
        
    if ($which <> "" && eregi("^[[:digit:]]+$", $which))
        $sql .= "where status = '".$DB->escape_str($which)."'";
    
        $query = new DB_query($DB, $sql);

        $query->db_fetch_object();
        
        $total = $query->obj->count;

     if ($total == "")
         $total = "0";

 echo "$total";   
}
// END

?>