<?php
//
// pMachine
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// File Name: index.php
//
// Description:  Update Tracker
//
// This software is provided "as is", without warranty of any kind, express
// or implied, of merchantability or fitness for a particular purpose.
// License holders are solely responsible for determining the appropriateness 
// of using this software and assume all risks associated with it's use.
//
// PLEASE READ THE LICENSE AGREEMENT
//


setcookie("valid_un","",time()-60,"/","","0");
setcookie("valid_id","",time()-60,"/","","0");
setcookie("member_name","",time()-60,"/","","0");
setcookie("member_code","",time()-60,"/","","0");

?>
<html>

<head>

<title>pMachine Update Tracker</title>


<style type="text/css">

body { background-color: #ffffff; font-size: 11px; font-family: verdana,geneva,arial,sans-serif; margin-left: 18px; margin-right: 18px; font-weight: normal;}

a:link    { color: #333399; font-size: 12px; font-weight: bold; text-decoration: none; border-bottom : 1px dotted #333399; font-family: verdana,geneva,arial,sans-serif;}
a:visited { color: #333399; font-size: 12px; font-weight: bold; text-decoration: none; border-bottom : 1px dotted #333399; font-family: verdana,geneva,arial,sans-serif;}
a:active  { color: #333333; font-size: 12px; font-weight: bold; text-decoration: none; border-bottom : 1px dotted #333399; font-family: verdana,geneva,arial,sans-serif;}
a:hover   { color: #aaaaaa; font-size: 12px; font-weight: bold; text-decoration: none; font-family: verdana,geneva,arial,sans-serif;}

.head {
 font-family: trebuchet,verdana,geneva,arial,sans-serif;
 font-size: 12px;
 margin-top: 6px;
 color: #000000;
 font-weight: normal;
}

.text12 {
 font-family: trebuchet,verdana,geneva,arial,sans-serif;
 font-size: 12px;
 margin-top: 2px;
 color: #333333;
 font-weight: normal;
}

.text11 {
 font-family: trebuchet,verdana,geneva,arial,sans-serif;
 font-size: 12px;
 margin-top: 2px;
 color: #333333;
 font-weight: normal;
}
ul { 
font-family: verdana, helvetica, sans-serif;
color: #333333; 
font-size: 11px; 
margin-top: 7px;
margin-bottom: 7px;
font-weight: normal;
}

li { 
font-family: verdana, helvetica, sans-serif;
color: #333333; 
font-size: 11px; 
margin-top: 7px;
margin-bottom: 7px;
font-weight: normal;
}

</style>

</head>

<body bgcolor="#ffffff" text="#000000">


<table cellpadding="40" cellspacing="0" border="0" width="100%">
<tr>
<td valign="top">

<img src="../images/pm_udtracker.gif" width="251" height="69" alt=" " border="0">

<br /><br />

<div class="text11"><b>pMachine Update Tracker</b></div><br />

<?php

// INITIAL FILE CHECKS

$missing = "";

if (@include("../inc.sfx.inc"))      
{
    
    if (@include("../config$sfx"))
    {      
        
    // START INCLUDE VALIDATION

    if (!@include("../db/db.tables$sfx"))    $missing .= "../db/db.tables$sfx <br />";
    if (!@include("../db/db.$database$sfx")) $missing .= "../db/db.$database$sfx <br />";
    
    // END INCLUDE VALIDATION       
    }
    else
    {
        $missing .= "../config$sfx <br />";
    }
}
else
{
    $missing .= "../inc.sfx.inc <br />";
}

if ($missing != "")
{
    echo "The following file(s) could not be found:<br /><br />";
    echo $missing . "<br />";
    echo "Please read the installation instructions and upload all components of this script.";
    exit;
}
// END FILE CHECKS

$DB = new DB();


    $current_version = '2.4';
	
	$query = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'version' ");
	$query->db_fetch_object();
	$version = $query->obj->pm_value;
	
	unset($query);
	
	$query = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'vnumber' ");
	$query->db_fetch_object();
	$vnumber = $query->obj->pm_value;
	
	unset($query);
?>

<div class="text11">You are currently running <b>pMachine <?php echo $version; ?></b> version <b><?php echo $vnumber; ?></b></div>

<br />

<?php


switch($vnumber)
{
    case '1.3.0' : $page = 'update_2.0';
        break;
    case '2.0'   : $page = 'update_2.1';
        break;
    case '2.1'   : $page = 'update_2.2';
        break;
    case '2.2'   : $page = 'update_2.2.1';
        break;
    case '2.2.1' : $page = 'update_2.3';
        break;
    case '2.3'   : $page = 'update_2.4';
        break;
    case '2.4'   : $page = 'update_2.4';
        break;
}

if ($vnumber != $current_version OR $version != 'pro') {
?>

<div class="text11"><b>Please click the link below to start the update process.</b></div>
<br />
<a href="<?php echo $page.$sfx; ?>">Click here to begin</a>

<?php
}
else
{
?>
<div class="text11">
This is the most current version.
<br /><br />
There are no updates available.
</div>
<?php
}
?>
</td>
</tr>
</table>
</td>
</tr>
</table>
</body>
</html>