<?php
//
// pMachine
//
// Copyright (c) 2003 - 2005 pMachine, Inc.
//
// File Name: update_2.2.1.php
//
// Description:  Update to version 2.2.1 script,
//
// This software is provided "as is", without warranty of any kind, express
// or implied, of merchantability or fitness for a particular purpose.
// License holders are solely responsible for determining the appropriateness 
// of using this software and assume all risks associated with it's use.
//
// PLEASE READ THE LICENSE AGREEMENT



if (isset($_GET)) 
{
  while(list($var,$val)=each($_GET)) 
  {
    $$var=$val;
  }
}
if (isset($_POST)) 
{
  while(list($var,$val)=each($_POST)) 
  {
    $$var=$val;
  }
}


// INITIAL FILE CHECKS

$missing = "";

if (@include("../inc.sfx.inc"))      
{
    
    if (@include("../config$sfx"))
    {      
        
    // START INCLUDE VALIDATION

    if (!@include("ud.inc$sfx"))             $missing .= "ud.inc$sfx <br />";
    if (!@include("../db/db.tables$sfx"))    $missing .= "../db/db.tables$sfx <br />";
    if (!@include("../db/db.$database$sfx")) $missing .= "../db/db.$database$sfx <br />";
    
    // END INCLUDE VALIDATION       
    }
    else
    {
        $missing .= "../config$sfx <br />";
    }
}
else
{
    $missing .= "../inc.sfx.inc <br />";
}

if ($missing != "")
{
    echo "The following file(s) coule not be found:<br /><br />";
    echo $missing . "<br />";
    echo "Please read the installation instructions and upload all components of this script.";
    exit;
}
// END FILE CHECKS



// DEFAULT VARIABLES

$ud_from = "2.2";
$ud_to   = "2.2.1";
$self    = "update_2.2.1";

$DB = new DB();

$query = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'vnumber' ");
$query->db_fetch_object();
$vnumber = $query->obj->pm_value;

unset($query);


if ($vnumber == "2.2.1")
{
?>
<div class="text11" align="left">You cannot access this script because you are already running
pMachine version 2.2.1</div><br />
<?php
showfooter();
exit;
}


if (!isset($page))  $page = "";

if ($page == "" || $page == 0) $page = 1;

// DEFAULT VARS


// HEADER
showheader($ud_to);





	
// PAGE ONE
if ($page == 1) 
{
?>
<div class="text11" align="left">
This script will update pMachine from Version <b><?php echo $ud_from; ?></b>&nbsp; to &nbsp;<b><?php echo $ud_to; ?></b></div>

<br /><br />

<div><a href="<?php echo"$self$sfx?page=2";?>">NEXT PAGE &gt;&gt;</a></div>
<?php
}
// END PAGE ONE





// PAGE TWO
if ($page == 2) 
{

    flush();
        
    if (get_cfg_var("safe_mode")==0)
        @set_time_limit(1200);
	

$error = 0;
$query = new DB_query($DB, "update $db_pref_group set grouporder = '100' where name = 'custom_field_prefs'"); if (!$query->result) $error =1;
$query = new DB_query($DB, "update $db_pref_group set grouporder = '110' where name = 'pmcode_button_prefs'"); if (!$query->result) $error =1;

if ($error ==1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem updating field preferences.</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Field preferences have been updated.
<br /><br /></div>
<?php
}



$error = 0;
$add = new DB_query($DB, "UPDATE $db_prefs SET pm_value = '2.2.1' WHERE pm_option = 'vnumber'");  if (!$add->result) $error =1;
$add = new DB_query($DB, "UPDATE $db_prefs SET pm_value = '1200112002' WHERE pm_option = 'build'"); if (!$add->result) $error =1;


if ($error ==1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem adding version indicator</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Version indicator has been added
<br /><br /></div>
<?php
}




?>
<br />
<div class="text12" align="left">
<font color="green"><b>pMachine was successfully updated to version 2.2.1</b></font>
<br /><br />
Please delete the entire "<b>updates</b>" directory from your server.&nbsp; You no longer need it.
<?php
}
// END PAGE TWO




// FOOTER
showfooter();
?>