<?php


if (isset($_GET)) 
{
  while(list($var,$val)=each($_GET)) 
  {
    $$var=$val;
  }
}
if (isset($_POST)) 
{
  while(list($var,$val)=each($_POST)) 
  {
    $$var=$val;
  }
}


// INITIAL FILE CHECKS

$missing = "";

if (@include("../inc.sfx.inc"))      
{
    
    if (@include("../config$sfx"))
    {      
        
    // START INCLUDE VALIDATION

    if (!@include("ud.inc$sfx"))             $missing .= "ud.inc$sfx <br />";
    if (!@include("../db/db.tables$sfx"))    $missing .= "../db/db.tables$sfx <br />";
    if (!@include("../db/db.$database$sfx")) $missing .= "../db/db.$database$sfx <br />";
    
    // END INCLUDE VALIDATION       
    }
    else
    {
        $missing .= "../config$sfx <br />";
    }
}
else
{
    $missing .= "../inc.sfx.inc <br />";
}

if ($missing != "")
{
    echo "The following file(s) coule not be found:<br /><br />";
    echo $missing . "<br />";
    echo "Please read the installation instructions and upload all components of this script.";
    exit;
}
// END FILE CHECKS



// DEFAULT VARIABLES

$ud_from = "2.3";
$ud_to   = "2.4";
$self    = "update_2.4";

$DB = new DB();
$result = $DB;
$query = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'version' ");
$query->db_fetch_object();
$version = $query->obj->pm_value;
$version = strtolower($version);


unset($query);

$query = new DB_query($DB, "select pm_value from $db_prefs where pm_option = 'vnumber' ");
$query->db_fetch_object();
$vnumber = $query->obj->pm_value;

unset($query);


if ($vnumber == "2.3" AND $version == 'free')
    $nextpage = 2;
else
    $nextpage = 3;



if ($vnumber == "2.4"  AND  $version == 'pro')
{
?>
<div class="text11" align="left">You cannot access this script because you are already running
pMachine Pro 2.4</div><br />
<?php
showfooter();
exit;
}

if (!isset($page))  $page = "";
if ($page == "" || $page == 0) $page = 1;



// HEADER
showheader($ud_to);

	
// PAGE ONE
if ($page == 1) 
{
?>
<div class="text11" align="left">
This script will update pMachine from Version <b><?php echo $ud_from; ?></b>&nbsp; to &nbsp;<b><?php echo $ud_to; ?></b></div>

<br /><br />

<div><a href="<?php echo"$self$sfx?page=$nextpage";?>">NEXT PAGE &gt;&gt;</a></div>
<?php
}
// END PAGE ONE



// PAGE TWO - 2.3 Free's Pro UPDATES
if ($page == 2) 
{
        
    if (get_cfg_var("safe_mode")==0)
        @set_time_limit(1200);

$name = 'default';

$error = 0;
$query = new DB_query($DB, "alter table $db_mailinglist add column weblog varchar(3) not null default 'no'","0"); if (!$query->result) $error =1;
$query = new DB_query($DB, "alter table $db_mailinglist add column `$name` CHAR(3) default 'yes' NOT NULL", "0");  if (!$query->result) $error =1;


if ($error == 0) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Column added to mailinglist table.
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to add column to mailinglist table.

<br /><br />

It appears you do not have the appropriate MySQL grant privileges.&nbsp;

<br /><br />

Please contact your hosting provider and ask them to give you MySQL 'alter' privileges.&nbsp; Then reload this page. 
<?php
exit;
}


$sql = "select grouporder from $db_pref_group where grouporder > '299' order by grouporder desc limit 1";
        
$query = new DB_query($DB, $sql);
$query->db_fetch_array();
$nextgrp = $query->row['grouporder'] +1;

unset($sql);
unset($query);

$query = new DB_query($DB, "select count(*) as count from $db_pref_group where grouporder = '$nextgrp'");
$query->db_fetch_array();

if ($query->row['count'] <> 0)
    exit('Error: Unable to get an unused preference number.');

$query = new DB_query($DB, "insert into $db_pref_group values ('', '$nextgrp', 'mailinglist_$name', 'M300')"); if (!$query->result) $error =1; unset($query);
$query = new DB_query($DB, "insert into $db_prefs values ('', '$nextgrp', '690', 't', 'mailinglist_name_$name', '$name','696')"); if (!$query->result) $error =1; unset($query);
$query = new DB_query($DB, "insert into $db_prefs values ('', '$nextgrp', '691', 'r', 'mailinglist_public_$name', 'yes','697')"); if (!$query->result) $error =1; unset($query);

if ($error == 0) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Mailinglist preference updated
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to update mailinglist preference
<?php
}



    $q = "select  pm_value 
          from    $db_prefs 
          where   pm_option = 'memdir' ";

	$query = new DB_query($DB, $q);
    $query->db_fetch_object();
    $memdir = $query->obj->pm_value;
        
   if (!eregi('/$',$memdir)) $memdir = "$memdir" . "/";


if (ereg('\/$', $memdir))
    $memdir = substr($memdir, 0, -1);

    $x = explode('/', $memdir);

    $i = count($x) -1;
        
    $memdir = str_replace($x[$i], '', $memdir);

$query = new DB_query($DB, "insert into {$dbprefix}_prefs values ('', '20', '135', 't', 'maildir', '{$memdir}mailinglists/','141')","0");

if ($query->result == true) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Mailinglist path preference added
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to add mailinglist path preference
<?php
}





$q = "CREATE TABLE IF NOT EXISTS {$dbprefix}_mailcache (
 id int unsigned not null auto_increment primary key,
 t_stamp int(10) unsigned NOT NULL default '0',
 to_whom varchar(100) NOT NULL,
 show_mail char(3) NOT NULL default 'yes',
 sent int unsigned not null,
 data text not null
)";

$query = new DB_query($DB, $q, "0");

if ($query->result == true) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Table created: <?php echo $dbprefix."_mailcache"; ?>
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to create table: <?php echo $dbprefix."_mailcache"; ?>
<?php
}



$q = "CREATE TABLE IF NOT EXISTS {$dbprefix}_rss_factory (
 id int unsigned not null auto_increment primary key,
 version varchar(4) not null,
 title tinytext not null,
 weblogs text not null,
 enable char(1) not null  default 'n',
 perpage int unsigned not null,
 relpath tinytext not null,
 feedtitle tinytext not null,
 feedlink tinytext not null,
 feeddescription text not null,
 language varchar(6) not null,
 copyright tinytext not null,
 editoremail tinytext not null,
 webmasteremail tinytext not null,
 skiphours varchar(5) not null,
 skipdays varchar(5) not null,
 ttl varchar(3) not null, 
 imgurl tinytext not null,
 imgwidth tinytext not null,
 imgheight tinytext not null,
 c1key tinytext not null,
 c1val tinytext not null,
 c2key tinytext not null,
 c2val tinytext not null,
 c3key tinytext not null,
 c3val tinytext not null,
 c4key tinytext not null,
 c4val tinytext not null
)";

$query = new DB_query($DB, $q, "0");

if ($query->result == true) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Table created: <?php echo $dbprefix."_rss_factory"; ?>
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to create table: <?php echo $dbprefix."_rss_factory"; ?>
<?php
}


$query = new DB_query($DB, "select pm_option, pm_value from $db_prefs where pm_option like 'rss_%'");

while ($query->db_fetch_array())
       $rssarray[$query->row['pm_option']] = $query->row['pm_value'];

    foreach ($rssarray as $key => $val)
            $$key = stripslashes(trim($val));
    

$blogs = array();
$query = new DB_query($DB, "select weblog from $db_multiweblogs");

while ($query->db_fetch_array())
       $blogs[] = $query->row['weblog'];


$ignore = array($rss_ignore_weblog);

if ($rss_ignore_weblog != '')
{
    if (strstr($rss_ignore_weblog, " "))
    {
        $ignore = explode(" ", $rss_ignore_weblog);        
    }
}

$weblogs = '';

$difference = array_diff($blogs, $ignore);

foreach($difference as $val)
{
    $weblogs .= '|'.$val;
}

$weblogs .= '|';


$enable = ($rss_on_weblog == 'yes') ? 'y' : 'n';

$query = new DB_query($DB, "insert into {$dbprefix}_rss_factory values ('', '0.91', 'default', '$weblogs','$enable','$rss_rows_weblog','$rss_page_weblog','$rss_title_weblog','$rss_url_weblog','$rss_description_weblog','$rss_lang_weblog','','','','','','','$rss_img_weblog','','','','','','','','','','')","0"); 


if ($query->result == true) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;RSS Factory data has been added.
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to populate RSS Factory fields
<?php
}



$error = 0;
$query = new DB_query($DB, "delete from $db_prefs where pm_option like 'rss_%'"); 
if (!$query->result) 
     $error = 1;

$query = new DB_query($DB, "delete from $db_pref_group where grouporder ='40' and name='general_prefs' and title='115'"); 
if (!$query->result) 
     $error = 1;


if ($query->result == true) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Old RSS preferences deleted
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to delete old RSS preferences
<?php
}
?>

<br /><br />

<div><a href="<?php echo"$self$sfx?page=3";?>">NEXT PAGE &gt;&gt;</a></div>

<?php
}
// END PAGE TWO






// PAGE THREE - 2.4 UPDATES
if ($page == 3) 
{
        
    if (get_cfg_var("safe_mode")==0)
        @set_time_limit(1200);

$error = 0;

echo '<div class="text11" align="left">';

//	----------------------------------------------
//		pm_security_hashes
//	----------------------------------------------

$q = "CREATE TABLE IF NOT EXISTS `{$dbprefix}_security_hashes` (
`date` INT(10) UNSIGNED NOT NULL DEFAULT '0',
`ip_address` VARCHAR(16) NOT NULL default '0',
`hash` VARCHAR(40) NOT NULL DEFAULT '',
KEY `hash` (`hash`))";

$query= new DB_query($result, $q, "0");

if ($query->result == true) 
{
    echo "<font color=\"green\"><b>Good.</b></font>&nbsp;&nbsp;Table created: {$dbprefix}_security_hashes <br />";
} 
else 
{
    echo "<font color=\"red\"><b>Error.</b></font>&nbsp;&nbsp;Unable to create table: {$dbprefix}_security_hashes <br />"; 
    $errorcode = 1; 
}

//	----------------------------------------------
//		pm_captchas
//	----------------------------------------------

$q = "CREATE TABLE IF NOT EXISTS {$dbprefix}_captchas (
 date int(10) unsigned NOT NULL,
 ip_address varchar(16) default '0' NOT NULL,
 word varchar(20) NOT NULL,
 KEY (word)
)";

$query= new DB_query($result, $q, "0");

if ($query->result == true) 
{
    echo "<font color=\"green\"><b>Good.</b></font>&nbsp;&nbsp;Table created: {$dbprefix}_captchas <br />";
} 
else 
{
    echo "<font color=\"red\"><b>Error.</b></font>&nbsp;&nbsp;Unable to create table: {$dbprefix}_captchas<br />"; 
    $errorcode = 1; 
}

//	----------------------------------------------
//		pm_blacklisted
//	----------------------------------------------


$q = "CREATE TABLE IF NOT EXISTS  {$dbprefix}_blacklisted (
	`blacklisted_type` VARCHAR( 20  )  NOT  NULL ,
	`blacklisted_value` TEXT  NOT  NULL);";
	
$query= new DB_query($result, $q, "0");

if ($query->result == true) 
{
    echo "<font color=\"green\"><b>Good.</b></font>&nbsp;&nbsp;Table created: {$dbprefix}_blacklisted <br />";
} 
else 
{
    echo "<font color=\"red\"><b>Error.</b></font>&nbsp;&nbsp;Unable to create table: {$dbprefix}_blacklisted<br />"; 
    $errorcode = 1; 
}
				
//	----------------------------------------------
//		pm_whitelisted
//	----------------------------------------------

				
$q = "CREATE TABLE IF NOT EXISTS  `{$dbprefix}_whitelisted` (
	`whitelisted_type` VARCHAR( 20  )  NOT  NULL ,
	`whitelisted_value` TEXT  NOT  NULL);";
	
$query= new DB_query($result, $q, "0");

if ($query->result == true) 
{
    echo "<font color=\"green\"><b>Good.</b></font>&nbsp;&nbsp;Table created: {$dbprefix}_whitelisted <br />";
} 
else 
{
    echo "<font color=\"red\"><b>Error.</b></font>&nbsp;&nbsp;Unable to create table: {$dbprefix}_whitelisted<br />"; 
    $errorcode = 1; 
}

//	----------------------------------------------
//		pm_ping_servers
//	----------------------------------------------

				
$q = "CREATE TABLE IF NOT EXISTS `{$dbprefix}_ping_servers` (
	`server_id` INT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
	`server_name` VARCHAR(80) NOT NULL,
	`server_url` VARCHAR(80) NOT NULL,
	`server_port` INT(6) UNSIGNED DEFAULT '80' NOT NULL,
	`server_default` CHAR(1) DEFAULT 'n' NOT NULL,
	`server_order` INT(8) UNSIGNED NOT NULL,
	PRIMARY KEY (`server_id`))";

	
$query= new DB_query($result, $q, "0");

if ($query->result == true) 
{
    echo "<font color=\"green\"><b>Good.</b></font>&nbsp;&nbsp;Table created: {$dbprefix}_ping_servers <br />";
} 
else 
{
    echo "<font color=\"red\"><b>Error.</b></font>&nbsp;&nbsp;Unable to create table: {$dbprefix}_ping_servers<br />"; 
    $errorcode = 1; 
}


//	----------------------------------------------
//		pm_search_queries
//	----------------------------------------------
				
$q = "CREATE TABLE IF NOT EXISTS `{$dbprefix}_search_queries` (
	`search_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	`search_query` TEXT NOT NULL,
	`search_ip` VARCHAR(16) NOT NULL,
	`total_results` INT(6) UNSIGNED NOT NULL,
	`keywords` VARCHAR(80) NOT NULL,
	`search_date` INT(10) UNSIGNED DEFAULT '0' NOT NULL,
	PRIMARY KEY (`search_id`))";

	
$query = new DB_query($result, $q, "0");

if ($query->result == true) 
{
    echo "<font color=\"green\"><b>Good.</b></font>&nbsp;&nbsp;Table created: {$dbprefix}_search_queries <br />";
} 
else 
{
    echo "<font color=\"red\"><b>Error.</b></font>&nbsp;&nbsp;Unable to create table: {$dbprefix}_search_queries<br />"; 
    $errorcode = 1; 
}


//	----------------------------------------------
//	 Security Preferences
//	----------------------------------------------

	$query = new DB_query($DB, "SELECT pm_value FROM $db_prefs WHERE pm_option = 'memdir' ");
    $query->db_fetch_object();
    $memdir = $query->obj->pm_value;	
    
    if (substr(trim($memdir), -1) == '/')
    {
    	$memdir =& substr($memdir, 0, -1);		
    }   

	$x = explode('/',$memdir);
    $i = sizeof($x) - 1;
        
    $path =& str_replace($x[$i], '', $memdir);

$add = array();
$add[] = "INSERT INTO {$dbprefix}_pref_group VALUES ('', '40', 'general_prefs', 'S100')";
$add[] = "INSERT INTO {$dbprefix}_pref_group VALUES ('', '45', 'general_prefs', 'S110')";

$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '30', '145', 'r', 'allow_registration', 'yes','865')";

$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '40', '100', 'r', 'secure_forms', 'yes','810')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '40', '110', 'r', 'deny_duplicate', 'yes','850')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '40', '115', 'r', 'ip_agent_comments', 'yes','855')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '40', '120', 't', 'trackback_throttle', '5','860')";

$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '100', 'r', 'member_captcha', 'no','815')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '105', 'r', 'weblog_captcha', 'no','820')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '110', 'r', 'comment_captcha', 'no','825')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '115', 'r', 'email_captcha', 'no','890')";

$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '120', 't', 'captcha_relative', '".realpath('../../images/captchas/')."','830')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '125', 't', 'captcha_full_url', '{$path}images/captchas/','835')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '130', 'r', 'captcha_truetype', 'yes','840')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '135', 'r', 'captcha_required_members', 'no','845')";
$add[] = "INSERT INTO {$dbprefix}_prefs VALUES ('', '45', '140', 'r', 'captcha_random_numbers', 'yes','885')";

$add[] = "INSERT INTO {$dbprefix}_ping_servers 
		  VALUES 
		  ('', 'weblogs.com', '".$DB->escape_str('http://rpc.weblogs.com/RPC2')."', '80','y','1')";

$add[] = "UPDATE {$dbprefix}_prefs SET field_type = 'a' WHERE pm_option = 'emailauth' AND title = '175'";

// SEARCH PREVIOUS/NEXT LINKS
$body = <<<EOT
<table cellpadding="4" cellspacing="1" border="0" width="700">
<tr>
<td>%%search_prev_page%%</td>
<td align="right">%%search_next_page%%</td>
</tr>
</table>
EOT;
$add[] = "insert into {$dbprefix}_templates 
		values ('', '12', 'search', '10', '04', '470', '".$DB->escape_str($body)."', '".$DB->escape_str($body)."', '10')";


// -------------------------------
//  Weblog Specific Prefs
// -------------------------------

$query = new DB_query($DB, "select name, grouporder from $db_pref_group where grouporder > '299'");

while ($query->db_fetch_array())
{

    $name    = $query->row['name'];
    $nextgrp = $query->row['grouporder'];
    
  
	$add[] = "insert into $db_prefs values ('', '$nextgrp', '391', 'r', 'moderate_comments_$name', 'no','870')";
	$add[] = "insert into $db_prefs values ('', '$nextgrp', '392', 'r', 'moderate_blacklisted_$name', 'no','875')";
	$add[] = "insert into $db_prefs values ('', '$nextgrp', '393', 't', 'comment_expiration_$name', '0','880')";
	
	$add[] = "UPDATE {$dbprefix}_prefs SET field_type = 'd' WHERE pm_option = 'if_yes_$name'";
	$add[] = "UPDATE {$dbprefix}_prefs SET field_type = 'd' WHERE pm_option = 'if_no_$name'";
}



foreach($add as $q)
{
	$query = new DB_query($result, $q, "0");
	
	if($query->result === false)
	{
		$error = 1;
	}
}

if ($error == 1)
{
	echo "<font color=\"red\"><b>Error.</b></font>&nbsp;&nbsp;Unable to create security preferences <br />"; 
}
else
{
	echo "<font color=\"green\"><b>Good.</b></font>&nbsp;&nbsp;Security preferences have been added.<br />";
}


	// --------------------------
	//  Table Additions
	// --------------------------
	
	$query = new DB_query($DB, "ALTER TABLE $db_weblog ADD `sticky` CHAR(1) DEFAULT 'n' NOT NULL", '0');
	$query = new DB_query($DB, "ALTER TABLE $db_weblog ADD `sent_pings` VARCHAR(80) NOT NULL", '0');
	$query = new DB_query($DB, "ALTER TABLE $db_trackback ADD `trackback_ip` varchar(20) NOT NULL", '0');
	$query = new DB_query($DB, "ALTER TABLE $db_comments ADD `status` varchar(6) default 'open' NOT NULL","0");
	$query = new DB_query($DB, "ALTER TABLE $db_comments ADD `comment_ip` varchar(20) NOT NULL","0");

	if ($query->result === true) 
	{
	?>
<font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Columns added to weblog and trackback tables.
<br />
</div>
	<?php
	} 
	else 
	{
	?>
<font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to add columns to weblog and trackback tables.
</div>
	<?php
	}

$name = 'default';

$error = 0;


//	----------------------------------------------
//		Alter RSS Factory Table 
//	----------------------------------------------

$query = new DB_query($DB , "ALTER TABLE `$db_rss_factory` CHANGE `skiphours` `skiphours` CHAR(5) NOT NULL","0");
$query = new DB_query($DB , "ALTER TABLE `$db_rss_factory` CHANGE `skipdays` `skipdays` CHAR(5) NOT NULL","0");
$query = new DB_query($DB , "ALTER TABLE `$db_rss_factory` ADD `url_type` VARCHAR(8) DEFAULT 'weblog' NOT NULL AFTER `ttl`", "0");
$query = new DB_query($DB , "ALTER TABLE `$db_rss_factory` ADD `content_field` VARCHAR(8) DEFAULT 'body' NOT NULL AFTER `url_type`", "0");
$query = new DB_query($DB , "ALTER TABLE `$db_rss_factory` ADD `content_length` INT(6) UNSIGNED DEFAULT '500' NOT NULL AFTER `content_field`", "0");

if ($error == 0) 
{

?>
<div class="text11" align="left"><font color="green">
<b>Good.</b></font>&nbsp;&nbsp;Columns modified in rss factory table.
<br />
</div>
<?php

} 
else 
{
?><div class="text11" align="left"><font color="red">
<b>Error.</b></font>&nbsp;&nbsp;Unable to modify columns in rss factory table.

<br /><br />

It appears you do not have the appropriate MySQL grant privileges.&nbsp;

<br /><br />

Please contact your hosting provider and ask them to give you MySQL 'alter' privileges.&nbsp; Then reload this page. 
<?php
exit;
}
?>

<br /><br />

<div><a href="<?php echo"$self$sfx?page=4";?>">NEXT PAGE &gt;&gt;</a></div>

<?php
}
// END PAGE THREE






// PAGE FOUR
elseif ($page == 4) 
{


$error = 0;
$add = new DB_query($DB, "UPDATE $db_prefs SET pm_value = '2.4' WHERE pm_option = 'vnumber'");  if (!$add->result) $error =1;
$add = new DB_query($DB, "UPDATE $db_prefs SET pm_value = 'Pro' WHERE pm_option = 'version'");  if (!$add->result) $error =1;
$add = new DB_query($DB, "UPDATE $db_prefs SET pm_value = '101172005' WHERE pm_option = 'build'"); if (!$add->result) $error =1;


if ($error ==1) {
?><div class="text11" align="left"><font color="red">
<b>Error</b></font>&nbsp;&nbsp;There was a problem adding version indicator</div><?php
exit;
} else {
?><div class="text11" align="left">
<font color="green"><b>Good.</b></font>&nbsp;&nbsp;Version indicator has been updated
<br /></div>
<?php
}
?>
<br />
<div class="text12" align="left">
<font color="green"><b>You have successfully updated to pMachine version 2.4</b></font>
<br /><br />
Please delete the entire "<b>updates</b>" directory from your server.&nbsp; You no longer need it.


<?php
}

// FOOTER
showfooter();
?>